// python wrapper for vtkOMFReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkOMFReader.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkOMFReader(PyObject *dict); }
extern "C" { PyObject *PyvtkOMFReader_ClassNew(); }


static PyObject *
PyvtkOMFReader_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkOMFReader::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkOMFReader::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkOMFReader *tempr = vtkOMFReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkOMFReader *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkOMFReader::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
    else if (tempr != nullptr)
    {
      ap.DeleteVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = vtkOMFReader::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkOMFReader::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetFilePath(temp0))
  {
    if (ap.IsBound())
    {
      op->SetFileName(temp0);
    }
    else
    {
      op->vtkOMFReader::SetFileName(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    char *tempr = (ap.IsBound() ?
      op->GetFileName() :
      op->vtkOMFReader::GetFileName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_GetDataElementArrayStatus(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataElementArrayStatus");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetDataElementArrayStatus(temp0) :
      op->vtkOMFReader::GetDataElementArrayStatus(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_SetDataElementArrayStatus(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataElementArrayStatus");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  const char *temp0 = nullptr;
  int temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
  {
    if (ap.IsBound())
    {
      op->SetDataElementArrayStatus(temp0, temp1);
    }
    else
    {
      op->vtkOMFReader::SetDataElementArrayStatus(temp0, temp1);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_GetNumberOfDataElementArrays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfDataElementArrays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfDataElementArrays() :
      op->vtkOMFReader::GetNumberOfDataElementArrays());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_GetDataElementArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataElementArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    const char *tempr = (ap.IsBound() ?
      op->GetDataElementArrayName(temp0) :
      op->vtkOMFReader::GetDataElementArrayName(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_GetDataElementArraySelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataElementArraySelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkDataArraySelection *tempr = (ap.IsBound() ?
      op->GetDataElementArraySelection() :
      op->vtkOMFReader::GetDataElementArraySelection());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_GetMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    unsigned long tempr = (ap.IsBound() ?
      op->GetMTime() :
      op->vtkOMFReader::GetMTime());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_SetWriteOutTextures(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWriteOutTextures");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetWriteOutTextures(temp0);
    }
    else
    {
      op->vtkOMFReader::SetWriteOutTextures(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_GetWriteOutTextures(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWriteOutTextures");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetWriteOutTextures() :
      op->vtkOMFReader::GetWriteOutTextures());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_SetColumnMajorOrdering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColumnMajorOrdering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetColumnMajorOrdering(temp0);
    }
    else
    {
      op->vtkOMFReader::SetColumnMajorOrdering(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkOMFReader_GetColumnMajorOrdering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColumnMajorOrdering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOMFReader *op = static_cast<vtkOMFReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetColumnMajorOrdering() :
      op->vtkOMFReader::GetColumnMajorOrdering());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkOMFReader_Methods[] = {
  {"IsTypeOf", PyvtkOMFReader_IsTypeOf, METH_VARARGS,
   "IsTypeOf(type:str) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkOMFReader_IsA, METH_VARARGS,
   "IsA(self, type:str) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkOMFReader_SafeDownCast, METH_VARARGS,
   "SafeDownCast(o:vtkObjectBase) -> vtkOMFReader\nC++: static vtkOMFReader *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkOMFReader_NewInstance, METH_VARARGS,
   "NewInstance(self) -> vtkOMFReader\nC++: vtkOMFReader *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkOMFReader_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "GetNumberOfGenerationsFromBaseType(type:str) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkOMFReader_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "GetNumberOfGenerationsFromBase(self, type:str) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SetFileName", PyvtkOMFReader_SetFileName, METH_VARARGS,
   "SetFileName(self, _arg:str) -> None\nC++: virtual void SetFileName(const char *_arg)\n\nAccessor for name of the OMF file to read\n"},
  {"GetFileName", PyvtkOMFReader_GetFileName, METH_VARARGS,
   "GetFileName(self) -> str\nC++: virtual char *GetFileName()\n\n"},
  {"GetDataElementArrayStatus", PyvtkOMFReader_GetDataElementArrayStatus, METH_VARARGS,
   "GetDataElementArrayStatus(self, name:str) -> bool\nC++: bool GetDataElementArrayStatus(const char *name)\n\nData element selection to determine which data elements in the\nOMF file should be loaded. By default all elements' status are\nset to false/disabled, so they will not be loaded.\n"},
  {"SetDataElementArrayStatus", PyvtkOMFReader_SetDataElementArrayStatus, METH_VARARGS,
   "SetDataElementArrayStatus(self, name:str, status:int) -> None\nC++: void SetDataElementArrayStatus(const char *name, int status)\n\n"},
  {"GetNumberOfDataElementArrays", PyvtkOMFReader_GetNumberOfDataElementArrays, METH_VARARGS,
   "GetNumberOfDataElementArrays(self) -> int\nC++: int GetNumberOfDataElementArrays()\n\n"},
  {"GetDataElementArrayName", PyvtkOMFReader_GetDataElementArrayName, METH_VARARGS,
   "GetDataElementArrayName(self, index:int) -> str\nC++: const char *GetDataElementArrayName(int index)\n\n"},
  {"GetDataElementArraySelection", PyvtkOMFReader_GetDataElementArraySelection, METH_VARARGS,
   "GetDataElementArraySelection(self) -> vtkDataArraySelection\nC++: vtkDataArraySelection *GetDataElementArraySelection()\n\n"},
  {"GetMTime", PyvtkOMFReader_GetMTime, METH_VARARGS,
   "GetMTime(self) -> int\nC++: vtkMTimeType GetMTime() override;\n\nOverridden to take into account mtimes for vtkDataArraySelection\ninstances.\n"},
  {"SetWriteOutTextures", PyvtkOMFReader_SetWriteOutTextures, METH_VARARGS,
   "SetWriteOutTextures(self, _arg:bool) -> None\nC++: virtual void SetWriteOutTextures(bool _arg)\n\nGet/Set for determining to write out textures from OMF file\n"},
  {"GetWriteOutTextures", PyvtkOMFReader_GetWriteOutTextures, METH_VARARGS,
   "GetWriteOutTextures(self) -> bool\nC++: virtual bool GetWriteOutTextures()\n\n"},
  {"SetColumnMajorOrdering", PyvtkOMFReader_SetColumnMajorOrdering, METH_VARARGS,
   "SetColumnMajorOrdering(self, _arg:bool) -> None\nC++: virtual void SetColumnMajorOrdering(bool _arg)\n\nGet/Set if scalar data is in column major order. It should be in\nrow major order but some software seems to write out column major\nfor volumes.\n"},
  {"GetColumnMajorOrdering", PyvtkOMFReader_GetColumnMajorOrdering, METH_VARARGS,
   "GetColumnMajorOrdering(self) -> bool\nC++: virtual bool GetColumnMajorOrdering()\n\n"},
  {nullptr, nullptr, 0, nullptr}
};

static const char *PyvtkOMFReader_Doc =
  "vtkOMFReader - Read Open Mining Format files\n\n"
  "Superclass: vtkDataObjectAlgorithm\n\n"
  "vtkOMFReader reads OMF files. Details about the OMF format can be\n"
  "found at https://omf.readthedocs.io/en/stable/index.html. The reader\n"
  "outputs a vtkPartitionedDataSetCollection, where each\n"
  "vtkPartitionedDataSet is one OMF element (point set, line set,\n"
  "surface, or volume).\n\n";

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkOMFReader_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkIOOMF.vtkOMFReader", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkOMFReader_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkOMFReader_StaticNew()
{
  return vtkOMFReader::New();
}

PyObject *PyvtkOMFReader_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkOMFReader_Type, PyvtkOMFReader_Methods,
    "vtkOMFReader",
 &PyvtkOMFReader_StaticNew);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#ifndef VTK_PY3K
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = vtkPythonUtil::FindBaseTypeObject("vtkDataObjectAlgorithm");

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkOMFReader(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkOMFReader_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkOMFReader", o) != 0)
  {
    Py_DECREF(o);
  }

}

