// python wrapper for vtkFileSequenceParser
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkFileSequenceParser.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkFileSequenceParser(PyObject *dict); }
extern "C" { PyObject *PyvtkFileSequenceParser_ClassNew(); }


static PyObject *
PyvtkFileSequenceParser_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkFileSequenceParser::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkFileSequenceParser_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSequenceParser *op = static_cast<vtkFileSequenceParser *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkFileSequenceParser::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkFileSequenceParser_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkFileSequenceParser *tempr = vtkFileSequenceParser::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkFileSequenceParser_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSequenceParser *op = static_cast<vtkFileSequenceParser *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkFileSequenceParser *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkFileSequenceParser::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
    else if (tempr != nullptr)
    {
      ap.DeleteVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkFileSequenceParser_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = vtkFileSequenceParser::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkFileSequenceParser_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSequenceParser *op = static_cast<vtkFileSequenceParser *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkFileSequenceParser::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkFileSequenceParser_ParseFileSequence(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ParseFileSequence");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSequenceParser *op = static_cast<vtkFileSequenceParser *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    bool tempr = (ap.IsBound() ?
      op->ParseFileSequence(temp0) :
      op->vtkFileSequenceParser::ParseFileSequence(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkFileSequenceParser_GetSequenceName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSequenceName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSequenceParser *op = static_cast<vtkFileSequenceParser *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    char *tempr = (ap.IsBound() ?
      op->GetSequenceName() :
      op->vtkFileSequenceParser::GetSequenceName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkFileSequenceParser_GetSequenceIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSequenceIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSequenceParser *op = static_cast<vtkFileSequenceParser *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetSequenceIndex() :
      op->vtkFileSequenceParser::GetSequenceIndex());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkFileSequenceParser_GetSequenceIndexString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSequenceIndexString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSequenceParser *op = static_cast<vtkFileSequenceParser *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    std::string tempr = (ap.IsBound() ?
      op->GetSequenceIndexString() :
      op->vtkFileSequenceParser::GetSequenceIndexString());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkFileSequenceParser_Methods[] = {
  {"IsTypeOf", PyvtkFileSequenceParser_IsTypeOf, METH_VARARGS,
   "IsTypeOf(type:str) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkFileSequenceParser_IsA, METH_VARARGS,
   "IsA(self, type:str) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkFileSequenceParser_SafeDownCast, METH_VARARGS,
   "SafeDownCast(o:vtkObjectBase) -> vtkFileSequenceParser\nC++: static vtkFileSequenceParser *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkFileSequenceParser_NewInstance, METH_VARARGS,
   "NewInstance(self) -> vtkFileSequenceParser\nC++: vtkFileSequenceParser *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkFileSequenceParser_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "GetNumberOfGenerationsFromBaseType(type:str) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkFileSequenceParser_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "GetNumberOfGenerationsFromBase(self, type:str) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"ParseFileSequence", PyvtkFileSequenceParser_ParseFileSequence, METH_VARARGS,
   "ParseFileSequence(self, file:str) -> bool\nC++: bool ParseFileSequence(const char *file)\n\nExtract base file name sequence from the file. Returns true if a\nsequence is detected and sets SequenceName and SequenceIndex.\n"},
  {"GetSequenceName", PyvtkFileSequenceParser_GetSequenceName, METH_VARARGS,
   "GetSequenceName(self) -> str\nC++: virtual char *GetSequenceName()\n\nGetter to use to get the sequence name after calling\nParseFileSequence\n"},
  {"GetSequenceIndex", PyvtkFileSequenceParser_GetSequenceIndex, METH_VARARGS,
   "GetSequenceIndex(self) -> int\nC++: virtual int GetSequenceIndex()\n\nGetter to use to get the sequence index after calling\nParseFileSequence\n"},
  {"GetSequenceIndexString", PyvtkFileSequenceParser_GetSequenceIndexString, METH_VARARGS,
   "GetSequenceIndexString(self) -> str\nC++: virtual std::string GetSequenceIndexString()\n\nGetter to use to get the sequence index string after calling\nParseFileSequence. It can be useful when sequence index is\nduplicated.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static const char *PyvtkFileSequenceParser_Doc =
  "vtkFileSequenceParser - Parses out the base file name of a file\nsequence and also the specific index of the given file.\n\n"
  "Superclass: vtkObject\n\n"
  "Given a file name (without path). I will extract the base portion of\n"
  "the file name that is common to all the files in the sequence. It\n"
  "will also provide the current sequence index of the provided file\n"
  "name. by several vtkPVUpdateSuppressor objects.\n\n";

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkFileSequenceParser_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkPVVTKExtensionsCore.vtkFileSequenceParser", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkFileSequenceParser_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkFileSequenceParser_StaticNew()
{
  return vtkFileSequenceParser::New();
}

PyObject *PyvtkFileSequenceParser_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkFileSequenceParser_Type, PyvtkFileSequenceParser_Methods,
    "vtkFileSequenceParser",
 &PyvtkFileSequenceParser_StaticNew);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#ifndef VTK_PY3K
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = vtkPythonUtil::FindBaseTypeObject("vtkObject");

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkFileSequenceParser(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkFileSequenceParser_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkFileSequenceParser", o) != 0)
  {
    Py_DECREF(o);
  }

}

