// python wrapper for vtkInitializationHelper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkInitializationHelper.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkInitializationHelper(PyObject *dict); }
extern "C" { PyObject *PyvtkInitializationHelper_ClassNew(); }


static PyObject *
PyvtkInitializationHelper_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkInitializationHelper::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInitializationHelper *op = static_cast<vtkInitializationHelper *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkInitializationHelper::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkInitializationHelper *tempr = vtkInitializationHelper::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInitializationHelper *op = static_cast<vtkInitializationHelper *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkInitializationHelper *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkInitializationHelper::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
    else if (tempr != nullptr)
    {
      ap.DeleteVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = vtkInitializationHelper::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInitializationHelper *op = static_cast<vtkInitializationHelper *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkInitializationHelper::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_Initialize_s1(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "Initialize");

  vtkStringList *temp0 = nullptr;
  int temp1;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkStringList") &&
      ap.GetValue(temp1))
  {
    bool tempr = vtkInitializationHelper::Initialize(temp0, temp1);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkInitializationHelper_Initialize_s2(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "Initialize");

  const char *temp0 = nullptr;
  int temp1;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
  {
    bool tempr = vtkInitializationHelper::Initialize(temp0, temp1);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkInitializationHelper_Initialize_s3(PyObject * /*unused*/, PyObject *args)
{
  PyErr_WarnEx(PyExc_DeprecationWarning,
    "Call to deprecated staticmethod Initialize."
    " (" "Use the `vtkCLIOptions` overload" ")"
    " -- Deprecated since version " "5.10.0" ".", 1);

  vtkPythonArgs ap(args, "Initialize");

  const char *temp0 = nullptr;
  int temp1;
  vtkPVOptions *temp2 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkPVOptions"))
  {
    vtkInitializationHelper::Initialize(temp0, temp1, temp2);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkInitializationHelper_Initialize_Methods[] = {
  {nullptr, PyvtkInitializationHelper_Initialize_s1, METH_VARARGS | METH_STATIC,
   "Vi *vtkStringList"},
  {nullptr, PyvtkInitializationHelper_Initialize_s2, METH_VARARGS | METH_STATIC,
   "zi"},
  {nullptr, nullptr, 0, nullptr}
};

static PyObject *
PyvtkInitializationHelper_Initialize(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkInitializationHelper_Initialize_Methods;
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
  {
    case 3:
      return PyvtkInitializationHelper_Initialize_s3(self, args);
    case 2:
      return vtkPythonOverload::CallMethod(methods, self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "Initialize");
  return nullptr;
}


static PyObject *
PyvtkInitializationHelper_InitializeMiscellaneous(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "InitializeMiscellaneous");

  int temp0;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    bool tempr = vtkInitializationHelper::InitializeMiscellaneous(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_Finalize(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "Finalize");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    vtkInitializationHelper::Finalize();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_GetExitCode(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetExitCode");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    int tempr = vtkInitializationHelper::GetExitCode();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_StandaloneInitialize(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "StandaloneInitialize");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    vtkInitializationHelper::StandaloneInitialize();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_StandaloneFinalize(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "StandaloneFinalize");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    vtkInitializationHelper::StandaloneFinalize();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_SetLoadSettingsFilesDuringInitialization(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SetLoadSettingsFilesDuringInitialization");

  bool temp0 = false;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    vtkInitializationHelper::SetLoadSettingsFilesDuringInitialization(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_GetLoadSettingsFilesDuringInitialization(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetLoadSettingsFilesDuringInitialization");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    bool tempr = vtkInitializationHelper::GetLoadSettingsFilesDuringInitialization();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_SetOrganizationName(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SetOrganizationName");

  std::string temp0;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    vtkInitializationHelper::SetOrganizationName(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_GetOrganizationName(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetOrganizationName");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    const std::string *tempr = &vtkInitializationHelper::GetOrganizationName();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(*tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_SetApplicationName(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SetApplicationName");

  std::string temp0;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    vtkInitializationHelper::SetApplicationName(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_GetApplicationName(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetApplicationName");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    const std::string *tempr = &vtkInitializationHelper::GetApplicationName();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(*tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_GetUserSettingsDirectory(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetUserSettingsDirectory");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    std::string tempr = vtkInitializationHelper::GetUserSettingsDirectory();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInitializationHelper_GetUserSettingsFilePath(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetUserSettingsFilePath");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    std::string tempr = vtkInitializationHelper::GetUserSettingsFilePath();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkInitializationHelper_Methods[] = {
  {"IsTypeOf", PyvtkInitializationHelper_IsTypeOf, METH_VARARGS,
   "IsTypeOf(type:str) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkInitializationHelper_IsA, METH_VARARGS,
   "IsA(self, type:str) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkInitializationHelper_SafeDownCast, METH_VARARGS,
   "SafeDownCast(o:vtkObjectBase) -> vtkInitializationHelper\nC++: static vtkInitializationHelper *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkInitializationHelper_NewInstance, METH_VARARGS,
   "NewInstance(self) -> vtkInitializationHelper\nC++: vtkInitializationHelper *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkInitializationHelper_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "GetNumberOfGenerationsFromBaseType(type:str) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkInitializationHelper_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "GetNumberOfGenerationsFromBase(self, type:str) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"Initialize", PyvtkInitializationHelper_Initialize, METH_VARARGS,
   "Initialize(argv:vtkStringList, processType:int) -> bool\nC++: static bool Initialize(vtkStringList *argv, int processType)\nInitialize(executable:str, type:int) -> bool\nC++: static bool Initialize(const char *executable, int type)\nInitialize(executable:str, type:int, options:vtkPVOptions) -> None\nC++: static void Initialize(const char *executable, int type,\n    vtkPVOptions *options)\n\nOverload primary intended for Python wrapping.\n"},
  {"InitializeMiscellaneous", PyvtkInitializationHelper_InitializeMiscellaneous, METH_VARARGS,
   "InitializeMiscellaneous(type:int) -> bool\nC++: static bool InitializeMiscellaneous(int type)\n\nInitialize everything that needs to be initialized in the\nparaview engine after the options. Returns `true` on success,\n`false` otherwise.\n\nMake sure to call InitializeOptions before calling this method.\n\nThis method is used by Initialize but can be used when separating\noptions initialization from the rest of the initialization.\n"},
  {"Finalize", PyvtkInitializationHelper_Finalize, METH_VARARGS,
   "Finalize() -> None\nC++: static void Finalize()\n\nFinalizes the server manager. Do not use the server manager after\ncalling this.\n"},
  {"GetExitCode", PyvtkInitializationHelper_GetExitCode, METH_VARARGS,
   "GetExitCode() -> int\nC++: static int GetExitCode()\n\nReturns the exit code after `Initialize`.\n"},
  {"StandaloneInitialize", PyvtkInitializationHelper_StandaloneInitialize, METH_VARARGS,
   "StandaloneInitialize() -> None\nC++: static void StandaloneInitialize()\n\nInitialization for standalone executables linking against a PV\nlibrary. This is needed to insure that linker does not remove\nobject factories' auto init during static linking. It also cleans\nup after protobuf.\n"},
  {"StandaloneFinalize", PyvtkInitializationHelper_StandaloneFinalize, METH_VARARGS,
   "StandaloneFinalize() -> None\nC++: static void StandaloneFinalize()\n\nInitialization for standalone executables linking against a PV\nlibrary. This is needed to insure that linker does not remove\nobject factories' auto init during static linking. It also cleans\nup after protobuf.\n"},
  {"SetLoadSettingsFilesDuringInitialization", PyvtkInitializationHelper_SetLoadSettingsFilesDuringInitialization, METH_VARARGS,
   "SetLoadSettingsFilesDuringInitialization(__a:bool) -> None\nC++: static void SetLoadSettingsFilesDuringInitialization(bool)\n\nDuring initialization, vtkInitializationHelper reads \"settings\"\nfiles for configuring vtkSMSettings. To disable this processing\nof the settings file for an application (e.g. in Catalyst), turn\nthis off. On by default.\n"},
  {"GetLoadSettingsFilesDuringInitialization", PyvtkInitializationHelper_GetLoadSettingsFilesDuringInitialization, METH_VARARGS,
   "GetLoadSettingsFilesDuringInitialization() -> bool\nC++: static bool GetLoadSettingsFilesDuringInitialization()\n\nDuring initialization, vtkInitializationHelper reads \"settings\"\nfiles for configuring vtkSMSettings. To disable this processing\nof the settings file for an application (e.g. in Catalyst), turn\nthis off. On by default.\n"},
  {"SetOrganizationName", PyvtkInitializationHelper_SetOrganizationName, METH_VARARGS,
   "SetOrganizationName(organizationName:str) -> None\nC++: static void SetOrganizationName(\n    const std::string &organizationName)\n\nSets the organization producing this application. This is\n\"ParaView\" by default, but can be different for branded\napplications.\n"},
  {"GetOrganizationName", PyvtkInitializationHelper_GetOrganizationName, METH_VARARGS,
   "GetOrganizationName() -> str\nC++: static const std::string &GetOrganizationName()\n\nSets the organization producing this application. This is\n\"ParaView\" by default, but can be different for branded\napplications.\n"},
  {"SetApplicationName", PyvtkInitializationHelper_SetApplicationName, METH_VARARGS,
   "SetApplicationName(appName:str) -> None\nC++: static void SetApplicationName(const std::string &appName)\n\nSets the name of the application. This is \"ParaView\" by default,\nbut can be different for branded applications.\n"},
  {"GetApplicationName", PyvtkInitializationHelper_GetApplicationName, METH_VARARGS,
   "GetApplicationName() -> str\nC++: static const std::string &GetApplicationName()\n\nSets the name of the application. This is \"ParaView\" by default,\nbut can be different for branded applications.\n"},
  {"GetUserSettingsDirectory", PyvtkInitializationHelper_GetUserSettingsDirectory, METH_VARARGS,
   "GetUserSettingsDirectory() -> str\nC++: static std::string GetUserSettingsDirectory()\n\nGet directory for user settings file. The last character is\nalways the file path separator appropriate for the system.\n"},
  {"GetUserSettingsFilePath", PyvtkInitializationHelper_GetUserSettingsFilePath, METH_VARARGS,
   "GetUserSettingsFilePath() -> str\nC++: static std::string GetUserSettingsFilePath()\n\nGet file path for the user settings file.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static const char *PyvtkInitializationHelper_Doc =
  "vtkInitializationHelper - help class for python modules\n\n"
  "Superclass: vtkObject\n\n"
  "This class is used by the python modules when they are loaded from\n"
  "python (as opposed to pvpython). It simply initializes the server\n"
  "manager so that it can be used.\n\n";

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkInitializationHelper_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRemotingApplication.vtkInitializationHelper", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkInitializationHelper_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

PyObject *PyvtkInitializationHelper_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkInitializationHelper_Type, PyvtkInitializationHelper_Methods,
    "vtkInitializationHelper",
 nullptr);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#ifndef VTK_PY3K
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = vtkPythonUtil::FindBaseTypeObject("vtkObject");

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkInitializationHelper(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkInitializationHelper_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkInitializationHelper", o) != 0)
  {
    Py_DECREF(o);
  }

}

