// python wrapper for vtkReservedRemoteObjectIds
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkReservedRemoteObjectIds.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkReservedRemoteObjectIds(PyObject *dict); }
#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkReservedRemoteObjectIds_ReservedGlobalIds_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRemotingCore.vtkReservedRemoteObjectIds.ReservedGlobalIds", // tp_name
  sizeof(PyIntObject), // tp_basicsize
  0, // tp_itemsize
  nullptr, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  nullptr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  nullptr, // tp_str
  nullptr, // tp_getattro
  nullptr, // tp_setattro
  nullptr, // tp_as_buffer
  Py_TPFLAGS_DEFAULT, // tp_flags
  nullptr, // tp_doc
  nullptr, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  0, // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  nullptr, // tp_getset
  &PyInt_Type, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  0, // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  nullptr, // tp_new
  PyObject_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

template<class T>
PyObject *PyvtkReservedRemoteObjectIds_ReservedGlobalIds_FromEnum(T val)
{
  return PyVTKEnum_New(&PyvtkReservedRemoteObjectIds_ReservedGlobalIds_Type, static_cast<int>(val));
}

static PyMethodDef PyvtkReservedRemoteObjectIds_Methods[] = {
  {nullptr, nullptr, 0, nullptr}
};


static PyObject *
PyvtkReservedRemoteObjectIds_vtkReservedRemoteObjectIds_s1(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "vtkReservedRemoteObjectIds");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    vtkReservedRemoteObjectIds *op = new vtkReservedRemoteObjectIds();

    result = PyVTKSpecialObject_New("vtkReservedRemoteObjectIds", op);
  }

  return result;
}

static PyObject *
PyvtkReservedRemoteObjectIds_vtkReservedRemoteObjectIds_s2(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "vtkReservedRemoteObjectIds");

  vtkReservedRemoteObjectIds *temp0 = nullptr;
  PyObject *pobj0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetSpecialObject(temp0, pobj0, "vtkReservedRemoteObjectIds"))
  {
    vtkReservedRemoteObjectIds *op = new vtkReservedRemoteObjectIds(*temp0);

    result = PyVTKSpecialObject_New("vtkReservedRemoteObjectIds", op);
  }

  Py_XDECREF(pobj0);

  return result;
}

static PyMethodDef PyvtkReservedRemoteObjectIds_vtkReservedRemoteObjectIds_Methods[] = {
  {nullptr, PyvtkReservedRemoteObjectIds_vtkReservedRemoteObjectIds_s2, METH_VARARGS,
   "@W vtkReservedRemoteObjectIds"},
  {nullptr, nullptr, 0, nullptr}
};

static PyObject *
PyvtkReservedRemoteObjectIds_vtkReservedRemoteObjectIds(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
  {
    case 0:
      return PyvtkReservedRemoteObjectIds_vtkReservedRemoteObjectIds_s1(self, args);
    case 1:
      return PyvtkReservedRemoteObjectIds_vtkReservedRemoteObjectIds_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "vtkReservedRemoteObjectIds");
  return nullptr;
}


static const char *PyvtkReservedRemoteObjectIds_Doc =

  "vtkReservedRemoteObjectIds() -> vtkReservedRemoteObjectIds\nC++: vtkReservedRemoteObjectIds()\nvtkReservedRemoteObjectIds(__a:vtkReservedRemoteObjectIds)\n    -> vtkReservedRemoteObjectIds\nC++: vtkReservedRemoteObjectIds(const &vtkReservedRemoteObjectIds)\n""\n"
  "vtkReservedRemoteObjectIds - Enum listing custom remote object with\ndedicated GlobalID\n\n"
  "Enum listing custom remote object with dedicated GlobalID. Those IDs\n"
  "are listed inside this enum to prevent any possible conflict.\n"
  "ReservedId should be used if:\n"
  "- You have a vtkRemoteObject or a Proxy that is client only.\n"
  "- Only one instance in a session\n"
  "- It has to be shared across clients\n\n";

static PyObject *
PyvtkReservedRemoteObjectIds_New(PyTypeObject *, PyObject *args, PyObject *kwds)
{
  if (kwds && PyDict_Size(kwds))
  {
    PyErr_SetString(PyExc_TypeError,
                    "this function takes no keyword arguments");
    return nullptr;
  }

  return PyvtkReservedRemoteObjectIds_vtkReservedRemoteObjectIds(nullptr, args);
}

static void PyvtkReservedRemoteObjectIds_Delete(PyObject *self)
{
  PyVTKSpecialObject *obj = (PyVTKSpecialObject *)self;
  delete static_cast<vtkReservedRemoteObjectIds *>(obj->vtk_ptr);
  PyObject_Del(self);
}

static Py_hash_t PyvtkReservedRemoteObjectIds_Hash(PyObject *self)
{
  return PyObject_HashNotImplemented(self);
}

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkReservedRemoteObjectIds_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRemotingCore.vtkReservedRemoteObjectIds", // tp_name
  sizeof(PyVTKSpecialObject), // tp_basicsize
  0, // tp_itemsize
  PyvtkReservedRemoteObjectIds_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKSpecialObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  PyvtkReservedRemoteObjectIds_Hash, // tp_hash
  nullptr, // tp_call
  nullptr, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  nullptr, // tp_setattro
  nullptr, // tp_as_buffer
  Py_TPFLAGS_DEFAULT, // tp_flags
  PyvtkReservedRemoteObjectIds_Doc, // tp_doc
  nullptr, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  0, // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  nullptr, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  0, // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyvtkReservedRemoteObjectIds_New, // tp_new
  PyObject_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static void *PyvtkReservedRemoteObjectIds_CCopy(const void *obj)
{
  if (obj)
  {
    return new vtkReservedRemoteObjectIds(*static_cast<const vtkReservedRemoteObjectIds*>(obj));
  }
  return nullptr;
}

#ifndef DECLARED_PyvtkReservedRemoteObjectIds_TypeNew
extern "C" { PyObject *PyvtkReservedRemoteObjectIds_TypeNew(); }
#define DECLARED_PyvtkReservedRemoteObjectIds_TypeNew
#endif

PyObject *PyvtkReservedRemoteObjectIds_TypeNew()
{
  PyTypeObject *pytype = PyVTKSpecialType_Add(
    &PyvtkReservedRemoteObjectIds_Type,
    PyvtkReservedRemoteObjectIds_Methods,
    PyvtkReservedRemoteObjectIds_vtkReservedRemoteObjectIds_Methods,
    &PyvtkReservedRemoteObjectIds_CCopy);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

  PyObject *d = pytype->tp_dict;
  PyObject *o;

  PyType_Ready(&PyvtkReservedRemoteObjectIds_ReservedGlobalIds_Type);
  PyVTKEnum_Add(&PyvtkReservedRemoteObjectIds_ReservedGlobalIds_Type, "vtkReservedRemoteObjectIds.ReservedGlobalIds");

  o = (PyObject *)&PyvtkReservedRemoteObjectIds_ReservedGlobalIds_Type;
  if (PyDict_SetItemString(d, "ReservedGlobalIds", o) != 0)
  {
    Py_DECREF(o);
  }

  for (int c = 0; c < 4; c++)
  {
    typedef vtkReservedRemoteObjectIds::ReservedGlobalIds cxx_enum_type;

    static const struct { const char *name; cxx_enum_type value; }
      constants[4] = {
        { "RESERVED_PROXY_MANAGER_ID", vtkReservedRemoteObjectIds::RESERVED_PROXY_MANAGER_ID },
        { "RESERVED_PROXY_DEFINITION_MANAGER_ID", vtkReservedRemoteObjectIds::RESERVED_PROXY_DEFINITION_MANAGER_ID },
        { "RESERVED_COLLABORATION_COMMUNICATOR_ID", vtkReservedRemoteObjectIds::RESERVED_COLLABORATION_COMMUNICATOR_ID },
        { "RESERVED_MAX_IDS", vtkReservedRemoteObjectIds::RESERVED_MAX_IDS },
      };

    o = PyvtkReservedRemoteObjectIds_ReservedGlobalIds_FromEnum(constants[c].value);
    if (o)
    {
      PyDict_SetItemString(d, constants[c].name, o);
      Py_DECREF(o);
    }
  }

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkReservedRemoteObjectIds(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkReservedRemoteObjectIds_TypeNew();

  if (o && PyDict_SetItemString(dict, "vtkReservedRemoteObjectIds", o) != 0)
  {
    Py_DECREF(o);
  }

}

