// python wrapper for vtkPVGeneralSettings
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkPVGeneralSettings.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkPVGeneralSettings(PyObject *dict); }
extern "C" { PyObject *PyvtkPVGeneralSettings_ClassNew(); }


static PyObject *
PyvtkPVGeneralSettings_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkPVGeneralSettings::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkPVGeneralSettings::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkPVGeneralSettings *tempr = vtkPVGeneralSettings::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkPVGeneralSettings *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkPVGeneralSettings::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
    else if (tempr != nullptr)
    {
      ap.DeleteVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = vtkPVGeneralSettings::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkPVGeneralSettings::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetInstance(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetInstance");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    vtkPVGeneralSettings *tempr = vtkPVGeneralSettings::GetInstance();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetAutoConvertProperties(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAutoConvertProperties");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAutoConvertProperties(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetAutoConvertProperties(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetAutoConvertProperties(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAutoConvertProperties");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetAutoConvertProperties() :
      op->vtkPVGeneralSettings::GetAutoConvertProperties());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetBlockColorsDistinctValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockColorsDistinctValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetBlockColorsDistinctValues() :
      op->vtkPVGeneralSettings::GetBlockColorsDistinctValues());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetBlockColorsDistinctValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBlockColorsDistinctValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetBlockColorsDistinctValues(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetBlockColorsDistinctValues(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetAutoApply(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAutoApply");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetAutoApply() :
      op->vtkPVGeneralSettings::GetAutoApply());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetAutoApply(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAutoApply");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAutoApply(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetAutoApply(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetAutoApplyDelay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAutoApplyDelay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetAutoApplyDelay() :
      op->vtkPVGeneralSettings::GetAutoApplyDelay());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetAutoApplyDelay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAutoApplyDelay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAutoApplyDelay(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetAutoApplyDelay(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetAutoApplyActiveOnly(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAutoApplyActiveOnly");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetAutoApplyActiveOnly() :
      op->vtkPVGeneralSettings::GetAutoApplyActiveOnly());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetAutoApplyActiveOnly(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAutoApplyActiveOnly");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAutoApplyActiveOnly(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetAutoApplyActiveOnly(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetEnableAutoMPI(PyObject *self, PyObject *args)
{
  PyErr_WarnEx(PyExc_DeprecationWarning,
    "Call to deprecated method SetEnableAutoMPI."
    " (" "AutoMPI is no longer supported" ")"
    " -- Deprecated since version " "5.10.0" ".", 1);

  vtkPythonArgs ap(self, args, "SetEnableAutoMPI");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetEnableAutoMPI(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetEnableAutoMPI(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetEnableAutoMPI(PyObject *self, PyObject *args)
{
  PyErr_WarnEx(PyExc_DeprecationWarning,
    "Call to deprecated method GetEnableAutoMPI."
    " (" "AutoMPI is no longer supported" ")"
    " -- Deprecated since version " "5.10.0" ".", 1);

  vtkPythonArgs ap(self, args, "GetEnableAutoMPI");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetEnableAutoMPI() :
      op->vtkPVGeneralSettings::GetEnableAutoMPI());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetAutoMPILimit(PyObject *self, PyObject *args)
{
  PyErr_WarnEx(PyExc_DeprecationWarning,
    "Call to deprecated method SetAutoMPILimit."
    " (" "AutoMPI is no longer supported" ")"
    " -- Deprecated since version " "5.10.0" ".", 1);

  vtkPythonArgs ap(self, args, "SetAutoMPILimit");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAutoMPILimit(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetAutoMPILimit(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetAutoMPILimit(PyObject *self, PyObject *args)
{
  PyErr_WarnEx(PyExc_DeprecationWarning,
    "Call to deprecated method GetAutoMPILimit."
    " (" "AutoMPI is no longer supported" ")"
    " -- Deprecated since version " "5.10.0" ".", 1);

  vtkPythonArgs ap(self, args, "GetAutoMPILimit");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetAutoMPILimit() :
      op->vtkPVGeneralSettings::GetAutoMPILimit());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetDefaultViewType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDefaultViewType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    char *tempr = (ap.IsBound() ?
      op->GetDefaultViewType() :
      op->vtkPVGeneralSettings::GetDefaultViewType());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetDefaultViewType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDefaultViewType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetDefaultViewType(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetDefaultViewType(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetScalarBarMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScalarBarMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetScalarBarMode() :
      op->vtkPVGeneralSettings::GetScalarBarMode());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetScalarBarMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScalarBarMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetScalarBarMode(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetScalarBarMode(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetCacheGeometryForAnimation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCacheGeometryForAnimation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetCacheGeometryForAnimation(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetCacheGeometryForAnimation(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetCacheGeometryForAnimation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCacheGeometryForAnimation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetCacheGeometryForAnimation() :
      op->vtkPVGeneralSettings::GetCacheGeometryForAnimation());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetAnimationGeometryCacheLimit(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAnimationGeometryCacheLimit");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  unsigned long temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAnimationGeometryCacheLimit(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetAnimationGeometryCacheLimit(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetAnimationGeometryCacheLimit(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAnimationGeometryCacheLimit");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    unsigned long tempr = (ap.IsBound() ?
      op->GetAnimationGeometryCacheLimit() :
      op->vtkPVGeneralSettings::GetAnimationGeometryCacheLimit());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetAnimationTimePrecision(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAnimationTimePrecision");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAnimationTimePrecision(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetAnimationTimePrecision(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetAnimationTimePrecisionMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAnimationTimePrecisionMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetAnimationTimePrecisionMinValue() :
      op->vtkPVGeneralSettings::GetAnimationTimePrecisionMinValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetAnimationTimePrecisionMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAnimationTimePrecisionMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetAnimationTimePrecisionMaxValue() :
      op->vtkPVGeneralSettings::GetAnimationTimePrecisionMaxValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetAnimationTimePrecision(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAnimationTimePrecision");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetAnimationTimePrecision() :
      op->vtkPVGeneralSettings::GetAnimationTimePrecision());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetAnimationTimeNotation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAnimationTimeNotation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAnimationTimeNotation(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetAnimationTimeNotation(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetAnimationTimeNotation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAnimationTimeNotation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetAnimationTimeNotation() :
      op->vtkPVGeneralSettings::GetAnimationTimeNotation());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetShowAnimationShortcuts(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShowAnimationShortcuts");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetShowAnimationShortcuts(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetShowAnimationShortcuts(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetShowAnimationShortcuts(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetShowAnimationShortcuts");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetShowAnimationShortcuts() :
      op->vtkPVGeneralSettings::GetShowAnimationShortcuts());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_ShowAnimationShortcutsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ShowAnimationShortcutsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->ShowAnimationShortcutsOn();
    }
    else
    {
      op->vtkPVGeneralSettings::ShowAnimationShortcutsOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_ShowAnimationShortcutsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ShowAnimationShortcutsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->ShowAnimationShortcutsOff();
    }
    else
    {
      op->vtkPVGeneralSettings::ShowAnimationShortcutsOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetResetDisplayEmptyViews(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetResetDisplayEmptyViews");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetResetDisplayEmptyViews(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetResetDisplayEmptyViews(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetResetDisplayEmptyViews(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetResetDisplayEmptyViews");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetResetDisplayEmptyViews() :
      op->vtkPVGeneralSettings::GetResetDisplayEmptyViews());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_ResetDisplayEmptyViewsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResetDisplayEmptyViewsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->ResetDisplayEmptyViewsOn();
    }
    else
    {
      op->vtkPVGeneralSettings::ResetDisplayEmptyViewsOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_ResetDisplayEmptyViewsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResetDisplayEmptyViewsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->ResetDisplayEmptyViewsOff();
    }
    else
    {
      op->vtkPVGeneralSettings::ResetDisplayEmptyViewsOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetRealNumberDisplayedNotation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRealNumberDisplayedNotation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetRealNumberDisplayedNotation(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetRealNumberDisplayedNotation(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetRealNumberDisplayedNotation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRealNumberDisplayedNotation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetRealNumberDisplayedNotation() :
      op->vtkPVGeneralSettings::GetRealNumberDisplayedNotation());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetRealNumberDisplayedPrecision(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRealNumberDisplayedPrecision");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetRealNumberDisplayedPrecision(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetRealNumberDisplayedPrecision(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetRealNumberDisplayedPrecision(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRealNumberDisplayedPrecision");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetRealNumberDisplayedPrecision() :
      op->vtkPVGeneralSettings::GetRealNumberDisplayedPrecision());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetInheritRepresentationProperties(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInheritRepresentationProperties");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetInheritRepresentationProperties(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetInheritRepresentationProperties(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetIgnoreNegativeLogAxisWarning(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIgnoreNegativeLogAxisWarning");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetIgnoreNegativeLogAxisWarning(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetIgnoreNegativeLogAxisWarning(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetIgnoreNegativeLogAxisWarning(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIgnoreNegativeLogAxisWarning");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetIgnoreNegativeLogAxisWarning() :
      op->vtkPVGeneralSettings::GetIgnoreNegativeLogAxisWarning());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetPropertiesPanelMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPropertiesPanelMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetPropertiesPanelMode(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetPropertiesPanelMode(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetPropertiesPanelMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPropertiesPanelMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetPropertiesPanelMode() :
      op->vtkPVGeneralSettings::GetPropertiesPanelMode());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetLockPanels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLockPanels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetLockPanels(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetLockPanels(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetLockPanels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLockPanels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetLockPanels() :
      op->vtkPVGeneralSettings::GetLockPanels());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetLoadAllVariables(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLoadAllVariables");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetLoadAllVariables(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetLoadAllVariables(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetLoadAllVariables(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLoadAllVariables");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetLoadAllVariables() :
      op->vtkPVGeneralSettings::GetLoadAllVariables());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetLoadNoChartVariables(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLoadNoChartVariables");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetLoadNoChartVariables(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetLoadNoChartVariables(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetLoadNoChartVariables(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLoadNoChartVariables");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetLoadNoChartVariables() :
      op->vtkPVGeneralSettings::GetLoadNoChartVariables());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetGUIFontSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGUIFontSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetGUIFontSize(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetGUIFontSize(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetGUIFontSizeMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGUIFontSizeMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetGUIFontSizeMinValue() :
      op->vtkPVGeneralSettings::GetGUIFontSizeMinValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetGUIFontSizeMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGUIFontSizeMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetGUIFontSizeMaxValue() :
      op->vtkPVGeneralSettings::GetGUIFontSizeMaxValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetGUIFontSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGUIFontSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetGUIFontSize() :
      op->vtkPVGeneralSettings::GetGUIFontSize());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetGUIOverrideFont(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGUIOverrideFont");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetGUIOverrideFont(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetGUIOverrideFont(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetGUIOverrideFont(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGUIOverrideFont");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetGUIOverrideFont() :
      op->vtkPVGeneralSettings::GetGUIOverrideFont());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetConsoleFontSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetConsoleFontSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetConsoleFontSize(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetConsoleFontSize(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetConsoleFontSizeMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetConsoleFontSizeMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetConsoleFontSizeMinValue() :
      op->vtkPVGeneralSettings::GetConsoleFontSizeMinValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetConsoleFontSizeMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetConsoleFontSizeMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetConsoleFontSizeMaxValue() :
      op->vtkPVGeneralSettings::GetConsoleFontSizeMaxValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetConsoleFontSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetConsoleFontSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetConsoleFontSize() :
      op->vtkPVGeneralSettings::GetConsoleFontSize());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetColorByBlockColorsOnApply(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorByBlockColorsOnApply");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetColorByBlockColorsOnApply(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetColorByBlockColorsOnApply(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetColorByBlockColorsOnApply(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorByBlockColorsOnApply");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetColorByBlockColorsOnApply() :
      op->vtkPVGeneralSettings::GetColorByBlockColorsOnApply());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetEnableStreaming(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEnableStreaming");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetEnableStreaming(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetEnableStreaming(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetEnableStreaming(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEnableStreaming");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetEnableStreaming() :
      op->vtkPVGeneralSettings::GetEnableStreaming());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_EnableStreamingOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EnableStreamingOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->EnableStreamingOn();
    }
    else
    {
      op->vtkPVGeneralSettings::EnableStreamingOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_EnableStreamingOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EnableStreamingOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->EnableStreamingOff();
    }
    else
    {
      op->vtkPVGeneralSettings::EnableStreamingOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetUseAcceleratedFilters(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseAcceleratedFilters");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetUseAcceleratedFilters(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetUseAcceleratedFilters(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetUseAcceleratedFilters(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseAcceleratedFilters");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetUseAcceleratedFilters() :
      op->vtkPVGeneralSettings::GetUseAcceleratedFilters());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_UseAcceleratedFiltersOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseAcceleratedFiltersOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->UseAcceleratedFiltersOn();
    }
    else
    {
      op->vtkPVGeneralSettings::UseAcceleratedFiltersOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_UseAcceleratedFiltersOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseAcceleratedFiltersOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->UseAcceleratedFiltersOff();
    }
    else
    {
      op->vtkPVGeneralSettings::UseAcceleratedFiltersOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_GetSelectOnClickMultiBlockInspector(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectOnClickMultiBlockInspector");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetSelectOnClickMultiBlockInspector() :
      op->vtkPVGeneralSettings::GetSelectOnClickMultiBlockInspector());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVGeneralSettings_SetSelectOnClickMultiBlockInspector(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSelectOnClickMultiBlockInspector");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeneralSettings *op = static_cast<vtkPVGeneralSettings *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetSelectOnClickMultiBlockInspector(temp0);
    }
    else
    {
      op->vtkPVGeneralSettings::SetSelectOnClickMultiBlockInspector(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkPVGeneralSettings_Methods[] = {
  {"IsTypeOf", PyvtkPVGeneralSettings_IsTypeOf, METH_VARARGS,
   "IsTypeOf(type:str) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkPVGeneralSettings_IsA, METH_VARARGS,
   "IsA(self, type:str) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkPVGeneralSettings_SafeDownCast, METH_VARARGS,
   "SafeDownCast(o:vtkObjectBase) -> vtkPVGeneralSettings\nC++: static vtkPVGeneralSettings *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkPVGeneralSettings_NewInstance, METH_VARARGS,
   "NewInstance(self) -> vtkPVGeneralSettings\nC++: vtkPVGeneralSettings *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkPVGeneralSettings_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "GetNumberOfGenerationsFromBaseType(type:str) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkPVGeneralSettings_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "GetNumberOfGenerationsFromBase(self, type:str) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetInstance", PyvtkPVGeneralSettings_GetInstance, METH_VARARGS,
   "GetInstance() -> vtkPVGeneralSettings\nC++: static vtkPVGeneralSettings *GetInstance()\n\nAccess the singleton.\n"},
  {"SetAutoConvertProperties", PyvtkPVGeneralSettings_SetAutoConvertProperties, METH_VARARGS,
   "SetAutoConvertProperties(self, val:bool) -> None\nC++: void SetAutoConvertProperties(bool val)\n\nAutomatically convert data arrays as needed by filters including\nconverting cell arrays to point arrays, or vice versa, and\nextracting single components from multi-component arrays.\nForwards the call to\nvtkSMInputArrayDomain::SetAutomaticPropertyConversion.\n"},
  {"GetAutoConvertProperties", PyvtkPVGeneralSettings_GetAutoConvertProperties, METH_VARARGS,
   "GetAutoConvertProperties(self) -> bool\nC++: bool GetAutoConvertProperties()\n\nAutomatically convert data arrays as needed by filters including\nconverting cell arrays to point arrays, or vice versa, and\nextracting single components from multi-component arrays.\nForwards the call to\nvtkSMInputArrayDomain::SetAutomaticPropertyConversion.\n"},
  {"GetBlockColorsDistinctValues", PyvtkPVGeneralSettings_GetBlockColorsDistinctValues, METH_VARARGS,
   "GetBlockColorsDistinctValues(self) -> int\nC++: virtual int GetBlockColorsDistinctValues()\n\nDetermines the number of distinct values in vtkBlockColors. This\narray is added to each block if the dataset is a composite\ndataset. The array has one value set to (blockIndex %\nBlockColorsDistinctValues)\n"},
  {"SetBlockColorsDistinctValues", PyvtkPVGeneralSettings_SetBlockColorsDistinctValues, METH_VARARGS,
   "SetBlockColorsDistinctValues(self, _arg:int) -> None\nC++: virtual void SetBlockColorsDistinctValues(int _arg)\n\nDetermines the number of distinct values in vtkBlockColors. This\narray is added to each block if the dataset is a composite\ndataset. The array has one value set to (blockIndex %\nBlockColorsDistinctValues)\n"},
  {"GetAutoApply", PyvtkPVGeneralSettings_GetAutoApply, METH_VARARGS,
   "GetAutoApply(self) -> bool\nC++: virtual bool GetAutoApply()\n\nAutomatically apply changes in the 'Properties' panel. Default is\nfalse.\n"},
  {"SetAutoApply", PyvtkPVGeneralSettings_SetAutoApply, METH_VARARGS,
   "SetAutoApply(self, _arg:bool) -> None\nC++: virtual void SetAutoApply(bool _arg)\n\nAutomatically apply changes in the 'Properties' panel. Default is\nfalse.\n"},
  {"GetAutoApplyDelay", PyvtkPVGeneralSettings_GetAutoApplyDelay, METH_VARARGS,
   "GetAutoApplyDelay(self) -> int\nC++: virtual int GetAutoApplyDelay()\n\nGet/Set delay for auto apply. Not exposed in the UI. Default is\n0.\n"},
  {"SetAutoApplyDelay", PyvtkPVGeneralSettings_SetAutoApplyDelay, METH_VARARGS,
   "SetAutoApplyDelay(self, _arg:int) -> None\nC++: virtual void SetAutoApplyDelay(int _arg)\n\nGet/Set delay for auto apply. Not exposed in the UI. Default is\n0.\n"},
  {"GetAutoApplyActiveOnly", PyvtkPVGeneralSettings_GetAutoApplyActiveOnly, METH_VARARGS,
   "GetAutoApplyActiveOnly(self) -> bool\nC++: virtual bool GetAutoApplyActiveOnly()\n\nAutomatically apply changes in the 'Properties' panel. Default is\nfalse.\n"},
  {"SetAutoApplyActiveOnly", PyvtkPVGeneralSettings_SetAutoApplyActiveOnly, METH_VARARGS,
   "SetAutoApplyActiveOnly(self, _arg:bool) -> None\nC++: virtual void SetAutoApplyActiveOnly(bool _arg)\n\nAutomatically apply changes in the 'Properties' panel. Default is\nfalse.\n"},
  {"SetEnableAutoMPI", PyvtkPVGeneralSettings_SetEnableAutoMPI, METH_VARARGS,
   "SetEnableAutoMPI(self, __a:bool) -> None\nC++: void SetEnableAutoMPI(bool)\n\nDeprecated. AutoMPI is no longer supported.\n"},
  {"GetEnableAutoMPI", PyvtkPVGeneralSettings_GetEnableAutoMPI, METH_VARARGS,
   "GetEnableAutoMPI(self) -> bool\nC++: bool GetEnableAutoMPI()\n\nDeprecated. AutoMPI is no longer supported.\n"},
  {"SetAutoMPILimit", PyvtkPVGeneralSettings_SetAutoMPILimit, METH_VARARGS,
   "SetAutoMPILimit(self, val:int) -> None\nC++: void SetAutoMPILimit(int val)\n\nDeprecated. AutoMPI is no longer supported.\n"},
  {"GetAutoMPILimit", PyvtkPVGeneralSettings_GetAutoMPILimit, METH_VARARGS,
   "GetAutoMPILimit(self) -> int\nC++: int GetAutoMPILimit()\n\nDeprecated. AutoMPI is no longer supported.\n"},
  {"GetDefaultViewType", PyvtkPVGeneralSettings_GetDefaultViewType, METH_VARARGS,
   "GetDefaultViewType(self) -> str\nC++: virtual char *GetDefaultViewType()\n\nGet/Set the default view type.\n"},
  {"SetDefaultViewType", PyvtkPVGeneralSettings_SetDefaultViewType, METH_VARARGS,
   "SetDefaultViewType(self, _arg:str) -> None\nC++: virtual void SetDefaultViewType(const char *_arg)\n\nGet/Set the default view type.\n"},
  {"GetScalarBarMode", PyvtkPVGeneralSettings_GetScalarBarMode, METH_VARARGS,
   "GetScalarBarMode(self) -> int\nC++: virtual int GetScalarBarMode()\n\nEnum for ScalarBarMode.\n"},
  {"SetScalarBarMode", PyvtkPVGeneralSettings_SetScalarBarMode, METH_VARARGS,
   "SetScalarBarMode(self, __a:int) -> None\nC++: void SetScalarBarMode(int)\n\nEnum for ScalarBarMode.\n"},
  {"SetCacheGeometryForAnimation", PyvtkPVGeneralSettings_SetCacheGeometryForAnimation, METH_VARARGS,
   "SetCacheGeometryForAnimation(self, val:bool) -> None\nC++: void SetCacheGeometryForAnimation(bool val)\n\nSet when animation geometry caching is enabled.\n"},
  {"GetCacheGeometryForAnimation", PyvtkPVGeneralSettings_GetCacheGeometryForAnimation, METH_VARARGS,
   "GetCacheGeometryForAnimation(self) -> bool\nC++: bool GetCacheGeometryForAnimation()\n\nSet when animation geometry caching is enabled.\n"},
  {"SetAnimationGeometryCacheLimit", PyvtkPVGeneralSettings_SetAnimationGeometryCacheLimit, METH_VARARGS,
   "SetAnimationGeometryCacheLimit(self, val:int) -> None\nC++: void SetAnimationGeometryCacheLimit(unsigned long val)\n\nSet the animation cache limit in KBs.\n"},
  {"GetAnimationGeometryCacheLimit", PyvtkPVGeneralSettings_GetAnimationGeometryCacheLimit, METH_VARARGS,
   "GetAnimationGeometryCacheLimit(self) -> int\nC++: virtual unsigned long GetAnimationGeometryCacheLimit()\n\nSet the animation cache limit in KBs.\n"},
  {"SetAnimationTimePrecision", PyvtkPVGeneralSettings_SetAnimationTimePrecision, METH_VARARGS,
   "SetAnimationTimePrecision(self, _arg:int) -> None\nC++: virtual void SetAnimationTimePrecision(int _arg)\n\nSet the precision of the animation time toolbar.\n"},
  {"GetAnimationTimePrecisionMinValue", PyvtkPVGeneralSettings_GetAnimationTimePrecisionMinValue, METH_VARARGS,
   "GetAnimationTimePrecisionMinValue(self) -> int\nC++: virtual int GetAnimationTimePrecisionMinValue()\n\nSet the precision of the animation time toolbar.\n"},
  {"GetAnimationTimePrecisionMaxValue", PyvtkPVGeneralSettings_GetAnimationTimePrecisionMaxValue, METH_VARARGS,
   "GetAnimationTimePrecisionMaxValue(self) -> int\nC++: virtual int GetAnimationTimePrecisionMaxValue()\n\nSet the precision of the animation time toolbar.\n"},
  {"GetAnimationTimePrecision", PyvtkPVGeneralSettings_GetAnimationTimePrecision, METH_VARARGS,
   "GetAnimationTimePrecision(self) -> int\nC++: virtual int GetAnimationTimePrecision()\n\nSet the precision of the animation time toolbar.\n"},
  {"SetAnimationTimeNotation", PyvtkPVGeneralSettings_SetAnimationTimeNotation, METH_VARARGS,
   "SetAnimationTimeNotation(self, _arg:int) -> None\nC++: virtual void SetAnimationTimeNotation(int _arg)\n\nSet the notation for the animation time toolbar. Accepted values\nare MIXED, SCIENTIFIC, and FIXED.\n"},
  {"GetAnimationTimeNotation", PyvtkPVGeneralSettings_GetAnimationTimeNotation, METH_VARARGS,
   "GetAnimationTimeNotation(self) -> int\nC++: virtual int GetAnimationTimeNotation()\n\nSet the notation for the animation time toolbar. Accepted values\nare MIXED, SCIENTIFIC, and FIXED.\n"},
  {"SetShowAnimationShortcuts", PyvtkPVGeneralSettings_SetShowAnimationShortcuts, METH_VARARGS,
   "SetShowAnimationShortcuts(self, _arg:bool) -> None\nC++: virtual void SetShowAnimationShortcuts(bool _arg)\n\nSet when animation shortcuts are shown.\n"},
  {"GetShowAnimationShortcuts", PyvtkPVGeneralSettings_GetShowAnimationShortcuts, METH_VARARGS,
   "GetShowAnimationShortcuts(self) -> bool\nC++: virtual bool GetShowAnimationShortcuts()\n\nSet when animation shortcuts are shown.\n"},
  {"ShowAnimationShortcutsOn", PyvtkPVGeneralSettings_ShowAnimationShortcutsOn, METH_VARARGS,
   "ShowAnimationShortcutsOn(self) -> None\nC++: virtual void ShowAnimationShortcutsOn()\n\nSet when animation shortcuts are shown.\n"},
  {"ShowAnimationShortcutsOff", PyvtkPVGeneralSettings_ShowAnimationShortcutsOff, METH_VARARGS,
   "ShowAnimationShortcutsOff(self) -> None\nC++: virtual void ShowAnimationShortcutsOff()\n\nSet when animation shortcuts are shown.\n"},
  {"SetResetDisplayEmptyViews", PyvtkPVGeneralSettings_SetResetDisplayEmptyViews, METH_VARARGS,
   "SetResetDisplayEmptyViews(self, _arg:bool) -> None\nC++: virtual void SetResetDisplayEmptyViews(bool _arg)\n\nSet whether to reset display when showing a representation in an\nempty view.\n"},
  {"GetResetDisplayEmptyViews", PyvtkPVGeneralSettings_GetResetDisplayEmptyViews, METH_VARARGS,
   "GetResetDisplayEmptyViews(self) -> bool\nC++: virtual bool GetResetDisplayEmptyViews()\n\nSet whether to reset display when showing a representation in an\nempty view.\n"},
  {"ResetDisplayEmptyViewsOn", PyvtkPVGeneralSettings_ResetDisplayEmptyViewsOn, METH_VARARGS,
   "ResetDisplayEmptyViewsOn(self) -> None\nC++: virtual void ResetDisplayEmptyViewsOn()\n\nSet whether to reset display when showing a representation in an\nempty view.\n"},
  {"ResetDisplayEmptyViewsOff", PyvtkPVGeneralSettings_ResetDisplayEmptyViewsOff, METH_VARARGS,
   "ResetDisplayEmptyViewsOff(self) -> None\nC++: virtual void ResetDisplayEmptyViewsOff()\n\nSet whether to reset display when showing a representation in an\nempty view.\n"},
  {"SetRealNumberDisplayedNotation", PyvtkPVGeneralSettings_SetRealNumberDisplayedNotation, METH_VARARGS,
   "SetRealNumberDisplayedNotation(self, _arg:int) -> None\nC++: virtual void SetRealNumberDisplayedNotation(int _arg)\n\nGet/Set the notation of real number displayed in widgets or\nviews.\n"},
  {"GetRealNumberDisplayedNotation", PyvtkPVGeneralSettings_GetRealNumberDisplayedNotation, METH_VARARGS,
   "GetRealNumberDisplayedNotation(self) -> int\nC++: virtual int GetRealNumberDisplayedNotation()\n\nGet/Set the notation of real number displayed in widgets or\nviews.\n"},
  {"SetRealNumberDisplayedPrecision", PyvtkPVGeneralSettings_SetRealNumberDisplayedPrecision, METH_VARARGS,
   "SetRealNumberDisplayedPrecision(self, _arg:int) -> None\nC++: virtual void SetRealNumberDisplayedPrecision(int _arg)\n\nGet/Set the precision of real number displayed in widgets or\nviews.\n"},
  {"GetRealNumberDisplayedPrecision", PyvtkPVGeneralSettings_GetRealNumberDisplayedPrecision, METH_VARARGS,
   "GetRealNumberDisplayedPrecision(self) -> int\nC++: virtual int GetRealNumberDisplayedPrecision()\n\nGet/Set the precision of real number displayed in widgets or\nviews.\n"},
  {"SetInheritRepresentationProperties", PyvtkPVGeneralSettings_SetInheritRepresentationProperties, METH_VARARGS,
   "SetInheritRepresentationProperties(self, val:bool) -> None\nC++: void SetInheritRepresentationProperties(bool val)\n\nForwarded for vtkSMParaViewPipelineControllerWithRendering.\n"},
  {"SetIgnoreNegativeLogAxisWarning", PyvtkPVGeneralSettings_SetIgnoreNegativeLogAxisWarning, METH_VARARGS,
   "SetIgnoreNegativeLogAxisWarning(self, val:bool) -> None\nC++: void SetIgnoreNegativeLogAxisWarning(bool val)\n\nWhen plotting data with nonpositive values, ignore the standard\nwarning and draw only the data with positive values.\n"},
  {"GetIgnoreNegativeLogAxisWarning", PyvtkPVGeneralSettings_GetIgnoreNegativeLogAxisWarning, METH_VARARGS,
   "GetIgnoreNegativeLogAxisWarning(self) -> bool\nC++: bool GetIgnoreNegativeLogAxisWarning()\n\nWhen plotting data with nonpositive values, ignore the standard\nwarning and draw only the data with positive values.\n"},
  {"SetPropertiesPanelMode", PyvtkPVGeneralSettings_SetPropertiesPanelMode, METH_VARARGS,
   "SetPropertiesPanelMode(self, _arg:int) -> None\nC++: virtual void SetPropertiesPanelMode(int _arg)\n\nProperties panel configuration.\n"},
  {"GetPropertiesPanelMode", PyvtkPVGeneralSettings_GetPropertiesPanelMode, METH_VARARGS,
   "GetPropertiesPanelMode(self) -> int\nC++: virtual int GetPropertiesPanelMode()\n\nProperties panel configuration.\n"},
  {"SetLockPanels", PyvtkPVGeneralSettings_SetLockPanels, METH_VARARGS,
   "SetLockPanels(self, _arg:bool) -> None\nC++: virtual void SetLockPanels(bool _arg)\n\nSet whether to dock widgets into place.\n"},
  {"GetLockPanels", PyvtkPVGeneralSettings_GetLockPanels, METH_VARARGS,
   "GetLockPanels(self) -> bool\nC++: virtual bool GetLockPanels()\n\nSet whether to dock widgets into place.\n"},
  {"SetLoadAllVariables", PyvtkPVGeneralSettings_SetLoadAllVariables, METH_VARARGS,
   "SetLoadAllVariables(self, val:bool) -> None\nC++: void SetLoadAllVariables(bool val)\n\nLoad all variables when loading a data set.\n"},
  {"GetLoadAllVariables", PyvtkPVGeneralSettings_GetLoadAllVariables, METH_VARARGS,
   "GetLoadAllVariables(self) -> bool\nC++: bool GetLoadAllVariables()\n\nLoad all variables when loading a data set.\n"},
  {"SetLoadNoChartVariables", PyvtkPVGeneralSettings_SetLoadNoChartVariables, METH_VARARGS,
   "SetLoadNoChartVariables(self, val:bool) -> None\nC++: void SetLoadNoChartVariables(bool val)\n\nLoad no variables when showing a 2D chart.\n"},
  {"GetLoadNoChartVariables", PyvtkPVGeneralSettings_GetLoadNoChartVariables, METH_VARARGS,
   "GetLoadNoChartVariables(self) -> bool\nC++: bool GetLoadNoChartVariables()\n\nLoad no variables when showing a 2D chart.\n"},
  {"SetGUIFontSize", PyvtkPVGeneralSettings_SetGUIFontSize, METH_VARARGS,
   "SetGUIFontSize(self, _arg:int) -> None\nC++: virtual void SetGUIFontSize(int _arg)\n\nGet/Set the GUI font size. This is used only if GUIOverrideFont\nis true.\n"},
  {"GetGUIFontSizeMinValue", PyvtkPVGeneralSettings_GetGUIFontSizeMinValue, METH_VARARGS,
   "GetGUIFontSizeMinValue(self) -> int\nC++: virtual int GetGUIFontSizeMinValue()\n\nGet/Set the GUI font size. This is used only if GUIOverrideFont\nis true.\n"},
  {"GetGUIFontSizeMaxValue", PyvtkPVGeneralSettings_GetGUIFontSizeMaxValue, METH_VARARGS,
   "GetGUIFontSizeMaxValue(self) -> int\nC++: virtual int GetGUIFontSizeMaxValue()\n\nGet/Set the GUI font size. This is used only if GUIOverrideFont\nis true.\n"},
  {"GetGUIFontSize", PyvtkPVGeneralSettings_GetGUIFontSize, METH_VARARGS,
   "GetGUIFontSize(self) -> int\nC++: virtual int GetGUIFontSize()\n\nGet/Set the GUI font size. This is used only if GUIOverrideFont\nis true.\n"},
  {"SetGUIOverrideFont", PyvtkPVGeneralSettings_SetGUIOverrideFont, METH_VARARGS,
   "SetGUIOverrideFont(self, _arg:bool) -> None\nC++: virtual void SetGUIOverrideFont(bool _arg)\n\nGet/Set whether the GUIFontSize should be used.\n"},
  {"GetGUIOverrideFont", PyvtkPVGeneralSettings_GetGUIOverrideFont, METH_VARARGS,
   "GetGUIOverrideFont(self) -> bool\nC++: virtual bool GetGUIOverrideFont()\n\nGet/Set whether the GUIFontSize should be used.\n"},
  {"SetConsoleFontSize", PyvtkPVGeneralSettings_SetConsoleFontSize, METH_VARARGS,
   "SetConsoleFontSize(self, _arg:int) -> None\nC++: virtual void SetConsoleFontSize(int _arg)\n\nConsole font size.\n"},
  {"GetConsoleFontSizeMinValue", PyvtkPVGeneralSettings_GetConsoleFontSizeMinValue, METH_VARARGS,
   "GetConsoleFontSizeMinValue(self) -> int\nC++: virtual int GetConsoleFontSizeMinValue()\n\nConsole font size.\n"},
  {"GetConsoleFontSizeMaxValue", PyvtkPVGeneralSettings_GetConsoleFontSizeMaxValue, METH_VARARGS,
   "GetConsoleFontSizeMaxValue(self) -> int\nC++: virtual int GetConsoleFontSizeMaxValue()\n\nConsole font size.\n"},
  {"GetConsoleFontSize", PyvtkPVGeneralSettings_GetConsoleFontSize, METH_VARARGS,
   "GetConsoleFontSize(self) -> int\nC++: virtual int GetConsoleFontSize()\n\nConsole font size.\n"},
  {"SetColorByBlockColorsOnApply", PyvtkPVGeneralSettings_SetColorByBlockColorsOnApply, METH_VARARGS,
   "SetColorByBlockColorsOnApply(self, _arg:bool) -> None\nC++: virtual void SetColorByBlockColorsOnApply(bool _arg)\n\nAutomatically color by **vtkBlockColors** if array is present on\n`Apply`.\n"},
  {"GetColorByBlockColorsOnApply", PyvtkPVGeneralSettings_GetColorByBlockColorsOnApply, METH_VARARGS,
   "GetColorByBlockColorsOnApply(self) -> bool\nC++: virtual bool GetColorByBlockColorsOnApply()\n\nAutomatically color by **vtkBlockColors** if array is present on\n`Apply`.\n"},
  {"SetEnableStreaming", PyvtkPVGeneralSettings_SetEnableStreaming, METH_VARARGS,
   "SetEnableStreaming(self, __a:bool) -> None\nC++: void SetEnableStreaming(bool)\n\nTurn on streamed rendering.\n"},
  {"GetEnableStreaming", PyvtkPVGeneralSettings_GetEnableStreaming, METH_VARARGS,
   "GetEnableStreaming(self) -> bool\nC++: virtual bool GetEnableStreaming()\n\nTurn on streamed rendering.\n"},
  {"EnableStreamingOn", PyvtkPVGeneralSettings_EnableStreamingOn, METH_VARARGS,
   "EnableStreamingOn(self) -> None\nC++: virtual void EnableStreamingOn()\n\nTurn on streamed rendering.\n"},
  {"EnableStreamingOff", PyvtkPVGeneralSettings_EnableStreamingOff, METH_VARARGS,
   "EnableStreamingOff(self) -> None\nC++: virtual void EnableStreamingOff()\n\nTurn on streamed rendering.\n"},
  {"SetUseAcceleratedFilters", PyvtkPVGeneralSettings_SetUseAcceleratedFilters, METH_VARARGS,
   "SetUseAcceleratedFilters(self, __a:bool) -> None\nC++: void SetUseAcceleratedFilters(bool)\n\nEnable use of accelerated filters where available.\n"},
  {"GetUseAcceleratedFilters", PyvtkPVGeneralSettings_GetUseAcceleratedFilters, METH_VARARGS,
   "GetUseAcceleratedFilters(self) -> bool\nC++: bool GetUseAcceleratedFilters()\n\nEnable use of accelerated filters where available.\n"},
  {"UseAcceleratedFiltersOn", PyvtkPVGeneralSettings_UseAcceleratedFiltersOn, METH_VARARGS,
   "UseAcceleratedFiltersOn(self) -> None\nC++: virtual void UseAcceleratedFiltersOn()\n\nEnable use of accelerated filters where available.\n"},
  {"UseAcceleratedFiltersOff", PyvtkPVGeneralSettings_UseAcceleratedFiltersOff, METH_VARARGS,
   "UseAcceleratedFiltersOff(self) -> None\nC++: virtual void UseAcceleratedFiltersOff()\n\nEnable use of accelerated filters where available.\n"},
  {"GetSelectOnClickMultiBlockInspector", PyvtkPVGeneralSettings_GetSelectOnClickMultiBlockInspector, METH_VARARGS,
   "GetSelectOnClickMultiBlockInspector(self) -> bool\nC++: virtual bool GetSelectOnClickMultiBlockInspector()\n\nActiveSelection is hooked up in the MultiBlock Inspector such\nthat a click on a/multiple block(s) selects it/them. Default is\ntrue.\n"},
  {"SetSelectOnClickMultiBlockInspector", PyvtkPVGeneralSettings_SetSelectOnClickMultiBlockInspector, METH_VARARGS,
   "SetSelectOnClickMultiBlockInspector(self, _arg:bool) -> None\nC++: virtual void SetSelectOnClickMultiBlockInspector(bool _arg)\n\nActiveSelection is hooked up in the MultiBlock Inspector such\nthat a click on a/multiple block(s) selects it/them. Default is\ntrue.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static const char *PyvtkPVGeneralSettings_Doc =
  "vtkPVGeneralSettings - object for general options.\n\n"
  "Superclass: vtkObject\n\n"
  "vtkPVGeneralSettings keeps track of general options in a ParaView\n"
  "application. This is a singleton. All calls to\n"
  "vtkPVGeneralSettings::New() return a pointer to the same global\n"
  "instance (with reference count incremented as expected).\n\n";

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkPVGeneralSettings_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRemotingSettings.vtkPVGeneralSettings", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkPVGeneralSettings_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkPVGeneralSettings_StaticNew()
{
  return vtkPVGeneralSettings::New();
}

PyObject *PyvtkPVGeneralSettings_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkPVGeneralSettings_Type, PyvtkPVGeneralSettings_Methods,
    "vtkPVGeneralSettings",
 &PyvtkPVGeneralSettings_StaticNew);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#ifndef VTK_PY3K
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = vtkPythonUtil::FindBaseTypeObject("vtkObject");

  PyObject *d = pytype->tp_dict;
  PyObject *o;

  for (int c = 0; c < 15; c++)
  {
    static const struct { const char *name; int value; }
      constants[15] = {
        { "DEFAULT_TIME_STEP_UNCHANGED", vtkPVGeneralSettings::DEFAULT_TIME_STEP_UNCHANGED },
        { "DEFAULT_TIME_STEP_FIRST", vtkPVGeneralSettings::DEFAULT_TIME_STEP_FIRST },
        { "DEFAULT_TIME_STEP_LAST", vtkPVGeneralSettings::DEFAULT_TIME_STEP_LAST },
        { "AUTOMATICALLY_SHOW_AND_HIDE_SCALAR_BARS", vtkPVGeneralSettings::AUTOMATICALLY_SHOW_AND_HIDE_SCALAR_BARS },
        { "AUTOMATICALLY_HIDE_SCALAR_BARS", vtkPVGeneralSettings::AUTOMATICALLY_HIDE_SCALAR_BARS },
        { "MANUAL_SCALAR_BARS", vtkPVGeneralSettings::MANUAL_SCALAR_BARS },
        { "MIXED", vtkPVGeneralSettings::MIXED },
        { "SCIENTIFIC", vtkPVGeneralSettings::SCIENTIFIC },
        { "FIXED", vtkPVGeneralSettings::FIXED },
        { "DISPLAY_REALNUMBERS_USING_SCIENTIFIC_NOTATION", vtkPVGeneralSettings::DISPLAY_REALNUMBERS_USING_SCIENTIFIC_NOTATION },
        { "DISPLAY_REALNUMBERS_USING_FIXED_NOTATION", vtkPVGeneralSettings::DISPLAY_REALNUMBERS_USING_FIXED_NOTATION },
        { "ALL_IN_ONE", vtkPVGeneralSettings::ALL_IN_ONE },
        { "SEPARATE_DISPLAY_PROPERTIES", vtkPVGeneralSettings::SEPARATE_DISPLAY_PROPERTIES },
        { "SEPARATE_VIEW_PROPERTIES", vtkPVGeneralSettings::SEPARATE_VIEW_PROPERTIES },
        { "ALL_SEPARATE", vtkPVGeneralSettings::ALL_SEPARATE },
      };

    o = PyInt_FromLong(constants[c].value);
    if (o)
    {
      PyDict_SetItemString(d, constants[c].name, o);
      Py_DECREF(o);
    }
  }

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkPVGeneralSettings(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkPVGeneralSettings_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkPVGeneralSettings", o) != 0)
  {
    Py_DECREF(o);
  }

}

