// python wrapper for vtkHyperTreeGridRepresentation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkHyperTreeGridRepresentation.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkHyperTreeGridRepresentation(PyObject *dict); }
extern "C" { PyObject *PyvtkHyperTreeGridRepresentation_ClassNew(); }

#ifndef DECLARED_PyvtkPVDataRepresentation_ClassNew
extern "C" { PyObject *PyvtkPVDataRepresentation_ClassNew(); }
#define DECLARED_PyvtkPVDataRepresentation_ClassNew
#endif
#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkHyperTreeGridRepresentation_RepresentationTypes_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRemotingViews.vtkHyperTreeGridRepresentation.RepresentationTypes", // tp_name
  sizeof(PyIntObject), // tp_basicsize
  0, // tp_itemsize
  nullptr, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  nullptr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  nullptr, // tp_str
  nullptr, // tp_getattro
  nullptr, // tp_setattro
  nullptr, // tp_as_buffer
  Py_TPFLAGS_DEFAULT, // tp_flags
  nullptr, // tp_doc
  nullptr, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  0, // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  nullptr, // tp_getset
  &PyInt_Type, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  0, // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  nullptr, // tp_new
  PyObject_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

template<class T>
PyObject *PyvtkHyperTreeGridRepresentation_RepresentationTypes_FromEnum(T val)
{
  return PyVTKEnum_New(&PyvtkHyperTreeGridRepresentation_RepresentationTypes_Type, static_cast<int>(val));
}


static PyObject *
PyvtkHyperTreeGridRepresentation_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkHyperTreeGridRepresentation::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkHyperTreeGridRepresentation::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkHyperTreeGridRepresentation *tempr = vtkHyperTreeGridRepresentation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkHyperTreeGridRepresentation *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkHyperTreeGridRepresentation::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
    else if (tempr != nullptr)
    {
      ap.DeleteVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = vtkHyperTreeGridRepresentation::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkHyperTreeGridRepresentation::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_ProcessViewRequest(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ProcessViewRequest");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  vtkInformationRequestKey *temp0 = nullptr;
  vtkInformation *temp1 = nullptr;
  vtkInformation *temp2 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkInformationRequestKey") &&
      ap.GetVTKObject(temp1, "vtkInformation") &&
      ap.GetVTKObject(temp2, "vtkInformation"))
  {
    int tempr = (ap.IsBound() ?
      op->ProcessViewRequest(temp0, temp1, temp2) :
      op->vtkHyperTreeGridRepresentation::ProcessViewRequest(temp0, temp1, temp2));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetVisibility(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetVisibility(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetAdaptiveDecimation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAdaptiveDecimation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetAdaptiveDecimation() :
      op->vtkHyperTreeGridRepresentation::GetAdaptiveDecimation());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetAdaptiveDecimation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAdaptiveDecimation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAdaptiveDecimation(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetAdaptiveDecimation(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_AdaptiveDecimationOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AdaptiveDecimationOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->AdaptiveDecimationOn();
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::AdaptiveDecimationOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_AdaptiveDecimationOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AdaptiveDecimationOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->AdaptiveDecimationOff();
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::AdaptiveDecimationOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetAmbient(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAmbient");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAmbient(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetAmbient(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetDiffuse(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDiffuse");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetDiffuse(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetDiffuse(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetSpecular(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSpecular");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetSpecular(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetSpecular(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetAmbient(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAmbient");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetAmbient() :
      op->vtkHyperTreeGridRepresentation::GetAmbient());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetDiffuse(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDiffuse");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetDiffuse() :
      op->vtkHyperTreeGridRepresentation::GetDiffuse());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetSpecular(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSpecular");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetSpecular() :
      op->vtkHyperTreeGridRepresentation::GetSpecular());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetRepresentation_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetRepresentation(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetRepresentation(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkHyperTreeGridRepresentation_SetRepresentation_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetRepresentation(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetRepresentation(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkHyperTreeGridRepresentation_SetRepresentation_Methods[] = {
  {nullptr, PyvtkHyperTreeGridRepresentation_SetRepresentation_s1, METH_VARARGS,
   "@i"},
  {nullptr, PyvtkHyperTreeGridRepresentation_SetRepresentation_s2, METH_VARARGS,
   "@z"},
  {nullptr, nullptr, 0, nullptr}
};

static PyObject *
PyvtkHyperTreeGridRepresentation_SetRepresentation(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkHyperTreeGridRepresentation_SetRepresentation_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
  {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "SetRepresentation");
  return nullptr;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetRepresentationMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRepresentationMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetRepresentationMinValue() :
      op->vtkHyperTreeGridRepresentation::GetRepresentationMinValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetRepresentationMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRepresentationMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetRepresentationMaxValue() :
      op->vtkHyperTreeGridRepresentation::GetRepresentationMaxValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetRepresentation() :
      op->vtkHyperTreeGridRepresentation::GetRepresentation());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetRenderedDataObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderedDataObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    vtkDataObject *tempr = (ap.IsBound() ?
      op->GetRenderedDataObject(temp0) :
      op->vtkHyperTreeGridRepresentation::GetRenderedDataObject(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetUseOutline(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseOutline");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetUseOutline(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetUseOutline(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetAmbientColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAmbientColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetAmbientColor(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetAmbientColor(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetBaseIOR(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBaseIOR");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetBaseIOR(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetBaseIOR(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetBaseColorTexture(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBaseColorTexture");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  vtkTexture *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTexture"))
  {
    if (ap.IsBound())
    {
      op->SetBaseColorTexture(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetBaseColorTexture(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetCoatIOR(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCoatIOR");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetCoatIOR(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetCoatIOR(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetCoatStrength(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCoatStrength");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetCoatStrength(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetCoatStrength(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetCoatRoughness(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCoatRoughness");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetCoatRoughness(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetCoatRoughness(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetCoatColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCoatColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetCoatColor(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetCoatColor(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetCoatNormalScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCoatNormalScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetCoatNormalScale(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetCoatNormalScale(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetColor(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetColor(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetDiffuseColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDiffuseColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetDiffuseColor(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetDiffuseColor(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetEdgeColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEdgeColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetEdgeColor(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetEdgeColor(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetEdgeTint(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEdgeTint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetEdgeTint(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetEdgeTint(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetEmissiveFactor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEmissiveFactor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetEmissiveFactor(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetEmissiveFactor(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetEmissiveTexture(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEmissiveTexture");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  vtkTexture *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTexture"))
  {
    if (ap.IsBound())
    {
      op->SetEmissiveTexture(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetEmissiveTexture(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetInteractiveSelectionColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInteractiveSelectionColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetInteractiveSelectionColor(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetInteractiveSelectionColor(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetInterpolation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInterpolation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetInterpolation(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetInterpolation(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetLineWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLineWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetLineWidth(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetLineWidth(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetMaterial(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaterial");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  std::string temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetMaterial(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetMaterial(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetMaterialTexture(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaterialTexture");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  vtkTexture *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTexture"))
  {
    if (ap.IsBound())
    {
      op->SetMaterialTexture(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetMaterialTexture(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetMetallic(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMetallic");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetMetallic(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetMetallic(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetNormalScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNormalScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetNormalScale(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetNormalScale(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetNormalTexture(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNormalTexture");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  vtkTexture *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTexture"))
  {
    if (ap.IsBound())
    {
      op->SetNormalTexture(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetNormalTexture(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetOcclusionStrength(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOcclusionStrength");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetOcclusionStrength(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetOcclusionStrength(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetOpacity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOpacity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetOpacity(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetOpacity(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetPointSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPointSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetPointSize(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetPointSize(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetRenderLinesAsTubes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRenderLinesAsTubes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetRenderLinesAsTubes(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetRenderLinesAsTubes(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetRenderPointsAsSpheres(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRenderPointsAsSpheres");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetRenderPointsAsSpheres(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetRenderPointsAsSpheres(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetRoughness(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRoughness");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetRoughness(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetRoughness(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetSpecularColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSpecularColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetSpecularColor(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetSpecularColor(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetSpecularPower(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSpecularPower");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetSpecularPower(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetSpecularPower(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetFlipTextures(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFlipTextures");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetFlipTextures(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetFlipTextures(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetOrientation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetOrientation(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetOrientation(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetOrigin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrigin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetOrigin(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetOrigin(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetPickable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPickable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetPickable(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetPickable(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetPosition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetPosition(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetPosition(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    if (ap.IsBound())
    {
      op->SetScale(temp0, temp1, temp2);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetScale(temp0, temp1, temp2);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetTexture(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTexture");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  vtkTexture *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTexture"))
  {
    if (ap.IsBound())
    {
      op->SetTexture(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetTexture(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetUserTransform(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUserTransform");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  const size_t size0 = 16;
  double temp0[16];
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
  {
    if (ap.IsBound())
    {
      op->SetUserTransform(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetUserTransform(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetEnableScaling(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEnableScaling");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetEnableScaling(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetEnableScaling(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetScalingArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScalingArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetScalingArrayName(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetScalingArrayName(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetScalingFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScalingFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  vtkPiecewiseFunction *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPiecewiseFunction"))
  {
    if (ap.IsBound())
    {
      op->SetScalingFunction(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetScalingFunction(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetLuminosity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLuminosity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetLuminosity(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetLuminosity(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetRepeatTextures(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRepeatTextures");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetRepeatTextures(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetRepeatTextures(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetRepeatTextures(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRepeatTextures");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetRepeatTextures() :
      op->vtkHyperTreeGridRepresentation::GetRepeatTextures());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetInterpolateTextures(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInterpolateTextures");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetInterpolateTextures(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetInterpolateTextures(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetInterpolateTextures(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInterpolateTextures");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetInterpolateTextures() :
      op->vtkHyperTreeGridRepresentation::GetInterpolateTextures());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetUseMipmapTextures(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseMipmapTextures");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetUseMipmapTextures(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetUseMipmapTextures(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetUseMipmapTextures(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseMipmapTextures");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetUseMipmapTextures() :
      op->vtkHyperTreeGridRepresentation::GetUseMipmapTextures());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetInterpolateScalarsBeforeMapping(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInterpolateScalarsBeforeMapping");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetInterpolateScalarsBeforeMapping(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetInterpolateScalarsBeforeMapping(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetLookupTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLookupTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  vtkScalarsToColors *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkScalarsToColors"))
  {
    if (ap.IsBound())
    {
      op->SetLookupTable(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetLookupTable(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetMapScalars(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMapScalars");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetMapScalars(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetMapScalars(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetStatic(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStatic");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetStatic(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetStatic(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  vtkSelection *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSelection"))
  {
    if (ap.IsBound())
    {
      op->SetSelection(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetSelection(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetActor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetActor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkActor *tempr = (ap.IsBound() ?
      op->GetActor() :
      op->vtkHyperTreeGridRepresentation::GetActor());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetColorArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const char *tempr = (ap.IsBound() ?
      op->GetColorArrayName() :
      op->vtkHyperTreeGridRepresentation::GetColorArrayName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetUseShaderReplacements(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseShaderReplacements");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetUseShaderReplacements(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetUseShaderReplacements(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_GetUseShaderReplacements(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseShaderReplacements");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetUseShaderReplacements() :
      op->vtkHyperTreeGridRepresentation::GetUseShaderReplacements());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkHyperTreeGridRepresentation_SetShaderReplacements(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShaderReplacements");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHyperTreeGridRepresentation *op = static_cast<vtkHyperTreeGridRepresentation *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetShaderReplacements(temp0);
    }
    else
    {
      op->vtkHyperTreeGridRepresentation::SetShaderReplacements(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkHyperTreeGridRepresentation_Methods[] = {
  {"IsTypeOf", PyvtkHyperTreeGridRepresentation_IsTypeOf, METH_VARARGS,
   "IsTypeOf(type:str) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkHyperTreeGridRepresentation_IsA, METH_VARARGS,
   "IsA(self, type:str) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkHyperTreeGridRepresentation_SafeDownCast, METH_VARARGS,
   "SafeDownCast(o:vtkObjectBase) -> vtkHyperTreeGridRepresentation\nC++: static vtkHyperTreeGridRepresentation *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkHyperTreeGridRepresentation_NewInstance, METH_VARARGS,
   "NewInstance(self) -> vtkHyperTreeGridRepresentation\nC++: vtkHyperTreeGridRepresentation *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkHyperTreeGridRepresentation_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "GetNumberOfGenerationsFromBaseType(type:str) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkHyperTreeGridRepresentation_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "GetNumberOfGenerationsFromBase(self, type:str) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"ProcessViewRequest", PyvtkHyperTreeGridRepresentation_ProcessViewRequest, METH_VARARGS,
   "ProcessViewRequest(self, request_type:vtkInformationRequestKey,\n    inInfo:vtkInformation, outInfo:vtkInformation) -> int\nC++: int ProcessViewRequest(\n    vtkInformationRequestKey *request_type,\n    vtkInformation *inInfo, vtkInformation *outInfo) override;\n\nvtkAlgorithm::ProcessRequest() equivalent for rendering passes.\nThis is typically called by the vtkView to request meta-data from\nthe representations or ask them to perform certain tasks e.g.\nPrepareForRendering.\n"},
  {"SetVisibility", PyvtkHyperTreeGridRepresentation_SetVisibility, METH_VARARGS,
   "SetVisibility(self, val:bool) -> None\nC++: void SetVisibility(bool val) override;\n\nSet the visibility for this representation. When the visibility\nof representation of false, all view passes are ignored.\n"},
  {"GetAdaptiveDecimation", PyvtkHyperTreeGridRepresentation_GetAdaptiveDecimation, METH_VARARGS,
   "GetAdaptiveDecimation(self) -> bool\nC++: virtual bool GetAdaptiveDecimation()\n\nUse adaptive decimation to only render the part inside the camera\nfrustum. Default to false, only works for 2D HTG with parallel\nprojection.\n"},
  {"SetAdaptiveDecimation", PyvtkHyperTreeGridRepresentation_SetAdaptiveDecimation, METH_VARARGS,
   "SetAdaptiveDecimation(self, _arg:bool) -> None\nC++: virtual void SetAdaptiveDecimation(bool _arg)\n\nUse adaptive decimation to only render the part inside the camera\nfrustum. Default to false, only works for 2D HTG with parallel\nprojection.\n"},
  {"AdaptiveDecimationOn", PyvtkHyperTreeGridRepresentation_AdaptiveDecimationOn, METH_VARARGS,
   "AdaptiveDecimationOn(self) -> None\nC++: virtual void AdaptiveDecimationOn()\n\nUse adaptive decimation to only render the part inside the camera\nfrustum. Default to false, only works for 2D HTG with parallel\nprojection.\n"},
  {"AdaptiveDecimationOff", PyvtkHyperTreeGridRepresentation_AdaptiveDecimationOff, METH_VARARGS,
   "AdaptiveDecimationOff(self) -> None\nC++: virtual void AdaptiveDecimationOff()\n\nUse adaptive decimation to only render the part inside the camera\nfrustum. Default to false, only works for 2D HTG with parallel\nprojection.\n"},
  {"SetAmbient", PyvtkHyperTreeGridRepresentation_SetAmbient, METH_VARARGS,
   "SetAmbient(self, _arg:float) -> None\nC++: virtual void SetAmbient(double _arg)\n\nSet/Get the lighting properties of the object.\nvtkHyperTreeGridRepresentation overrides these based of the\nfollowing conditions:\n\\li When Representation is wireframe or points, it disables\n    diffuse or\nspecular.\n\\li When scalar coloring is employed, it disabled specular.\nDefault vaules: Ambient = 0, Specular = 0, Diffuse = 1.\n\nValues are expected to be between 0 and 1.\n"},
  {"SetDiffuse", PyvtkHyperTreeGridRepresentation_SetDiffuse, METH_VARARGS,
   "SetDiffuse(self, _arg:float) -> None\nC++: virtual void SetDiffuse(double _arg)\n\nSet/Get the lighting properties of the object.\nvtkHyperTreeGridRepresentation overrides these based of the\nfollowing conditions:\n\\li When Representation is wireframe or points, it disables\n    diffuse or\nspecular.\n\\li When scalar coloring is employed, it disabled specular.\nDefault vaules: Ambient = 0, Specular = 0, Diffuse = 1.\n\nValues are expected to be between 0 and 1.\n"},
  {"SetSpecular", PyvtkHyperTreeGridRepresentation_SetSpecular, METH_VARARGS,
   "SetSpecular(self, _arg:float) -> None\nC++: virtual void SetSpecular(double _arg)\n\nSet/Get the lighting properties of the object.\nvtkHyperTreeGridRepresentation overrides these based of the\nfollowing conditions:\n\\li When Representation is wireframe or points, it disables\n    diffuse or\nspecular.\n\\li When scalar coloring is employed, it disabled specular.\nDefault vaules: Ambient = 0, Specular = 0, Diffuse = 1.\n\nValues are expected to be between 0 and 1.\n"},
  {"GetAmbient", PyvtkHyperTreeGridRepresentation_GetAmbient, METH_VARARGS,
   "GetAmbient(self) -> float\nC++: virtual double GetAmbient()\n\nSet/Get the lighting properties of the object.\nvtkHyperTreeGridRepresentation overrides these based of the\nfollowing conditions:\n\\li When Representation is wireframe or points, it disables\n    diffuse or\nspecular.\n\\li When scalar coloring is employed, it disabled specular.\nDefault vaules: Ambient = 0, Specular = 0, Diffuse = 1.\n\nValues are expected to be between 0 and 1.\n"},
  {"GetDiffuse", PyvtkHyperTreeGridRepresentation_GetDiffuse, METH_VARARGS,
   "GetDiffuse(self) -> float\nC++: virtual double GetDiffuse()\n\nSet/Get the lighting properties of the object.\nvtkHyperTreeGridRepresentation overrides these based of the\nfollowing conditions:\n\\li When Representation is wireframe or points, it disables\n    diffuse or\nspecular.\n\\li When scalar coloring is employed, it disabled specular.\nDefault vaules: Ambient = 0, Specular = 0, Diffuse = 1.\n\nValues are expected to be between 0 and 1.\n"},
  {"GetSpecular", PyvtkHyperTreeGridRepresentation_GetSpecular, METH_VARARGS,
   "GetSpecular(self) -> float\nC++: virtual double GetSpecular()\n\nSet/Get the lighting properties of the object.\nvtkHyperTreeGridRepresentation overrides these based of the\nfollowing conditions:\n\\li When Representation is wireframe or points, it disables\n    diffuse or\nspecular.\n\\li When scalar coloring is employed, it disabled specular.\nDefault vaules: Ambient = 0, Specular = 0, Diffuse = 1.\n\nValues are expected to be between 0 and 1.\n"},
  {"SetRepresentation", PyvtkHyperTreeGridRepresentation_SetRepresentation, METH_VARARGS,
   "SetRepresentation(self, _arg:int) -> None\nC++: virtual void SetRepresentation(int _arg)\nSetRepresentation(self, __a:str) -> None\nC++: virtual void SetRepresentation(const char *)\n\nSet the representation type: WIREFRAME SURFACE\nSURFACE_WITH_EDGES. Default is SURFACE.\n"},
  {"GetRepresentationMinValue", PyvtkHyperTreeGridRepresentation_GetRepresentationMinValue, METH_VARARGS,
   "GetRepresentationMinValue(self) -> int\nC++: virtual int GetRepresentationMinValue()\n\nSet the representation type: WIREFRAME SURFACE\nSURFACE_WITH_EDGES. Default is SURFACE.\n"},
  {"GetRepresentationMaxValue", PyvtkHyperTreeGridRepresentation_GetRepresentationMaxValue, METH_VARARGS,
   "GetRepresentationMaxValue(self) -> int\nC++: virtual int GetRepresentationMaxValue()\n\nSet the representation type: WIREFRAME SURFACE\nSURFACE_WITH_EDGES. Default is SURFACE.\n"},
  {"GetRepresentation", PyvtkHyperTreeGridRepresentation_GetRepresentation, METH_VARARGS,
   "GetRepresentation(self) -> int\nC++: virtual int GetRepresentation()\n\nSet the representation type: WIREFRAME SURFACE\nSURFACE_WITH_EDGES. Default is SURFACE.\n"},
  {"GetRenderedDataObject", PyvtkHyperTreeGridRepresentation_GetRenderedDataObject, METH_VARARGS,
   "GetRenderedDataObject(self, port:int) -> vtkDataObject\nC++: vtkDataObject *GetRenderedDataObject(int port) override;\n\nReturns the data object that is rendered from the given input\nport.\n"},
  {"SetUseOutline", PyvtkHyperTreeGridRepresentation_SetUseOutline, METH_VARARGS,
   "SetUseOutline(self, __a:int) -> None\nC++: void SetUseOutline(int)\n\nUse Outline representation is **NOT SUPPORTED** by this\nrepresentation.\n"},
  {"SetAmbientColor", PyvtkHyperTreeGridRepresentation_SetAmbientColor, METH_VARARGS,
   "SetAmbientColor(self, r:float, g:float, b:float) -> None\nC++: virtual void SetAmbientColor(double r, double g, double b)\n\nForwarded to vtkProperty.\n"},
  {"SetBaseIOR", PyvtkHyperTreeGridRepresentation_SetBaseIOR, METH_VARARGS,
   "SetBaseIOR(self, val:float) -> None\nC++: virtual void SetBaseIOR(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetBaseColorTexture", PyvtkHyperTreeGridRepresentation_SetBaseColorTexture, METH_VARARGS,
   "SetBaseColorTexture(self, tex:vtkTexture) -> None\nC++: virtual void SetBaseColorTexture(vtkTexture *tex)\n\nForwarded to vtkProperty.\n"},
  {"SetCoatIOR", PyvtkHyperTreeGridRepresentation_SetCoatIOR, METH_VARARGS,
   "SetCoatIOR(self, val:float) -> None\nC++: virtual void SetCoatIOR(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetCoatStrength", PyvtkHyperTreeGridRepresentation_SetCoatStrength, METH_VARARGS,
   "SetCoatStrength(self, val:float) -> None\nC++: virtual void SetCoatStrength(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetCoatRoughness", PyvtkHyperTreeGridRepresentation_SetCoatRoughness, METH_VARARGS,
   "SetCoatRoughness(self, val:float) -> None\nC++: virtual void SetCoatRoughness(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetCoatColor", PyvtkHyperTreeGridRepresentation_SetCoatColor, METH_VARARGS,
   "SetCoatColor(self, a:float, b:float, c:float) -> None\nC++: virtual void SetCoatColor(double a, double b, double c)\n\nForwarded to vtkProperty.\n"},
  {"SetCoatNormalScale", PyvtkHyperTreeGridRepresentation_SetCoatNormalScale, METH_VARARGS,
   "SetCoatNormalScale(self, val:float) -> None\nC++: virtual void SetCoatNormalScale(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetColor", PyvtkHyperTreeGridRepresentation_SetColor, METH_VARARGS,
   "SetColor(self, r:float, g:float, b:float) -> None\nC++: virtual void SetColor(double r, double g, double b)\n\nForwarded to vtkProperty.\n"},
  {"SetDiffuseColor", PyvtkHyperTreeGridRepresentation_SetDiffuseColor, METH_VARARGS,
   "SetDiffuseColor(self, r:float, g:float, b:float) -> None\nC++: virtual void SetDiffuseColor(double r, double g, double b)\n\nForwarded to vtkProperty.\n"},
  {"SetEdgeColor", PyvtkHyperTreeGridRepresentation_SetEdgeColor, METH_VARARGS,
   "SetEdgeColor(self, r:float, g:float, b:float) -> None\nC++: virtual void SetEdgeColor(double r, double g, double b)\n\nForwarded to vtkProperty.\n"},
  {"SetEdgeTint", PyvtkHyperTreeGridRepresentation_SetEdgeTint, METH_VARARGS,
   "SetEdgeTint(self, r:float, g:float, b:float) -> None\nC++: virtual void SetEdgeTint(double r, double g, double b)\n\nForwarded to vtkProperty.\n"},
  {"SetEmissiveFactor", PyvtkHyperTreeGridRepresentation_SetEmissiveFactor, METH_VARARGS,
   "SetEmissiveFactor(self, rval:float, gval:float, bval:float)\n    -> None\nC++: virtual void SetEmissiveFactor(double rval, double gval,\n    double bval)\n\nForwarded to vtkProperty.\n"},
  {"SetEmissiveTexture", PyvtkHyperTreeGridRepresentation_SetEmissiveTexture, METH_VARARGS,
   "SetEmissiveTexture(self, tex:vtkTexture) -> None\nC++: virtual void SetEmissiveTexture(vtkTexture *tex)\n\nForwarded to vtkProperty.\n"},
  {"SetInteractiveSelectionColor", PyvtkHyperTreeGridRepresentation_SetInteractiveSelectionColor, METH_VARARGS,
   "SetInteractiveSelectionColor(self, r:float, g:float, b:float)\n    -> None\nC++: virtual void SetInteractiveSelectionColor(double r, double g,\n     double b)\n\nForwarded to vtkProperty.\n"},
  {"SetInterpolation", PyvtkHyperTreeGridRepresentation_SetInterpolation, METH_VARARGS,
   "SetInterpolation(self, val:int) -> None\nC++: virtual void SetInterpolation(int val)\n\nForwarded to vtkProperty.\n"},
  {"SetLineWidth", PyvtkHyperTreeGridRepresentation_SetLineWidth, METH_VARARGS,
   "SetLineWidth(self, val:float) -> None\nC++: virtual void SetLineWidth(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetMaterial", PyvtkHyperTreeGridRepresentation_SetMaterial, METH_VARARGS,
   "SetMaterial(self, name:str) -> None\nC++: virtual void SetMaterial(std::string name)\n\nForwarded to vtkProperty.\n"},
  {"SetMaterialTexture", PyvtkHyperTreeGridRepresentation_SetMaterialTexture, METH_VARARGS,
   "SetMaterialTexture(self, tex:vtkTexture) -> None\nC++: virtual void SetMaterialTexture(vtkTexture *tex)\n\nForwarded to vtkProperty.\n"},
  {"SetMetallic", PyvtkHyperTreeGridRepresentation_SetMetallic, METH_VARARGS,
   "SetMetallic(self, val:float) -> None\nC++: virtual void SetMetallic(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetNormalScale", PyvtkHyperTreeGridRepresentation_SetNormalScale, METH_VARARGS,
   "SetNormalScale(self, val:float) -> None\nC++: virtual void SetNormalScale(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetNormalTexture", PyvtkHyperTreeGridRepresentation_SetNormalTexture, METH_VARARGS,
   "SetNormalTexture(self, tex:vtkTexture) -> None\nC++: virtual void SetNormalTexture(vtkTexture *tex)\n\nForwarded to vtkProperty.\n"},
  {"SetOcclusionStrength", PyvtkHyperTreeGridRepresentation_SetOcclusionStrength, METH_VARARGS,
   "SetOcclusionStrength(self, val:float) -> None\nC++: virtual void SetOcclusionStrength(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetOpacity", PyvtkHyperTreeGridRepresentation_SetOpacity, METH_VARARGS,
   "SetOpacity(self, val:float) -> None\nC++: virtual void SetOpacity(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetPointSize", PyvtkHyperTreeGridRepresentation_SetPointSize, METH_VARARGS,
   "SetPointSize(self, val:float) -> None\nC++: virtual void SetPointSize(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetRenderLinesAsTubes", PyvtkHyperTreeGridRepresentation_SetRenderLinesAsTubes, METH_VARARGS,
   "SetRenderLinesAsTubes(self, __a:bool) -> None\nC++: virtual void SetRenderLinesAsTubes(bool)\n\nForwarded to vtkProperty.\n"},
  {"SetRenderPointsAsSpheres", PyvtkHyperTreeGridRepresentation_SetRenderPointsAsSpheres, METH_VARARGS,
   "SetRenderPointsAsSpheres(self, __a:bool) -> None\nC++: virtual void SetRenderPointsAsSpheres(bool)\n\nForwarded to vtkProperty.\n"},
  {"SetRoughness", PyvtkHyperTreeGridRepresentation_SetRoughness, METH_VARARGS,
   "SetRoughness(self, val:float) -> None\nC++: virtual void SetRoughness(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetSpecularColor", PyvtkHyperTreeGridRepresentation_SetSpecularColor, METH_VARARGS,
   "SetSpecularColor(self, r:float, g:float, b:float) -> None\nC++: virtual void SetSpecularColor(double r, double g, double b)\n\nForwarded to vtkProperty.\n"},
  {"SetSpecularPower", PyvtkHyperTreeGridRepresentation_SetSpecularPower, METH_VARARGS,
   "SetSpecularPower(self, val:float) -> None\nC++: virtual void SetSpecularPower(double val)\n\nForwarded to vtkProperty.\n"},
  {"SetFlipTextures", PyvtkHyperTreeGridRepresentation_SetFlipTextures, METH_VARARGS,
   "SetFlipTextures(self, __a:bool) -> None\nC++: virtual void SetFlipTextures(bool)\n\nForwarded to Actor.\n"},
  {"SetOrientation", PyvtkHyperTreeGridRepresentation_SetOrientation, METH_VARARGS,
   "SetOrientation(self, __a:float, __b:float, __c:float) -> None\nC++: virtual void SetOrientation(double, double, double)\n\nForwarded to Actor.\n"},
  {"SetOrigin", PyvtkHyperTreeGridRepresentation_SetOrigin, METH_VARARGS,
   "SetOrigin(self, __a:float, __b:float, __c:float) -> None\nC++: virtual void SetOrigin(double, double, double)\n\nForwarded to Actor.\n"},
  {"SetPickable", PyvtkHyperTreeGridRepresentation_SetPickable, METH_VARARGS,
   "SetPickable(self, val:int) -> None\nC++: virtual void SetPickable(int val)\n\nForwarded to Actor.\n"},
  {"SetPosition", PyvtkHyperTreeGridRepresentation_SetPosition, METH_VARARGS,
   "SetPosition(self, __a:float, __b:float, __c:float) -> None\nC++: virtual void SetPosition(double, double, double)\n\nForwarded to Actor.\n"},
  {"SetScale", PyvtkHyperTreeGridRepresentation_SetScale, METH_VARARGS,
   "SetScale(self, __a:float, __b:float, __c:float) -> None\nC++: virtual void SetScale(double, double, double)\n\nForwarded to Actor.\n"},
  {"SetTexture", PyvtkHyperTreeGridRepresentation_SetTexture, METH_VARARGS,
   "SetTexture(self, __a:vtkTexture) -> None\nC++: virtual void SetTexture(vtkTexture *)\n\nForwarded to Actor.\n"},
  {"SetUserTransform", PyvtkHyperTreeGridRepresentation_SetUserTransform, METH_VARARGS,
   "SetUserTransform(self, __a:(float, float, float, float, float,\n    float, float, float, float, float, float, float, float, float,\n     float, float)) -> None\nC++: virtual void SetUserTransform(const double[16])\n\nForwarded to Actor.\n"},
  {"SetEnableScaling", PyvtkHyperTreeGridRepresentation_SetEnableScaling, METH_VARARGS,
   "SetEnableScaling(self, val:int) -> None\nC++: virtual void SetEnableScaling(int val)\n\nForwarded to OSPray (via the Actor)\n"},
  {"SetScalingArrayName", PyvtkHyperTreeGridRepresentation_SetScalingArrayName, METH_VARARGS,
   "SetScalingArrayName(self, val:str) -> None\nC++: virtual void SetScalingArrayName(const char *val)\n\nForwarded to OSPray (via the Actor)\n"},
  {"SetScalingFunction", PyvtkHyperTreeGridRepresentation_SetScalingFunction, METH_VARARGS,
   "SetScalingFunction(self, pwf:vtkPiecewiseFunction) -> None\nC++: virtual void SetScalingFunction(vtkPiecewiseFunction *pwf)\n\nForwarded to OSPray (via the Actor)\n"},
  {"SetLuminosity", PyvtkHyperTreeGridRepresentation_SetLuminosity, METH_VARARGS,
   "SetLuminosity(self, val:float) -> None\nC++: virtual void SetLuminosity(double val)\n\nForwarded to OSPray (via the Actor)\n"},
  {"SetRepeatTextures", PyvtkHyperTreeGridRepresentation_SetRepeatTextures, METH_VARARGS,
   "SetRepeatTextures(self, __a:bool) -> None\nC++: virtual void SetRepeatTextures(bool)\n\nForwarded to all textures (and stored for later re-use)\n"},
  {"GetRepeatTextures", PyvtkHyperTreeGridRepresentation_GetRepeatTextures, METH_VARARGS,
   "GetRepeatTextures(self) -> bool\nC++: virtual bool GetRepeatTextures()\n\nForwarded to all textures (and stored for later re-use)\n"},
  {"SetInterpolateTextures", PyvtkHyperTreeGridRepresentation_SetInterpolateTextures, METH_VARARGS,
   "SetInterpolateTextures(self, __a:bool) -> None\nC++: virtual void SetInterpolateTextures(bool)\n\nForwarded to all textures (and stored for later re-use)\n"},
  {"GetInterpolateTextures", PyvtkHyperTreeGridRepresentation_GetInterpolateTextures, METH_VARARGS,
   "GetInterpolateTextures(self) -> bool\nC++: virtual bool GetInterpolateTextures()\n\nForwarded to all textures (and stored for later re-use)\n"},
  {"SetUseMipmapTextures", PyvtkHyperTreeGridRepresentation_SetUseMipmapTextures, METH_VARARGS,
   "SetUseMipmapTextures(self, __a:bool) -> None\nC++: virtual void SetUseMipmapTextures(bool)\n\nForwarded to all textures (and stored for later re-use)\n"},
  {"GetUseMipmapTextures", PyvtkHyperTreeGridRepresentation_GetUseMipmapTextures, METH_VARARGS,
   "GetUseMipmapTextures(self) -> bool\nC++: virtual bool GetUseMipmapTextures()\n\nForwarded to all textures (and stored for later re-use)\n"},
  {"SetInterpolateScalarsBeforeMapping", PyvtkHyperTreeGridRepresentation_SetInterpolateScalarsBeforeMapping, METH_VARARGS,
   "SetInterpolateScalarsBeforeMapping(self, val:int) -> None\nC++: virtual void SetInterpolateScalarsBeforeMapping(int val)\n\nForwarded to Mapper and LODMapper.\n"},
  {"SetLookupTable", PyvtkHyperTreeGridRepresentation_SetLookupTable, METH_VARARGS,
   "SetLookupTable(self, val:vtkScalarsToColors) -> None\nC++: virtual void SetLookupTable(vtkScalarsToColors *val)\n\nForwarded to Mapper and LODMapper.\n"},
  {"SetMapScalars", PyvtkHyperTreeGridRepresentation_SetMapScalars, METH_VARARGS,
   "SetMapScalars(self, val:bool) -> None\nC++: virtual void SetMapScalars(bool val)\n\nSets if scalars are mapped through a color-map or are used\ndirectly as colors (rgb). false: maps to\nVTK_COLOR_MODE_DIRECT_SCALARS true: maps to\nVTK_COLOR_MODE_MAP_SCALARS@see vtkScalarsToColors::MapScalars\n"},
  {"SetStatic", PyvtkHyperTreeGridRepresentation_SetStatic, METH_VARARGS,
   "SetStatic(self, val:int) -> None\nC++: virtual void SetStatic(int val)\n\nTurn on/off flag to control whether the mapper's data is static.\nStatic data means that the mapper does not propagate updates down\nthe pipeline, greatly decreasing the time it takes to update many\nmappers. This should only be used if the data never changes.\n"},
  {"SetSelection", PyvtkHyperTreeGridRepresentation_SetSelection, METH_VARARGS,
   "SetSelection(self, selection:vtkSelection) -> None\nC++: virtual void SetSelection(vtkSelection *selection)\n\nSets the selection used by the mapper.\n"},
  {"GetActor", PyvtkHyperTreeGridRepresentation_GetActor, METH_VARARGS,
   "GetActor(self) -> vtkActor\nC++: vtkActor *GetActor()\n\nProvides access to the actor used by this representation.\n"},
  {"GetColorArrayName", PyvtkHyperTreeGridRepresentation_GetColorArrayName, METH_VARARGS,
   "GetColorArrayName(self) -> str\nC++: const char *GetColorArrayName()\n\nConvenience method to get the array name used to scalar color\nwith. Can return nullptr if:\n* GetInputArrayInformation returns nullptr, of\n* the Input array information has no FIELD_ASSOCIATION, or\n* the Input array information has no FIELD_NAME.\n"},
  {"SetUseShaderReplacements", PyvtkHyperTreeGridRepresentation_SetUseShaderReplacements, METH_VARARGS,
   "SetUseShaderReplacements(self, __a:bool) -> None\nC++: virtual void SetUseShaderReplacements(bool)\n\nSpecify whether or not to shader replacements string must be\nused.\n"},
  {"GetUseShaderReplacements", PyvtkHyperTreeGridRepresentation_GetUseShaderReplacements, METH_VARARGS,
   "GetUseShaderReplacements(self) -> bool\nC++: virtual bool GetUseShaderReplacements()\n\nSpecify whether or not to shader replacements string must be\nused.\n"},
  {"SetShaderReplacements", PyvtkHyperTreeGridRepresentation_SetShaderReplacements, METH_VARARGS,
   "SetShaderReplacements(self, __a:str) -> None\nC++: virtual void SetShaderReplacements(const char *)\n\nSpecify shader replacements using a Json string. Please refer to\nthe XML definition of the property for details about the expected\nJson string format. Only used if UseShaderReplacements is true.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static const char *PyvtkHyperTreeGridRepresentation_Doc =
  "vtkHyperTreeGridRepresentation - representation for showing\nvtkHyperTreeGrid as with optimized rendering for 2D datasets.\n\n"
  "Superclass: vtkPVDataRepresentation\n\n"
  "vtkHyperTreeGridRepresentation is a representation for showing\n"
  "HyperTreeGrid. When given a 2D dataset, the new HTG representation\n"
  "uses the specific HTG mapper that benefits from the\n"
  "AdaptiveDecimation filter to only render part that are shown on the\n"
  "camera frustum. This requires the Parallel Profection to be\n"
  "enabled.@par Thanks: This work was supported by CEA/DIF Commissariat\n"
  "a l'Energie Atomique, Centre DAM Ile-De-France, Arpajon, France.\n\n";

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkHyperTreeGridRepresentation_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRemotingViews.vtkHyperTreeGridRepresentation", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkHyperTreeGridRepresentation_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkHyperTreeGridRepresentation_StaticNew()
{
  return vtkHyperTreeGridRepresentation::New();
}

PyObject *PyvtkHyperTreeGridRepresentation_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkHyperTreeGridRepresentation_Type, PyvtkHyperTreeGridRepresentation_Methods,
    "vtkHyperTreeGridRepresentation",
 &PyvtkHyperTreeGridRepresentation_StaticNew);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#ifndef VTK_PY3K
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkPVDataRepresentation_ClassNew();

  PyObject *d = pytype->tp_dict;
  PyObject *o;

  PyType_Ready(&PyvtkHyperTreeGridRepresentation_RepresentationTypes_Type);
  PyVTKEnum_Add(&PyvtkHyperTreeGridRepresentation_RepresentationTypes_Type, "vtkHyperTreeGridRepresentation.RepresentationTypes");

  o = (PyObject *)&PyvtkHyperTreeGridRepresentation_RepresentationTypes_Type;
  if (PyDict_SetItemString(d, "RepresentationTypes", o) != 0)
  {
    Py_DECREF(o);
  }

  for (int c = 0; c < 3; c++)
  {
    typedef vtkHyperTreeGridRepresentation::RepresentationTypes cxx_enum_type;

    static const struct { const char *name; cxx_enum_type value; }
      constants[3] = {
        { "WIREFRAME", vtkHyperTreeGridRepresentation::WIREFRAME },
        { "SURFACE", vtkHyperTreeGridRepresentation::SURFACE },
        { "SURFACE_WITH_EDGES", vtkHyperTreeGridRepresentation::SURFACE_WITH_EDGES },
      };

    o = PyvtkHyperTreeGridRepresentation_RepresentationTypes_FromEnum(constants[c].value);
    if (o)
    {
      PyDict_SetItemString(d, constants[c].name, o);
      Py_DECREF(o);
    }
  }

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkHyperTreeGridRepresentation(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkHyperTreeGridRepresentation_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkHyperTreeGridRepresentation", o) != 0)
  {
    Py_DECREF(o);
  }

}

