// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef AnalyzeNIfTIReaderWriter_server_manager_modules_data_h
#define AnalyzeNIfTIReaderWriter_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /builddir/build/BUILD/ParaView-v5.11.2/Plugins/AnalyzeNIfTIReaderWriter/NIfTIIO/AnalyzeNIfTISM.xml
static const char* const AnalyzeNIfTIReaderWriter_server_manager_modulesAnalyzeNIfTISMInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"\n"
"  <SourceProxy name=\"AnalyzeReader\" class=\"vtkAnalyzeReader\" label=\"Analyze reader\">\n"
"      <Documentation\n"
"       short_help=\"Read Analyze data files.\"\n"
"       long_help=\"Read Analyze image data files\">\n"
"       The Analyze reader reads Analyze data and header files containing image\n"
"       data file. The expected file extensions are .img and .hdr.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"         name=\"FileName\"\n"
"         animateable=\"0\"\n"
"         command=\"SetFileName\"\n"
"         number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the Analyze reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"img hdr\" file_description=\"Analyze Files (Plugin)\" />\n"
"      </Hints>\n"
"      <!-- End AnalyzeReader -->\n"
"   </SourceProxy>\n"
"\n"
"  <SourceProxy name=\"NIfTIReader\"\n"
"                   class=\"vtkNIfTIReader\"\n"
"                   label=\"NIfTI Volume reader\">\n"
"      <Documentation\n"
"       short_help=\"Read NIfTI Volume data files.\"\n"
"       long_help=\"Read NIfTI Volume NII image data files\">\n"
"       The NIfTI Volume reader reads NIfTI files containing image data. The expected file extensions are .nii.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"         name=\"FileName\"\n"
"         animateable=\"0\"\n"
"         command=\"SetFileName\"\n"
"         number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the NIfTI Volume reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"nii img hdr\" file_description=\"NIfTI Files (Plugin)\" />\n"
"      </Hints>\n"
"      <!-- End NIfTIReader -->\n"
"   </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"writers\">\n"
"\n"
"   <WriterProxy name=\"AnalyzeWriter\" class=\"vtkAnalyzeWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"DataWriterBase\">\n"
"      <Documentation\n"
"        short_help=\"Write Analyze files\">\n"
"        Writer to write Analyze files.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkImageData\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory extensions=\"img\" file_description=\"Analyze File Format (Plugin)\"/>\n"
"      </Hints>\n"
"    </WriterProxy>\n"
"\n"
"   <WriterProxy name=\"NIfTIWriter\" class=\"vtkNIfTIWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"DataWriterBase\">\n"
"      <Documentation\n"
"        short_help=\"Write NIfTI files\">\n"
"        Writer to write NIfTI files.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkImageData\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"       <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"     <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"         <WriterFactory extensions=\"nii\" file_description=\"NIfTI File Format (Plugin)\"/>\n"
"     </Hints>\n"
"    </WriterProxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* AnalyzeNIfTIReaderWriter_server_manager_modulesAnalyzeNIfTISMGetInterfaces()
{

  const size_t len0 = strlen(AnalyzeNIfTIReaderWriter_server_manager_modulesAnalyzeNIfTISMInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(AnalyzeNIfTIReaderWriter_server_manager_modulesAnalyzeNIfTISMInterface0, AnalyzeNIfTIReaderWriter_server_manager_modulesAnalyzeNIfTISMInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
