// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef Datamine_server_manager_modules_data_h
#define Datamine_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /builddir/build/BUILD/ParaView-v5.11.2/Plugins/Datamine/Readers/DatamineReaders.xml
static const char* const Datamine_server_manager_modulesDatamineReadersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy name=\"DataMineWireFrameReader\"\n"
"      class=\"vtkDataMineWireFrameReader\">\n"
"      <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"TopoFileName\"\n"
"        command=\"SetTopoFileName\"\n"
"        number_of_elements=\"1\"\n"
"        label=\"Topo File Name\">\n"
"        <FileListDomain name=\"default_value\" optional=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"TopoFileNameInfo\" function=\"TopoFileName\"/>\n"
"          </RequiredProperties>\n"
"        </FileListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"TopoFileNameInfo\"\n"
"        command=\"GetTopoFileName\"\n"
"        information_only=\"1\">\n"
"        <SimpleStringInformationHelper/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"PointFileName\"\n"
"        command=\"SetPointFileName\"\n"
"        number_of_elements=\"1\"\n"
"        label=\"Point File Name\">\n"
"        <FileListDomain name=\"default_value\" optional=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"PointFileNameInfo\" function=\"PointFileName\"/>\n"
"          </RequiredProperties>\n"
"        </FileListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"PointFileNameInfo\"\n"
"        command=\"GetPointFileName\"\n"
"        information_only=\"1\">\n"
"        <SimpleStringInformationHelper/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\"\n"
"        default = \"0\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Properties\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This property lists which cell-centered arrays to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"dm DM Dm\"\n"
"          file_description=\"Datamine wireframe\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End of DataMineWireFrame Reader -->\n"
"\n"
"    <SourceProxy name=\"DataMineBlockModelReader\"\n"
"      class=\"vtkDataMineBlockReader\">\n"
"      <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This property lists which cell-centered arrays to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"dm DM Dm\"\n"
"          file_description=\"Datamine block model\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End of DataMineBlockModel Reader -->\n"
"\n"
"    <SourceProxy name=\"DataMineDrillHoleReader\"\n"
"      class=\"vtkDataMineDrillHoleReader\">\n"
"      <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This property lists which cell-centered arrays to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"dm DM Dm\"\n"
"          file_description=\"Datamine drill hole\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End of DataMine  Drill Hole Reader -->\n"
"    <SourceProxy name=\"DataMinePerimeterReader\"\n"
"      class=\"vtkDataMinePerimeterReader\">\n"
"      <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Properties\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This property lists which cell-centered arrays to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"dm DM Dm\"\n"
"          file_description=\"Datamine perimeter\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End of DataMine Perim Reader -->\n"
"\n"
"    <SourceProxy name=\"DataMinePointReader\"\n"
"      class=\"vtkDataMinePointReader\">\n"
"      <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Properties\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This property lists which cell-centered arrays to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"dm DM Dm\"\n"
"          file_description=\"Datamine point\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End of DataMine Point Reader -->\n"
"    <SourceProxy name=\"DataMineDummyReader\"\n"
"      class=\"vtkDataMineDummyReader\">\n"
"      <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"dm DM Dm\"\n"
"          file_description=\"Datamine dummy\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End of DataMine Dummy Reader -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* Datamine_server_manager_modulesDatamineReadersGetInterfaces()
{

  const size_t len0 = strlen(Datamine_server_manager_modulesDatamineReadersInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(Datamine_server_manager_modulesDatamineReadersInterface0, Datamine_server_manager_modulesDatamineReadersInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
