// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef GMVReader_server_manager_modules_data_h
#define GMVReader_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /builddir/build/BUILD/ParaView-v5.11.2/Plugins/GMVReader/Reader/GMVReaderSM.xml
static const char* const GMVReader_server_manager_modulesGMVReaderSMInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <!-- GMVReader -->\n"
"    <SourceProxy name=\"GMVReader\"\n"
"                 class=\"vtkGMVReader\"\n"
"                 label=\"GMV Reader\">\n"
"      <Documentation short_help=\"Read a dataset in GMV format.\"\n"
"                     long_help=\"Read binary or ASCII files stored in GMV format.\">\n"
"        The GMV reader reads binary or ASCII files stored in GMV format.\n"
"        The default file extension is .gmv. The output of this reader is\n"
"        a multi-block dataset.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          This property specifies the file name for the GMV reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"PointArrayInfo\"\n"
"                            information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"PointArrayStatus\"\n"
"                            command=\"SetPointArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"PointArrayInfo\" function=\"ArrayList\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This property contains a list of the point-centered arrays to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellArrayInfo\"\n"
"                            information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellArrayStatus\"\n"
"                            command=\"SetCellArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"CellArrayInfo\" function=\"ArrayList\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This property contains a list of the cell-centered arrays to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FieldArrayInfo\"\n"
"                            information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Field\" />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FieldArrayStatus\"\n"
"                            command=\"SetFieldArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"FieldArrayInfo\"\n"
"                            label=\"Field Arrays\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"FieldArrayInfo\" function=\"ArrayList\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This property contains a list of the global variables to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"HasTracers\"\n"
"                         command=\"GetHasTracers\"\n"
"                         information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ImportTracers\"\n"
"                         command=\"SetImportTracers\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is set to 1, tracers will be read (and stored in a separate block).\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"HasTracers\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"HasPolygons\"\n"
"                         command=\"GetHasPolygons\"\n"
"                         information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ImportPolygons\"\n"
"                         command=\"SetImportPolygons\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is set to 1, polygons will be read (and stored in a separate block).\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"HasPolygons\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"HasProbtimeKeyword\"\n"
"                         command=\"GetHasProbtimeKeyword\"\n"
"                         information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End GMVReader -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- Begin GMVSeriesReader -->\n"
"    <SourceProxy name=\"GMVSeriesReader\"\n"
"                           class=\"vtkFileSeriesReader\"\n"
"                           label=\"GMV Reader\"\n"
"                           si_class=\"vtkSIMetaReaderProxy\"\n"
"                           file_name_method=\"SetFileName\">\n"
"      <Documentation\n"
"         short_help=\"Read a dataset in GMV format.\"\n"
"         long_help=\"Read binary or ASCII files stored in GMV format.\">\n"
"        The GMV reader reads binary or ASCII files stored in GMV format.\n"
"        The default file extension is .gmv. The output of this reader is\n"
"        a multi-block dataset.\n"
"        This reader also supports file series.\n"
"      </Documentation>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"gmv\"\n"
"           file_description=\"GMV Binary/ASCII Files (Plugin)\" />\n"
"      </Hints>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"GMVReader\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"CellArrayInfo\" />\n"
"          <Property name=\"CellArrayStatus\" />\n"
"          <Property name=\"PointArrayInfo\" />\n"
"          <Property name=\"PointArrayStatus\" />\n"
"          <Property name=\"FieldArrayInfo\" />\n"
"          <Property name=\"FieldArrayStatus\" />\n"
"          <Property name=\"HasTracers\" />\n"
"          <Property name=\"ImportTracers\" />\n"
"          <Property name=\"HasPolygons\" />\n"
"          <Property name=\"ImportPolygons\" />\n"
"          <Property name=\"HasProbtimeKeyword\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <StringVectorProperty name=\"FileNameInfo\"\n"
"                            command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileNames\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            animateable=\"0\"\n"
"                            number_of_elements=\"0\"\n"
"                            repeat_command=\"1\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          The list of files to be read by the reader. If more than 1 file is\n"
"          specified, the reader will switch to file series mode in which it will\n"
"          pretend that it can support time and provide 1 file per time step.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"TimestepValues\"\n"
"                            repeatable=\"1\"\n"
"                            information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available time step values.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- // Purposely ignore reader time by default. Otherwise, trying to\n"
"           // open a series consisting of a few hundred GMV files of size\n"
"           // 100 MiB each takes approximately half an hour. -->\n"
"      <IntVectorProperty name=\"IgnoreReaderTime\"\n"
"                         command=\"SetIgnoreReaderTime\"\n"
"                         number_of_elements=\"1\"\n"
"                         animateable=\"0\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Ignore stored time step values / PROBTIME keyword\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle whether to ignore time step values stored with PROBTIME keyword.\n"
"	  If unchecked, the entire file sequence (!) is parsed once to\n"
"          determine time step values. Depending on its total size, this can\n"
"          take a considerable amount of time. Also, if checked, files with\n"
"          duplicate time step values will be ignored. (Convenient for\n"
"          restarted simulations where simulated times overlap.)\n"
"	  If checked, fake time step values will be used. This allows for\n"
"          stepping through all files of a given series even if all files contain\n"
"          the PROBTIME keyword and all specify a dummy setting of e.g. 0.000.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of GMVSeriesReader -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* GMVReader_server_manager_modulesGMVReaderSMGetInterfaces()
{

  const size_t len0 = strlen(GMVReader_server_manager_modulesGMVReaderSMInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(GMVReader_server_manager_modulesGMVReaderSMInterface0, GMVReader_server_manager_modulesGMVReaderSMInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
