// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef HyperTreeGridADR_server_manager_modules_data_h
#define HyperTreeGridADR_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /builddir/build/BUILD/ParaView-v5.11.2/Plugins/HyperTreeGridADR/HyperTreeGridFilters/HyperTreeGridFilters.xml
static const char* const HyperTreeGridADR_server_manager_modulesHyperTreeGridFiltersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"array_measurement\">\n"
"    <NullProxy name=\"None\"></NullProxy>\n"
"    <Proxy class=\"vtkArithmeticMeanArrayMeasurement\"\n"
"           name=\"Arithmetic Mean\">\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\"\n"
"                with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkGeometricMeanArrayMeasurement\"\n"
"           name=\"Geometric Mean\">\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\"\n"
"                with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkHarmonicMeanArrayMeasurement\"\n"
"           name=\"Harmonic Mean\">\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\"\n"
"                with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkQuantileArrayMeasurement\"\n"
"           name=\"Quantile\">\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\"\n"
"                with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"      <DoubleVectorProperty command=\"SetPercentile\"\n"
"                            default_values=\"50.0\"\n"
"                            name=\"Percentile\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"           Set the percentile for measurement. Setting is to 50.0 is equivalent with computing the median.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkMaxArrayMeasurement\"\n"
"           name=\"Max\">\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\"\n"
"                with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkEntropyArrayMeasurement\"\n"
"           name=\"Entropy\">\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\"\n"
"                with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkStandardDeviationArrayMeasurement\"\n"
"           name=\"Standard Deviation\">\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\"\n"
"                with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"filters\" >\n"
"    <SourceProxy name=\"ResampleToHyperTreeGrid\" class=\"vtkResampleToHyperTreeGrid\" label=\"Resample To Hyper Tree Grid\" >\n"
"      <Documentation long_help=\"Warning: this plugin is a beta. Adaptive Mesh Refinement using a Hyper Tree Grid. The output is a Hyper Tree grid such that its leaves store a value measuring some property of the set of points inside them. Leaves are subdivided given some user defined heuristic.\"\n"
"                     short_help=\"Adaptive Mesh Refinement using a Hyper Tree Grid.\" >\n"
"          This Filter generates a Hyper Tree Grid from any input data set which has point data.\n"
"          Leaves of the Hyper Tree Grid are subdivided if the subset of points inside that leave\n"
"          match a crietrion set by the user on the input point data. The criterion is displayed, as\n"
"          well as an other way to represent the set of data in the subset.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\"\n"
"                     command=\"SetInputConnection\" >\n"
"            <ProxyGroupDomain name=\"groups\" >\n"
"              <Group name=\"sources\" />\n"
"              <Group name=\"filters\" />\n"
"            </ProxyGroupDomain>\n"
"            <DataTypeDomain name=\"input_type\" >\n"
"              <DataType value=\"vtkDataSet\" />\n"
"            </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty name=\"Dimensions\"\n"
"                         label=\"Dimensions\"\n"
"                         command=\"SetDimensions\"\n"
"                         number_of_elements=\"3\"\n"
"                         animateable=\"1\"\n"
"                         default_values=\"3 3 3\" >\n"
"          <Documentation>\n"
"            Dimensions of the Hyper Tree Grid.\n"
"          </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"BranchFactor\"\n"
"                         label=\"Branch Factor\"\n"
"                         command=\"SetBranchFactor\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"2\" >\n"
"          <EnumerationDomain name=\"enum\" >\n"
"            <Entry value=\"2\" text=\"2\" />\n"
"            <Entry value=\"3\" text=\"3\" />\n"
"          </EnumerationDomain>\n"
"          <Documentation>\n"
"            Branch factor of the output Hyper Tree Grid.\n"
"          </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"MaxDepth\"\n"
"                         label=\"MaxDepth\"\n"
"                         command=\"SetMaxDepth\"\n"
"                         number_of_elements=\"1\"\n"
"                         animateable=\"0\"\n"
"                         default_values=\"1\" >\n"
"        <Documentation>\n"
"          Maximum tree depth of output Hyper Tree Grid.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearDataArrays\"\n"
"                            command=\"AddDataArray\"\n"
"                            name=\"PointDataArrays\"\n"
"                            label=\"Point Data Array to process\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Add a point array by name to be resampled.</Documentation>\n"
"        <ArrayListDomain input_domain_name=\"input_array\" name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"SelectInputScalars\"\n"
"                            label=\"Subdividing Criterion Array\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"int int int int str\"\n"
"                            animateable=\"0\" >\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"inputs_array\" >\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\"\n"
"                      function=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          Input point data used as a subdividing criterion to build the hypertree grid.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty name=\"UseMax\"\n"
"                         command=\"SetMaxState\"\n"
"                         label=\"Use Max\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If not checked, Max is set to infinity.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"Max\"\n"
"                            command=\"SetMax\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseMax\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Leaves are subdivided if the Subdividing Criterion is lower than Max.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"UseMin\"\n"
"                         command=\"SetMinState\"\n"
"                         label=\"Use Min\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If not checked, Min is set to minus infinity.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"Min\"\n"
"                            command=\"SetMin\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0\" >\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseMin\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Leaves are subdivided if the Subdividing Criterion is greater than Min.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"MinimumNumberOfPointsInSubtree\"\n"
"                         command=\"SetMinimumNumberOfPointsInSubtree\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\" >\n"
"        <Documentation>\n"
"          Nodes are subdivided if an only if their non-empty children have at least this amount of points.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"InsideRange\"\n"
"                         command=\"SetInRange\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Inverts the criterion. Leafs are subdivided if the Subdividing Criterion is outside of [Min, Max]\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"NoEmptyCells\"\n"
"                         command=\"SetNoEmptyCells\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Forces the output hyper tree grid to not produce empty cells by limiting subdivisions.\n"
"          When producing the Hyper Tree Grid output, if any of the potential leaves of a node\n"
"          don't have point data but intersect with the geometry of the input, the node is not\n"
"          subdivided, and thus becomes a leaf. This parameter is trumped by Extrapolate Point Data\n"
"          parameter.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"ExtrapolatePointData\"\n"
"                         command=\"SetExtrapolate\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Forces the output hyper tree grid to not produce empty cells by extrapolation.\n"
"          Leaves intersecting the input geometry but not having any point data are\n"
"          extrapolated by averaging. The averages are computed from the Hyper Tree Grid\n"
"          that would be produced if this parameter was off, using Von Neumann super cursors.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetArrayMeasurement\"\n"
"                     label=\"Subdividing Criterion\"\n"
"                     name=\"ArrayMeasurement\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"array_measurement\" default=\"Arithmetic Mean\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property sets the array measurement method used for\n"
"          subdividing leaves in the hyper tree grid.</Documentation>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetArrayMeasurementDisplay\"\n"
"                     label=\"Averaging method\"\n"
"                     name=\"ArrayMeasurementDisplay\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"array_measurement\" default=\"None\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property sets an extra array measurement method only for visualization\n"
"          purposes. This measurement is applied to the list of inputs.</Documentation>\n"
"      </ProxyProperty>\n"
"      <!-- End ResampleToHyperTreeGrid -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* HyperTreeGridADR_server_manager_modulesHyperTreeGridFiltersGetInterfaces()
{

  const size_t len0 = strlen(HyperTreeGridADR_server_manager_modulesHyperTreeGridFiltersInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(HyperTreeGridADR_server_manager_modulesHyperTreeGridFiltersInterface0, HyperTreeGridADR_server_manager_modulesHyperTreeGridFiltersInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
