// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef PanoramicProjectionView_server_manager_modules_data_h
#define PanoramicProjectionView_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /builddir/build/BUILD/ParaView-v5.11.2/Plugins/PanoramicProjectionView/Views/PanoramicProjectionView.xml
static const char* const PanoramicProjectionView_server_manager_modulesPanoramicProjectionViewInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"views\">\n"
"    <RenderViewProxy name=\"PanoramicProjectionView\" class=\"vtkPVPanoramicProjectionView\"\n"
"        label=\"Panoramic Projection View\"\n"
"        processes=\"client|renderserver|dataserver\"\n"
"        base_proxygroup=\"views\" base_proxyname=\"RenderView\">\n"
"    <Documentation>\n"
"      This view allows visualization of large view angles mapping a panorama to a single image.\n"
"      The image can be used as input for several devices (VR headsets, panaramic screens, domes...)\n"
"    </Documentation>\n"
"      <IntVectorProperty command=\"SetProjectionType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ProjectionType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Equirectangular\" value=\"1\" />\n"
"          <Entry text=\"Azimuthal (fish eye)\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Set the projection type used to map the scene to the 2D image.\n"
"          Equirectangular projection maps meridians to vertical straight lines\n"
"          and circles of latitude to horizontal straight lines.\n"
"          Azimuthal equidistant projection maps all points of the scene\n"
"          based on their distance to the view direction. This projection produces a fisheye effect.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAngle\"\n"
"                         default_values=\"180\"\n"
"                         name=\"ProjectionAngle\"\n"
"                         number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"90\" max=\"360\" />\n"
"        <Documentation>\n"
"          Set the angle used by the projection shader. 180 degrees is a half sphere, 360 degrees\n"
"          is a full sphere, but any values in the range (90;360) can be set.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetCubeResolution\"\n"
"                         default_values=\"500\"\n"
"                         name=\"CubeResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"100\" max=\"10000\" />\n"
"        <Documentation>\n"
"          Set the internal cubemap resolution.\n"
"          Increasing it improves the result but the rendering will be slower.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCubemapInterpolation\"\n"
"                         default_values=\"1\"\n"
"                         name=\"CubemapInterpolation\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Use hardware interpolation of the cubemap texture during projection. In case of\n"
"          low resolution of the cubemap, it can be useful to enable it. The drawback is that there\n"
"          can be visible artifacts when enabled with some OpenGL implementations.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </RenderViewProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* PanoramicProjectionView_server_manager_modulesPanoramicProjectionViewGetInterfaces()
{

  const size_t len0 = strlen(PanoramicProjectionView_server_manager_modulesPanoramicProjectionViewInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(PanoramicProjectionView_server_manager_modulesPanoramicProjectionViewInterface0, PanoramicProjectionView_server_manager_modulesPanoramicProjectionViewInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
