// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef ParametricSurfaces_server_manager_data_h
#define ParametricSurfaces_server_manager_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /builddir/build/BUILD/ParaView-v5.11.2/Plugins/ParametricSurfaces/ParametricSurfaces.xml
static const char* const ParametricSurfaces_server_managerParametricSurfacesInterface0 =
"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"parametric_functions\">\n"
"    <Proxy name=\"Boy's surface\" class=\"vtkParametricBoy\">\n"
"      <DoubleVectorProperty name=\"Z Scale\"\n"
"                            command=\"SetZScale\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.125\">\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Conic spiral\" class=\"vtkParametricConicSpiral\">\n"
"      <DoubleVectorProperty name=\"TubeRadius\"\n"
"                            command=\"SetA\"\n"
"                            animateable=\"1\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.2\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Height\"\n"
"                            command=\"SetB\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Radius\"\n"
"                            command=\"SetC\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"NumberOfWindings\"\n"
"                            command=\"SetN\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"2\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Cross-cap\" class=\"vtkParametricCrossCap\">\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Dini's surface\" class=\"vtkParametricDini\">\n"
"      <DoubleVectorProperty name=\"A\"\n"
"                            command=\"SetA\"\n"
"                            animateable=\"1\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"B\"\n"
"                            command=\"SetB\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.2\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Ellipsoid\" class=\"vtkParametricEllipsoid\">\n"
"      <DoubleVectorProperty name=\"X Radius\"\n"
"                            command=\"SetXRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Y Radius\"\n"
"                            command=\"SetYRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Z Radius\"\n"
"                            command=\"SetZRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Enneper's minimal surface\" class=\"vtkParametricEnneper\"/>\n"
"    <Proxy name=\"Figure 8 klein bottle\" class=\"vtkParametricFigure8Klein\">\n"
"      <DoubleVectorProperty name=\"Radius\"\n"
"                            command=\"SetRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Klein bottle\" class=\"vtkParametricKlein\">\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Mobius strip\" class=\"vtkParametricMobius\">\n"
"      <DoubleVectorProperty name=\"Radius\"\n"
"                            command=\"SetRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MinimumV\"\n"
"                            command=\"SetMinimumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"-1\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"-1\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumV\"\n"
"                            command=\"SetMaximumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"-1\"  max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Random Hills\" class=\"vtkParametricRandomHills\">\n"
"      <IntVectorProperty name=\"Number of Hills\"\n"
"                            command=\"SetNumberOfHills\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"30\">\n"
"         <IntRangeDomain name=\"range\" min=\"1\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"Hill X-variance\"\n"
"                            command=\"SetHillXVariance\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"2.5\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Hill Y-variance\"\n"
"                            command=\"SetHillYVariance\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"2.5\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Hill Amplitude\"\n"
"                            command=\"SetHillAmplitude\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"2\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"Allow Random Generation\"\n"
"                         command=\"SetAllowRandomGeneration\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"Random Seed\"\n"
"                            command=\"SetRandomSeed\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"X-Variance Scale Factor\"\n"
"                            command=\"SetXVarianceScaleFactor\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.333333333333333\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Y-Variance Scale Factor\"\n"
"                            command=\"SetYVarianceScaleFactor\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.333333333333333\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Amplitude Scale Factor\"\n"
"                            command=\"SetAmplitudeScaleFactor\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.333333333333333\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Roman surface\" class=\"vtkParametricRoman\">\n"
"      <DoubleVectorProperty name=\"Radius\"\n"
"                            command=\"SetRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Super Ellipsoid\" class=\"vtkParametricSuperEllipsoid\">\n"
"      <DoubleVectorProperty name=\"X Radius\"\n"
"                            command=\"SetXRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Y Radius\"\n"
"                            command=\"SetYRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Z Radius\"\n"
"                            command=\"SetZRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"N1\"\n"
"                            command=\"SetN1\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"N2\"\n"
"                            command=\"SetN2\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Super Toroid\" class=\"vtkParametricSuperToroid\">\n"
"      <DoubleVectorProperty name=\"Ring Radius\"\n"
"                            command=\"SetRingRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Cross-section Radius\"\n"
"                            command=\"SetCrossSectionRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.5\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"X Radius\"\n"
"                            command=\"SetXRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Y Radius\"\n"
"                            command=\"SetYRadius\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Plugins/ParametricSurfaces/ParametricSurfaces.xml
static const char* const ParametricSurfaces_server_managerParametricSurfacesInterface1 =
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Z Radius\"\n"
"                            command=\"SetZRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"N1\"\n"
"                            command=\"SetN1\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"N2\"\n"
"                            command=\"SetN2\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Torus\" class=\"vtkParametricTorus\">\n"
"      <DoubleVectorProperty name=\"Ring Radius\"\n"
"                            command=\"SetRingRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Cross-section Radius\"\n"
"                            command=\"SetCrossSectionRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.5\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <!-- More Parametric Surfaces-->\n"
"    <Proxy name=\"Bohemian Dome\" class=\"vtkParametricBohemianDome\">\n"
"      <DoubleVectorProperty name=\"A\"\n"
"                            command=\"SetA\"\n"
"                            animateable=\"1\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.5\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"B\"\n"
"                            command=\"SetB\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1.5\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"C\"\n"
"                            command=\"SetC\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Bour's minimal surface\" class=\"vtkParametricBour\">\n"
"      <DoubleVectorProperty name=\"MinimumU\"\n"
"                            command=\"SetMinimumU\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.0\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumU\"\n"
"                            command=\"SetMaximumU\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1.0\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MinimumV\"\n"
"                            command=\"SetMinimumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.0\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumV\"\n"
"                            command=\"SetMaximumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"12.5663706144\">\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Catalan's minimal surface\" class=\"vtkParametricCatalanMinimal\">\n"
"      <DoubleVectorProperty name=\"MinimumU\"\n"
"                            command=\"SetMinimumU\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"-12.5663706144\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumU\"\n"
"                            command=\"SetMaximumU\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"12.5663706144\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MinimumV\"\n"
"                            command=\"SetMinimumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"-1.5\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumV\"\n"
"                            command=\"SetMaximumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1.5\">\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Henneberg's minimal surface\" class=\"vtkParametricHenneberg\">\n"
"      <DoubleVectorProperty name=\"MinimumU\"\n"
"                            command=\"SetMinimumU\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"-1.0\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumU\"\n"
"                            command=\"SetMaximumU\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1.0\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MinimumV\"\n"
"                            command=\"SetMinimumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"-1.57079632679\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumV\"\n"
"                            command=\"SetMaximumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1.57079632679\">\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Kuen's surface\" class=\"vtkParametricKuen\">\n"
"      <DoubleVectorProperty name=\"MinimumU\"\n"
"                            command=\"SetMinimumU\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"-9.42477796077\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumU\"\n"
"                            command=\"SetMaximumU\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"9.42477796077\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MinimumV\"\n"
"                            command=\"SetMinimumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.0\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumV\"\n"
"                            command=\"SetMaximumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"3.14159265359\">\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Plucker's conoid\" class=\"vtkParametricPluckerConoid\">\n"
"      <DoubleVectorProperty name=\"MinimumU\"\n"
"                            command=\"SetMinimumU\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.0\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumU\"\n"
"                            command=\"SetMaximumU\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"3.0\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MinimumV\"\n"
"                            command=\"SetMinimumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.0\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumV\"\n"
"                            command=\"SetMaximumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"6.28318530718\">\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"Pseudosphere\" class=\"vtkParametricPseudosphere\">\n"
"      <DoubleVectorProperty name=\"MinimumU\"\n"
"                            command=\"SetMinimumU\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"-5.0\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumU\"\n"
"                            command=\"SetMaximumU\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"5.0\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MinimumV\"\n"
"                            command=\"SetMinimumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"-3.14159265359\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MaximumV\"\n"
"                            command=\"SetMaximumV\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"3.14159265359\">\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ClockwiseOrdering\"\n"
"                         command=\"SetClockwiseOrdering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property changes the direction of the normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"sources\">\n"
"   <SourceProxy name=\"ParametricSurfaces\" class=\"vtkParametricFunctionSource\"\n"
"                label=\"Parametric Surfaces\">\n"
"      <IntVectorProperty name=\"U Resolution\" command=\"SetUResolution\"\n"
"         number_of_elements=\"1\" default_values=\"50\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"V Resolution\" command=\"SetVResolution\"\n"
"         number_of_elements=\"1\" default_values=\"50\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"Scalar Mode\"\n"
"        command=\"SetScalarMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"None\"/>\n"
"          <Entry value=\"1\" text=\"U\"/>\n"
"          <Entry value=\"2\" text=\"V\"/>\n"
"          <Entry value=\"3\" text=\"U0\"/>\n"
"          <Entry value=\"4\" text=\"V0\"/>\n"
"          <Entry value=\"5\" text=\"U0V0\"/>\n"
"          <Entry value=\"6\" text=\"Modulus\"/>\n"
"          <Entry value=\"7\" text=\"Phase\"/>\n"
"          <Entry value=\"8\" text=\"Quadrant\"/>\n"
"          <Entry value=\"9\" text=\"X\"/>\n"
"          <Entry value=\"10\" text=\"Y\"/>\n"
"          <Entry value=\"11\" text=\"Z\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property indicates which scalar mode will be generated.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"GenerateTextureCoordinates\"\n"
"                         command=\"SetGenerateTextureCoordinates\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property whether to generate texture coordinates or not.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty\n"
"       command=\"SetParametricFunction\"\n"
"       name=\"ParametricFunction\"\n"
"       label=\"Parametric Surfaces\">\n"
"       <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"parametric_functions\"/>\n"
"       </ProxyListDomain>\n"
"     </ProxyProperty>\n"
"   </SourceProxy>\n"
" </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* ParametricSurfaces_server_managerParametricSurfacesGetInterfaces()
{

  const size_t len0 = strlen(ParametricSurfaces_server_managerParametricSurfacesInterface0);
  const size_t len1 = strlen(ParametricSurfaces_server_managerParametricSurfacesInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(ParametricSurfaces_server_managerParametricSurfacesInterface0, ParametricSurfaces_server_managerParametricSurfacesInterface0 + len0, res + offset); offset += len0;
  std::copy(ParametricSurfaces_server_managerParametricSurfacesInterface1, ParametricSurfaces_server_managerParametricSurfacesInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
