// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef SLACTools_server_manager_modules_data_h
#define SLACTools_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /builddir/build/BUILD/ParaView-v5.11.2/Plugins/SLACTools/Filters/SLACToolsSM.xml
static const char* const SLACTools_server_manager_modulesSLACToolsSMInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"\n"
"    <SourceProxy name=\"SamplePlaneSource\" class=\"vtkSamplePlaneSource\"\n"
"                 label=\"Sample Plane Source\">\n"
"      <Documentation long_help=\"Internal filter for creating planes with even samping.\"\n"
"                     short_help=\"Plane for sampling other data.\">\n"
"        Internal for creating planes to use for probing.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input of this filter simply provides the bounds that will be used\n"
"          to set the size of the plane.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Center\"\n"
"                            command=\"SetCenter\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0.0 0.0 0.0\">\n"
"        <Documentation>\n"
"          The center of the geometry created.\n"
"        </Documentation>\n"
"        <BoundsDomain name=\"range\" mode=\"normal\" default_mode=\"mid\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Normal\"\n"
"                            command=\"SetNormal\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0.0 0.0 1.0\">\n"
"        <Documentation>\n"
"          The normal to the plane.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Resolution\"\n"
"                         command=\"SetResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"100\">\n"
"        <Documentation>\n"
"          The number of probe samples to have in each direction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <PropertyGroup type=\"Plane\">\n"
"          <Property name=\"Center\" function=\"Origin\" />\n"
"          <Property name=\"Normal\" function=\"Normal\" />\n"
"        </PropertyGroup>\n"
"      </Hints>\n"
"\n"
"    </SourceProxy> <!-- SamplePlaneSource -->\n"
"\n"
"    <SourceProxy name=\"PlaneGlyphs\" class=\"vtkSLACPlaneGlyphs\"\n"
"                 label=\"Plane Glyphs\">\n"
"      <Documentation\n"
"        long_help=\"Create evenly spaced glyphs on the plane.\"\n"
"        short_help=\"Create evenly spaced glyphs on the plane.\">\n"
"        This filter probes a volume with regularly spaced samples on a\n"
"        plane and generates oriented glyphs.  It also supports some special\n"
"        scaling of the glyphs to look nice on electric field data.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input of this filter simply provides the bounds that will be used\n"
"          to set the size of the plane.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Center\"\n"
"                            command=\"SetCenter\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0.0 0.0 0.0\">\n"
"        <Documentation>\n"
"          The center of the geometry created.\n"
"        </Documentation>\n"
"        <BoundsDomain name=\"range\" mode=\"normal\" default_mode=\"mid\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Normal\"\n"
"                            command=\"SetNormal\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0.0 0.0 1.0\">\n"
"        <Documentation>\n"
"          The normal to the plane.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Resolution\"\n"
"                         command=\"SetResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"10\">\n"
"        <Documentation>\n"
"          The number of probe samples to have in each direction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <PropertyGroup type=\"Plane\">\n"
"          <Property name=\"Center\" function=\"Origin\" />\n"
"          <Property name=\"Normal\" function=\"Normal\" />\n"
"        </PropertyGroup>\n"
"      </Hints>\n"
"\n"
"    </SourceProxy> <!-- PlaneGlyphs -->\n"
"\n"
"    <SourceProxy name=\"TemporalRanges\" class=\"vtkPTemporalRanges\"\n"
"                 label=\"Temporal Ranges\">\n"
"      <Documentation long_help=\"Internal filter for finding information about ranges over time.\"\n"
"                     short_help=\"Find ranges for all time.\">\n"
"        Internal filter for computing the ranges of fields over all time steps.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input, which should be defined over time to make things\n"
"          interesting.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <Hints>\n"
"        <View type=\"SpreadSheetView\" />\n"
"      </Hints>\n"
"\n"
"    </SourceProxy> <!-- TemporalRanges -->\n"
"\n"
"  </ProxyGroup> <!-- filters -->\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* SLACTools_server_manager_modulesSLACToolsSMGetInterfaces()
{

  const size_t len0 = strlen(SLACTools_server_manager_modulesSLACToolsSMInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(SLACTools_server_manager_modulesSLACToolsSMInterface0, SLACTools_server_manager_modulesSLACToolsSMInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
