/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkPVVTKExtensionsIOParallelCGNSWriterObjectFactory.cxx

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

// Object factories should never have deprecation warnings.
#define VTK_DEPRECATION_LEVEL 0

#include "vtkPVVTKExtensionsIOParallelCGNSWriterObjectFactory.h"
#include "vtkVersion.h"

// Include all of the classes we want to create overrides for.
#include "vtkPCGNSWriter.h"


vtkStandardNewMacro(vtkPVVTKExtensionsIOParallelCGNSWriterObjectFactory);

// Now create the functions to create overrides with.
VTK_CREATE_CREATE_FUNCTION(vtkPCGNSWriter)


vtkPVVTKExtensionsIOParallelCGNSWriterObjectFactory::vtkPVVTKExtensionsIOParallelCGNSWriterObjectFactory()
{
this->RegisterOverride("vtkCGNSWriter", "vtkPCGNSWriter", "Override for ParaView::VTKExtensionsIOParallelCGNSWriter module", 1, vtkObjectFactoryCreatevtkPCGNSWriter);

}

const char * vtkPVVTKExtensionsIOParallelCGNSWriterObjectFactory::GetVTKSourceVersion()
{
  return VTK_SOURCE_VERSION;
}

void vtkPVVTKExtensionsIOParallelCGNSWriterObjectFactory::PrintSelf(ostream &os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os, indent);
}

// Registration of object factories.
static unsigned int vtkPVVTKExtensionsIOParallelCGNSWriterCount = 0;

VTKPVVTKEXTENSIONSIOPARALLELCGNSWRITER_EXPORT void vtkPVVTKExtensionsIOParallelCGNSWriter_AutoInit_Construct()
{
  if(++vtkPVVTKExtensionsIOParallelCGNSWriterCount == 1)
  {


    vtkPVVTKExtensionsIOParallelCGNSWriterObjectFactory* factory = vtkPVVTKExtensionsIOParallelCGNSWriterObjectFactory::New();
    if (factory)
    {
      // vtkObjectFactory keeps a reference to the "factory",
      vtkObjectFactory::RegisterFactory(factory);
      factory->Delete();
    }
  }
}
