// Loadable modules
//
// Generated by bin/vtkProcessXML
//
#ifndef paraview_server_manager_data_h
#define paraview_server_manager_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Core/Resources/core_sources.xml
static const char* const paraview_server_managercore_sourcesInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTrivialProducer\"\n"
"                 name=\"TrivialProducer\">\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVTrivialProducer\"\n"
"                 name=\"PVTrivialProducer\">\n"
"      <IntVectorProperty command=\"SetWholeExtent\"\n"
"                         default_values=\"0 -1 0 -1 0 -1\"\n"
"                         name=\"WholeExtent\"\n"
"                         number_of_elements=\"6\"\n"
"                         panel_visibility=\"never\" >\n"
"        <Documentation>The values of this property specify the whole extent of\n"
"        the topologically regular grid.</Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVTrivialProducer\" name=\"PVTrivialProducer2\">\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkDistributedTrivialProducer\"\n"
"                 name=\"DistributedTrivialProducer\">\n"
"      <IntVectorProperty command=\"SetWholeExtent\"\n"
"                         default_values=\"0 -1 0 -1 0 -1\"\n"
"                         name=\"WholeExtent\"\n"
"                         number_of_elements=\"6\"\n"
"                         panel_visibility=\"never\" >\n"
"        <Documentation>The values of this property specify the whole extent of\n"
"        the topologically regular grid.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"UpdateFromGlobal\"\n"
"                            default_values=\"\"\n"
"                            name=\"UpdateDataset\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>This property allow to initialize the trivial producer based\n"
"          on a previously registered dataset.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managercore_sourcesGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managercore_sourcesInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managercore_sourcesInterface0, paraview_server_managercore_sourcesInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Extraction/Resources/extraction_filters.xml
static const char* const paraview_server_managerextraction_filtersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractSelectionRange\"\n"
"                 label=\"Extract Selection Range (internal)\"\n"
"                 name=\"ExtractSelectionRange\">\n"
"      <Documentation>\n"
"        This filter extracts the range of a given set of cells or points given\n"
"        a selection. The selection can be obtained from a rubber-band selection\n"
"        (either point, cell, visible or in a frustum) and passed to the filter or\n"
"        specified by providing an ID list. This is an internal filter.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input from which the selection is\n"
"          extracted.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Selection\"\n"
"                     port_index=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkSelection\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input that provides the selection\n"
"          object.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetArrayName\"\n"
"                            name=\"ArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          This property indicates the name of the scalar array\n"
"          used to compute the range.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetFieldType\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"FieldType\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the field type of the selection.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetComponent\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"Component\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Select the component of the selection.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetRange\"\n"
"                            default_values=\"0 0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"Range\"\n"
"                            number_of_elements=\"2\">\n"
"      </DoubleVectorProperty>\n"
"      <!-- End ExtractSelectionRange -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkSelectArraysExtractBlocks\" name=\"SelectArraysExtractBlocks\">\n"
"      <Documentation long_help=\"The SelectArraysExtractBlocks filter is a meta-filter combining\n"
"                     the PassArray filter and the ExtractBlock filter.\"\n"
"                     short_help=\"Combines the PassArray and the ExtractBlock filter.\">\n"
"                     The SelectArraysExtractBlocks filter is a meta-filter combining the PassArray\n"
"                     filter and the ExtractBlock filter. It's intended to be used as a pre-processing\n"
"                     filter for MultiBlockDataSet, UniformGridAMR and PartitionedDataSetCollection\n"
"                     writers. It allows to select specific data arrays and/or blocks to write.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"          <DataType value=\"vtkUniformGridAMR\"/>\n"
"          <DataType value=\"vtkPartitionedDataSetCollection\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"point_arrays\" attribute_type=\"point\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"cell_arrays\" attribute_type=\"cell\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"field_arrays\" attribute_type=\"field\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"vertex_arrays\" attribute_type=\"vertex\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"edge_arrays\" attribute_type=\"edge\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"row_arrays\" attribute_type=\"row\" optional=\"1\" />\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"ChooseArraysToWrite\"\n"
"        command=\"SetPassArraysEnabled\"\n"
"        default_values=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Explicitly choose which arrays to write.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty\n"
"          name=\"PointDataArrays\"\n"
"          command=\"GetPointDataArraySelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"point_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the point data arrays to pass through.\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"point\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"          name=\"CellDataArrays\"\n"
"          command=\"GetCellDataArraySelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"cell_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the cell data arrays to pass through.\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"cell\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"          name=\"FieldDataArrays\"\n"
"          command=\"GetFieldDataArraySelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"field_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the field data arrays to pass through.\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"field\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"          name=\"VertexDataArrays\"\n"
"          command=\"GetVertexDataArraySelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"vertex_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the vertex data arrays to pass through.\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"vertex\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"          name=\"EdgeDataArrays\"\n"
"          command=\"GetEdgeDataArraySelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"edge_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the edge data arrays to pass through.\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"edge\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"          name=\"RowDataArrays\"\n"
"          command=\"GetRowDataArraySelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"row_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the row data arrays to pass through.\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"row\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ChooseBlocksToWrite\"\n"
"        command=\"SetExtractBlocksEnabled\"\n"
"        default_values=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Explicitly choose which blocks to write.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"Assembly\"\n"
"                            command=\"SetAssemblyName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"Hierarchy\">\n"
"        <DataAssemblyListDomain name=\"data_assembly_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </DataAssemblyListDomain>\n"
"        <Documentation>\n"
"          Select which assembly is used when specifying selectors\n"
"          to choose blocks to extract.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"Selectors\"\n"
"                            command=\"AddSelector\"\n"
"                            clean_command=\"ClearSelectors\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"1\">\n"
"        <DataAssemblyDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"            <Property function=\"ActiveAssembly\" name=\"Assembly\"/>\n"
"          </RequiredProperties>\n"
"        </DataAssemblyDomain>\n"
"        <Documentation>\n"
"          Specify the selectors for the data assembly chosen using **Assembly**\n"
"          to choose the blocks to extract from the input dataset.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Blocks\" panel_widget=\"DataAssemblyEditor\">\n"
"        <Property name=\"Assembly\" function=\"ActiveAssembly\"/>\n"
"        <Property name=\"Selectors\" function=\"Selectors\"/>\n"
"      </PropertyGroup>\n"
"    </SourceProxy>\n"
"    <!-- End of internal_filters -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"filters\">\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractCellsAlongLine\"\n"
"                 label=\"Extract Cells Along Line\"\n"
"                 name=\"ExtractCellsAlongLine\">\n"
"      <Documentation short_help=\"Extract cells along input line.\">\n"
"        This filter extract the cells intersected by a line.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"          <DataType value=\"vtkCompositeDataSet\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint1\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Point1\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"min\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          This property controls the coordinates of the first endpoint of the line.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint2\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Point2\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"max\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          This property controls the coordinates of the second endpoint of the line.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Line Parameters\" panel_widget=\"InteractiveLine\">\n"
"        <Property function=\"Point1WorldPosition\" name=\"Point1\"/>\n"
"        <Property function=\"Point2WorldPosition\" name=\"Point2\"/>\n"
"      </PropertyGroup>\n"
"      <!-- End ExtractCellsAlongLine -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractCellsAlongPolyLine\"\n"
"                 label=\"Extract Cells Along Lines Custom Source\"\n"
"                 name=\"ExtractCellsAlongLineCustom\">\n"
"      <Documentation short_help=\"Extract cells along input lines from custom source\">\n"
"        The Extract Cells Along Lines From Custom Source filter\n"
"        extracts cells from the input data set that intersect lines from a custom source.\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Extraction/Resources/extraction_filters.xml
static const char* const paraview_server_managerextraction_filtersInterface1 =
"        This source can be either an Unstructured Grid or a Poly Data. Any cells other\n"
"        than lines or poly lines are ignored in the source.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"          <DataType value=\"vtkCompositeDataSet\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetSourceConnection\"\n"
"                     name=\"Source\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\"/>\n"
"          <DataType value=\"vtkUnstructuredGrid\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the dataset composed of the lines and poly lines used\n"
"          to extract cells in the input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <!-- End ExtractCellsAlongLineCustom -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVExtractSelection\"\n"
"                 label=\"Extract Selection (internal)\"\n"
"                 name=\"PVExtractSelection\">\n"
"      <Documentation>\n"
"        This filter extracts a given set of cells or points given\n"
"        a selection. The selection can be obtained from a rubber-band selection\n"
"        (either point, cell, visible or in a frustum) and passed to the filter or\n"
"        specified by providing an ID list. This is an internal filter, use\n"
"        \"ExtractSelection\" instead.\n"
"      </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input from which the selection is extracted.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty clean_command=\"RemoveAllSelectionsInputs\"\n"
"                     command=\"SetSelectionConnection\"\n"
"                     name=\"Selection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkSelection\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input that provides the selection object.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <!-- End ExtractSelection -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPConvertSelection\"\n"
"                 name=\"ConvertSelection\">\n"
"      <Documentation>\n"
"        Converts a selection from one type to another.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"DataInput\"\n"
"                     port_index=\"1\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the vtkDataObject input used to convert the selection.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     port_index=\"0\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkSelection\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the selection to convert.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetOutputType\"\n"
"                         default_values=\"5\"\n"
"                         name=\"OutputType\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the ContentType for the output.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"GLOBALIDs\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"PEDIGREEIDS\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"VALUES\"\n"
"                 value=\"2\"/>\n"
"          <Entry text=\"INDICES\"\n"
"                 value=\"3\"/>\n"
"          <Entry text=\"FRUSTUM\"\n"
"                 value=\"4\"/>\n"
"          <Entry text=\"LOCATIONS\"\n"
"                 value=\"5\"/>\n"
"          <Entry text=\"THRESHOLDS\"\n"
"                 value=\"6\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearArrayNames\"\n"
"                            command=\"AddArrayName\"\n"
"                            element_types=\"2\"\n"
"                            name=\"ArrayNames\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"/>\n"
"      <IntVectorProperty command=\"SetMatchAnyValues\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MatchAnyValues\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAllowMissingArray\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AllowMissingArray\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <!-- End of ConvertSelection -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVSingleOutputExtractSelection\"\n"
"                 label=\"Extract Selection\"\n"
"                 name=\"ExtractSelection\">\n"
"      <Documentation long_help=\"Extract different type of selections.\"\n"
"                     short_help=\"Extract different type of selections.\">\n"
"        This filter extracts a set of cells/points given a selection.\n"
"        The selection can be obtained from a rubber-band selection\n"
"        (either cell, visible or in a frustum) or threshold\n"
"        selection and passed to the filter or specified by\n"
"        providing an ID list.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"          <DataType value=\"vtkTable\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input from which the selection is extracted.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetSelectionConnection\"\n"
"                     name=\"Selection\"\n"
"                     panel_visibility=\"default\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkSelection\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input that provides the selection object.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- This tag alerts the auto-generated panels and input selection\n"
"              that this input is a selection.  It should use the special\n"
"              selection GUI. -->\n"
"          <SelectionInput/>\n"
"        </Hints>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetPreserveTopology\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PreserveTopology\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is set to 1 the output preserves the topology of its input and adds\n"
"          an insidedness array to mark which cells are inside or out. If 0 then the output is\n"
"          an unstructured grid which contains only the subset of cells that are inside.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <InitializationHelper class=\"vtkSMExtractSelectionProxyInitializationHelper\"/>\n"
"      </Hints>\n"
"      <!-- End of ExtractSelection -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVExtractCellsByType\"\n"
"                 label=\"Extract Cells By Type\"\n"
"                 name=\"ExtractCellsByType\">\n"
"      <Documentation short_help=\"Extract cells based on their type.\">\n"
"        This filter extracts cells of the selected types.\n"
"        If the data set does not contain cells of the chosen types, the output is empty.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input of the filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellTypeSelectionInfo\"\n"
"                            command=\"GetCellTypeSelection\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            information_only=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"CellTypes\"\n"
"                            command=\"GetCellTypeSelection\"\n"
"                            information_property=\"CellTypeSelectionInfo\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            repeat_command=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"CellTypeSelectionInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          Select the cell types to extract.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End of ExtractCellsByType -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAppendSelection\"\n"
"                 name=\"AppendSelections\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <Documentation long_help=\"Append selections\"\n"
"                     short_help=\"Append multiple selections into one selection.\">\n"
"        Append multiple selections with one or many nodes, with the same fieldType,\n"
"        and possibly different content type, to create a combined selection. Each\n"
"        selection has a name and a boolean expression can be set using the selection\n"
"        names to define the relation between the selections.\n"
"      </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkSelection\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property indicates the inputs to the AppendSelections filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"AppendByUnion\"\n"
"                         command=\"SetAppendByUnion\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Allows by default to not append by union, so that an expression can be used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"Expression\"\n"
"                            animateable=\"0\"\n"
"                            command=\"SetExpression\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          This property specifies the expression which defines the relation between the input selections.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetInverse\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InsideOut\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When this property is false the selection describes everything that should be extracted.\n"
"          When this is true the selection describes everything that should NOT be extracted.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"SelectionNames\"\n"
"                            command=\"SetInputName\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\"\n"
"                            clean_command=\"RemoveAllInputNames\">\n"
"        <Documentation>\n"
"          Specify names to use for each input selection.\n"
"        </Documentation>\n"
"        <RegistrationNamesDomain name=\"names_list\" registration_group=\"sources\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Proxies\"/>\n"
"          </RequiredProperties>\n"
"        </RegistrationNamesDomain>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"1\"/>\n"
"      </Hints>\n"
"      <!-- End of AppendSelections -->\n"
"    </SourceProxy>\n"
"    <!-- End of filters -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkSelectionSource\"\n"
"                 name=\"SelectionQuerySource\">\n"
"      <IntVectorProperty command=\"SetContentType\"\n"
"                         default_values=\"9\"\n"
"                         name=\"ContentType\"\n"
"                         number_of_elements=\"1\">\n"
"      </IntVectorProperty>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Extraction/Resources/extraction_filters.xml
static const char* const paraview_server_managerextraction_filtersInterface2 =
"      <IntVectorProperty command=\"SetFieldTypeOption\"\n"
"                         default_values=\"1\"\n"
"                         name=\"FieldTypeOption\"\n"
"                         number_of_elements=\"1\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetElementType\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ElementType\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Select the type of elements to select.\n"
"        </Documentation>\n"
"        <FieldDataDomain name=\"enum\"/>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetQueryString\"\n"
"                            default_values=\"\"\n"
"                            name=\"QueryString\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetHierarchicalLevel\"\n"
"                         default_values=\"-1\"\n"
"                         name=\"HierarchicalLevel\"\n"
"                         number_of_elements=\"1\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHierarchicalIndex\"\n"
"                         default_values=\"-1\"\n"
"                         name=\"HierarchicalIndex\"\n"
"                         number_of_elements=\"1\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetProcessID\"\n"
"                         default_values=\"-1\"\n"
"                         name=\"ProcessID\"\n"
"                         number_of_elements=\"1\">\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"Assembly\"\n"
"                            command=\"SetAssemblyName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"Hierarchy\">\n"
"        <Documentation>\n"
"          Select which assembly is used when specify selectors\n"
"          to choose blocks to show for composite datasets.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"Selectors\"\n"
"                            command=\"AddSelector\"\n"
"                            clean_command=\"RemoveAllSelectors\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"1\">\n"
"        <Documentation>\n"
"          For composite datasets, specify selectors to limit the view\n"
"          to a chosen subset of blocks.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetInverse\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InsideOut\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When this property is false the selection describes everything that should be extracted.\n"
"          When this is true the selection describes everything that should NOT be extracted.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetContainingCells\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ContainingCells\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          When field type is POINT, this controls whether single vertex cells will be produced\n"
"          for each selected point, or whether the cells that contain each selected point will be produced.\n"
"          When field type is CELL this has no effect.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfLayers\"\n"
"                         default_values=\"0\"\n"
"                         name=\"NumberOfLayers\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Specify the number of layers of connected elements to include in the selection.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRemoveSeed\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RemoveSeed\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          When using NumberOfLayers, this controls if the initial seed selection is remove or not.\n"
"          Default is false.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRemoveIntermediateLayers\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RemoveIntermediateLayers\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          When using NumberOfLayers, this controls if intermediate layers are removes or not.\n"
"          Default is false.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <!-- End of SelectionQuerySource -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <Proxy name=\"SelectionSourceBase\">\n"
"      <Documentation>\n"
"        Internal proxy used to define the common API for Selection Source proxies. Do not use.\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"SetFieldType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FieldType\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          The location of the array the selection came from (e.g. point, cell).\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"CELL\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"POINT\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"FIELD\"\n"
"                 value=\"2\"/>\n"
"          <Entry text=\"VERTEX\"\n"
"                 value=\"3\"/>\n"
"          <Entry text=\"EDGE\"\n"
"                 value=\"4\"/>\n"
"          <Entry text=\"ROW\"\n"
"                 value=\"5\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetContainingCells\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ContainingCells\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          When field type is POINT, this controls whether single vertex cells will be produced\n"
"          for each selected point, or whether the cells that contain each selected point will be produced.\n"
"          When field type is CELL this has no effect.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInverse\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InsideOut\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When this property is false the selection describes everything that should be extracted.\n"
"          When this is true the selection describes everything that should NOT be extracted.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfLayers\"\n"
"                         default_values=\"0\"\n"
"                         name=\"NumberOfLayers\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Specify the number of layers of connected elements to include in the selection.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRemoveSeed\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RemoveSeed\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          When using NumberOfLayers, this controls if the initial seed selection is remove or not.\n"
"          Default is false.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRemoveIntermediateLayers\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RemoveIntermediateLayers\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          When using NumberOfLayers, this controls if intermediate layers are removes or not.\n"
"          Default is false.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy base_proxygroup=\"sources\"\n"
"                 base_proxyname=\"SelectionSourceBase\"\n"
"                 class=\"vtkPVSelectionSource\"\n"
"                 name=\"BlockSelectionSource\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        BlockSelectionSource is a source producing a block-based selection used to select blocks\n"
"        from a composite dataset.\n"
"      </Documentation>\n"
"      <IdTypeVectorProperty clean_command=\"RemoveAllBlocks\"\n"
"                            command=\"AddBlock\"\n"
"                            label=\"Blocks\"\n"
"                            name=\"Blocks\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          The list of blocks that will be added to the selection produced by the selection source.\n"
"          The blocks are identified using their composite index (flat index).\n"
"        </Documentation>\n"
"      </IdTypeVectorProperty>\n"
"      <!-- End of BlockSelectionSource -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy base_proxygroup=\"sources\"\n"
"                 base_proxyname=\"SelectionSourceBase\"\n"
"                 class=\"vtkPVSelectionSource\"\n"
"                 name=\"BlockSelectorsSelectionSource\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        BlockSelectorsSelectionSource is a source producing a block-based selection used to select blocks\n"
"        from a composite dataset using selectors.\n"
"      </Documentation>\n"
"      <StringVectorProperty clean_command=\"RemoveAllBlockSelectors\"\n"
"                            command=\"AddBlockSelector\"\n"
"                            label=\"Block Selectors\"\n"
"                            name=\"BlockSelectors\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          The list of blocks selectors that will be added to the selection produced by the selection source.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetArrayName\"\n"
"                            name=\"BlockSelectorsAssemblyName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"Hierarchy\"/>\n"
"      <!-- End of BlockSelectionSource -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy base_proxygroup=\"sources\"\n"
"                 base_proxyname=\"SelectionSourceBase\"\n"
"                 class=\"vtkPVSelectionSource\"\n"
"                 name=\"FrustumSelectionSource\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        FrustumSelectionSource is a source producing a frustum selection.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"AddFrustum\"\n"
"                            default_values=\"0.0 0.0 1.0 0.0\n"
"         0.0 0.0 0.0 0.0\n"
"         0.0 1.0 1.0 0.0\n"
"         0.0 1.0 0.0 0.0\n"
"         1.0 0.0 1.0 0.0\n"
"         1.0 0.0 0.0 0.0\n"
"         1.0 1.0 1.0 0.0\n"
"         1.0 1.0 0.0 0.0\"\n"
"                            label=\"Frustum\"\n"
"                            name=\"Frustum\"\n"
"                            number_of_elements=\"32\">\n"
"        <Documentation>\n"
"          Vertices that define a frustum for the selection source.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of FrustumSelectionSource -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy base_proxygroup=\"sources\"\n"
"                 base_proxyname=\"SelectionSourceBase\"\n"
"                 class=\"vtkPVSelectionSource\"\n"
"                 name=\"GlobalIDSelectionSource\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        GlobalIDSelectionSource is a source producing a global ID based selection.\n"
"      </Documentation>\n"
"      <IdTypeVectorProperty clean_command=\"RemoveAllGlobalIDs\"\n"
"                            command=\"AddGlobalID\"\n"
"                            label=\"Global IDs\"\n"
"                            name=\"IDs\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          The list of IDs that will be added to the selection produced by the selection source.\n"
"        </Documentation>\n"
"      </IdTypeVectorProperty>\n"
"      <!-- End of GlobalIDSelectionSource -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy base_proxygroup=\"sources\"\n"
"                 base_proxyname=\"SelectionSourceBase\"\n"
"                 class=\"vtkPVSelectionSource\"\n"
"                 name=\"PedigreeIDSelectionSource\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        PedigreeIDSelectionSource is a source producing a pedigree ID based selection.\n"
"      </Documentation>\n"
"      <StringVectorProperty clean_command=\"RemoveAllPedigreeIDs\"\n"
"                            command=\"AddPedigreeID\"\n"
"                            default_values=\"id 0\"\n"
"                            element_types=\"2 0\"\n"
"                            label=\"Pedigree IDs\"\n"
"                            name=\"IDs\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          The list of integer IDs that will be added to the selection produced by the selection source,\n"
"          specified by the pair (domain, id).\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty clean_command=\"RemoveAllPedigreeStringIDs\"\n"
"                            command=\"AddPedigreeStringID\"\n"
"                            default_values=\"id foo\"\n"
"                            element_types=\"2 2\"\n"
"                            label=\"Pedigree String IDs\"\n"
"                            name=\"StringIDs\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Extraction/Resources/extraction_filters.xml
static const char* const paraview_server_managerextraction_filtersInterface3 =
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          The list of string IDs that will be added to the selection produced by the selection source,\n"
"          specified by the pair (domain, id).\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End of PedigreeIDSelectionSource -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy base_proxygroup=\"sources\"\n"
"                 base_proxyname=\"SelectionSourceBase\"\n"
"                 class=\"vtkPVSelectionSource\"\n"
"                 name=\"IDSelectionSource\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        IDSelectionSource is a source producing a ID based selection.\n"
"        This cannot be used for selecting composite datasets.\n"
"      </Documentation>\n"
"      <IdTypeVectorProperty clean_command=\"RemoveAllIDs\"\n"
"                            command=\"AddID\"\n"
"                            name=\"IDs\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          The list of IDs that will be added to the selection produced by the selection source.\n"
"          This takes pairs of values as (process number, id).\n"
"        </Documentation>\n"
"      </IdTypeVectorProperty>\n"
"      <!-- End of IDSelectionSource -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy base_proxygroup=\"sources\"\n"
"                 base_proxyname=\"SelectionSourceBase\"\n"
"                 class=\"vtkPVSelectionSource\"\n"
"                 name=\"ValueSelectionSource\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        ValueSelectionSource is a source producing a value based selection.\n"
"        This cannot be used for selecting composite datasets.\n"
"      </Documentation>\n"
"      <IdTypeVectorProperty clean_command=\"RemoveAllValues\"\n"
"                            command=\"AddValue\"\n"
"                            name=\"Values\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          The list of Values that will be added to the selection produced by the selection source.\n"
"          This takes pairs of values as (process number, value).\n"
"        </Documentation>\n"
"      </IdTypeVectorProperty>\n"
"      <StringVectorProperty command=\"SetArrayName\"\n"
"                            name=\"ArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"      </StringVectorProperty>\n"
"      <!-- End of ValueSelectionSource -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"\n"
"    <SourceProxy base_proxygroup=\"sources\"\n"
"                 base_proxyname=\"SelectionSourceBase\"\n"
"                 class=\"vtkPVSelectionSource\"\n"
"                 name=\"CompositeDataIDSelectionSource\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        CompositeDataIDSelectionSource used to create an ID based selection for composite datasets\n"
"        (Multiblock or HierarchicalBox dataset).\n"
"      </Documentation>\n"
"      <IdTypeVectorProperty clean_command=\"RemoveAllCompositeIDs\"\n"
"                            command=\"AddCompositeID\"\n"
"                            name=\"IDs\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          The list of IDs that will be added to the selection produced by the selection source.\n"
"          This takes 3-tuple of values as (flat-index, process number, id).\n"
"        </Documentation>\n"
"      </IdTypeVectorProperty>\n"
"      <!-- End of CompositeDataIDSelectionSource -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy base_proxygroup=\"sources\"\n"
"                 base_proxyname=\"SelectionSourceBase\"\n"
"                 class=\"vtkPVSelectionSource\"\n"
"                 name=\"HierarchicalDataIDSelectionSource\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        HierarchicalDataIDSelectionSource used to create an ID based selection for HierarchicalBox datasets.\n"
"      </Documentation>\n"
"      <IdTypeVectorProperty clean_command=\"RemoveAllHierarchicalIDs\"\n"
"                            command=\"AddHierarhicalID\"\n"
"                            name=\"IDs\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          The list of IDs that will be added to the selection produced by the selection source.\n"
"          This takes 3-tuple of values as (level, index, id).\n"
"        </Documentation>\n"
"      </IdTypeVectorProperty>\n"
"      <!-- End of HierarchicalDataIDSelectionSource -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy base_proxygroup=\"sources\"\n"
"                 base_proxyname=\"SelectionSourceBase\"\n"
"                 class=\"vtkPVSelectionSource\"\n"
"                 name=\"ThresholdSelectionSource\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        ThresholdSelectionSource is used to create a threshold based selection.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty clean_command=\"RemoveAllThresholds\"\n"
"                            command=\"AddThreshold\"\n"
"                            name=\"Thresholds\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          The list of thresholds that will be added to the selection produced by the selection source.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetArrayName\"\n"
"                            default_values=\"none\"\n"
"                            name=\"ArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          For threshold and value selection, this controls the name of the scalar array that will be thresholded within.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End of ThresholdSelectionSource -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy base_proxygroup=\"sources\"\n"
"                 base_proxyname=\"SelectionSourceBase\"\n"
"                 class=\"vtkPVSelectionSource\"\n"
"                 name=\"LocationSelectionSource\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        LocationSelectionSource is used to create a location based selection.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty clean_command=\"RemoveAllLocations\"\n"
"                            command=\"AddLocation\"\n"
"                            name=\"Locations\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          The list of locations that will be added to the selection produced by the selection source.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of LocationSelectionSource -->\n"
"    </SourceProxy>\n"
"    <!-- End of sources -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerextraction_filtersGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerextraction_filtersInterface0);
  const size_t len1 = strlen(paraview_server_managerextraction_filtersInterface1);
  const size_t len2 = strlen(paraview_server_managerextraction_filtersInterface2);
  const size_t len3 = strlen(paraview_server_managerextraction_filtersInterface3);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerextraction_filtersInterface0, paraview_server_managerextraction_filtersInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerextraction_filtersInterface1, paraview_server_managerextraction_filtersInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerextraction_filtersInterface2, paraview_server_managerextraction_filtersInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerextraction_filtersInterface3, paraview_server_managerextraction_filtersInterface3 + len3, res + offset); offset += len3;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Misc/Resources/misc_filters.xml
static const char* const paraview_server_managermisc_filtersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkAttributeDataToTableFilter\"\n"
"                 label=\"Extract Attributes\"\n"
"                 name=\"AttributeDataToTableFilter\">\n"
"      <Documentation long_help=\"Extract attribute data as a table.\"\n"
"                     short_help=\"Extract attribute data as a table.\">This is a\n"
"                     filter that produces a vtkTable from the chosen attribute\n"
"                     in the input data object. This filter can accept composite\n"
"                     datasets. If the input is a composite dataset, the output\n"
"                     is a multiblock with vtkTable leaves.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input of the\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetFieldAssociation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FieldAssociation\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Select the attribute data to pass.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Points\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Cells\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Field Data\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Vertices\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Edges\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Rows\"\n"
"                 value=\"6\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAddMetaData\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AddMetaData\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>It is possible for this filter to add additional\n"
"        meta-data to the field data such as point coordinates (when point\n"
"        attributes are selected and input is pointset) or structured\n"
"        coordinates etc. To enable this addition of extra information, turn\n"
"        this flag on. Off by default.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of AttributeDataToTableFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkMergeBlocks\"\n"
"                 label=\"Merge Blocks\"\n"
"                 name=\"MergeBlocks\">\n"
"      <Documentation short_help=\"Appends vtkCompositeDataSet leaves into a single vtkUnstructuredGrid or vtkPolyData\">\n"
"      Merge Blocks appends all vtkDataSet leaves of the input composite dataset to a single\n"
"      unstructured grid (or polydata if all leaves are polydata). The subtree to\n"
"      be combined can be chosen using the SubTreeCompositeIndex. If the SubTreeCompositeIndex\n"
"      is a leaf node, then no appending is required nor performed.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObjectTree\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input composite dataset.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetOutputDataSetType\"\n"
"                         default_values=\"4\"\n"
"                         number_of_elements=\"1\"\n"
"                         name=\"OutputDataSetType\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Polygonal Mesh\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Unstructured Grid\"\n"
"                 value=\"4\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Determines the output type produced by this filter. Only blocks compatible\n"
"        with the output type will be merged in the output. For example, if the output type is\n"
"        \"Polygonal Mesh\", then blocks of type \"Image Data\", \"Structured Grid\", etc. will not be merged.\n"
"        If the output type is \"UnstructuredGrid\", then blocks of any type will be merged in the output.\n"
"        Defaults to \"Unstructured Grid\".\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetMergePartitionsOnly\"\n"
"                         name=\"MergePartitionsOnly\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, only paritions and pieces will be merged into a dataset each,\n"
"          instead of merging everything into a single dataset.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMergePoints\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Merge Points\"\n"
"                         name=\"MergePoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Merge points within a distance specified by the **Tolerance**\n"
"        property.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTolerance\"\n"
"                            default_values=\"0\"\n"
"                            label=\"Tolerance\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the tolerance for merging points if **Merge Points** is enabled.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"MergePoints\"\n"
"                                   value=\"1\" />\n"
"          <!-- show this widget when MergePoints==1 and showing advanced options -->\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetToleranceIsAbsolute\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ToleranceIsAbsolute\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property determines whether to treat the **Tolerance**\n"
"        property as absolute (points closer than Tolerance are merged) or relative\n"
"        (points closer than a fraction of the input data's bounding box diagonal length)\n"
"        when performing point merging.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"MergePoints\"\n"
"                                   value=\"1\" />\n"
"          <!-- show this widget when MergePoints==1 and showing advanced options -->\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <!-- End of MergeBlocks -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkEnvironmentAnnotationFilter\"\n"
"                 label=\"Environment Annotation\"\n"
"                 name=\"EnvironmentAnnotation\">\n"
"      <Documentation long_help=\"Allows annotation of user name, date/time, OS, and possibly filename.\"\n"
"        short_help=\"Adds annotation overlay.\">\n"
"        Apply to any source. Gui allows manual selection of desired annotation options.\n"
"        If the source is a file, can display the filename.\n"
"      </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input of the filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetDisplayUserName\"\n"
"                         name=\"DisplayUserName\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle User Name Visibility.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDisplaySystemName\"\n"
"                         name=\"DisplaySystemName\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle System Name Visibility.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDisplayDate\"\n"
"                         name=\"DisplayDate\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle Date/Time Visibility.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDisplayFileName\"\n"
"                         name=\"DisplayFileName\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle File Name Visibility.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDisplayFilePath\"\n"
"                         name=\"DisplayFilePath\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle Show Full File Path.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"DisplayFileName\"\n"
"                                   value=\"1\" />\n"
"          <!-- enable this widget when DisplayFileName==1 -->\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            default_values=\"\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_widget=\"filename_widget\">\n"
"        <Documentation>Annotation of file name.</Documentation>\n"
"        <InputFileNameDomain name=\"filename\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </InputFileNameDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"DisplayFileName\"\n"
"                                   value=\"1\" />\n"
"          <!-- enable this widget when DisplayFileName==1 -->\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"        <OutputPort index=\"0\"\n"
"                    name=\"Output-0\"\n"
"                    type=\"text\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkMinMax\" name=\"MinMax\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Min Max filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetOperation\"\n"
"                            default_values=\"MIN\"\n"
"                            name=\"Operation\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"operation\">\n"
"          <String value=\"MIN\" />\n"
"          <String value=\"MAX\" />\n"
"          <String value=\"SUM\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Select whether to perform a min, max, or sum operation\n"
"        on the data.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End MinMax -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPExtractHistogram\"\n"
"                 label=\"Histogram\"\n"
"                 name=\"ExtractHistogram\">\n"
"      <Documentation long_help=\"Extract a histogram from field data.\"\n"
"                     short_help=\"Extract a histogram from field data.\">\n"
"                     </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>This property specifies the input to the Histogram\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputArray\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property indicates the name of the array from which\n"
"        to compute the histogram.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetBinCount\"\n"
"                         default_values=\"10\"\n"
"                         name=\"BinCount\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"256\"\n"
"                        min=\"1\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Misc/Resources/misc_filters.xml
static const char* const paraview_server_managermisc_filtersInterface1 =
"                        name=\"range\" />\n"
"        <Documentation>The value of this property specifies the number of bins\n"
"        for the histogram.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetComponent\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Component\"\n"
"                         number_of_elements=\"1\">\n"
"        <NumberOfComponentsDomain name=\"comps\" enable_magnitude=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputArray\" />\n"
"          </RequiredProperties>\n"
"        </NumberOfComponentsDomain>\n"
"        <Documentation>The value of this property specifies the array component\n"
"        from which the histogram should be computed.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCalculateAverages\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CalculateAverages\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This option controls whether the algorithm calculates\n"
"        averages of variables other than the primary variable that fall into\n"
"        each bin.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNormalize\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Normalize\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Controls whether the values in the output are normalized,\n"
"        i.e., the count in each bin is divided by the sum of counts in each bin.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseCustomBinRanges\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseCustomBinRanges\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set to true, CustomBinRanges will be used instead\n"
"        of using the full range for the selected array. By default, set to\n"
"        false.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCenterBinsAroundMinAndMax\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CenterBinsAroundMinAndMax\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set to true, first and last bin will be centered\n"
"          around the minimum and the maximum values of the data.\n"
"          By default, set to false.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseCustomBinRanges\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCustomBinRanges\"\n"
"                            default_values=\"0.0 100.0\"\n"
"                            name=\"CustomBinRanges\"\n"
"                            number_of_elements=\"2\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set custom bin ranges to use. These are used only when\n"
"        UseCustomBinRanges is set to true.</Documentation>\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputArray\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseCustomBinRanges\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"XYBarChartView\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"      <!-- End ExtractHistogram -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkReductionFilter\"\n"
"                 name=\"AppendReductionFilter\"\n"
"                 label=\"Append Reduce\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Reduction filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetPostGatherHelperName\"\n"
"                            name=\"PostGatherHelperName\"\n"
"                            panel_visibility=\"never\"\n"
"                            default_values=\"vtkAppendFilter\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the algorithm that takes multiple inputs and\n"
"        produces a single reduced output.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetReductionMode\"\n"
"                         default_values=\"2\"\n"
"                         name=\"ReductionMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Reduce all data to one processor\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Move all data to one processor\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Reduce all data to all processors\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Set the reduction mode. Reducing all data to one\n"
"        processor means that the destination process will have all data while\n"
"        each other process will still have it's own data. Moving all to one processor means\n"
"        that the destination process will have all data while other process have no data\n"
"        anymore. Reduce all data to all processors is self explanatory.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetReductionProcessId\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ReduceTo\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"ReductionMode\"\n"
"                                   value=\"2\"\n"
"                                   inverse=\"1\"/>\n"
"          <!-- show this widget when ReductionMode is not 2 -->\n"
"        </Hints>\n"
"        <Documentation>Set the process to reduce to.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassThrough\"\n"
"                         default_values=\"-1\"\n"
"                         name=\"OnlyFrom\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"-1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>If set to a non-negative value, then produce results\n"
"        using only the node Id specified.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateProcessIds\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GenerateProcessIds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If true, the filter will generate vtkOriginalProcessIds\n"
"        arrays indicating the process id on which the cell/point was\n"
"        generated.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ReductionFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkReductionFilter\"\n"
"                 name=\"ReductionFilter\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>Set the input to the Reduction filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetReductionMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ReductionMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Move all data to one processor\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Reduce all data to one processor\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Reduce all data to all processors\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetReductionProcessId\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ReduceTo\"\n"
"                         number_of_elements=\"1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetPreGatherHelperName\"\n"
"                            name=\"PreGatherHelperName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the algorithm that runs on each node in\n"
"        parallel.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPostGatherHelperName\"\n"
"                            name=\"PostGatherHelperName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the algorithm that takes multiple inputs and\n"
"        produces a single reduced output.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <ProxyProperty command=\"SetPostGatherHelper\"\n"
"                     name=\"PostGatherHelper\" />\n"
"      <ProxyProperty command=\"SetPreGatherHelper\"\n"
"                     name=\"PreGatherHelper\" />\n"
"      <IntVectorProperty command=\"SetPassThrough\"\n"
"                         default_values=\"-1\"\n"
"                         name=\"PassThrough\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"-1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>If set to a non-negative value, then produce results\n"
"        using only the node Id specified.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateProcessIds\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GenerateProcessIds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If true, the filter will generate vtkOriginalProcessIds\n"
"        arrays indicating the process id on which the cell/point was\n"
"        generated.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ReductionFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVExtractHistogram2D\"\n"
"                 label=\"Histogram 2D\"\n"
"                 name=\"ExtractHistogram2D\">\n"
"      <Documentation long_help=\"Extract a 2D histogram from field data.\"\n"
"                     short_help=\"Extract a 2D histogram from field data.\">\n"
"                     </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>\n"
"            This property specifies the input to the Histogram filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputArray1\"\n"
"                            label=\"Input Array for X-Axis\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property indicates the name of the array from which\n"
"        to compute the histogram.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetComponent0\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Component0\"\n"
"                         label=\"Component for X-Axis array\"\n"
"                         number_of_elements=\"1\">\n"
"        <NumberOfComponentsDomain name=\"comp0\" enable_magnitude=\"0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputArray1\" />\n"
"          </RequiredProperties>\n"
"        </NumberOfComponentsDomain>\n"
"        <Documentation>The value of this property specifies the array component\n"
"        from which the histogram should be computed.</Documentation>\n"
"        </IntVectorProperty>\n"
"\n"
"       <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputArray2\"\n"
"                            label=\"Input Array for Y-Axis\"\n"
"                            default_values=\"1 0 0 0 0\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property indicates the name of the array from which\n"
"          to compute the histogram.\n"
"        </Documentation>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Misc/Resources/misc_filters.xml
static const char* const paraview_server_managermisc_filtersInterface2 =
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseGradientForYAxis\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetComponent1\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Component1\"\n"
"                         label=\"Component for Y-Axis array\"\n"
"                         number_of_elements=\"1\">\n"
"        <NumberOfComponentsDomain name=\"comp1\" enable_magnitude=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputArray2\" />\n"
"          </RequiredProperties>\n"
"        </NumberOfComponentsDomain>\n"
"        <Documentation>\n"
"          The value of this property specifies the array component\n"
"          from which the histogram should be computed.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseGradientForYAxis\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetNumberOfBins\"\n"
"                         default_values=\"256 256\"\n"
"                         name=\"NumberOfBins\"\n"
"                         label=\"Number of Bins\"\n"
"                         number_of_elements=\"2\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseGradientForYAxis\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseGradientForYAxis\"\n"
"                         label=\"Use Gradient as Y-Axis Array\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is on, the gradient of the input scalar array will be used for the Y\n"
"          axis of the 2D histogram.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseCustomBinRanges0\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseCustomBinRangesX\"\n"
"                         label=\"Use Custom Bin Ranges for X-Axis\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set to true, custom bin ranges will be used instead of using the full range for the\n"
"          selected array for X axis. By default, set to false.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCustomBinRanges0\"\n"
"                            default_values=\"0.0 100.0\"\n"
"                            name=\"CustomBinRangesX\"\n"
"                            number_of_elements=\"2\"\n"
"                            label=\"Custom Bin Ranges for X-Axis\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set custom bin ranges to use. These are used only when\n"
"          UseCustomBinRanges is set to true.\n"
"        </Documentation>\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputArray1\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseCustomBinRangesX\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseCustomBinRanges1\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseCustomBinRangesY\"\n"
"                         label=\"Use Custom Bin Ranges for Y-Axis\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set to true, custom bin ranges will be used instead of using the full range for the\n"
"          selected array for X axis. By default, set to false.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseGradientForYAxis\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCustomBinRanges1\"\n"
"                            default_values=\"0.0 100.0\"\n"
"                            name=\"CustomBinRangesY\"\n"
"                            number_of_elements=\"2\"\n"
"                            label=\"Custom Bin Ranges for Y-Axis\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set custom bin ranges to use. These are used only when\n"
"          UseCustomBinRanges is set to true.\n"
"        </Documentation>\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputArray2\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseCustomBinRangesY\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseInputRangesForOutputBounds\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseInputRangesForOutputBounds\"\n"
"                         label=\"Histogram Bounds from Input\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set to true, the input scalar ranges will be used to compute the histogram origin and spacing. By default, set to false.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOutputOrigin\"\n"
"                            default_values=\"0.0 0.0\"\n"
"                            name=\"OutputOrigin\"\n"
"                            number_of_elements=\"2\"\n"
"                            label=\"Histogram Origin\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          The origin of the output histogram image. These are used only when\n"
"          UseInputRangesForOutputBounds is set to false.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseInputRangesForOutputBounds\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOutputSpacing\"\n"
"                            default_values=\"1.0 1.0\"\n"
"                            name=\"OutputSpacing\"\n"
"                            number_of_elements=\"2\"\n"
"                            label=\"Histogram Spacing\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          The pixel spacing of the output histogram image. These are used only when\n"
"          UseInputRangesForOutputBounds is set to false.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseInputRangesForOutputBounds\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End ExtractHistogram2D -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managermisc_filtersGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managermisc_filtersInterface0);
  const size_t len1 = strlen(paraview_server_managermisc_filtersInterface1);
  const size_t len2 = strlen(paraview_server_managermisc_filtersInterface2);
  size_t len = ( 0
    + len0
    + len1
    + len2 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managermisc_filtersInterface0, paraview_server_managermisc_filtersInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managermisc_filtersInterface1, paraview_server_managermisc_filtersInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managermisc_filtersInterface2, paraview_server_managermisc_filtersInterface2 + len2, res + offset); offset += len2;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Misc/Resources/misc_utilities.xml
static const char* const paraview_server_managermisc_utilitiesInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"extended_sources\">\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPVTransform\" name=\"Transform2\">\n"
"      <!--Transform proxy with unconventional interface, used by BoxWidget -->\n"
"      <DoubleVectorProperty command=\"SetAbsolutePosition\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_property=\"PositionInfo\"\n"
"                            label=\"Translate\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPosition\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"PositionInfo\"\n"
"                            number_of_elements=\"3\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAbsoluteRotation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_property=\"RotationInfo\"\n"
"                            label=\"Rotate\"\n"
"                            name=\"Rotation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetOrientation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"RotationInfo\"\n"
"                            number_of_elements=\"3\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAbsoluteScale\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            information_property=\"ScaleInfo\"\n"
"                            label=\"Scale\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetScale\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"ScaleInfo\"\n"
"                            number_of_elements=\"3\" />\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPVTransform\" label=\"Transform\" name=\"Transform3\">\n"
"      <DoubleVectorProperty command=\"SetAbsolutePosition\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_property=\"PositionInfo\"\n"
"                            label=\"Translate\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetAbsolutePosition\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"PositionInfo\"\n"
"                            number_of_elements=\"3\" />\n"
"      <DoubleVectorProperty command=\"SetAbsoluteRotation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_property=\"RotationInfo\"\n"
"                            label=\"Rotate\"\n"
"                            name=\"Rotation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetAbsoluteRotation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"RotationInfo\"\n"
"                            number_of_elements=\"3\" />\n"
"      <DoubleVectorProperty command=\"SetAbsoluteScale\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            information_property=\"ScaleInfo\"\n"
"                            label=\"Scale\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetAbsoluteScale\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"ScaleInfo\"\n"
"                            number_of_elements=\"3\" />\n"
"      <InputProperty is_internal=\"1\" name=\"DummyInput\" />\n"
"      <PropertyGroup panel_widget=\"InteractiveBox\">\n"
"        <Property function=\"Position\" name=\"Position\" />\n"
"        <Property function=\"Rotation\" name=\"Rotation\" />\n"
"        <Property function=\"Scale\" name=\"Scale\" />\n"
"        <Property function=\"Input\" name=\"DummyInput\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"         <ProxyList>\n"
"           <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"         </ProxyList>\n"
"      </Hints>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPVRotateAroundOriginTransform\" label=\"RotateAroundOriginTransform\" name=\"RotateAroundOriginTransform\">\n"
"      <DoubleVectorProperty command=\"SetOriginOfRotation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            label=\"Origin of rotation\"\n"
"                            name=\"OriginOfRotation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAbsoluteRotation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            label=\"Rotate\"\n"
"                            information_property=\"RotationInfo\"\n"
"                            name=\"Rotation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetAbsoluteRotation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"RotationInfo\"\n"
"                            number_of_elements=\"3\" />\n"
"      <InputProperty is_internal=\"1\" name=\"DummyInput\" />\n"
"      <PropertyGroup label=\"Origin of rotation\" panel_widget=\"InteractiveHandle\">\n"
"        <Property function=\"WorldPosition\" name=\"OriginOfRotation\" />\n"
"      </PropertyGroup>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"implicit_functions\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPVPlane\" name=\"Plane\" processes=\"dataserver|renderserver|client\">\n"
"      <InputProperty is_internal=\"1\"\n"
"                     name=\"Input\"></InputProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"mid\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Set the origin of the plane.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetNormal\"\n"
"                            default_values=\"1.0 0.0 0.0\"\n"
"                            name=\"Normal\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Set the normal of the plane.  For many filters this also sets the side\n"
"          of the plane that is of interest.  The normal points towards the\n"
"          \"outside\" of the plane.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetOffset\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Offset\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the value to offset the origin by. The origin is translated along the normal\n"
"          direction by the number specified.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Plane Parameters\" panel_widget=\"InteractivePlane\">\n"
"        <Property function=\"Origin\" name=\"Origin\" />\n"
"        <Property function=\"Normal\" name=\"Normal\" />\n"
"        <Property function=\"Input\" name=\"Input\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <!-- Hints are metadata associated with the proxy.\n"
"             As far as the ServerManager is concerned, Hints have no\n"
"             significance. GUI is free to interpret the hints as\n"
"             it chooses. Hints provide a mechanism to add some GUI\n"
"             pertinant information to the server manager XML.\n"
"        -->\n"
"\n"
"        <ProxyList>\n"
"          <!--\n"
"            ProxyList hints are used when this proxy\n"
"            is made a part of a proxy list domain.\n"
"            It provides a mechanism to link certain\n"
"            properties from this proxy with properties\n"
"            from the proxy which has the property\n"
"            with the proxy list domain.\n"
"          -->\n"
"          <Link name=\"Input\"\n"
"                with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPVPlane\"\n"
"           name=\"Axis Aligned Plane\">\n"
"      <InputProperty is_internal=\"1\"\n"
"                     name=\"Input\"></InputProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"mid\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Set the origin of the plane.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetNormal\"\n"
"                            default_values=\"1.0 0.0 0.0\"\n"
"                            name=\"Normal\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Set the normal of the plane.  For many filters this also sets the side\n"
"          of the plane that is of interest.  The normal points towards the\n"
"          \"outside\" of the plane.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetOffset\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Offset\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the value to offset the origin by. The origin is translated along the normal\n"
"          direction by the number specified.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetAxisAligned\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AlwaysSnapToNearestAxis\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <PropertyGroup label=\"Plane Parameters\" panel_widget=\"InteractivePlane\">\n"
"        <Property function=\"Origin\" name=\"Origin\" />\n"
"        <Property function=\"Normal\" name=\"Normal\" />\n"
"        <Property function=\"Input\" name=\"Input\" />\n"
"        <Property function=\"AlwaysSnapToNearestAxis\" name=\"AlwaysSnapToNearestAxis\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\"\n"
"                with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"      <!-- End of Axis Aligned Plane -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPVBox\" name=\"Axis Aligned Box\">\n"
"      <InputProperty is_internal=\"1\" name=\"Input\" />\n"
"      <IntVectorProperty name=\"UseReferenceBounds\"\n"
"        command=\"SetUseReferenceBounds\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetReferenceBounds\"\n"
"                            default_values=\"0 1 0 1 0 1\"\n"
"                            name=\"Bounds\"\n"
"                            number_of_elements=\"6\">\n"
"        <BoundsDomain mode=\"data_bounds\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPosition\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"min\" mode=\"normal\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Set the position of the box.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetRotation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Rotation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Set the orientation of the box.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetScale\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Misc/Resources/misc_utilities.xml
static const char* const paraview_server_managermisc_utilitiesInterface1 =
"                            name=\"Length\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"max\" mode=\"component_magnitude\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Set the size of the box via a scale factor.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Box Parameters\" panel_widget=\"InteractiveBox\">\n"
"        <Property function=\"Position\" name=\"Position\" />\n"
"        <Property function=\"Scale\" name=\"Length\" />\n"
"        <Property function=\"Input\" name=\"Input\" />\n"
"        <Property function=\"UseReferenceBounds\" name=\"UseReferenceBounds\" />\n"
"        <Property function=\"ReferenceBounds\" name=\"Bounds\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"      <!-- End of Axis Aligned Box -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPVBox\" name=\"Box\">\n"
"      <InputProperty is_internal=\"1\" name=\"Input\" />\n"
"      <IntVectorProperty name=\"UseReferenceBounds\"\n"
"        command=\"SetUseReferenceBounds\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetReferenceBounds\"\n"
"                            default_values=\"0 1 0 1 0 1\"\n"
"                            name=\"Bounds\"\n"
"                            number_of_elements=\"6\">\n"
"        <BoundsDomain mode=\"data_bounds\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPosition\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"min\" mode=\"normal\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Set the position of the box.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetRotation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Rotation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Set the orientation of the box.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetScale\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"Length\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"max\" mode=\"component_magnitude\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Set the size of the box via a scale factor.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Box Parameters\" panel_widget=\"InteractiveBox\">\n"
"        <Property function=\"Position\" name=\"Position\" />\n"
"        <Property function=\"Rotation\" name=\"Rotation\" />\n"
"        <Property function=\"Scale\" name=\"Length\" />\n"
"        <Property function=\"Input\" name=\"Input\" />\n"
"        <Property function=\"UseReferenceBounds\" name=\"UseReferenceBounds\" />\n"
"        <Property function=\"ReferenceBounds\" name=\"Bounds\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"      <!-- End of Box -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPVCylinder\" name=\"Cylinder\">\n"
"      <InputProperty is_internal=\"1\" name=\"Input\" />\n"
"      <DoubleVectorProperty command=\"SetCenter\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"mid\" mode=\"normal\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Set the center of the cylinder.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientedAxis\"\n"
"                            default_values=\"0. 1. 0.\"\n"
"                            name=\"Axis\"\n"
"                            number_of_elements=\"3\">\n"
"        <Documentation>\n"
"          Set the axis of the cylinder.  This is the direction from the center of one end of\n"
"          the cylinder to the center of the other end.  The cylinder created has infinite length\n"
"          but this direction controls which line through the center point the cylinder is around.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRadius\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain name=\"range\" mode=\"scaled_extent\" scale_factor=\"0.5\" default_mode=\"max\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Set the radius of the cylinder.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Cylinder Parameters\" panel_widget=\"InteractiveCylinder\">\n"
"        <Property function=\"Center\" name=\"Center\" />\n"
"        <Property function=\"Axis\" name=\"Axis\" />\n"
"        <Property function=\"Radius\" name=\"Radius\" />\n"
"        <Property function=\"Input\" name=\"Input\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"      <!-- End of Cylinder -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPerlinNoise\" name=\"PerlinNoise\">\n"
"      <InputProperty is_internal=\"1\" name=\"Input\" />\n"
"      <DoubleVectorProperty\n"
"          name=\"Frequency\"\n"
"          command=\"SetFrequency\"\n"
"          number_of_elements=\"3\"\n"
"          default_values=\"1 1 1\">\n"
"        <Documentation>\n"
"          Set the frequency, or physical scale, of the noise function\n"
"          (higher is finer scale).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"Phase\"\n"
"          command=\"SetPhase\"\n"
"          number_of_elements=\"3\"\n"
"          default_values=\"0 0 0\">\n"
"        <Documentation>\n"
"          This parameter can be used to shift the noise function within\n"
"          space (perhaps to avoid a beat with a noise pattern at another\n"
"          scale). Phase tends to repeat about every unit, so a phase of\n"
"          0.5 is a half-cycle shift.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"Amplitude\"\n"
"          command=\"SetAmplitude\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1\">\n"
"        <Documentation>\n"
"          Amplitude can be negative. The noise function varies randomly\n"
"          between -|Amplitude| and |Amplitude|.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy\n"
"      class=\"vtkCoordinateFrame\" name=\"CoordinateFrame\"\n"
"      processes=\"dataserver|renderserver|client\">\n"
"      <InputProperty is_internal=\"1\"\n"
"                     name=\"Input\"></InputProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"mid\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Set the origin of the coordinate frame.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetXAxis\"\n"
"                            default_values=\"1.0 0.0 0.0\"\n"
"                            name=\"XAxis\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Set one axis of the coordinate frame. The axis vectors must\n"
"          all be of unit length, be perpendicular to one another, and\n"
"          form a right-handed coordinate system.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetYAxis\"\n"
"                            default_values=\"0.0 1.0 0.0\"\n"
"                            name=\"YAxis\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Set one axis of the coordinate frame. The axis vectors must\n"
"          all be of unit length, be perpendicular to one another, and\n"
"          form a right-handed coordinate system.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetZAxis\"\n"
"                            default_values=\"0.0 0.0 1.0\"\n"
"                            name=\"ZAxis\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Set one axis of the coordinate frame. The axis vectors must\n"
"          all be of unit length, be perpendicular to one another, and\n"
"          form a right-handed coordinate system.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Frame Parameters\" panel_widget=\"InteractivePlane\">\n"
"        <Property function=\"Origin\" name=\"Origin\" />\n"
"        <Property function=\"XAxis\" name=\"XAxis\" />\n"
"        <Property function=\"YAxis\" name=\"YAxis\" />\n"
"        <Property function=\"ZAxis\" name=\"ZAxis\" />\n"
"        <Property function=\"Input\" name=\"Input\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <!-- Hints are metadata associated with the proxy.\n"
"             As far as the ServerManager is concerned, Hints have no\n"
"             significance. GUI is free to interpret the hints as\n"
"             it chooses. Hints provide a mechanism to add some GUI\n"
"             pertinant information to the server manager XML.\n"
"        -->\n"
"\n"
"        <ProxyList>\n"
"          <!--\n"
"            ProxyList hints are used when this proxy\n"
"            is made a part of a proxy list domain.\n"
"            It provides a mechanism to link certain\n"
"            properties from this proxy with properties\n"
"            from the proxy which has the property\n"
"            with the proxy list domain.\n"
"          -->\n"
"          <Link name=\"Input\"\n"
"                with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    </Proxy>\n"
"\n"
"  </ProxyGroup>\n"
"  <!-- ================================================================== -->\n"
"  <ProxyGroup name=\"slice_implicit_functions\">\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Plane\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Box\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Sphere\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Cylinder\" />\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"slice_htg_amr_implicit_functions\">\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Plane\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Axis Aligned Plane\" />\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"extract_implicit_functions\">\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Plane\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Box\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Sphere\" />\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"clip_implicit_functions\">\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Plane\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Box\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Sphere\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Cylinder\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Scalar\" />\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"clip_htg_implicit_functions\">\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Plane\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Axis Aligned Box\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Sphere\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Cylinder\" />\n"
"    <Proxy group=\"implicit_functions\"\n"
"           name=\"Scalar\" />\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managermisc_utilitiesGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managermisc_utilitiesInterface0);
  const size_t len1 = strlen(paraview_server_managermisc_utilitiesInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managermisc_utilitiesInterface0, paraview_server_managermisc_utilitiesInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managermisc_utilitiesInterface1, paraview_server_managermisc_utilitiesInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersRendering/Resources/rendering_sources.xml
static const char* const paraview_server_managerrendering_sourcesInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkNetworkImageSource\"\n"
"                 name=\"NetworkImageSource\"\n"
"                 post_push=\"UpdateImage\"\n"
"                 processes=\"client|renderserver\">\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the name of image file to load.</Documentation>\n"
"        <FileListDomain name=\"files\" />\n"
"      </StringVectorProperty>\n"
"      <!-- End of NetworkImageSource -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerrendering_sourcesGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerrendering_sourcesInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerrendering_sourcesInterface0, paraview_server_managerrendering_sourcesInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersRendering/Resources/filters_filtersrendering.xml
static const char* const paraview_server_managerfilters_filtersrenderingInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkClientServerMoveData\"\n"
"                 name=\"ClientServerMoveData\"\n"
"                 processes=\"client|dataserver\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>Set the input to the Client Server Move Data\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetOutputDataType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OutputDataType\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetWholeExtent\"\n"
"                         default_values=\"0 -1 0 -1 0 -1\"\n"
"                         name=\"WholeExtent\"\n"
"                         number_of_elements=\"6\"></IntVectorProperty>\n"
"      <!-- End ClientServerMoveData -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkMPIMoveData\"\n"
"                 name=\"MPIMoveData\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <!-- Does this have any data type domain? -->\n"
"        <Documentation>Set the input to the MPI Move Data\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetMoveMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MoveMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"PassThrough\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Collect\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Clone\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Specify how the data is to be\n"
"        redistributed.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetOutputDataType\"\n"
"                         default_values=\"none\"\n"
"                         name=\"OutputDataType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"PolyData\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Unstructured Grid\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"ImageData\"\n"
"                 value=\"6\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Specify the type of the dataset.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End MPIMoveData -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVGeometryFilter\"\n"
"                 name=\"GeometryFilter\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <!-- Does this have any data type domain? -->\n"
"        <Documentation>Set the input to the Geometry Filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- PARAVIEW_DEPRECATED_IN_5_11_0 -->\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetUseStrips\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"UseStrips\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Toggle whether to generate faces containing triangle\n"
"        strips. This should render faster and use less memory, but no cell data\n"
"        is copied.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- PARAVIEW_DEPRECATED_IN_5_11_0 -->\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetForceUseStrips\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceStrips\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This makes UseStrips call Modified() after changing its\n"
"        setting to ensure that the filter's output is immediately\n"
"        changed.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetUseOutline\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseOutline\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Toggle whether to generate an outline or a\n"
"        surface.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNonlinearSubdivisionLevel\"\n"
"                         default_values=\"1\"\n"
"                         name=\"NonlinearSubdivisionLevel\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"4\"\n"
"                        min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Nonlinear faces are approximated with flat polygons.\n"
"        This parameter controls how many times to subdivide nonlinear surface\n"
"        cells. Higher subdivisions generate closer approximations but take more\n"
"        memory and rendering time. Subdivision is recursive, so the number of\n"
"        output polygons can grow exponentially with this\n"
"        parameter.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetPassThroughCellIds\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PassThroughIds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If on, the output polygonal dataset will have a cell data\n"
"        array that holds the cell index of the original 3D cell that produced\n"
"        each output cell. This is useful for cell picking.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetPassThroughPointIds\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PassThroughPointIds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If on, the output polygonal dataset will have a\n"
"        point data array that holds the point index of the original 3D vertex\n"
"        that produced each output vertex. This is useful for\n"
"        picking.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End GeometryFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersrenderingGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersrenderingInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersrenderingInterface0, paraview_server_managerfilters_filtersrenderingInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/2dwidgets_remotingviews.xml
static const char* const paraview_server_manager2dwidgets_remotingviewsInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- We put all 2D widget definitions in this file -->\n"
"  <ProxyGroup name=\"representations\">\n"
"    <!-- ================================================================== -->\n"
"    <New2DWidgetRepresentationProxy class=\"vtk2DWidgetRepresentation\"\n"
"                                  name=\"EqualizerWidgetRepresentation\">\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                        default_values=\"0\"\n"
"                        name=\"Enabled\"\n"
"                        number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"ContextItem\"\n"
"              proxygroup=\"2d_widget_representations\"\n"
"              proxyname=\"EqualizerContextItem\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"EqualizerPoints\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"    </New2DWidgetRepresentationProxy>\n"
"    <!-- End of EqualizerWidgetRepresentation -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"2d_widget_representations\">\n"
"    <!-- ================================================================== -->\n"
"      <ContextItemWidgetProxy class=\"vtkEqualizerContextItem\"\n"
"            name=\"EqualizerContextItem\">\n"
"        <IntVectorProperty animateable=\"1\"\n"
"                          command=\"SetVisible\"\n"
"                          default_values=\"1\"\n"
"                          name=\"Visibility\"\n"
"                          number_of_elements=\"1\">\n"
"          <BooleanDomain name=\"bool\" />\n"
"        </IntVectorProperty>\n"
"        <StringVectorProperty animateable=\"1\"\n"
"                              command=\"SetPoints\"\n"
"                              label=\"Equalizer Points\"\n"
"                              name=\"EqualizerPoints\"\n"
"                              number_of_elements=\"1\"\n"
"                              element_types=\"2\"\n"
"                              panel_visibility=\"never\">\n"
"          <Documentation>This property defines the interactive points of the equalizer.</Documentation>\n"
"        </StringVectorProperty>\n"
"      </ContextItemWidgetProxy>\n"
"    <!-- End of EqualizerContextItem -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_manager2dwidgets_remotingviewsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_manager2dwidgets_remotingviewsInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_manager2dwidgets_remotingviewsInterface0, paraview_server_manager2dwidgets_remotingviewsInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/3dwidgets_remotingviews.xml
static const char* const paraview_server_manager3dwidgets_remotingviewsInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- We put all 3D widget definitions in this file -->\n"
"  <ProxyGroup name=\"representations\">\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"HandleWidgetRepresentation\">\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"HandleRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"WorldPositionInfo\" />\n"
"          <Property name=\"WorldPosition\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"HandleWidget\"></Proxy>\n"
"      </SubProxy>\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"LightWidgetRepresentation\">\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"LightRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Positional\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"WorldPositionInfo\" />\n"
"          <Property name=\"WorldPosition\" />\n"
"          <Property name=\"FocalPointInfo\" />\n"
"          <Property name=\"FocalPoint\" />\n"
"          <Property name=\"ConeAngleInfo\" />\n"
"          <Property name=\"ConeAngle\" />\n"
"          <Property name=\"LightColorInfo\" />\n"
"          <Property name=\"LightColor\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"LightWidget\"></Proxy>\n"
"      </SubProxy>\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"LineWidgetRepresentation\">\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"LineRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"DirectionalLine\" />\n"
"          <Property name=\"Point1WorldPositionInfo\" />\n"
"          <Property name=\"Point1WorldPosition\" />\n"
"          <Property name=\"Point2WorldPositionInfo\" />\n"
"          <Property name=\"Point2WorldPosition\" />\n"
"          <Property name=\"LineColor\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"LineWidget2\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ProcessEvents\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy base_proxygroup=\"representations\"\n"
"                                  base_proxyname=\"LineWidgetRepresentation\"\n"
"                                  class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"LineSourceWidgetRepresentation\">\n"
"      <!--\n"
"        This is same as LineWidgetRepresentation except that it provides\n"
"        dummy property for the resolution for the line source.\n"
"      -->\n"
"      <IntVectorProperty default_values=\"1\"\n"
"                         name=\"Resolution\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"ImplicitPlaneWidgetRepresentation\">\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"ImplicitPlaneRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DrawPlane\" />\n"
"          <Property name=\"DrawOutline\" />\n"
"          <Property name=\"ConstrainToWidgetBounds\" />\n"
"          <Property name=\"OutlineTranslation\" />\n"
"          <Property name=\"OriginInfo\" />\n"
"          <Property name=\"Origin\" />\n"
"          <Property name=\"NormalInfo\" />\n"
"          <Property name=\"Normal\" />\n"
"          <Property name=\"WidgetBounds\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"PlaceFactor\" />\n"
"          <Property name=\"Reset\" />\n"
"          <Property name=\"AlwaysSnapToNearestAxis\" />\n"
"          <Property name=\"AlwaysSnapToNearestAxisInfo\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"ImplicitPlaneWidget2\"></Proxy>\n"
"      </SubProxy>\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"DisplaySizedImplicitPlaneWidgetRepresentation\">\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"DisplaySizedImplicitPlaneRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"RadiusMultiplier\" />\n"
"          <Property name=\"DrawPlane\" />\n"
"          <Property name=\"DrawOutline\" />\n"
"          <Property name=\"DrawIntersectionEdges\" />\n"
"          <Property name=\"ConstrainToWidgetBounds\" />\n"
"          <Property name=\"ConstrainMaximumSizeToWidgetBounds\" />\n"
"          <Property name=\"OutlineTranslation\" />\n"
"          <Property name=\"OriginInfo\" />\n"
"          <Property name=\"Origin\" />\n"
"          <Property name=\"NormalInfo\" />\n"
"          <Property name=\"Normal\" />\n"
"          <Property name=\"WidgetBounds\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"PlaceFactor\" />\n"
"          <Property name=\"Reset\" />\n"
"          <Property name=\"AlwaysSnapToNearestAxis\" />\n"
"          <Property name=\"AlwaysSnapToNearestAxisInfo\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"DisplaySizedImplicitPlaneWidget\"></Proxy>\n"
"      </SubProxy>\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"CoordinateFrameWidgetRepresentation\">\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"CoordinateFrameRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"OriginInfo\" />\n"
"          <Property name=\"Origin\" />\n"
"          <Property name=\"XAxis\" />\n"
"          <Property name=\"XAxisInfo\" />\n"
"          <Property name=\"YAxis\" />\n"
"          <Property name=\"YAxisInfo\" />\n"
"          <Property name=\"ZAxis\" />\n"
"          <Property name=\"ZAxisInfo\" />\n"
"          <Property name=\"WidgetBounds\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"Reset\" />\n"
"          <Property name=\"ResetAxes\" />\n"
"          <Property name=\"UseCameraNormal\" />\n"
"          <Property name=\"Normal\" />\n"
"          <Property name=\"Direction\" />\n"
"          <Property name=\"LockedAxis\" />\n"
"          <Property name=\"LockedAxisInfo\" />\n"
"          <Property name=\"LengthFactor\" />\n"
"          <Property name=\"LengthFactorInfo\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"CoordinateFrameWidget\"></Proxy>\n"
"      </SubProxy>\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"DistanceWidgetRepresentation\">\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseNonCompositedRenderer\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseNonCompositedRenderer\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2D\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"DistanceRepresentation2D\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"Point1WorldPositionInfo\" />\n"
"          <Property name=\"Point1WorldPosition\" />\n"
"          <Property name=\"Point2WorldPositionInfo\" />\n"
"          <Property name=\"Point2WorldPosition\" />\n"
"          <Property name=\"PlaceWidget\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"DistanceWidget\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ProcessEvents\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"BoxWidgetRepresentation\">\n"
"      <Documentation>Representation proxy for the box widget. This includes\n"
"      the widget/representation proxies for the box 3D widget.</Documentation>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"PlaceWidget\"\n"
"                            default_values=\"none\"\n"
"                            name=\"PlaceWidget\"\n"
"                            number_of_elements=\"6\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetReferenceBounds\"\n"
"                            default_values=\"none\"\n"
"                            name=\"ReferenceBounds\"\n"
"                            number_of_elements=\"6\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseReferenceBounds\"\n"
"                         command=\"SetUseReferenceBounds\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"BoxRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"PlaceFactor\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"Position\" />\n"
"          <Property name=\"PositionInfo\" />\n"
"          <Property name=\"Rotation\" />\n"
"          <Property name=\"RotationInfo\" />\n"
"          <Property name=\"Scale\" />\n"
"          <Property name=\"ScaleInfo\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"BoxWidget2\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"TranslationEnabled\" />\n"
"          <Property name=\"ScalingEnabled\" />\n"
"          <Property name=\"RotationEnabled\" />\n"
"          <Property name=\"MoveFacesEnabled\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of BoxWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/3dwidgets_remotingviews.xml
static const char* const paraview_server_manager3dwidgets_remotingviewsInterface1 =
"                                  name=\"SphereWidgetRepresentation\">\n"
"      <Documentation>Representation proxy for the sphere widget. This\n"
"      includes the widget/representation proxies for the sphere 3D\n"
"      widget.</Documentation>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"SphereRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"PlaceWidget\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"Representation\" />\n"
"          <Property name=\"Center\" />\n"
"          <Property name=\"CenterInfo\" />\n"
"          <Property name=\"Radius\" />\n"
"          <Property name=\"RadiusInfo\" />\n"
"          <Property name=\"HandleVisibility\" />\n"
"          <Property name=\"RadialLine\" />\n"
"          <Property name=\"CenterCursor\" />\n"
"          <Property name=\"HandleDirection\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"SphereWidget2\"></Proxy>\n"
"      </SubProxy>\n"
"      <!-- End of SphereWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"ImplicitCylinderWidgetRepresentation\">\n"
"      <Documentation>Representation proxy for the sphere widget. This\n"
"      includes the widget/representation proxies for the sphere 3D\n"
"      widget.</Documentation>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"ImplicitCylinderRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"ConstrainToWidgetBounds\" />\n"
"          <Property name=\"WidgetBounds\" />\n"
"          <Property name=\"PlaceFactor\" />\n"
"          <Property name=\"Center\" />\n"
"          <Property name=\"CenterInfo\" />\n"
"          <Property name=\"Axis\" />\n"
"          <Property name=\"AxisInfo\" />\n"
"          <Property name=\"Radius\" />\n"
"          <Property name=\"RadiusInfo\" />\n"
"          <Property name=\"DrawCylinder\" />\n"
"          <Property name=\"Tubing\" />\n"
"          <Property name=\"OutlineTranslation\" />\n"
"          <Property name=\"OutsideBounds\" />\n"
"          <Property name=\"ScaleEnabled\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"ImplicitCylinderWidget\"></Proxy>\n"
"      </SubProxy>\n"
"      <!-- End of SphereWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"SliderWidgetRepresentation\">\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"SliderRepresentation3D\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"ValueInfo\" />\n"
"          <Property name=\"Value\" />\n"
"          <Property name=\"Point1\" />\n"
"          <Property name=\"Point2\" />\n"
"          <Property name=\"MinimumValue\" />\n"
"          <Property name=\"MaximumValue\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"SliderWidget\"></Proxy>\n"
"      </SubProxy>\n"
"      <!--- End of SliderWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"PolyLineWidgetRepresentation\">\n"
"      <Documentation>Representation proxy for the poly line widget. This\n"
"      includes the widget/representation proxies for the sphere 3D\n"
"      widget.</Documentation>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"PolyLineRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"PlaceWidget\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"HandlePositions\" />\n"
"          <Property name=\"HandlePositionsInfo\" />\n"
"          <Property name=\"Closed\" />\n"
"          <Property name=\"LineColor\" />\n"
"          <Property name=\"CurrentHandleIndex\" />\n"
"          <Property name=\"CurrentHandleIndexInfo\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"PolyLineWidget\"></Proxy>\n"
"      </SubProxy>\n"
"      <!-- End of PolyLineWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"SplineWidgetRepresentation\">\n"
"      <Documentation>Representation proxy for the spline widget. This\n"
"      includes the widget/representation proxies for the sphere 3D\n"
"      widget.</Documentation>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"SplineRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"PlaceWidget\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"Directional\"/>\n"
"          <Property name=\"HandlePositions\" />\n"
"          <Property name=\"HandlePositionsInfo\" />\n"
"          <Property name=\"Closed\" />\n"
"          <Property name=\"LineColor\" />\n"
"          <Property name=\"CurrentHandleIndex\" />\n"
"          <Property name=\"CurrentHandleIndexInfo\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"SplineWidget2\"></Proxy>\n"
"      </SubProxy>\n"
"      <!-- End of SplineWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                  name=\"ContourWidgetRepresentation\">\n"
"      <Documentation>Representation proxy for the Contour widget. This\n"
"      includes the widget/representation proxies for the sphere 3D\n"
"      widget.</Documentation>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"OrientedGlyphContourRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"PlaceWidget\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"PointPlacer\" />\n"
"          <Property name=\"LineInterpolator\" />\n"
"          <Property name=\"ClearAllNodes\" />\n"
"          <Property name=\"LineColor\" />\n"
"          <Property name=\"AlwaysOnTop\" />\n"
"          <Property name=\"NodePositions\" />\n"
"          <Property name=\"ShowSelectedNodes\" />\n"
"          <Property name=\"SelectNodes\" />\n"
"          <Property name=\"ClosedLoop\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"ContourWidget\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"CloseLoop\" />\n"
"          <Property name=\"WidgetState\" />\n"
"          <Property name=\"WidgetStateInfo\" />\n"
"          <Property name=\"AllowNodePicking\" />\n"
"          <Property name=\"Initialize\" />\n"
"          <Property name=\"ProcessEvents\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of ContourWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <ScalarBarWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                        name=\"ScalarBarWidgetRepresentation\">\n"
"      <Documentation>ScalarBarWidgetRepresentation is a representation for a\n"
"      scalar bar including a widget to control the position and orientation of\n"
"      the scalar bar.</Documentation>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseNonCompositedRenderer\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseNonCompositedRenderer\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\"></IntVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"LockPosition\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set this to 1 if you don't want the application to change the scalar bar position\n"
"          when placing automatically.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"StickyVisible\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If the user manually toggles the scalar bar visibility, we keep that information\n"
"          in the scalar bar representation, and will never / always show it until the\n"
"          scalar bar button is toggled again on this array.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2D\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"ScalarBarRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" panel_visibility=\"never\"/>\n"
"          <PropertyGroup label=\"Layout\">\n"
"            <Property name=\"AutoOrient\" />\n"
"            <Property name=\"AutoOrientInfo\" />\n"
"            <Property name=\"Orientation\" />\n"
"            <Property name=\"OrientationInfo\" />\n"
"            <Property name=\"WindowLocation\" />\n"
"            <Property name=\"Position\" />\n"
"            <Property name=\"PositionInfo\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2DActor\"\n"
"               proxygroup=\"annotations\"\n"
"               proxyname=\"ScalarBarActor\"></Proxy>\n"
"\n"
"        <ExposedProperties>\n"
"          <Property name=\"EstimatedNumberOfAnnotations\" panel_visibility=\"never\"/>\n"
"          <Property name=\"LookupTable\" panel_visibility=\"never\"/>\n"
"          <PropertyGroup label=\"Title Texts\">\n"
"            <Property name=\"Title\" />\n"
"            <Property name=\"ComponentTitle\" />\n"
"            <Property name=\"TitleJustification\" />\n"
"            <Property name=\"HorizontalTitle\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <!-- properties for Title -->\n"
"          <PropertyGroup label=\"Title Font Properties\"\n"
"                         panel_widget=\"FontEditor\">\n"
"            <Property name=\"TitleColor\" function=\"Color\"/>\n"
"            <Property name=\"TitleOpacity\" function=\"Opacity\"/>\n"
"            <Property name=\"TitleFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"TitleFontFile\" function=\"File\"/>\n"
"            <Property name=\"TitleBold\" function=\"Bold\" />\n"
"            <Property name=\"TitleItalic\" function=\"Italics\"/>\n"
"            <Property name=\"TitleShadow\" function=\"Shadow\" />\n"
"            <Property name=\"TitleFontSize\" function=\"Size\"\n"
"                      number_of_elements=\"1\" default_values=\"16\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <!-- properties for Label -->\n"
"\n"
"          <PropertyGroup label=\"Text/Annotation Font Properties\"\n"
"                         panel_widget=\"FontEditor\">\n"
"            <Property name=\"LabelColor\" function=\"Color\"/>\n"
"            <Property name=\"LabelOpacity\" function=\"Opacity\" />\n"
"            <Property name=\"LabelFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"LabelFontFile\" function=\"File\"/>\n"
"            <Property name=\"LabelBold\" function=\"Bold\" />\n"
"            <Property name=\"LabelItalic\" function=\"Italics\" />\n"
"            <Property name=\"LabelShadow\" function=\"Shadow\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/3dwidgets_remotingviews.xml
static const char* const paraview_server_manager3dwidgets_remotingviewsInterface2 =
"            <Property name=\"LabelFontSize\" function=\"Size\"\n"
"                      number_of_elements=\"1\" default_values=\"16\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Appearance\">\n"
"            <Property name=\"ScalarBarThickness\" />\n"
"            <Property name=\"ScalarBarLength\" />\n"
"            <Property name=\"DrawBackground\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"BackgroundColor\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"BackgroundPadding\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"DrawScalarBarOutline\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"ScalarBarOutlineColor\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"ScalarBarOutlineThickness\" panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Labels\">\n"
"            <Property name=\"AutomaticLabelFormat\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"LabelFormat\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"DrawTickMarks\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"DrawTickLabels\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"UseCustomLabels\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"CustomLabels\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"AddRangeLabels\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"DataRangeMin\" />\n"
"            <Property name=\"DataRangeMax\" />\n"
"            <Property name=\"RangeLabelFormat\" panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Visible Data Range\">\n"
"            <Property name=\"DrawDataRange\" />\n"
"            <Property  name=\"DataRangeLabelFormat\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Annotations\">\n"
"            <Property name=\"DrawAnnotations\" />\n"
"            <Property name=\"AddRangeAnnotations\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"AutomaticAnnotations\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"DrawNanAnnotation\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"NanAnnotation\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"TextPosition\" />\n"
"            <Property name=\"ReverseLegend\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"ScalarBarWidget\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Selectable\" panel_visibility=\"never\"/>\n"
"          <Property name=\"Resizable\" panel_visibility=\"never\"/>\n"
"          <Property name=\"Repositionable\" panel_visibility=\"never\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </ScalarBarWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <TextWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                   name=\"TextWidgetRepresentation\">\n"
"      <Documentation>TextWidgetRepresentation is a representation for text\n"
"      widget as well as the representation for the text shown in the\n"
"      widget.</Documentation>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseNonCompositedRenderer\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseNonCompositedRenderer\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2D\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"TextRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"Text\" />\n"
"          <Property name=\"Position\" />\n"
"          <Property name=\"Position2\" />\n"
"          <Property name=\"PositionInfo\" />\n"
"          <Property name=\"Position2Info\" />\n"
"          <Property name=\"WindowLocation\" />\n"
"          <Property name=\"TextActor\" />\n"
"          <Property name=\"ShowBorder\" />\n"
"          <Property name=\"BorderColor\" />\n"
"          <Property name=\"BorderThickness\" />\n"
"          <Property name=\"CornerRadius\" />\n"
"          <Property name=\"CornerResolution\" />\n"
"          <Property name=\"BackgroundColor\"/>\n"
"          <Property name=\"Padding\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2DActor\"\n"
"               proxygroup=\"props\"\n"
"               proxyname=\"TextActor\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"TextScaleMode\" />\n"
"          <Property name=\"TextProperty\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2DProperty\"\n"
"               proxygroup=\"properties\"\n"
"               proxyname=\"TextPropertyCentered\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Justification\" />\n"
"          <Property name=\"VerticalJustification\" />\n"
"          <Property name=\"LineOffset\" />\n"
"          <Property name=\"LineSpacing\" />\n"
"          <Property name=\"CellOffset\" />\n"
"          <Property name=\"Orientation\" />\n"
"          <Property name=\"Color\" />\n"
"          <Property name=\"Opacity\" />\n"
"          <Property name=\"FontFamily\" />\n"
"          <Property name=\"FontFile\" />\n"
"          <Property name=\"Bold\" />\n"
"          <Property name=\"Italic\" />\n"
"          <Property name=\"Shadow\" />\n"
"          <Property name=\"FontSize\" />\n"
"          <Property name=\"BackgroundRGBA\"/>\n"
"          <Property name=\"InteriorLinesWidth\" />\n"
"          <Property name=\"InteriorLinesColor\" />\n"
"          <Property name=\"InteriorLinesVisibility\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"TextWidget\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ProcessEvents\" />\n"
"          <Property name=\"Selectable\" />\n"
"          <Property name=\"Resizable\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of TextWidgetRepresentation -->\n"
"    </TextWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                   name=\"ProgressBarWidgetRepresentation\">\n"
"      <Documentation>ProgressBarWidgetRepresentation is a representation for progress bar\n"
"      widget as well as the representation for the progress bar shown in the\n"
"      widget.</Documentation>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseNonCompositedRenderer\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseNonCompositedRenderer\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2D\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"ProgressBarRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"ProgressRate\" />\n"
"          <Property name=\"Position\" />\n"
"          <Property name=\"Position2\" />\n"
"          <Property name=\"PositionInfo\" />\n"
"          <Property name=\"Position2Info\" />\n"
"          <Property name=\"ProgressBarColor\"/>\n"
"          <Property name=\"SecondaryProgressBarColor\"/>\n"
"          <Property name=\"DrawBackground\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"ProgressBarWidget\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ProcessEvents\" />\n"
"          <Property name=\"Selectable\" />\n"
"          <Property name=\"Resizable\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of ProgressBarWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy class=\"vtk3DWidgetRepresentation\"\n"
"                                   name=\"LogoWidgetRepresentation\">\n"
"      <Documentation>LogoWidgetRepresentation is a representation for a logo widget\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable widget interaction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseNonCompositedRenderer\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseNonCompositedRenderer\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2D\"\n"
"               proxygroup=\"3d_widget_representations\"\n"
"               proxyname=\"LogoRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"WindowLocation\" />\n"
"          <Property name=\"Position\" />\n"
"          <Property name=\"Position2\" />\n"
"          <Property name=\"PositionInfo\" />\n"
"          <Property name=\"Position2Info\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\"\n"
"               proxyname=\"LogoWidget\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ProcessEvents\" />\n"
"          <Property name=\"Selectable\" />\n"
"          <Property name=\"Resizable\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of LogoWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"  </ProxyGroup>\n"
"  <!-- ****************************************************************** -->\n"
"  <ProxyGroup name=\"3d_widget_representations\">\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkOrientedGlyphContourRepresentation\"\n"
"           name=\"OrientedGlyphContourRepresentation\">\n"
"      <Documentation>Proxy for vtkOrientedGlyphContourRepresentation. Don't use\n"
"      directly since it's not coupled with the widget. Use\n"
"      \"ContourWidgetRepresentation\" instead which include this representation\n"
"      as well as the widget to modify the representation.</Documentation>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"PlaceWidget\"\n"
"                            default_values=\"none\"\n"
"                            name=\"PlaceWidget\"\n"
"                            number_of_elements=\"6\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPlaceFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"PlaceFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0.01\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetClosedLoop\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ClosedLoop\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetClosedLoop\"\n"
"                         default_values=\"0\"\n"
"                         information_only=\"1\"\n"
"                         name=\"ClosedLoopInfo\"\n"
"                         number_of_elements=\"1\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetPointPlacer\"\n"
"                     name=\"PointPlacer\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"point_placers\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetLineInterpolator\"\n"
"                     name=\"LineInterpolator\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"contour_line_interpolators\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty command=\"AddNodeAtWorldPosition\"\n"
"                            name=\"NodePositions\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\"></DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetNthNodeSelected\"\n"
"                         name=\"SelectNodes\"\n"
"                         number_of_elements_per_command=\"1\"\n"
"                         repeat_command=\"1\"></IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetShowSelectedNodes\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ShowSelectedNodes\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <Property command=\"ClearAllNodes\"\n"
"                name=\"ClearAllNodes\" />\n"
"      <DoubleVectorProperty command=\"SetLineColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"LineColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetAlwaysOnTop\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AlwaysOnTop\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <!-- View can be used to specify the way to get the poly data for the representation -->\n"
"        <Output />\n"
"      </Hints>\n"
"      <!-- End of OrientedGlyphContourRepresentation -->\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/3dwidgets_remotingviews.xml
static const char* const paraview_server_manager3dwidgets_remotingviewsInterface3 =
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkSplineRepresentation\"\n"
"           name=\"SplineRepresentation\">\n"
"      <Documentation>Proxy for vtkSplineRepresentation. Don't use directly\n"
"      since it's not coupled with the widget. Use \"SplineWidgetRepresentation\"\n"
"      instead which include this representation as well as the widget to modify\n"
"      the representation.</Documentation>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDirectional\"\n"
"                            default_values=\"1\"\n"
"                            name=\"Directional\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"PlaceWidget\"\n"
"                            default_values=\"none\"\n"
"                            name=\"PlaceWidget\"\n"
"                            number_of_elements=\"6\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPlaceFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"PlaceFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0.01\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetHandlePosition\"\n"
"                            default_values=\"0 0 0 1 0 0\"\n"
"                            information_property=\"HandlePositionsInfo\"\n"
"                            name=\"HandlePositions\"\n"
"                            number_of_elements=\"6\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfHandles\"\n"
"                            use_index=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetHandlePositions\"\n"
"                            information_only=\"1\"\n"
"                            name=\"HandlePositionsInfo\">\n"
"        <DoubleArrayInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetClosed\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Closed\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLineColor\"\n"
"                            default_values=\"1.0 1.0 0.0\"\n"
"                            name=\"LineColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"CurrentHandleIndexInfo\"\n"
"        command=\"GetCurrentHandleIndex\"\n"
"        information_only=\"1\"/>\n"
"      <IntVectorProperty name=\"CurrentHandleIndex\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"-1\"\n"
"        command=\"SetCurrentHandleIndex\"\n"
"        information_property=\"CurrentHandleIndexInfo\"\n"
"        panel_visibility=\"never\">\n"
"      </IntVectorProperty>\n"
"      <!-- End of SplineRepresentation -->\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPolyLineRepresentation\"\n"
"           name=\"PolyLineRepresentation\">\n"
"      <Documentation>Representation for poly line source.</Documentation>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDirectional\"\n"
"                            default_values=\"1\"\n"
"                            name=\"Directional\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"PlaceWidget\"\n"
"                            default_values=\"none\"\n"
"                            name=\"PlaceWidget\"\n"
"                            number_of_elements=\"6\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPlaceFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"PlaceFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0.01\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetHandlePosition\"\n"
"                            default_values=\"0 0 0 1 0 0\"\n"
"                            information_property=\"HandlePositionsInfo\"\n"
"                            name=\"HandlePositions\"\n"
"                            number_of_elements=\"6\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfHandles\"\n"
"                            use_index=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetHandlePositions\"\n"
"                            information_only=\"1\"\n"
"                            name=\"HandlePositionsInfo\">\n"
"        <DoubleArrayInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetClosed\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Closed\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLineColor\"\n"
"                            default_values=\"1.0 1.0 0.0\"\n"
"                            name=\"LineColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"CurrentHandleIndexInfo\"\n"
"        command=\"GetCurrentHandleIndex\"\n"
"        information_only=\"1\"/>\n"
"      <IntVectorProperty name=\"CurrentHandleIndex\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"-1\"\n"
"        command=\"SetCurrentHandleIndex\"\n"
"        information_property=\"CurrentHandleIndexInfo\"\n"
"        panel_visibility=\"never\">\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkSliderRepresentation3D\"\n"
"           name=\"SliderRepresentation3D\">\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetValue\"\n"
"                            default_values=\"0\"\n"
"                            information_property=\"ValueInfo\"\n"
"                            name=\"Value\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetValue\"\n"
"                            information_only=\"1\"\n"
"                            name=\"ValueInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPoint1InWorldCoordinates\"\n"
"                            default_values=\"-1.0 0.0 0.0\"\n"
"                            name=\"Point1\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPoint2InWorldCoordinates\"\n"
"                            default_values=\"1.0 0.0 0.0\"\n"
"                            name=\"Point2\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMinimumValue\"\n"
"                            default_values=\"0\"\n"
"                            name=\"MinimumValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumValue\"\n"
"                            default_values=\"1\"\n"
"                            name=\"MaximumValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkSphereRepresentation\"\n"
"           name=\"SphereRepresentation\">\n"
"      <Documentation>Proxy for vtkSphereRepresentation. Don't confuse this with\n"
"      the vtkSMRepresentation proxy for the sphere widget (which is the\n"
"      SphereWidgetRepresentation).</Documentation>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"PlaceWidget\"\n"
"                            default_values=\"none\"\n"
"                            name=\"PlaceWidget\"\n"
"                            number_of_elements=\"6\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPlaceFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"PlaceFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0.01\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetRepresentation\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Representation\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the representation (i.e., appearance) of the sphere.\n"
"        Different representations are useful depending on the\n"
"        application.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Off\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Wireframe\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Surface\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_property=\"CenterInfo\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The center position of the sphere. Note that this may\n"
"        adjust the direction from the handle to the center, as well as the\n"
"        radius of the sphere.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetCenter\"\n"
"                            information_only=\"1\"\n"
"                            name=\"CenterInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRadius\"\n"
"                            default_values=\"0.5\"\n"
"                            information_property=\"RadiusInfo\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0.0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The radius of sphere. Default is 0.5. Note that this may\n"
"        modify the position of the handle based on the handle\n"
"        direction.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetRadius\"\n"
"                            information_only=\"1\"\n"
"                            name=\"RadiusInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetHandleVisibility\"\n"
"                         default_values=\"0\"\n"
"                         name=\"HandleVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>The handle sits on the surface of the sphere and may be\n"
"        moved around the surface by picking (left mouse) and then moving. The\n"
"        position of the handle can be retrieved, this is useful for positioning\n"
"        cameras and lights. By default, the handle is turned\n"
"        off.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHandleText\"\n"
"                         default_values=\"0\"\n"
"                         name=\"HandleText\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/disable a label that displays the location of the\n"
"        handle in spherical coordinates (radius,theta,phi). The two angles,\n"
"        theta and phi, are displayed in degrees. Note that phi is measured from\n"
"        the north pole down towards the equator; and theta is the angle around\n"
"        the north/south axis.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRadialLine\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RadialLine\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/disable a radial line segment that joins the\n"
"        center of the outer sphere and the handle.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCenterCursor\"\n"
"                         default_values=\"1\"\n"
"                         name=\"CenterCursor\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/disable a cursor that is shown at the\n"
"        center of the sphere.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0 0 1\"\n"
"                            name=\"HandleDirection\"\n"
"                            number_of_elements=\"3\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/3dwidgets_remotingviews.xml
static const char* const paraview_server_manager3dwidgets_remotingviewsInterface4 =
"        <Documentation>Set/Get the direction vector of the handle relative to\n"
"        the center of the sphere. This may affect the position of the handle\n"
"        and the radius of the sphere.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of SphereRepresentation -->\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <BoxRepresentationProxy class=\"vtkBoxRepresentation\"\n"
"                            name=\"BoxRepresentation\">\n"
"      <Documentation>Proxy for vtkBoxRepresentation. Don't confuse this with\n"
"      the vtkSMRepresentation proxy for the box widget (which is the\n"
"      BoxWidgetRepresentation).</Documentation>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPlaceFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"PlaceFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0.01\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Transform\"\n"
"               proxygroup=\"extended_sources\"\n"
"               proxyname=\"Transform2\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Position\" />\n"
"          <Property name=\"PositionInfo\" />\n"
"          <Property name=\"Rotation\" />\n"
"          <Property name=\"RotationInfo\" />\n"
"          <Property name=\"Scale\" />\n"
"          <Property name=\"ScaleInfo\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of BoxRepresentation -->\n"
"    </BoxRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPVImplicitCylinderRepresentation\"\n"
"           name=\"ImplicitCylinderRepresentation\">\n"
"      <Documentation>Proxy for vtkImplicitCylinderWidget. Don't confuse this with\n"
"      the vtkSMRepresentation proxy for the cylinder widget (which is the\n"
"      ImplicitCylinderWidget).</Documentation>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetConstrainToWidgetBounds\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ConstrainToWidgetBounds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetWidgetBounds\"\n"
"                            default_values=\"none\"\n"
"                            name=\"WidgetBounds\"\n"
"                            number_of_elements=\"6\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPlaceFactor\"\n"
"                            default_values=\"1.2\"\n"
"                            name=\"PlaceFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0.01\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_property=\"CenterInfo\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The center of the cylinder. The center is located along the\n"
"        cylinder axis.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetCenter\"\n"
"                            information_only=\"1\"\n"
"                            name=\"CenterInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAxis\"\n"
"                            default_values=\"0.0 0.0 1.0\"\n"
"                            information_property=\"AxisInfo\"\n"
"                            name=\"Axis\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The axis of rotation for the cylinder. If the axis is not\n"
"        specified as a unit vector, it will be normalized.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetAxis\"\n"
"                            information_only=\"1\"\n"
"                            name=\"AxisInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRadius\"\n"
"                            default_values=\"0.5\"\n"
"                            information_property=\"RadiusInfo\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0.0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The radius of the cylinder. Note that if the radius is\n"
"        too big the cylinder will be outside of the bounding box.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetRadius\"\n"
"                            information_only=\"1\"\n"
"                            name=\"RadiusInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetDrawCylinder\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DrawCylinder\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/disable the drawing of the cylinder. In some cases\n"
"        the cylinder interferes with the object that it is operating on (e.g.,\n"
"        the cylinder interferes with the cut surface it produces resulting in\n"
"        z-buffer artifacts.) By default it is on.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetResolution\"\n"
"                         default_values=\"128\"\n"
"                         name=\"Resolution\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"8\"\n"
"                        max=\"2048\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This is the number of polygonal facets used to approximate\n"
"        the curved cylindrical surface (for rendering purposes). An vtkCylinder\n"
"        is used under the hood to provide an exact surface representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTubing\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Tubing\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/disable tubing of the wire outline of the cylinder\n"
"        intersection (against the bounding box). The tube thickens the\n"
"        line by wrapping with a vtkTubeFilter..</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOutlineTranslation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OutlineTranslation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/disable the ability to translate the bounding box by\n"
"        moving it with the mouse.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOutsideBounds\"\n"
"                         default_values=\"1\"\n"
"                         name=\"OutsideBounds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/disable the ability to move the widget outside of\n"
"        the bounds specified in the initial PlaceWidget() invocation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetScaleEnabled\"\n"
"                            default_values=\"1\"\n"
"                            name=\"ScaleEnabled\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/disable the ability to scale the widget with the\n"
"        mouse.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of SphereRepresentation -->\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkDistanceRepresentation2D\"\n"
"           name=\"DistanceRepresentation2D\"\n"
"           post_creation=\"InstantiateHandleRepresentation\">\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetPoint1WorldPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            information_property=\"Point1WorldPositionInfo\"\n"
"                            name=\"Point1WorldPosition\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPoint1WorldPosition\"\n"
"                            information_only=\"1\"\n"
"                            name=\"Point1WorldPositionInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetPoint2WorldPosition\"\n"
"                            default_values=\"1 0 0\"\n"
"                            information_property=\"Point2WorldPositionInfo\"\n"
"                            name=\"Point2WorldPosition\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPoint2WorldPosition\"\n"
"                            information_only=\"1\"\n"
"                            name=\"Point2WorldPositionInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"PlaceWidget\"\n"
"                            default_values=\"0 1 0 1 0 1\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"PlaceWidget\"\n"
"                            number_of_elements=\"6\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of DistanceRepresentation2D -->\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <ImplicitPlaneRepresentationProxy class=\"vtkPVImplicitPlaneRepresentation\"\n"
"                                      name=\"ImplicitPlaneRepresentation\">\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetDrawPlane\"\n"
"                         default_values=\"0\"\n"
"                         name=\"DrawPlane\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetConstrainToWidgetBounds\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ConstrainToWidgetBounds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetDrawOutline\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DrawOutline\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOutlineTranslation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OutlineTranslation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAlwaysSnapToNearestAxis\"\n"
"                         default_values=\"0\"\n"
"                         information_property=\"AlwaysSnapToNearestAxisInfo\"\n"
"                         name=\"AlwaysSnapToNearestAxis\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetAlwaysSnapToNearestAxis\"\n"
"                         information_only=\"1\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AlwaysSnapToNearestAxisInfo\"\n"
"                         number_of_elements=\"1\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"\n"
"      <Property command=\"Reset\"\n"
"                name=\"Reset\"></Property>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            information_property=\"OriginInfo\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetOrigin\"\n"
"                            information_only=\"1\"\n"
"                            name=\"OriginInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetNormal\"\n"
"                            default_values=\"1 0 0\"\n"
"                            information_property=\"NormalInfo\"\n"
"                            name=\"Normal\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetNormal\"\n"
"                            information_only=\"1\"\n"
"                            name=\"NormalInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetWidgetBounds\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"WidgetBounds\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/3dwidgets_remotingviews.xml
static const char* const paraview_server_manager3dwidgets_remotingviewsInterface5 =
"                            number_of_elements=\"6\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPlaceFactor\"\n"
"                            default_values=\"1.2\"\n"
"                            name=\"PlaceFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"    </ImplicitPlaneRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <DisplaySizedImplicitPlaneRepresentationProxy class=\"vtkPVDisplaySizedImplicitPlaneRepresentation\"\n"
"                                                  name=\"DisplaySizedImplicitPlaneRepresentation\">\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRadiusMultiplier\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"RadiusMultiplier\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetDrawPlane\"\n"
"                         default_values=\"0\"\n"
"                         name=\"DrawPlane\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetConstrainToWidgetBounds\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ConstrainToWidgetBounds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetConstrainMaximumSizeToWidgetBounds\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ConstrainMaximumSizeToWidgetBounds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetDrawOutline\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DrawOutline\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetDrawIntersectionEdges\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DrawIntersectionEdges\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOutlineTranslation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OutlineTranslation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAlwaysSnapToNearestAxis\"\n"
"                         default_values=\"0\"\n"
"                         information_property=\"AlwaysSnapToNearestAxisInfo\"\n"
"                         name=\"AlwaysSnapToNearestAxis\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetAlwaysSnapToNearestAxis\"\n"
"                         information_only=\"1\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AlwaysSnapToNearestAxisInfo\"\n"
"                         number_of_elements=\"1\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"\n"
"      <Property command=\"Reset\"\n"
"                name=\"Reset\"></Property>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            information_property=\"OriginInfo\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetOrigin\"\n"
"                            information_only=\"1\"\n"
"                            name=\"OriginInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetNormal\"\n"
"                            default_values=\"1 0 0\"\n"
"                            information_property=\"NormalInfo\"\n"
"                            name=\"Normal\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetNormal\"\n"
"                            information_only=\"1\"\n"
"                            name=\"NormalInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetWidgetBounds\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"WidgetBounds\"\n"
"                            number_of_elements=\"6\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPlaceFactor\"\n"
"                            default_values=\"1.2\"\n"
"                            name=\"PlaceFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"    </DisplaySizedImplicitPlaneRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkCoordinateFrameRepresentation\"\n"
"                         name=\"CoordinateFrameRepresentation\">\n"
"\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetLockedAxis\"\n"
"                         default_values=\"-1\"\n"
"                         name=\"LockedAxis\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"axis\">\n"
"          <Entry text=\"None\" value=\"-1\" />\n"
"          <Entry text=\"X Axis\" value=\"0\" />\n"
"          <Entry text=\"Y Axis\" value=\"1\" />\n"
"          <Entry text=\"Z Axis\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetLockedAxis\"\n"
"                         information_only=\"1\"\n"
"                         default_values=\"-1\"\n"
"                         name=\"LockedAxisInfo\"\n"
"                         number_of_elements=\"1\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"\n"
"      <Property command=\"Reset\"\n"
"                name=\"Reset\"></Property>\n"
"\n"
"      <Property command=\"ResetAxes\"\n"
"                name=\"ResetAxes\"></Property>\n"
"\n"
"      <Property command=\"SetNormalToCamera\"\n"
"                name=\"UseCameraNormal\"></Property>\n"
"\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            information_property=\"OriginInfo\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetOrigin\"\n"
"                            information_only=\"1\"\n"
"                            name=\"OriginInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetLengthFactor\"\n"
"                            default_values=\"0.02\"\n"
"                            information_property=\"LengthFactorInfo\"\n"
"                            name=\"LengthFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetLengthFactor\"\n"
"                            information_only=\"1\"\n"
"                            name=\"LengthFactorInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- Note the information properties use a different method.\n"
"           Get(X|Y|Z)VectorNormal() vs Set(X|Y|Z)AxisVector().\n"
"           This is because setting one vector potentially changes\n"
"           all three axes; the user-facing setters normalize the\n"
"           input vector (which may be any length except 0) and set\n"
"           all 3 axes.\n"
"        -->\n"
"      <DoubleVectorProperty command=\"SetXAxisVector\"\n"
"                            default_values=\"1 0 0\"\n"
"                            information_property=\"XAxisInfo\"\n"
"                            name=\"XAxis\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetXVectorNormal\"\n"
"                            information_only=\"1\"\n"
"                            name=\"XAxisInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetYAxisVector\"\n"
"                            default_values=\"0 1 0\"\n"
"                            information_property=\"YAxisInfo\"\n"
"                            name=\"YAxis\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetYVectorNormal\"\n"
"                            information_only=\"1\"\n"
"                            name=\"YAxisInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetZAxisVector\"\n"
"                            default_values=\"0 0 1\"\n"
"                            information_property=\"ZAxisInfo\"\n"
"                            name=\"ZAxis\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetZVectorNormal\"\n"
"                            information_only=\"1\"\n"
"                            name=\"ZAxisInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!--\n"
"        Special properties that set the locked or nearest axis (if none locked).\n"
"        Their state is ignored and no defaults are provided because the methods\n"
"        affect other state rather than representing a unique portion of the\n"
"        proxy's state.\n"
"      -->\n"
"      <DoubleVectorProperty command=\"SetNormal\"\n"
"                            name=\"Normal\"\n"
"                            state_ignored=\"1\"\n"
"                            default_values=\"none\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDirection\"\n"
"                            name=\"Direction\"\n"
"                            state_ignored=\"1\"\n"
"                            default_values=\"none\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <!--\n"
"        Special property that places the base point centered in the bounds provided.\n"
"      -->\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"PlaceWidget\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"WidgetBounds\"\n"
"                            number_of_elements=\"6\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkLineRepresentation\"\n"
"           name=\"LineRepresentation\">\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDirectionalLine\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DirectionalLine\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetPoint1WorldPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            information_property=\"Point1WorldPositionInfo\"\n"
"                            name=\"Point1WorldPosition\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPoint1WorldPosition\"\n"
"                            information_only=\"1\"\n"
"                            name=\"Point1WorldPositionInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetPoint2WorldPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            information_property=\"Point2WorldPositionInfo\"\n"
"                            name=\"Point2WorldPosition\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPoint2WorldPosition\"\n"
"                            information_only=\"1\"\n"
"                            name=\"Point2WorldPositionInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLineColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"LineColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPointHandleRepresentation3D\"\n"
"           name=\"HandleRepresentation\">\n"
"      <IntVectorProperty animateable=\"1\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/3dwidgets_remotingviews.xml
static const char* const paraview_server_manager3dwidgets_remotingviewsInterface6 =
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetWorldPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            information_property=\"WorldPositionInfo\"\n"
"                            name=\"WorldPosition\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetWorldPosition\"\n"
"                            information_only=\"1\"\n"
"                            name=\"WorldPositionInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkLightRepresentation\"\n"
"           name=\"LightRepresentation\">\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetPositional\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Positional\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetLightPosition\"\n"
"                            default_values=\"0 0 1\"\n"
"                            information_property=\"WorldPositionInfo\"\n"
"                            name=\"WorldPosition\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetLightPosition\"\n"
"                            information_only=\"1\"\n"
"                            name=\"WorldPositionInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetFocalPoint\"\n"
"                            default_values=\"0 0 0\"\n"
"                            information_property=\"FocalPointInfo\"\n"
"                            name=\"FocalPoint\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetFocalPoint\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FocalPointInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetConeAngle\"\n"
"                            default_values=\"30\"\n"
"                            information_property=\"ConeAngleInfo\"\n"
"                            name=\"ConeAngle\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"180\"/>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetConeAngle\"\n"
"                            information_only=\"1\"\n"
"                            name=\"ConeAngleInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetLightColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            information_property=\"LightColorInfo\"\n"
"                            name=\"LightColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetLightColor\"\n"
"                            information_only=\"1\"\n"
"                            name=\"LightColorInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPVScalarBarRepresentation\"\n"
"           name=\"ScalarBarRepresentation\">\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0.89 0.02\"\n"
"                            information_property=\"PositionInfo\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"2\">\n"
"        <DoubleRangeDomain max=\"1 1\"\n"
"                           min=\"0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>\n"
"          Specify the anchor position (bottom-left corner of the scalar bar) in normalized\n"
"          viewport coordinates in range [0, 1]. This is used only when **Window Location**\n"
"          is set to **AnyLocation**.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- Enable \"Position\" widget only when WindowLocation == AnyLocation -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"            mode=\"enabled_state\"\n"
"            property=\"WindowLocation\"\n"
"            value=\"0\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPosition\"\n"
"                            information_only=\"1\"\n"
"                            name=\"PositionInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetAutoOrient\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AutoOrient\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>Set if color legend's orientation will be updated based on its position.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetAutoOrient\"\n"
"                         information_only=\"1\"\n"
"                         name=\"AutoOrientInfo\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOrientation\"\n"
"                         default_values=\"1\"\n"
"                         information_property=\"OrientationInfo\"\n"
"                         name=\"Orientation\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"AutoOrient\" function=\"boolean_invert\" index=\"0\" />\n"
"          </PropertyWidgetDecorator>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Horizontal\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Vertical\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify orientation of the color legend. Can be used only if Auto Orient is disabled.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetOrientation\"\n"
"                         information_only=\"1\"\n"
"                         name=\"OrientationInfo\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetWindowLocation\"\n"
"                         default_values=\"2\"\n"
"                         name=\"WindowLocation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Any Location\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Lower Left Corner\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Lower Right Corner\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Lower Center\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Upper Left Corner\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Upper Right Corner\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Upper Center\"\n"
"                 value=\"6\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Specify placement of the color legend.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetScalarBarActor\"\n"
"                     name=\"ScalarBarActor\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"annotations\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkTextRepresentation\"\n"
"           name=\"TextRepresentation\">\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0.05 0.05\"\n"
"                            information_property=\"PositionInfo\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"2\">\n"
"        <DoubleRangeDomain max=\"1 1\"\n"
"                           min=\"0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPosition\"\n"
"                            information_only=\"1\"\n"
"                            name=\"PositionInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition2\"\n"
"                            default_values=\"0.1 0.1\"\n"
"                            information_property=\"Position2Info\"\n"
"                            name=\"Position2\"\n"
"                            number_of_elements=\"2\">\n"
"        <DoubleRangeDomain max=\"1 1\"\n"
"                           min=\"0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPosition2\"\n"
"                            information_only=\"1\"\n"
"                            name=\"Position2Info\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetText\"\n"
"                            default_values=\"Some Default\"\n"
"                            immediate_update=\"1\"\n"
"                            name=\"Text\"></StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetWindowLocation\"\n"
"                         default_values=\"4\"\n"
"                         name=\"WindowLocation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Any Location\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Lower Left Corner\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Lower Right Corner\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Lower Center\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Upper Left Corner\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Upper Right Corner\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Upper Center\"\n"
"                 value=\"6\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetTextActor\"\n"
"                     name=\"TextActor\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"props\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetShowBorder\"\n"
"                         default_values=\"2\"\n"
"                         name=\"ShowBorder\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Never\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Always\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Only on hover\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Set whether the border is always drawn, only on interaction or never.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBorderColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"BorderColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector_with_palette\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the color of the border.</Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"BorderColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetBorderThickness\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"BorderThickness\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"10\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the thickness of the border.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetCornerRadiusStrength\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"CornerRadius\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the radius of the round corners in percent of the maximum allowed.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetCornerResolution\"\n"
"                            default_values=\"20\"\n"
"                            name=\"CornerResolution\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <IntRangeDomain max=\"1000\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the number of points that define each round corner.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetPolygonRGBA\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/3dwidgets_remotingviews.xml
static const char* const paraview_server_manager3dwidgets_remotingviewsInterface7 =
"                            default_values=\"0 0 0 0\"\n"
"                            name=\"BackgroundColor\"\n"
"                            label=\"Background Color\"\n"
"                            number_of_elements=\"4\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <DoubleRangeDomain max=\"1 1 1 1\"\n"
"                           min=\"0 0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the color and opacity of the border background.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPadding\"\n"
"                            default_values=\"0\"\n"
"                            name=\"Padding\"\n"
"                            number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"500\" min=\"0\" name=\"range\" />\n"
"        <Documentation>Set the padding around the text in pixels unit.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkProgressBarRepresentation\"\n"
"           name=\"ProgressBarRepresentation\">\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0.25 0.05\"\n"
"                            information_property=\"PositionInfo\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"2\">\n"
"        <DoubleRangeDomain max=\"1 1\"\n"
"                           min=\"0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPosition\"\n"
"                            information_only=\"1\"\n"
"                            name=\"PositionInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition2\"\n"
"                            default_values=\"0.5 0.06\"\n"
"                            information_property=\"Position2Info\"\n"
"                            name=\"Position2\"\n"
"                            number_of_elements=\"2\">\n"
"        <DoubleRangeDomain max=\"1 1\"\n"
"                           min=\"0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPosition2\"\n"
"                            information_only=\"1\"\n"
"                            name=\"Position2Info\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetProgressRate\"\n"
"                            default_values=\"0\"\n"
"                            immediate_update=\"1\"\n"
"                            name=\"ProgressRate\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            argument_is_array=\"1\"\n"
"                            command=\"SetProgressBarColor\"\n"
"                            default_values=\"0.0 1.0 0.0\"\n"
"                            name=\"ProgressBarColor\"\n"
"                            panel_widget=\"color_selector_with_palette\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"InteractiveWidgetColor\"\n"
"            unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            command=\"SetBackgroundColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"SecondaryProgressBarColor\"\n"
"                            panel_widget=\"color_selector_with_palette\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"ForegroundColor\"\n"
"            unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetDrawBackground\"\n"
"                         default_values=\"0\"\n"
"                         name=\"DrawBackground\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkLogoRepresentation\"\n"
"           name=\"LogoRepresentation\">\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0.02 0.02\"\n"
"                            information_property=\"PositionInfo\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"2\">\n"
"        <DoubleRangeDomain max=\"1 1\"\n"
"                           min=\"0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPosition\"\n"
"                            information_only=\"1\"\n"
"                            name=\"PositionInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition2\"\n"
"                            default_values=\"0.08 0.08\"\n"
"                            information_property=\"Position2Info\"\n"
"                            name=\"Position2\"\n"
"                            number_of_elements=\"2\">\n"
"        <DoubleRangeDomain max=\"1 1\"\n"
"                           min=\"0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPosition2\"\n"
"                            information_only=\"1\"\n"
"                            name=\"Position2Info\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetWindowLocation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"WindowLocation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Any Location\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Lower Left Corner\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Lower Right Corner\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Lower Center\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Upper Left Corner\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Upper Right Corner\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Upper Center\"\n"
"                 value=\"6\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"  <!-- ****************************************************************** -->\n"
"  <ProxyGroup name=\"3d_widgets\">\n"
"    <Proxy name=\"WidgetBase\">\n"
"      <Documentation>Base API definition for all 3D widgets.</Documentation>\n"
"      <ProxyProperty command=\"SetRepresentation\"\n"
"                     name=\"Representation\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"props\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of WidgetBase -->\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkSliderWidget\"\n"
"           name=\"SliderWidget\"></Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkHandleWidget\"\n"
"           name=\"HandleWidget\"></Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkLightWidget\"\n"
"           name=\"LightWidget\"></Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkLineWidget2\"\n"
"           name=\"LineWidget2\">\n"
"      <IntVectorProperty command=\"SetProcessEvents\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ProcessEvents\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkDistanceWidget\"\n"
"           name=\"DistanceWidget\"\n"
"           post_creation=\"SetWidgetStateToManipulate\">\n"
"      <IntVectorProperty command=\"SetProcessEvents\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ProcessEvents\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkImplicitPlaneWidget2\"\n"
"           name=\"ImplicitPlaneWidget2\"></Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkDisplaySizedImplicitPlaneWidget\"\n"
"           name=\"DisplaySizedImplicitPlaneWidget\"></Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkCoordinateFrameWidget\"\n"
"           name=\"CoordinateFrameWidget\"></Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkSplineWidget2\"\n"
"           name=\"SplineWidget2\"></Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkPolyLineWidget\"\n"
"           name=\"PolyLineWidget\"></Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkContourWidget\"\n"
"           name=\"ContourWidget\">\n"
"      <Property command=\"CloseLoop\"\n"
"                name=\"CloseLoop\" />\n"
"      <Property command=\"Initialize\"\n"
"                name=\"Initialize\" />\n"
"      <IntVectorProperty command=\"SetWidgetState\"\n"
"                         default_values=\"1\"\n"
"                         information_property=\"WidgetStateInfo\"\n"
"                         name=\"WidgetState\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetWidgetState\"\n"
"                         information_only=\"1\"\n"
"                         name=\"WidgetStateInfo\"></IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAllowNodePicking\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AllowNodePicking\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetProcessEvents\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ProcessEvents\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkScalarBarWidget\"\n"
"           name=\"ScalarBarWidget\">\n"
"      <IntVectorProperty command=\"SetSelectable\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Selectable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetResizable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Resizable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetRepositionable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Repositionable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of ScalarBarWidget -->\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkTextWidget\"\n"
"           name=\"TextWidget\">\n"
"      <IntVectorProperty command=\"SetSelectable\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Selectable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetResizable\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Resizable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetProcessEvents\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ProcessEvents\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of TextWidget -->\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkProgressBarWidget\"\n"
"           name=\"ProgressBarWidget\">\n"
"      <IntVectorProperty command=\"SetSelectable\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Selectable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetResizable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Resizable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetProcessEvents\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ProcessEvents\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/3dwidgets_remotingviews.xml
static const char* const paraview_server_manager3dwidgets_remotingviewsInterface8 =
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of ProgressBarWidget -->\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkLogoWidget\"\n"
"           name=\"LogoWidget\">\n"
"      <IntVectorProperty command=\"SetSelectable\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Selectable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetResizable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Resizable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetProcessEvents\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ProcessEvents\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of LogoWidget -->\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkBoxWidget2\"\n"
"           name=\"BoxWidget2\">\n"
"      <Documentation>Proxy for vtkBoxWidget2.</Documentation>\n"
"      <IntVectorProperty command=\"SetTranslationEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"TranslationEnabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set whether to allow this 3D widget to be interactively\n"
"        translated.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetScalingEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ScalingEnabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set whether to allow this 3D widget to be interactively\n"
"        sclaed.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRotationEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"RotationEnabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set whether to allow this 3D widget to be interactively\n"
"        rotated.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMoveFacesEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MoveFacesEnabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set whether to allow interactive face movement to be\n"
"          performed on this 3D widget.</Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkSphereWidget2\"\n"
"           name=\"SphereWidget2\">\n"
"      <Documentation>Proxy for vtkSphereWidget2.</Documentation>\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"3d_widgets\"\n"
"           base_proxyname=\"WidgetBase\"\n"
"           class=\"vtkImplicitCylinderWidget\"\n"
"           name=\"ImplicitCylinderWidget\">\n"
"      <Documentation>Proxy for vtkImplicitCylinderWidget.</Documentation>\n"
"    </Proxy>\n"
"\n"
"    <!-- End of ProxyGroup 3d_widgets -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_manager3dwidgets_remotingviewsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_manager3dwidgets_remotingviewsInterface0);
  const size_t len1 = strlen(paraview_server_manager3dwidgets_remotingviewsInterface1);
  const size_t len2 = strlen(paraview_server_manager3dwidgets_remotingviewsInterface2);
  const size_t len3 = strlen(paraview_server_manager3dwidgets_remotingviewsInterface3);
  const size_t len4 = strlen(paraview_server_manager3dwidgets_remotingviewsInterface4);
  const size_t len5 = strlen(paraview_server_manager3dwidgets_remotingviewsInterface5);
  const size_t len6 = strlen(paraview_server_manager3dwidgets_remotingviewsInterface6);
  const size_t len7 = strlen(paraview_server_manager3dwidgets_remotingviewsInterface7);
  const size_t len8 = strlen(paraview_server_manager3dwidgets_remotingviewsInterface8);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4
    + len5
    + len6
    + len7
    + len8 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_manager3dwidgets_remotingviewsInterface0, paraview_server_manager3dwidgets_remotingviewsInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_manager3dwidgets_remotingviewsInterface1, paraview_server_manager3dwidgets_remotingviewsInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_manager3dwidgets_remotingviewsInterface2, paraview_server_manager3dwidgets_remotingviewsInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_manager3dwidgets_remotingviewsInterface3, paraview_server_manager3dwidgets_remotingviewsInterface3 + len3, res + offset); offset += len3;
  std::copy(paraview_server_manager3dwidgets_remotingviewsInterface4, paraview_server_manager3dwidgets_remotingviewsInterface4 + len4, res + offset); offset += len4;
  std::copy(paraview_server_manager3dwidgets_remotingviewsInterface5, paraview_server_manager3dwidgets_remotingviewsInterface5 + len5, res + offset); offset += len5;
  std::copy(paraview_server_manager3dwidgets_remotingviewsInterface6, paraview_server_manager3dwidgets_remotingviewsInterface6 + len6, res + offset); offset += len6;
  std::copy(paraview_server_manager3dwidgets_remotingviewsInterface7, paraview_server_manager3dwidgets_remotingviewsInterface7 + len7, res + offset); offset += len7;
  std::copy(paraview_server_manager3dwidgets_remotingviewsInterface8, paraview_server_manager3dwidgets_remotingviewsInterface8 + len8, res + offset); offset += len8;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/extractors_remotingviews.xml
static const char* const paraview_server_managerextractors_remotingviewsInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"extract_writers\">\n"
"    <!-- =================================================================== -->\n"
"    <ImageExtractWriterProxy name=\"PNG\">\n"
"      <StringVectorProperty name=\"FileName\" number_of_elements=\"1\" default_values=\"{prefix}_{timestep:06d}{camera}.png\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"misc\" proxyname=\"SaveScreenshot\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"View\" />\n"
"          <PropertyGroup label=\"Size and Scaling\">\n"
"            <Property name=\"ImageResolution\" />\n"
"            <Property name=\"FontScaling\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Coloring\">\n"
"            <Property name=\"OverrideColorPalette\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"StereoMode\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"TransparentBackground\" panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Image Options\">\n"
"            <Property name=\"Format\" panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <IntVectorProperty name=\"ResetDisplay\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, the camera (or viewport) will be reset to ensure all data\n"
"          is visible.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CameraMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <Documentation>\n"
"          Select whether to the camera should be moved in the the scence to generate\n"
"          images from multiple view points. Default is **Static** which means the camera\n"
"          is not moved. Another option is **Phi-Theta** which results in moving the camera\n"
"          around the focal point over a sphere of radius equal to the focal distance.\n"
"          This is only applicable for views that have a camera i.e. does not apply to\n"
"          chart views and other 2D plotting views.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Static\" />\n"
"          <Entry value=\"1\" text=\"Phi-Theta\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PhiResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"360\" />\n"
"        <Documentation>\n"
"          Number of samples along the phi direction.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"CameraMode\" value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ThetaResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"360\" />\n"
"       <Documentation>\n"
"         Number of samples along the theta direction.\n"
"       </Documentation>\n"
"       <Hints>\n"
"         <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"CameraMode\" value=\"1\" />\n"
"       </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Miscellaneous\">\n"
"        <Property name=\"ResetDisplay\" />\n"
"        <Property name=\"CameraMode\" />\n"
"        <Property name=\"PhiResolution\" />\n"
"        <Property name=\"ThetaResolution\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Image\" />\n"
"      </Hints>\n"
"    </ImageExtractWriterProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ImageExtractWriterProxy name=\"JPG\">\n"
"      <StringVectorProperty name=\"FileName\" number_of_elements=\"1\" default_values=\"{prefix}_{timestep:06d}{camera}.jpg\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"misc\" proxyname=\"SaveScreenshot\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"View\" />\n"
"          <PropertyGroup label=\"Size and Scaling\">\n"
"            <Property name=\"ImageResolution\" />\n"
"            <Property name=\"FontScaling\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Coloring\">\n"
"            <Property name=\"OverrideColorPalette\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"StereoMode\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"TransparentBackground\" panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Image Options\">\n"
"            <Property name=\"Format\" panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <IntVectorProperty name=\"ResetDisplay\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, the camera (or viewport) will be reset to ensure all data\n"
"          is visible.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CameraMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <Documentation>\n"
"          Select whether to the camera should be moved in the the scence to generate\n"
"          images from multiple view points. Default is **Static** which means the camera\n"
"          is not moved. Another option is **Phi-Theta** which results in moving the camera\n"
"          around the focal point over a sphere of radius equal to the focal distance.\n"
"          This is only applicable for views that have a camera i.e. does not apply to\n"
"          chart views and other 2D plotting views.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Static\" />\n"
"          <Entry value=\"1\" text=\"Phi-Theta\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PhiResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"360\" />\n"
"        <Documentation>\n"
"          Number of samples along the phi direction.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"CameraMode\" value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ThetaResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"360\" />\n"
"       <Documentation>\n"
"         Number of samples along the theta direction.\n"
"       </Documentation>\n"
"       <Hints>\n"
"         <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"CameraMode\" value=\"1\" />\n"
"       </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Miscellaneous\">\n"
"        <Property name=\"ResetDisplay\" />\n"
"        <Property name=\"CameraMode\" />\n"
"        <Property name=\"PhiResolution\" />\n"
"        <Property name=\"ThetaResolution\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Image\" />\n"
"      </Hints>\n"
"    </ImageExtractWriterProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <CinemaVolumetricImageExtractWriterProxy name=\"CinemaVolumetricPNG\"\n"
"      label=\"Cinema-Volumetric PNG\"\n"
"      base_proxygroup=\"extract_writers\"\n"
"      base_proxyname=\"PNG\">\n"
"\n"
"      <IntVectorProperty name=\"OpacityLevels\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <Documentation>\n"
"          Specify the number of opacity levels.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"5\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Functions\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5\">\n"
"        <IntRangeDomain name=\"range\" min=\"2\" max=\"20\" />\n"
"        <Documentation>\n"
"          Number of functions.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SingleFunctionOnly\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Have only 1 function active at a time.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"MaximumNumberOfFunctions\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"4\">\n"
"        <Documentation>\n"
"          Maximum number of active functions at a time.\n"
"          and single function only is disabled.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"64\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"SingleFunctionOnly\" value=\"0\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MaximumOpacityValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"        <Documentation>\n"
"          The maximum opacity value.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SpecifiedRange\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Use a specified field range as the range for the LUT.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Range\"\n"
"        default_values=\"none\"\n"
"        number_of_elements=\"2\">\n"
"        <Documentation>\n"
"          A user defined range for the LUT. Only meaningful if volume rendering and specified range are enabled.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"SpecifiedRange\" value=\"1\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ExportTransferFunctions\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Export the transfer functions to JSON files.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Experimental\" />\n"
"      </Hints>\n"
"      <!-- end of CinemaVolumetricPNG -->\n"
"    </CinemaVolumetricImageExtractWriterProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <RecolorableImageExtractWriterProxy name=\"RecolorableImage\"\n"
"      label=\"Recolorable Image\">\n"
"      <StringVectorProperty name=\"FileName\" number_of_elements=\"1\" default_values=\"{prefix}_{timestep:06d}{camera}.vtk\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"misc\" proxyname=\"SaveScreenshot\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"View\" />\n"
"          <PropertyGroup label=\"Size and Scaling\">\n"
"            <Property name=\"ImageResolution\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Image Options\">\n"
"            <Property name=\"Format\" panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <InputProperty name=\"DataSource\"\n"
"        panel_widget=\"input_selector\"\n"
"        panel_visibility=\"default\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>\n"
"          Select the primary data producer data values from which are used to generate\n"
"          the recolorable image.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <PropertyGroup label=\"Recolorable Image Parameters\">\n"
"        <Property name=\"DataSource\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty name=\"ResetDisplay\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, the camera (or viewport) will be reset to ensure all data\n"
"          is visible.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CameraMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <Documentation>\n"
"          Select whether to the camera should be moved in the the scence to generate\n"
"          images from multiple view points. Default is **Static** which means the camera\n"
"          is not moved. Another option is **Phi-Theta** which results in moving the camera\n"
"          around the focal point over a sphere of radius equal to the focal distance.\n"
"          This is only applicable for views that have a camera i.e. does not apply to\n"
"          chart views and other 2D plotting views.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Static\" />\n"
"          <Entry value=\"1\" text=\"Phi-Theta\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PhiResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"360\" />\n"
"        <Documentation>\n"
"          Number of samples along the phi direction.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"CameraMode\" value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ThetaResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"360\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/extractors_remotingviews.xml
static const char* const paraview_server_managerextractors_remotingviewsInterface1 =
"       <Documentation>\n"
"         Number of samples along the theta direction.\n"
"       </Documentation>\n"
"       <Hints>\n"
"         <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"CameraMode\" value=\"1\" />\n"
"       </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Miscellaneous\">\n"
"        <Property name=\"ResetDisplay\" />\n"
"        <Property name=\"CameraMode\" />\n"
"        <Property name=\"PhiResolution\" />\n"
"        <Property name=\"ThetaResolution\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Experimental\" />\n"
"      </Hints>\n"
"\n"
"      <!-- end of RecolorableImage -->\n"
"    </RecolorableImageExtractWriterProxy>\n"
"\n"
"    <!-- end of 'extract_writers' -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerextractors_remotingviewsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerextractors_remotingviewsInterface0);
  const size_t len1 = strlen(paraview_server_managerextractors_remotingviewsInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerextractors_remotingviewsInterface0, paraview_server_managerextractors_remotingviewsInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerextractors_remotingviewsInterface1, paraview_server_managerextractors_remotingviewsInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/rendering.xml
static const char* const paraview_server_managerrenderingInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"camera\">\n"
"    <CameraProxy class=\"vtkCamera\"\n"
"                 name=\"Camera\"\n"
"                 processes=\"client\">\n"
"      <!-- |dataserver|renderserver -->\n"
"      <DoubleVectorProperty command=\"GetPosition\"\n"
"                            default_values=\"0 0 6.69\"\n"
"                            information_only=\"1\"\n"
"                            name=\"CameraPositionInfo\"\n"
"                            number_of_elements=\"3\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 6.69\"\n"
"                            ignore_synchronization=\"1\"\n"
"                            immediate_update=\"1\"\n"
"                            information_property=\"CameraPositionInfo\"\n"
"                            name=\"CameraPosition\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetFocalPoint\"\n"
"                            default_values=\"0 0 0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"CameraFocalPointInfo\"\n"
"                            number_of_elements=\"3\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFocalPoint\"\n"
"                            default_values=\"0 0 0\"\n"
"                            ignore_synchronization=\"1\"\n"
"                            immediate_update=\"1\"\n"
"                            information_property=\"CameraFocalPointInfo\"\n"
"                            name=\"CameraFocalPoint\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetFocalDisk\"\n"
"                            default_values=\"1\"\n"
"                            information_only=\"1\"\n"
"                            name=\"CameraFocalDiskInfo\"\n"
"                            number_of_elements=\"1\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFocalDisk\"\n"
"                            default_values=\"0\"\n"
"                            ignore_synchronization=\"1\"\n"
"                            immediate_update=\"1\"\n"
"                            information_property=\"CameraFocalDiskInfo\"\n"
"                            name=\"CameraFocalDisk\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetFocalDistance\"\n"
"                            default_values=\"0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"CameraFocalDistanceInfo\"\n"
"                            number_of_elements=\"1\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFocalDistance\"\n"
"                            default_values=\"0\"\n"
"                            ignore_synchronization=\"1\"\n"
"                            immediate_update=\"1\"\n"
"                            information_property=\"CameraFocalDistanceInfo\"\n"
"                            name=\"CameraFocalDistance\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetViewUp\"\n"
"                            default_values=\"0 1 0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"CameraViewUpInfo\"\n"
"                            number_of_elements=\"3\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetViewUp\"\n"
"                            default_values=\"0 1 0\"\n"
"                            ignore_synchronization=\"1\"\n"
"                            immediate_update=\"1\"\n"
"                            information_property=\"CameraViewUpInfo\"\n"
"                            name=\"CameraViewUp\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetViewAngle\"\n"
"                            information_only=\"1\"\n"
"                            name=\"CameraViewAngleInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetViewAngle\"\n"
"                            default_values=\"30\"\n"
"                            ignore_synchronization=\"1\"\n"
"                            immediate_update=\"1\"\n"
"                            information_property=\"CameraViewAngleInfo\"\n"
"                            name=\"CameraViewAngle\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetParallelScale\"\n"
"                            default_values=\"1.73\"\n"
"                            ignore_synchronization=\"1\"\n"
"                            information_property=\"CameraParallelScaleInfo\"\n"
"                            name=\"CameraParallelScale\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetParallelScale\"\n"
"                            default_values=\"1.73\"\n"
"                            information_only=\"1\"\n"
"                            name=\"CameraParallelScaleInfo\"\n"
"                            number_of_elements=\"1\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetEyeAngle\"\n"
"                            default_values=\"2.0\"\n"
"                            ignore_synchronization=\"1\"\n"
"                            name=\"EyeAngle\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseOffAxisProjection\"\n"
"                         default_values=\"0\"\n"
"                         name=\"EnableTracking\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetEyeTransformMatrix\"\n"
"                            default_values=\"1.0 0.0 0.0 0.0\n"
"                         0.0 1.0 0.0 0.0\n"
"                         0.0 0.0 1.0 0.0\n"
"                         0.0 0.0 0.0 1.0\"\n"
"                            immediate_update=\"1\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"EyeTransformMatrix\"\n"
"                            number_of_elements=\"16\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetModelTransformMatrix\"\n"
"                            default_values=\"1.0 0.0 0.0 0.0\n"
"                         0.0 1.0 0.0 0.0\n"
"                         0.0 0.0 1.0 0.0\n"
"                         0.0 0.0 0.0 1.0\"\n"
"                            immediate_update=\"1\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ModelTransformMatrix\"\n"
"                            number_of_elements=\"16\"></DoubleVectorProperty>\n"
"    </CameraProxy>\n"
"    <!-- end of Camera Proxy -->\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"mappers\">\n"
"    <Proxy class=\"vtkProjectedTetrahedraMapper\"\n"
"           name=\"ProjectedTetrahedraMapper\"\n"
"           processes=\"client|renderserver|dataserver\">\n"
"      <IntVectorProperty name=\"UseFloatingPointFrameBuffer\"\n"
"        command=\"SetUseFloatingPointFrameBuffer\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable use of floating point frame buffers. If not enabled,\n"
"          you may encounter artifacts when mixing volumes with geometry.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"DummyVolumeMapper\">\n"
"      <ProxyProperty command=\"SetRayCastFunction\"\n"
"                     name=\"RayCastFunction\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"ugrid_raycast_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkUnstructuredGridVolumeRayCastMapper\"\n"
"           name=\"UnstructuredGridVolumeRayCastMapper\"\n"
"           processes=\"client|renderserver|dataserver\">\n"
"      <ProxyProperty command=\"SetRayCastFunction\"\n"
"                     name=\"RayCastFunction\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"ugrid_raycast_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkUnstructuredGridVolumeZSweepMapper\"\n"
"           name=\"UnstructuredGridVolumeZSweepMapper\"\n"
"           processes=\"client|renderserver|dataserver\"></Proxy>\n"
"    <Proxy class=\"vtkGPUVolumeRayCastMapper\"\n"
"           name=\"GPUVolumeRayCastMapper\"\n"
"           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>This is the proxy for GPU based volume\n"
"      rendering.</Documentation>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetBlendMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"BlendMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the current blend mode. Default is Composite.\n"
"        MaximumIntensity is also known as MIP rendering.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Composite\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"MaximumIntensity\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"MinimumIntensity\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetAutoAdjustSampleDistances\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AutoAdjustSampleDistances\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>If AutoAdjustSampleDistances is on, the the\n"
"        ImageSampleDistance will be varied to achieve the allocated render time\n"
"        of this prop (controlled by the desired update rate and any culling in\n"
"        use).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            command=\"SetSampleDistance\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"SampleDistance\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set/Get the distance between samples used for rendering\n"
"        when AutoAdjustSampleDistances is off, or when this mapper has more\n"
"        than 1 second allocated to it for rendering.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of GPUVolumeRayCastMapper -->\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkFixedPointVolumeRayCastMapper\"\n"
"           name=\"FixedPointVolumeRayCastMapper\"\n"
"           processes=\"client|renderserver|dataserver\">\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetBlendMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"BlendMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the current blend mode. Default is Composite.\n"
"        MaximumIntensity is also known as MIP rendering.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Composite\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"MaximumIntensity\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"MinimumIntensity\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetLockSampleDistanceToInputSpacing\"\n"
"                         default_values=\"1\"\n"
"                         name=\"LockSampleDistanceToInputSpacing\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of FixedPointVolumeRayCastMapper -->\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkSmartVolumeMapper\"\n"
"           name=\"UnstructuredGridResampleToImageMapper\"\n"
"           processes=\"client|renderserver|dataserver\"></Proxy>\n"
"    <!-- End of \"mappers\" -->\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"ugrid_raycast_functions\">\n"
"    <Proxy class=\"vtkUnstructuredGridBunykRayCastFunction\"\n"
"           name=\"BunykRayCastFunction\"></Proxy>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"textures\">\n"
"    <SourceProxy class=\"vtkTexture\"\n"
"                 name=\"Texture\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <!-- This property without associated command is used to store the source filename containing the texture, as we lose this information when loading the texture from a vtkTexture directly -->\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"      </StringVectorProperty>\n"
"    </SourceProxy>\n"
"    <Proxy class=\"vtkTexture\"\n"
"           name=\"ImageTexture\"\n"
"           si_class=\"vtkSIImageTextureProxy\"\n"
"           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>This is a proxy for a vtkTexture which also includes an\n"
"      image file reader. This reader can read an image of client/data server or\n"
"      render server and then transmit it to the client/render server where it\n"
"      will be used for texturing.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Source\"\n"
"               proxygroup=\"sources\"\n"
"               proxyname=\"NetworkImageSource\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"FileName\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetRestrictPowerOf2ImageSmaller\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RestrictPowerOf2ImageSmaller\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetColorMode\"\n"
"                         default_values=\"2\"\n"
"                         name=\"ColorMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Default\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Map Scalars\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Direct Scalars\"\n"
"                 value=\"2\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/rendering.xml
static const char* const paraview_server_managerrenderingInterface1 =
"        </EnumerationDomain>\n"
"        <Documentation>When color mode is Default, 8-bits textures is equivalent to Direct Scalars,\n"
"        while equivalent to Map Scalars for 16-bits textures. In the case of Map Scalars, all the\n"
"        values are mapped to a generic color map.</Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"props\">\n"
"    <Proxy class=\"vtkTextActor\"\n"
"           name=\"TextActor\">\n"
"      <Documentation>Proxy for a text actor. Not to be used\n"
"      directly.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInput\"\n"
"                            name=\"Text\"\n"
"                            number_of_elements=\"1\"></StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            command=\"SetPosition\"\n"
"                            default_values=\"0 0\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"2\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetTextScaleMode\"\n"
"                         default_values=\"2\"\n"
"                         name=\"TextScaleMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Prop\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Viewport\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetTextProperty\"\n"
"                     name=\"TextProperty\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"properties\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <!-- End of TextActor -->\n"
"    </Proxy>\n"
"    <!-- End of group \"props\" -->\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"properties\">\n"
"    <Proxy class=\"vtkTextProperty\" name=\"TextPropertyBase\" processes=\"client|dataserver|renderserver\" >\n"
"      <DoubleVectorProperty command=\"SetBackgroundRGBA\"\n"
"                            default_values=\"0.0 0.0 0.0 0.0\"\n"
"                            name=\"BackgroundRGBA\"\n"
"                            number_of_elements=\"4\">\n"
"        <DoubleRangeDomain max=\"1 1 1 1\" min=\"0 0 0 0\" name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            command=\"SetOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0.0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetFontFamily\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FontFamily\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Arial\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Courier\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Times\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"File\"\n"
"                 value=\"4\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetFontFile\"\n"
"                            label=\"Name\"\n"
"                            name=\"FontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"FontFamily\"\n"
"                                   value=\"4\" />\n"
"          <!-- enable this widget when FontFamily==4 -->\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetBold\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Bold\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetItalic\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Italic\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetShadow\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Shadow\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetFontSize\"\n"
"                         default_values=\"18\"\n"
"                         name=\"FontSize\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            command=\"SetOrientation\"\n"
"                            default_values=\"0\"\n"
"                            name=\"Orientation\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetLineSpacing\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"LineSpacing\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"10\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the extra spacing between lines, expressed as a text height multiplication factor.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty  command=\"SetLineOffset\"\n"
"                          default_values=\"0.0\"\n"
"                          name=\"LineOffset\"\n"
"                          number_of_elements=\"1\"\n"
"                          panel_visibility=\"advanced\">\n"
"        <IntRangeDomain max=\"500\"\n"
"                        min=\"0\"\n"
"                        name=\"range\"\n"
"                        resolution=\"2\" />\n"
"        <Documentation>Set the offset between two lines in pixels unit.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty  command=\"SetCellOffset\"\n"
"                          default_values=\"0.0\"\n"
"                          name=\"CellOffset\"\n"
"                          number_of_elements=\"1\"\n"
"                          panel_visibility=\"advanced\">\n"
"        <IntRangeDomain max=\"500\"\n"
"                        min=\"0\"\n"
"                        name=\"range\"\n"
"                        resolution=\"2\" />\n"
"        <Documentation>Set the offset between two cells in pixels unit.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetJustification\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Justification\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Left\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Center\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Right\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetVerticalJustification\"\n"
"                         default_values=\"0\"\n"
"                         name=\"VerticalJustification\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Bottom\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Center\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Top\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetInteriorLinesVisibility\"\n"
"                         name=\"InteriorLinesVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Show/hide interior lines between cells. Only valid for multi cell text.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetInteriorLinesWidth\"\n"
"                         name=\"InteriorLinesWidth\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"10\" />\n"
"        <Documentation>\n"
"          Set the width (in pixels) of the interior lines between cells. Only valid for multi cell text.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetInteriorLinesColor\"\n"
"                            name=\"InteriorLinesColor\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0.0 0.0 0.0\"\n"
"                           max=\"1.0 1.0 1.0\" />\n"
"        <Documentation>\n"
"          Set the color of the interior lines between cells. Only valid for multi cell text.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of TextProperty -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy class=\"vtkTextProperty\" name=\"TextProperty\"\n"
"           base_proxygroup=\"properties\"\n"
"           base_proxyname=\"TextPropertyBase\"\n"
"           processes=\"client|dataserver|renderserver\">\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            argument_is_array=\"1\"\n"
"                            command=\"SetColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"Color\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\" min=\"0 0 0\" name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"TextAnnotationColor\"\n"
"            unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <ExposedProperties>\n"
"        <Property name=\"LineSpacing\" />\n"
"        <Property name=\"CellOffset\" />\n"
"      </ExposedProperties>\n"
"    </Proxy>\n"
"\n"
"    <Proxy class=\"vtkTextProperty\" name=\"ChartTextProperty\"\n"
"           base_proxygroup=\"properties\"\n"
"           base_proxyname=\"TextPropertyBase\"\n"
"           processes=\"client|dataserver|renderserver\">\n"
"       <!-- same as \"TextProperty\" except with different color that is not\n"
"            linked with TextAnnotationColor -->\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            argument_is_array=\"1\"\n"
"                            command=\"SetColor\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Color\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\" min=\"0 0 0\" name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy class=\"vtkTextProperty\" name=\"TextPropertyCentered\"\n"
"           base_proxygroup=\"properties\"\n"
"           base_proxyname=\"TextProperty\"\n"
"           processes=\"client|dataserver|renderserver\">\n"
"      <!-- inherit TextProperty with a vertical justification defaulted to centered -->\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetVerticalJustification\"\n"
"                         default_values=\"1\"\n"
"                         name=\"VerticalJustification\"\n"
"                         number_of_elements=\"1\"\n"
"                         override=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Bottom\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Center\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Top\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"    </Proxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"additional_lights\" label=\"Lights\">\n"
"    <LightProxy name=\"Light\"\n"
"           class=\"vtkPVLight\"\n"
"           processes=\"client|dataserver|renderserver\">\n"
"      <IntVectorProperty command=\"SetSwitch\"\n"
"                         label=\"Enable\"\n"
"                         name=\"LightSwitch\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         >\n"
"        <Documentation>Turn on/off this light in the active view.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetName\"\n"
"                            label=\"Name\"\n"
"                            name=\"LightName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetLightType\"\n"
"                         label=\"Coords\"\n"
"                         name=\"LightType\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"3\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Headlight\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Camera\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Scene\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Ambient\"\n"
"                 value=\"4\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"        Specify how the light is positioned. It can be attached to the eye (**Headlight**), relative to the\n"
"        eye (**Camera**), fixed in world space (**Scene**), or position-less (**Ambient**).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetIntensity\"\n"
"                            label=\"Intensity\"\n"
"                            name=\"LightIntensity\"\n"
"                            default_values=\"1.0\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/rendering.xml
static const char* const paraview_server_managerrenderingInterface2 =
"                           resolution=\"0.01\" />\n"
"        <Documentation>\n"
"        Set the light's brightness. Can be greater than 1.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetPositional\"\n"
"                         label=\"Type\"\n"
"                         name=\"Positional\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         >\n"
"        <Documentation>\n"
"          Set the light's type.\n"
"          A **Positional** light's rays diverge from its position. Use **Cone Angle** to limit them.\n"
"          A **Directional** light's rays come from far away, and are parallel.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Directional\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Positional\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <!-- display when light type is not Ambient -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"LightType\"\n"
"                                   inverse=\"1\"\n"
"                                   value=\"4\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"GetPosition\"\n"
"                            name=\"PositionInfo\"\n"
"                            default_values=\"0 0 1\"\n"
"                            information_only=\"1\"\n"
"                            number_of_elements=\"3\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            label=\"Position\"\n"
"                            name=\"LightPosition\"\n"
"                            information_property=\"PositionInfo\"\n"
"                            default_values=\"0 0 1\"\n"
"                            number_of_elements=\"3\">\n"
"        <Documentation>\n"
"        Relative position of the light for **Camera Coords** light, world-space position for **Scene Coords** light.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- display when light type is Scene or Camera -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"LightType\"\n"
"                                   values=\"2 3\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"GetFocalPoint\"\n"
"                            name=\"FocalPointInfo\"\n"
"                            default_values=\"0 0 0\"\n"
"                            information_only=\"1\"\n"
"                            number_of_elements=\"3\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFocalPoint\"\n"
"                            name=\"FocalPoint\"\n"
"                            information_property=\"FocalPointInfo\"\n"
"                            default_values=\"0 0 0\"\n"
"                            number_of_elements=\"3\">\n"
"        <Documentation>\n"
"        Used with position to compute the light direction, this is a \"look-at\" point.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- display when light type is Scene or Camera -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"LightType\"\n"
"                                   values=\"2 3\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"DiffuseColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain\n"
"            max=\"1 1 1\"\n"
"            min=\"0 0 0\"\n"
"            name=\"range\" />\n"
"        <Documentation>\n"
"        Color of the light.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetConeAngle\"\n"
"                            default_values=\"30.0\"\n"
"                            name=\"ConeAngle\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"90.0\"\n"
"                           min=\"0.0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>\n"
"        For a **Positional** light, limit the light to a cone around its direction, creating a \"spot-light\" effect.\n"
"        Set to 90 to light all directions. In degrees.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- display when light type is not Ambient, and when Positional -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"LightType\"\n"
"                                   inverse=\"1\"\n"
"                                   value=\"4\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Positional\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetRadius\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>\n"
"        For OSPRay renderer lights, sets the apparent size of the light.\n"
"        In degrees for **Directional**, world space units for **Positional**. Increasing above 0 produces soft shadows.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- display when light type is not Ambient -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"LightType\"\n"
"                                   inverse=\"1\"\n"
"                                   value=\"4\" />\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup panel_widget=\"InteractiveLight\">\n"
"        <Property function=\"Positional\" name=\"Positional\" />\n"
"        <Property function=\"WorldPosition\" name=\"LightPosition\" />\n"
"        <Property function=\"FocalPoint\" name=\"FocalPoint\" />\n"
"        <Property function=\"ConeAngle\" name=\"ConeAngle\" />\n"
"        <Property function=\"LightColor\" name=\"DiffuseColor\" />\n"
"      </PropertyGroup>\n"
"    </LightProxy>\n"
"    <!-- End of additional_lights -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"materials\">\n"
"    <MaterialLibraryProxy class=\"vtkPVMaterialLibrary\"\n"
"                 name=\"MaterialLibrary\"\n"
"                 processes=\"client|renderserver|dataserver\">\n"
"      <StringVectorProperty name=\"LoadMaterials\"\n"
"        default_values=\"\"\n"
"        label=\"Load Materials\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"never\">\n"
"      </StringVectorProperty>\n"
"    </MaterialLibraryProxy>\n"
"  </ProxyGroup>\n"
"\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerrenderingGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerrenderingInterface0);
  const size_t len1 = strlen(paraview_server_managerrenderingInterface1);
  const size_t len2 = strlen(paraview_server_managerrenderingInterface2);
  size_t len = ( 0
    + len0
    + len1
    + len2 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerrenderingInterface0, paraview_server_managerrenderingInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerrenderingInterface1, paraview_server_managerrenderingInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerrenderingInterface2, paraview_server_managerrenderingInterface2 + len2, res + offset); offset += len2;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/sources_remotingviews.xml
static const char* const paraview_server_managersources_remotingviewsInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVLogoSource\" name=\"LogoSource\" label=\"Logo\">\n"
"      <ProxyProperty command=\"SetTexture\"\n"
"                     name=\"Texture\"\n"
"                     panel_widget=\"texture_selector\"\n"
"                     null_on_empty=\"1\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"textures\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"        <OutputPort index=\"0\"\n"
"                    name=\"Output-0\"\n"
"                    type=\"logo\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"      <!-- End of LogoSource -->\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managersources_remotingviewsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managersources_remotingviewsInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managersources_remotingviewsInterface0, paraview_server_managersources_remotingviewsInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/utilities_remotingviews.xml
static const char* const paraview_server_managerutilities_remotingviewsInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"settings\">\n"
"    <!-- ================================================================== -->\n"
"    <SettingsProxy name=\"RenderViewSettings\" label=\"Render View\"\n"
"      processes=\"client|dataserver|renderserver\"\n"
"      class=\"vtkPVRenderViewSettings\">\n"
"      <Documentation>\n"
"        Application settings for render views.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"ResolveCoincidentTopology\"\n"
"        command=\"SetResolveCoincidentTopology\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set the mode to use to overcome the OpenGL rendering issue when faces\n"
"          coincide with lines and points.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Do nothing\" value=\"0\" />\n"
"          <Entry text=\"Offset faces relative to lines and points\" value=\"1\" />\n"
"          <Entry text=\"Offset lines and points relative to faces\" value=\"2\" />\n"
"          <Entry text=\"Shift z-buffer when rendering lines and points\" value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <RestartRequired />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PolygonOffsetParameters\"\n"
"        command=\"SetPolygonOffsetParameters\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0.0 0.0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Set the polygon offset parameters to control how polygon depths are shifted\n"
"          in the depth buffer. Change these parameters to change how coincident lines,\n"
"          points, and polygons are resolved when rendering. The first parameter controls\n"
"          how much the angle of the polygon relative to the camera view plane contributes\n"
"          to the depth offset of pixels in the rendered polygon. The second parameter is\n"
"          a constant offset to add to the depth buffer. Refer to the OpenGL manual on\n"
"          glPolygonOffset for further details on these parameters.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <RestartRequired />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LineOffsetParameters\"\n"
"        command=\"SetLineOffsetParameters\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0.0 -4\"\n"
"        panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Parameters used the same way as the parameters in **Polygon Offset Parameters**,\n"
"          but applied when lines are rendered.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <RestartRequired />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PointOffsetParameter\"\n"
"        command=\"SetPointOffsetParameter\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"-8\"\n"
"        panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"        Specifies a constant depth offset to apply when points are rendered.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <RestartRequired />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ZShift\"\n"
"        command=\"SetZShift\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.002\"\n"
"        panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Set the fraction by which to shift the z-buffer range when rendering\n"
"          lines and points.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <RestartRequired />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"ResolveCoincidentTopology\"\n"
"                                   value=\"3\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"DepthPeeling\"\n"
"        default_values=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable depth-peeling to correctly render translucent polygons. May slow down\n"
"          rendering performance.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"DepthPeelingForVolumes\"\n"
"        default_values=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Include volumes in the depth-peeling pass to correctly render intermixed\n"
"          volumes with translucent polygons. May slow down rendering performance.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"DepthPeeling\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"MaximumNumberOfPeels\"\n"
"        default_values=\"4\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"10\" />\n"
"        <Documentation>\n"
"          Set the maximum number of peels to use when depth peeling is employed.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"DepthPeeling\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseFXAA\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable FXAA antialiasing on 3D geometry.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"FXAARelativeContrastThreshold\"\n"
"                            default_values=\"0.125\"\n"
"                            label=\"Relative Contrast Threshold\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Contrast threshold for applying FXAA to a pixel, relative to max\n"
"          luminance. Lower values will affect more edges. Default is 0.125.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0625\" max=\"0.333333333\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseFXAA\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <!-- The hard contrast threshold is reduced to 0.045 by default. This\n"
"           ensures that the red arrow of the orientation axes is\n"
"           antialiased. -->\n"
"      <DoubleVectorProperty name=\"FXAAHardContrastThreshold\"\n"
"                            default_values=\"0.045\"\n"
"                            label=\"Hard Contrast Threshold\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Hard contrast threshold for applying FXAA to a pixel. Lower values\n"
"          will affect more edges. Default is 0.045.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.03125\" max=\"0.08333333\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseFXAA\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"FXAASubpixelBlendLimit\"\n"
"                            default_values=\"0.75\"\n"
"                            label=\"Subpixel Blend Limit\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Maximum amount of lowpass filtering to apply to the final pixel color\n"
"          to correct subpixel aliasing. Default value is 0.75.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.\" max=\"1.\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseFXAA\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"FXAASubpixelContrastThreshold\"\n"
"                            default_values=\"0.25\"\n"
"                            label=\"Subpixel Contrast Threshold\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Contrast threshold for subpixel aliasing detection. Higher values\n"
"          decrease sensitivity to subpixel aliasing. Default value is 0.25.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.\" max=\"0.5\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseFXAA\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"FXAAUseHighQualityEndpoints\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Improve Single Pixel Lines\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When enabled, a more sensitive endpoint detection method is used.\n"
"          Disabling this will improve performance, but single-pixel lines will\n"
"          have noticeable artifacts. Default is On.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseFXAA\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"FXAAEndpointSearchIterations\"\n"
"                         default_values=\"12\"\n"
"                         label=\"Endpoint Search Iterations\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Endpoint detection radius. Higher values will provide higher quality\n"
"          aliasing for long edges, but performance will suffer. Default is 12.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"100\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseFXAA\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- Tone Mapping -->\n"
"      <IntVectorProperty name=\"ToneMappingType\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"3\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Specify tone mapping type. Clamp, Reinhard and Exponential are simpler than the GenericFilmic\n"
"          operator which can be fully parameterized to configure the shadows as well as the highlights.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Clamp\" value=\"0\" />\n"
"          <Entry text=\"Reinhard\" value=\"1\" />\n"
"          <Entry text=\"Exponential\" value=\"2\" />\n"
"          <Entry text=\"GenericFilmic\" value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"GenericFilmicPresets\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Use predefined presets for Generic Filmic. Using the default parameters it approximates the Academy Color Encoding System (ACES).\n"
"          To use the popular \"Uncharted 2\" filmic tone mapping curve instead, set the property to Uncharted2.\n"
"          Set this property to Custom to set custom parameters.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Custom\" value=\"0\" />\n"
"          <Entry text=\"DefaultPresets\" value=\"1\" />\n"
"          <Entry text=\"Uncharted2\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <!-- Visible if Generic Filmic -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ToneMappingType\"\n"
"                                       value=\"3\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"Contrast\"\n"
"                            label=\"Contrast\"\n"
"                            default_values=\"1.6773\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"10.0\" />\n"
"        <Documentation>\n"
"          Adjust the toe of the curve. Typically in [1-2].\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- Visible if Generic Filmic AND GenericFilmicPresets set to Custom-->\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ToneMappingType\"\n"
"                                       value=\"3\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"GenericFilmicPresets\"\n"
"                                       value=\"0\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Shoulder\"\n"
"                            label=\"Shoulder\"\n"
"                            default_values=\"0.9714\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"10.0\" />\n"
"        <Documentation>\n"
"          Limit the output in the shoulder region of the curve.\n"
"          Typically in [0.9-1].\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- Visible if Generic Filmic AND GenericFilmicPresets set to Custom-->\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ToneMappingType\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/utilities_remotingviews.xml
static const char* const paraview_server_managerutilities_remotingviewsInterface1 =
"                                       value=\"3\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"GenericFilmicPresets\"\n"
"                                       value=\"0\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MidIn\"\n"
"                            label=\"MidIn\"\n"
"                            default_values=\"0.18\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"        <Documentation>\n"
"          Mid level anchor input in percent gray.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- Visible if Generic Filmic AND GenericFilmicPresets set to Custom-->\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ToneMappingType\"\n"
"                                       value=\"3\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"GenericFilmicPresets\"\n"
"                                       value=\"0\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MidOut\"\n"
"                            label=\"MidOut\"\n"
"                            default_values=\"0.18\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"        <Documentation>\n"
"          Mid level anchor output in percent gray.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- Visible if Generic Filmic AND GenericFilmicPresets set to Custom-->\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ToneMappingType\"\n"
"                                       value=\"3\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"GenericFilmicPresets\"\n"
"                                       value=\"0\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"HdrMax\"\n"
"                            label=\"HdrMax\"\n"
"                            default_values=\"11.0785\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"1.0\" max=\"10000.0\" />\n"
"        <Documentation>\n"
"          Maximum HDR input that is not clipped.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- Visible if Generic Filmic AND GenericFilmicPresets set to Custom-->\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ToneMappingType\"\n"
"                                       value=\"3\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"GenericFilmicPresets\"\n"
"                                       value=\"0\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"UseACES\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable the Academy Color Encoding System (ACES).\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- Visible if Generic Filmic AND GenericFilmicPresets set to Custom-->\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ToneMappingType\"\n"
"                                       value=\"3\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"GenericFilmicPresets\"\n"
"                                       value=\"0\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- SSAO -->\n"
"      <IntVectorProperty name=\"UseSSAODefaultPresets\"\n"
"                            label=\"Use Default Presets\"\n"
"                            default_values=\"1\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If enabled, the SSAO radius and bias will be calculated depending on\n"
"          the size of the bounding box of the geometry. Disable to manually specify the radius and bias.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"Radius\"\n"
"                         default_values=\"0.5\"\n"
"                         label=\"SSAO hemisphere radius\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the SSAO hemisphere radius.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"UseSSAODefaultPresets\"\n"
"                                       value=\"0\"/>\n"
"        </Hints>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"5.0\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Bias\"\n"
"                            default_values=\"0.01\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"        <Documentation>\n"
"          Set the SSAO bias when comparing samples.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"UseSSAODefaultPresets\"\n"
"                                       value=\"0\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"KernelSize\"\n"
"                            default_values=\"32\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"1024\" />\n"
"        <Documentation>\n"
"          Set the SSAO number of samples.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"Blur\"\n"
"                            default_values=\"0\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable or disable the blurring of the ambient occlusion.\n"
"          Blurring can help to improve the result if samples number is low.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LODThreshold\"\n"
"        label=\"LOD Threshold\"\n"
"        default_values=\"20.0\"\n"
"        number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"102400.0\" />\n"
"        <Documentation>\n"
"          Set the data size (in megabytes) beyond which to employ decimation,\n"
"          if possible, to speed renders when interacting. 0 implies the use of\n"
"          decimation for all interactive renders.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LODResolution\"\n"
"        label=\"LOD Resolution\"\n"
"        default_values=\"0.5\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"        <Documentation>\n"
"          Set the factor used to compute the decimated geometry when employed.\n"
"          This affects the size of the grid used for\n"
"          quadric clustering. For example, 1.0 implies maximum resolution while 0\n"
"          implies minimum resolution.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseOutlineForLODRendering\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"NonInteractiveRenderDelay\"\n"
"        default_values=\"0\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"10\" />\n"
"        <Documentation>\n"
"          If decimated geometry was used for rendering during interaction, set the delay\n"
"          (in seconds) before doing a full resolution render when the interaction\n"
"          is finished.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"WindowResizeNonInteractiveRenderDelay\"\n"
"        default_values=\"0.3\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"10\" />\n"
"        <Documentation>\n"
"          Set the delay (in seconds) before doing a full resolution render\n"
"          after the last resize of the window.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseOutlineForLODRendering\"\n"
"        label=\"Use Outline For LOD Rendering\"\n"
"        default_values=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Use outline, instead of decimated geometry when interacting, if applicable.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"RemoteRenderThreshold\"\n"
"        default_values=\"20.0\"\n"
"        number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\" max=\"102400\" name=\"range\" />\n"
"        <Documentation>\n"
"          Set the data size (in megabytes) beyond which to render data remotely\n"
"          (or in parallel) when connected to parallel rendering capable server. In that case\n"
"          the rendered images are delivered to the client. Otherwise, the geometry is delivered\n"
"          to the client and rendering happens locally.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"StillRenderImageReductionFactor\"\n"
"        default_values=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"advanced\" >\n"
"        <IntRangeDomain max=\"20\" min=\"1\" name=\"range\" />\n"
"        <Documentation>\n"
"          Set the sub-sampling factor to use for non-interactive rendering.\n"
"          When rendering on large tiles (or multiple tiles),\n"
"          sub-sampling will help improve image compositing performance. This has no effect\n"
"          if remote/parallel rendering is not being used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ImageReductionFactor\"\n"
"        default_values=\"2\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <IntRangeDomain max=\"20\" min=\"1\" name=\"range\" />\n"
"        <Documentation>\n"
"          To reduce image compositing costs during interactions, set the\n"
"          image sub-sampling factor. Set to 1 to not use any subsampling.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CompressorConfig\"\n"
"        default_values=\"vtkLZ4Compressor 0 3\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"advanced\"\n"
"        panel_widget=\"image_compressor_config\">\n"
"        <Documentation>\n"
"          Set the compression method used when transferring rendered images from\n"
"          the server to the client.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <SupportsLZ4/>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"OutlineThreshold\"\n"
"        default_values=\"250\"\n"
"        number_of_elements=\"1\"\n"
"        command=\"SetOutlineThreshold\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"500\" />\n"
"        <Documentation>\n"
"          When opening a dataset or creating a new filter that has a number of\n"
"          cells greater than this threshold (in millions), use the Outline\n"
"          representation by default.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"TwoSidedLighting\"\n"
"        default_values=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        command=\"SetTwoSidedLighting\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When rendering a volume, this option simulates light coming from both its direction\n"
"          and its opposite for all lights in the scene.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"DefaultInteractionMode\"\n"
"        command=\"SetDefaultInteractionMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          When opening a dataset, set the initial interaction mode.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Automatic, based on the first time step\" value=\"0\" />\n"
"          <Entry text=\"Always 2D\" value=\"1\" />\n"
"          <Entry text=\"Always 3D\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ShowAnnotation\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether to see annotation providing advanced debugging and performance\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/utilities_remotingviews.xml
static const char* const paraview_server_managerutilities_remotingviewsInterface2 =
"          information about each render.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PointPickingRadius\"\n"
"                         command=\"SetPointPickingRadius\"\n"
"                         default_values=\"50\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"100\" />\n"
"        <Documentation>\n"
"          Set the radius (in pixels) to include when using *Select Points On*\n"
"          to click-and-select a single point on the **Render View**.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"DisableIceT\"\n"
"                         label=\"Disable IceT\"\n"
"                         command=\"SetDisableIceT\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set to disable IceT (default is unchecked). This is not common and only provided\n"
"          for special rendering modes/mappers.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <RestartRequired />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"EnableFastPreselection\"\n"
"                         label=\"Enable fast preselection\"\n"
"                         command=\"SetEnableFastPreselection\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable fast preselection. When enabled, the preselection is computed using\n"
"          the visible geometry. This dramatically improves performance of preselection\n"
"          highlighting, especially for big datasets.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"GrowSelectionRemoveSeed\"\n"
"                         label=\"Remove seed on grow selection\"\n"
"                         command=\"SetGrowSelectionRemoveSeed\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When enabled and growing selection, remove the initial selection seed.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"GrowSelectionRemoveIntermediateLayers\"\n"
"                         label=\"Remove intermediate layers on grow selection\"\n"
"                         command=\"SetGrowSelectionRemoveIntermediateLayers\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When enabled and growing selection, remove the intermediate layers.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Geometry Mapper Options\">\n"
"        <Property name=\"ResolveCoincidentTopology\" />\n"
"        <Property name=\"PolygonOffsetParameters\" />\n"
"        <Property name=\"ZShift\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Translucent Rendering Options\">\n"
"        <Property name=\"DepthPeeling\" />\n"
"        <Property name=\"MaximumNumberOfPeels\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Antialiasing Options\">\n"
"        <Property name=\"UseFXAA\" />\n"
"        <Property name=\"FXAARelativeContrastThreshold\" />\n"
"        <Property name=\"FXAAHardContrastThreshold\" />\n"
"        <Property name=\"FXAASubpixelBlendLimit\" />\n"
"        <Property name=\"FXAASubpixelContrastThreshold\" />\n"
"        <Property name=\"FXAAUseHighQualityEndpoints\" />\n"
"        <Property name=\"FXAAEndpointSearchIterations\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Tone Mapping Options\">\n"
"        <Property name=\"ToneMappingType\" />\n"
"        <Property name=\"GenericFilmicPresets\" />\n"
"        <Property name=\"Contrast\" />\n"
"        <Property name=\"Shoulder\" />\n"
"        <Property name=\"MidIn\" />\n"
"        <Property name=\"MidOut\" />\n"
"        <Property name=\"HdrMax\" />\n"
"        <Property name=\"UseACES\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Ambient Occlusion Options\">\n"
"        <Property name=\"UseSSAODefaultPresets\" />\n"
"        <Property name=\"Radius\" />\n"
"        <Property name=\"KernelSize\" />\n"
"        <Property name=\"Bias\" />\n"
"        <Property name=\"Blur\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Interactive Rendering Options\">\n"
"        <Property name=\"LODThreshold\" />\n"
"        <Property name=\"LODResolution\" />\n"
"        <Property name=\"NonInteractiveRenderDelay\" />\n"
"        <Property name=\"UseOutlineForLODRendering\" />\n"
"        <Property name=\"WindowResizeNonInteractiveRenderDelay\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Remote/Parallel Rendering Options\">\n"
"        <Property name=\"RemoteRenderThreshold\" />\n"
"        <Property name=\"StillRenderImageReductionFactor\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Client/Server Rendering Options\">\n"
"        <Property name=\"ImageReductionFactor\" />\n"
"        <Property name=\"CompressorConfig\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Selection Options\">\n"
"        <Property name=\"EnableFastPreselection\" />\n"
"        <Property name=\"GrowSelectionRemoveSeed\" />\n"
"        <Property name=\"GrowSelectionRemoveIntermediateLayers\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Miscellaneous\">\n"
"        <Property name=\"OutlineThreshold\" />\n"
"        <Property name=\"TwoSidedLighting\" />\n"
"        <Property name=\"DefaultInteractionMode\" />\n"
"        <Property name=\"ShowAnnotation\" />\n"
"        <Property name=\"PointPickingRadius\" />\n"
"        <Property name=\"DisableIceT\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <UseDocumentationForLabels />\n"
"      </Hints>\n"
"    </SettingsProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SettingsProxy name=\"RenderViewInteractionSettings\" label=\"Camera\"\n"
"      processes=\"client|dataserver|renderserver\">\n"
"      <IntVectorProperty name=\"Camera3DManipulators\"\n"
"        label=\"Camera 3D Manipulators\"\n"
"        number_of_elements=\"9\"\n"
"        default_values=\"4 1 2 3 4 1 7 4 6\"\n"
"        panel_widget=\"camera_manipulator\">\n"
"        <!-- For now, we are marking this property is_internal so that it won't\n"
"        get saved in state files. -->\n"
"        <Documentation>\n"
"          Select how interactions are mapped to camera movements when in 3D interaction mode.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\" />\n"
"          <Entry text=\"Pan\" value=\"1\" />\n"
"          <Entry text=\"Zoom\" value=\"2\" />\n"
"          <Entry text=\"Roll\" value=\"3\" />\n"
"          <Entry text=\"Rotate\" value=\"4\" />\n"
"          <Entry text=\"Multi-Rotate\" value=\"5\" />\n"
"          <Entry text=\"ZoomToMouse\" value=\"6\" />\n"
"          <Entry text=\"SkyboxRotate\" value=\"7\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCamera3DMouseWheelMotionFactor\"\n"
"                            default_values=\"1\"\n"
"                            name=\"Camera3DMouseWheelMotionFactor\"\n"
"                            label=\"3D Mouse Wheel Factor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"10\"\n"
"                           min=\"0\"\n"
"                           name=\"range\"\n"
"                           resolution=\"1000\" />\n"
"        <Documentation>Set the wheel motion factor for 3D interaction.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"Camera2DManipulators\"\n"
"        label=\"Camera 2D Manipulators\"\n"
"        number_of_elements=\"9\"\n"
"        default_values=\"1 3 2 2 2 6 3 1 4\"\n"
"        panel_widget=\"camera_manipulator\">\n"
"        <!-- For now, we are marking this property is_internal so that it won't\n"
"        get saved in state files. -->\n"
"        <Documentation>\n"
"          Select how interactions are mapped to camera movements when in 2D interaction mode.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\" />\n"
"          <Entry text=\"Pan\" value=\"1\" />\n"
"          <Entry text=\"Zoom\" value=\"2\" />\n"
"          <Entry text=\"Roll\" value=\"3\" />\n"
"          <Entry text=\"Rotate\" value=\"4\" />\n"
"          <Entry text=\"ZoomToMouse\" value=\"6\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCamera2DMouseWheelMotionFactor\"\n"
"                            default_values=\"1\"\n"
"                            name=\"Camera2DMouseWheelMotionFactor\"\n"
"                            label=\"2D Mouse Wheel Factor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"10\"\n"
"                           min=\"0\"\n"
"                           name=\"range\"\n"
"                           resolution=\"1000\" />\n"
"        <Documentation>Set the wheel motion factor for 2D interaction.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ReverseMouseWheelZoomDirection\"\n"
"                         command=\"SetReverseMouseWheelZoomDirection\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         label=\"Reverse Mouse Wheel Zoom Direction\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          This option changes the direction of the mouse wheel for zooming in and out.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"MouseWheelZoomsToCursor\"\n"
"                         command=\"SetMouseWheelZoomsToCursor\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         label=\"Mouse Wheel Zooms To Cursor\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Zooms the renderer's camera to the projected point under the cursor position.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <PropertyGroup label=\"2D Interaction Options\">\n"
"        <Property name=\"Camera2DManipulators\" />\n"
"        <Property name=\"Camera2DMouseWheelMotionFactor\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"3D Interaction Options\">\n"
"        <Property name=\"Camera3DManipulators\" />\n"
"        <Property name=\"Camera3DMouseWheelMotionFactor\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Mouse Wheel Options\">\n"
"        <Property name=\"ReverseMouseWheelZoomDirection\" />\n"
"        <Property name=\"MouseWheelZoomsToCursor\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <UseDocumentationForLabels />\n"
"      </Hints>\n"
"    </SettingsProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- TODO change this setting organization later -->\n"
"    <SettingsProxy name=\"RepresentedArrayListSettings\"\n"
"                   label=\"Miscellaneous\"\n"
"                   processes=\"client\"\n"
"                   class=\"vtkPVRepresentedArrayListSettings\">\n"
"      <StringVectorProperty command=\"SetFilterExpression\"\n"
"                            name=\"FilterExpressions\"\n"
"                            label=\"Filter Expressions\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfFilterExpressions\"\n"
"                            use_index=\"1\">\n"
"        <Documentation>\n"
"          List of expressions used to filter out arrays you do not want to display in the color array list.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <ShowLabel />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"ReaderDetails\"\n"
"                            label=\"Default reader details\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          List of file patterns, names and underlying filter to use by default when selecting a file with the \"Supported Files\" filter selected.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <ShowLabel />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <UseDocumentationForLabels />\n"
"      </Hints>\n"
"    </SettingsProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SettingsProxy name=\"ColorPalette\" label=\"Color Palette\" serializable=\"1\"\n"
"                   processes=\"client|dataserver|renderserver\"\n"
"                   class=\"vtkPVRenderViewSettings\">\n"
"      <DoubleVectorProperty default_values=\"1.0 0.0 1.0\"\n"
"                            label=\"Border\"\n"
"                            name=\"BorderColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Color used for border surrounding the text.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            label=\"Surface\"\n"
"                            name=\"SurfaceColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Color used when solid coloring surfaces and faces.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            label=\"Foreground\"\n"
"                            name=\"ForegroundColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Color used for rendering elements like wireframes, points.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.0 0.0 0.5\"\n"
"                            label=\"Edges\"\n"
"                            name=\"EdgeColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/utilities_remotingviews.xml
static const char* const paraview_server_managerutilities_remotingviewsInterface3 =
"        <Documentation>\n"
"          Color used for the edges when using 'Surface With Edges' representation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            label=\"Text\"\n"
"                            name=\"TextAnnotationColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Color used for text and other annotations.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 0.0 1.0\"\n"
"                            label=\"Selection\"\n"
"                            name=\"SelectionColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Color used for showing selected\n"
"        cells/points.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.5 0.0 1.0\"\n"
"                            label=\"Interactive Selection\"\n"
"                            name=\"InteractiveSelectionColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Color used for showing interactive selection.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.0 1.0 0.0\"\n"
"                            label=\"Interactive Widget\"\n"
"                            name=\"InteractiveWidgetColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Color used for showing interactive widget.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetBackgroundColorMode\"\n"
"                         name=\"BackgroundColorMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Single Color\" value=\"0\" />\n"
"          <Entry text=\"Gradient\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Select the background color mode.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.0 0.0 0.16\"\n"
"                            command=\"SetBackground2Color\"\n"
"                            label=\"Background 2\"\n"
"                            name=\"BackgroundColor2\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Color used for the top section for gradient backgrounds.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"            mode=\"enabled_state\"\n"
"            property=\"BackgroundColorMode\"\n"
"            value=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.32 0.34 0.43\"\n"
"                            label=\"Background\"\n"
"                            command=\"SetBackgroundColor\"\n"
"                            name=\"BackgroundColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>\n"
"            Color used as background for the view. When using gradient backgrounds,\n"
"            this is the color used for the lower section of the viewport.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Selection\">\n"
"        <Property name=\"SelectionColor\" />\n"
"        <Property name=\"InteractiveSelectionColor\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Background\">\n"
"        <Property name=\"BackgroundColorMode\" />\n"
"        <Property name=\"BackgroundColor2\" />\n"
"        <Property name=\"BackgroundColor\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <Property name=\"LoadPalette\"\n"
"        panel_widget=\"color_palette_selector\">\n"
"        <Documentation>\n"
"          You can explicitly set the colors in the application's color palette\n"
"          above or you can load one of the predefined color palettes to\n"
"          initialize the active palette.\n"
"        </Documentation>\n"
"      </Property>\n"
"      <Hints>\n"
"        <UseDocumentationForLabels />\n"
"      </Hints>\n"
"      <!-- End of ColorPalette -->\n"
"    </SettingsProxy>\n"
"    <!-- end of \"settings\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"lookup_tables\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <TransferFunctionProxy class=\"vtkPVDiscretizableColorTransferFunction\"\n"
"                           name=\"PVLookupTable\"\n"
"                           post_push=\"Build\"\n"
"                           processes=\"dataserver|renderserver|client\">\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"AutomaticRescaleRangeMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"-1\" text=\"Never\"/>\n"
"          <Entry value=\"0\" text=\"Grow and update on 'Apply'\"/>\n"
"          <Entry value=\"1\" text=\"Grow and update every timestep\"/>\n"
"          <Entry value=\"2\" text=\"Update on 'Apply'\"/>\n"
"          <Entry value=\"3\" text=\"Clamp and update every timestep\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Choose whether and how to automatically rescale the color map range.\n"
"          \"Never\" means the color map range will never be changed.\n"
"          \"Grow and update on 'Apply'\" will expand the range to contain the\n"
"          union of the current range and the range of the current data source.\n"
"          \"Grow and update every timestep\" will expand the range to contain\n"
"          the union of the current range and the range of the current data source\n"
"          when the timestep is changed. \"Clamp and update every timestep\" will\n"
"          update the color map range to the current source data range.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"IndexedLookup\"\n"
"                         command=\"SetIndexedLookup\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         label=\"Interpret Values As Categories\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When enabled, the color transfer function switches to indexed-lookup\n"
"          (categorical colors) mode.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"AnnotationsInitialized\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\" >\n"
"        <Documentation>\n"
"         Set to 1 to indicate that the annotations have been initialized.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ShowIndexedColorActiveValues\"\n"
"                         command=\"SetUseActiveValues\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         label=\"Show Categorical Colors in Data Range Only\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"IndexedLookup\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          When interpreting values as categories, enabling this\n"
"          option results in the display of only the 'active'\n"
"          categorical colors for values in the data range, i.e.,\n"
"          values that exist in the source. You may need to click the\n"
"          'Rescale to Data Range' button to update the active values\n"
"          that are displayed.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"RescaleOnVisibilityChange\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Flag indicating whether the color map data range should be\n"
"          updated when a representation's visibility changes.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"EnableOpacityMapping\"\n"
"                         command=\"SetEnableOpacityMapping\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When enabled, the opacity transfer function is used for\n"
"          rendering, if applicable.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"ScalarOpacityFunction\"\n"
"        command=\"SetScalarOpacityFunction\">\n"
"        <Hints>\n"
"          <!-- when resetting to XML defaults, we don't want this property to\n"
"               get reset. This is managed explicitly. So let's just skip this\n"
"               from the default mechanism -->\n"
"          <NoDefault />\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"\n"
"      <ProxyProperty command=\"SetTransferFunction2D\"\n"
"                     name=\"TransferFunction2D\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"transfer_2d_functions\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>\n"
"          Proxy property used by the ColorOpacityWidget to store a 2D transfer function (vtkImageData).\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- when resetting to XML defaults, we don't want this property to\n"
"               get reset. This is managed explicitly. So let's just skip this\n"
"               from the default mechanism -->\n"
"          <NoDefault />\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"Use2DTransferFunction\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Proxy only property used by the ColorOpacityWidget to know if a 2D transfer function is being used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty clean_command=\"RemoveAllPoints\"\n"
"                            command=\"AddRGBPoint\"\n"
"                            name=\"RGBPoints\"\n"
"                            number_of_elements_per_command=\"4\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements=\"12\"\n"
"                            default_values=\"0 0.231373 0.298039 0.752941 0.5 0.865003 0.865003 0.865003 1 0.705882 0.0156863 0.14902\">\n"
"        <Documentation>\n"
"          Specify the control points that form the color-transfer-function. These are\n"
"          a list of 4-tuples of the form (x, r, g, b) where x is the data value,\n"
"          and r,g,b are three color components in the range [0,1].\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseLogScale\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseLogScale\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"                         default_values=\"0\"\n"
"                         name=\"UseOpacityControlPointsFreehandDrawing\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation> Proxy only property used by the ColorOpacityWidget to know if freehand drawing should be used\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"ShowDataHistogram\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation> Proxy only property used by the ColorOpacityWidget to know if the data histogram should be shown\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"AutomaticDataHistogramComputation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation> Proxy only property used by the ColorOpacityWidget to know if the data histogram should be automatically computed\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty default_values=\"10\"\n"
"                         name=\"DataHistogramNumberOfBins\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation> Proxy only property used by the ColorOpacityWidget to know the number of bin to use to compute the data histogram\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetColorSpace\"\n"
"                         default_values=\"3\"\n"
"                         name=\"ColorSpace\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"RGB\" value=\"0\" />\n"
"          <Entry text=\"HSV\" value=\"1\" />\n"
"          <Entry text=\"Lab\" value=\"2\" />\n"
"          <Entry text=\"Diverging\" value=\"3\" />\n"
"          <Entry text=\"Lab/CIEDE2000\" value=\"4\" />\n"
"          <Entry text=\"Step\" value=\"5\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          The color space used for interpolation: RGB, HSV, Lab (CIELAB), or\n"
"          Diverging. In HSV mode, if HSVWrap is on, it will take the shortest\n"
"          path in Hue (going back through 0 if that is the shortest way around\n"
"          the hue circle) whereas if HSVWrap is off it will not go through 0\n"
"          (in order the match the current functionality of vtkLookupTable).\n"
"          Diverging is a special mode where colors will pass through white when\n"
"          interpolating between two saturated colors.\n"
"          In Lab/CIEDE2000 mode, it will take the shortest path in the Lab color\n"
"          space with respect to the CIE Delta E 2000 color distance measure.\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/utilities_remotingviews.xml
static const char* const paraview_server_managerutilities_remotingviewsInterface4 =
"          In Step mode, the color of an interval is the color of the second point\n"
"          of the interval.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseBelowRangeColor\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseBelowRangeColor\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Use special color to use when a data value is below the range of the color map.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBelowRangeColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"BelowRangeColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\" >\n"
"        <Documentation>\n"
"          Set the color to use when a data value is below the range of the color map.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseBelowRangeColor\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseAboveRangeColor\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseAboveRangeColor\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Use special color to use when a data value is above the range of the color map.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAboveRangeColor\"\n"
"                            default_values=\"0.5 0.5 0.5\"\n"
"                            name=\"AboveRangeColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\" >\n"
"        <Documentation>\n"
"          Set the color to use when a data value is above the range of the color map.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseAboveRangeColor\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetNanColor\"\n"
"                            default_values=\"1 1 0\"\n"
"                            name=\"NanColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\" >\n"
"        <Documentation>\n"
"          Set the color to use when NaN (not-a-number) is encountered.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetNanOpacity\"\n"
"                         default_values=\"1\"\n"
"                         name=\"NanOpacity\"\n"
"                         number_of_elements=\"1\" >\n"
"        <DoubleRangeDomain min=\"0\" max=\"1\" name=\"range\" />\n"
"        <Documentation>\n"
"          Set the opacity to use when NaN (not-a-number) is encountered.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetDiscretize\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Discretize\"\n"
"                         number_of_elements=\"1\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, the color transfer function will comprise of discrete colors\n"
"          with number of discrete colors specified using NumberOfTableValues.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfValues\"\n"
"                         default_values=\"256\"\n"
"                         name=\"NumberOfTableValues\"\n"
"                         number_of_elements=\"1\" >\n"
"        <IntRangeDomain min=\"1\" max=\"1024\" name=\"range\" />\n"
"        <Documentation>\n"
"          When Discretize is set, this specifies the number of discrete colors\n"
"          that must be present in the transfer function.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"Discretize\" function=\"boolean\" index=\"0\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty default_values=\"0\"\n"
"                            name=\"ScalarRangeInitialized\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <Documentation>\n"
"         Set to 1 to indicate that the scalar range has been initialized.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetHSVWrap\"\n"
"                         default_values=\"0\"\n"
"                         name=\"HSVWrap\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\" >\n"
"        <!-- FIXME: need to add \"Wrapped HSV\" as a color-space type instead -->\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <Property command=\"Build\" name=\"Build\" panel_visibility=\"never\" />\n"
"      <IntVectorProperty command=\"SetVectorComponent\"\n"
"                         default_values=\"0\"\n"
"                         name=\"VectorComponent\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\" >\n"
"        <IntRangeDomain name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetVectorMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"VectorMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\" >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Magnitude\" value=\"0\" />\n"
"          <Entry text=\"Component\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAllowDuplicateScalars\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AllowDuplicateScalars\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Annotations\"\n"
"                            clean_command=\"ResetAnnotationsInFullSet\"\n"
"                            command=\"SetAnnotationInFullSet\"\n"
"                            element_types=\"2 2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          Specify annotations.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ActiveAnnotatedValues\"\n"
"                            clean_command=\"ResetActiveAnnotatedValues\"\n"
"                            command=\"SetActiveAnnotatedValue\"\n"
"                            element_types=\"2\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Documentation>\n"
"          Specify active annotations.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"IndexedColors\"\n"
"                            command=\"SetIndexedColorInFullSet\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfIndexedColorsInFullSet\"\n"
"                            use_index=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Colors used when using IndexedLookup is true.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"IndexedOpacities\"\n"
"                            command=\"SetIndexedOpacityInFullSet\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfIndexedOpacitiesInFullSet\"\n"
"                            use_index=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Documentation>\n"
"          Opacities used when using IndexedLookup is true.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Mapping Data\" panel_widget=\"ColorOpacityEditor\">\n"
"        <Property name=\"EnableOpacityMapping\" function=\"EnableOpacityMapping\" />\n"
"        <Property name=\"RGBPoints\" function=\"XRGBPoints\" />\n"
"        <Property name=\"ScalarOpacityFunction\" function=\"ScalarOpacityFunction\" />\n"
"        <Property name=\"TransferFunction2D\" function=\"TransferFunction2D\" />\n"
"        <Property name=\"Use2DTransferFunction\" function=\"Use2DTransferFunction\" />\n"
"        <Property name=\"UseLogScale\" function=\"UseLogScale\" />\n"
"        <Property name=\"UseOpacityControlPointsFreehandDrawing\" function=\"UseOpacityControlPointsFreehandDrawing\" />\n"
"        <Property name=\"ShowDataHistogram\" function=\"ShowDataHistogram\" />\n"
"        <Property name=\"AutomaticDataHistogramComputation\" function=\"AutomaticDataHistogramComputation\" />\n"
"        <Property name=\"DataHistogramNumberOfBins\" function=\"DataHistogramNumberOfBins\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Color Mapping Parameters\">\n"
"        <Property name=\"ColorSpace\" />\n"
"        <Property name=\"NanColor\" />\n"
"        <Property name=\"NanOpacity\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Color Discretization\">\n"
"        <Property name=\"NumberOfTableValues\" />\n"
"        <Property name=\"Discretize\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Annotations\" panel_widget=\"AnnotationsEditor\">\n"
"        <Property name=\"Annotations\" />\n"
"        <Property name=\"EnableOpacityMapping\" function=\"EnableOpacityMapping\" />\n"
"        <Property name=\"IndexedColors\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- End of PVLookupTable -->\n"
"    </TransferFunctionProxy>\n"
"\n"
"    <!-- end of \"lookup_tables\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"transfer_functions\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <TransferFunctionProxy class=\"vtkColorTransferFunction\"\n"
"                           name=\"ColorTransferFunction\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllPoints\"\n"
"                            command=\"AddRGBPoint\"\n"
"                            name=\"RGBPoints\"\n"
"                            number_of_elements_per_command=\"4\"\n"
"                            repeat_command=\"1\"></DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetColorSpace\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ColorSpace\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"RGB\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"HSV\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Lab\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Diverging\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Lab/CIEDE2000\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Step\"\n"
"                 value=\"5\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetHSVWrap\"\n"
"                         default_values=\"0\"\n"
"                         name=\"HSVWrap\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"    </TransferFunctionProxy>\n"
"\n"
"    <!-- end of \"transfer_functions\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"transfer_2d_functions\">\n"
"    <!-- ================================================================== -->\n"
"    <TransferFunction2DProxy class=\"vtkPVTransferFunction2D\"\n"
"                           name=\"TransferFunction2D\"\n"
"                           post_push=\"Build\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"AutomaticRescaleRangeMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"-1\" text=\"Never\"/>\n"
"          <Entry value=\"0\" text=\"Grow and update on 'Apply'\"/>\n"
"          <Entry value=\"1\" text=\"Grow and update every timestep\"/>\n"
"          <Entry value=\"2\" text=\"Update on 'Apply'\"/>\n"
"          <Entry value=\"3\" text=\"Clamp and update every timestep\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Choose whether and how to automatically rescale the color map range.\n"
"          \"Never\" means the color map range will never be changed.\n"
"          \"Grow and update on 'Apply'\" will expand the range to contain the\n"
"          union of the current range and the range of the current data source.\n"
"          \"Grow and update every timestep\" will expand the range to contain\n"
"          the union of the current range and the range of the current data source\n"
"          when the timestep is changed. \"Clamp and update every timestep\" will\n"
"          update the color map range to the current source data range.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty clean_command=\"RemoveAllBoxes\"\n"
"                            command=\"AddControlBox\"\n"
"                            name=\"Boxes\"\n"
"                            number_of_elements_per_command=\"8\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>\n"
"          Specify the box parameters for the 2D transfer function. These are\n"
"          a list of 8-tuples of the form (x, y, width, height, r, g, b, a) where\n"
"          (x, y) is the position i.e. the range-min of the box, (width, height)\n"
"          specify the dimensions of the box in the scalar units and (r, g, b, a)\n"
"          denote the color with maximum alpha of the box. The color and alpha\n"
"          components are in the range [0, 1].\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"ScalarRangeInitialized\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/utilities_remotingviews.xml
static const char* const paraview_server_managerutilities_remotingviewsInterface5 =
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\" >\n"
"        <Documentation>\n"
"          Set to 1 to indicate that the scalar range has been initialized.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRange\"\n"
"                         default_values=\"0.0 1.0 0.0 1.0\"\n"
"                         name=\"Range\"\n"
"                         number_of_elements=\"4\"\n"
"                         panel_visibility=\"never\" >\n"
"        <Documentation>\n"
"          The range of the X and Y axes of the transfer function. This is\n"
"          specified as a 4-tuple of the form (xmin, xmax, ymin, ymax).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetOutputDimensions\"\n"
"                         default_values=\"10 10\"\n"
"                         name=\"OutputDimensions\"\n"
"                         number_of_elements=\"2\"\n"
"                         panel_visibility=\"never\" >\n"
"        <Documentation>\n"
"          The dimensions of the image that represents this 2D transfer function.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Property command=\"Build\" name=\"Build\" panel_visibility=\"never\" />\n"
"    </TransferFunction2DProxy>\n"
"    <!-- end of \"transfer_2d_functions\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"piecewise_functions\">\n"
"    <!-- ================================================================== -->\n"
"    <TransferFunctionProxy class=\"vtkPiecewiseFunction\"\n"
"           name=\"PiecewiseFunction\"\n"
"           processes=\"client|renderserver|dataserver\">\n"
"      <DoubleVectorProperty clean_command=\"RemoveAllPoints\"\n"
"                            command=\"AddPoint\"\n"
"                            default_values=\"0.0 0.0 0.5 0.0 1.0 1.0 0.5 0.0\"\n"
"                            name=\"Points\"\n"
"                            number_of_elements=\"8\"\n"
"                            number_of_elements_per_command=\"4\"\n"
"                            repeat_command=\"1\"></DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetAllowDuplicateScalars\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AllowDuplicateScalars\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseLogScale\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseLogScale\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"ScalarRangeInitialized\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\" >\n"
"        <Documentation>\n"
"          Set to 1 to indicate that the scalar range has been initialized.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"    </TransferFunctionProxy>\n"
"\n"
"    <!-- end of \"piecewise_functions\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"annotations\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkContext2DScalarBarActor\"\n"
"           name=\"ScalarBarActor\" >\n"
"      <ProxyProperty command=\"SetLookupTable\"\n"
"                     name=\"LookupTable\"\n"
"                     number_of_elements=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"GetEstimatedNumberOfAnnotations\"\n"
"                         information_only=\"1\"\n"
"                         name=\"EstimatedNumberOfAnnotations\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetTitle\"\n"
"                            default_values=\"Name\"\n"
"                            no_custom_default=\"1\"\n"
"                            name=\"Title\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the title text with respect to the color legend.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            command=\"SetDataRangeMin\"\n"
"                            default_values=\"0\"\n"
"                            no_custom_default=\"1\"\n"
"                            name=\"DataRangeMin\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Documentation>Set the minimum range with respect to the displayed representations.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            command=\"SetDataRangeMax\"\n"
"                            default_values=\"0\"\n"
"                            no_custom_default=\"1\"\n"
"                            name=\"DataRangeMax\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Documentation>Set the maximum range with respect to the displayed representations.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetDrawDataRange\"\n"
"                         default_values=\"0\"\n"
"                         name=\"DrawDataRange\"\n"
"                         label=\"Draw Data Range Labels\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>Show labels with the visible data range for the arrays this color legend represents.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetComponentTitle\"\n"
"                            default_values=\"Component\"\n"
"                            no_custom_default=\"1\"\n"
"                            name=\"ComponentTitle\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the component title text with respect to the color legend.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetTitleJustification\"\n"
"                         default_values=\"1\"\n"
"                         name=\"TitleJustification\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Left\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Centered\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Right\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Set the justification of the title text with respect to the color legend.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetForceHorizontalTitle\"\n"
"                         default_values=\"0\"\n"
"                         name=\"HorizontalTitle\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When on, orients the title horizontally. When off (default), the title\n"
"          will be rotated counter-clockwise 90 degrees and lie parallel to the\n"
"          color bar.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetForceHorizontalTitle\"\n"
"                         default_values=\"0\"\n"
"                         name=\"HorizontalTitle2\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When on, orients the title horizontally. When off (default), the title\n"
"          will be rotated counter-clockwise 90 degrees and lie parallel to the\n"
"          color bar.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDrawBackground\"\n"
"                         name=\"DrawBackground\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable drawing a background behind the color legend.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            command=\"SetBackgroundColor\"\n"
"                            default_values=\"1 1 1 0.5\"\n"
"                            name=\"BackgroundColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"4\">\n"
"        <DoubleRangeDomain max=\"1 1 1 1\"\n"
"                           min=\"0 0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the color and opacity of the background behind the color legend.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"DrawBackground\" function=\"boolean\" index=\"0\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBackgroundPadding\"\n"
"                            default_values=\"2.0\"\n"
"                            name=\"BackgroundPadding\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\" />\n"
"        <Documentation>Set the amount of padding around the outermost elements of the\n"
"        color legend when the background is drawn.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"DrawBackground\" function=\"boolean\" index=\"0\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetScalarBarThickness\"\n"
"                         default_values=\"16\"\n"
"                         name=\"ScalarBarThickness\"\n"
"                         label=\"Color Bar Thickness\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Sets the width of the scalar bar when vertically oriented\n"
"          and the height when horizontally oriented.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScalarBarLength\"\n"
"                         default_values=\"0.33\"\n"
"                         name=\"ScalarBarLength\"\n"
"                         label=\"Color Bar Length\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Sets the length of the scalar bar. The length is defined as a\n"
"          fraction of window width or height when the color legend is\n"
"          horizontal or vertical, respectively.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetDrawScalarBarOutline\"\n"
"                         default_values=\"0\"\n"
"                         name=\"DrawScalarBarOutline\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Draws an outline around the scalar bar.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScalarBarOutlineColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"ScalarBarOutlineColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\">\n"
"        <Documentation>\n"
"          Color of the outline drawn around the scalar bar if it is shown.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"DrawScalarBarOutline\" function=\"boolean\" index=\"0\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetScalarBarOutlineThickness\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ScalarBarOutlineThickness\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the thickness, in pixels, of the outline drawn around the scalar bar.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"DrawScalarBarOutline\" function=\"boolean\" index=\"0\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetReverseLegend\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ReverseLegend\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When on, the color bar and all associated ticks and notations will be reversed,\n"
"          from high to low instead of low to high.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAutomaticLabelFormat\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AutomaticLabelFormat\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set if the number format used for the labels (specified as a C-style printf format string) will be automatically generated to make\n"
"          the numbers best fit within the widget. When off, the Label Format property will be used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetLabelFormat\"\n"
"                            default_values=\"%-#6.3g\"\n"
"                            name=\"LabelFormat\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"AutomaticLabelFormat\" function=\"boolean_invert\" index=\"0\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Set the number format (specified as a C-style printf format string) with which to print the labels on the color legend.\n"
"          Can be used only if Automatic Label Format is off.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/utilities_remotingviews.xml
static const char* const paraview_server_managerutilities_remotingviewsInterface6 =
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetDrawNanAnnotation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"DrawNanAnnotation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set whether the NaN annotation should be rendered or not.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetDrawAnnotations\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DrawAnnotations\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set whether text annotations should be rendered or not.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetAddRangeAnnotations\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AddRangeAnnotations\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether the data range endpoints (minimum and maximum) are added as annotations.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetAutomaticAnnotations\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AutomaticAnnotations\"\n"
"                         number_of_elements=\"1\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, annotations are automatically created according the number\n"
"          of colors shown on the scalar bar.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAddRangeLabels\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AddRangeLabels\"\n"
"                         label=\"Add Range Labels\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether to add range labels or not. These are labels that have\n"
"          the minimum/maximum values of the color legend range.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetRangeLabelFormat\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"%-#6.1e\"\n"
"                            name=\"RangeLabelFormat\"\n"
"                            label=\"Range Label Format\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"AddRangeLabels\" function=\"boolean\" index=\"0\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Set number format for range labels (specified as a C-style printf format string). Can be used only if Add Range Labels is enabled.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetDataRangeLabelFormat\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"%-#6.1e\"\n"
"                            name=\"DataRangeLabelFormat\"\n"
"                            label=\"Data Range Label Format\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"DrawDataRange\" function=\"boolean\" index=\"0\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Set number format for range labels (specified as a C-style printf format string). Can be used only if Add Range Labels is enabled.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetNanAnnotation\"\n"
"                            default_values=\"NaN\"\n"
"                            name=\"NanAnnotation\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"DrawNanAnnotation\" function=\"boolean\" index=\"0\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Set the annotation text for \"NaN\" values. Can be used only if Draw Nan Annotation is enabled.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetDrawTickMarks\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DrawTickMarks\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/disable drawing the color legend tick marks.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetDrawTickLabels\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DrawTickLabels\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/disable drawing the color legend labels for tick marks.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetUseCustomLabels\"\n"
"                         name=\"UseCustomLabels\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable the use of custom label values.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCustomLabel\"\n"
"                            name=\"CustomLabels\"\n"
"                            set_number_command=\"SetNumberOfCustomLabels\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\" >\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseCustomLabels\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetTextPosition\"\n"
"                         default_values=\"1\"\n"
"                         name=\"TextPosition\"\n"
"                         label=\"Tick and Annotation Positions\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Ticks right/top, annotations left/bottom\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Ticks left/bottom, annotations right/top\"\n"
"                 value=\"0\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Determines where the tick labels are drawn.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--label text property -->\n"
"      <SubProxy command=\"SetLabelTextProperty\">\n"
"        <Proxy name=\"LabelTextProperty\"\n"
"               proxygroup=\"properties\"\n"
"               proxyname=\"TextProperty\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"LabelColor\"\n"
"                    name=\"Color\" />\n"
"          <Property exposed_name=\"LabelOpacity\"\n"
"                    name=\"Opacity\" />\n"
"          <Property exposed_name=\"LabelFontFamily\"\n"
"                    name=\"FontFamily\" />\n"
"          <Property exposed_name=\"LabelFontFile\"\n"
"                    name=\"FontFile\" />\n"
"          <Property exposed_name=\"LabelBold\"\n"
"                    name=\"Bold\" />\n"
"          <Property exposed_name=\"LabelItalic\"\n"
"                    name=\"Italic\" />\n"
"          <Property exposed_name=\"LabelShadow\"\n"
"                    name=\"Shadow\" />\n"
"          <Property exposed_name=\"LabelFontSize\"\n"
"                    name=\"FontSize\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!--title text property -->\n"
"      <SubProxy command=\"SetTitleTextProperty\">\n"
"        <Proxy name=\"TitleTextProperty\"\n"
"               proxygroup=\"properties\"\n"
"               proxyname=\"TextProperty\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"TitleColor\"\n"
"                    name=\"Color\" />\n"
"          <Property exposed_name=\"TitleOpacity\"\n"
"                    name=\"Opacity\" />\n"
"          <Property exposed_name=\"TitleFontFamily\"\n"
"                    name=\"FontFamily\" />\n"
"          <Property exposed_name=\"TitleFontFile\"\n"
"                    name=\"FontFile\" />\n"
"          <Property exposed_name=\"TitleBold\"\n"
"                    name=\"Bold\" />\n"
"          <Property exposed_name=\"TitleItalic\"\n"
"                    name=\"Italic\" />\n"
"          <Property exposed_name=\"TitleShadow\"\n"
"                    name=\"Shadow\" />\n"
"          <Property exposed_name=\"TitleFontSize\"\n"
"                    name=\"FontSize\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkFlagpoleLabel\"\n"
"           name=\"FlagpoleLabel\"\n"
"           processes=\"client|dataserver|renderserver\"\n"
"           >\n"
"      <Documentation>FlagpoleLabel is a 3D representation for a text\n"
"     source.</Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"                         command=\"SetVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Show/hide the flagpole lable.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"BasePosition\"\n"
"                            command=\"SetBasePosition\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          The world coordinate position of the base of the flagpole.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"TopPosition\"\n"
"                            command=\"SetTopPosition\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0.0 1.0 0.0\"\n"
"                            >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          The world coordinate position of the top of the flagpole.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"FlagSize\"\n"
"                            command=\"SetFlagSize\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1.0\"\n"
"                            >\n"
"        <DoubleRangeDomain  min=\"0.001\" name=\"range\" />\n"
"        <Documentation>\n"
"          The size of the flag. 1.0 is the default size which corresponds to\n"
"          a preset texels/window value. Adjust this to increase or decrease\n"
"          the default size.The world coordinate position of the top of the\n"
"          flagpole.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <SubProxy command=\"SetTextProperty\">\n"
"        <Proxy name=\"TextProperty\"\n"
"               proxygroup=\"properties\"\n"
"               proxyname=\"TextProperty\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Color\"/>\n"
"          <Property name=\"Opacity\"/>\n"
"          <Property name=\"FontFamily\"/>\n"
"          <Property name=\"FontFile\"/>\n"
"          <Property name=\"Bold\"/>\n"
"          <Property name=\"Italic\"/>\n"
"          <Property name=\"Shadow\"/>\n"
"          <Property name=\"FontSize\"/>\n"
"          <Property name=\"Justification\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of FlagpoleLabel -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkBillboardTextActor3D\"\n"
"           name=\"BillboardTextActor3D\"\n"
"           processes=\"client|dataserver|renderserver\"\n"
"           >\n"
"      <Documentation>BillboardTextActor3D is a 3D representation for a text\n"
"     source.</Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"                         command=\"SetVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Show/hide the billboard text actor.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"BillboardPosition\"\n"
"                            command=\"SetPosition\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          The world coordinate position of the anchor point of the text billboard.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"DisplayOffset\"\n"
"                         command=\"SetDisplayOffset\"\n"
"                         number_of_elements=\"2\"\n"
"                         default_values=\"0 0\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Fixed offset from the anchor point in display coordinated to be used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy command=\"SetTextProperty\">\n"
"        <Proxy name=\"TextProperty\"\n"
"               proxygroup=\"properties\"\n"
"               proxyname=\"TextProperty\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Color\"/>\n"
"          <Property name=\"Opacity\"/>\n"
"          <Property name=\"FontFamily\"/>\n"
"          <Property name=\"FontFile\"/>\n"
"          <Property name=\"Bold\"/>\n"
"          <Property name=\"Italic\"/>\n"
"          <Property name=\"Shadow\"/>\n"
"          <Property name=\"FontSize\"/>\n"
"          <Property name=\"Justification\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of BillboardTextActor3D -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"GridAxes3DActor\"\n"
"           class=\"vtkPVGridAxes3DActor\"\n"
"           processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>\n"
"        GridAxes3DActor can be used to render a grid in a render view.\n"
"      </Documentation>\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"                         command=\"SetVisibility\"\n"
"                         number_of_elements=\"1\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/utilities_remotingviews.xml
static const char* const paraview_server_managerutilities_remotingviewsInterface7 =
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Show/hide the axes grid.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"XTitle\"\n"
"                            command=\"SetXTitle\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"X Axis\">\n"
"        <Documentation>\n"
"          Set the title string for X axis.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"YTitle\"\n"
"                            command=\"SetYTitle\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"Y Axis\">\n"
"        <Documentation>\n"
"          Set the title string for Y axis.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ZTitle\"\n"
"                            command=\"SetZTitle\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"Z Axis\">\n"
"        <Documentation>\n"
"          Set the title string for Z axis.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Title Texts\">\n"
"        <Property name=\"XTitle\"/>\n"
"        <Property name=\"YTitle\"/>\n"
"        <Property name=\"ZTitle\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetXTitleTextProperty\">\n"
"        <Proxy name=\"XTitleProperties\" proxygroup=\"properties\" proxyname=\"TextProperty\" />\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"XTitleColor\" name=\"Color\" />\n"
"          <Property exposed_name=\"XTitleOpacity\" name=\"Opacity\" />\n"
"          <Property exposed_name=\"XTitleFontFamily\" name=\"FontFamily\" />\n"
"          <Property exposed_name=\"XTitleFontFile\" name=\"FontFile\" />\n"
"          <Property exposed_name=\"XTitleBold\" name=\"Bold\" />\n"
"          <Property exposed_name=\"XTitleItalic\" name=\"Italic\" />\n"
"          <Property exposed_name=\"XTitleShadow\" name=\"Shadow\" />\n"
"          <Property exposed_name=\"XTitleFontSize\" name=\"FontSize\" default_values=\"12\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <PropertyGroup label=\"X Title Font Properties\" panel_widget=\"FontEditor\" panel_visibility=\"advanced\">\n"
"        <Property name=\"XTitleColor\" function=\"Color\"/>\n"
"        <Property name=\"XTitleFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"XTitleFontFile\" function=\"File\"/>\n"
"        <Property name=\"XTitleBold\" function=\"Bold\" />\n"
"        <Property name=\"XTitleItalic\" function=\"Italics\"/>\n"
"        <Property name=\"XTitleFontSize\" function=\"Size\" />\n"
"        <Property name=\"XTitleShadow\" function=\"Shadow\" />\n"
"        <Property name=\"XTitleOpacity\" function=\"Opacity\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetYTitleTextProperty\">\n"
"        <Proxy name=\"YTitleProperties\" proxygroup=\"properties\" proxyname=\"TextProperty\" />\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"YTitleColor\" name=\"Color\" />\n"
"          <Property exposed_name=\"YTitleOpacity\" name=\"Opacity\" />\n"
"          <Property exposed_name=\"YTitleFontFamily\" name=\"FontFamily\" />\n"
"          <Property exposed_name=\"YTitleFontFile\" name=\"FontFile\" />\n"
"          <Property exposed_name=\"YTitleBold\" name=\"Bold\" />\n"
"          <Property exposed_name=\"YTitleItalic\" name=\"Italic\" />\n"
"          <Property exposed_name=\"YTitleShadow\" name=\"Shadow\" />\n"
"          <Property exposed_name=\"YTitleFontSize\" name=\"FontSize\" default_values=\"12\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <PropertyGroup label=\"Y Title Font Properties\" panel_widget=\"FontEditor\" panel_visibility=\"advanced\">\n"
"        <Property name=\"YTitleColor\" function=\"Color\"/>\n"
"        <Property name=\"YTitleFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"YTitleFontFile\" function=\"File\"/>\n"
"        <Property name=\"YTitleBold\" function=\"Bold\" />\n"
"        <Property name=\"YTitleItalic\" function=\"Italics\"/>\n"
"        <Property name=\"YTitleFontSize\" function=\"Size\" />\n"
"        <Property name=\"YTitleShadow\" function=\"Shadow\" />\n"
"        <Property name=\"YTitleOpacity\" function=\"Opacity\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetZTitleTextProperty\">\n"
"        <Proxy name=\"ZTitleProperties\" proxygroup=\"properties\" proxyname=\"TextProperty\" />\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"ZTitleColor\" name=\"Color\" />\n"
"          <Property exposed_name=\"ZTitleOpacity\" name=\"Opacity\" />\n"
"          <Property exposed_name=\"ZTitleFontFamily\" name=\"FontFamily\" />\n"
"          <Property exposed_name=\"ZTitleFontFile\" name=\"FontFile\" />\n"
"          <Property exposed_name=\"ZTitleBold\" name=\"Bold\" />\n"
"          <Property exposed_name=\"ZTitleItalic\" name=\"Italic\" />\n"
"          <Property exposed_name=\"ZTitleShadow\" name=\"Shadow\" />\n"
"          <Property exposed_name=\"ZTitleFontSize\" name=\"FontSize\" default_values=\"12\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <PropertyGroup label=\"Z Title Font Properties\" panel_widget=\"FontEditor\" panel_visibility=\"advanced\">\n"
"        <Property name=\"ZTitleColor\" function=\"Color\"/>\n"
"        <Property name=\"ZTitleFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"ZTitleFontFile\" function=\"File\"/>\n"
"        <Property name=\"ZTitleBold\" function=\"Bold\" />\n"
"        <Property name=\"ZTitleItalic\" function=\"Italics\"/>\n"
"        <Property name=\"ZTitleFontSize\" function=\"Size\" />\n"
"        <Property name=\"ZTitleShadow\" function=\"Shadow\" />\n"
"        <Property name=\"ZTitleOpacity\" function=\"Opacity\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty name=\"FacesToRender\"\n"
"                         command=\"SetFaceMask\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"63\"\n"
"                         panel_widget=\"int_mask\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set the mask to select faces. The faces rendered will be a subset of the\n"
"          faces selected depending on the status of **CullBackface** and\n"
"          **CullFrontface** properties.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"0\" />\n"
"        <Hints>\n"
"          <Mask>\n"
"            <Item name=\"Min-YZ\" value=\"1\" />\n"
"            <Item name=\"Min-ZX\" value=\"2\" />\n"
"            <Item name=\"Min-XY\" value=\"4\" />\n"
"            <Item name=\"Max-YZ\" value=\"8\" />\n"
"            <Item name=\"Max-ZX\" value=\"16\" />\n"
"            <Item name=\"Max-XY\" value=\"32\" />\n"
"          </Mask>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy command=\"SetProperty\">\n"
"        <Proxy name=\"Property\" class=\"vtkProperty\" processes=\"client|dataserver|renderserver\" >\n"
"          <IntVectorProperty name=\"CullBackface\"\n"
"                             command=\"SetBackfaceCulling\"\n"
"                             number_of_elements=\"1\"\n"
"                             default_values=\"0\"\n"
"                             panel_visibility=\"advanced\">\n"
"            <BooleanDomain name=\"bool\" />\n"
"            <Documentation>\n"
"              Set to true to hide faces of the grid facing away from the camera i.e. hide all\n"
"              back faces.\n"
"            </Documentation>\n"
"          </IntVectorProperty>\n"
"\n"
"          <IntVectorProperty name=\"CullFrontface\"\n"
"                             command=\"SetFrontfaceCulling\"\n"
"                             number_of_elements=\"1\"\n"
"                             default_values=\"1\"\n"
"                             panel_visibility=\"advanced\">\n"
"            <BooleanDomain name=\"bool\" />\n"
"            <Documentation>\n"
"              Set to true to hide faces of the grid facing towards from the camera i.e. hide all\n"
"              front faces.\n"
"            </Documentation>\n"
"          </IntVectorProperty>\n"
"\n"
"          <IntVectorProperty name=\"Representation\"\n"
"                             command=\"SetRepresentation\"\n"
"                             number_of_elements=\"1\"\n"
"                             default_values=\"1\">\n"
"          </IntVectorProperty>\n"
"\n"
"          <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                                name=\"GridColor\"\n"
"                                command=\"SetColor\"\n"
"                                number_of_elements=\"3\"\n"
"                                panel_widget=\"color_selector\">\n"
"            <DoubleRangeDomain max=\"1 1 1\" min=\"0 0 0\" name=\"range\" />\n"
"            <Documentation>Color used when coloring the grid wireframe</Documentation>\n"
"            <Hints>\n"
"              <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"ForegroundColor\"\n"
"                unlink_if_modified=\"1\" />\n"
"            </Hints>\n"
"          </DoubleVectorProperty>\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"CullBackface\" panel_visibility=\"advanced\"/>\n"
"          <Property name=\"CullFrontface\" panel_visibility=\"advanced\"/>\n"
"          <Property name=\"GridColor\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <PropertyGroup label=\"Face Properties\">\n"
"        <Property name=\"FacesToRender\" />\n"
"        <Property name=\"CullBackface\" />\n"
"        <Property name=\"CullFrontface\" />\n"
"        <Property name=\"GridColor\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty name=\"ShowGrid\"\n"
"                         command=\"SetGenerateGrid\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Turn off to not render the plane grids.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ShowEdges\"\n"
"                         command=\"SetGenerateEdges\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Turn off to not render the plane edges.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ShowTicks\"\n"
"                         command=\"SetGenerateTicks\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Turn off to not render the tick marks.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AxesToLabel\"\n"
"                         command=\"SetLabelMask\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"63\"\n"
"                         panel_widget=\"int_mask\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set the mask to select the axes to label. The axes labelled will be a subset of the\n"
"          axes selected depending on which faces are also being rendered.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"0\" />\n"
"        <Hints>\n"
"          <Mask>\n"
"            <Item name=\"Min-X\" value=\"1\" />\n"
"            <Item name=\"Min-Y\" value=\"2\" />\n"
"            <Item name=\"Min-Z\" value=\"4\" />\n"
"            <Item name=\"Max-X\" value=\"8\" />\n"
"            <Item name=\"Max-Y\" value=\"16\" />\n"
"            <Item name=\"Max-Z\" value=\"32\" />\n"
"          </Mask>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LabelUniqueEdgesOnly\"\n"
"                         command=\"SetLabelUniqueEdgesOnly\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set to true to only label edges shared with 1 face. Note that\n"
"          if all faces are being rendered, this will generate no labels.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Label Properties\">\n"
"        <Property name=\"LabelUniqueEdgesOnly\" />\n"
"        <Property name=\"AxesToLabel\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetXLabelTextProperty\">\n"
"        <Proxy name=\"XLabelProperties\" proxygroup=\"properties\" proxyname=\"TextProperty\" />\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"XLabelColor\" name=\"Color\" />\n"
"          <Property exposed_name=\"XLabelOpacity\" name=\"Opacity\" />\n"
"          <Property exposed_name=\"XLabelFontFamily\" name=\"FontFamily\" />\n"
"          <Property exposed_name=\"XLabelFontFile\" name=\"FontFile\" />\n"
"          <Property exposed_name=\"XLabelBold\" name=\"Bold\" />\n"
"          <Property exposed_name=\"XLabelItalic\" name=\"Italic\" />\n"
"          <Property exposed_name=\"XLabelShadow\" name=\"Shadow\" />\n"
"          <Property exposed_name=\"XLabelFontSize\" name=\"FontSize\" default_values=\"12\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <PropertyGroup label=\"X Axis Label Font Properties\" panel_widget=\"FontEditor\" panel_visibility=\"advanced\">\n"
"        <Property name=\"XLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"XLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"XLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"XLabelBold\" function=\"Bold\" />\n"
"        <Property name=\"XLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"XLabelFontSize\" function=\"Size\" />\n"
"        <Property name=\"XLabelShadow\" function=\"Shadow\" />\n"
"        <Property name=\"XLabelOpacity\" function=\"Opacity\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetYLabelTextProperty\">\n"
"        <Proxy name=\"YLabelProperties\" proxygroup=\"properties\" proxyname=\"TextProperty\" />\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"YLabelColor\" name=\"Color\" />\n"
"          <Property exposed_name=\"YLabelOpacity\" name=\"Opacity\" />\n"
"          <Property exposed_name=\"YLabelFontFamily\" name=\"FontFamily\" />\n"
"          <Property exposed_name=\"YLabelFontFile\" name=\"FontFile\" />\n"
"          <Property exposed_name=\"YLabelBold\" name=\"Bold\" />\n"
"          <Property exposed_name=\"YLabelItalic\" name=\"Italic\" />\n"
"          <Property exposed_name=\"YLabelShadow\" name=\"Shadow\" />\n"
"          <Property exposed_name=\"YLabelFontSize\" name=\"FontSize\" default_values=\"12\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <PropertyGroup label=\"Y Axis Label Font Properties\" panel_widget=\"FontEditor\" panel_visibility=\"advanced\">\n"
"        <Property name=\"YLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"YLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"YLabelFontFile\" function=\"File\"/>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/utilities_remotingviews.xml
static const char* const paraview_server_managerutilities_remotingviewsInterface8 =
"        <Property name=\"YLabelBold\" function=\"Bold\" />\n"
"        <Property name=\"YLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"YLabelFontSize\" function=\"Size\" />\n"
"        <Property name=\"YLabelShadow\" function=\"Shadow\" />\n"
"        <Property name=\"YLabelOpacity\" function=\"Opacity\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetZLabelTextProperty\">\n"
"        <Proxy name=\"ZLabelProperties\" proxygroup=\"properties\" proxyname=\"TextProperty\" />\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"ZLabelColor\" name=\"Color\" />\n"
"          <Property exposed_name=\"ZLabelOpacity\" name=\"Opacity\" />\n"
"          <Property exposed_name=\"ZLabelFontFamily\" name=\"FontFamily\" />\n"
"          <Property exposed_name=\"ZLabelFontFile\" name=\"FontFile\" />\n"
"          <Property exposed_name=\"ZLabelBold\" name=\"Bold\" />\n"
"          <Property exposed_name=\"ZLabelItalic\" name=\"Italic\" />\n"
"          <Property exposed_name=\"ZLabelShadow\" name=\"Shadow\" />\n"
"          <Property exposed_name=\"ZLabelFontSize\" name=\"FontSize\" default_values=\"12\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <PropertyGroup label=\"Z Axis Label Font Properties\" panel_widget=\"FontEditor\" panel_visibility=\"advanced\">\n"
"        <Property name=\"ZLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"ZLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"ZLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"ZLabelBold\" function=\"Bold\" />\n"
"        <Property name=\"ZLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"ZLabelFontSize\" function=\"Size\" />\n"
"        <Property name=\"ZLabelShadow\" function=\"Shadow\" />\n"
"        <Property name=\"ZLabelOpacity\" function=\"Opacity\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty name=\"XAxisNotation\"\n"
"                         command=\"SetXNotation\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Get/set the numerical notation, standard, scientific or mixed (0, 1, 2) for X Axis.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\" value=\"0\" />\n"
"          <Entry text=\"Scientific\" value=\"1\" />\n"
"          <Entry text=\"Fixed\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetXPrecision\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"XAxisPrecision\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"        <Documentation>\n"
"          Get/set the numerical precision to use for the X Axis, default is 2.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetXUseCustomLabels\"\n"
"                         default_values=\"0\"\n"
"                         name=\"XAxisUseCustomLabels\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether to use custom labels for the X axis. Labels\n"
"          specified by **XAxisLabels** are used only when\n"
"          this flag is set to 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"XAxisLabels\"\n"
"                            command=\"SetXLabel\"\n"
"                            set_number_command=\"SetNumberOfXLabels\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\" >\n"
"        <!-- used to trigger the display pqScalarValueListPropertyWidget -->\n"
"        <ArrayRangeDomain name=\"scalar_range\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"XAxisUseCustomLabels\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"X Axis Label Properties\">\n"
"        <Property name=\"XAxisNotation\" />\n"
"        <Property name=\"XAxisPrecision\" />\n"
"        <Property name=\"XAxisUseCustomLabels\" />\n"
"        <Property name=\"XAxisLabels\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty name=\"YAxisNotation\"\n"
"                         command=\"SetYNotation\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Get/set the numerical notation, standard, scientific or mixed (0, 1, 2) for Y Axis.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\" value=\"0\" />\n"
"          <Entry text=\"Scientific\" value=\"1\" />\n"
"          <Entry text=\"Fixed\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetYPrecision\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"YAxisPrecision\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"        <Documentation>\n"
"          Get/set the numerical precision to use for the Y Axis, default is 2.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetYUseCustomLabels\"\n"
"                         default_values=\"0\"\n"
"                         name=\"YAxisUseCustomLabels\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether to use custom labels for the Y axis. Labels\n"
"          specified by **YAxisLabels** are used only when\n"
"          this flag is set to 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetYLabel\"\n"
"                            set_number_command=\"SetNumberOfYLabels\"\n"
"                            name=\"YAxisLabels\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\">\n"
"        <!-- used to trigger the display pqScalarValueListPropertyWidget -->\n"
"        <ArrayRangeDomain name=\"scalar_range\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"YAxisUseCustomLabels\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Y Axis Label Properties\">\n"
"        <Property name=\"YAxisNotation\" />\n"
"        <Property name=\"YAxisPrecision\" />\n"
"        <Property name=\"YAxisUseCustomLabels\" />\n"
"        <Property name=\"YAxisLabels\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty name=\"ZAxisNotation\"\n"
"                         command=\"SetZNotation\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Get/set the numerical notation, standard, scientific or mixed (0, 1, 2) for Z Axis.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\" value=\"0\" />\n"
"          <Entry text=\"Scientific\" value=\"1\" />\n"
"          <Entry text=\"Fixed\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetZPrecision\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"ZAxisPrecision\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"        <Documentation>\n"
"          Get/set the numerical precision to use for the Z Axis, default is 2.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetZUseCustomLabels\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ZAxisUseCustomLabels\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether to use custom labels for the Z axis. Labels\n"
"          specified by **ZAxisLabels** are used only when\n"
"          this flag is set to 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetZLabel\"\n"
"                            set_number_command=\"SetNumberOfZLabels\"\n"
"                            name=\"ZAxisLabels\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\" >\n"
"        <!-- used to trigger the display pqScalarValueListPropertyWidget -->\n"
"        <ArrayRangeDomain name=\"scalar_range\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"ZAxisUseCustomLabels\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Z Axis Label Properties\">\n"
"        <Property name=\"ZAxisNotation\" />\n"
"        <Property name=\"ZAxisPrecision\" />\n"
"        <Property name=\"ZAxisUseCustomLabels\" />\n"
"        <Property name=\"ZAxisLabels\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty name=\"UseCustomBounds\"\n"
"                         command=\"SetUseCustomTransformedBounds\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If set, the axes will use explicitly specified bounds rather than using the bounds\n"
"          computed from datasets currently visible in the view.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"CustomBounds\"\n"
"                            command=\"SetCustomTransformedBounds\"\n"
"                            number_of_elements=\"6\"\n"
"                            default_values=\"0 1 0 1 0 1 0 1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Specify the explicit bounds to use when **UseCustomBounds** is checked.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- show only when UseCustomBounds is true -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"UseCustomBounds\"\n"
"                                   value=\"1\"/>\n"
"          <DoubleVectorPropertyWidget>\n"
"            <!-- add buttons to reset using active bounds -->\n"
"            <Button type=\"use_active_source_bounds\" />\n"
"          </DoubleVectorPropertyWidget>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"DataScale\"\n"
"                            command=\"SetDataScale\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"1 1 1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          If data is being scaled, you can show the original data bounds for the axes\n"
"          instead of the scaled bounds by setting the DataScale to match the scaling applied\n"
"          to the dataset.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"UseModelTransform\"\n"
"                                   value=\"0\"/>\n"
"          <!-- disable this when UseModelTransform is true -->\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"DataPosition\"\n"
"                            command=\"SetDataPosition\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0 0 0\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          If data is being translated, you can show the original data bounds for the axes\n"
"          instead of the translated bounds by setting the DataPosition to match the\n"
"          translation applied to the dataset.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"UseModelTransform\"\n"
"                                   value=\"0\"/>\n"
"          <!-- disable this when UseModelTransform is true -->\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"DataBoundsScaleFactor\"\n"
"                            command=\"SetDataBoundsScaleFactor\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1.0008\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"2\"/>\n"
"        <Documentation>\n"
"          After the data bounds have been computed, this property enables to scale the\n"
"          bounds used to generate the axes grid, so it will be slightly larger than the\n"
"          data bounds.\n"
"          Data bounds are not modified, only the aspect of the AxesGrid is modified.\n"
"          The default value (1.0008) ensures that there is no concident lines drawn when\n"
"          zooming close enough to the model.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"UseModelTransform\"\n"
"                                   value=\"0\"/>\n"
"          <!-- disable this when UseModelTransform is true -->\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Bounds\">\n"
"        <Property name=\"UseCustomBounds\" />\n"
"        <Property name=\"CustomBounds\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Data Transform\">\n"
"        <Property name=\"DataScale\" />\n"
"        <Property name=\"DataPosition\" />\n"
"        <Property name=\"DataBoundsScaleFactor\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <DoubleVectorProperty name=\"ModelTransformMatrix\"\n"
"                            command=\"SetModelTransformMatrix\"\n"
"                            number_of_elements=\"16\"\n"
"                            default_values=\"1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1\"\n"
"                            argument_is_array=\"1\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/utilities_remotingviews.xml
static const char* const paraview_server_managerutilities_remotingviewsInterface9 =
"                            panel_visibility=\"never\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"ModelBounds\"\n"
"                            command=\"SetModelBounds\"\n"
"                            number_of_elements=\"6\"\n"
"                            default_values=\"0 1 0 1 0 1\"\n"
"                            panel_visibility=\"never\">\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"UseModelTransform\"\n"
"                         command=\"SetUseModelTransform\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of 'GridAxes3DActor' -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- End of ProxyGroup annotations -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"misc\">\n"
"    <!-- ================================================================== -->\n"
"    <ViewLayoutProxy name=\"ViewLayout\"\n"
"                     class=\"vtkViewLayout\"\n"
"                     processes=\"client|renderserver\">\n"
"      <Documentation>Proxy used to manage layout for multiple views.</Documentation>\n"
"      <IntVectorProperty name=\"PreviewMode\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0 0\">\n"
"        <Documentation>\n"
"          Set the target resolution for the preview mode to display,\n"
"          [0, 0] is interpreted as exiting preview.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"SeparatorWidth\"\n"
"        command=\"SetSeparatorWidth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"10\" />\n"
"        <Documentation>\n"
"          The width of the separator (in pixels) to be displayed in preview mode.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"SeparatorColor\"\n"
"        command=\"SetSeparatorColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.937 0.922 0.906\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"        <Documentation>\n"
"          The color of the separator to be displayed in preview mode.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </ViewLayoutProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPVRayCastPickingHelper\"\n"
"           name=\"PickingHelper\"\n"
"           processes=\"dataserver\">\n"
"      <Documentation>Proxy used to pick a point of a surface\n"
"      mesh.</Documentation>\n"
"      <DoubleVectorProperty command=\"SetPointA\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"PointA\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPointB\"\n"
"                            default_values=\"0.0 0.0 1.0\"\n"
"                            name=\"PointB\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetSnapOnMeshPoint\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SnapOnMeshPoint\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetIntersection\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"Intersection\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetIntersectionNormal\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"IntersectionNormal\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <Property command=\"ComputeIntersection\"\n"
"                name=\"Update\"></Property>\n"
"      <ProxyProperty command=\"SetInput\"\n"
"                     name=\"Input\">\n"
"        <Documentation>The input from which the selection is\n"
"        extracted.</Documentation>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetSelection\"\n"
"                     name=\"Selection\">\n"
"        <Documentation>The selection that is used to reduced the\n"
"        input.</Documentation>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SaveScreenshotProxy name=\"SaveScreenshotBase\" processes=\"client\">\n"
"      <Documentation>\n"
"        Proxy used to save screenshots from view(s) or layouts.\n"
"      </Documentation>\n"
"      <ProxyProperty name=\"Layout\" panel_visibility=\"never\" />\n"
"      <ProxyProperty name=\"View\" panel_visibility=\"never\" />\n"
"\n"
"      <IntVectorProperty name=\"SaveAllViews\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, all views in the active layout will be saved in the image.\n"
"          Otherwise only the active view will be saved.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ImageResolution\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"none\"\n"
"        panel_widget=\"view_resolution\" >\n"
"        <ViewResolutionDomain name=\"range\" default_mode=\"max\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"SaveAllViews\" function=\"UseLayout\" />\n"
"            <Property name=\"Layout\"       function=\"Layout\" />\n"
"            <Property name=\"View\"         function=\"View\" />\n"
"          </RequiredProperties>\n"
"        </ViewResolutionDomain>\n"
"        <Documentation>\n"
"          Choose the image resolution in pixels.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FontScaling\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Scale fonts proportionally\" />\n"
"          <Entry value=\"1\" text=\"Do not scale fonts\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Select how fonts are to be scaled when saving images at different\n"
"          resolution than the current size.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SeparatorWidth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"10\" />\n"
"        <Documentation>\n"
"          Specify the width of border (in pixels) to use around views when\n"
"          **Save All Views** is checked.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"SaveAllViews\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"SeparatorColor\"\n"
"        number_of_elements=\"3\"\n"
"       default_values=\"0.937 0.922 0.906\"\n"
"        panel_widget=\"color_selector_with_palette\"\n"
"        panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"        <Documentation>\n"
"          Select the separator color.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"SaveAllViews\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"OverrideColorPalette\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\"\n"
"        panel_widget=\"color_palette_selector\" >\n"
"        <StringListDomain name=\"list\" />\n"
"        <Documentation>\n"
"          Choose the color palette to load before saving the image.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"StereoMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"-1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Select a stereo mode, as needed.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"No change\" value=\"-1\" />\n"
"          <Entry text=\"No stereo\" value=\"0\" />\n"
"          <Entry text=\"Red-Blue\" value=\"2\" />\n"
"          <Entry text=\"Interlaced\" value=\"3\" />\n"
"          <Entry text=\"Left Eye Only\" value=\"4\" />\n"
"          <Entry text=\"Right Eye Only\" value=\"5\" />\n"
"          <Entry text=\"Both Eyes\" value=\"11\" />\n"
"          <Entry text=\"Dresden\" value=\"6\" />\n"
"          <Entry text=\"Anaglyph\" value=\"7\" />\n"
"          <Entry text=\"Checkerboard\" value=\"8\" />\n"
"          <Entry text=\"Side-by-Side Horizontal\" value=\"9\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"TransparentBackground\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"           Set whether to use a transparent background.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </SaveScreenshotProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SaveScreenshotProxy name=\"SaveScreenshot\" processes=\"client\"\n"
"      label=\"Save Screenshot\"\n"
"      base_proxygroup=\"misc\"\n"
"      base_proxyname=\"SaveScreenshotBase\">\n"
"      <Documentation>\n"
"        Proxy used to save screenshots from view(s) or layouts.\n"
"      </Documentation>\n"
"      <ProxyProperty name=\"Format\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"screenshot_writers\" />\n"
"        </ProxyListDomain>\n"
"        <Hints>\n"
"          <ProxySelectionWidget enabled=\"0\" />\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"\n"
"      <!-- FIXME:: deprecated\n"
"      <IntVectorProperty name=\"ImageQuality\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"100\"\n"
"        panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"100\" />\n"
"        <Documentation>\n"
"          Specify output image quality (or compression), if applicable.\n"
"          **0** - low quality, **100** - high quality.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      -->\n"
"\n"
"      <PropertyGroup label=\"Size and Scaling\">\n"
"        <Property name=\"SaveAllViews\" />\n"
"        <Property name=\"ImageResolution\" />\n"
"        <Property name=\"FontScaling\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Separator Options\" >\n"
"        <Property name=\"SeparatorWidth\" />\n"
"        <Property name=\"SeparatorColor\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Coloring\">\n"
"        <Property name=\"OverrideColorPalette\" />\n"
"        <Property name=\"StereoMode\" />\n"
"        <Property name=\"TransparentBackground\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Image Options\">\n"
"        <Property name=\"Format\" />\n"
"      </PropertyGroup>\n"
"    </SaveScreenshotProxy>\n"
"\n"
"    <!-- end of \"misc\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"screenshot_writers\">\n"
"    <Documentation>\n"
"      This group includes all writers which can be used to write screenshots in ParaView.\n"
"    </Documentation>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"PNG\" class=\"vtkPNGWriter\" processes=\"client|dataserver\">\n"
"      <Documentation>\n"
"        Writer for saving screenshots as PNG files.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\" command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\"\n"
"        panel_visibility=\"never\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CompressionLevel\"\n"
"        command=\"SetCompressionLevel\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5\">\n"
"        <Documentation>\n"
"          Specify the *zlib* compression level. **0** is no compression, while **9** is\n"
"          maximum compression.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"0\" value=\"0\" info=\"no compression\" />\n"
"          <Entry text=\"1\" value=\"1\" />\n"
"          <Entry text=\"2\" value=\"2\" />\n"
"          <Entry text=\"3\" value=\"3\" />\n"
"          <Entry text=\"4\" value=\"4\" />\n"
"          <Entry text=\"5\" value=\"5\" />\n"
"          <Entry text=\"6\" value=\"6\" />\n"
"          <Entry text=\"7\" value=\"7\" />\n"
"          <Entry text=\"8\" value=\"8\" />\n"
"          <Entry text=\"9\" value=\"9\" info=\"Maximum compression\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty\n"
"        name=\"MetaData\"\n"
"        command=\"AddText\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 2\"\n"
"        repeat_command=\"1\"\n"
"        clean_command=\"ClearText\"\n"
"        default_values_delimiter=\";\"\n"
"        default_values=\"Application;ParaView\"\n"
"        number_of_elements=\"2\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          This property enables adding meta data as text chunks to the output\n"
"          PNG file in the form of text key/value pairs.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <FormatOptions extensions=\"png\"\n"
"          file_description=\"PNG images\" />\n"
"      </Hints>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"JPEG\" class=\"vtkJPEGWriter\" processes=\"client|dataserver\">\n"
"      <Documentation>\n"
"        Writer for saving screenshots as JPEG files.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\" command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\"\n"
"        panel_visibility=\"never\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Quality\"\n"
"        command=\"SetQuality\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"95\">\n"
"        <Documentation>\n"
"          Specify the JPEG compression quality. **O** is low quality (maximum compression)\n"
"          and **100** is high quality (least compression).\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"100\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"Progressive\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/utilities_remotingviews.xml
static const char* const paraview_server_managerutilities_remotingviewsInterface10 =
"        command=\"SetProgressive\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Save progressive JPEG.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <FormatOptions extensions=\"jpeg jpg\"\n"
"          file_description=\"JPEG images\" />\n"
"      </Hints>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"TIFF\" class=\"vtkTIFFWriter\" processes=\"client|dataserver\">\n"
"      <Documentation>\n"
"        Writer for saving screenshots as TIFF files.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\" command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\"\n"
"        panel_visibility=\"never\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Compression\"\n"
"        command=\"SetCompression\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <Documentation>\n"
"          Specify compression type.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\" />\n"
"          <Entry text=\"PackBits\" value=\"1\" />\n"
"          <Entry text=\"Deflate\" value=\"3\" />\n"
"          <!--\n"
"               JPEG is disabled since it raised errors about color space when\n"
"               using it.\n"
"\n"
"               LZW is disabled since its not available (as per docs in vtkTIFFWriter\n"
"          -->\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <FormatOptions extensions=\"tiff tif\"\n"
"          file_description=\"TIFF images\" />\n"
"      </Hints>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"BMP\" class=\"vtkBMPWriter\" processes=\"client|dataserver\">\n"
"      <Documentation>\n"
"        Writer for saving screenshots as BMP files.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\" command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\"\n"
"        panel_visibility=\"never\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <FormatOptions extensions=\"bmp\"\n"
"          file_description=\"Bitmap images\" />\n"
"      </Hints>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"VTK\" class=\"vtkGenericDataObjectWriter\" processes=\"client|dataserver\">\n"
"      <Documentation>\n"
"        Writer for saving screenshots as VTK files.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\" command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\"\n"
"        panel_visibility=\"never\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FileType\"\n"
"        command=\"SetFileType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\">\n"
"        <Documentation>\n"
"          Specify the file type (ASCII or Binary).\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"ASCII\" value=\"1\" />\n"
"          <Entry text=\"Binary\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <FormatOptions extensions=\"vtk\"\n"
"          file_description=\"VTK images\" />\n"
"      </Hints>\n"
"\n"
"    </Proxy>\n"
"\n"
"    <!-- end of \"screenshot_writers\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerutilities_remotingviewsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerutilities_remotingviewsInterface0);
  const size_t len1 = strlen(paraview_server_managerutilities_remotingviewsInterface1);
  const size_t len2 = strlen(paraview_server_managerutilities_remotingviewsInterface2);
  const size_t len3 = strlen(paraview_server_managerutilities_remotingviewsInterface3);
  const size_t len4 = strlen(paraview_server_managerutilities_remotingviewsInterface4);
  const size_t len5 = strlen(paraview_server_managerutilities_remotingviewsInterface5);
  const size_t len6 = strlen(paraview_server_managerutilities_remotingviewsInterface6);
  const size_t len7 = strlen(paraview_server_managerutilities_remotingviewsInterface7);
  const size_t len8 = strlen(paraview_server_managerutilities_remotingviewsInterface8);
  const size_t len9 = strlen(paraview_server_managerutilities_remotingviewsInterface9);
  const size_t len10 = strlen(paraview_server_managerutilities_remotingviewsInterface10);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4
    + len5
    + len6
    + len7
    + len8
    + len9
    + len10 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerutilities_remotingviewsInterface0, paraview_server_managerutilities_remotingviewsInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerutilities_remotingviewsInterface1, paraview_server_managerutilities_remotingviewsInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerutilities_remotingviewsInterface2, paraview_server_managerutilities_remotingviewsInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerutilities_remotingviewsInterface3, paraview_server_managerutilities_remotingviewsInterface3 + len3, res + offset); offset += len3;
  std::copy(paraview_server_managerutilities_remotingviewsInterface4, paraview_server_managerutilities_remotingviewsInterface4 + len4, res + offset); offset += len4;
  std::copy(paraview_server_managerutilities_remotingviewsInterface5, paraview_server_managerutilities_remotingviewsInterface5 + len5, res + offset); offset += len5;
  std::copy(paraview_server_managerutilities_remotingviewsInterface6, paraview_server_managerutilities_remotingviewsInterface6 + len6, res + offset); offset += len6;
  std::copy(paraview_server_managerutilities_remotingviewsInterface7, paraview_server_managerutilities_remotingviewsInterface7 + len7, res + offset); offset += len7;
  std::copy(paraview_server_managerutilities_remotingviewsInterface8, paraview_server_managerutilities_remotingviewsInterface8 + len8, res + offset); offset += len8;
  std::copy(paraview_server_managerutilities_remotingviewsInterface9, paraview_server_managerutilities_remotingviewsInterface9 + len9, res + offset); offset += len9;
  std::copy(paraview_server_managerutilities_remotingviewsInterface10, paraview_server_managerutilities_remotingviewsInterface10 + len10, res + offset); offset += len10;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- ******************************************************************** -->\n"
"  <ProxyGroup name=\"delivery_managers\">\n"
"    <DataDeliveryManagerProxy name=\"RenderViewDeliveryManager\" class=\"vtkPVRenderViewDataDeliveryManager\">\n"
"    </DataDeliveryManagerProxy>\n"
"    <DataDeliveryManagerProxy name=\"ContextViewDeliveryManager\" class=\"vtkPVContextViewDataDeliveryManager\">\n"
"    </DataDeliveryManagerProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"internal_views\">\n"
"    <!-- ================================================================== -->\n"
"\n"
"    <Proxy name=\"ViewBase\"\n"
"           processes=\"client|renderserver|dataserver\">\n"
"      <DoubleVectorProperty command=\"SetViewTime\"\n"
"                            default_values=\"none\"\n"
"                            name=\"ViewTime\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            state_ignored=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The pipeline update time for this view. This gets passed\n"
"        to all representations added to this view.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            name=\"CacheKey\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            state_ignored=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This is the cache key used to identify which cache\n"
"        entry to use for rendering when caching is enabled.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseCache\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseCache\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\"\n"
"                         state_ignored=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Indicates whether to use cache for subsequent\n"
"        renderings.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPosition\"\n"
"                         default_values=\"0 0\"\n"
"                         name=\"ViewPosition\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"2\"\n"
"                         is_internal=\"1\">\n"
"        <!-- ViewPosition is \"internal\" since vtkSMViewLayoutProxy typically\n"
"             sets it up. -->\n"
"        <Documentation>Set the position on this view in the multiview\n"
"        configuration.</Documentation>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSize\"\n"
"                         default_values=\"400 400\"\n"
"                         ignore_synchronization=\"1\"\n"
"                         name=\"ViewSize\"\n"
"                         number_of_elements=\"2\"\n"
"                         panel_visibility=\"never\"\n"
"                         state_ignored=\"1\"\n"
"                         no_custom_default=\"1\">\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>Set the size of this view in the multiview\n"
"        configuration.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"AddRepresentation\"\n"
"                     name=\"Representations\"\n"
"                     remove_command=\"RemoveRepresentation\"\n"
"                     repeatable=\"1\">\n"
"        <Documentation>Representations in this view.</Documentation>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"SetPPI\"\n"
"                         default_values=\"72\"\n"
"                         name=\"PPI\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <Documentation>Set the screen ppi (pixels per inch). This is used\n"
"                       when mapping font sizes in points to screen pixels.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"GeneralSettings\"\n"
"                        property=\"ScreenPixelsPerInch\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy base_proxygroup=\"internal_views\"\n"
"           base_proxyname=\"ViewBase\"\n"
"           class=\"vtkPVXYChartView\"\n"
"           name=\"XYChartViewTitle\"\n"
"           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>This is the base proxy for XY chart views.</Documentation>\n"
"\n"
"      <SubProxy command=\"SetDeliveryManager\">\n"
"        <Proxy name=\"DeliveryManager\"\n"
"          proxygroup=\"delivery_managers\"\n"
"          proxyname=\"ContextViewDeliveryManager\"/>\n"
"      </SubProxy>\n"
"\n"
"      <StringVectorProperty command=\"SetTitle\"\n"
"                            name=\"ChartTitle\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Documentation>\n"
"          Set the title to use for the chart. Use {time} to display the current time.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PlaceholderText>Use {time} to display current time</PlaceholderText>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetTitleAlignment\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ChartTitleAlignment\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Left\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Center\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Right\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetTitleFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"ChartTitleFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the chart title font family.</Documentation>\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetTitleFontFile\"\n"
"                            name=\"ChartTitleFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Documentation>Set the chart title font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetTitleFontSize\"\n"
"                            default_values=\"18\"\n"
"                            name=\"ChartTitleFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the chart title font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTitleBold\"\n"
"                            default_values=\"0\"\n"
"                            name=\"ChartTitleBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the chart title bold.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTitleItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"ChartTitleItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the chart title bold.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTitleColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"ChartTitleColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Title\">\n"
"        <Property name=\"ChartTitle\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Chart Title Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"ChartTitleColor\" function=\"Color\"/>\n"
"        <Property name=\"ChartTitleFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"ChartTitleFontFile\" function=\"File\"/>\n"
"        <Property name=\"ChartTitleBold\" function=\"Bold\" />\n"
"        <Property name=\"ChartTitleItalic\" function=\"Italics\"/>\n"
"        <Property name=\"ChartTitleFontSize\" function=\"Size\" />\n"
"        <Property name=\"ChartTitleAlignment\" function=\"Justification\" />\n"
"      </PropertyGroup>\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy base_proxygroup=\"internal_views\"\n"
"                      base_proxyname=\"XYChartViewTitle\"\n"
"                      name=\"XYChartViewBase\"\n"
"                      processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>This is the base proxy for XY chart views.</Documentation>\n"
"      <IntVectorProperty command=\"SetLegendVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ShowLegend\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLegendLocation\"\n"
"                         default_values=\"1\"\n"
"                         name=\"LegendLocation\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"TopLeft\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"TopRight\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"BottomRight\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"BottomLeft\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Left\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Top\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Right\"\n"
"                 value=\"6\" />\n"
"          <Entry text=\"Bottom\"\n"
"                 value=\"7\" />\n"
"         <Entry text=\"Custom\"\n"
"                 value=\"8\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLegendSymbolWidth\"\n"
"                         default_values=\"25\"\n"
"                         name=\"LegendSymbolWidth\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Set the legend symbol width.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSortByXAxis\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SortByXAxis\"\n"
"                         label=\"Sort By X-Axis\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Sort the chart data by the x-axis before deciding line plot connectivity.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLegendPosition\"\n"
"                         default_values=\"0 0\"\n"
"                         name=\"LegendPosition\"\n"
"                         panel_visibility=\"default\"\n"
"                         number_of_elements=\"2\">\n"
"        <Documentation>Set the legend position in the view for\n"
"          custom location.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"LegendLocation\"\n"
"                                   value=\"8\" />\n"
"          <!-- show this widget when LegendLocation==8 (ie.Custom) -->\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetLegendFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"LegendFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Set the legend font familyname.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetLegendFontFile\"\n"
"                            default_values=\"\"\n"
"                            name=\"LegendFontFile\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the legend font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetLegendFontSize\"\n"
"                            default_values=\"12\"\n"
"                            name=\"LegendFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the legend font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLegendBold\"\n"
"                            default_values=\"0\"\n"
"                            name=\"LegendBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the legend font bold.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLegendItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"LegendItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the legend font italic.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTooltipNotation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"TooltipNotation\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scientific\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Fixed\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTooltipPrecision\"\n"
"                         default_values=\"6\"\n"
"                         name=\"TooltipPrecision\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"0\" name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"HideTimeMarker\"\n"
"                         command=\"SetHideTimeMarker\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface1 =
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Hide the marker that is used to mark the current time, when one of the axes is\n"
"          plotting time.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Legend Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"LegendFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"LegendFontFile\" function=\"File\"/>\n"
"        <Property name=\"LegendBold\" function=\"Bold\" />\n"
"        <Property name=\"LegendItalic\" function=\"Italics\"/>\n"
"        <Property name=\"LegendFontSize\" function=\"Size\" />\n"
"        <!-- next properties are not available -->\n"
"        <!-- <Property name=\"LegendColor\" function=\"Color\"/> -->\n"
"        <!-- <Property name=\"LegendOpacity\" function=\"Opacity\"/> -->\n"
"        <!-- <Property name=\"LegendShadow\" function=\"Shadow\" /> -->\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Annotation\">\n"
"        <Property name=\"ShowLegend\"/>\n"
"        <Property name=\"LegendLocation\"/>\n"
"        <Property name=\"LegendPosition\"/>\n"
"        <Property name=\"HideTimeMarker\"/>\n"
"        <Property name=\"LegendSymbolWidth\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Tooltip\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"TooltipNotation\"/>\n"
"        <Property name=\"TooltipPrecision\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- left axis -->\n"
"      <!-- title -->\n"
"      <StringVectorProperty command=\"SetLeftAxisTitle\"\n"
"                            name=\"LeftAxisTitle\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\"/>\n"
"      <IntVectorProperty command=\"SetLeftGridVisibility\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"ShowLeftAxisGrid\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLeftGridColor\"\n"
"                            default_values=\"0.95 0.95 0.95\"\n"
"                            name=\"LeftAxisGridColor\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLeftAxisColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"LeftAxisColor\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetLeftAxisTitleFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"LeftAxisTitleFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Set the axis title font familyname.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetLeftAxisTitleFontFile\"\n"
"                            name=\"LeftAxisTitleFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Documentation>Set the axis title font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetLeftAxisTitleFontSize\"\n"
"                            default_values=\"18\"\n"
"                            name=\"LeftAxisTitleFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis title font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLeftAxisTitleBold\"\n"
"                            default_values=\"1\"\n"
"                            name=\"LeftAxisTitleBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title font bold.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLeftAxisTitleItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"LeftAxisTitleItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title font italic.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLeftAxisTitleColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"LeftAxisTitleColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- range -->\n"
"      <IntVectorProperty command=\"SetLeftAxisLogScale\"\n"
"                         default_values=\"0\"\n"
"                         name=\"LeftAxisLogScale\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLeftAxisUseCustomRange\"\n"
"                         default_values=\"0\"\n"
"                         name=\"LeftAxisUseCustomRange\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether to use the axis range specified or whether the view\n"
"          should compute the ranges automatically based on the data being shown.\n"
"          The ranges specified by ...AxisRange are only respected when the\n"
"          corresponding flag in this property is set to 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLeftAxisRangeMinimum\"\n"
"                            default_values=\"0\"\n"
"                            name=\"LeftAxisRangeMinimum\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis range minimum for the Left axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"LeftAxisUseCustomRange\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLeftAxisRangeMaximum\"\n"
"                            default_values=\"1\"\n"
"                            name=\"LeftAxisRangeMaximum\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis range maximum for the Left axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"LeftAxisUseCustomRange\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- labels -->\n"
"      <IntVectorProperty command=\"SetLeftAxisLabelVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ShowLeftAxisLabels\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLeftAxisLabelNotation\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"LeftAxisLabelNotation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scientific\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Fixed\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLeftAxisLabelPrecision\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"LeftAxisLabelPrecision\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLeftAxisUseCustomLabels\"\n"
"                            default_values=\"0\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            name=\"LeftAxisUseCustomLabels\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether to use custom labels for each of the axis. Labels\n"
"          specified by ...AxisLabels etc. are used only when\n"
"          the corresponding AxisUseCustomLabels flag is set to 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"LeftAxisLabels\"\n"
"                            command=\"SetLeftAxisLabels\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            animateable=\"1\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\"\n"
"                            set_number_command=\"SetLeftAxisLabelsNumber\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"LeftAxisUseCustomLabels\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specify list of ticks and the associated labels to display. If the label is empty,\n"
"          the value of the tick will be used for display.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetLeftAxisLabelFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"LeftAxisLabelFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Set the axis title font familyname.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetLeftAxisLabelFontFile\"\n"
"                            name=\"LeftAxisLabelFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Documentation>Set the axis title font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetLeftAxisLabelFontSize\"\n"
"                            default_values=\"12\"\n"
"                            name=\"LeftAxisLabelFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis title font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLeftAxisLabelBold\"\n"
"                            default_values=\"0\"\n"
"                            name=\"LeftAxisLabelBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title bold.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLeftAxisLabelItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"LeftAxisLabelItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title italic.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLeftAxisLabelColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"LeftAxisLabelColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Left Axis\">\n"
"        <Property name=\"LeftAxisTitle\"/>\n"
"        <Property name=\"ShowLeftAxisGrid\"/>\n"
"        <Property name=\"LeftAxisGridColor\"/>\n"
"        <Property name=\"LeftAxisColor\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Left Axis Title Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"LeftAxisTitleColor\" function=\"Color\"/>\n"
"        <Property name=\"LeftAxisTitleFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"LeftAxisTitleFontFile\" function=\"File\"/>\n"
"        <Property name=\"LeftAxisTitleBold\" function=\"Bold\" />\n"
"        <Property name=\"LeftAxisTitleItalic\" function=\"Italics\"/>\n"
"        <Property name=\"LeftAxisTitleFontSize\" function=\"Size\" />\n"
"        <!-- next properties are not available -->\n"
"        <!-- <Property name=\"LeftAxisTitleOpacity\" function=\"Opacity\"/> -->\n"
"        <!-- <Property name=\"LeftAxisTitleShadow\" function=\"Shadow\" /> -->\n"
"      </PropertyGroup>\n"
"\n"
"     <PropertyGroup label=\"Left Axis Range\">\n"
"       <Property name=\"LeftAxisLogScale\"/>\n"
"       <Property name=\"LeftAxisUseCustomRange\"/>\n"
"       <Property name=\"LeftAxisRangeMinimum\"/>\n"
"       <Property name=\"LeftAxisRangeMaximum\"/>\n"
"     </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Left Axis Labels\">\n"
"        <Property name=\"ShowLeftAxisLabels\"/>\n"
"        <Property name=\"LeftAxisLabelNotation\"/>\n"
"        <Property name=\"LeftAxisLabelPrecision\"/>\n"
"        <Property name=\"LeftAxisUseCustomLabels\"/>\n"
"        <Property name=\"LeftAxisLabels\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Left Axis Label Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"LeftAxisLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"LeftAxisLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"LeftAxisLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"LeftAxisLabelBold\" function=\"Bold\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface2 =
"        <Property name=\"LeftAxisLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"LeftAxisLabelFontSize\" function=\"Size\" />\n"
"        <!-- next properties are not available -->\n"
"        <!-- <Property name=\"LeftAxisLabelOpacity\" function=\"Opacity\"/> -->\n"
"        <!-- <Property name=\"LeftAxisLabelShadow\" function=\"Shadow\" /> -->\n"
"      </PropertyGroup>\n"
"      <!-- end left axis -->\n"
"\n"
"      <!-- bottom axis -->\n"
"      <!-- title -->\n"
"      <StringVectorProperty command=\"SetBottomAxisTitle\"\n"
"                            name=\"BottomAxisTitle\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\"/>\n"
"      <IntVectorProperty command=\"SetBottomGridVisibility\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"ShowBottomAxisGrid\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBottomGridColor\"\n"
"                            default_values=\"0.95 0.95 0.95\"\n"
"                            name=\"BottomAxisGridColor\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBottomAxisColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"BottomAxisColor\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetBottomAxisTitleFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"BottomAxisTitleFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Set the axis title font familyname.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetBottomAxisTitleFontFile\"\n"
"                            name=\"BottomAxisTitleFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Documentation>Set the axis title font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetBottomAxisTitleFontSize\"\n"
"                            default_values=\"18\"\n"
"                            name=\"BottomAxisTitleFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis title font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBottomAxisTitleBold\"\n"
"                            default_values=\"1\"\n"
"                            name=\"BottomAxisTitleBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title font bold.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBottomAxisTitleItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"BottomAxisTitleItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title font italic.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBottomAxisTitleColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"BottomAxisTitleColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- range -->\n"
"      <IntVectorProperty command=\"SetBottomAxisLogScale\"\n"
"                         default_values=\"0\"\n"
"                         name=\"BottomAxisLogScale\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBottomAxisUseCustomRange\"\n"
"                         default_values=\"0\"\n"
"                         name=\"BottomAxisUseCustomRange\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether to use the axis range specified or whether the view\n"
"          should compute the ranges automatically based on the data being shown.\n"
"          The ranges specified by ...AxisRange are only respected when the\n"
"          corresponding flag in this property is set to 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBottomAxisRangeMinimum\"\n"
"                            default_values=\"0\"\n"
"                            name=\"BottomAxisRangeMinimum\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis range minimum for the Bottom axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"BottomAxisUseCustomRange\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBottomAxisRangeMaximum\"\n"
"                            default_values=\"1\"\n"
"                            name=\"BottomAxisRangeMaximum\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis range maximum for the Bottom axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"BottomAxisUseCustomRange\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- labels -->\n"
"      <IntVectorProperty command=\"SetBottomAxisLabelVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ShowBottomAxisLabels\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBottomAxisLabelNotation\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"BottomAxisLabelNotation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scientific\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Fixed\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBottomAxisLabelPrecision\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"BottomAxisLabelPrecision\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBottomAxisUseCustomLabels\"\n"
"                            default_values=\"0\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            name=\"BottomAxisUseCustomLabels\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether to use custom labels for each of the axis. Labels\n"
"          specified by ...AxisLabels etc. are used only when\n"
"          the corresponding AxisUseCustomLabels flag is set to 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetBottomAxisLabels\"\n"
"                            name=\"BottomAxisLabels\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            animateable=\"1\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\"\n"
"                            set_number_command=\"SetBottomAxisLabelsNumber\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"BottomAxisUseCustomLabels\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specify list of ticks and the associated labels to display. If the label is empty,\n"
"          the value of the tick will be used for display.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetBottomAxisLabelFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"BottomAxisLabelFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Set the axis title font familyname.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetBottomAxisLabelFontFile\"\n"
"                            name=\"BottomAxisLabelFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Documentation>Set the axis title font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetBottomAxisLabelFontSize\"\n"
"                            default_values=\"12\"\n"
"                            name=\"BottomAxisLabelFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis title font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBottomAxisLabelBold\"\n"
"                            default_values=\"0\"\n"
"                            name=\"BottomAxisLabelBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title bold.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBottomAxisLabelItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"BottomAxisLabelItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title italic.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBottomAxisLabelColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"BottomAxisLabelColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Bottom Axis\">\n"
"        <Property name=\"BottomAxisTitle\"/>\n"
"        <Property name=\"ShowBottomAxisGrid\"/>\n"
"        <Property name=\"BottomAxisGridColor\"/>\n"
"        <Property name=\"BottomAxisColor\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Bottom Axis Title Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"BottomAxisTitleColor\" function=\"Color\"/>\n"
"        <Property name=\"BottomAxisTitleFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"BottomAxisTitleFontFile\" function=\"File\"/>\n"
"        <Property name=\"BottomAxisTitleBold\" function=\"Bold\" />\n"
"        <Property name=\"BottomAxisTitleItalic\" function=\"Italics\"/>\n"
"        <Property name=\"BottomAxisTitleFontSize\" function=\"Size\" />\n"
"        <!-- next properties are not available -->\n"
"        <!-- <Property name=\"BottomAxisTitleOpacity\" function=\"Opacity\"/> -->\n"
"        <!-- <Property name=\"BottomAxisTitleShadow\" function=\"Shadow\" /> -->\n"
"      </PropertyGroup>\n"
"\n"
"     <PropertyGroup label=\"Bottom Axis Range\">\n"
"       <Property name=\"BottomAxisLogScale\"/>\n"
"       <Property name=\"BottomAxisUseCustomRange\"/>\n"
"       <Property name=\"BottomAxisRangeMinimum\"/>\n"
"       <Property name=\"BottomAxisRangeMaximum\"/>\n"
"     </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Bottom Axis Labels\">\n"
"        <Property name=\"ShowBottomAxisLabels\"/>\n"
"        <Property name=\"BottomAxisLabelNotation\"/>\n"
"        <Property name=\"BottomAxisLabelPrecision\"/>\n"
"        <Property name=\"BottomAxisUseCustomLabels\"/>\n"
"        <Property name=\"BottomAxisLabels\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Bottom Axis Label Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"BottomAxisLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"BottomAxisLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"BottomAxisLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"BottomAxisLabelBold\" function=\"Bold\" />\n"
"        <Property name=\"BottomAxisLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"BottomAxisLabelFontSize\" function=\"Size\" />\n"
"        <!-- next properties are not available -->\n"
"        <!-- <Property name=\"BottomAxisLabelOpacity\" function=\"Opacity\"/> -->\n"
"        <!-- <Property name=\"BottomAxisLabelShadow\" function=\"Shadow\" /> -->\n"
"      </PropertyGroup>\n"
"      <!-- end bottom axis -->\n"
"      <ProxyProperty command=\"AddRepresentation\"\n"
"                     is_internal=\"1\"\n"
"                     name=\"HiddenRepresentations\"\n"
"                     remove_command=\"RemoveRepresentation\"\n"
"                     repeatable=\"1\">\n"
"        <Documentation>\n"
"          This property is meant for adding/removing\n"
"          representation secretly. e.g. 2D widgets etc. This property is not\n"
"          saved in states nor it recorded by undo-redo.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"\n"
"    </ContextViewProxy>\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy base_proxygroup=\"internal_views\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface3 =
"                      base_proxyname=\"XYChartViewBase\"\n"
"                      class=\"vtkPVXYChartView\"\n"
"                      name=\"XYChartViewBase4Axes\"\n"
"                      processes=\"client|renderserver|dataserver\">\n"
"\n"
"      <Documentation>This is the base proxy for XY chart views with\n"
"      four axis: left, bottom, right and top</Documentation>\n"
"\n"
"      <!-- right axis -->\n"
"      <!-- title -->\n"
"      <StringVectorProperty command=\"SetRightAxisTitle\"\n"
"                            name=\"RightAxisTitle\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\"\n"
"                            panel_visibility=\"advanced\" />\n"
"      <IntVectorProperty command=\"SetRightGridVisibility\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"ShowRightAxisGrid\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRightGridColor\"\n"
"                            default_values=\"0.95 0.95 0.95\"\n"
"                            name=\"RightAxisGridColor\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRightAxisColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"RightAxisColor\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetRightAxisTitleFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"RightAxisTitleFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Set the axis title font familyname.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetRightAxisTitleFontFile\"\n"
"                            default_values=\"\"\n"
"                            name=\"RightAxisTitleFontFile\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis title font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetRightAxisTitleFontSize\"\n"
"                            default_values=\"18\"\n"
"                            name=\"RightAxisTitleFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis title font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRightAxisTitleBold\"\n"
"                            default_values=\"1\"\n"
"                            name=\"RightAxisTitleBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title font bold.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRightAxisTitleItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"RightAxisTitleItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title font italic.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRightAxisTitleColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"RightAxisTitleColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- range -->\n"
"      <IntVectorProperty command=\"SetRightAxisLogScale\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RightAxisLogScale\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRightAxisUseCustomRange\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RightAxisUseCustomRange\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether to use the axis range specified or whether the view\n"
"          should compute the ranges automatically based on the data being shown.\n"
"          The ranges specified by ...AxisRange are only respected when the\n"
"          corresponding flag in this property is set to 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRightAxisRangeMinimum\"\n"
"                            default_values=\"0\"\n"
"                            name=\"RightAxisRangeMinimum\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the axis range minimum for the Right axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"RightAxisUseCustomRange\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRightAxisRangeMaximum\"\n"
"                            default_values=\"1\"\n"
"                            name=\"RightAxisRangeMaximum\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the axis range maximum for the Right axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"RightAxisUseCustomRange\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- labels -->\n"
"      <IntVectorProperty command=\"SetRightAxisLabelVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ShowRightAxisLabels\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRightAxisLabelNotation\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"RightAxisLabelNotation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scientific\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Fixed\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRightAxisLabelPrecision\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"RightAxisLabelPrecision\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRightAxisUseCustomLabels\"\n"
"                            default_values=\"0\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            name=\"RightAxisUseCustomLabels\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether to use custom labels for each of the axis. Labels\n"
"          specified by ...AxisLabels etc. are used only when\n"
"          the corresponding AxisUseCustomLabels flag is set to 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetRightAxisLabels\"\n"
"                            name=\"RightAxisLabels\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            animateable=\"1\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\"\n"
"                            set_number_command=\"SetRightAxisLabelsNumber\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"RightAxisUseCustomLabels\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specify list of ticks and the associated labels to display. If the label is empty,\n"
"          the value of the tick will be used for display.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetRightAxisLabelFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"RightAxisLabelFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Set the axis title font familyname.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetRightAxisLabelFontFile\"\n"
"                            name=\"RightAxisLabelFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Documentation>Set the axis title font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetRightAxisLabelFontSize\"\n"
"                            default_values=\"12\"\n"
"                            name=\"RightAxisLabelFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis title font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRightAxisLabelBold\"\n"
"                            default_values=\"0\"\n"
"                            name=\"RightAxisLabelBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title bold.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRightAxisLabelItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"RightAxisLabelItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title italic.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRightAxisLabelColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"RightAxisLabelColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Right Axis\">\n"
"        <Property name=\"RightAxisTitle\"/>\n"
"        <Property name=\"ShowRightAxisGrid\"/>\n"
"        <Property name=\"RightAxisGridColor\"/>\n"
"        <Property name=\"RightAxisColor\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Right Axis Title Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"RightAxisTitleColor\" function=\"Color\"/>\n"
"        <Property name=\"RightAxisTitleFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"RightAxisTitleFontFile\" function=\"File\"/>\n"
"        <Property name=\"RightAxisTitleBold\" function=\"Bold\" />\n"
"        <Property name=\"RightAxisTitleItalic\" function=\"Italics\"/>\n"
"        <Property name=\"RightAxisTitleFontSize\" function=\"Size\" />\n"
"        <!-- next properties are not available -->\n"
"        <!-- <Property name=\"RightAxisTitleOpacity\" function=\"Opacity\"/> -->\n"
"        <!-- <Property name=\"RightAxisTitleShadow\" function=\"Shadow\" /> -->\n"
"      </PropertyGroup>\n"
"\n"
"     <PropertyGroup label=\"Right Axis Range\">\n"
"       <Property name=\"RightAxisLogScale\"/>\n"
"       <Property name=\"RightAxisUseCustomRange\"/>\n"
"       <Property name=\"RightAxisRangeMinimum\"/>\n"
"       <Property name=\"RightAxisRangeMaximum\"/>\n"
"     </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Right Axis Labels\">\n"
"        <Property name=\"ShowRightAxisLabels\"/>\n"
"        <Property name=\"RightAxisLabelNotation\"/>\n"
"        <Property name=\"RightAxisLabelPrecision\"/>\n"
"        <Property name=\"RightAxisUseCustomLabels\"/>\n"
"        <Property name=\"RightAxisLabels\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Right Axis Label Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"RightAxisLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"RightAxisLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"RightAxisLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"RightAxisLabelBold\" function=\"Bold\" />\n"
"        <Property name=\"RightAxisLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"RightAxisLabelFontSize\" function=\"Size\" />\n"
"        <!-- next properties are not available -->\n"
"        <!-- <Property name=\"RightAxisLabelOpacity\" function=\"Opacity\"/> -->\n"
"        <!-- <Property name=\"RightAxisLabelShadow\" function=\"Shadow\" /> -->\n"
"      </PropertyGroup>\n"
"      <!-- end right axis -->\n"
"\n"
"      <!-- top axis -->\n"
"      <!-- title -->\n"
"      <StringVectorProperty command=\"SetTopAxisTitle\"\n"
"                            name=\"TopAxisTitle\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\"\n"
"                            panel_visibility=\"advanced\"/>\n"
"      <IntVectorProperty command=\"SetTopGridVisibility\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"ShowTopAxisGrid\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface4 =
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTopGridColor\"\n"
"                            default_values=\"0.95 0.95 0.95\"\n"
"                            name=\"TopAxisGridColor\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTopAxisColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"TopAxisColor\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetTopAxisTitleFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"TopAxisTitleFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Set the axis title font familyname.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetTopAxisTitleFontFile\"\n"
"                            name=\"TopAxisTitleFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Documentation>Set the axis title font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetTopAxisTitleFontSize\"\n"
"                            default_values=\"18\"\n"
"                            name=\"TopAxisTitleFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis title font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTopAxisTitleBold\"\n"
"                            default_values=\"1\"\n"
"                            name=\"TopAxisTitleBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title font bold.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTopAxisTitleItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"TopAxisTitleItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title font italic.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTopAxisTitleColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"TopAxisTitleColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- range -->\n"
"      <IntVectorProperty command=\"SetTopAxisLogScale\"\n"
"                         default_values=\"0\"\n"
"                         name=\"TopAxisLogScale\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTopAxisUseCustomRange\"\n"
"                         default_values=\"0\"\n"
"                         name=\"TopAxisUseCustomRange\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether to use the axis range specified or whether the view\n"
"          should compute the ranges automatically based on the data being shown.\n"
"          The ranges specified by ...AxisRange, are only respected when the\n"
"          corresponding flag in this property is set to 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTopAxisRangeMinimum\"\n"
"                            default_values=\"0\"\n"
"                            name=\"TopAxisRangeMinimum\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the axis range minimum for the Top axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"TopAxisUseCustomRange\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTopAxisRangeMaximum\"\n"
"                            default_values=\"1\"\n"
"                            name=\"TopAxisRangeMaximum\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the axis range maximum for the Top axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"TopAxisUseCustomRange\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- labels -->\n"
"      <IntVectorProperty command=\"SetTopAxisLabelVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ShowTopAxisLabels\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTopAxisLabelNotation\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"TopAxisLabelNotation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scientific\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Fixed\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTopAxisLabelPrecision\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"TopAxisLabelPrecision\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTopAxisUseCustomLabels\"\n"
"                            default_values=\"0\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            name=\"TopAxisUseCustomLabels\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether to use custom labels for each of the axis. Labels\n"
"          specified by ...AxisLabels are used only when\n"
"          the corresponding AxisUseCustomLabels flag is set to 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetTopAxisLabels\"\n"
"                            name=\"TopAxisLabels\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            animateable=\"1\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\"\n"
"                            set_number_command=\"SetTopAxisLabelsNumber\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"TopAxisUseCustomLabels\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specify list of ticks and the associated labels to display. If the label is empty,\n"
"          the value of the tick will be used for display.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetTopAxisLabelFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"TopAxisLabelFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Set the axis title font familyname.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetTopAxisLabelFontFile\"\n"
"                            name=\"TopAxisLabelFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Documentation>Set the axis title font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetTopAxisLabelFontSize\"\n"
"                            default_values=\"12\"\n"
"                            name=\"TopAxisLabelFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis title font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTopAxisLabelBold\"\n"
"                            default_values=\"0\"\n"
"                            name=\"TopAxisLabelBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title bold.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTopAxisLabelItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"TopAxisLabelItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title italic.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTopAxisLabelColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"TopAxisLabelColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Top Axis\">\n"
"        <Property name=\"TopAxisTitle\"/>\n"
"        <Property name=\"ShowTopAxisGrid\"/>\n"
"        <Property name=\"TopAxisGridColor\"/>\n"
"        <Property name=\"TopAxisColor\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Top Axis Title Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"TopAxisTitleColor\" function=\"Color\"/>\n"
"        <Property name=\"TopAxisTitleFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"TopAxisTitleFontFile\" function=\"File\"/>\n"
"        <Property name=\"TopAxisTitleBold\" function=\"Bold\" />\n"
"        <Property name=\"TopAxisTitleItalic\" function=\"Italics\"/>\n"
"        <Property name=\"TopAxisTitleFontSize\" function=\"Size\" />\n"
"        <!-- next properties are not available -->\n"
"        <!-- <Property name=\"TopAxisTitleOpacity\" function=\"Opacity\"/> -->\n"
"        <!-- <Property name=\"TopAxisTitleShadow\" function=\"Shadow\" /> -->\n"
"      </PropertyGroup>\n"
"\n"
"     <PropertyGroup label=\"Top Axis Range\">\n"
"       <Property name=\"TopAxisLogScale\"/>\n"
"       <Property name=\"TopAxisUseCustomRange\"/>\n"
"       <Property name=\"TopAxisRangeMinimum\"/>\n"
"       <Property name=\"TopAxisRangeMaximum\"/>\n"
"     </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Top Axis Labels\">\n"
"        <Property name=\"ShowTopAxisLabels\"/>\n"
"        <Property name=\"TopAxisLabelNotation\"/>\n"
"        <Property name=\"TopAxisLabelPrecision\"/>\n"
"        <Property name=\"TopAxisUseCustomLabels\"/>\n"
"        <Property name=\"TopAxisLabels\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Top Axis Label Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"TopAxisLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"TopAxisLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"TopAxisLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"TopAxisLabelBold\" function=\"Bold\" />\n"
"        <Property name=\"TopAxisLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"TopAxisLabelFontSize\" function=\"Size\" />\n"
"        <!-- next properties are not available -->\n"
"        <!-- <Property name=\"TopAxisLabelOpacity\" function=\"Opacity\"/> -->\n"
"        <!-- <Property name=\"TopAxisLabelShadow\" function=\"Shadow\" /> -->\n"
"      </PropertyGroup>\n"
"      <!-- end top axis -->\n"
"    </ContextViewProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"ComparativeViewBase\">\n"
"      <DoubleVectorProperty command=\"SetViewTime\"\n"
"                            default_values=\"none\"\n"
"                            name=\"ViewTime\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            state_ignored=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The pipeline update time for this view. This gets passed\n"
"        to all representations added to this view.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"none\"\n"
"                            name=\"CacheKey\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            state_ignored=\"1\"\n"
"                            is_internal=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This is the cache key used to identify which cache\n"
"        entry to use for rendering when caching is enabled.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"UseCache\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\"\n"
"                         state_ignored=\"1\"\n"
"                         is_internal=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Indicates whether to use cache for subsequent\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface5 =
"        renderings.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetViewPosition\"\n"
"                         default_values=\"0 0\"\n"
"                         name=\"ViewPosition\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"2\">\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>Set the position on this view in the multiview\n"
"        configuration.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetViewSize\"\n"
"                         default_values=\"400 400\"\n"
"                         ignore_synchronization=\"1\"\n"
"                         name=\"ViewSize\"\n"
"                         number_of_elements=\"2\"\n"
"                         panel_visibility=\"never\"\n"
"                         state_ignored=\"1\">\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>Set the size of this view in the multiview\n"
"        configuration.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"Build\"\n"
"                         default_values=\"2 2\"\n"
"                         name=\"Dimensions\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"2\">\n"
"        <IntRangeDomain max=\"10 10\"\n"
"                        min=\"1 1\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOverlayAllComparisons\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OverlayAllComparisons\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSpacing\"\n"
"                         default_values=\"1 1\"\n"
"                         name=\"Spacing\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"2\">\n"
"        <IntRangeDomain max=\"10 10\"\n"
"                        min=\"0 0\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty argument_type=\"SMProxy\"\n"
"                     command=\"AddRepresentation\"\n"
"                     name=\"Representations\"\n"
"                     remove_command=\"RemoveRepresentation\"\n"
"                     repeatable=\"1\">\n"
"        <Documentation>Representations in this view.</Documentation>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty argument_type=\"SMProxy\"\n"
"                     command=\"AddCue\"\n"
"                     name=\"Cues\"\n"
"                     remove_command=\"RemoveCue\">\n"
"        <Documentation>Animation cues for changing parameters.</Documentation>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ******************************************************************** -->\n"
"  <ProxyGroup name=\"views\">\n"
"    <!-- ================================================================== -->\n"
"    <RenderViewProxy base_proxygroup=\"internal_views\"\n"
"                     base_proxyname=\"ViewBase\"\n"
"                     class=\"vtkPVRenderView\"\n"
"                     name=\"RenderView\"\n"
"                     label=\"Render View\"\n"
"                     processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>View proxy for a 3D interactive render\n"
"      view.</Documentation>\n"
"      <IntVectorProperty command=\"SetShowAnnotation\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         name=\"ShowAnnotation\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether to see annotation providing advanced debugging and performance\n"
"          information about each render.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"ShowAnnotation\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAnnotationColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"AnnotationColor\"\n"
"                            panel_widget=\"color_selector_with_palette\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"3\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"TextAnnotationColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseInteractiveRenderingForScreenshots\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseInteractiveRenderingForScreenshots\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set whether InteractiveRender() should be used during\n"
"        CaptureWindow calls. Default is to use StillRender().</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInteractionMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InteractionMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\"\n"
"                         state_ignored=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"3D\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"2D\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Selection\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetStillRenderImageReductionFactor\"\n"
"                         default_values=\"1\"\n"
"                         name=\"StillRenderImageReductionFactor\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"20\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Get/Set the reduction-factor to use when for\n"
"        StillRender(). This is typically set to 1, but in some cases with\n"
"        terrible connectivity or really large displays, one may want to use a\n"
"        sub-sampled image even for StillRender(). This is set it number of\n"
"        pixels to be sub-sampled by. Note that image reduction factors have no\n"
"        effect when in built-in mode.</Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"StillRenderImageReductionFactor\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"100.0\"\n"
"                            name=\"CollectGeometryThreshold\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>DEPRECATED: Simply set UseOutlineForLODRendering flag to\n"
"        true, and whenever LOD rendering is employed, we rendering outlines, is\n"
"        possible.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetInteractiveRenderImageReductionFactor\"\n"
"                         default_values=\"2\"\n"
"                         name=\"ImageReductionFactor\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"20\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Get/Set the reduction-factor to use when for\n"
"        InteractiveRender(). This is set it number of pixels to be sub-sampled\n"
"        by. Note that image reduction factors have no effect when in built-in\n"
"        mode.</Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"ImageReductionFactor\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSuppressRendering\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SuppressRendering\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set to true, this will suppress rendering\n"
"        into a window yet still perform all the updates that normally\n"
"        happen as a part of rendering.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRemoteRenderingThreshold\"\n"
"                            default_values=\"20.0\"\n"
"                            ignore_synchronization=\"1\"\n"
"                            name=\"RemoteRenderThreshold\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The threshold used to determine if the compositing\n"
"        should be used for rendering. The value is rendering-geometry size in\n"
"        MBs.</Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"RemoteRenderThreshold\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLODRenderingThreshold\"\n"
"                            default_values=\"5\"\n"
"                            name=\"LODThreshold\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the memory size threshold above which LOD will be\n"
"        used while rendering interactively. The value is rendering-geometry\n"
"        size in MBs.</Documentation>\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"LODThreshold\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLODResolution\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"LODResolution\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the LOD resolution. 0 implies lowest level or\n"
"        detail, while 1 implies maximum level of detail.</Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"LODResolution\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseOutlineForLODRendering\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseOutlineForLODRendering\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set to true, this overrides the LODResolution. In\n"
"        that case, when using LOD for rendering, if possible, the data is\n"
"        rendered as outlines.</Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"UseOutlineForLODRendering\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"ConfigureCompressor\"\n"
"                            default_values=\"vtkLZ4Compressor 0 3\"\n"
"                            name=\"CompressorConfig\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Used to configure the image compression used for\n"
"        client-server image transfer when doing interactive\n"
"        renders.</Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"CompressorConfig\"/>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"AxesGrid\"\n"
"                     command=\"SetGridAxes3DActor\"\n"
"                     panel_widget=\"proxy_editor\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"annotations\" name=\"GridAxes3DActor\" />\n"
"        </ProxyListDomain>\n"
"        <Hints>\n"
"          <ProxyEditorPropertyWidget property=\"Visibility\">\n"
"            <!-- tell pqProxyEditorPropertyWidget that use the \"Visibility\"\n"
"                 property on the GridAxes3DActor proxy for a checkbox\n"
"                 on the UI -->\n"
"          </ProxyEditorPropertyWidget>\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"\n"
"      <!-- Center and Orientation Axes -->\n"
"      <IntVectorProperty command=\"SetCenterAxesVisibility\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CenterAxesVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Toggle the visibility of the axes showing the center of\n"
"        rotation in the scene.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOrientationAxesVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"OrientationAxesVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Toggle the visibility of the axes showing the\n"
"        viewing direction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOrientationAxesInteractivity\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"OrientationAxesInteractivity\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Allows repositioning of the orientation\n"
"        axes.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientationAxesLabelColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"OrientationAxesLabelColor\"\n"
"                            panel_widget=\"color_selector_with_palette\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"3\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"TextAnnotationColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface6 =
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientationAxesOutlineColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"OrientationAxesOutlineColor\"\n"
"                            panel_widget=\"color_selector_with_palette\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"3\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"ForegroundColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetCenterOfRotation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"CenterOfRotation\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"3\">\n"
"        <Documentation>Center of rotation for the interactor.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRotationFactor\"\n"
"                            default_values=\"1\"\n"
"                            name=\"RotationFactor\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Rotation speed factor for the interactor. This default\n"
"          rotation speed is multipied by this factor. Default value is 1.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0\"\n"
"                         name=\"NonInteractiveRenderDelay\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the delay (in seconds) after an interactive render\n"
"          before switching to a full-res render.</Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"NonInteractiveRenderDelay\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"EnableRenderOnInteraction\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"                         <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether the view must render automatically on interaction. If application\n"
"          wants to manage renders explicitly, set this to 0 (Off). 1 (On) by default.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.3\"\n"
"                         name=\"WindowResizeNonInteractiveRenderDelay\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the delay (in seconds) before doing a full resolution render after the last resize of the window.</Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"WindowResizeNonInteractiveRenderDelay\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"Camera3DManipulators\"\n"
"        command=\"SetCamera3DManipulators\"\n"
"        argument_is_array=\"1\"\n"
"        number_of_elements=\"9\"\n"
"        default_values=\"4 1 2 3 4 7 2 4 6\"\n"
"        panel_visibility=\"never\">\n"
"        <Documentation>\n"
"          Set the interactions mode for 3D interaction. The values are specified\n"
"          in order as (left button, middle button, right button), and repeated for\n"
"          shift key and control key modifiers.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewInteractionSettings\"\n"
"                        property=\"Camera3DManipulators\"/>\n"
"        </Hints>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\" />\n"
"          <Entry text=\"Pan\" value=\"1\" />\n"
"          <Entry text=\"Zoom\" value=\"2\" />\n"
"          <Entry text=\"Roll\" value=\"3\" />\n"
"          <Entry text=\"Rotate\" value=\"4\" />\n"
"          <Entry text=\"Multi-Rotate\" value=\"5\" />\n"
"          <Entry text=\"ZoomToMouse\" value=\"6\" />\n"
"          <Entry text=\"SkyboxRotate\" value=\"7\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Camera2DManipulators\"\n"
"        command=\"SetCamera2DManipulators\"\n"
"        argument_is_array=\"1\"\n"
"        number_of_elements=\"9\"\n"
"        default_values=\"1 3 2 2 2 6 3 1 4\"\n"
"        panel_visibility=\"never\">\n"
"        <Documentation>\n"
"          Set the interactions mode for 2D interaction. The values are specified\n"
"          in order as (left button, middle button, right button), and repeated for\n"
"          shift key and control key modifiers.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewInteractionSettings\"\n"
"                        property=\"Camera2DManipulators\"/>\n"
"        </Hints>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\" />\n"
"          <Entry text=\"Pan\" value=\"1\" />\n"
"          <Entry text=\"Zoom\" value=\"2\" />\n"
"          <Entry text=\"Roll\" value=\"3\" />\n"
"          <Entry text=\"Rotate\" value=\"4\" />\n"
"          <Entry text=\"ZoomToMouse\" value=\"6\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCamera2DMouseWheelMotionFactor\"\n"
"                            default_values=\"1\"\n"
"                            name=\"Camera2DMouseWheelMotionFactor\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <DoubleRangeDomain max=\"10\"\n"
"                           min=\"0\"\n"
"                           name=\"range\"\n"
"                           resolution=\"0.01\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewInteractionSettings\"\n"
"                        property=\"Camera2DMouseWheelMotionFactor\"/>\n"
"        </Hints>\n"
"        <Documentation>Set the wheel motion factor for 2D interaction.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCamera3DMouseWheelMotionFactor\"\n"
"                            default_values=\"1\"\n"
"                            name=\"Camera3DMouseWheelMotionFactor\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <DoubleRangeDomain max=\"10\"\n"
"                           min=\"0\"\n"
"                           name=\"range\"\n"
"                           resolution=\"0.01\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewInteractionSettings\"\n"
"                        property=\"Camera3DMouseWheelMotionFactor\"/>\n"
"        </Hints>\n"
"        <Documentation>Set the wheel motion factor for 3D interaction.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ReverseMouseWheelZoomDirection\"\n"
"                         command=\"SetReverseMouseWheelZoomDirection\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         label=\"Reverse Mouse Wheel Zoom Direction\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewInteractionSettings\"\n"
"                        property=\"ReverseMouseWheelZoomDirection\"/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          This option changes the direction of the mouse wheel for zooming in and out.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"MouseWheelZoomsToCursor\"\n"
"                         command=\"SetMouseWheelZoomsToCursor\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         label=\"Mouse Wheel Zooms To Cursor\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewInteractionSettings\"\n"
"                        property=\"MouseWheelZoomsToCursor\"/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Zooms the renderer's camera to the projected point under the cursor position.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseLightKit\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseLight\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Enable/Disable the LightKit.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- Key Light -->\n"
"      <DoubleVectorProperty command=\"SetKeyLightWarmth\"\n"
"                            default_values=\"0.60\"\n"
"                            name=\"KeyLightWarmth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\"\n"
"                           resolution=\"0.01\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetKeyLightIntensity\"\n"
"                            default_values=\"0.75\"\n"
"                            name=\"KeyLightIntensity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\"\n"
"                           resolution=\"0.05\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetKeyLightElevation\"\n"
"                            default_values=\"50.0\"\n"
"                            name=\"KeyLightElevation\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"90\"\n"
"                           min=\"0\"\n"
"                           name=\"range\"\n"
"                           resolution=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetKeyLightAzimuth\"\n"
"                            default_values=\"10.0\"\n"
"                            name=\"KeyLightAzimuth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"90\"\n"
"                           min=\"-90\"\n"
"                           name=\"range\"\n"
"                           resolution=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"      <!-- Fill Light -->\n"
"      <DoubleVectorProperty command=\"SetFillLightWarmth\"\n"
"                            default_values=\"0.40\"\n"
"                            name=\"FillLightWarmth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\"\n"
"                           resolution=\"0.01\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetKeyToFillRatio\"\n"
"                            default_values=\"3.0\"\n"
"                            name=\"FillLightK:F Ratio\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"15\"\n"
"                           min=\"1\"\n"
"                           name=\"range\"\n"
"                           resolution=\"0.1\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFillLightElevation\"\n"
"                            default_values=\"-75.0\"\n"
"                            name=\"FillLightElevation\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"10\"\n"
"                           min=\"-90\"\n"
"                           name=\"range\"\n"
"                           resolution=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFillLightAzimuth\"\n"
"                            default_values=\"-10.0\"\n"
"                            name=\"FillLightAzimuth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"90\"\n"
"                           min=\"-90\"\n"
"                           name=\"range\"\n"
"                           resolution=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"      <!-- Back Light -->\n"
"      <DoubleVectorProperty command=\"SetBackLightWarmth\"\n"
"                            default_values=\"0.50\"\n"
"                            name=\"BackLightWarmth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\"\n"
"                           resolution=\"0.01\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetKeyToBackRatio\"\n"
"                            default_values=\"3.5\"\n"
"                            name=\"BackLightK:B Ratio\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"15\"\n"
"                           min=\"1\"\n"
"                           name=\"range\"\n"
"                           resolution=\"0.1\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBackLightElevation\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"BackLightElevation\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"45\"\n"
"                           min=\"-45\"\n"
"                           name=\"range\"\n"
"                           resolution=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBackLightAzimuth\"\n"
"                            default_values=\"110.0\"\n"
"                            name=\"BackLightAzimuth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"170\"\n"
"                           min=\"60\"\n"
"                           name=\"range\"\n"
"                           resolution=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"      <!-- Head Light -->\n"
"      <DoubleVectorProperty command=\"SetHeadLightWarmth\"\n"
"                            default_values=\"0.50\"\n"
"                            name=\"HeadLightWarmth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\"\n"
"                           resolution=\"0.01\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetKeyToHeadRatio\"\n"
"                            default_values=\"3.0\"\n"
"                            name=\"HeadLightK:H Ratio\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"15\"\n"
"                           min=\"1\"\n"
"                           name=\"range\"\n"
"                           resolution=\"0.1\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface7 =
"      </DoubleVectorProperty>\n"
"      <!-- Maintain Luminance -->\n"
"      <IntVectorProperty command=\"SetMaintainLuminance\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MaintainLuminance\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetUseHiddenLineRemoval\"\n"
"                         default_values=\"0\"\n"
"                         name=\"HiddenLineRemoval\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Use a hidden line removal technique to hide wireframe surfaces that\n"
"          are occluded by other wireframe surfaces. Note that this is disabled\n"
"          when rendering distributed geometry in parallel.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetUseDepthPeeling\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DepthPeeling\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"DepthPeeling\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetUseDepthPeelingForVolumes\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DepthPeelingForVolumes\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"DepthPeelingForVolumes\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetMaximumNumberOfPeels\"\n"
"                         default_values=\"4\"\n"
"                         name=\"MaximumNumberOfPeels\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>In case of depth peeling, define the maximum number of\n"
"        peeling layers. Initial value is 4. A special value of 0 means no\n"
"        maximum limit. It has to be a positive value.</Documentation>\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"MaximumNumberOfPeels\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetUseFXAA\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseFXAA\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"UseFXAA\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFXAARelativeContrastThreshold\"\n"
"                            default_values=\"0.125\"\n"
"                            name=\"FXAARelativeContrastThreshold\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"FXAARelativeContrastThreshold\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFXAAHardContrastThreshold\"\n"
"                            default_values=\"0.0625\"\n"
"                            name=\"FXAAHardContrastThreshold\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"FXAAHardContrastThreshold\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFXAASubpixelBlendLimit\"\n"
"                            default_values=\"0.75\"\n"
"                            name=\"FXAASubpixelBlendLimit\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"FXAASubpixelBlendLimit\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFXAASubpixelContrastThreshold\"\n"
"                            default_values=\"0.25\"\n"
"                            name=\"FXAASubpixelContrastThreshold\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"FXAASubpixelContrastThreshold\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetFXAAUseHighQualityEndpoints\"\n"
"                         default_values=\"1\"\n"
"                         name=\"FXAAUseHighQualityEndpoints\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"FXAAUseHighQualityEndpoints\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFXAAEndpointSearchIterations\"\n"
"                         default_values=\"12\"\n"
"                         name=\"FXAAEndpointSearchIterations\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"FXAAEndpointSearchIterations\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseToneMapping\"\n"
"                         command=\"SetUseToneMapping\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable / Disable tone mapping. Tone mapping is a technique to preserve the colors when the scene is too dark or too bright.\n"
"          Refer to the settings for more configuration.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"Exposure\"\n"
"                            command=\"SetExposure\"\n"
"                            default_values=\"1.0\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"10.0\" />\n"
"        <Documentation>\n"
"          Set the exposure coefficient.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"UseToneMapping\"\n"
"                 value=\"1\" />\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         mode=\"visibility\"\n"
"                                         property=\"ToneMappingType\"\n"
"                                         value=\"2\" />\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         mode=\"visibility\"\n"
"                                         property=\"ToneMappingType\"\n"
"                                         value=\"3\" />\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ToneMappingType\"\n"
"                         command=\"SetToneMappingType\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"3\"\n"
"                         panel_visibility=\"never\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"ToneMappingType\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"Contrast\"\n"
"                            command=\"SetContrast\"\n"
"                            default_values=\"1.6773\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"Contrast\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Shoulder\"\n"
"                            command=\"SetShoulder\"\n"
"                            default_values=\"0.9714\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"Shoulder\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MidIn\"\n"
"                            command=\"SetMidIn\"\n"
"                            default_values=\"0.18\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"MidIn\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"MidOut\"\n"
"                            command=\"SetMidOut\"\n"
"                            default_values=\"0.18\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"MidOut\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"HdrMax\"\n"
"                            command=\"SetHdrMax\"\n"
"                            default_values=\"11.0785\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"HdrMax\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"UseACES\"\n"
"                         command=\"SetUseACES\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"UseACES\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"GenericFilmicPresets\"\n"
"                         command=\"SetGenericFilmicPresets\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"GenericFilmicPresets\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseSSAO\"\n"
"                         command=\"SetUseSSAO\"\n"
"                         label=\"Use Ambient Occlusion\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable / Disable screen space ambient occlusion.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"UseSSAODefaultPresets\"\n"
"                            command=\"SetUseSSAODefaultPresets\"\n"
"                            default_values=\"1\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"UseSSAODefaultPresets\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"Radius\"\n"
"                            command=\"SetRadius\"\n"
"                            default_values=\"0.5\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"Radius\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"Bias\"\n"
"                            command=\"SetBias\"\n"
"                            default_values=\"0.01\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"Bias\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"KernelSize\"\n"
"                            command=\"SetKernelSize\"\n"
"                            default_values=\"32\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"KernelSize\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"Blur\"\n"
"                            command=\"SetBlur\"\n"
"                            default_values=\"0\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface8 =
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"RenderViewSettings\"\n"
"                        property=\"Blur\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetStereoCapableWindow\"\n"
"                         default_values=\"none\"\n"
"                         name=\"StereoCapableWindow\"\n"
"                         number_of_elements=\"1\"\n"
"                         is_internal=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetStereoRender\"\n"
"                         default_values=\"0\"\n"
"                         name=\"StereoRender\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetStereoType\"\n"
"                         default_values=\"none\"\n"
"                         name=\"StereoType\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the stereo rendering mode to use. In client-server configurations,\n"
"          you may also want to set the ServerStereoType.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Crystal Eyes\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Red-Blue\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Interlaced\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Left\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Right\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Dresden\"\n"
"                 value=\"6\" />\n"
"          <Entry text=\"Anaglyph\"\n"
"                 value=\"7\" />\n"
"          <Entry text=\"Checkerboard\"\n"
"                 value=\"8\" />\n"
"          <Entry text=\"SplitViewportHorizontal\"\n"
"                 value=\"9\" />\n"
"          <Entry text=\"None\"\n"
"                 value=\"10\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"StereoRender\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetServerStereoType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ServerStereoType\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          This property allows you to set a different stereo mode for the server processes.\n"
"          Note that the stereo type selected on the client and server must be *compatible*, i.e.\n"
"          if the stereo type on the client side needs 2 renders each frame, the stereo type on the\n"
"          server must do exactly the same, otherwise deadlocks may ensue.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Same As Client\" value=\"0\" />\n"
"          <Entry text=\"Crystal Eyes\" value=\"1\" />\n"
"          <Entry text=\"Red-Blue\" value=\"2\" />\n"
"          <Entry text=\"Interlaced\" value=\"3\" />\n"
"          <Entry text=\"Left\" value=\"4\" />\n"
"          <Entry text=\"Right\" value=\"5\" />\n"
"          <Entry text=\"Dresden\" value=\"6\" />\n"
"          <Entry text=\"Anaglyph\" value=\"7\" />\n"
"          <Entry text=\"Checkerboard\" value=\"8\" />\n"
"          <Entry text=\"SplitViewportHorizontal\" value=\"9\" />\n"
"          <Entry text=\"None\" value=\"10\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"StereoRender\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMultiSamples\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MultiSamples\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAlphaBitPlanes\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AlphaBitPlanes\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetStencilCapable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"StencilCapable\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"AddRepresentation\"\n"
"                     is_internal=\"1\"\n"
"                     name=\"HiddenRepresentations\"\n"
"                     remove_command=\"RemoveRepresentation\"\n"
"                     repeatable=\"1\">\n"
"        <Documentation>This property is meant for adding/removing\n"
"        representation secretly. e.g. 3D widgets etc. This property is not\n"
"        saved in states nor it recorded by undo-redo.</Documentation>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"AddPropToRenderer\"\n"
"                     is_internal=\"1\"\n"
"                     name=\"HiddenProps\"\n"
"                     remove_command=\"RemovePropFromRenderer\"\n"
"                     repeatable=\"1\">\n"
"        <Documentation>This property is meant for adding/removing props\n"
"        secretly. e.g. 3D widgets etc. This property is not saved in states nor\n"
"        it recorded by undo-redo.</Documentation>\n"
"      </ProxyProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"ActiveCamera\"\n"
"               proxygroup=\"camera\"\n"
"               proxyname=\"Camera\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"CameraPositionInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraPosition\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraFocalPointInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraFocalPoint\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraViewUpInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraViewUp\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraViewAngleInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraViewAngle\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraFocalDiskInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraFocalDisk\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraFocalDistanceInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraFocalDistance\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraParallelScale\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraParallelScaleInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"EyeAngle\" panel_visibility=\"never\"/>\n"
"          <Property name=\"EyeTransformMatrix\" />\n"
"          <Property name=\"ModelTransformMatrix\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <IntVectorProperty command=\"SetParallelProjection\"\n"
"                         default_values=\"0\"\n"
"                         ignore_synchronization=\"1\"\n"
"                         name=\"CameraParallelProjection\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable/disable parallel projection mode.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetUseRenderViewSettingsForBackground\"\n"
"                         name=\"UseColorPaletteForBackground\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"            When set, the view uses the background color settings as specified in\n"
"            global color palette.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBackgroundColorMode\"\n"
"                         name=\"BackgroundColorMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Single Color\" value=\"0\" />\n"
"          <Entry text=\"Gradient\" value=\"1\" />\n"
"          <Entry text=\"Texture\" value=\"2\" />\n"
"          <Entry text=\"Skybox\" value=\"3\" />\n"
"          <Entry text=\"Stereo Skybox\" value=\"4\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Select the background for the view.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\"\n"
"            property=\"UseColorPaletteForBackground\" values=\"0\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetBackgroundTexture\"\n"
"                     name=\"BackgroundTexture\" panel_widget=\"texture_selector\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"textures\" />\n"
"        </ProxyGroupDomain>\n"
"        <Hints>\n"
"          <!-- hide widget unless mode is \"Texture\" or \"Skybox\" -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\"\n"
"            property=\"BackgroundColorMode\" values=\"2 3 4\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\"\n"
"            property=\"UseColorPaletteForBackground\" values=\"0\" />\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty command=\"SetBackground2\"\n"
"                            default_values=\"0 0 0.165\"\n"
"                            name=\"Background2\"\n"
"                            label=\"Background 2\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\" min=\"0 0 0\" name=\"range\" />\n"
"        <Hints>\n"
"          <!-- hide widget unless mode is \"Gradient\" -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\"\n"
"            property=\"BackgroundColorMode\" value=\"1\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\"\n"
"            property=\"UseColorPaletteForBackground\" values=\"0\" />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specify the color to use for the upper half of the viewport when using **Gradient**\n"
"          background color mode.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBackground\"\n"
"                            default_values=\"0.329 0.349 0.427\"\n"
"                            name=\"Background\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\"\n"
"            property=\"UseColorPaletteForBackground\" values=\"0\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseEnvironmentLighting\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseEnvironmentLighting\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Enable skybox light contribution. This feature is only compatible with PBR interpolation.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <!-- hide widget unless mode is \"Skybox\" -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\"\n"
"            property=\"BackgroundColorMode\" value=\"3\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\"\n"
"            property=\"UseColorPaletteForBackground\" values=\"0\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <Property\n"
"          name=\"CaptureZBuffer\"\n"
"          command=\"CaptureZBuffer\"\n"
"          >\n"
"        <Documentation>A helper function to get the Z buffer from\n"
"        a RenderView.</Documentation>\n"
"      </Property>\n"
"      <DoubleVectorProperty\n"
"          command=\"SetMaxClipBounds\"\n"
"          default_values=\"0.0 -1.0 0.0 -1.0 0.0 -1.0\"\n"
"          name=\"MaxClipBounds\"\n"
"          number_of_elements=\"6\"\n"
"          argument_is_array=\"1\"\n"
"          animateable=\"0\"\n"
"          >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Set the most conservative clipping range.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"LockBounds\"\n"
"          command=\"SetLockBounds\"\n"
"          default_values=\"0\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"1\"\n"
"          >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>A helper function to force consistent Z buffer\n"
"        captures from a RenderView.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"EnableOSPRay\"\n"
"          label=\"Enable Ray Tracing\"\n"
"          command=\"SetEnableOSPRay\"\n"
"          default_values=\"0\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Switches between rasterization and ray tracing.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"OSPRayRendererType\"\n"
"          command=\"SetOSPRayRendererType\"\n"
"          label=\"Back End\"\n"
"          default_values=\"scivis\"\n"
"          number_of_elements=\"1\">\n"
"        <RendererDomain name=\"list\">\n"
"        </RendererDomain>\n"
"        <Documentation>Selects a specific ray traced rendering engine.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"EnableOSPRay\"\n"
"                                   values=\"1\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"Shadows\"\n"
"          command=\"SetShadows\"\n"
"          default_values=\"0\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Controls whether OSPRay raycaster back end casts shadow rays\n"
"        or not.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface9 =
"                                       property=\"EnableOSPRay\"\n"
"                                       values=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                 <Property name=\"OSPRayRendererType\" function=\"equals\" value=\"OSPRay raycaster\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"	  </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"AmbientSamples\"\n"
"          command=\"SetAmbientOcclusionSamples\"\n"
"          default_values=\"0\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"1\">\n"
"        <IntRangeDomain\n"
"            min=\"0\"\n"
"            name=\"range\"/>\n"
"        <Documentation>Sets the number of occlusion query rays that\n"
"        OSPRay raycaster sends at each intersection.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"EnableOSPRay\"\n"
"                                       values=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                 <Property name=\"OSPRayRendererType\" function=\"equals\" value=\"OSPRay raycaster\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"	  </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"SamplesPerPixel\"\n"
"          command=\"SetSamplesPerPixel\"\n"
"          default_values=\"1\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"1\">\n"
"        <IntRangeDomain\n"
"            min=\"1\"\n"
"            name=\"range\"/>\n"
"        <Documentation>Set the number of primary rays that ray tracers\n"
"        shoot per pixel.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"EnableOSPRay\"\n"
"                                   values=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"MaxFrames\"\n"
"          label=\"Progressive Passes\"\n"
"          command=\"SetMaxFrames\"\n"
"          default_values=\"1\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"1\">\n"
"        <IntRangeDomain\n"
"            min=\"1\"\n"
"            name=\"range\"/>\n"
"        <Documentation>Set the number of render passes ray tracers take to\n"
"        improve image quality. Note, this requires turning on the\n"
"        'Enable Streaming' setting in Edit->Preferences/Settings.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"EnableOSPRay\"\n"
"                                   values=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"RouletteDepth\"\n"
"          command=\"SetRouletteDepth\"\n"
"          default_values=\"5\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"1\">\n"
"        <IntRangeDomain\n"
"            min=\"0\"\n"
"            name=\"range\"/>\n"
"        <Documentation>Set the path traced recursion depth at which to start Russian roulette termination.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"EnableOSPRay\"\n"
"                                       values=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                 <Property name=\"OSPRayRendererType\" function=\"equals\" value=\"OSPRay pathtracer\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"VolumeAnisotropy\"\n"
"          default_values=\"0.0\"\n"
"          panel_visibility=\"never\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"1\">\n"
"        <Documentation>DEPRECATED_IN_5.11 (Use SetAnisotropy of vtkImageVolumeRepresentation instead):\n"
"          Set the tendency for light to scatter back towards (negative) or away from (positive) the light source within path traced volumes.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"Denoise\"\n"
"          command=\"SetDenoise\"\n"
"          default_values=\"1\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Controls whether to denoise images. This option will have no effect without a denoiser library and until progressive passes or samples per pixel exceeds four.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"EnableOSPRay\"\n"
"                                   values=\"1\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"MaxFrames\" function=\"greaterthan\" value=\"3\"/>\n"
"              </PropertyWidgetDecorator>\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"SamplesPerPixel\" function=\"greaterthan\" value=\"3\" />\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"LightScale\"\n"
"          command=\"SetLightScale\"\n"
"          default_values=\"1.0\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"1\">\n"
"        <DoubleRangeDomain\n"
"            min=\"0.0\"\n"
"            name=\"range\"/>\n"
"        <Documentation>Diminish or amplify all lights in the scene.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"EnableOSPRay\"\n"
"                                   values=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"OSPRayTemporalCacheSize\"\n"
"          label=\"Temporal Cache Size\"\n"
"          command=\"SetTimeCacheSize\"\n"
"          default_values=\"0\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"1\">\n"
"        <IntRangeDomain\n"
"            min=\"0\"\n"
"            name=\"range\"/>\n"
"        <Documentation>Set the size of the timestep cache that speeds up flip book animation in ray tracers.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"EnableOSPRay\"\n"
"                                   values=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBackgroundMode\"\n"
"                         label=\"Background mode\"\n"
"                         default_values=\"2\"\n"
"                         name=\"BackgroundMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <!--<Entry text=\"None\"\n"
"                 value=\"0\" /> Disabled since needs more work. -->\n"
"          <Entry text=\"Backplate\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Environment\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Both\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Background behavior for path tracers. Backplate does not move or affect materials. Environment does.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"EnableOSPRay\"\n"
"                                       values=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"OSPRayRendererType\" function=\"contains\" value=\"pathtracer\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"BackgroundNorth\"\n"
"          label=\"Environment North\"\n"
"          command=\"SetBackgroundNorth\"\n"
"          default_values=\"0.0 1.0 0.0\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"3\">\n"
"        <Documentation>Sets north pole for gradient and image environmental background in path tracers.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"EnableOSPRay\"\n"
"                                       values=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"OSPRayRendererType\" function=\"contains\" value=\"pathtracer\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"BackgroundEast\"\n"
"          command=\"SetBackgroundEast\"\n"
"          label=\"Environment East\"\n"
"          default_values=\"1.0 0.0 0.0\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"3\">\n"
"        <Documentation>Sets east direction for image environmental background in path tracers.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"EnableOSPRay\"\n"
"                                       values=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"OSPRayRendererType\" function=\"contains\" value=\"pathtracer\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetEnvironmentalBG\"\n"
"                            default_values=\"0.329 0.349 0.427\"\n"
"                            name=\"EnvironmentalBG\"\n"
"                            panel_widget=\"color_selector_with_palette\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"EnableOSPRay\"\n"
"                                       values=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"OSPRayRendererType\" function=\"contains\" value=\"pathtracer\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetEnvironmentalBG2\"\n"
"                            default_values=\"0 0 0.165\"\n"
"                            name=\"EnvironmentalBG2\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"EnableOSPRay\"\n"
"                                       values=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"OSPRayRendererType\" function=\"contains\" value=\"pathtracer\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetGradientEnvironmentalBG\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseGradientEnvironmentalBG\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"EnableOSPRay\"\n"
"                                       values=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"OSPRayRendererType\" function=\"contains\" value=\"pathtracer\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface10 =
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTexturedEnvironmentalBG\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseTexturedEnvironmentalBG\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"EnableOSPRay\"\n"
"                                       values=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"OSPRayRendererType\" function=\"contains\" value=\"pathtracer\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetEnvironmentalBGTexture\"\n"
"                     name=\"EnvironmentalBGTexture\"\n"
"                     panel_widget=\"texture_selector\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"textures\" />\n"
"        </ProxyGroupDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"EnableOSPRay\"\n"
"                                       values=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"OSPRayRendererType\" function=\"contains\" value=\"pathtracer\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty\n"
"        name=\"AdditionalLights\"\n"
"        command=\"AddLight\"\n"
"        remove_command=\"RemoveLight\"\n"
"        repeatable=\"1\">\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetMaterialLibrary\"\n"
"                     name=\"OSPRayMaterialLibrary\"\n"
"                     label=\"OSPRay Material Library\"\n"
"                     number_of_elements=\"1\"\n"
"                     panel_visibility=\"never\"\n"
"                     default_values=\"None\">\n"
"        <Documentation>Container for a set of material specifications.</Documentation>\n"
"      </ProxyProperty>\n"
"      <PropertyGroup label=\"Orientation Axes\">\n"
"        <Property name=\"OrientationAxesVisibility\"/>\n"
"        <Property name=\"OrientationAxesInteractivity\"/>\n"
"        <Property name=\"OrientationAxesLabelColor\"/>\n"
"        <Property name=\"OrientationAxesOutlineColor\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Render Passes\">\n"
"        <Property name=\"UseToneMapping\"/>\n"
"        <Property name=\"Exposure\"/>\n"
"        <Property name=\"UseSSAO\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup name=\"Lights\"\n"
"                     label=\"Lights\"\n"
"                     panel_visibility=\"never\">\n"
"        <!-- Light Kit -->\n"
"        <Property name=\"UseLight\"/>\n"
"        <!-- Key Light -->\n"
"        <Property name=\"KeyLightWarmth\"/>\n"
"        <Property name=\"KeyLightIntensity\"/>\n"
"        <Property name=\"KeyLightElevation\"/>\n"
"        <Property name=\"KeyLightAzimuth\"/>\n"
"        <!-- Fill Light -->\n"
"        <Property name=\"FillLightWarmth\"/>\n"
"        <Property name=\"FillLightK:F Ratio\"/>\n"
"        <Property name=\"FillLightElevation\"/>\n"
"        <Property name=\"FillLightAzimuth\"/>\n"
"        <!-- Back Light -->\n"
"        <Property name=\"BackLightWarmth\"/>\n"
"        <Property name=\"BackLightK:B Ratio\"/>\n"
"        <Property name=\"BackLightElevation\"/>\n"
"        <Property name=\"BackLightAzimuth\"/>\n"
"        <!-- Head Light -->\n"
"        <Property name=\"HeadLightWarmth\"/>\n"
"        <Property name=\"HeadLightK:H Ratio\"/>\n"
"        <Property name=\"MaintainLuminance\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Background\" >\n"
"        <Property name=\"UseColorPaletteForBackground\" />\n"
"        <Property name=\"BackgroundColorMode\" />\n"
"        <Property name=\"Background2\"/>\n"
"        <Property name=\"Background\"/>\n"
"        <Property name=\"BackgroundTexture\"/>\n"
"        <Property name=\"UseEnvironmentLighting\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Stereo\">\n"
"        <Property name=\"StereoCapableWindow\" />\n"
"        <Property name=\"StereoRender\" />\n"
"        <Property name=\"StereoType\" />\n"
"        <Property name=\"ServerStereoType\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Cinema Export\"\n"
"                     panel_visibility=\"never\">\n"
"        <Property name=\"CaptureZBuffer\"/>\n"
"        <Property name=\"MaxClipBounds\"/>\n"
"        <Property name=\"LockBounds\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Ray Traced Rendering\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"EnableOSPRay\"/>\n"
"        <Property name=\"Shadows\"/>\n"
"        <Property name=\"OSPRayRendererType\"/>\n"
"        <Property name=\"AmbientSamples\"/>\n"
"        <Property name=\"SamplesPerPixel\"/>\n"
"        <Property name=\"RouletteDepth\"/>\n"
"        <Property name=\"MaxFrames\"/>\n"
"        <Property name=\"Denoise\"/>\n"
"        <Property name=\"LightScale\"/>\n"
"        <Property name=\"OSPRayTemporalCacheSize\"/>\n"
"        <Property name=\"BackgroundNorth\"/>\n"
"        <Property name=\"BackgroundEast\"/>\n"
"        <Property name=\"BackgroundMode\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Path Traced Environment\" panel_widget=\"EnvironmentalBGEditor\" panel_visibility=\"default\">\n"
"        <Property name=\"EnvironmentalBG\"/>\n"
"        <Property name=\"EnvironmentalBG2\"/>\n"
"        <Property name=\"UseGradientEnvironmentalBG\"/>\n"
"        <Property name=\"UseTexturedEnvironmentalBG\"/>\n"
"        <Property name=\"EnvironmentalBGTexture\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"EnableOSPRay\"\n"
"                                       values=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"OSPRayRendererType\" function=\"equals\" value=\"OSPRay pathtracer\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetDeliveryManager\">\n"
"        <Proxy name=\"DeliveryManager\"\n"
"          proxygroup=\"delivery_managers\"\n"
"          proxyname=\"RenderViewDeliveryManager\"/>\n"
"      </SubProxy>\n"
"    </RenderViewProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <OrthographicSliceViewProxy base_proxygroup=\"views\"\n"
"                     base_proxyname=\"RenderView\"\n"
"                     class=\"vtkPVOrthographicSliceView\"\n"
"                     processes=\"client|renderserver|dataserver\"\n"
"                     label=\"Orthographic Slice View\"\n"
"                     name=\"OrthographicSliceView\">\n"
"      <DoubleVectorProperty name=\"SlicePosition\"\n"
"                            command=\"SetSlicePosition\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0 0 0\">\n"
"        <Documentation>\n"
"          Set the slice position.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"SliceIncrements\"\n"
"        command=\"SetSliceIncrements\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          When interacting using the thumb wheel, set the increments to use\n"
"          to change the slice position.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ShowSliceAnnotations\"\n"
"        command=\"SetSliceAnnotationsVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"    </OrthographicSliceViewProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy base_proxygroup=\"internal_views\"\n"
"                      base_proxyname=\"XYChartViewBase4Axes\"\n"
"                      class=\"vtkPVXYChartView\"\n"
"                      name=\"XYChartView\"\n"
"                      label=\"Line Chart View\"\n"
"                      processes=\"client|renderserver|dataserver\"\n"
"                      representation_name=\"XYChartRepresentation\"\n"
"                      post_creation=\"SetChartTypeToLine\" >\n"
"      <Documentation>This is the proxy for the XY line chart\n"
"      view.</Documentation>\n"
"    </ContextViewProxy>\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy base_proxygroup=\"internal_views\"\n"
"                      base_proxyname=\"XYChartViewBase4Axes\"\n"
"                      class=\"vtkPVXYChartView\"\n"
"                      name=\"XYPointChartView\"\n"
"                      label=\"Point Chart View\"\n"
"                      processes=\"client|renderserver|dataserver\"\n"
"                      representation_name=\"XYPointChartRepresentation\"\n"
"                      post_creation=\"SetChartTypeToPoint\" >\n"
"      <Documentation>This is the proxy for the XY point chart\n"
"      view.</Documentation>\n"
"    </ContextViewProxy>\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy base_proxygroup=\"internal_views\"\n"
"                      base_proxyname=\"XYChartViewBase4Axes\"\n"
"                      class=\"vtkPVXYChartView\"\n"
"                      name=\"QuartileChartView\"\n"
"                      label=\"Quartile Chart View\"\n"
"                      processes=\"client|renderserver|dataserver\"\n"
"                      representation_name=\"QuartileChartRepresentation\"\n"
"                      post_creation=\"SetChartTypeToArea\" >\n"
"      <Documentation>This is the proxy for the Quartile chart view.</Documentation>\n"
"    </ContextViewProxy>\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy base_proxygroup=\"internal_views\"\n"
"                      base_proxyname=\"XYChartViewBase4Axes\"\n"
"                      class=\"vtkPVXYChartView\"\n"
"                      name=\"XYBarChartView\"\n"
"                      label=\"Bar Chart View\"\n"
"                      processes=\"client|renderserver|dataserver\"\n"
"                      representation_name=\"XYBarChartRepresentation\"\n"
"                      post_creation=\"SetChartTypeToBar\" >\n"
"      <Documentation>This is the proxy for bar chart view.</Documentation>\n"
"    </ContextViewProxy>\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy base_proxygroup=\"internal_views\"\n"
"                      base_proxyname=\"XYChartViewBase4Axes\"\n"
"                      class=\"vtkPVXYChartView\"\n"
"                      name=\"XYHistogramChartView\"\n"
"                      label=\"Histogram View\"\n"
"                      processes=\"client|renderserver|dataserver\"\n"
"                      post_creation=\"SetChartTypeToBar\"\n"
"                      representation_name=\"HistogramChartRepresentation\"\n"
"                      skip_plotable_check=\"1\">\n"
"      <Documentation>This is the proxy for the histogram chart view.</Documentation>\n"
"      <Hints>\n"
"        <ShowOneRepresentationAtATime type=\"HistogramChartRepresentation\" />\n"
"        <!-- When present, vtkSMParaViewPipelineController::Show() will\n"
"             result in hiding other representations that are currently visible\n"
"             -->\n"
"      </Hints>\n"
"    </ContextViewProxy>\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy base_proxygroup=\"internal_views\"\n"
"                      base_proxyname=\"XYChartViewTitle\"\n"
"                      class=\"vtkPVXYChartView\"\n"
"                      name=\"BoxChartView\"\n"
"                      label=\"Box Chart View\"\n"
"                      processes=\"client|renderserver|dataserver\"\n"
"                      representation_name=\"BoxChartRepresentation\"\n"
"                      post_creation=\"SetChartTypeToBox\" >\n"
"      <Documentation>This is the proxy for box chart view.</Documentation>\n"
"      <IntVectorProperty command=\"SetLegendVisibility\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"never\"\n"
"                         name=\"ShowLegend\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLegendSymbolWidth\"\n"
"                         default_values=\"25\"\n"
"                         name=\"LegendSymbolWidth\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"      </IntVectorProperty>\n"
"    </ContextViewProxy>\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy base_proxygroup=\"internal_views\"\n"
"                      base_proxyname=\"ViewBase\"\n"
"                      class=\"vtkPVXYChartView\"\n"
"                      name=\"ParallelCoordinatesChartView\"\n"
"                      label=\"Parallel Coordinates View\"\n"
"                      processes=\"client|renderserver|dataserver\"\n"
"                      representation_name=\"ParallelCoordinatesRepresentation\"\n"
"                      post_creation=\"SetChartTypeToParallelCoordinates\"\n"
"                      skip_plotable_check=\"1\">\n"
"      <Documentation>\n"
"        This is the proxy for parallel coordinates chart view.\n"
"      </Documentation>\n"
"      <SubProxy command=\"SetDeliveryManager\">\n"
"        <Proxy name=\"DeliveryManager\"\n"
"          proxygroup=\"delivery_managers\"\n"
"          proxyname=\"ContextViewDeliveryManager\"/>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <ShowOneRepresentationAtATime type=\"ParallelCoordinatesRepresentation\" />\n"
"        <!-- When present, vtkSMParaViewPipelineController::Show() will\n"
"             result in hiding other representations that are currently visible\n"
"             -->\n"
"      </Hints>\n"
"    </ContextViewProxy>\n"
"    <!-- ================================================================== -->\n"
"    <PlotMatrixViewProxy base_proxygroup=\"internal_views\"\n"
"                         base_proxyname=\"XYChartViewTitle\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface11 =
"                         class=\"vtkPVPlotMatrixView\"\n"
"                         name=\"PlotMatrixView\"\n"
"                         label=\"Plot Matrix View\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         representation_name=\"PlotMatrixRepresentation\"\n"
"                         skip_plotable_check=\"1\">\n"
"      <Documentation>This is the proxy for the plot matrix\n"
"      view.</Documentation>\n"
"      <IntVectorProperty command=\"SetBorderLeft\"\n"
"                         default_values=\"50\"\n"
"                         name=\"BorderLeft\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"0\" name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBorderBottom\"\n"
"                         default_values=\"40\"\n"
"                         name=\"BorderBottom\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"0\" name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBorderRight\"\n"
"                         default_values=\"50\"\n"
"                         name=\"BorderRight\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"0\" name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBorderTop\"\n"
"                         default_values=\"40\"\n"
"                         name=\"BorderTop\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"0\" name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGutterX\"\n"
"                         default_values=\"15\"\n"
"                         name=\"GutterX\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"0\" name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGutterY\"\n"
"                         default_values=\"15\"\n"
"                         name=\"GutterY\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"0\" name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPadding\"\n"
"                         default_values=\"0.05\"\n"
"                         name=\"Padding\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"      <DoubleRangeDomain min=\"0.0\" max=\"0.25\" name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfAnimationFrames\"\n"
"                         default_values=\"25\"\n"
"                         name=\"NumberOfAnimationFrames\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"0\" name=\"range\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Border\">\n"
"        <Property name=\"BorderLeft\"/>\n"
"        <Property name=\"BorderBottom\"/>\n"
"        <Property name=\"BorderRight\"/>\n"
"        <Property name=\"BorderTop\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Spacing (Gutter)\">\n"
"        <Property name=\"GutterX\"/>\n"
"        <Property name=\"GutterY\"/>\n"
"        <Property name=\"Padding\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <DoubleVectorProperty command=\"SetScatterPlotSelectedRowColumnColor\"\n"
"                            default_values=\"0.8 0 0 0.4\"\n"
"                            name=\"ScatterPlotSelectedRowColumnColor\"\n"
"                            number_of_elements=\"4\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1 1 1 1\"\n"
"                           min=\"0 0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetScatterPlotSelectedActiveColor\"\n"
"                            default_values=\"0 0.8 0 0.4\"\n"
"                            name=\"ScatterPlotSelectedActiveColor\"\n"
"                            number_of_elements=\"4\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1 1 1 1\"\n"
"                           min=\"0 0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- activeplot -->\n"
"      <DoubleVectorProperty command=\"SetActivePlotBackgroundColor\"\n"
"                            default_values=\"1 1 1 0\"\n"
"                            name=\"ActivePlotBackgroundColor\"\n"
"                            number_of_elements=\"4\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1 1 1 1\"\n"
"                           min=\"0 0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetActivePlotAxisColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"ActivePlotAxisColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetActivePlotGridColor\"\n"
"                            default_values=\"0.95 0.95 0.95\"\n"
"                            name=\"ActivePlotGridColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetActivePlotGridVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ActivePlotGridVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetActivePlotAxisLabelVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ActivePlotAxisLabelVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetActivePlotAxisLabelNotation\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"ActivePlotAxisLabelNotation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scientific\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Fixed\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetActivePlotAxisLabelPrecision\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"ActivePlotAxisLabelPrecision\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetActivePlotAxisLabelFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"ActivePlotAxisLabelFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Set the font familyname.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetActivePlotAxisLabelFontFile\"\n"
"                            name=\"ActivePlotAxisLabelFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Documentation>Set the font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetActivePlotAxisLabelFontSize\"\n"
"                            default_values=\"12\"\n"
"                            name=\"ActivePlotAxisLabelFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis title font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetActivePlotAxisLabelBold\"\n"
"                            default_values=\"0\"\n"
"                            name=\"ActivePlotAxisLabelBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title bold.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetActivePlotAxisLabelItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"ActivePlotAxisLabelItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title italic.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetActivePlotAxisLabelColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"ActivePlotAxisLabelColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"ActivePlot\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"ActivePlotBackgroundColor\"/>\n"
"        <Property name=\"ActivePlotAxisColor\"/>\n"
"        <Property name=\"ActivePlotGridColor\"/>\n"
"        <Property name=\"ActivePlotGridVisibility\"/>\n"
"        <Property name=\"ActivePlotAxisLabelVisibility\"/>\n"
"        <Property name=\"ActivePlotAxisLabelNotation\"/>\n"
"        <Property name=\"ActivePlotAxisLabelPrecision\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"ActivePlot Axis Label Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"ActivePlotAxisLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"ActivePlotAxisLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"ActivePlotAxisLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"ActivePlotAxisLabelBold\" function=\"Bold\" />\n"
"        <Property name=\"ActivePlotAxisLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"ActivePlotAxisLabelFontSize\" function=\"Size\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- scatterplot -->\n"
"      <DoubleVectorProperty command=\"SetScatterPlotBackgroundColor\"\n"
"                            default_values=\"1 1 1 0\"\n"
"                            name=\"ScatterPlotBackgroundColor\"\n"
"                            number_of_elements=\"4\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1 1 1 1\"\n"
"                           min=\"0 0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScatterPlotAxisColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"ScatterPlotAxisColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScatterPlotGridColor\"\n"
"                            default_values=\"0.95 0.95 0.95\"\n"
"                            name=\"ScatterPlotGridColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetScatterPlotGridVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ScatterPlotGridVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetScatterPlotAxisLabelVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ScatterPlotAxisLabelVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetScatterPlotAxisLabelNotation\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"ScatterPlotAxisLabelNotation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scientific\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Fixed\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetScatterPlotAxisLabelPrecision\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"ScatterPlotAxisLabelPrecision\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetScatterPlotAxisLabelFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"ScatterPlotAxisLabelFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface12 =
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Set the font familyname.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetScatterPlotAxisLabelFontFile\"\n"
"                            name=\"ScatterPlotAxisLabelFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Documentation>Set the font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetScatterPlotAxisLabelFontSize\"\n"
"                            default_values=\"12\"\n"
"                            name=\"ScatterPlotAxisLabelFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis title font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetScatterPlotAxisLabelBold\"\n"
"                            default_values=\"0\"\n"
"                            name=\"ScatterPlotAxisLabelBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title bold.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetScatterPlotAxisLabelItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"ScatterPlotAxisLabelItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title italic.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScatterPlotAxisLabelColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"ScatterPlotAxisLabelColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"ScatterPlot\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"ScatterPlotBackgroundColor\"/>\n"
"        <Property name=\"ScatterPlotAxisColor\"/>\n"
"        <Property name=\"ScatterPlotGridColor\"/>\n"
"        <Property name=\"ScatterPlotGridVisibility\"/>\n"
"        <Property name=\"ScatterPlotAxisLabelVisibility\"/>\n"
"        <Property name=\"ScatterPlotAxisLabelNotation\"/>\n"
"        <Property name=\"ScatterPlotAxisLabelPrecision\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"ScatterPlot Axis Label Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"ScatterPlotAxisLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"ScatterPlotAxisLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"ScatterPlotAxisLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"ScatterPlotAxisLabelBold\" function=\"Bold\" />\n"
"        <Property name=\"ScatterPlotAxisLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"ScatterPlotAxisLabelFontSize\" function=\"Size\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- histogram -->\n"
"      <DoubleVectorProperty command=\"SetHistogramBackgroundColor\"\n"
"                            default_values=\"0.5 0.5 0.5 0.4\"\n"
"                            name=\"HistogramBackgroundColor\"\n"
"                            number_of_elements=\"4\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1 1 1 1\"\n"
"                           min=\"0 0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetHistogramAxisColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"HistogramAxisColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetHistogramGridColor\"\n"
"                            default_values=\"0.95 0.95 0.95\"\n"
"                            name=\"HistogramGridColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetHistogramGridVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"HistogramGridVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHistogramAxisLabelVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"HistogramAxisLabelVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHistogramAxisLabelNotation\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"HistogramAxisLabelNotation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scientific\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Fixed\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHistogramAxisLabelPrecision\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"HistogramAxisLabelPrecision\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetHistogramAxisLabelFontFamily\"\n"
"                            default_values=\"Arial\"\n"
"                            name=\"HistogramAxisLabelFontFamily\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Arial\" />\n"
"          <String value=\"Courier\" />\n"
"          <String value=\"Times\" />\n"
"          <String value=\"File\" />\n"
"        </StringListDomain>\n"
"        <Documentation>Set the font familyname.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetHistogramAxisLabelFontFile\"\n"
"                            name=\"HistogramAxisLabelFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <Documentation>Set the font file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetHistogramAxisLabelFontSize\"\n"
"                            default_values=\"12\"\n"
"                            name=\"HistogramAxisLabelFontSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the axis title font size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHistogramAxisLabelBold\"\n"
"                            default_values=\"0\"\n"
"                            name=\"HistogramAxisLabelBold\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title bold.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHistogramAxisLabelItalic\"\n"
"                            default_values=\"0\"\n"
"                            name=\"HistogramAxisLabelItalic\"\n"
"                            number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the axis title italic.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetHistogramAxisLabelColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"HistogramAxisLabelColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Histogram\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"HistogramBackgroundColor\"/>\n"
"        <Property name=\"HistogramAxisColor\"/>\n"
"        <Property name=\"HistogramGridColor\"/>\n"
"        <Property name=\"HistogramGridVisibility\"/>\n"
"        <Property name=\"HistogramAxisLabelVisibility\"/>\n"
"        <Property name=\"HistogramAxisLabelNotation\"/>\n"
"        <Property name=\"HistogramAxisLabelPrecision\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Histogram Axis Label Properties\"\n"
"                     panel_widget=\"FontEditor\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <Property name=\"HistogramAxisLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"HistogramAxisLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"HistogramAxisLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"HistogramAxisLabelBold\" function=\"Bold\" />\n"
"        <Property name=\"HistogramAxisLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"HistogramAxisLabelFontSize\" function=\"Size\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <ShowOneRepresentationAtATime type=\"PlotMatrixRepresentation\" />\n"
"        <!-- When present, vtkSMParaViewPipelineController::Show() will\n"
"             result in hiding other representations that are currently visible\n"
"             -->\n"
"      </Hints>\n"
"\n"
"      <!-- end of PlotMatrixViewProxy -->\n"
"    </PlotMatrixViewProxy>\n"
"    <!-- ================================================================== -->\n"
"    <SpreadSheetViewProxy base_proxygroup=\"internal_views\"\n"
"               base_proxyname=\"ViewBase\"\n"
"               class=\"vtkSpreadSheetView\"\n"
"               name=\"SpreadSheetView\"\n"
"               label=\"SpreadSheet View\"\n"
"               processes=\"client|dataserver|renderserver\"\n"
"               representation_name=\"SpreadSheetRepresentation\">\n"
"      <IntVectorProperty name=\"CellFontSize\"\n"
"                         default_values=\"9\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\" max=\"48\" name=\"range\" />\n"
"        <Documentation>Sets the font size for cells in the\n"
"        spreadsheet.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"HeaderFontSize\"\n"
"                         default_values=\"9\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\" max=\"48\" name=\"range\" />\n"
"        <Documentation>Sets the font size for row and column headers\n"
"        in the spreadsheet.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetShowExtractedSelection\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SelectionOnly\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <Documentation>When set to 1, this representations shows only the\n"
"        selected cells (or points). The change will effect only after calling\n"
"        Update(). Note that changing this will clean all cache.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateCellConnectivity\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GenerateCellConnectivity\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Generation of the cell connectivity.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetColumnNameToSort\"\n"
"                            name=\"ColumnToSort\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetInvertSortOrder\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InvertOrder\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IdTypeVectorProperty command=\"SetBlockSize\"\n"
"                            default_values=\"1024\"\n"
"                            name=\"BlockSize\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Documentation>Get/Set the number of rows that fit within one block.\n"
"        The output of this filter will have at most BlockSize\n"
"        rows.</Documentation>\n"
"      </IdTypeVectorProperty>\n"
"      <StringVectorProperty command=\"HideColumnByLabel\"\n"
"                            clean_command=\"ClearHiddenColumnsByLabel\"\n"
"                            name=\"HiddenColumnLabels\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            default_values_delimiter=\";\"\n"
"                            default_values=\"Block Number\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>This is list of labels for columns that will be hidden\n"
"          in the view i.e. these columns won't be show in the GUI or exported\n"
"          when exporting the view.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetFieldAssociation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FieldAssociation\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <Documentation>Select the attribute data to pass.</Documentation>\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
"                         name=\"enum\">\n"
"        </FieldDataDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ShowOneRepresentationAtATime />\n"
"        <!-- When present, vtkSMParaViewPipelineController::Show() will\n"
"             result in hiding other representations that are currently visible\n"
"             -->\n"
"      </Hints>\n"
"\n"
"      <!-- End of SpreadSheetView -->\n"
"    </SpreadSheetViewProxy>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface13 =
"\n"
"    <!-- ================================================================== -->\n"
"    <RenderViewProxy name=\"RenderViewWithEDL\" class=\"vtkPVRenderViewWithEDL\"\n"
"                     label=\"Eye Dome Lighting\"\n"
"                     processes=\"client|renderserver|dataserver\"\n"
"                     base_proxygroup=\"views\"\n"
"                     base_proxyname=\"RenderView\">\n"
"    <!-- End of EyeDomeLighting View -->\n"
"    </RenderViewProxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"internal_representations\">\n"
"    <PVRepresentationProxy class=\"vtkPVCompositeRepresentation\"\n"
"                           name=\"PVRepresentationBase\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>ParaView's default representation for showing any type of\n"
"      dataset in the render view.</Documentation>\n"
"      <InputProperty command=\"SetSelectionConnection\"\n"
"                     name=\"Selection\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkSelection\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the selection.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility for this\n"
"        representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetSelectionVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SelectionVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility for the selection, if\n"
"        any.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <RepresentationType subproxy=\"OutlineRepresentation\"\n"
"                          text=\"Outline\" />\n"
"      <RepresentationType subproxy=\"FeatureEdgesRepresentation\"\n"
"                          text=\"Feature Edges\" />\n"
"      <RepresentationType subproxy=\"SurfaceRepresentation\"\n"
"                          subtype=\"Points\"\n"
"                          text=\"Points\" />\n"
"      <RepresentationType subproxy=\"SurfaceRepresentation\"\n"
"                          subtype=\"Wireframe\"\n"
"                          text=\"Wireframe\" />\n"
"      <RepresentationType subproxy=\"SurfaceRepresentation\"\n"
"                          subtype=\"Surface\"\n"
"                          text=\"Surface\" />\n"
"      <RepresentationType subproxy=\"SurfaceRepresentation\"\n"
"                          subtype=\"Surface With Edges\"\n"
"                          text=\"Surface With Edges\" />\n"
"      <RepresentationType subproxy=\"Glyph3DRepresentation\"\n"
"                          subtype=\"Surface\"\n"
"                          text=\"3D Glyphs\" />\n"
"      <RepresentationType subproxy=\"PointGaussianRepresentation\"\n"
"                          text=\"Point Gaussian\" />\n"
"      <StringVectorProperty command=\"GetRepresentationTypes\"\n"
"                            information_only=\"1\"\n"
"                            name=\"RepresentationTypesInfo\"\n"
"                            si_class=\"vtkSIDataArrayProperty\">\n"
"        <Documentation>Property that lists the available representation types.\n"
"        This is used by the domain for \"Representation\" to setup the list of\n"
"        types available correctly.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetActiveRepresentation\"\n"
"                            default_values=\"Surface\"\n"
"                            name=\"Representation\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\"\n"
"                            panel_widget=\"display_representation_selector\" >\n"
"        <Documentation>Choose the type for the representation.</Documentation>\n"
"        <RepresentationTypeDomain name=\"list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"StringList\"\n"
"                      name=\"RepresentationTypesInfo\" />\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentationTypeDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellFieldDataArrayName\"\n"
"                            default_values=\"vtkOriginalCellIds\"\n"
"                            name=\"SelectionCellFieldDataArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <ArrayListDomain input_domain_name=\"input_array_cell\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointFieldDataArrayName\"\n"
"                            default_values=\"vtkOriginalPointIds\"\n"
"                            name=\"SelectionPointFieldDataArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <ArrayListDomain input_domain_name=\"input_array_point\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"SurfaceRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup panel_visibility=\"default\"\n"
"                         panel_widget=\"ColorEditor\"\n"
"                         label=\"Coloring\" >\n"
"            <Property name=\"AmbientColor\" />\n"
"            <Property name=\"ColorArrayName\" />\n"
"            <Property name=\"DiffuseColor\" />\n"
"            <Property name=\"LookupTable\" />\n"
"            <Property name=\"UseSeparateColorMap\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Scalar Coloring\">\n"
"            <Property name=\"MapScalars\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"MultiComponentsMapping\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"InterpolateScalarsBeforeMapping\"\n"
"                      panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Styling\">\n"
"            <Property name=\"Opacity\"\n"
"                      panel_visibility=\"default\" />\n"
"            <Property name=\"PointSize\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"points\" />\n"
"            <Property name=\"LineWidth\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"wireframe\" />\n"
"            <Property name=\"RenderLinesAsTubes\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"wireframe\"/>\n"
"            <Property name=\"RenderPointsAsSpheres\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"points\"/>\n"
"            <Hints>\n"
"              <!--Hide for volume representation-->\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Volume\"\n"
"                                       inverse=\"1\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Lighting\">\n"
"            <Property name=\"Interpolation\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"Specular\"\n"
"                      panel_visibility=\"default\" />\n"
"            <Property name=\"SpecularColor\"\n"
"                      panel_widget=\"color_selector\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"InteractiveSelectionColor\"\n"
"                      panel_visibility=\"never\" />\n"
"            <Property name=\"SpecularPower\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"Luminosity\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"Ambient\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Diffuse\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Roughness\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Metallic\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"EdgeTint\"\n"
"                      panel_widget=\"color_selector\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Anisotropy\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"AnisotropyRotation\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"BaseIOR\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoatStrength\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoatIOR\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoatRoughness\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoatColor\"\n"
"                      panel_widget=\"color_selector\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"SelectTCoordArray\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"SelectNormalArray\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"SelectTangentArray\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Texture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"RepeatTextures\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"InterpolateTextures\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"SeamlessU\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"SeamlessV\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"UseMipmapTextures\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"ShowTexturesOnBackface\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"BaseColorTexture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"NormalTexture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"NormalScale\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoatNormalTexture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoatNormalScale\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"MaterialTexture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"OcclusionStrength\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"AnisotropyTexture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"EmissiveTexture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"EmissiveFactor\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"FlipTextures\" panel_visibility=\"advanced\"/>\n"
"            <Hints>\n"
"              <!--Hide for volume representation-->\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Volume\"\n"
"                                       inverse=\"1\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Edge Styling\">\n"
"            <Property name=\"EdgeColor\"\n"
"                      panel_widget=\"color_selector_with_palette\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"Surface With Edges\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Backface Styling\">\n"
"            <Property name=\"BackfaceRepresentation\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"BackfaceAmbientColor\"\n"
"                      panel_widget=\"color_selector\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"BackfaceDiffuseColor\"\n"
"                      panel_widget=\"color_selector\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"BackfaceOpacity\"\n"
"                      panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Transforming\">\n"
"            <Property name=\"Position\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"Scale\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"Orientation\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"Origin\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"CoordinateShiftScaleMethod\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Miscellaneous\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface14 =
"            <Property name=\"Pickable\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"StaticMode\"\n"
"                      panel_visibility=\"never\" />\n"
"            <Property name=\"SuppressLOD\"\n"
"                      panel_visibility=\"never\" />\n"
"            <Property name=\"UserTransform\"\n"
"                      panel_visibility=\"never\" />\n"
"            <Property name=\"Triangulate\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"UseShaderReplacements\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"ShaderReplacements\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"NonlinearSubdivisionLevel\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"BlockColorsDistinctValues\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"UseDataPartitions\"\n"
"                      panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup panel_visibility=\"advanced\"\n"
"                         label=\"Ray Tracing\" >\n"
"            <Property name=\"OSPRayUseScaleArray\" />\n"
"            <Property name=\"OSPRayScaleArray\" />\n"
"            <Property name=\"OSPRayScaleFunction\" />\n"
"            <Property name=\"OSPRayMaterial\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Blocks\"\n"
"                         panel_widget=\"DataAssemblyEditor\"\n"
"                         panel_visibility=\"multiblock_inspector\">\n"
"            <!--\n"
"               place holder for future work\n"
"               <Property name=\"Assembly\"       function=\"ActiveAssembly\" />\n"
"            -->\n"
"            <Property name=\"BlockSelectors\" function=\"Selectors\" />\n"
"            <Property name=\"BlockColors\"    function=\"Colors\" />\n"
"            <Property name=\"BlockOpacities\" function=\"Opacities\" />\n"
"            <Hints>\n"
"              <DataAssemblyPropertyWidget use_inputname_as_header=\"1\" link_active_selection=\"1\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"OutlineRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"OutlineRepresentation\"></Proxy>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"FeatureEdgesRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"FeatureEdgesRepresentation\"></Proxy>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Glyph3DRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"Glyph3DRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Glyph Parameters\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"Masking\"\n"
"                      panel_visibility=\"never\" />\n"
"            <Property name=\"MeshVisibility\"\n"
"                      panel_visibility=\"never\" />\n"
"            <Property name=\"Orient\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"OrientationMode\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"SelectOrientationVectors\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"Scaling\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"ScaleMode\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"ScaleFactor\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"SelectMaskArray\"\n"
"                      panel_visibility=\"never\" />\n"
"            <Property name=\"SelectScaleArray\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"GlyphType\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"3d glyphs\"/>\n"
"            <Property name=\"UseGlyphTable\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"GlyphTableIndexArray\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"UseCompositeGlyphTable\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"UseGlyphCullingAndLOD\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"LODValues\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"ColorByLODIndex\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Hints>\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         mode=\"visibility\"\n"
"                                         property=\"Representation\"\n"
"                                         value=\"3D Glyphs\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"PointGaussianRepresentation\"\n"
"               proxygroup=\"representations\" proxyname=\"PointGaussianRepresentation\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Point Gaussian\">\n"
"            <Property name=\"GaussianRadius\" />\n"
"            <Property name=\"ShaderPreset\" />\n"
"            <Property name=\"CustomTriangleScale\" />\n"
"            <Property name=\"CustomShader\" />\n"
"            <Property name=\"Emissive\" />\n"
"            <Property name=\"ScaleByArray\" />\n"
"            <Property name=\"SetScaleArray\" />\n"
"            <Property name=\"ScaleArrayComponent\" />\n"
"            <Property name=\"UseScaleFunction\" />\n"
"            <Property name=\"ScaleTransferFunction\" />\n"
"            <Property name=\"OpacityByArray\" />\n"
"            <Property name=\"OpacityArray\" />\n"
"            <Property name=\"OpacityArrayComponent\" />\n"
"            <Property name=\"OpacityTransferFunction\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Point Gaussian\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <ProxyProperty name=\"DataAxesGrid\"\n"
"                     command=\"SetGridAxesRepresentation\"\n"
"                     panel_widget=\"proxy_editor\" >\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"representations\" name=\"GridAxesRepresentation\" />\n"
"        </ProxyListDomain>\n"
"        <Hints>\n"
"          <!-- tell pqProxyEditorPropertyWidget that use the \"GridAxesVisibility\"\n"
"               property on the GridAxes3DRepr for a checkbox on the UI -->\n"
"          <ProxyEditorPropertyWidget property=\"GridAxesVisibility\" />\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <SubProxy command=\"SetSelectionRepresentation\">\n"
"        <Proxy name=\"SelectionRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"SelectionRepresentation\" />\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"          <Exception name=\"Representation\" />\n"
"          <Exception name=\"Color\" />\n"
"          <Exception name=\"LineWidth\" />\n"
"          <Exception name=\"Opacity\" />\n"
"          <Exception name=\"PointSize\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"SelectionColor\" name=\"Color\" panel_visibility=\"never\" />\n"
"          <Property exposed_name=\"SelectionOpacity\" name=\"Opacity\" panel_visibility=\"never\" />\n"
"          <Property exposed_name=\"SelectionUseOutline\" name=\"UseOutline\" panel_visibility=\"never\" />\n"
"          <Property exposed_name=\"SelectionRepresentation\" name=\"Representation\" panel_visibility=\"never\" />\n"
"          <Property exposed_name=\"SelectionPointSize\" name=\"PointSize\" panel_visibility=\"never\" />\n"
"          <Property exposed_name=\"SelectionLineWidth\" name=\"LineWidth\" panel_visibility=\"never\" />\n"
"          <Property exposed_name=\"SelectionCellLabelVisibility\" name=\"CellLabelVisibility\" panel_visibility=\"never\"/>\n"
"          <PropertyGroup label=\"Cell Label Font\" panel_visibility=\"never\" panel_widget=\"FontEditor\">\n"
"            <Property exposed_name=\"SelectionCellLabelBold\" name=\"CellLabelBold\" function=\"Bold\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelColor\" name=\"CellLabelColor\" function=\"Color\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelFontFamily\" name=\"CellLabelFontFamily\" function=\"Family\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelFontFile\" name=\"CellLabelFontFile\" function=\"File\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelFontSize\" name=\"CellLabelFontSize\" function=\"Size\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelItalic\" name=\"CellLabelItalic\" function=\"Italics\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelJustification\" name=\"CellLabelJustification\" function=\"Justification\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelOpacity\" name=\"CellLabelOpacity\" function=\"Opacity\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelShadow\" name=\"CellLabelShadow\" function=\"Shadow\"/>\n"
"          </PropertyGroup>\n"
"          <Property exposed_name=\"SelectionCellLabelFormat\" name=\"CellLabelFormat\" panel_visibility=\"never\"/>\n"
"          <Property exposed_name=\"SelectionPointLabelVisibility\" name=\"PointLabelVisibility\" panel_visibility=\"never\"/>\n"
"          <Property exposed_name=\"SelectionMaximumNumberOfLabels\" name=\"MaximumNumberOfLabels\" panel_visibility=\"never\"/>\n"
"          <PropertyGroup label=\"Point Label Font\" panel_visibility=\"never\" panel_widget=\"FontEditor\">\n"
"            <Property exposed_name=\"SelectionPointLabelBold\" name=\"PointLabelBold\" function=\"Bold\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelColor\" name=\"PointLabelColor\" function=\"Color\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelFontFamily\" name=\"PointLabelFontFamily\" function=\"Family\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelFontFile\" name=\"PointLabelFontFile\" function=\"File\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelFontSize\" name=\"PointLabelFontSize\" function=\"Size\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelItalic\" name=\"PointLabelItalic\" function=\"Italics\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelJustification\" name=\"PointLabelJustification\" function=\"Justification\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelOpacity\" name=\"PointLabelOpacity\" function=\"Opacity\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelShadow\" name=\"PointLabelShadow\" function=\"Shadow\"/>\n"
"          </PropertyGroup>\n"
"          <Property exposed_name=\"SelectionPointLabelFormat\" name=\"PointLabelFormat\" panel_visibility=\"never\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <ProxyProperty name=\"PolarAxes\"\n"
"                     command=\"SetPolarAxesRepresentation\"\n"
"                     panel_visibility=\"advanced\"\n"
"                     panel_widget=\"proxy_editor\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"representations\" name=\"PolarAxesRepresentation\" />\n"
"        </ProxyListDomain>\n"
"        <Hints>\n"
"          <ProxyEditorPropertyWidget property=\"Visibility\"/>\n"
"            <!-- tell pqProxyEditorPropertyWidget that use the \"Visibility\"\n"
"                 property on the PolarAxesActor proxy for a checkbox\n"
"                 on the UI -->\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <PropertyGroup label=\"Annotations\">\n"
"        <Property name=\"PolarAxes\"\n"
"                  panel_visibility=\"advanced\" />\n"
"      </PropertyGroup>\n"
"    </PVRepresentationProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"representations\">\n"
"    <!-- ================================================================== -->\n"
"    <PVRepresentationProxy base_proxygroup=\"internal_representations\"\n"
"                           base_proxyname=\"PVRepresentationBase\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
"                           name=\"GeometryRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>ParaView's default representation for showing any type of\n"
"      dataset in the render view.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkGenericDataSet\" />\n"
"\n"
"          <!-- for MB, we want to match if any of the leaf nodes is of the following type -->\n"
"          <DataType value=\"vtkDataObjectTree\" child_match=\"any\">\n"
"            <DataType value=\"vtkDataSet\" />\n"
"            <DataType value=\"vtkGenericDataSet\" />\n"
"          </DataType>\n"
"\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell\"\n"
"                          optional=\"1\"></InputArrayDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point\"\n"
"                          optional=\"1\"></InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End of GeometryRepresentation -->\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <PVRepresentationProxy base_proxygroup=\"internal_representations\"\n"
"                           base_proxyname=\"PVRepresentationBase\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
"                           name=\"UnstructuredGridRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>This representation is used to show unstructured grid as\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface15 =
"      Surface/Outline/Points/Wireframe/Volume</Documentation>\n"
"      <!-- this adds to what is already defined in PVRepresentationBase -->\n"
"      <RepresentationType subproxy=\"VolumeRepresentation\"\n"
"                          text=\"Volume\" />\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"          <DataType value=\"vtkUnstructuredGridBase\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell\"\n"
"                          optional=\"1\"></InputArrayDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point\"\n"
"                          optional=\"1\"></InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"UnstructuredGridVolumeRepresentation\" />\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Volume Rendering\">\n"
"            <Property name=\"ScalarOpacityFunction\" />\n"
"            <Property name=\"ScalarOpacityUnitDistance\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"UseSeparateOpacityArray\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"OpacityArrayName\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"OpacityComponent\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"SelectMapper\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"volume\" />\n"
"            <Property name=\"SamplingDimensions\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"volume\"/>\n"
"            <Property name=\"UseFloatingPointFrameBuffer\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"                <Expression type=\"or\">\n"
"                  <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                           mode=\"visibility\"\n"
"                                           property=\"Representation\"\n"
"                                           value=\"Volume\" />\n"
"                  <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                           mode=\"visibility\"\n"
"                                           property=\"Representation\"\n"
"                                           value=\"NVIDIA IndeX\" />\n"
"                </Expression>\n"
"              </PropertyWidgetDecorator>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <!-- pqDisplayRepresentationWidget respects this hint to put out\n"
"             a warning for the user before switching to this type of Representation.\n"
"             The user can then accept or reject the change.\n"
"             BUG #15117\n"
"        -->\n"
"        <WarnOnRepresentationChange value=\"Volume\" />\n"
"      </Hints>\n"
"      <!-- End of UnstructuredGridRepresentation -->\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <PVRepresentationProxy base_proxygroup=\"internal_representations\"\n"
"                           base_proxyname=\"PVRepresentationBase\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
"                           name=\"StructuredGridRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>This representation is used to show structured grid as\n"
"      Surface/Outline/Points/Wireframe/Volume</Documentation>\n"
"      <!-- this adds to what is already defined in PVRepresentationBase -->\n"
"      <RepresentationType subproxy=\"VolumeRepresentation\"\n"
"                          text=\"Volume\" />\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkStructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point\"\n"
"                          optional=\"1\"></InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"StructuredGridVolumeRepresentation\" />\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Volume Rendering\">\n"
"            <Property name=\"ScalarOpacityFunction\" />\n"
"            <Property name=\"ScalarOpacityUnitDistance\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"SelectMapper\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"volume\" />\n"
"            <Property name=\"SamplingDimensions\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"volume\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Volume\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <!-- pqDisplayRepresentationWidget respects this hint to put out\n"
"             a warning for the user before switching to this type of Representation.\n"
"             The user can then accept or reject the change.\n"
"             BUG #15117\n"
"        -->\n"
"        <WarnOnRepresentationChange value=\"Volume\" />\n"
"      </Hints>\n"
"      <!-- End of StructuredGridRepresentation -->\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <PVRepresentationProxy base_proxygroup=\"internal_representations\"\n"
"                           base_proxyname=\"PVRepresentationBase\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
"                           name=\"UniformGridRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>This representation is used to show image data as\n"
"      Surface/Outline/Points/Wireframe/Volume/Slice.</Documentation>\n"
"      <!-- this adds to the types already defined in PVRepresentationBase -->\n"
"      <RepresentationType subproxy=\"VolumeRepresentation\"\n"
"                          text=\"Volume\" />\n"
"      <RepresentationType subproxy=\"SliceRepresentation\"\n"
"                          text=\"Slice\" />\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"          <DataType value=\"vtkRectilinearGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell\"\n"
"                          optional=\"1\"></InputArrayDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point\"\n"
"                          optional=\"1\"></InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"UniformGridVolumeRepresentation\" />\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Volume Rendering\">\n"
"            <Property name=\"ScalarOpacityUnitDistance\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"ScalarOpacityFunction\" />\n"
"            <Property name=\"TransferFunction2D\" />\n"
"            <Property name=\"UseSeparateOpacityArray\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"OpacityArrayName\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"OpacityComponent\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"UseTransfer2D\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"UseGradientForTransfer2D\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"ColorArray2Name\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"ColorArray2Component\"\n"
"                      panel_visibility=\"advanced\" />\n"
"            <Property name=\"VolumeRenderingMode\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"volume\" />\n"
"            <Property name=\"Shade\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"volume\" />\n"
"            <Property name=\"GlobalIlluminationReach\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"volume\" />\n"
"            <Property name=\"VolumetricScatteringBlending\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"volume\" />\n"
"            <Property name=\"VolumeAnisotropy\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"InterpolationType\"\n"
"                      panel_visibility=\"never\" />\n"
"            <Property name=\"BlendMode\" />\n"
"            <Property name=\"IsosurfaceValues\" />\n"
"            <Property name=\"SliceFunction\" />\n"
"            <Property name=\"UseCropping\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"                <Expression type=\"or\">\n"
"                  <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                           mode=\"visibility\"\n"
"                                           property=\"Representation\"\n"
"                                           value=\"Volume\" />\n"
"                  <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                           mode=\"visibility\"\n"
"                                           property=\"Representation\"\n"
"                                           value=\"NVIDIA IndeX\" />\n"
"                </Expression>\n"
"              </PropertyWidgetDecorator>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Cropping Parameters\" panel_widget=\"InteractiveBox\">\n"
"            <Property function=\"Position\" name=\"CroppingOrigin\" />\n"
"            <Property function=\"Scale\" name=\"CroppingScale\" />\n"
"            <Property function=\"Input\" name=\"DummyInput\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"                <Expression type=\"and\">\n"
"                  <Expression type=\"or\">\n"
"                    <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                             mode=\"visibility\"\n"
"                                             property=\"Representation\"\n"
"                                             value=\"Volume\" />\n"
"                    <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                             mode=\"visibility\"\n"
"                                             property=\"Representation\"\n"
"                                             value=\"NVIDIA IndeX\" />\n"
"                  </Expression>\n"
"                  <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                           mode=\"visibility\"\n"
"                                           property=\"UseCropping\"\n"
"                                           value=\"1\" />\n"
"                </Expression>\n"
"              </PropertyWidgetDecorator>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <LinkProperties>\n"
"          <Property name=\"DummyInput\" with_property=\"Input\" />\n"
"        </LinkProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"SliceRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"ImageSliceRepresentation\" />\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Slicing\">\n"
"            <Property name=\"SliceMode\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"slice\" />\n"
"            <Property name=\"Slice\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"slice\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Slice\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <!-- pqDisplayRepresentationWidget respects this hint to put out\n"
"             a warning for the user before switching to this type of Representation.\n"
"             The user can then accept or reject the change.\n"
"             BUG #15117\n"
"        -->\n"
"        <WarnOnRepresentationChange value=\"Volume\" />\n"
"      </Hints>\n"
"      <!-- End of UniformGridRepresentation -->\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <PVRepresentationProxy base_proxygroup=\"internal_representations\"\n"
"                           base_proxyname=\"PVRepresentationBase\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface16 =
"                           name=\"AMRRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>This representation is used to show AMR data as\n"
"      Surface/Outline/Points/Wireframe/Volume.</Documentation>\n"
"      <!-- this adds to the types already defined in PVRepresentationBase -->\n"
"      <RepresentationType subproxy=\"VolumeRepresentation\"\n"
"                          text=\"Volume\" />\n"
"      <RepresentationType subproxy=\"AMROutlineRepresentation\"\n"
"                          text=\"AMR Blocks\" />\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell\"\n"
"                          optional=\"1\"></InputArrayDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point\"\n"
"                          optional=\"1\"></InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeRepresentation\"\n"
"               proxygroup=\"internal_representations\"\n"
"               proxyname=\"AMRVolumeRepresentation\" />\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"        <PropertyGroup label=\"Volume Rendering\">\n"
"          <Property name=\"ScalarOpacityUnitDistance\"\n"
"                    panel_visibility=\"advanced\" />\n"
"          <Property name=\"ScalarOpacityFunction\" />\n"
"          <Property name=\"VolumeRenderingMode\" />\n"
"          <Property name=\"ResamplingMode\" />\n"
"          <Property name=\"StreamingRequestSize\" />\n"
"          <Property name=\"NumberOfSamples\" />\n"
"          <Property name=\"Shade\" />\n"
"          <Hints>\n"
"            <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                     mode=\"visibility\"\n"
"                                     property=\"Representation\"\n"
"                                     value=\"Volume\" />\n"
"          </Hints>\n"
"        </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"AMROutlineRepresentation\"\n"
"               proxygroup=\"internal_representations\"\n"
"               proxyname=\"AMROutlineRepresentation\" />\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <!-- pqDisplayRepresentationWidget respects this hint to put out\n"
"             a warning for the user before switching to this type of Representation.\n"
"             The user can then accept or reject the change.\n"
"             BUG #15117\n"
"        -->\n"
"        <WarnOnRepresentationChange value=\"Volume\" />\n"
"      </Hints>\n"
"\n"
"      <!-- End of AMRRepresentation -->\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <PVRepresentationProxy class=\"vtkPVCompositeRepresentation\"\n"
"                           name=\"HyperTreeGridRepresentation\"\n"
"                           base_proxygroup=\"internal_representations\"\n"
"                           base_proxyname=\"PVRepresentationBase\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>Representation to show Hyper Tree Grids in the render view\n"
"      based on the Composite Representation.</Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"          <DataType value=\"vtkDataObjectTree\" child_match=\"all\">\n"
"            <DataType value=\"vtkHyperTreeGrid\" />\n"
"          </DataType>\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <PVRepresentationProxy class=\"vtkHyperTreeGridRepresentation\"\n"
"                           name=\"FastHyperTreeGridRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\"\n"
"                           si_class=\"vtkSIProxy\">\n"
"      <Documentation>Dedicated representation to show 2D Hyper Tree Grid.\n"
"        Use an adaptive decimation mechanism for improved performances.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell\"\n"
"                          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetAdaptiveDecimation\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AdaptiveDecimation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable the use of the Adaptive decimation to only map the part\n"
"          of the HTG inside the camera frustum. Only support 2D HTG with\n"
"          parallel prokjection.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"HTG Surface\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"HTG Surface With Edges\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"HTG Wireframe\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetRepresentation\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Representation\"\n"
"                         panel_widget=\"display_representation_selector\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Wireframe\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Surface\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Surface With Edges\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ColorArrayName\"\n"
"                            no_custom_default=\"1\"\n"
"                            number_of_elements=\"5\">\n"
"        <Documentation>\n"
"          Set the array to color with. One must specify the field association and\n"
"          the array name of the array. If the array is missing, scalar coloring will\n"
"          automatically be disabled.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- Coloring -->\n"
"\n"
"      <IntVectorProperty command=\"SetMapScalars\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MapScalars\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set to True, LookupTable will always be\n"
"        used for scalar mapping. Otherwise, when up to 4 component\n"
"        scalars are present, the components are clamped to a valid\n"
"        color interval (0-255 for an integral type and 0.0-1.0 for a\n"
"        floating point type) and then directly used as\n"
"        color.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetLookupTable\"\n"
"                     name=\"LookupTable\" >\n"
"        <Documentation>Set the lookup-table to use to map data array to colors.\n"
"        Lookuptable is only used with MapScalars to ON.</Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"UseSeparateColorMap\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>By default, ParaView shares a single color map among all datasets colored\n"
"        by arrays that have the same name. When this option is enabled, the active dataset will\n"
"        be assigned a separate color map not shared by other datasets.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDiffuseColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"DiffuseColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"SurfaceColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          The solid color of the model.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- Edges parameters -->\n"
"\n"
"      <DoubleVectorProperty command=\"SetEdgeColor\"\n"
"                            default_values=\"0 0 0.5\"\n"
"                            name=\"EdgeColor\"\n"
"                            panel_widget=\"color_selector_with_palette\"\n"
"                            number_of_elements=\"3\">\n"
"        <Documentation>Set the edge color. This color is used to draw the edge\n"
"        for the hyper tree grid data when EdgeVisibility is on.</Documentation>\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"EdgeColor\" unlink_if_modified=\"1\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Representation\"\n"
"                                   value=\"3\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- Position -->\n"
"\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            label=\"Translation\"\n"
"                            name=\"Position\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Orientation\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- UI -->\n"
"\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <Extension name=\"HyperTreeGridRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard HTG Representation by adding\n"
"        Fast2DHyperTreeGridRepresentation as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"FastHyperTreeGridRepresentation\"\n"
"        text=\"HTG Surface\" subtype=\"Surface\"/>\n"
"      <RepresentationType subproxy=\"FastHyperTreeGridRepresentation\"\n"
"        text=\"HTG Surface With Edges\" subtype=\"Surface With Edges\"/>\n"
"      <RepresentationType subproxy=\"FastHyperTreeGridRepresentation\"\n"
"        text=\"HTG Wireframe\" subtype=\"Wireframe\"/>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"FastHyperTreeGridRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"FastHyperTreeGridRepresentation\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup panel_visibility=\"default\"\n"
"                         label=\"HTG Rendering\" >\n"
"            <Property name=\"AdaptiveDecimation\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkStructuredGridVolumeRepresentation\"\n"
"                         name=\"StructuredGridVolumeRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         si_class=\"vtkSIUnstructuredGridVolumeRepresentationProxy\"\n"
"                         base_proxygroup=\"representations\"\n"
"                         base_proxyname=\"UnstructuredGridVolumeRepresentation\">\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkImageVolumeRepresentation\"\n"
"                         name=\"UniformGridVolumeRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         si_class=\"vtkSIProxy\">\n"
"      <Documentation>Representation for rendering a vtkImageData as\n"
"      volume.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface17 =
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"any\"\n"
"                          name=\"input_array_any\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility for this\n"
"        representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ColorArrayName\"\n"
"                            no_custom_default=\"1\"\n"
"                            number_of_elements=\"5\">\n"
"        <Documentation>\n"
"          Set the array to color with. One must specify the field association and\n"
"          the array name of the array. If the array is missing, scalar coloring will\n"
"          automatically be disabled.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseTransfer2D\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseTransfer2D\"\n"
"                         label=\"Use 2D Transfer Function\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is on, a 2D transfer function will be used for volume rendering instead\n"
"          of two 1D piecewise functions.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseGradientForTransfer2D\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseGradientForTransfer2D\"\n"
"                         label=\"Use Gradient as Y-Axis Array\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is on, the gradient of the input scalar array will be used for the Y\n"
"          axis of the 2D transfer function.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseTransfer2D\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"ColorArray2Name\"\n"
"                            command=\"SelectColorArray2\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"2D Transfer Function Y-Axis Array\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"          input_domain_name=\"input_point_array\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          Set the second array to color with. This would be used when a 2D transfer function is\n"
"          enabled and if the use_gradient property is set to false.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseTransfer2D\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseGradientForTransfer2D\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SelectColorArray2Component\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ColorArray2Component\"\n"
"                         label=\"2D Transfer Function Y-Axis Array Component\"\n"
"                         number_of_elements=\"1\">\n"
"        <NumberOfComponentsDomain name=\"comps\" enable_magnitude=\"0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"ColorArray2Name\" />\n"
"          </RequiredProperties>\n"
"        </NumberOfComponentsDomain>\n"
"        <Documentation>\n"
"          This property indicates the component of the array to be used for Y-axis of the volume 2D\n"
"          transfer function.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseTransfer2D\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseGradientForTransfer2D\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseSeparateOpacityArray\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseSeparateOpacityArray\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is on, the Opacity Array will be used to determine the\n"
"          point gaussian sprites.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseTransfer2D\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"OpacityArrayName\"\n"
"                            command=\"SelectOpacityArray\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Volume Opacity Array\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"          input_domain_name=\"input_point_array\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property specifies the name of the input array to map to opacity.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseSeparateOpacityArray\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseTransfer2D\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SelectOpacityArrayComponent\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OpacityComponent\"\n"
"                         number_of_elements=\"1\">\n"
"        <NumberOfComponentsDomain name=\"comps\" enable_magnitude=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"OpacityArrayName\" />\n"
"          </RequiredProperties>\n"
"        </NumberOfComponentsDomain>\n"
"        <Documentation>\n"
"          This property indicates the component of the array to be used for opacity.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseSeparateOpacityArray\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseTransfer2D\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Orientation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPickable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Pickable\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolationType\"\n"
"                         default_values=\"2\"\n"
"                         name=\"InterpolationType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Nearest\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Linear\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Cubic\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetColor\"\n"
"                     name=\"LookupTable\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"transfer_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty command=\"SetAmbient\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Ambient\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDiffuse\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Diffuse\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecular\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Specular\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecularPower\"\n"
"                            default_values=\"100.0\"\n"
"                            name=\"SpecularPower\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"100\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetShade\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Shade\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable shading.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetGlobalIlluminationReach\"\n"
"            default_values=\"0.0\"\n"
"            name=\"GlobalIlluminationReach\"\n"
"            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"          min=\"0.0\"\n"
"          name=\"range\" />\n"
"        <Documentation>\n"
"          This parameter acts as a balance between localness and globalness of shadows.\n"
"          A higher value results in more accurate, but also slower renders.\n"
"          A slower value results in faster renders, but only produces ambiant occlusion.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                      mode=\"visibility\"\n"
"                      property=\"Shade\"\n"
"                      value=\"1\"\n"
"                      inverse=\"0\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetVolumetricScatteringBlending\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface18 =
"            default_values=\"0.0\"\n"
"            name=\"VolumetricScatteringBlending\"\n"
"            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"2.0\"\n"
"          min=\"0.0\"\n"
"          name=\"range\" />\n"
"        <Documentation>\n"
"          This parameter controls the blending between surfacic approximation\n"
"          and volumetric multi-scattering.\n"
"          A value of 0.0 means that no scattered rays will be cast, no volumetric shadows.\n"
"          A value of 1.0 means that the shader will smartly blend between the two models.\n"
"          A value of 2.0 means that the shader only uses the volumetric scattering model.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                      mode=\"visibility\"\n"
"                      property=\"Shade\"\n"
"                      value=\"1\"\n"
"                      inverse=\"0\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAnisotropy\"\n"
"            default_values=\"0.0\"\n"
"            name=\"VolumeAnisotropy\"\n"
"            number_of_elements=\"1\"\n"
"            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"          min=\"-1.0\"\n"
"          name=\"range\" />\n"
"        <Documentation>\n"
"          Set the volume's anisotropy, according to the Henyey-Greenstein model.\n"
"          Describes whether the model is rather backwards-scattering (-1.0) or forwards-scattering (1.0).\n"
"          An isotropic volume has a null anisotropy.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetMapScalars\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MapScalars\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When enabled, LookupTable will always be\n"
"        used for scalar mapping. Otherwise, when up to 4 component\n"
"        scalars are present, the components are clamped to a valid\n"
"        color interval (0-255 for an integral type and 0.0-1.0 for a\n"
"        floating point type) and then directly used as\n"
"        color.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMultiComponentsMapping\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MultiComponentsMapping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"MultiComponentsDecorator\"\n"
"                                   components=\"2 4\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetScalarOpacity\"\n"
"                     name=\"ScalarOpacityFunction\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"piecewise_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetTransferFunction2D\"\n"
"                     name=\"TransferFunction2D\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"transfer_2d_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"SetRequestedRenderMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"VolumeRenderingMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Smart\" value=\"0\" />\n"
"          <Entry text=\"Ray Cast Only\" value=\"1\" />\n"
"          <Entry text=\"GPU Based\" value=\"2\" />\n"
"          <Entry text=\"OSPRay Based\" value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScalarOpacityUnitDistance\"\n"
"                            default_values=\"1\"\n"
"                            name=\"ScalarOpacityUnitDistance\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain mode=\"approximate_cell_length\"\n"
"                      name=\"bounds\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"BlendMode\"\n"
"                                   value=\"6\"\n"
"                                   inverse=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetBlendMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"BlendMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <!-- See vtkVolumeMapper::BlendModes -->\n"
"          <Entry text=\"Composite\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Isosurface\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Slice\"\n"
"                 value=\"6\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property specifies how the samples should be blended</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetIsosurfaceValue\"\n"
"                            label=\"Isosurfaces\"\n"
"                            name=\"IsosurfaceValues\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfIsosurfaces\"\n"
"                            use_index=\"1\">\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"ColorArrayName\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Documentation>This property specifies the values at which to display\n"
"        isosurfaces and also the number of such values.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"BlendMode\"\n"
"                                   value=\"5\" />\n"
"          <!-- enable this widget when BlendMode==Isosurface -->\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <ProxyProperty command=\"SetSliceFunction\"\n"
"                     label=\"Slice Type\"\n"
"                     name=\"SliceFunction\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"implicit_functions\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"implicit_functions\"\n"
"                 name=\"Plane\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property sets the parameters of the slice\n"
"        function.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"BlendMode\"\n"
"                                   value=\"6\" />\n"
"          <!-- enable this widget when BlendMode==Slice -->\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"SetCropping\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseCropping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>This property specifies if the cropping is enabled.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCroppingOrigin\"\n"
"                            name=\"CroppingOrigin\"\n"
"                            number_of_elements=\"3\"\n"
"                            argument_is_array=\"1\"\n"
"                            default_values=\"0 0 0\">\n"
"        <Documentation>This property specifies the cropping origin.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCroppingScale\"\n"
"                            name=\"CroppingScale\"\n"
"                            number_of_elements=\"3\"\n"
"                            argument_is_array=\"1\"\n"
"                            default_values=\"1 1 1\">\n"
"        <Documentation>This property specifies the cropping scale.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <InputProperty is_internal=\"1\" name=\"DummyInput\" />\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"DummyInput\"\n"
"                with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"\n"
"      <!-- end of UniformGridVolumeRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!--======================================================================-->\n"
"    <RepresentationProxy name=\"SurfaceLICRepresentation\"\n"
"      class=\"vtkSurfaceLICRepresentation\"\n"
"      processes=\"client|dataserver|renderserver\"\n"
"      base_proxygroup=\"representations\"\n"
"      base_proxyname=\"SurfaceRepresentation\">\n"
"      <Documentation>\n"
"        Representation proxy for Surface LIC.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"SelectInputVectors\"\n"
"        command=\"SelectInputVectors\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        label=\"Vectors\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\"\n"
"          input_domain_name=\"input_array_point_3\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property specifies the name of the input vector array to process.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!--\n"
"      Integrator controls\n"
"      -->\n"
"      <IntVectorProperty name=\"NumberOfSteps\"\n"
"        command=\"SetNumberOfSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"40\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"StepSize\"\n"
"        command=\"SetStepSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.25\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NormalizeVectors\"\n"
"        command=\"SetNormalizeVectors\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"EnhancedLIC\"\n"
"        command=\"SetEnhancedLIC\"\n"
"        label=\"Enhanced/2-Pass Image LIC\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        >\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--\n"
"      Coloring controls\n"
"      -->\n"
"      <IntVectorProperty name=\"ColorMode\"\n"
"        command=\"SetColorMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Blend\"    value=\"0\" />\n"
"          <Entry text=\"Multiply\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MapModeBias\"\n"
"        command=\"SetMapModeBias\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"-0.25\" max=\"0.25\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LICIntensity\"\n"
"        label=\"LIC Intensity\"\n"
"        command=\"SetLICIntensity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.8\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"EnhanceContrast\"\n"
"        command=\"SetEnhanceContrast\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Off\"           value=\"0\" />\n"
"          <Entry text=\"LIC Only\"      value=\"1\" />\n"
"          <Entry text=\"LIC and Color\" value=\"4\" />\n"
"          <Entry text=\"Color Only\"    value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LowLICContrastEnhancementFactor\"\n"
"        command=\"SetLowLICContrastEnhancementFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"0.5\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"HighLICContrastEnhancementFactor\"\n"
"        command=\"SetHighLICContrastEnhancementFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"0.5\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LowColorContrastEnhancementFactor\"\n"
"        command=\"SetLowColorContrastEnhancementFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"0.5\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"HighColorContrastEnhancementFactor\"\n"
"        command=\"SetHighColorContrastEnhancementFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"0.5\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AntiAlias\"\n"
"        command=\"SetAntiAlias\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"5\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--\n"
"      Fragment masking Control\n"
"      -->\n"
"      <IntVectorProperty name=\"MaskOnSurface\"\n"
"        command=\"SetMaskOnSurface\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MaskThreshold\"\n"
"        command=\"SetMaskThreshold\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MaskColor\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface19 =
"        command=\"SetMaskColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.5 0.5 0.5\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MaskIntensity\"\n"
"        command=\"SetMaskIntensity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!--\n"
"      Noise Texture Generator Controls\n"
"      -->\n"
"      <IntVectorProperty name=\"GenerateNoiseTexture\"\n"
"        command=\"SetGenerateNoiseTexture\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NoiseType\"\n"
"        command=\"SetNoiseType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"uniform\"  value=\"0\" />\n"
"          <Entry text=\"Gaussian\" value=\"1\" />\n"
"          <Entry text=\"Perlin\"   value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NoiseTextureSize\"\n"
"        command=\"SetNoiseTextureSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"128\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <IntRangeDomain name=\"range\" min=\"2\" max=\"4096\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NoiseGrainSize\"\n"
"        command=\"SetNoiseGrainSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"4096\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MinNoiseValue\"\n"
"        command=\"SetMinNoiseValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MaxNoiseValue\"\n"
"        command=\"SetMaxNoiseValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.8\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfNoiseLevels\"\n"
"        command=\"SetNumberOfNoiseLevels\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1024\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"1024\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ImpulseNoiseProbability\"\n"
"        label=\"Impulse Probability\"\n"
"        command=\"SetImpulseNoiseProbability\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ImpulseNoiseBackgroundValue\"\n"
"        label=\"Impulse BackgroundValue\"\n"
"        command=\"SetImpulseNoiseBackgroundValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NoiseGeneratorSeed\"\n"
"        label=\"RNG Seed\"\n"
"        command=\"SetNoiseGeneratorSeed\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"1073741823\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--\n"
"      Parallel performance\n"
"      -->\n"
"      <IntVectorProperty name=\"CompositeStrategy\"\n"
"        command=\"SetCompositeStrategy\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"INPLACE\"          value=\"0\" />\n"
"          <Entry text=\"INPLACE DISJOINT\" value=\"1\" />\n"
"          <Entry text=\"BALANCED\"         value=\"2\" />\n"
"          <Entry text=\"AUTO\"             value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--\n"
"      Interactive performance.\n"
"      -->\n"
"      <IntVectorProperty name=\"UseLICForLOD\"\n"
"        label=\"Use LIC for LOD\"\n"
"        command=\"SetUseLICForLOD\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--\n"
"      for benchmarking\n"
"      setting the file name will trigger the write.\n"
"      -->\n"
"      <StringVectorProperty name=\"WriteLog\"\n"
"        command=\"WriteTimerLog\"\n"
"        number_of_elements=\"1\"\n"
"        label=\"Log File\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"         when compiled for benchmarking\n"
"         setting the file name will trigger\n"
"         a write of the parallel timer log\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- end of SurfaceLICRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"GeometryRepresentation\">\n"
"      <RepresentationType subproxy=\"SurfaceLICRepresentation\"\n"
"        subtype=\"Surface\" text=\"Surface LIC\" />\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceLICRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"SurfaceLICRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"        <!--<PropertyGroup label=\"Surface LIC Parameters\">-->\n"
"         <!-- Integrator -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Integrator\">\n"
"           <Property name=\"SelectInputVectors\"/>\n"
"           <Property name=\"NumberOfSteps\"/>\n"
"           <Property name=\"StepSize\" />\n"
"           <Property name=\"NormalizeVectors\" />\n"
"           <Property name=\"EnhancedLIC\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Rendering controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Rendering\">\n"
"           <Property name=\"ColorMode\" />\n"
"           <Property name=\"LICIntensity\" />\n"
"           <Property name=\"MapModeBias\" />\n"
"\n"
"           <Property name=\"EnhanceContrast\" />\n"
"           <Property name=\"LowLICContrastEnhancementFactor\" />\n"
"           <Property name=\"HighLICContrastEnhancementFactor\" />\n"
"           <Property name=\"LowColorContrastEnhancementFactor\" />\n"
"           <Property name=\"HighColorContrastEnhancementFactor\" />\n"
"\n"
"           <Property name=\"AntiAlias\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Fragment Masking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Fragment masking\">\n"
"           <Property name=\"MaskOnSurface\" />\n"
"           <Property name=\"MaskThreshold\" />\n"
"           <Property name=\"MaskIntensity\" />\n"
"           <Property name=\"MaskColor\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Noise texture controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Noise texture generator\">\n"
"           <Property name=\"GenerateNoiseTexture\" />\n"
"           <Property name=\"NoiseType\" />\n"
"           <Property name=\"NoiseTextureSize\" />\n"
"           <Property name=\"NoiseGrainSize\" />\n"
"           <Property name=\"MinNoiseValue\" />\n"
"           <Property name=\"MaxNoiseValue\" />\n"
"           <Property name=\"NumberOfNoiseLevels\" />\n"
"           <Property name=\"ImpulseNoiseProbability\" />\n"
"           <Property name=\"ImpulseNoiseBackgroundValue\" />\n"
"           <Property name=\"NoiseGeneratorSeed\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Parallel  controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Parallelization\">\n"
"           <Property name=\"CompositeStrategy\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Interactivity controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Interactivity\">\n"
"           <Property name=\"UseLICForLOD\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- benchmarking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Benchmark\">\n"
"           <Property name=\"WriteLog\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"        <!-- </PropertyGroup> -->\n"
"        </ExposedProperties>\n"
"\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"UnstructuredGridRepresentation\">\n"
"      <RepresentationType subproxy=\"SurfaceLICRepresentation\"\n"
"        subtype=\"Surface\" text=\"Surface LIC\" />\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceLICRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"SurfaceLICRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"        <!--<PropertyGroup label=\"Surface LIC Parameters\">-->\n"
"         <!-- Integrator -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Integrator\">\n"
"           <Property name=\"SelectInputVectors\"/>\n"
"           <Property name=\"NumberOfSteps\"/>\n"
"           <Property name=\"StepSize\" />\n"
"           <Property name=\"NormalizeVectors\" />\n"
"           <Property name=\"EnhancedLIC\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Rendering controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Rendering\">\n"
"           <Property name=\"ColorMode\" />\n"
"           <Property name=\"LICIntensity\" />\n"
"           <Property name=\"MapModeBias\" />\n"
"\n"
"           <Property name=\"EnhanceContrast\" />\n"
"           <Property name=\"LowLICContrastEnhancementFactor\" />\n"
"           <Property name=\"HighLICContrastEnhancementFactor\" />\n"
"           <Property name=\"LowColorContrastEnhancementFactor\" />\n"
"           <Property name=\"HighColorContrastEnhancementFactor\" />\n"
"\n"
"           <Property name=\"AntiAlias\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Fragment Masking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Fragment masking\">\n"
"           <Property name=\"MaskOnSurface\" />\n"
"           <Property name=\"MaskThreshold\" />\n"
"           <Property name=\"MaskIntensity\" />\n"
"           <Property name=\"MaskColor\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Noise texture controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Noise texture generator\">\n"
"           <Property name=\"GenerateNoiseTexture\" />\n"
"           <Property name=\"NoiseType\" />\n"
"           <Property name=\"NoiseTextureSize\" />\n"
"           <Property name=\"NoiseGrainSize\" />\n"
"           <Property name=\"MinNoiseValue\" />\n"
"           <Property name=\"MaxNoiseValue\" />\n"
"           <Property name=\"NumberOfNoiseLevels\" />\n"
"           <Property name=\"ImpulseNoiseProbability\" />\n"
"           <Property name=\"ImpulseNoiseBackgroundValue\" />\n"
"           <Property name=\"NoiseGeneratorSeed\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Parallel  controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Parallelization\">\n"
"           <Property name=\"CompositeStrategy\" />\n"
"           <Hints>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface20 =
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Interactivity controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Interactivity\">\n"
"           <Property name=\"UseLICForLOD\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- benchmarking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Benchmark\">\n"
"           <Property name=\"WriteLog\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"        <!-- </PropertyGroup> -->\n"
"        </ExposedProperties>\n"
"\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"UniformGridRepresentation\">\n"
"      <RepresentationType subproxy=\"SurfaceLICRepresentation\"\n"
"        subtype=\"Surface\" text=\"Surface LIC\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceLICRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"SurfaceLICRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"        <!--<PropertyGroup label=\"Surface LIC Parameters\">-->\n"
"         <!-- Integrator -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Integrator\">\n"
"           <Property name=\"SelectInputVectors\"/>\n"
"           <Property name=\"NumberOfSteps\"/>\n"
"           <Property name=\"StepSize\" />\n"
"           <Property name=\"NormalizeVectors\" />\n"
"           <Property name=\"EnhancedLIC\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Rendering controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Rendering\">\n"
"           <Property name=\"ColorMode\" />\n"
"           <Property name=\"LICIntensity\" />\n"
"           <Property name=\"MapModeBias\" />\n"
"\n"
"           <Property name=\"EnhanceContrast\" />\n"
"           <Property name=\"LowLICContrastEnhancementFactor\" />\n"
"           <Property name=\"HighLICContrastEnhancementFactor\" />\n"
"           <Property name=\"LowColorContrastEnhancementFactor\" />\n"
"           <Property name=\"HighColorContrastEnhancementFactor\" />\n"
"\n"
"           <Property name=\"AntiAlias\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Fragment Masking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Fragment masking\">\n"
"           <Property name=\"MaskOnSurface\" />\n"
"           <Property name=\"MaskThreshold\" />\n"
"           <Property name=\"MaskIntensity\" />\n"
"           <Property name=\"MaskColor\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Noise texture controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Noise texture generator\">\n"
"           <Property name=\"GenerateNoiseTexture\" />\n"
"           <Property name=\"NoiseType\" />\n"
"           <Property name=\"NoiseTextureSize\" />\n"
"           <Property name=\"NoiseGrainSize\" />\n"
"           <Property name=\"MinNoiseValue\" />\n"
"           <Property name=\"MaxNoiseValue\" />\n"
"           <Property name=\"NumberOfNoiseLevels\" />\n"
"           <Property name=\"ImpulseNoiseProbability\" />\n"
"           <Property name=\"ImpulseNoiseBackgroundValue\" />\n"
"           <Property name=\"NoiseGeneratorSeed\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Parallel  controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Parallelization\">\n"
"           <Property name=\"CompositeStrategy\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Interactivity controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Interactivity\">\n"
"           <Property name=\"UseLICForLOD\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- benchmarking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Benchmark\">\n"
"           <Property name=\"WriteLog\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"        <!-- </PropertyGroup> -->\n"
"        </ExposedProperties>\n"
"\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"StructuredGridRepresentation\">\n"
"      <RepresentationType subproxy=\"SurfaceLICRepresentation\"\n"
"        subtype=\"Surface\" text=\"Surface LIC\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceLICRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"SurfaceLICRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"        <!--<PropertyGroup label=\"Surface LIC Parameters\">-->\n"
"         <!-- Integrator -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Integrator\">\n"
"           <Property name=\"SelectInputVectors\"/>\n"
"           <Property name=\"NumberOfSteps\"/>\n"
"           <Property name=\"StepSize\" />\n"
"           <Property name=\"NormalizeVectors\" />\n"
"           <Property name=\"EnhancedLIC\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Rendering controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Rendering\">\n"
"           <Property name=\"ColorMode\" />\n"
"           <Property name=\"LICIntensity\" />\n"
"           <Property name=\"MapModeBias\" />\n"
"\n"
"           <Property name=\"EnhanceContrast\" />\n"
"           <Property name=\"LowLICContrastEnhancementFactor\" />\n"
"           <Property name=\"HighLICContrastEnhancementFactor\" />\n"
"           <Property name=\"LowColorContrastEnhancementFactor\" />\n"
"           <Property name=\"HighColorContrastEnhancementFactor\" />\n"
"\n"
"           <Property name=\"AntiAlias\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Fragment Masking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Fragment masking\">\n"
"           <Property name=\"MaskOnSurface\" />\n"
"           <Property name=\"MaskThreshold\" />\n"
"           <Property name=\"MaskIntensity\" />\n"
"           <Property name=\"MaskColor\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Noise texture controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Noise texture generator\">\n"
"           <Property name=\"GenerateNoiseTexture\" />\n"
"           <Property name=\"NoiseType\" />\n"
"           <Property name=\"NoiseTextureSize\" />\n"
"           <Property name=\"NoiseGrainSize\" />\n"
"           <Property name=\"MinNoiseValue\" />\n"
"           <Property name=\"MaxNoiseValue\" />\n"
"           <Property name=\"NumberOfNoiseLevels\" />\n"
"           <Property name=\"ImpulseNoiseProbability\" />\n"
"           <Property name=\"ImpulseNoiseBackgroundValue\" />\n"
"           <Property name=\"NoiseGeneratorSeed\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Parallel  controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Parallelization\">\n"
"           <Property name=\"CompositeStrategy\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Interactivity controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Interactivity\">\n"
"           <Property name=\"UseLICForLOD\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- benchmarking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Benchmark\">\n"
"           <Property name=\"WriteLog\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"        <!-- </PropertyGroup> -->\n"
"        </ExposedProperties>\n"
"\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkOutlineRepresentation\"\n"
"                         name=\"OutlineRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         base_proxygroup=\"representations\"\n"
"                         base_proxyname=\"SurfaceRepresentation\" >\n"
"      <Documentation>\n"
"        Representation for showing an outline for any dataset.\n"
"      </Documentation>\n"
"      <!-- end of OutlineRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkFeatureEdgesRepresentation\"\n"
"                         name=\"FeatureEdgesRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         base_proxygroup=\"representations\"\n"
"                         base_proxyname=\"SurfaceRepresentation\" >\n"
"      <Documentation>\n"
"        Representation for showing feature edges for any dataset.\n"
"      </Documentation>\n"
"      <!-- end of OutlineRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy base_proxyname=\"PVRepresentationBase\"\n"
"                         name=\"PointGaussianRepresentation\"\n"
"                         class=\"vtkPointGaussianRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_point_array\"\n"
"                          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ColorArrayName\"\n"
"                            number_of_elements=\"5\">\n"
"        <Documentation>\n"
"          Set the array to color with. One must specify the field association and\n"
"          the array name of the array. If the array is missing, scalar coloring will\n"
"          automatically be disabled.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetMapScalars\"\n"
"                         default_values=\"1\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface21 =
"                         name=\"MapScalars\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set to True, LookupTable will always be\n"
"        used for scalar mapping. Otherwise, when up to 4 component\n"
"        scalars are present, the components are clamped to a valid\n"
"        color interval (0-255 for an integral type and 0.0-1.0 for a\n"
"        floating point type) and then directly used as\n"
"        color.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetLookupTable\"\n"
"                     name=\"LookupTable\" >\n"
"        <Documentation>Set the lookup-table to use to map data array to colors.\n"
"        Lookuptable is only used with MapScalars to ON.</Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty command=\"SetSplatSize\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"GaussianRadius\"\n"
"                            label=\"Gaussian Radius\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain name=\"range\" mode=\"scaled_extent\" scale_factor=\"0.005\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          The radius of the gaussian blur for each point.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SelectShaderPreset\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ShaderPreset\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Gaussian Blur\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Sphere\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Black-edged circle\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Plain circle\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Triangle\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Square Outline\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Custom\"\n"
"                 value=\"6\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetCustomTriangleScale\"\n"
"                         default_values=\"3\"\n"
"                         name=\"CustomTriangleScale\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Sets the scale of the triangle geometry drawn, automatically\n"
"          set when using preset but needed with custom shader code\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"ShaderPreset\"\n"
"                                   value=\"6\" />\n"
"          <!-- show this widget when using CustomShader -->\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetCustomShader\"\n"
"                            default_values=\"\n"
"// This custom shader code define a gaussian blur&#xa;\n"
"// Please take a look into vtkSMPointGaussianRepresentation.cxx&#xa;\n"
"// for other custom shader examples&#xa;\n"
"//VTK::Color::Impl&#xa;\n"
"  float dist2 = dot(offsetVCVSOutput.xy,offsetVCVSOutput.xy);&#xa;\n"
"  float gaussian = exp(-0.5*dist2);&#xa;\n"
"  opacity = opacity*gaussian;&#xa;\"\n"
"                            label=\"Custom Shader Code\"\n"
"                            name=\"CustomShader\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Sets the custom shader code\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"ShaderPreset\"\n"
"                                   value=\"6\" />\n"
"          <!-- show this widget when using CustomShader -->\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetEmissive\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Emissive\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Should the splat be emissive like a light source or not. For cosmology emissive should be on. For scanned point clouds typically it would be off.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetScaleByArray\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ScaleByArray\"\n"
"                         number_of_elements=\"1\"\n"
"                         label=\"Use Scale Array\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is on, the Scale Array will be used to determine that radii\n"
"          of the gaussians.  Otherwise the Default Radius will be used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"SetScaleArray\"\n"
"                            command=\"SelectScaleArray\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Gaussian Scale Array\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"          input_domain_name=\"input_point_array\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property specifies the name of the input array to scale the splats by.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"ScaleByArray\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SelectScaleArrayComponent\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ScaleArrayComponent\"\n"
"                         number_of_elements=\"1\">\n"
"        <NumberOfComponentsDomain name=\"comps\" enable_magnitude=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SetScaleArray\" />\n"
"          </RequiredProperties>\n"
"        </NumberOfComponentsDomain>\n"
"        <Documentation>\n"
"          This property indicates the component of the array to be used for scaling.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"ScaleByArray\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseScaleFunction\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseScaleFunction\"\n"
"                         number_of_elements=\"1\"\n"
"                         label=\"Use Scale Transfer Function\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is enabled, the Scale Transfer Function is used to map\n"
"          the scale values of the Scale Array. Otherwise, the scale values are used as-is.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"ScaleByArray\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetScaleTransferFunction\"\n"
"                     name=\"ScaleTransferFunction\"\n"
"                     panel_visibility=\"advanced\"\n"
"                     panel_widget=\"transfer_function_editor\" >\n"
"        <Documentation>Set the piecewise function used to map data array to sprite size.\n"
"        ScaleTransferFunction is only used if ScaleByArray is set.</Documentation>\n"
"        <RangedTransferFunctionDomain name=\"proxy_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ArraySelection\" name=\"SetScaleArray\" />\n"
"            <Property function=\"ComponentSelection\" name=\"ScaleArrayComponent\" />\n"
"          </RequiredProperties>\n"
"        </RangedTransferFunctionDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"                <Property name=\"ScaleByArray\" function=\"boolean\" />\n"
"              </PropertyWidgetDecorator>\n"
"              <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"                <Property name=\"UseScaleFunction\" function=\"boolean\" />\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"SetOpacityByArray\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OpacityByArray\"\n"
"                         number_of_elements=\"1\"\n"
"                         label=\"Use Opacity Array\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is on, the Opacity Array will be used to determine the\n"
"          point gaussian sprites.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"OpacityArray\"\n"
"                            command=\"SelectOpacityArray\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Gaussian Opacity Array\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"          input_domain_name=\"input_point_array\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property specifies the name of the input array to map to point opacity.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"OpacityByArray\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SelectOpacityArrayComponent\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OpacityArrayComponent\"\n"
"                         number_of_elements=\"1\">\n"
"        <NumberOfComponentsDomain name=\"comps\" enable_magnitude=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"OpacityArray\" />\n"
"          </RequiredProperties>\n"
"        </NumberOfComponentsDomain>\n"
"        <Documentation>\n"
"          This property indicates the component of the array to be used for opacity.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"OpacityByArray\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetOpacityTransferFunction\"\n"
"                     name=\"OpacityTransferFunction\"\n"
"                     panel_visibility=\"advanced\"\n"
"                     panel_widget=\"transfer_function_editor\">\n"
"        <Documentation>Set the piecewise function used to map data array to sprite opacity.\n"
"        OpacityTransferFunction is only used if ScaleByArray is set and OpacityArray is\n"
"        also given.</Documentation>\n"
"        <RangedTransferFunctionDomain name=\"proxy_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ArraySelection\" name=\"OpacityArray\" />\n"
"            <Property function=\"ComponentSelection\" name=\"OpacityArrayComponent\" />\n"
"          </RequiredProperties>\n"
"        </RangedTransferFunctionDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"OpacityByArray\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty command=\"SetOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\" min=\"0\" name=\"range\" />\n"
"        <Documentation>\n"
"          The opacity to use when rendering the model.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetEdgeColor\"\n"
"                            default_values=\"0 0 0.5\"\n"
"                            name=\"EdgeColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <Documentation>Set the edge color. This color is used to draw the edge\n"
"        for the polygonal data when EdgeVisibility is on.</Documentation>\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"EdgeColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAmbientColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"AmbientColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"ForegroundColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDiffuseColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"DiffuseColor\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface22 =
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"SurfaceColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          The diffuse color of the model\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecularColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"SpecularColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>\n"
"          The specular color of the model\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPointSize\"\n"
"                            default_values=\"2.0\"\n"
"                            name=\"PointSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            label=\"Translation\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Orientation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPickable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Pickable\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of PointGaussianRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkUnstructuredGridVolumeRepresentation\"\n"
"                         name=\"UnstructuredGridVolumeRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         si_class=\"vtkSIUnstructuredGridVolumeRepresentationProxy\">\n"
"      <Documentation>Representation for rendering a vtkImageData as\n"
"      volume.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGridBase\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array_any\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility for this\n"
"        representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ColorArrayName\"\n"
"                            no_custom_default=\"1\"\n"
"                            number_of_elements=\"5\" >\n"
"        <Documentation>\n"
"          Set the array to color with. One must specify the field association and\n"
"          the array name of the array. If the array is missing, scalar coloring will\n"
"          automatically be disabled.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseSeparateOpacityArray\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseSeparateOpacityArray\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is on, the Opacity Array will be used to determine the\n"
"          point gaussian sprites.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"OpacityArrayName\"\n"
"                            command=\"SelectOpacityArray\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Volume Opacity Array\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"          input_domain_name=\"input_point_array\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property specifies the name of the input array to map to opacity.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseSeparateOpacityArray\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SelectOpacityArrayComponent\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OpacityComponent\"\n"
"                         number_of_elements=\"1\">\n"
"        <NumberOfComponentsDomain name=\"comps\" enable_magnitude=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"OpacityArrayName\" />\n"
"          </RequiredProperties>\n"
"        </NumberOfComponentsDomain>\n"
"        <Documentation>\n"
"          This property indicates the component of the array to be used for opacity.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseSeparateOpacityArray\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Assembly\"\n"
"        command=\"SetActiveAssembly\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Hierarchy\"\n"
"        panel_visibility=\"multiblock_inspector\">\n"
"        <DataAssemblyListDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </DataAssemblyListDomain>\n"
"        <Documentation>\n"
"          Select which assembly is used when specify selectors\n"
"          to choose block visibilities, block colors, etc. for composite datasets.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"BlockSelectors\"\n"
"        command=\"AddBlockSelector\"\n"
"        clean_command=\"RemoveAllBlockSelectors\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        panel_visibility=\"multiblock_inspector\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"/\">\n"
"        <DataAssemblyDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ActiveAssembly\" name=\"Assembly\" />\n"
"          </RequiredProperties>\n"
"        </DataAssemblyDomain>\n"
"        <Documentation>\n"
"          For composite datasets, specify selectors to limit the view\n"
"          to a chosen subset of blocks.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Orientation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPickable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Pickable\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolationType\"\n"
"                         default_values=\"1\"\n"
"                         name=\"InterpolationType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Nearest\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Linear\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetColor\"\n"
"                     name=\"LookupTable\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"transfer_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"SetMapScalars\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MapScalars\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When enabled, LookupTable will always be\n"
"        used for scalar mapping. Otherwise, when up to 4 component\n"
"        scalars are present, the components are clamped to a valid\n"
"        color interval (0-255 for an integral type and 0.0-1.0 for a\n"
"        floating point type) and then directly used as\n"
"        color.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMultiComponentsMapping\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MultiComponentsMapping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"MultiComponentsDecorator\"\n"
"                                   components=\"2 4\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetScalarOpacity\"\n"
"                     name=\"ScalarOpacityFunction\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"piecewise_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <StringVectorProperty command=\"SetActiveVolumeMapper\"\n"
"                            default_values=\"Projected tetra\"\n"
"                            name=\"SelectMapper\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Select the volume mapper to use for Volume\n"
"        rendering.</Documentation>\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Projected tetra\" />\n"
"          <String value=\"Z sweep\" />\n"
"          <String value=\"Bunyk ray cast\" />\n"
"          <String value=\"Resample To Image\" />\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetSamplingDimensions\"\n"
"                         default_values=\"128 128 128\"\n"
"                         name=\"SamplingDimensions\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain name=\"range\" min=\"1 1 1\"/>\n"
"        <Documentation>\n"
"        How many linear samples we want along each axis\n"
"        </Documentation>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface23 =
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"SelectMapper\"\n"
"                                   value=\"Resample To Image\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScalarOpacityUnitDistance\"\n"
"                            default_values=\"1\"\n"
"                            name=\"ScalarOpacityUnitDistance\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain mode=\"approximate_cell_length\"\n"
"                      name=\"bounds\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseDataPartitions\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseDataPartitions\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Specify whether or not to redistribute the data when actor is translucent.\n"
"        Default is false.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeDummyMapper\"\n"
"               proxygroup=\"mappers\"\n"
"               proxyname=\"DummyVolumeMapper\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"RayCastFunction\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeBunykMapper\"\n"
"               proxygroup=\"mappers\"\n"
"               proxyname=\"UnstructuredGridVolumeRayCastMapper\"></Proxy>\n"
"        <ShareProperties subproxy=\"VolumeDummyMapper\"></ShareProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeZSweepMapper\"\n"
"               proxygroup=\"mappers\"\n"
"               proxyname=\"UnstructuredGridVolumeZSweepMapper\"></Proxy>\n"
"        <ShareProperties subproxy=\"VolumeDummyMapper\"></ShareProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumePTMapper\"\n"
"               proxygroup=\"mappers\"\n"
"               proxyname=\"ProjectedTetrahedraMapper\"></Proxy>\n"
"        <ShareProperties subproxy=\"VolumeDummyMapper\"></ShareProperties>\n"
"        <ExposedProperties>\n"
"          <Property name=\"UseFloatingPointFrameBuffer\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeResampleToImageMapper\"\n"
"               proxygroup=\"mappers\"\n"
"               proxyname=\"UnstructuredGridResampleToImageMapper\"></Proxy>\n"
"      </SubProxy>\n"
"      <!-- end of UnstructuredGridVolumeRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkImageSliceRepresentation\"\n"
"                         name=\"ImageSliceRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>Representation to show 2D images. If the input image has\n"
"      3D extents, then this representation shows a single Z\n"
"      slice.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Set the input to the representation. Must be a\n"
"        vtkImageData producer.</Documentation>\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"any\"\n"
"                          name=\"input_array_any\"></InputArrayDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility for this\n"
"        representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ColorArrayName\"\n"
"                            no_custom_default=\"1\"\n"
"                            number_of_elements=\"5\">\n"
"        <Documentation>\n"
"          Set the array to color with. One must specify the field association and\n"
"          the array name of the array. If the array is missing, scalar coloring will\n"
"          automatically be disabled.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetSlice\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Slice\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the current slice number. Slice number is used to\n"
"        load a 2D slice from a 3D input image. If the input image is 2D, then\n"
"        the slice number if ignored. The direction of the slice is determined\n"
"        by SliceMode.</Documentation>\n"
"        <DimensionsDomain name=\"dims\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"Direction\"\n"
"                      name=\"SliceMode\" />\n"
"          </RequiredProperties>\n"
"        </DimensionsDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSliceMode\"\n"
"                         default_values=\"5\"\n"
"                         label=\"Slice Direction\"\n"
"                         name=\"SliceMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Determines the direction of slicing to obtain a 2D slice\n"
"        from a 3D image.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"XY Plane\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"YZ Plane\"\n"
"                 value=\"6\" />\n"
"          <Entry text=\"XZ Plane\"\n"
"                 value=\"7\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMapScalars\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MapScalars\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set to True, LookupTable will always be\n"
"        used for scalar mapping. Otherwise, when up to 4 component\n"
"        scalars are present, the components are clamped to a valid\n"
"        color interval (0-255 for an integral type and 0.0-1.0 for a\n"
"        floating point type) and then directly used as\n"
"        color.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty command=\"SetLookupTable\"\n"
"                     name=\"LookupTable\" >\n"
"        <Documentation>Set the lookup table to use for scalar\n"
"        mapping.</Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"SetUseXYPlane\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseXYPlane\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set, the image slice is always rendered in the XY\n"
"        plane (Z==0) irrespective of the image bounds. Default if\n"
"        Off.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Orientation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPickable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Pickable\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"    <!-- End of ImageSliceRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy base_proxygroup=\"internal_representations\"\n"
"                         base_proxyname=\"SurfaceRepresentationBase\"\n"
"                         class=\"vtkGeometryRepresentationWithFaces\"\n"
"                         name=\"SurfaceRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>Representation to show any dataset in a 3D render\n"
"      view.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"any\"\n"
"                          name=\"input_array_any\" />\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell\"\n"
"                          optional=\"1\" />\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point\"\n"
"                          optional=\"1\" />\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell_1\"\n"
"                          number_of_components=\"1\"\n"
"                          optional=\"1\" />\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point_1\"\n"
"                          number_of_components=\"1\"\n"
"                          optional=\"1\" />\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point_2\"\n"
"                          number_of_components=\"2\"\n"
"                          optional=\"1\" />\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell_3\"\n"
"                          number_of_components=\"3\"\n"
"                          optional=\"1\" />\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point_3\"\n"
"                          number_of_components=\"3\"\n"
"                          optional=\"1\" />\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetBackfaceRepresentation\"\n"
"                         default_values=\"400\"\n"
"                         name=\"BackfaceRepresentation\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Choose the representation type for the\n"
"        backface.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Follow Frontface\"\n"
"                 value=\"400\" />\n"
"          <Entry text=\"Cull Backface\"\n"
"                 value=\"401\" />\n"
"          <Entry text=\"Cull Frontface\"\n"
"                 value=\"402\" />\n"
"          <Entry text=\"Points\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Wireframe\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Surface\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Surface With Edges\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBackfaceOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"BackfaceOpacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBackfaceAmbientColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"BackfaceAmbientColor\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface24 =
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBackfaceDiffuseColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"BackfaceDiffuseColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"SurfaceColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"    </RepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy base_proxygroup=\"internal_representations\"\n"
"                         base_proxyname=\"SurfaceRepresentationBase\"\n"
"                         class=\"vtkGlyph3DRepresentation\"\n"
"                         name=\"Glyph3DRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>Representation to show any dataset in a 3D render\n"
"      view.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"scale_array\"\n"
"                          number_of_components=\"1,3\"\n"
"                          optional=\"1\" />\n"
"        <InputArrayDomain name=\"vector_array\"\n"
"                          number_of_components=\"3,4\"\n"
"                          optional=\"1\" />\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     label=\"Glyph Type\"\n"
"                     name=\"GlyphType\"\n"
"                     panel_visibility=\"advanced\"\n"
"                     port_index=\"1\">\n"
"        <Documentation>Specify the source objects.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"          <DataType value=\"vtkDataObjectTree\" />\n"
"        </DataTypeDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"sources\" name=\"ArrowSource\" />\n"
"          <Proxy group=\"sources\" name=\"ConeSource\" />\n"
"          <Proxy group=\"sources\" name=\"CubeSource\" />\n"
"          <Proxy group=\"sources\" name=\"CylinderSource\" />\n"
"          <Proxy group=\"sources\" name=\"LineSource\" />\n"
"          <Proxy group=\"sources\" name=\"SphereSource\" />\n"
"          <Proxy group=\"sources\" name=\"GlyphSource2D\" />\n"
"          <Proxy group=\"internal_filters\" name=\"PipelineConnection\" />\n"
"        </ProxyListDomain>\n"
"        <Hints>\n"
"          <ProxyPropertyWidget selected_proxy_panel_visibility=\"advanced\" />\n"
"          <!-- show the selected proxy's panel, only in advanced mode. -->\n"
"        </Hints>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetMeshVisibility\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MeshVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Get/Set the visibility of the original\n"
"        mesh.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetMaskArray\"\n"
"                            default_values=\"\"\n"
"                            label=\"Mask Array\"\n"
"                            name=\"SelectMaskArray\"\n"
"                            number_of_elements=\"1\"></StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetScaleArray\"\n"
"                            default_values=\"\"\n"
"                            label=\"Scale Array\"\n"
"                            name=\"SelectScaleArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"scale_array\"\n"
"                         name=\"array_list\"\n"
"                         none_string=\"None\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetScaling\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Scaling\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable scaling of source\n"
"        geometry.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetScaleMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ScaleMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"No Data Scaling Off\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Magnitude\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Vector Components\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetOrientationArray\"\n"
"                            default_values=\"\"\n"
"                            label=\"Orientation Vectors\"\n"
"                            name=\"SelectOrientationVectors\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         input_domain_name=\"vector_array\"\n"
"                         name=\"array_list\"\n"
"                         none_string=\"None\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScaleFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"ScaleFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain mode=\"scaled_extent\"\n"
"                      name=\"bounds\"\n"
"                      scale_factor=\"0.1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectScaleArray\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <ArrayRangeDomain name=\"vector_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectOrientationVectors\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Documentation>The value of this property will be used as a multiplier\n"
"        for scaling the glyphs before adding them to the\n"
"        output.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetOrient\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Orient\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the glyphs will be\n"
"        oriented based on the selected orientation vector\n"
"        array.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOrientationMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OrientationMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Direction\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Rotation\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Quaternion\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Orientation mode indicates if the OrientationArray\n"
"        provides the direction vector for the orientation, the rotations\n"
"        around each axes or the quaternion in WXYZ format. Default is DIRECTION.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMasking\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Masking\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Tells the mapper to skip glyphing input points that\n"
"        haves false values in the mask array. If there is no mask array (id\n"
"        access mode is set and there is no such id, or array name access mode\n"
"        is set and the there is no such name), masking is silently ignored. A\n"
"        mask array is a vtkBitArray with only one component.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSourceIndexing\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseGlyphTable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When enabled, the source index array would be used to select the\n"
"        glyph source. If not, only the first source input will be used to generate\n"
"        the glyph. It's a prerequisite to enable UseCompositeGlyphTable.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetSourceIndexArray\"\n"
"                            default_values=\"\"\n"
"                            name=\"GlyphTableIndexArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"input_array_point\"\n"
"                         name=\"array_list\"\n"
"                         none_string=\"None\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseSourceTableTree\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseCompositeGlyphTable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When true, the glyph data is expected to be a multiblock\n"
"        dataset, where each top-level node contains a separate glyph which may\n"
"        be selected by a point data array on the input dataset. UseGlyphTable\n"
"        must be enabled as a prerequisite.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"UseGlyphTable\"\n"
"                                   value=\"1\" />\n"
"          <!-- enable this widget when UseGlyphTable==1 -->\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseCullingAndLOD\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseGlyphCullingAndLOD\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When true, culling pass and level of details are enabled.\n"
"        The culling pass detects points outside the frustum view and LOD displays\n"
"        decimated geometry based on the distance between the camera and the instance.\n"
"        This allows to render a higher number of glyphs at interactive rate.\n"
"        This feature works only with OpenGL driver >= 4.0.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetLODDistanceAndTargetReduction\"\n"
"                            label=\"LOD Values\"\n"
"                            name=\"LODValues\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfLOD\"\n"
"                            use_index=\"1\">\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"Input\"\n"
"                      name=\"UseGlyphCullingAndLOD\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Documentation>\n"
"        Configure LODs. The first value is the distance after which it is enabled.\n"
"        The second value is the decimation parameter (0 displays full geometry,\n"
"        1 displays only a point)\n"
"        The maximum number of LODs depends on the GPU capacity.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"UseGlyphCullingAndLOD\"\n"
"                                   value=\"1\" />\n"
"          <!-- enable this widget when UseGlyphCullingAndLOD==1 -->+\n"
"          <ShowComponentLabels>\n"
"            <ComponentLabel component=\"0\" label=\"Distance\"/>\n"
"            <ComponentLabel component=\"1\" label=\"Decimation\"/>\n"
"          </ShowComponentLabels>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetColorByLODIndex\"\n"
"                         default_values=\"0\"\n"
"                         label = \"Color By LOD Index\"\n"
"                         name=\"ColorByLODIndex\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When true, each level of detail has its own color based on its index.\n"
"        It can be useful to correctly configure the levels of details.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"UseGlyphCullingAndLOD\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <!-- end of Glyph3DRepresentation -->\n"
"    </RepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkDataLabelRepresentation\"\n"
"                         name=\"DataLabelRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>Representation used to add labels to points/cells of any\n"
"      dataset.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface25 =
"                     name=\"Input\">\n"
"        <InputArrayDomain name=\"input_array_any\"></InputArrayDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility for this\n"
"        representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPointLabelColor\"\n"
"                            default_values=\"1 1 0\"\n"
"                            name=\"PointLabelColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPointLabelOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"PointLabelOpacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0.0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPointLabelFontFamily\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PointLabelFontFamily\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Arial\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Courier\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Times\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"File\"\n"
"                 value=\"4\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointLabelFontFile\"\n"
"                            name=\"PointLabelFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaximumNumberOfLabels\"\n"
"                         default_values=\"100\"\n"
"                         name=\"MaximumNumberOfLabels\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The maximum number of point labels shown.  If the dataset\n"
"          contains more points that this number, a random subset of this size is\n"
"          chosen and labeled.</Documentation>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"GeneralSettings\"\n"
"                        property=\"MaximumNumberOfDataRepresentationLabels\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPointLabelBold\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PointLabelBold\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPointLabelItalic\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PointLabelItalic\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPointLabelShadow\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PointLabelShadow\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPointLabelFontSize\"\n"
"                         default_values=\"18\"\n"
"                         name=\"PointLabelFontSize\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointLabelFormat\"\n"
"                            default_values=\"\"\n"
"                            name=\"PointLabelFormat\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          This should be a printf-style format string. By default,\n"
"          the mapper will try to print each component of the tuple\n"
"          using a sane format: d for integers, f for floats, g for\n"
"          doubles, ld for longs, et cetera. If you need a different\n"
"          format, set it here. You can do things like limit the number\n"
"          of significant digits, add prefixes/suffixes, basically\n"
"          anything that printf can do. Leave empty to auto select an\n"
"          appropriate format.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetPointLabelJustification\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PointLabelJustification\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Left\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Center\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Right\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPointLabelVisibility\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PointLabelVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPointLabelMode\"\n"
"                         default_values=\"6\"\n"
"                         name=\"PointLabelMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"IDs\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scalars\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Vectors\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Normals\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"TCoords\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Tensors\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"FieldData\"\n"
"                 value=\"6\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointFieldDataArrayName\"\n"
"                            name=\"PointFieldDataArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain input_domain_name=\"input_array\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCellLabelColor\"\n"
"                            default_values=\"0.0 1.0 0.0\"\n"
"                            name=\"CellLabelColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCellLabelOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"CellLabelOpacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0.0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetCellLabelFontFamily\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CellLabelFontFamily\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Arial\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Courier\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Times\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"File\"\n"
"                 value=\"4\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellLabelFontFile\"\n"
"                            name=\"CellLabelFontFile\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetCellLabelBold\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CellLabelBold\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCellLabelItalic\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CellLabelItalic\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCellLabelShadow\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CellLabelShadow\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCellLabelFontSize\"\n"
"                         default_values=\"18\"\n"
"                         name=\"CellLabelFontSize\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellLabelFormat\"\n"
"                            default_values=\"\"\n"
"                            name=\"CellLabelFormat\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          This should be a printf-style format string. By default,\n"
"          the mapper will try to print each component of the tuple\n"
"          using a sane format: d for integers, f for floats, g for\n"
"          doubles, ld for longs, et cetera. If you need a different\n"
"          format, set it here. You can do things like limit the number\n"
"          of significant digits, add prefixes/suffixes, basically\n"
"          anything that printf can do. Leave empty to auto select an\n"
"          appropriate format.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetCellLabelJustification\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CellLabelJustification\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Left\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Center\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Right\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCellLabelVisibility\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CellLabelVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCellLabelMode\"\n"
"                         default_values=\"6\"\n"
"                         name=\"CellLabelMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"IDs\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scalars\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Vectors\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Normals\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"TCoords\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Tensors\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"FieldData\"\n"
"                 value=\"6\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellFieldDataArrayName\"\n"
"                            name=\"CellFieldDataArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain input_domain_name=\"input_array\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <!-- End of DataLabelRepresentation -->\n"
"    </RepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkSelectionRepresentation\"\n"
"                         name=\"SelectionRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         si_class=\"vtkSIProxy\">\n"
"      <Documentation>Proxy to show a selection as geometry.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <InputArrayDomain name=\"input_array_any\"></InputArrayDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Get/Set the visibility of the\n"
"        representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface26 =
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetColor\"\n"
"                            default_values=\"1.0 0.0 1.0\"\n"
"                            name=\"Color\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"SelectionColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLineWidth\"\n"
"                            default_values=\"2.0\"\n"
"                            name=\"LineWidth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOpacity\"\n"
"                            default_values=\"1\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPointSize\"\n"
"                            default_values=\"5.0\"\n"
"                            name=\"PointSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetRenderLinesAsTubes\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RenderLinesAsTubes\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, all lines are rendered as 3D tubes, if supported by OpenGL driver.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRenderPointsAsSpheres\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RenderPointsAsSpheres\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, all points are rendered as 3D spheres, if supported by OpenGL driver.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRepresentation\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Representation\"\n"
"                         panel_widget=\"display_representation_selector\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Points\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Wireframe\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Surface\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseOutline\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseOutline\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Orientation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetUserTransform\"\n"
"                            default_values=\"1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1\"\n"
"                            name=\"UserTransform\"\n"
"                            number_of_elements=\"16\">\n"
"        <Documentation>\n"
"          In addition to the instance variables such as position and\n"
"          orientation, you can add an additional transformation for your own\n"
"          use. This transformation is concatenated with the actor's internal\n"
"          transformation, which you implicitly create through the use of\n"
"          Position, Origin, Orientation. The value is 4x4 matrix for the linear\n"
"          transform to use.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <SubProxy command=\"SetLabelRepresentation\">\n"
"        <Proxy name=\"LabelRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"DataLabelRepresentation\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"CellFieldDataArrayName\" />\n"
"          <Property name=\"CellLabelBold\" />\n"
"          <Property name=\"CellLabelColor\" />\n"
"          <Property name=\"CellLabelFontFamily\" />\n"
"          <Property name=\"CellLabelFontFile\" />\n"
"          <Property name=\"CellLabelFontSize\" />\n"
"          <Property name=\"CellLabelFormat\" />\n"
"          <Property name=\"CellLabelItalic\" />\n"
"          <Property name=\"CellLabelJustification\" />\n"
"          <Property name=\"CellLabelOpacity\" />\n"
"          <Property name=\"CellLabelShadow\" />\n"
"          <Property name=\"CellLabelVisibility\" />\n"
"          <Property name=\"PointFieldDataArrayName\" />\n"
"          <Property name=\"PointLabelBold\" />\n"
"          <Property name=\"PointLabelColor\" />\n"
"          <Property name=\"PointLabelFontFamily\" />\n"
"          <Property name=\"PointLabelFontFile\" />\n"
"          <Property name=\"PointLabelFontSize\" />\n"
"          <Property name=\"PointLabelFormat\" />\n"
"          <Property name=\"PointLabelItalic\" />\n"
"          <Property name=\"PointLabelJustification\" />\n"
"          <Property name=\"PointLabelOpacity\" />\n"
"          <Property name=\"PointLabelShadow\" />\n"
"          <Property name=\"PointLabelVisibility\" />\n"
"          <Property name=\"MaximumNumberOfLabels\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <PropertyGroup label=\"Cell Label Font\" panel_visibility=\"never\" panel_widget=\"FontEditor\">\n"
"        <Property name=\"CellLabelBold\" function=\"Bold\"/>\n"
"        <Property name=\"CellLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"CellLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"CellLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"CellLabelFontSize\" function=\"Size\"/>\n"
"        <Property name=\"CellLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"CellLabelJustification\" function=\"Justification\"/>\n"
"        <Property name=\"CellLabelOpacity\" function=\"Opacity\"/>\n"
"        <Property name=\"CellLabelShadow\" function=\"Shadow\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Point Label Font\" panel_visibility=\"never\" panel_widget=\"FontEditor\">\n"
"        <Property name=\"PointLabelBold\" function=\"Bold\"/>\n"
"        <Property name=\"PointLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"PointLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"PointLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"PointLabelFontSize\" function=\"Size\"/>\n"
"        <Property name=\"PointLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"PointLabelJustification\" function=\"Justification\"/>\n"
"        <Property name=\"PointLabelOpacity\" function=\"Opacity\"/>\n"
"        <Property name=\"PointLabelShadow\" function=\"Shadow\"/>\n"
"      </PropertyGroup>\n"
"      <!-- End of SelectionRepresentation -->\n"
"    </RepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkPVGridAxes3DRepresentation\"\n"
"                         name=\"GridAxesRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         si_class=\"vtkSIProxy\">\n"
"      <Documentation>Proxy to show a selection as geometry.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <InputArrayDomain name=\"input_array_any\"></InputArrayDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetGridAxesVisibility\"\n"
"                         name=\"GridAxesVisibility\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Show/hide an Axes Grid around the selected data.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Position\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Keeps axes synced with actor transforms.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Keeps axes synced with actor transforms.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Scale\" with_property=\"Scale\" />\n"
"          <Link name=\"Position\" with_property=\"Position\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"\n"
"      <SubProxy command=\"SetGridAxes\">\n"
"        <Proxy name=\"GridAxes\"\n"
"               proxygroup=\"annotations\"\n"
"               proxyname=\"GridAxes3DActor\" />\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Title Texts\">\n"
"            <Property name=\"XTitle\"/>\n"
"            <Property name=\"YTitle\"/>\n"
"            <Property name=\"ZTitle\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"X Title Font Properties\" panel_widget=\"FontEditor\" panel_visibility=\"advanced\">\n"
"            <Property name=\"XTitleColor\" function=\"Color\"/>\n"
"            <Property name=\"XTitleFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"XTitleFontFile\" function=\"File\"/>\n"
"            <Property name=\"XTitleBold\" function=\"Bold\" />\n"
"            <Property name=\"XTitleItalic\" function=\"Italics\"/>\n"
"            <Property name=\"XTitleFontSize\" function=\"Size\" />\n"
"            <Property name=\"XTitleShadow\" function=\"Shadow\" />\n"
"            <Property name=\"XTitleOpacity\" function=\"Opacity\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Y Title Font Properties\" panel_widget=\"FontEditor\" panel_visibility=\"advanced\">\n"
"            <Property name=\"YTitleColor\" function=\"Color\"/>\n"
"            <Property name=\"YTitleFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"YTitleFontFile\" function=\"File\"/>\n"
"            <Property name=\"YTitleBold\" function=\"Bold\" />\n"
"            <Property name=\"YTitleItalic\" function=\"Italics\"/>\n"
"            <Property name=\"YTitleFontSize\" function=\"Size\" />\n"
"            <Property name=\"YTitleShadow\" function=\"Shadow\" />\n"
"            <Property name=\"YTitleOpacity\" function=\"Opacity\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Z Title Font Properties\" panel_widget=\"FontEditor\" panel_visibility=\"advanced\">\n"
"            <Property name=\"ZTitleColor\" function=\"Color\"/>\n"
"            <Property name=\"ZTitleFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"ZTitleFontFile\" function=\"File\"/>\n"
"            <Property name=\"ZTitleBold\" function=\"Bold\" />\n"
"            <Property name=\"ZTitleItalic\" function=\"Italics\"/>\n"
"            <Property name=\"ZTitleFontSize\" function=\"Size\" />\n"
"            <Property name=\"ZTitleShadow\" function=\"Shadow\" />\n"
"            <Property name=\"ZTitleOpacity\" function=\"Opacity\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Face Properties\">\n"
"            <Property name=\"FacesToRender\" />\n"
"            <Property name=\"CullBackface\" />\n"
"            <Property name=\"CullFrontface\" />\n"
"            <Property name=\"GridColor\"/>\n"
"          </PropertyGroup>\n"
"          <Property name=\"ShowGrid\"/>\n"
"          <Property name=\"ShowEdges\"/>\n"
"          <Property name=\"ShowTicks\"/>\n"
"          <PropertyGroup label=\"Label Properties\">\n"
"            <Property name=\"LabelUniqueEdgesOnly\" />\n"
"            <Property name=\"AxesToLabel\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"X Axis Label Font Properties\" panel_widget=\"FontEditor\" panel_visibility=\"advanced\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface27 =
"            <Property name=\"XLabelColor\" function=\"Color\"/>\n"
"            <Property name=\"XLabelFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"XLabelFontFile\" function=\"File\"/>\n"
"            <Property name=\"XLabelBold\" function=\"Bold\" />\n"
"            <Property name=\"XLabelItalic\" function=\"Italics\"/>\n"
"            <Property name=\"XLabelFontSize\" function=\"Size\" />\n"
"            <Property name=\"XLabelShadow\" function=\"Shadow\" />\n"
"            <Property name=\"XLabelOpacity\" function=\"Opacity\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Y Axis Label Font Properties\" panel_widget=\"FontEditor\" panel_visibility=\"advanced\">\n"
"            <Property name=\"YLabelColor\" function=\"Color\"/>\n"
"            <Property name=\"YLabelFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"YLabelFontFile\" function=\"File\"/>\n"
"            <Property name=\"YLabelBold\" function=\"Bold\" />\n"
"            <Property name=\"YLabelItalic\" function=\"Italics\"/>\n"
"            <Property name=\"YLabelFontSize\" function=\"Size\" />\n"
"            <Property name=\"YLabelShadow\" function=\"Shadow\" />\n"
"            <Property name=\"YLabelOpacity\" function=\"Opacity\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Z Axis Label Font Properties\" panel_widget=\"FontEditor\" panel_visibility=\"advanced\">\n"
"            <Property name=\"ZLabelColor\" function=\"Color\"/>\n"
"            <Property name=\"ZLabelFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"ZLabelFontFile\" function=\"File\"/>\n"
"            <Property name=\"ZLabelBold\" function=\"Bold\" />\n"
"            <Property name=\"ZLabelItalic\" function=\"Italics\"/>\n"
"            <Property name=\"ZLabelFontSize\" function=\"Size\" />\n"
"            <Property name=\"ZLabelShadow\" function=\"Shadow\" />\n"
"            <Property name=\"ZLabelOpacity\" function=\"Opacity\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"X Axis Label Properties\">\n"
"            <Property name=\"XAxisNotation\" />\n"
"            <Property name=\"XAxisPrecision\" />\n"
"            <Property name=\"XAxisUseCustomLabels\" />\n"
"            <Property name=\"XAxisLabels\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Y Axis Label Properties\">\n"
"            <Property name=\"YAxisNotation\" />\n"
"            <Property name=\"YAxisPrecision\" />\n"
"            <Property name=\"YAxisUseCustomLabels\" />\n"
"            <Property name=\"YAxisLabels\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Z Axis Label Properties\">\n"
"            <Property name=\"ZAxisNotation\" />\n"
"            <Property name=\"ZAxisPrecision\" />\n"
"            <Property name=\"ZAxisUseCustomLabels\" />\n"
"            <Property name=\"ZAxisLabels\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Bounds\">\n"
"            <Property name=\"UseCustomBounds\" />\n"
"            <Property name=\"CustomBounds\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of GridAxesRepresentation -->\n"
"    </RepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkMoleculeRepresentation\"\n"
"                         name=\"MoleculeRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>Representation for a vtkMolecule.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkMolecule\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input molecule for the\n"
"        representation.</Documentation>\n"
"        <InputArrayDomain attribute_type=\"vertex\"\n"
"                          name=\"input_array\"\n"
"                          optional=\"1\" />\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility for this\n"
"        representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\" min=\"0\" name=\"range\" />\n"
"        <Documentation>\n"
"          The opacity to use when rendering the model.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecular\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Specular\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\" min=\"0\" name=\"range\" />\n"
"        <Documentation>\n"
"          The specularity to use when rendering the model.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecularPower\"\n"
"                            default_values=\"100.0\"\n"
"                            name=\"SpecularPower\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"100\" min=\"0\" name=\"range\" />\n"
"        <Documentation>\n"
"          The specularity to use when rendering the model.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetMapScalars\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MapScalars\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When enabled, LookupTable will always be\n"
"        used for scalar mapping. Otherwise, when up to 4 component\n"
"        scalars are present, the components are clamped to a valid\n"
"        color interval (0-255 for an integral type and 0.0-1.0 for a\n"
"        floating point type) and then directly used as\n"
"        color.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRenderAtoms\"\n"
"                         default_values=\"1\"\n"
"                         name=\"RenderAtoms\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility for the atoms.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAtomicRadiusScaleFactor\"\n"
"                            default_values=\"0.3\"\n"
"                            name=\"AtomicRadiusFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"3\" min=\"0\" name=\"range\" />\n"
"        <Documentation>The scale factor to apply on atom radius. Radius is expected to be in Angstrom. </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetAtomicRadiusType\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Atomic Radius Type\"\n"
"                         name=\"AtomicRadiusType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Covalent\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Van Der Waals\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Unit\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Input Array\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The radius type to use.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"AtomicRadiusArrayName\"\n"
"                            command=\"SetAtomicRadiusArray\"\n"
"                            number_of_elements=\"1\"\n"
"                            label=\"Atomic Radii Array\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <ArrayListDomain  input_domain_name=\"input_array\"\n"
"                          attribute_type=\"Scalars\"\n"
"                          name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property specifies the name of the input array to use for atom radii. Values are expected to be in Angstrom.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetRenderBonds\"\n"
"                         default_values=\"1\"\n"
"                         name=\"RenderBonds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility for the bonds.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBondRadius\"\n"
"                            default_values=\"0.075\"\n"
"                            name=\"BondRadius\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"0.5\" min=\"0\" name=\"range\" />\n"
"        <Documentation>The bond radius, in Angstrom. </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseMultiCylindersForBonds\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MultiCylindersForBonds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Display multiple cylinders for high bond order.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBondColorMode\"\n"
"                         default_values=\"1\"\n"
"                         name=\"BondColorMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Use atom color for bonds. If disabled, use the custom bond color.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBondColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"BondColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>Sets the color for the bonds.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ColorArrayName\"\n"
"                            no_custom_default=\"1\"\n"
"                            default_values_delimiter=\";\"\n"
"                            default_values=\"0;0;0;4;Atomic Numbers\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"5\">\n"
"        <Documentation>\n"
"          Set the array to color with. One must specify the field association and\n"
"          the array name of the array. If the array is missing, scalar coloring will\n"
"          automatically be disabled.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <ProxyProperty command=\"SetLookupTable\"\n"
"                     name=\"LookupTable\" >\n"
"        <Documentation>Set the lookup-table to use to map data array to colors.\n"
"        Lookuptable is only used with MapScalars to ON.</Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <!-- End of MoleculeRepresentation -->\n"
"    </RepresentationProxy>\n"
"    <PVMoleculeRepresentationProxy class=\"vtkPVCompositeRepresentation\"\n"
"                           name=\"PVMoleculeRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>PVRepresentationProxy for vtkMolecule.</Documentation>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility for this\n"
"        representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <RepresentationType subproxy=\"MoleculeRepresentation\"\n"
"                          subtype=\"Molecule\"\n"
"                          text=\"Molecule\" />\n"
"      <StringVectorProperty command=\"GetRepresentationTypes\"\n"
"                            information_only=\"1\"\n"
"                            name=\"RepresentationTypesInfo\"\n"
"                            si_class=\"vtkSIDataArrayProperty\">\n"
"        <Documentation>Property that lists the available representation types.\n"
"        This is used by the domain for \"Representation\" to setup the list of\n"
"        types available correctly.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetActiveRepresentation\"\n"
"                            default_values=\"Molecule\"\n"
"                            name=\"Representation\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface28 =
"                            panel_widget=\"display_representation_selector\" >\n"
"        <Documentation>Choose the type for the representation.</Documentation>\n"
"        <RepresentationTypeDomain name=\"list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"StringList\"\n"
"                      name=\"RepresentationTypesInfo\" />\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentationTypeDomain>\n"
"      </StringVectorProperty>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkMolecule\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"MoleculeRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"MoleculeRepresentation\" />\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Coloring\">\n"
"            <Property name=\"Opacity\"\n"
"                      panel_visibility=\"default\" />\n"
"            <Property name=\"Specular\"\n"
"                      panel_visibility=\"default\" />\n"
"            <Property name=\"SpecularPower\"\n"
"                      panel_visibility=\"default\" />\n"
"            <Property name=\"MapScalars\"\n"
"                      panel_visibility=\"default\" />\n"
"            <Property name=\"ColorArrayName\"\n"
"                      panel_visibility=\"default\" />\n"
"            <Property name=\"LookupTable\"\n"
"                      panel_visibility=\"never\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Styling\"\n"
"                          panel_widget=\"MoleculeParameters\">\n"
"            <Property name=\"RenderAtoms\"\n"
"                      function=\"RenderAtoms\" />\n"
"            <Property name=\"AtomicRadiusFactor\"\n"
"                      function=\"AtomicRadiusFactor\" />\n"
"            <Property name=\"AtomicRadiusType\"\n"
"                      function=\"AtomicRadiusType\"/>\n"
"            <Proprety name=\"AtomicRadiusArrayName\"\n"
"                      function=\"AtomicRadiusArrayName\"/>\n"
"            <Property name=\"RenderBonds\"\n"
"                      function=\"RenderBonds\" />\n"
"            <Property name=\"BondRadius\"\n"
"                      function=\"BondRadius\" />\n"
"            <Property name=\"MultiCylindersForBonds\"\n"
"                      function=\"UseMultiCylindersForBonds\"/>\n"
"            <Property name=\"BondColorMode\"\n"
"                      function=\"BondColorMode\"/>\n"
"            <Property name=\"BondColor\"\n"
"                      function=\"BondColor\"/>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </PVMoleculeRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy class=\"vtkChartTextRepresentation\"\n"
"                              name=\"ChartTextRepresentation\"\n"
"                              processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>Representation to show text in Chart views</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Visibility of the representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetInteractivity\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Interactivity\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether user should be able to interactively place the text in the view.\n"
"        </Documentation>\n"
"        <!-- for now, we hide this property since we don't users interact with\n"
"             the text right now -->\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetLabelLocation\"\n"
"                         default_values=\"4\"\n"
"                         name=\"LabelLocation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Any Location\" value=\"0\" />\n"
"          <Entry text=\"Lower Left Corner\" value=\"1\" />\n"
"          <Entry text=\"Lower Right Corner\" value=\"2\" />\n"
"          <Entry text=\"Lower Center\" value=\"3\" />\n"
"          <Entry text=\"Upper Left Corner\" value=\"4\" />\n"
"          <Entry text=\"Upper Right Corner\" value=\"5\" />\n"
"          <Entry text=\"Upper Center\" value=\"6\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Placement of the text inside of the window.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            name=\"Position\"\n"
"                            default_values=\"0.05 0.05\"\n"
"                            number_of_elements=\"2\"\n"
"                            information_property=\"PositionInfo\">\n"
"        <DoubleRangeDomain min=\"0 0\"\n"
"                           max=\"1 1\"\n"
"                           name=\"range\" />\n"
"        <Documentation>\n"
"          Normalized position of the bottom left corner of the text box in pixels.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Text Position\" panel_widget=\"TextLocationEditor\">\n"
"        <Property name=\"LabelLocation\" function=\"WindowLocation\" />\n"
"        <Property name=\"Position\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetTextProperty\">\n"
"        <Proxy name=\"Prop2DProperty\" proxygroup=\"properties\" proxyname=\"ChartTextProperty\" />\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Font Properties\" panel_widget=\"FontEditor\">\n"
"            <Property name=\"Color\" function=\"Color\" />\n"
"            <Property name=\"Opacity\" function=\"Opacity\"/>\n"
"            <Property name=\"FontFamily\" function=\"Family\"/>\n"
"            <Property name=\"FontFile\" function=\"File\"/>\n"
"            <Property name=\"Bold\" function=\"Bold\"/>\n"
"            <Property name=\"Italic\" function=\"Italics\" />\n"
"            <Property name=\"Shadow\" function=\"Shadow\"/>\n"
"            <Property name=\"FontSize\" function=\"Size\"/>\n"
"            <Property name=\"Justification\" function=\"Justification\"/>\n"
"            <Property name=\"VerticalJustification\" default_values=\"1\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Multi Cell Properties\">\n"
"            <Property name=\"LineSpacing\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"CellOffset\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"InteriorLinesWidth\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"InteriorLinesColor\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"InteriorLinesVisibility\" panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"    </ChartRepresentationProxy>\n"
"\n"
"<!-- =================================================================== -->\n"
"    <ChartRepresentationProxy class=\"vtkChartLogoRepresentation\"\n"
"                              name=\"ChartLogoRepresentation\"\n"
"                              processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>Representation to show logo in Chart views</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Visibility of the representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetLogoLocation\"\n"
"                         default_values=\"5\"\n"
"                         name=\"LogoLocation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Any Location\" value=\"0\" />\n"
"          <Entry text=\"Lower Left Corner\" value=\"1\" />\n"
"          <Entry text=\"Lower Right Corner\" value=\"2\" />\n"
"          <Entry text=\"Lower Center\" value=\"3\" />\n"
"          <Entry text=\"Upper Left Corner\" value=\"4\" />\n"
"          <Entry text=\"Upper Right Corner\" value=\"5\" />\n"
"          <Entry text=\"Upper Center\" value=\"6\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Specify placement of the logo actor.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            name=\"Position\"\n"
"                            default_values=\"0.05 0.05\"\n"
"                            number_of_elements=\"2\"\n"
"                            information_property=\"PositionInfo\">\n"
"        <DoubleRangeDomain min=\"0 0\"\n"
"            max=\"1 1\"\n"
"            name=\"range\" />\n"
"        <Documentation>\n"
"        Normalized position of the bottom left corner of the text box in pixels.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetPosition\"\n"
"                            information_only=\"1\"\n"
"                            name=\"PositionInfo\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Logo Position\" panel_widget=\"TextLocationEditor\">\n"
"        <Property name=\"LogoLocation\" function=\"WindowLocation\" />\n"
"        <Property name=\"Position\"/>\n"
"      </PropertyGroup>\n"
"\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy base_proxygroup=\"representations\"\n"
"                              class=\"vtkXYChartRepresentation\"\n"
"                              name=\"XYChartRepresentationBase\"\n"
"                              processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>API for representations used by XYChartView and XYBarChartView.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Visibility of the representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface29 =
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty clean_command=\"ResetCompositeDataSetIndices\"\n"
"                         command=\"AddCompositeDataSetIndex\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\"\n"
"                         name=\"CompositeDataSetIndex\"\n"
"                         number_of_elements_per_command=\"1\"\n"
"                         panel_visibility=\"default\"\n"
"                         repeat_command=\"1\">\n"
"        <CompositeTreeDomain mode=\"leaves\" name=\"tree\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </CompositeTreeDomain>\n"
"        <Documentation>This property lists the ids of the blocks to extract\n"
"          from the input multiblock dataset.</Documentation>\n"
"        <Hints>\n"
"          <!-- we don't want to show this property, except for MBs. -->\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"            mode=\"visibility\" name=\"vtkMultiBlockDataSet\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFieldAssociation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AttributeType\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Select the attribute data to render.</Documentation>\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
"                         name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseIndexForXAxis\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseIndexForXAxis\"\n"
"                         number_of_elements=\"1\">\n"
"        <ChartUseIndexForAxisDomain name=\"bool\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArraySelection\" name=\"XArrayName\" />\n"
"          </RequiredProperties>\n"
"        </ChartUseIndexForAxisDomain>\n"
"        <Documentation>When set, the array index will be used for X axis,\n"
"        otherwise the array identified by XArrayName will be\n"
"        used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetXAxisSeriesName\"\n"
"                            default_values=\"\"\n"
"                            name=\"XArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the array to use on X axis. This is used only when\n"
"        UseIndexForXAxis is set to 0.</Documentation>\n"
"        <ChartSeriesListDomain name=\"array_list\"\n"
"                              hide_partial_arrays=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesListDomain>\n"
"        <Hints>\n"
"          <!-- the widget for this property is only enabled, when\n"
"          UseIndexForXAxis is unchecked. -->\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseIndexForXAxis\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <PropertyGroup label=\"X Axis Parameters\">\n"
"        <Property name=\"UseIndexForXAxis\" />\n"
"        <Property name=\"XArrayName\" />\n"
"      </PropertyGroup>\n"
"      <StringVectorProperty command=\"SetSeriesVisibility\"\n"
"                            element_types=\"2 0\"\n"
"                            name=\"SeriesVisibility\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            clean_command=\"ClearSeriesVisibilities\">\n"
"        <Documentation>Set the series visibility.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"visibility\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"        <Hints>\n"
"          <!-- when present, the SeriesEditor widget will allow user to\n"
"          re-order the series which will affect the rendered plot -->\n"
"          <SeriesEditor supports_reordering=\"1\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetLabel\"\n"
"                            clean_command=\"ClearLabels\"\n"
"                            element_types=\"2 2\"\n"
"                            name=\"SeriesLabel\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series labels.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"label\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetColor\"\n"
"                            clean_command=\"ClearColors\"\n"
"                            element_types=\"2 1 1 1\"\n"
"                            name=\"SeriesColor\"\n"
"                            number_of_elements_per_command=\"4\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series line/bar color.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"color\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetOpacity\"\n"
"                            clean_command=\"ClearOpacities\"\n"
"                            element_types=\"2 1\"\n"
"                            name=\"SeriesOpacity\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series line/bar opacity.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"value\"\n"
"                                    default_value=\"1.0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetAxisCorner\"\n"
"                            clean_command=\"ClearAxisCorners\"\n"
"                            element_types=\"2 0\"\n"
"                            name=\"SeriesPlotCorner\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series axis corner.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"value\"\n"
"                                    default_value=\"0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <!--\n"
"          Set the palette SelectionColor color to all the plots in the chart.\n"
"        -->\n"
"      <DoubleVectorProperty command=\"SetSelectionColor\"\n"
"                            default_values=\"1.0 0.0 1.0\"\n"
"                            name=\"Color\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"never\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"SelectionColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <SubProxy command=\"SetSelectionRepresentation\">\n"
"        <!--\n"
"          SelectionRepresentation proxy is used to convey the selection to view.\n"
"          We keep this separate as subproxy so that when the selection is\n"
"          modified, we don't have to update the representation as well, we can\n"
"          only update the SelectionRepresentation.\n"
"        -->\n"
"        <RepresentationProxy name=\"SelectionRepresentation\"\n"
"               class=\"vtkChartSelectionRepresentation\"\n"
"               processes=\"client|dataserver|renderserver\">\n"
"          <InputProperty command=\"SetInputConnection\"\n"
"                         name=\"SelectionInput\"/>\n"
"        </RepresentationProxy>\n"
"      </SubProxy>\n"
"\n"
"      <StringVectorProperty command=\"SetSeriesLabelPrefix\"\n"
"                            name=\"SeriesLabelPrefix\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_value=\"\"\n"
"                            panel_visibility=\"advanced\">\n"
"      <Documentation>\n"
"        Specify a string to prefix to the **SeriesLabel** (**Legend Name**) for each\n"
"        of series being plotted. This will get prefixed to the labels (legend names) specified\n"
"        for each of the series individually via the **Series Parameters**.\n"
"      </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"LastPresetName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"Spectrum\"\n"
"                            panel_visibility=\"never\">\n"
"      <Documentation>Dummy property containing last color preset name.\n"
"        The property widget can set it when a preset is applied, and the domain can read it when a default color is requested.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End of XYChartRepresentationBase -->\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy base_proxygroup=\"representations\"\n"
"                              class=\"vtkPVHistogramChartRepresentation\"\n"
"                              name=\"HistogramChartRepresentation\"\n"
"                              processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>Representation used by XYHistogramChartView.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"any\" name=\"input_array\" />\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputArray\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property indicates the name of the array from which\n"
"        to compute the histogram.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Visibility of the representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface30 =
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseColorMapping\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseColorMapping\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Use color mapping for the histogram.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetHistogramColor\"\n"
"                            default_values=\"0 0 1\"\n"
"                            name=\"HistogramColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"default\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseColorMapping\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Sets the color for the histograms.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <ProxyProperty command=\"SetLookupTable\"\n"
"                     name=\"LookupTable\"\n"
"                     panel_visibility=\"never\" >\n"
"        <Documentation>Sets the lookup table to use for scalar\n"
"        mapping.</Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <SubProxy command=\"SetSelectionRepresentation\">\n"
"        <!--\n"
"          SelectionRepresentation proxy is used to convey the selection to view.\n"
"          We keep this separate as subproxy so that when the selection is\n"
"          modified, we don't have to update the representation as well, we can\n"
"          only update the SelectionRepresentation.\n"
"        -->\n"
"        <RepresentationProxy name=\"SelectionRepresentation\"\n"
"               class=\"vtkChartSelectionRepresentation\"\n"
"               processes=\"client|dataserver|renderserver\">\n"
"               <!-- See vtkSMChartRepresentationProxy::SetPropertyModifiedFlag()\n"
"                    for the details on naming this property -->\n"
"          <InputProperty command=\"SetInputConnection\"\n"
"                         name=\"OriginalSelectionInput\"/>\n"
"        </RepresentationProxy>\n"
"      </SubProxy>\n"
"\n"
"      <IntVectorProperty command=\"SetBinCount\"\n"
"                         default_values=\"256\"\n"
"                         name=\"BinCount\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"1000\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property specifies the number of bins\n"
"        for the histogram.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetComponent\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Component\"\n"
"                         number_of_elements=\"1\">\n"
"        <NumberOfComponentsDomain name=\"comps\" enable_magnitude=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputArray\" />\n"
"          </RequiredProperties>\n"
"        </NumberOfComponentsDomain>\n"
"        <Documentation>The value of this property specifies the array component\n"
"        from which the histogram should be computed.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCenterBinsAroundMinAndMax\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CenterBinsAroundMinAndMax\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set to true, first and last bin will be centered\n"
"          around the minimum and the maximum values of the data.\n"
"          By default, set to false.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"UseCustomBinRanges\"\n"
"                                   value=\"0\" />\n"
"          <!-- show this widget when UseCustomBinRanges==0 -->\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseCustomBinRanges\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseCustomBinRanges\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set to true, CustomBinRanges will be used instead\n"
"        of using the full range for the selected array. By default, set to\n"
"        false.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCustomBinRanges\"\n"
"                            default_values=\"0.0 100.0\"\n"
"                            name=\"CustomBinRanges\"\n"
"                            number_of_elements=\"2\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set custom bin ranges to use. These are used only when\n"
"        UseCustomBinRanges is set to true.</Documentation>\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputArray\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseCustomBinRanges\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetHistogramLineStyle\"\n"
"                         name=\"HistogramLineStyle\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\">\n"
"         <Documentation>Set the line style to use for drawing a border around the histogram bins.\n"
"         </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\" />\n"
"          <Entry text=\"Solid\" value=\"1\" />\n"
"          <Entry text=\"Dash\" value=\"2\" />\n"
"          <Entry text=\"Dot\" value=\"3\" />\n"
"          <Entry text=\"Dash Dot\" value=\"4\" />\n"
"          <Entry text=\"Dash Dot Dot\" value=\"5\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <InitializationHelper class=\"vtkSMXYChartRepresentationInitializationHelper\" />\n"
"      </Hints>\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy class=\"vtkPVParallelCoordinatesRepresentation\"\n"
"                              name=\"ParallelCoordinatesRepresentation\"\n"
"                              processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>Representation used by\n"
"      ParallelCoordinatesChartView.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Visibility of the representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetCompositeDataSetIndex\"\n"
"                         default_values=\"1\"\n"
"                         name=\"CompositeDataSetIndex\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>In case of Composite datasets, set the flat index of the\n"
"        dataset to pass. The flat index must point to a non-empty,\n"
"        non-composite dataset for anything to be passed through. If the input\n"
"        is not a composite dataset, then this index is ignored.</Documentation>\n"
"        <CompositeTreeDomain mode=\"leaves\"\n"
"                             name=\"tree\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </CompositeTreeDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFieldAssociation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FieldAssociation\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Select the attribute data to pass.</Documentation>\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
"                         name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetSeriesVisibility\"\n"
"                            element_types=\"2 0\"\n"
"                            name=\"SeriesVisibility\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            clean_command=\"ClearSeriesVisibilities\">\n"
"        <Documentation>Set the series visibility.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"visibility\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"FieldAssociation\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"        <Hints>\n"
"          <!-- when present, the SeriesEditor widget will allow user to\n"
"          re-order the series which will affect the rendered plot -->\n"
"          <SeriesEditor supports_reordering=\"1\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetColor\"\n"
"                            name=\"Color\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series line color.</Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOpacity\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the opacity of the lines.</Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetLineThickness\"\n"
"                         name=\"LineThickness\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series line thickness.</Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"10\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLineStyle\"\n"
"                         name=\"LineStyle\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series line style.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\" />\n"
"          <Entry text=\"Solid\" value=\"1\" />\n"
"          <Entry text=\"Dash\" value=\"2\" />\n"
"          <Entry text=\"Dot\" value=\"3\" />\n"
"          <Entry text=\"Dash Dot\" value=\"4\" />\n"
"          <Entry text=\"Dash Dot Dot\" value=\"5\" />\n"
"        </EnumerationDomain>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface31 =
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Series Parameters\"\n"
"                     panel_widget=\"SeriesEditor\" >\n"
"        <Property name=\"SeriesVisibility\" function=\"SeriesVisibility\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Styling\">\n"
"        <Property name=\"Color\" />\n"
"        <Property name=\"Opacity\" />\n"
"        <Property name=\"LineThickness\" />\n"
"        <Property name=\"LineStyle\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetSelectionRepresentation\">\n"
"        <!--\n"
"          SelectionRepresentation proxy is used to convey the selection to view.\n"
"          We keep this separate as subproxy so that when the selection is\n"
"          modified, we don't have to update the representation as well, we can\n"
"          only update the SelectionRepresentation.\n"
"        -->\n"
"        <RepresentationProxy name=\"SelectionRepresentation\"\n"
"               class=\"vtkChartSelectionRepresentation\"\n"
"               processes=\"client|dataserver|renderserver\">\n"
"          <InputProperty command=\"SetInputConnection\"\n"
"                         name=\"SelectionInput\"/>\n"
"        </RepresentationProxy>\n"
"      </SubProxy>\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy class=\"vtkPVBoxChartRepresentation\"\n"
"                                 name=\"BoxChartRepresentation\"\n"
"                                 processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>Representation used by BoxChartView.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Visibility of the representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetCompositeDataSetIndex\"\n"
"                         default_values=\"1\"\n"
"                         name=\"CompositeDataSetIndex\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>In case of Composite datasets, set the flat index of the\n"
"        dataset to pass. The flat index must point to a non-empty,\n"
"        non-composite dataset for anything to be passed through. If the input\n"
"        is not a composite dataset, then this index is ignored.</Documentation>\n"
"        <CompositeTreeDomain mode=\"leaves\"\n"
"                             name=\"tree\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </CompositeTreeDomain>\n"
"        <Hints>\n"
"          <!-- we don't want to show this property, except for MBs. -->\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"            mode=\"visibility\" name=\"vtkMultiBlockDataSet\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFieldAssociation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FieldAssociation\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Select the attribute data to pass.</Documentation>\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
"                         name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetSeriesVisibility\"\n"
"                            element_types=\"2 0\"\n"
"                            name=\"SeriesVisibility\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            clean_command=\"ClearSeriesVisibilities\">\n"
"        <Documentation>Set the series visibility.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"visibility\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"FieldAssociation\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"        <Hints>\n"
"          <!-- when present, the SeriesEditor widget will allow user to\n"
"          re-order the series which will affect the rendered plot -->\n"
"          <SeriesEditor supports_reordering=\"1\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetSeriesColor\"\n"
"                            element_types=\"2 1 1 1\"\n"
"                            name=\"SeriesColor\"\n"
"                            number_of_elements_per_command=\"4\"\n"
"                            repeat_command=\"1\"\n"
"                            clean_command=\"ClearSeriesColors\">\n"
"        <Documentation>Set the series box plot color.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"color\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"FieldAssociation\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetColor\"\n"
"                            name=\"Color\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series line color.</Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetLineThickness\"\n"
"                         name=\"LineThickness\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series line thickness.</Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"10\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLineStyle\"\n"
"                         name=\"LineStyle\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series line style.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\" />\n"
"          <Entry text=\"Solid\" value=\"1\" />\n"
"          <Entry text=\"Dash\" value=\"2\" />\n"
"          <Entry text=\"Dot\" value=\"3\" />\n"
"          <Entry text=\"Dash Dot\" value=\"4\" />\n"
"          <Entry text=\"Dash Dot Dot\" value=\"5\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLegend\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Legend\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Visibility of the legend.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Series Parameters\"\n"
"                     panel_widget=\"SeriesEditor\" >\n"
"        <Property name=\"SeriesVisibility\"\n"
"                  function=\"SeriesVisibility\" />\n"
"        <Property name=\"SeriesColor\"\n"
"                  function=\"SeriesColor\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Box Styling\">\n"
"        <Property name=\"Color\" />\n"
"        <Property name=\"LineThickness\" />\n"
"        <Property name=\"LineStyle\" />\n"
"        <Property name=\"Legend\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetSelectionRepresentation\">\n"
"        <!--\n"
"          SelectionRepresentation proxy is used to convey the selection to view.\n"
"          We keep this separate as subproxy so that when the selection is\n"
"          modified, we don't have to update the representation as well, we can\n"
"          only update the SelectionRepresentation.\n"
"        -->\n"
"        <RepresentationProxy name=\"SelectionRepresentation\"\n"
"               class=\"vtkChartSelectionRepresentation\"\n"
"               processes=\"client|dataserver|renderserver\">\n"
"          <InputProperty command=\"SetInputConnection\"\n"
"                         name=\"SelectionInput\"/>\n"
"        </RepresentationProxy>\n"
"      </SubProxy>\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy base_proxygroup=\"representations\"\n"
"                              class=\"vtkPVPlotMatrixRepresentation\"\n"
"                              name=\"PlotMatrixRepresentation\"\n"
"                              processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>Representation used by PlotMatrixView.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Visibility of the representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetCompositeDataSetIndex\"\n"
"                         default_values=\"1\"\n"
"                         name=\"CompositeDataSetIndex\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>In case of Composite datasets, set the flat index of the\n"
"        dataset to pass. The flat index must point to a non-empty,\n"
"        non-composite dataset for anything to be passed through. If the input\n"
"        is not a composite dataset, then this index is ignored.</Documentation>\n"
"        <CompositeTreeDomain mode=\"leaves\"\n"
"                             name=\"tree\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"          <Hints>\n"
"            <!-- we don't want to show this property, except for MBs. -->\n"
"            <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"              mode=\"visibility\" name=\"vtkMultiBlockDataSet\" />\n"
"          </Hints>\n"
"        </CompositeTreeDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFieldAssociation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FieldAssociation\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Select the attribute data to pass.</Documentation>\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface32 =
"                         name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetSeriesVisibility\"\n"
"                            element_types=\"2 0\"\n"
"                            name=\"SeriesVisibility\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            clean_command=\"ClearSeriesVisibilities\">\n"
"        <Documentation>Set the series visibility.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"visibility\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"FieldAssociation\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"        <Hints>\n"
"          <!-- when present, the SeriesEditor widget will allow user to\n"
"          re-order the series which will affect the rendered plot -->\n"
"          <SeriesEditor supports_reordering=\"1\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Series Parameters\"\n"
"                     panel_widget=\"SeriesEditor\" >\n"
"        <Property name=\"SeriesVisibility\" function=\"SeriesVisibility\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <DoubleVectorProperty command=\"SetColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"ScatterPlotsColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Sets the color.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetHistogramColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"HistogramColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Sets the color for the histograms.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetMarkerStyle\"\n"
"                         default_values=\"4\"\n"
"                         name=\"ScatterPlotMarkerStyle\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Property which sets the marker style for the scatter\n"
"        plots.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\"/>\n"
"          <Entry text=\"Cross\" value=\"1\"/>\n"
"          <Entry text=\"Plus\" value=\"2\"/>\n"
"          <Entry text=\"Square\" value=\"3\"/>\n"
"          <Entry text=\"Circle\" value=\"4\"/>\n"
"          <Entry text=\"Diamond\" value=\"5\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMarkerSize\"\n"
"                            default_values=\"3\"\n"
"                            name=\"ScatterPlotMarkerSize\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Property which sets the marker size for the scatter\n"
"        plots.</Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"1\" max=\"20\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetActivePlotColor\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"ActivePlotColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Sets the color for the active plot.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetActivePlotMarkerStyle\"\n"
"                         default_values=\"4\"\n"
"                         name=\"ActivePlotMarkerStyle\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Property which sets the marker style for the active\n"
"        plot.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\"/>\n"
"          <Entry text=\"Cross\" value=\"1\"/>\n"
"          <Entry text=\"Plus\" value=\"2\"/>\n"
"          <Entry text=\"Square\" value=\"3\"/>\n"
"          <Entry text=\"Circle\" value=\"4\"/>\n"
"          <Entry text=\"Diamond\" value=\"5\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetActivePlotMarkerSize\"\n"
"                            default_values=\"5\"\n"
"                            name=\"ActivePlotMarkerSize\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Property which sets the marker size for the active\n"
"        plots.</Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"1\" max=\"20\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <SubProxy command=\"SetSelectionRepresentation\">\n"
"        <!--\n"
"          SelectionRepresentation proxy is used to convey the selection to view.\n"
"          We keep this separate as subproxy so that when the selection is\n"
"          modified, we don't have to update the representation as well, we can\n"
"          only update the SelectionRepresentation.\n"
"        -->\n"
"        <RepresentationProxy name=\"SelectionRepresentation\"\n"
"               class=\"vtkChartSelectionRepresentation\"\n"
"               processes=\"client|dataserver|renderserver\">\n"
"          <InputProperty command=\"SetInputConnection\"\n"
"                         name=\"SelectionInput\"/>\n"
"        </RepresentationProxy>\n"
"      </SubProxy>\n"
"\n"
"      <PropertyGroup label=\"Styling\">\n"
"        <Property name=\"ScatterPlotsColor\" />\n"
"        <Property name=\"HistogramColor\" />\n"
"        <Property name=\"ScatterPlotMarkerStyle\" />\n"
"        <Property name=\"ScatterPlotMarkerSize\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Styling (Active Plot)\">\n"
"        <Property name=\"ActivePlotColor\" />\n"
"        <Property name=\"ActivePlotMarkerStyle\" />\n"
"        <Property name=\"ActivePlotMarkerSize\" />\n"
"      </PropertyGroup>\n"
"      <!-- End of PlotMatrixRepresentation -->\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy base_proxygroup=\"representations\"\n"
"                              base_proxyname=\"XYChartRepresentationBase\"\n"
"                              class=\"vtkXYChartRepresentation\"\n"
"                              name=\"XYChartRepresentation\"\n"
"                              processes=\"client|dataserver|renderserver\"\n"
"                              post_creation=\"SetChartTypeToLine\">\n"
"      <Documentation>Representation used by XYChartView.</Documentation>\n"
"      <StringVectorProperty command=\"SetLineStyle\"\n"
"                            clean_command=\"ClearLineStyles\"\n"
"                            element_types=\"2 0\"\n"
"                            name=\"SeriesLineStyle\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series line style.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"value\"\n"
"                                    default_value=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetLineThickness\"\n"
"                            clean_command=\"ClearLineThicknesses\"\n"
"                            element_types=\"str int\"\n"
"                            name=\"SeriesLineThickness\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series line thickness.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"value\"\n"
"                                    default_value=\"2\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetMarkerStyle\"\n"
"                            clean_command=\"ClearMarkerStyles\"\n"
"                            element_types=\"2 0\"\n"
"                            name=\"SeriesMarkerStyle\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series marker style.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"value\"\n"
"                                    default_value=\"0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetMarkerSize\"\n"
"                            clean_command=\"ClearMarkerSizes\"\n"
"                            element_types=\"str double\"\n"
"                            name=\"SeriesMarkerSize\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series marker size.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"value\"\n"
"                                    default_value=\"4\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Series Parameters\"\n"
"                     panel_widget=\"SeriesEditor\"\n"
"                     panel_visibility=\"default\" >\n"
"        <Property name=\"SeriesVisibility\"\n"
"                  function=\"SeriesVisibility\" />\n"
"        <Property name=\"SeriesColor\"\n"
"                  function=\"SeriesColor\" />\n"
"        <Property name=\"SeriesOpacity\"\n"
"                  function=\"SeriesOpacity\" />\n"
"        <Property name=\"SeriesLineThickness\"\n"
"                  function=\"SeriesLineThickness\" />\n"
"        <Property name=\"SeriesLineStyle\"\n"
"                  function=\"SeriesLineStyle\" />\n"
"        <Property name=\"SeriesLabel\"\n"
"                  function=\"SeriesLabel\" />\n"
"        <Property name=\"SeriesMarkerSize\"\n"
"                  function=\"SeriesMarkerSize\" />\n"
"        <Property name=\"SeriesMarkerStyle\"\n"
"                  function=\"SeriesMarkerStyle\" />\n"
"        <Property name=\"SeriesPlotCorner\"\n"
"                  function=\"SeriesPlotCorner\"/>\n"
"        <Property name=\"LastPresetName\"\n"
"                  function=\"LastPresetName\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <InitializationHelper class=\"vtkSMXYChartRepresentationInitializationHelper\" />\n"
"      </Hints>\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy base_proxygroup=\"representations\"\n"
"                              base_proxyname=\"XYChartRepresentationBase\"\n"
"                              class=\"vtkXYChartRepresentation\"\n"
"                              name=\"XYPointChartRepresentation\"\n"
"                              processes=\"client|dataserver|renderserver\"\n"
"                              post_creation=\"SetChartTypeToPoints\">\n"
"      <Documentation>Representation used by XYChartView.</Documentation>\n"
"      <StringVectorProperty command=\"SetLineStyle\"\n"
"                            clean_command=\"ClearLineStyles\"\n"
"                            element_types=\"2 0\"\n"
"                            name=\"SeriesLineStyle\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series line style.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    default_mode=\"value\"\n"
"                                    default_value=\"0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetLineThickness\"\n"
"                            clean_command=\"ClearLineThicknesses\"\n"
"                            element_types=\"str double\"\n"
"                            name=\"SeriesLineThickness\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series line thickness.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    default_mode=\"value\"\n"
"                                    default_value=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface33 =
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetMarkerStyle\"\n"
"                            clean_command=\"ClearMarkerStyles\"\n"
"                            element_types=\"2 0\"\n"
"                            name=\"SeriesMarkerStyle\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series marker style.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    default_mode=\"value\"\n"
"                                    default_value=\"2\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetMarkerSize\"\n"
"                            clean_command=\"ClearMarkerSizes\"\n"
"                            element_types=\"str double\"\n"
"                            name=\"SeriesMarkerSize\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series marker size.</Documentation>\n"
"        <ChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    default_mode=\"value\"\n"
"                                    default_value=\"4\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Series Parameters\"\n"
"                     panel_widget=\"SeriesEditor\"\n"
"                     panel_visibility=\"default\" >\n"
"        <Property name=\"SeriesVisibility\"\n"
"                  function=\"SeriesVisibility\" />\n"
"        <Property name=\"SeriesColor\"\n"
"                  function=\"SeriesColor\" />\n"
"        <Property name=\"SeriesOpacity\"\n"
"                  function=\"SeriesOpacity\" />\n"
"        <Property name=\"SeriesLineThickness\"\n"
"                  function=\"SeriesLineThickness\" />\n"
"        <Property name=\"SeriesLineStyle\"\n"
"                  function=\"SeriesLineStyle\" />\n"
"        <Property name=\"SeriesLabel\"\n"
"                  function=\"SeriesLabel\" />\n"
"        <Property name=\"SeriesMarkerStyle\"\n"
"                  function=\"SeriesMarkerStyle\" />\n"
"        <Property name=\"SeriesMarkerSize\"\n"
"                  function=\"SeriesMarkerSize\" />\n"
"        <Property name=\"SeriesPlotCorner\"\n"
"                  function=\"SeriesPlotCorner\"/>\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <InitializationHelper class=\"vtkSMXYChartRepresentationInitializationHelper\" />\n"
"      </Hints>\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy base_proxygroup=\"representations\"\n"
"                              base_proxyname=\"XYChartRepresentation\"\n"
"                              class=\"vtkQuartileChartRepresentation\"\n"
"                              name=\"QuartileChartRepresentation\"\n"
"                              processes=\"client|dataserver|renderserver\"\n"
"                              post_creation=\"SetChartTypeToArea\">\n"
"      <Documentation>Representation used by Quartile Chart View.</Documentation>\n"
"      <IntVectorProperty name=\"ShowQuartiles\"\n"
"                         command=\"SetQuartileVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether to render the area for the q1/q3 quartiles, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"ShowRanges\"\n"
"                         command=\"SetRangeVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether to render the area for the min/max range, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"ShowAverage\"\n"
"                         command=\"SetAverageVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether to render the line for the average value, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"ShowMedian\"\n"
"                         command=\"SetMedianVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether to render the line for the median value, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"ShowMinimum\"\n"
"                         command=\"SetMinVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether to render the line for the minimum value, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"ShowMaximum\"\n"
"                         command=\"SetMaxVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether to render the line for the maximum value, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"ShowSum\"\n"
"                         command=\"SetSumVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether to render the line for the sum, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy base_proxygroup=\"representations\"\n"
"                              base_proxyname=\"XYChartRepresentationBase\"\n"
"                              class=\"vtkXYChartRepresentation\"\n"
"                              name=\"XYBarChartRepresentation\"\n"
"                              processes=\"client|dataserver|renderserver\"\n"
"                              post_creation=\"SetChartTypeToBar\">\n"
"      <Documentation>Representation used by XYBarChartView.</Documentation>\n"
"      <PropertyGroup label=\"Series Parameters\"\n"
"                     panel_widget=\"SeriesEditor\"\n"
"                     panel_visibility=\"default\" >\n"
"        <Property name=\"SeriesVisibility\"\n"
"                  function=\"SeriesVisibility\" />\n"
"        <Property name=\"SeriesColor\"\n"
"                  function=\"SeriesColor\" />\n"
"        <Property name=\"SeriesOpacity\"\n"
"                  function=\"SeriesOpacity\" />\n"
"        <Property name=\"SeriesLabel\"\n"
"                  function=\"SeriesLabel\" />\n"
"        <Property name=\"SeriesPlotCorner\"\n"
"                  function=\"SeriesPlotCorner\"/>\n"
"      </PropertyGroup>\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <SpreadSheetRepresentationProxy class=\"vtkSpreadSheetRepresentation\"\n"
"                                    name=\"SpreadSheetRepresentation\"\n"
"                                    processes=\"client|dataserver|renderserver\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Visibility of the representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Assembly\"\n"
"        command=\"SetActiveAssemblyForSelectors\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Hierarchy\"\n"
"        panel_visibility=\"multiblock_inspector\">\n"
"        <DataAssemblyListDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </DataAssemblyListDomain>\n"
"        <Documentation>\n"
"          Select which assembly is used when specify selectors\n"
"          to choose blocks to show for composite datasets.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"BlockVisibilities\"\n"
"        command=\"AddSelector\"\n"
"        clean_command=\"ClearSelectors\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        panel_visibility=\"multiblock_inspector\"\n"
"        default_values=\"/\">\n"
"        <DataAssemblyDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ActiveAssembly\" name=\"Assembly\" />\n"
"          </RequiredProperties>\n"
"        </DataAssemblyDomain>\n"
"        <Documentation>\n"
"          For composite datasets, specify selectors to limit the view\n"
"          to a chosen subset of blocks.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Blocks\" panel_widget=\"DataAssemblyEditor\"\n"
"        panel_visibility=\"multiblock_inspector\">\n"
"        <Property name=\"Assembly\" function=\"ActiveAssembly\" />\n"
"        <Property name=\"BlockVisibilities\" function=\"Selectors\" />\n"
"        <Hints>\n"
"          <DataAssemblyPropertyWidget use_inputname_as_header=\"1\" link_active_selection=\"1\"/>\n"
"        </Hints>\n"
"      </PropertyGroup>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     is_internal=\"1\"\n"
"                     name=\"InternalInput1\"\n"
"                     port_index=\"1\">\n"
"        <Documentation>Internal property. Please don't touch\n"
"        this.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- end of SpreadSheetRepresentation -->\n"
"    </SpreadSheetRepresentationProxy>\n"
"    <!-- =================================================================== -->\n"
"    <RepresentationProxy class=\"vtkTextSourceRepresentation\"\n"
"                         name=\"TextSourceRepresentation\"\n"
"                         processes=\"client|dataserver|renderserver\"\n"
"                         si_class=\"vtkSIProxy\">\n"
"      <Documentation>Representation proxy used to show text.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetTextPropMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"TextPropMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"2D Text Widget\" value=\"0\" />\n"
"          <Entry text=\"Flagpole Actor\" value=\"1\" />\n"
"          <Entry text=\"Billboard 3D Text\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Select how you want the text to be represented in the view.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface34 =
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetInteractivity\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Interactivity\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether user should be able to interactively place the text in the view.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"TextPropMode\"\n"
"                                   value=\"0\" />\n"
"\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"WindowLocation\"\n"
"                                   value=\"0\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy command=\"SetTextWidgetRepresentation\">\n"
"        <Proxy name=\"TextWidgetRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"TextWidgetRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <!-- properties for Text Position-->\n"
"          <PropertyGroup name=\"TextPosition\" label=\"Text Position\" panel_widget=\"TextLocationEditor\">\n"
"            <Property name=\"WindowLocation\" />\n"
"            <Property name=\"Position\" />\n"
"            <Property name=\"Position2\" panel_visibility=\"never\"/>\n"
"            <Property name=\"PositionInfo\" />\n"
"            <Property name=\"Position2Info\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"TextPropMode\"\n"
"                                       value=\"0\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"          <Property name=\"TextScaleMode\" panel_visibility=\"never\" default_values=\"0\"/>\n"
"          <Property name=\"Resizable\" panel_visibility=\"never\"/>\n"
"\n"
"          <!-- properties for Text -->\n"
"          <Property name=\"Orientation\" panel_visibility=\"never\"/>\n"
"          <PropertyGroup label=\"Font Properties\" panel_widget=\"FontEditor\">\n"
"            <Property name=\"Color\" function=\"Color\"/>\n"
"            <Property name=\"Opacity\" function=\"Opacity\"/>\n"
"            <Property name=\"FontFamily\" function=\"Family\"/>\n"
"            <Property name=\"FontFile\" function=\"File\"/>\n"
"            <Property name=\"Bold\" function=\"Bold\"/>\n"
"            <Property name=\"Italic\" function=\"Italics\" />\n"
"            <Property name=\"Shadow\" function=\"Shadow\"/>\n"
"            <Property name=\"FontSize\" function=\"Size\"/>\n"
"            <Property name=\"Justification\" function=\"Justification\" default_values=\"1\" />\n"
"            <Property name=\"VerticalJustification\" function=\"VerticalJustification\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <Property name=\"ShowBorder\" label=\"Show Background\" />\n"
"          <PropertyGroup label=\"Background Properties\">\n"
"            <Property name=\"BackgroundColor\" default_values=\"1 1 1 0.2\"/>\n"
"            <Property name=\"BorderColor\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"BorderThickness\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CornerRadius\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Padding\" panel_visibility=\"advanced\" default_values=\"1\" />\n"
"\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                    mode=\"visibility\"\n"
"                                    property=\"TextPropMode\"\n"
"                                    value=\"0\" />\n"
"\n"
"              <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"                <Expression type=\"or\">\n"
"                  <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                    mode=\"visibility\"\n"
"                    property=\"ShowBorder\"\n"
"                    value=\"1\" />\n"
"\n"
"                  <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                    mode=\"visibility\"\n"
"                    property=\"ShowBorder\"\n"
"                    value=\"2\" />\n"
"                </Expression>\n"
"              </PropertyWidgetDecorator>\n"
"            </Hints>\n"
"\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Multi Cell Properties\">\n"
"            <Property name=\"LineSpacing\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"CellOffset\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"InteriorLinesWidth\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"InteriorLinesColor\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"InteriorLinesVisibility\" panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy command=\"SetFlagpoleLabel\">\n"
"        <Proxy name=\"FlagpoleLabel\"\n"
"               proxygroup=\"annotations\"\n"
"               proxyname=\"FlagpoleLabel\"></Proxy>\n"
"         <ShareProperties subproxy=\"TextWidgetRepresentation\">\n"
"           <Exception name=\"Orientation\" />\n"
"           <Exception name=\"WindowLocation\" />\n"
"           <Exception name=\"Position\" />\n"
"           <Exception name=\"Position2\" />\n"
"           <Exception name=\"PositionInfo\" />\n"
"           <Exception name=\"Position2Info\" />\n"
"           <Exception name=\"TextScaleMode\" />\n"
"           <Exception name=\"Resizable\" />\n"
"         </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <!-- properties for Text -->\n"
"          <PropertyGroup label=\"Flagpole Properties\">\n"
"            <Property name=\"BasePosition\" />\n"
"            <Property name=\"TopPosition\" />\n"
"            <Property name=\"FlagSize\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"TextPropMode\"\n"
"                                       value=\"1\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy command=\"SetBillboardTextActor\">\n"
"        <Proxy name=\"BillboardTextActor3D\"\n"
"               proxygroup=\"annotations\"\n"
"               proxyname=\"BillboardTextActor3D\"></Proxy>\n"
"         <ShareProperties subproxy=\"TextWidgetRepresentation\">\n"
"           <Exception name=\"Orientation\" />\n"
"           <Exception name=\"WindowLocation\" />\n"
"           <Exception name=\"Position\" />\n"
"           <Exception name=\"Position2\" />\n"
"           <Exception name=\"PositionInfo\" />\n"
"           <Exception name=\"Position2Info\" />\n"
"           <Exception name=\"TextScaleMode\" />\n"
"           <Exception name=\"Resizable\" />\n"
"         </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <!-- properties for Text -->\n"
"          <PropertyGroup label=\"Billboard Position\" panel_widget=\"InteractiveHandle\">\n"
"            <Property function=\"WorldPosition\" name=\"BillboardPosition\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"TextPropMode\"\n"
"                                       value=\"2\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Billboard Properties\">\n"
"            <Property name=\"DisplayOffset\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"TextPropMode\"\n"
"                                       value=\"2\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of TextSourceRepresentation -->\n"
"    </RepresentationProxy>\n"
"    <!-- =================================================================== -->\n"
"    <RepresentationProxy class=\"vtkRulerSourceRepresentation\"\n"
"                         name=\"RulerSourceRepresentation\"\n"
"                         processes=\"client|dataserver|renderserver\"\n"
"                         si_class=\"vtkSIProxy\">\n"
"      <Documentation>Representation proxy used to show a ruler.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetLabelFormat\"\n"
"                            default_values=\"%6.3g\"\n"
"                            name=\"LabelFormat\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          This should be a printf-style format string. You can do things\n"
"          like limit the number of significant digits, add prefixes/suffixes,\n"
"          basically anything that printf can do. An empty string or a string\n"
"          without the % symbol results in no label.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Scale\"\n"
"        command=\"SetScale\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.\">\n"
"        <Documentation>\n"
"          Scale factor applied to the global coordinate distance. Used to convert between the units used in the data set global coordinate distance to desired units. Example: convert from inches to centimeters by setting this value to 0.3937.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"RulerMode\"\n"
"        command=\"SetRulerMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Check to enable \"ruler mode\", where ticks are placed at increments\n"
"          defined by the Graduation property.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfTicks\"\n"
"        command=\"SetNumberOfRulerTicks\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5\">\n"
"        <Documentation>\n"
"          Specify the number of major ruler ticks. Note: the number of ticks is the number between the two handle endpoints.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"RulerMode\"\n"
"                                   value=\"0\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Graduation\"\n"
"        command=\"SetRulerDistance\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.\">\n"
"        <Documentation>\n"
"          Specify the graduation, or the spacing of the ruler tick marks. Spacing is defined in the scaled global coordinate distance (see the Scale property). For example, if data is defined in terms of inches and the Scale property is set to display distances in centimeters, this property defines the spacing of tick marks in terms of centimeters.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"RulerMode\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Label Properties\">\n"
"        <Property name=\"RulerMode\" />\n"
"        <Property name=\"LabelFormat\" />\n"
"        <Property name=\"NumberOfTicks\" />\n"
"        <Property name=\"Graduation\" />\n"
"        <Property name=\"Scale\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <DoubleVectorProperty command=\"SetAxisColor\"\n"
"                            default_values=\"0 1 0\"\n"
"                            name=\"AxisColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector_with_palette\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the color of the ruler.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetAxisLineWidth\"\n"
"                            default_values=\"2\"\n"
"                            name=\"AxisLineWidth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\" name=\"range\" />\n"
"        <Documentation>Set the line width of the ruler in screen units.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Axis Display Properties\">\n"
"        <Property name=\"AxisColor\" />\n"
"        <Property name=\"AxisLineWidth\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetTextProperty\">\n"
"        <Proxy name=\"TextProperty\"\n"
"               proxygroup=\"properties\"\n"
"               proxyname=\"TextProperty\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Font Properties\" panel_widget=\"FontEditor\">\n"
"            <Property name=\"Color\" function=\"Color\"/>\n"
"            <Property name=\"Opacity\" function=\"Opacity\"/>\n"
"            <Property name=\"FontFamily\" function=\"Family\"/>\n"
"            <Property name=\"FontFile\" function=\"File\"/>\n"
"            <Property name=\"Bold\" function=\"Bold\"/>\n"
"            <Property name=\"Italic\" function=\"Italics\" />\n"
"            <Property name=\"Shadow\" function=\"Shadow\"/>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface35 =
"            <Property name=\"FontSize\" function=\"Size\"/>\n"
"            <Property name=\"Justification\" function=\"Justification\"/>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of RulerSourceRepresentation -->\n"
"    </RepresentationProxy>\n"
"    <!-- =================================================================== -->\n"
"    <RepresentationProxy class=\"vtkProgressBarSourceRepresentation\"\n"
"                         name=\"ProgressBarSourceRepresentation\"\n"
"                         processes=\"client|dataserver|renderserver\"\n"
"                         si_class=\"vtkSIProxy\">\n"
"      <Documentation>Representation proxy used to show ProgressBar.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetInteractivity\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Interactivity\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether user should be able to interactively place the progressBar in the view.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy command=\"SetProgressBarWidgetRepresentation\">\n"
"        <Proxy name=\"ProgressBarWidgetRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"ProgressBarWidgetRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Position\" />\n"
"          <Property name=\"Position2\" panel_visibility=\"never\"/>\n"
"          <Property name=\"PositionInfo\" />\n"
"          <Property name=\"Position2Info\" />\n"
"          <Property name=\"ProgressBarColor\"/>\n"
"          <Property name=\"SecondaryProgressBarColor\"/>\n"
"          <Property name=\"DrawBackground\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of ProgressBarSourceRepresentation -->\n"
"    </RepresentationProxy>\n"
"    <!-- =================================================================== -->\n"
"    <RepresentationProxy class=\"vtkLogoSourceRepresentation\"\n"
"                         name=\"LogoSourceRepresentation\"\n"
"                         processes=\"client|dataserver|renderserver\"\n"
"                         si_class=\"vtkSIProxy\">\n"
"      <Documentation>Representation proxy used to show a Logo.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>ImageData input for the representation.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInteractivity\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Interactivity\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether user should be able to interactively place the Logo in the view.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"       <SubProxy command=\"SetLogoWidgetRepresentation\">\n"
"        <Proxy name=\"LogoWidgetRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"LogoWidgetRepresentation\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup name=\"LogoPosition\" label=\"Logo Position\" panel_widget=\"TextLocationEditor\">\n"
"            <Property name=\"WindowLocation\" />\n"
"            <Property name=\"Position\" />\n"
"            <Property name=\"Position2\" panel_visibility=\"never\"/>\n"
"            <Property name=\"PositionInfo\" />\n"
"            <Property name=\"Position2Info\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of LogoSourceRepresentation -->\n"
"    </RepresentationProxy>\n"
"    <!-- =================================================================== -->\n"
"    <Proxy class=\"vtkPVFrustumActor\"\n"
"           name=\"FrustumWidget\"\n"
"           processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>Representation for a frustum</Documentation>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetFrustum\"\n"
"                            default_values=\"0 0 0 1 0 0 0 1 0 1 1 0 0 0 1 1 0 1 0 1 1 1 1 1\"\n"
"                            name=\"Frustum\"\n"
"                            number_of_elements=\"24\">\n"
"        <Documentation>Specify the corners of the outline when in Oriented\n"
"        mode, the values are supplied as 8*3 double values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetColor\"\n"
"                            default_values=\"0.5 0.5 0.5\"\n"
"                            name=\"Color\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"TextAnnotationColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLineWidth\"\n"
"                            default_values=\"3.0\"\n"
"                            name=\"LineWidth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of FrustumWidget -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy name=\"GeometrySliceRepresentation\"\n"
"                base_proxygroup=\"internal_representations\"\n"
"                base_proxyname=\"SurfaceRepresentationBase\"\n"
"                class=\"vtkGeometrySliceRepresentation\"\n"
"                processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        GeometrySliceRepresentation add support to show multiple slices in the view.\n"
"        This is used by CompositeMultiSliceRepresentation.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"ShowOutline\"\n"
"        command=\"SetShowOutline\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Check to show data outline when showing \"Slices\".\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================ -->\n"
"    <PVRepresentationProxy name=\"CompositeMultiSliceRepresentation\"\n"
"                           base_proxygroup=\"representations\"\n"
"                           base_proxyname=\"GeometryRepresentation\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\" >\n"
"       <RepresentationType  subproxy=\"GeometrySliceRepresentation\"\n"
"         text=\"Slices\" subtype=\"Surface\"/>\n"
"       <SubProxy>\n"
"         <Proxy name=\"GeometrySliceRepresentation\"\n"
"           proxygroup=\"representations\"\n"
"           proxyname=\"GeometrySliceRepresentation\">\n"
"         </Proxy>\n"
"         <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"           <Exception name=\"Input\" />\n"
"           <Exception name=\"Visibility\" />\n"
"         </ShareProperties>\n"
"         <ExposedProperties>\n"
"           <PropertyGroup label=\"Slices Parameters\">\n"
"             <Property name=\"ShowOutline\"\n"
"                       panel_visibility=\"advanced\"\n"
"                       panel_visibility_default_for_representation=\"slices\" />\n"
"           </PropertyGroup>\n"
"         </ExposedProperties>\n"
"       </SubProxy>\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <!-- ================================================================ -->\n"
"    <PVRepresentationProxy name=\"CompositeOrthographicSliceRepresentation\"\n"
"                           base_proxygroup=\"representations\"\n"
"                           base_proxyname=\"CompositeMultiSliceRepresentation\"\n"
"                           class=\"vtkPVCompositeOrthographicSliceRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <SubProxy command=\"SetSliceRepresentation0\">\n"
"        <Proxy name=\"GeometrySliceRepresentationX\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"GeometrySliceRepresentation\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"      <SubProxy command=\"SetSliceRepresentation1\">\n"
"        <Proxy name=\"GeometrySliceRepresentationY\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"GeometrySliceRepresentation\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"      <SubProxy command=\"SetSliceRepresentation2\">\n"
"        <Proxy name=\"GeometrySliceRepresentationZ\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"GeometrySliceRepresentation\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"    </PVRepresentationProxy>\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkPolarAxesRepresentation\"\n"
"                         name=\"PolarAxesRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>PolarAxesRepresentation is a representation of Polar\n"
"      axes on any kind of dataset.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\" with_property=\"Input\"/>\n"
"          <ShareProperties parent_subproxy=\"SurfaceRepresentation\">\n"
"            <Exception name=\"Input\" />\n"
"            <Exception name=\"Visibility\" />\n"
"          </ShareProperties>\n"
"        </ProxyList>\n"
"      </Hints>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility of the representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            label=\"Translation\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Set the polar axes origin position.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface36 =
"        <Documentation>Set the polar axes bounds transform scale.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Orientation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Set the polar axes bounds transform orientation.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Transform\">\n"
"        <Property name=\"Position\"/>\n"
"        <Property name=\"Scale\"/>\n"
"        <Property name=\"Orientation\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <DoubleVectorProperty command=\"GetDataBounds\"\n"
"                            default_values=\"0 1 0 1 0 1\"\n"
"                            information_only=\"1\"\n"
"                            name=\"DataBounds\"\n"
"                            number_of_elements=\"6\">\n"
"        <SimpleDoubleInformationHelper />\n"
"        <Documentation>Get the polar axes transformed bounds.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetEnableCustomBounds\"\n"
"                         default_values=\"0 0 0\"\n"
"                         name=\"EnableCustomBounds\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"3\">\n"
"        <Documentation>Activate the use of polar axes custom bounds.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCustomBounds\"\n"
"                            default_values=\"0 1 0 1 0 1\"\n"
"                            name=\"CustomBounds\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"6\">\n"
"        <Documentation>Set the polar axes custom bounds.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetEnableCustomRange\"\n"
"                         default_values=\"0\"\n"
"                         name=\"EnableCustomRange\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Activate the use of polar axes custom range.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCustomRange\"\n"
"                            default_values=\"0 1\"\n"
"                            name=\"CustomRange\"\n"
"                            number_of_elements=\"2\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"EnableCustomRange\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the polar axes custom range.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Custom Bounds and Range\">\n"
"        <Property name=\"EnableCustomBounds\"/>\n"
"        <Property name=\"CustomBounds\"/>\n"
"        <Property name=\"EnableCustomRange\"/>\n"
"        <Property name=\"CustomRange\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty command=\"SetPolarAxisVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PolarAxisVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility of polar axis.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRadialAxesVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"RadialAxesVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set all radial axes visibility.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDrawRadialGridlines\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DrawRadialGridlines\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"RadialAxesVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the visibility of radial grid lines.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPolarArcsVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PolarArcsVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set all polar arcs visibility.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDrawPolarArcsGridlines\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DrawPolarArcsGridlines\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarArcsVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the visibility of polar arcs grid lines.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <PropertyGroup label=\"Visibility Control\">\n"
"        <Property name=\"PolarAxisVisibility\" />\n"
"        <Property name=\"RadialAxesVisibility\" />\n"
"        <Property name=\"DrawRadialGridlines\" />\n"
"        <Property name=\"PolarArcsVisibility\" />\n"
"        <Property name=\"DrawPolarArcsGridlines\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty command=\"SetNumberOfRadialAxes\"\n"
"                         default_values=\"0\"\n"
"                         name=\"NumberOfRadialAxes\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        max=\"100\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Set the number of radial axes,\n"
"        If value is 0 (the default), the number of radial axes is automatically calculated.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAutoSubdividePolarAxis\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AutoSubdividePolarAxis\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Automatically compute the number of\n"
"        polar axis ticks and tick size. If true, will override NumberOfPolarAxisTicks,\n"
"        PolarAxisMajorTickSize, LastRadialAxisMajorTickSize, ArcMajorTickSize properties.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfPolarAxisTicks\"\n"
"                         default_values=\"0\"\n"
"                         name=\"NumberOfPolarAxis\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        max=\"100\"\n"
"                        name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"AutoSubdividePolarAxis\"\n"
"                      function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the number of polar axis and of course polar axis ticks,\n"
"        If value is 0 (the default), the number of polar axis tick\n"
"        is automatically calculated.\n"
"        ignored if AutoSubdividePolarAxis is true.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetDeltaRangeMajor\"\n"
"                         name=\"DeltaRangeMajor\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         information_only=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"GetDeltaRangeMinor\"\n"
"                         name=\"DeltaRangeMinor\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         information_only=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMinimumRadius\"\n"
"                            default_values=\"0\"\n"
"                            name=\"MinimumRadius\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           max=\"100\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the minimum radius, Maximum radius is automatically computed.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMinimumAngle\"\n"
"                            default_values=\"0\"\n"
"                            name=\"MinimumAngle\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"-180\"\n"
"                           max=\"180\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the minimum angle.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumAngle\"\n"
"                            default_values=\"90\"\n"
"                            name=\"MaximumAngle\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"-180\"\n"
"                           max=\"180\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the maximum angle.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetRadialAxesOriginToPolarAxis\"\n"
"                         default_values=\"1\"\n"
"                         name=\"RadialAxesOriginToPolarAxis\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If On, the radial axes are drawn from the angle of the polar Axis\n"
"        (i.e. MinimumAngle) and continue counterclockwise with the step DeltaAngleRadialAxes.\n"
"        if Off, the start angle is 0.0.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRatio\"\n"
"                            default_values=\"1\"\n"
"                            name=\"Ratio\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"100.0\"\n"
"                           min=\"0.001\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the polar ellipse ratio.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Aspect Control\">\n"
"        <Property name=\"NumberOfRadialAxes\" />\n"
"        <Property name=\"AutoSubdividePolarAxis\" />\n"
"        <Property name=\"NumberOfPolarAxis\" />\n"
"        <Property name=\"MinimumRadius\" />\n"
"        <Property name=\"MinimumAngle\" />\n"
"        <Property name=\"MaximumAngle\" />\n"
"        <Property name=\"RadialAxesOriginToPolarAxis\" />\n"
"        <Property name=\"Ratio\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <DoubleVectorProperty command=\"SetPolarAxisColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"PolarAxisColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the Polar Axis color.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPolarArcsColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"PolarArcsColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the Polar Arcs color.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLastRadialAxisColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"LastRadialAxisColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the Last Radial Axis color.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSecondaryPolarArcsColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"SecondaryPolarArcsColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the Secondary Polar Arcs color.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSecondaryRadialAxesColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"SecondaryRadialAxesColor\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the Secondary Radial Axes color.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Colors\">\n"
"        <Property name=\"PolarAxisColor\"/>\n"
"        <Property name=\"PolarArcsColor\"/>\n"
"        <Property name=\"LastRadialAxisColor\"/>\n"
"        <Property name=\"SecondaryPolarArcsColor\"/>\n"
"        <Property name=\"SecondaryRadialAxesColor\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty command=\"SetPolarTitleVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PolarAxisTitleVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility of polar axis title.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetPolarAxisTitle\"\n"
"                            name=\"PolarAxisTitle\"\n"
"                            default_values=\"Radial Distance\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarAxisTitleVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface37 =
"        </Hints>\n"
"        <Documentation>Set the polar axis title.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetPolarAxisTitleLocation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PolarAxisTitleLocation\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Bottom\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Extern\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarAxisTitleVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the location of polar axis title.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPolarLabelVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PolarLabelVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility of polar axis label.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetPolarLabelFormat\"\n"
"                            name=\"PolarLabelFormat\"\n"
"                            default_values=\"%-#6.3g\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarLabelVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the polar axis label format.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetExponentLocation\"\n"
"                         default_values=\"2\"\n"
"                         name=\"PolarLabelExponentLocation\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Bottom\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Extern\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Labels\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarLabelVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the location of exponent.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRadialTitleVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"RadialLabelVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set radial label visibility.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetRadialAngleFormat\"\n"
"                            default_values=\"%-#3.1f\"\n"
"                            name=\"RadialLabelFormat\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"RadialLabelVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the polar radial label format.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetRadialAxisTitleLocation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RadialLabelLocation\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Bottom\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Extern\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"RadialLabelVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the location of radial labels.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRadialUnits\"\n"
"                         default_values=\"1\"\n"
"                         name=\"RadialUnitsVisibility\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"      <Documentation>Show radial units in labels (degrees).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScreenSize\"\n"
"                            default_values=\"10\"\n"
"                            name=\"ScreenSize\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"100\"/>\n"
"        <Documentation>Set the screen size to use, which impact label and title\n"
"        relative location to the axes.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Title and Labels Control\">\n"
"        <Property name=\"PolarAxisTitle\" />\n"
"        <Property name=\"PolarAxisTitleVisibility\" />\n"
"        <Property name=\"PolarAxisTitleLocation\" />\n"
"        <Property name=\"PolarLabelVisibility\" />\n"
"        <Property name=\"PolarLabelFormat\" />\n"
"        <Property name=\"PolarLabelExponentLocation\" />\n"
"        <Property name=\"RadialLabelVisibility\" />\n"
"        <Property name=\"RadialLabelFormat\" />\n"
"        <Property name=\"RadialLabelLocation\" />\n"
"        <Property name=\"RadialUnitsVisibility\" />\n"
"        <Property name=\"ScreenSize\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetPolarAxisTitleTextProperty\">\n"
"        <Proxy name=\"PolarAxisTitleProperty\" proxygroup=\"properties\" proxyname=\"TextProperty\" />\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"PolarAxisTitleColor\" name=\"Color\" />\n"
"          <Property exposed_name=\"PolarAxisTitleOpacity\" name=\"Opacity\" />\n"
"          <Property exposed_name=\"PolarAxisTitleFontFamily\" name=\"FontFamily\" />\n"
"          <Property exposed_name=\"PolarAxisTitleFontFile\" name=\"FontFile\" />\n"
"          <Property exposed_name=\"PolarAxisTitleBold\" name=\"Bold\" />\n"
"          <Property exposed_name=\"PolarAxisTitleItalic\" name=\"Italic\" />\n"
"          <Property exposed_name=\"PolarAxisTitleShadow\" name=\"Shadow\" />\n"
"          <Property exposed_name=\"PolarAxisTitleFontSize\" name=\"FontSize\" default_values=\"12\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <PropertyGroup label=\"Polar Axis Title Font Properties\" panel_widget=\"FontEditor\">\n"
"        <Property name=\"PolarAxisTitleColor\" function=\"Color\"/>\n"
"        <Property name=\"PolarAxisTitleFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"PolarAxisTitleFontFile\" function=\"File\"/>\n"
"        <Property name=\"PolarAxisTitleBold\" function=\"Bold\" />\n"
"        <Property name=\"PolarAxisTitleItalic\" function=\"Italics\"/>\n"
"        <Property name=\"PolarAxisTitleFontSize\" function=\"Size\" />\n"
"        <Property name=\"PolarAxisTitleShadow\" function=\"Shadow\" />\n"
"        <Property name=\"PolarAxisTitleOpacity\" function=\"Opacity\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetPolarAxisLabelTextProperty\">\n"
"        <Proxy name=\"PolarAxisLabelProperty\" proxygroup=\"properties\" proxyname=\"TextProperty\" />\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"PolarAxisLabelColor\" name=\"Color\" />\n"
"          <Property exposed_name=\"PolarAxisLabelOpacity\" name=\"Opacity\" />\n"
"          <Property exposed_name=\"PolarAxisLabelFontFamily\" name=\"FontFamily\" />\n"
"          <Property exposed_name=\"PolarAxisLabelFontFile\" name=\"FontFile\" />\n"
"          <Property exposed_name=\"PolarAxisLabelBold\" name=\"Bold\" />\n"
"          <Property exposed_name=\"PolarAxisLabelItalic\" name=\"Italic\" />\n"
"          <Property exposed_name=\"PolarAxisLabelShadow\" name=\"Shadow\" />\n"
"          <Property exposed_name=\"PolarAxisLabelFontSize\" name=\"FontSize\" default_values=\"12\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <PropertyGroup label=\"Polar Axis Label Font Properties\" panel_widget=\"FontEditor\">\n"
"        <Property name=\"PolarAxisLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"PolarAxisLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"PolarAxisLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"PolarAxisLabelBold\" function=\"Bold\" />\n"
"        <Property name=\"PolarAxisLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"PolarAxisLabelFontSize\" function=\"Size\" />\n"
"        <Property name=\"PolarAxisLabelShadow\" function=\"Shadow\" />\n"
"        <Property name=\"PolarAxisLabelOpacity\" function=\"Opacity\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetLastRadialAxisTextProperty\">\n"
"        <Proxy name=\"LastRadialAxisTextProperty\" proxygroup=\"properties\" proxyname=\"TextProperty\" />\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"LastRadialAxisTextColor\" name=\"Color\" />\n"
"          <Property exposed_name=\"LastRadialAxisTextOpacity\" name=\"Opacity\" />\n"
"          <Property exposed_name=\"LastRadialAxisTextFontFamily\" name=\"FontFamily\" />\n"
"          <Property exposed_name=\"LastRadialAxisTextFontFile\" name=\"FontFile\" />\n"
"          <Property exposed_name=\"LastRadialAxisTextBold\" name=\"Bold\" />\n"
"          <Property exposed_name=\"LastRadialAxisTextItalic\" name=\"Italic\" />\n"
"          <Property exposed_name=\"LastRadialAxisTextShadow\" name=\"Shadow\" />\n"
"          <Property exposed_name=\"LastRadialAxisTextFontSize\" name=\"FontSize\" default_values=\"12\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <PropertyGroup label=\"Last Radial Axis Text Font Properties\" panel_widget=\"FontEditor\">\n"
"        <Property name=\"LastRadialAxisTextColor\" function=\"Color\"/>\n"
"        <Property name=\"LastRadialAxisTextFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"LastRadialAxisTextFontFile\" function=\"File\"/>\n"
"        <Property name=\"LastRadialAxisTextBold\" function=\"Bold\" />\n"
"        <Property name=\"LastRadialAxisTextItalic\" function=\"Italics\"/>\n"
"        <Property name=\"LastRadialAxisTextFontSize\" function=\"Size\" />\n"
"        <Property name=\"LastRadialAxisTextShadow\" function=\"Shadow\" />\n"
"        <Property name=\"LastRadialAxisTextOpacity\" function=\"Opacity\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <SubProxy command=\"SetSecondaryRadialAxesTextProperty\">\n"
"        <Proxy name=\"SecondaryRadialAxesTextProperty\" proxygroup=\"properties\" proxyname=\"TextProperty\" />\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"SecondaryRadialAxesTextColor\" name=\"Color\" />\n"
"          <Property exposed_name=\"SecondaryRadialAxesTextOpacity\" name=\"Opacity\" />\n"
"          <Property exposed_name=\"SecondaryRadialAxesTextFontFamily\" name=\"FontFamily\" />\n"
"          <Property exposed_name=\"SecondaryRadialAxesTextFontFile\" name=\"FontFile\" />\n"
"          <Property exposed_name=\"SecondaryRadialAxesTextBold\" name=\"Bold\" />\n"
"          <Property exposed_name=\"SecondaryRadialAxesTextItalic\" name=\"Italic\" />\n"
"          <Property exposed_name=\"SecondaryRadialAxesTextShadow\" name=\"Shadow\" />\n"
"          <Property exposed_name=\"SecondaryRadialAxesTextFontSize\" name=\"FontSize\" default_values=\"12\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <PropertyGroup label=\"Secondary Radial Axes Text Font Properties\" panel_widget=\"FontEditor\">\n"
"        <Property name=\"SecondaryRadialAxesTextColor\" function=\"Color\"/>\n"
"        <Property name=\"SecondaryRadialAxesTextFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"SecondaryRadialAxesTextFontFile\" function=\"File\"/>\n"
"        <Property name=\"SecondaryRadialAxesTextBold\" function=\"Bold\" />\n"
"        <Property name=\"SecondaryRadialAxesTextItalic\" function=\"Italics\"/>\n"
"        <Property name=\"SecondaryRadialAxesTextFontSize\" function=\"Size\" />\n"
"        <Property name=\"SecondaryRadialAxesTextShadow\" function=\"Shadow\" />\n"
"        <Property name=\"SecondaryRadialAxesTextOpacity\" function=\"Opacity\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty command=\"SetEnableDistanceLOD\"\n"
"                         default_values=\"1\"\n"
"                         name=\"EnableDistanceLOD\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the use of LOD based on distance.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDistanceLODThreshold\"\n"
"                            default_values=\"0.7\"\n"
"                            name=\"DistanceLODThreshold\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"100\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"EnableDistanceLOD\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the LOD distance threshold to use.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetEnableViewAngleLOD\"\n"
"                         default_values=\"1\"\n"
"                         name=\"EnableViewAngleLOD\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the use of LOD based on the View Angle.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetViewAngleLODThreshold\"\n"
"                            default_values=\"0.7\"\n"
"                            name=\"ViewAngleLODThreshold\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"360\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"EnableViewAngleLOD\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the LOD View Angle threshold to use.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSmallestVisiblePolarAngle\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface38 =
"                            default_values=\"0.5\"\n"
"                            name=\"SmallestVisiblePolarAngle\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"2\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set the smallest radial angle distinguishable from polar axis.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"LOD and Details control\">\n"
"        <Property name=\"EnableDistanceLOD\" />\n"
"        <Property name=\"DistanceLODThreshold\" />\n"
"        <Property name=\"EnableViewAngleLOD\" />\n"
"        <Property name=\"ViewAngleLODThreshold\" />\n"
"        <Property name=\"SmallestVisiblePolarAngle\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty command=\"SetPolarTickVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PolarTicksVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set all ticks visibility.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetArcTicksOriginToPolarAxis\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         name=\"ArcTicksOriginToPolarAxis\"\n"
"                         number_of_elements=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>If On, the ticks are drawn from the angle of the polar Axis\n"
"        (MinimumAngle) and continue counterclockwise with the step Delta Angle Major/Minor.\n"
"        If Off, the start angle is 0.0</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTickLocation\"\n"
"                         default_values=\"2\"\n"
"                         name=\"TickLocation\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Inside\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Outside\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Both\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the location of ticks.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAxisTickVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AxisTickVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set polar axis and last radial axis tick visibility.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAxisMinorTickVisibility\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AxisMinorTickVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set polar axis and last radial axis minor tick visibility.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetArcTickVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ArcTickVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set polar arc tick visibility.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetArcMinorTickVisibility\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ArcMinorTickVisibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set polar arc minor tick visibility.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDeltaAngleMajor\"\n"
"                            default_values=\"10\"\n"
"                            name=\"DeltaAngleMajor\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"1\"\n"
"                           max=\"359\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the delta between major ticks on last arc.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDeltaAngleMinor\"\n"
"                            default_values=\"5\"\n"
"                            name=\"DeltaAngleMinor\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"1\"\n"
"                           max=\"359\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the delta between minor and major ticks on last arc.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPolarAxisMajorTickSize\"\n"
"                            default_values=\"0\"\n"
"                            name=\"PolarAxisMajorTickSize\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"1\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the polar axis major tick size,\n"
"        If value is 0 (the default), tick size is automatically calculated.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPolarAxisTickRatioSize\"\n"
"                            default_values=\"0.3\"\n"
"                            name=\"PolarAxisTickRatioSize\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"1\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      <Documentation>Set the polar axis size ratio between major and minor ticks.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPolarAxisMajorTickThickness\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"PolarAxisMajorTickThickness\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"100\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the thickness of polar axis major ticks.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPolarAxisTickRatioThickness\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"PolarAxisTickRatioThickness\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"1\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the thickness ratio between major and minor ticks of polar axis.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLastRadialAxisMajorTickSize\"\n"
"                            default_values=\"0\"\n"
"                            name=\"LastRadialAxisMajorTickSize\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"1\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the last radial axis major tick size,\n"
"        If value is 0 (the default), tick size is automatically calculated.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLastAxisTickRatioSize\"\n"
"                            default_values=\"0.3\"\n"
"                            name=\"LastRadialAxisTickRatioSize\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"1\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the last radial axis size ratio between major and minor ticks.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLastRadialAxisMajorTickThickness\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"LastRadialAxisMajorTickThickness\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"100\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the thickness of last radial axis major ticks.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLastAxisTickRatioThickness\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"LastRadialAxisTickRatioThickness\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"1\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the thickness ratio between major and minor ticks of last radial axis.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetArcMajorTickSize\"\n"
"                            default_values=\"0\"\n"
"                            name=\"ArcMajorTickSize\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"1\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the arc major tick size,\n"
"        If value is 0 (the default), tick size is automatically calculated.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetArcTickRatioSize\"\n"
"                            default_values=\"0.3\"\n"
"                            name=\"ArcTickRatioSize\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"1\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the arc size ratio between major and minor ticks.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetArcMajorTickThickness\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"ArcMajorTickThickness\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface39 =
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"100\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the thickness of arc major ticks.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetArcTickRatioThickness\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"ArcTickRatioThickness\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"\n"
"                           min=\"0\"\n"
"                           max=\"1\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PolarTicksVisibility\"\n"
"                      function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the thickness ratio between major and minor ticks of arc.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Ticks Control\">\n"
"        <Property name=\"PolarTicksVisibility\" />\n"
"        <Property name=\"ArcTicksOriginToPolarAxis\" />\n"
"        <Property name=\"TickLocation\" />\n"
"        <Property name=\"AxisTickVisibility\" />\n"
"        <Property name=\"AxisMinorTickVisibility\" />\n"
"        <Property name=\"ArcTickVisibility\" />\n"
"        <Property name=\"ArcMinorTickVisibility\" />\n"
"        <Property name=\"DeltaAngleMajor\" />\n"
"        <Property name=\"DeltaAngleMinor\" />\n"
"        <Property name=\"PolarAxisMajorTickSize\" />\n"
"        <Property name=\"PolarAxisTickRatioSize\" />\n"
"        <Property name=\"PolarAxisMajorTickThickness\" />\n"
"        <Property name=\"PolarAxisTickRatioThickness\" />\n"
"        <Property name=\"LastRadialAxisMajorTickSize\" />\n"
"        <Property name=\"LastRadialAxisTickRatioSize\" />\n"
"        <Property name=\"LastRadialAxisMajorTickThickness\" />\n"
"        <Property name=\"LastRadialAxisTickRatioThickness\" />\n"
"        <Property name=\"ArcMajorTickSize\" />\n"
"        <Property name=\"ArcTickRatioSize\" />\n"
"        <Property name=\"ArcMajorTickThickness\" />\n"
"        <Property name=\"ArcTickRatioThickness\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty command=\"SetUse2DMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Use2DMode\"\n"
"                         label=\"Use 2D Mode\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the use of 2D Mode for all axes.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLog\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseLogAxis\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the use of Log axis.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Miscellaneous\">\n"
"        <Property name=\"Use2DMode\" />\n"
"        <Property name=\"UseLogAxis\" />\n"
"      </PropertyGroup>\n"
"      <!-- End of PolarAxesRepresentation -->\n"
"    </RepresentationProxy>\n"
"    <!-- End of RepresentationProxy -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"views\">\n"
"    <!-- ================================================================== -->\n"
"    <ComparativeViewProxy base_proxygroup=\"internal_views\"\n"
"                          base_proxyname=\"ComparativeViewBase\"\n"
"                          class=\"vtkPVComparativeView\"\n"
"                          name=\"ComparativeRenderView\"\n"
"                          label=\"Render View (Comparative)\">\n"
"      <Documentation>The is comparative view comprising of individual\n"
"      \"RenderView\" proxies for each panel in the comparative view\n"
"      grid.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"RootView\"\n"
"               proxygroup=\"views\"\n"
"               proxyname=\"RenderView\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"HiddenRepresentations\" />\n"
"          <Property name=\"HiddenProps\" />\n"
"          <Property name=\"LODThreshold\" />\n"
"          <Property name=\"LODResolution\" />\n"
"          <Property name=\"AxesGrid\" />\n"
"          <Property name=\"PPI\" />\n"
"\n"
"          <Property name=\"CenterAxesVisibility\" />\n"
"          <PropertyGroup label=\"Orientation Axes\">\n"
"            <Property name=\"OrientationAxesVisibility\" />\n"
"            <Property name=\"OrientationAxesInteractivity\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"OrientationAxesLabelColor\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"OrientationAxesOutlineColor\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Lights\" panel_visibility=\"never\">\n"
"            <!-- Light Kit -->\n"
"            <Property name=\"UseLight\"/>\n"
"            <!-- Key Light -->\n"
"            <Property name=\"KeyLightWarmth\"/>\n"
"            <Property name=\"KeyLightIntensity\"/>\n"
"            <Property name=\"KeyLightElevation\"/>\n"
"            <Property name=\"KeyLightAzimuth\"/>\n"
"            <!-- Fill Light -->\n"
"            <Property name=\"FillLightWarmth\"/>\n"
"            <Property name=\"FillLightK:F Ratio\"/>\n"
"            <Property name=\"FillLightElevation\"/>\n"
"            <Property name=\"FillLightAzimuth\"/>\n"
"            <!-- Back Light -->\n"
"            <Property name=\"BackLightWarmth\"/>\n"
"            <Property name=\"BackLightK:B Ratio\"/>\n"
"            <Property name=\"BackLightElevation\"/>\n"
"            <Property name=\"BackLightAzimuth\"/>\n"
"            <!-- Head Light -->\n"
"            <Property name=\"HeadLightWarmth\"/>\n"
"            <Property name=\"HeadLightK:H Ratio\"/>\n"
"            <Property name=\"MaintainLuminance\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <!-- ActiveCamera -->\n"
"          <Property name=\"CameraPositionInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraPosition\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraFocalPointInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraFocalPoint\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraViewUpInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraViewUp\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraViewAngle\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraFocalDiskInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraFocalDisk\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraFocalDistanceInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraFocalDistance\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraParallelScale\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraParallelScaleInfo\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CameraParallelProjection\"\n"
"                    panel_visibility=\"advanced\"/>\n"
"          <Property name=\"EyeAngle\" panel_visibility=\"never\"/>\n"
"\n"
"          <PropertyGroup label=\"Background\">\n"
"            <Property name=\"UseColorPaletteForBackground\" />\n"
"            <Property name=\"BackgroundColorMode\" />\n"
"            <Property name=\"Background2\"/>\n"
"            <Property name=\"Background\"/>\n"
"            <Property name=\"BackgroundTexture\"/>\n"
"            <Property name=\"UseEnvironmentLighting\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Render Passes\">\n"
"            <Property name=\"UseToneMapping\"/>\n"
"            <Property name=\"Exposure\"/>\n"
"            <Property name=\"UseSSAO\"/>\n"
"            <Property name=\"UseSSAODefaultPresets\"/>\n"
"            <Property name=\"Radius\"/>\n"
"            <Property name=\"Bias\"/>\n"
"            <Property name=\"KernelSize\"/>\n"
"            <Property name=\"Blur\"/>\n"
"            <Property name=\"GenericFilmicPresets\"/>\n"
"            <Property name=\"ToneMappingType\"/>\n"
"            <Property name=\"Contrast\"/>\n"
"            <Property name=\"Shoulder\"/>\n"
"            <Property name=\"MidIn\"/>\n"
"            <Property name=\"MidOut\"/>\n"
"            <Property name=\"HdrMax\"/>\n"
"            <Property name=\"UseACES\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <!-- Interactor -->\n"
"          <Property name=\"InteractionMode\" panel_visibility=\"never\"/>\n"
"          <Property name=\"Camera3DManipulators\" panel_visibility=\"never\"/>\n"
"          <Property name=\"Camera2DManipulators\" panel_visibility=\"never\"/>\n"
"          <Property name=\"CenterOfRotation\" panel_visibility=\"never\"/>\n"
"          <Property name=\"RotationFactor\" panel_visibility=\"never\"/>\n"
"          <Property name=\"NonInteractiveRenderDelay\" panel_visibility=\"never\"/>\n"
"          <Property name=\"EnableRenderOnInteraction\" panel_visibility=\"never\"/>\n"
"          <Property name=\"WindowResizeNonInteractiveRenderDelay\" panel_visibility=\"never\"/>\n"
"          <!-- Renderer -->\n"
"          <PropertyGroup label=\"Stereo\">\n"
"            <Property name=\"StereoRender\"/>\n"
"            <Property name=\"StereoType\"/>\n"
"            <Property name=\"ServerStereoType\"/>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <!-- End of \"RootView\" subproxy -->\n"
"      </SubProxy>\n"
"      <!-- End of ComparativeRenderView -->\n"
"    </ComparativeViewProxy>\n"
"    <!-- ================================================================== -->\n"
"    <ComparativeViewProxy base_proxygroup=\"internal_views\"\n"
"                          base_proxyname=\"ComparativeViewBase\"\n"
"                          class=\"vtkPVComparativeView\"\n"
"                          name=\"ComparativeXYChartView\"\n"
"                          label=\"Line Chart View (Comparative)\">\n"
"      <Documentation>The is comparative view comprising of individual\n"
"      \"XYChartView\" proxies for each panel in the comparative view\n"
"      grid.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"RootView\"\n"
"               proxygroup=\"views\"\n"
"               proxyname=\"XYChartView\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"PPI\" />\n"
"          <PropertyGroup label=\"Title\">\n"
"            <Property name=\"ChartTitle\"/>\n"
"            <Property name=\"ChartTitleAlignment\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Chart Title Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"ChartTitleColor\" function=\"Color\"/>\n"
"            <Property name=\"ChartTitleFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"ChartTitleFontFile\" function=\"File\"/>\n"
"            <Property name=\"ChartTitleBold\" function=\"Bold\" />\n"
"            <Property name=\"ChartTitleItalic\" function=\"Italics\"/>\n"
"            <Property name=\"ChartTitleFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Legend\">\n"
"            <Property name=\"ShowLegend\"/>\n"
"            <Property name=\"LegendLocation\"/>\n"
"            <Property name=\"LegendPosition\"/>\n"
"            <Property name=\"LegendSymbolWidth\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Legend Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"LegendFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"LegendFontFile\" function=\"File\"/>\n"
"            <Property name=\"LegendBold\" function=\"Bold\"/>\n"
"            <Property name=\"LegendItalic\" function=\"Italics\"/>\n"
"            <Property name=\"LegendFontSize\" function=\"Size\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Tooltip\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"TooltipNotation\"/>\n"
"            <Property name=\"TooltipPrecision\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <!-- left axis -->\n"
"          <PropertyGroup label=\"Left Axis\">\n"
"            <Property name=\"LeftAxisTitle\"/>\n"
"            <Property name=\"ShowLeftAxisGrid\"/>\n"
"            <Property name=\"LeftAxisGridColor\"/>\n"
"            <Property name=\"LeftAxisColor\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Left Axis Title Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"LeftAxisTitleColor\" function=\"Color\"/>\n"
"            <Property name=\"LeftAxisTitleFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"LeftAxisTitleFontFile\" function=\"File\"/>\n"
"            <Property name=\"LeftAxisTitleBold\" function=\"Bold\" />\n"
"            <Property name=\"LeftAxisTitleItalic\" function=\"Italics\"/>\n"
"            <Property name=\"LeftAxisTitleFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Left Axis Range\">\n"
"            <Property name=\"LeftAxisLogScale\"/>\n"
"            <Property name=\"LeftAxisUseCustomRange\"/>\n"
"            <Property name=\"LeftAxisRangeMinimum\"/>\n"
"            <Property name=\"LeftAxisRangeMaximum\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Left Axis Labels\">\n"
"            <Property name=\"ShowLeftAxisLabels\"/>\n"
"            <Property name=\"LeftAxisLabelNotation\"/>\n"
"            <Property name=\"LeftAxisLabelPrecision\"/>\n"
"            <Property name=\"LeftAxisUseCustomLabels\"/>\n"
"            <Property name=\"LeftAxisLabels\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Left Axis Label Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"LeftAxisLabelColor\" function=\"Color\"/>\n"
"            <Property name=\"LeftAxisLabelFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"LeftAxisLabelFontFile\" function=\"File\"/>\n"
"            <Property name=\"LeftAxisLabelBold\" function=\"Bold\" />\n"
"            <Property name=\"LeftAxisLabelItalic\" function=\"Italics\"/>\n"
"            <Property name=\"LeftAxisLabelFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"          <!-- bottom axis -->\n"
"          <PropertyGroup label=\"Bottom Axis\">\n"
"            <Property name=\"BottomAxisTitle\"/>\n"
"            <Property name=\"ShowBottomAxisGrid\"/>\n"
"            <Property name=\"BottomAxisGridColor\"/>\n"
"            <Property name=\"BottomAxisColor\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Bottom Axis Title Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"BottomAxisTitleColor\" function=\"Color\"/>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface40 =
"            <Property name=\"BottomAxisTitleFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"BottomAxisTitleFontFile\" function=\"File\"/>\n"
"            <Property name=\"BottomAxisTitleBold\" function=\"Bold\" />\n"
"            <Property name=\"BottomAxisTitleItalic\" function=\"Italics\"/>\n"
"            <Property name=\"BottomAxisTitleFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Bottom Axis Range\">\n"
"            <Property name=\"BottomAxisLogScale\"/>\n"
"            <Property name=\"BottomAxisUseCustomRange\"/>\n"
"            <Property name=\"BottomAxisRangeMinimum\"/>\n"
"            <Property name=\"BottomAxisRangeMaximum\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Bottom Axis Labels\">\n"
"            <Property name=\"ShowBottomAxisLabels\"/>\n"
"            <Property name=\"BottomAxisLabelNotation\"/>\n"
"            <Property name=\"BottomAxisLabelPrecision\"/>\n"
"            <Property name=\"BottomAxisUseCustomLabels\"/>\n"
"            <Property name=\"BottomAxisLabels\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Bottom Axis Label Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"BottomAxisLabelColor\" function=\"Color\"/>\n"
"            <Property name=\"BottomAxisLabelFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"BottomAxisLabelFontFile\" function=\"File\"/>\n"
"            <Property name=\"BottomAxisLabelBold\" function=\"Bold\" />\n"
"            <Property name=\"BottomAxisLabelItalic\" function=\"Italics\"/>\n"
"            <Property name=\"BottomAxisLabelFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"          <!-- right axis -->\n"
"          <PropertyGroup label=\"Right Axis\">\n"
"            <Property name=\"RightAxisTitle\"/>\n"
"            <Property name=\"ShowRightAxisGrid\"/>\n"
"            <Property name=\"RightAxisGridColor\"/>\n"
"            <Property name=\"RightAxisColor\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Right Axis Title Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"RightAxisTitleColor\" function=\"Color\"/>\n"
"            <Property name=\"RightAxisTitleFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"RightAxisTitleFontFile\" function=\"File\"/>\n"
"            <Property name=\"RightAxisTitleBold\" function=\"Bold\" />\n"
"            <Property name=\"RightAxisTitleItalic\" function=\"Italics\"/>\n"
"            <Property name=\"RightAxisTitleFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Right Axis Range\">\n"
"            <Property name=\"RightAxisLogScale\"/>\n"
"            <Property name=\"RightAxisUseCustomRange\"/>\n"
"            <Property name=\"RightAxisRangeMinimum\"/>\n"
"            <Property name=\"RightAxisRangeMaximum\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Right Axis Labels\">\n"
"            <Property name=\"ShowRightAxisLabels\"/>\n"
"            <Property name=\"RightAxisLabelNotation\"/>\n"
"            <Property name=\"RightAxisLabelPrecision\"/>\n"
"            <Property name=\"RightAxisUseCustomLabels\"/>\n"
"            <Property name=\"RightAxisLabels\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Right Axis Label Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"RightAxisLabelColor\" function=\"Color\"/>\n"
"            <Property name=\"RightAxisLabelFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"RightAxisLabelFontFile\" function=\"File\"/>\n"
"            <Property name=\"RightAxisLabelBold\" function=\"Bold\" />\n"
"            <Property name=\"RightAxisLabelItalic\" function=\"Italics\"/>\n"
"            <Property name=\"RightAxisLabelFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"          <!-- top axis -->\n"
"          <PropertyGroup label=\"Top Axis\">\n"
"            <Property name=\"TopAxisTitle\"/>\n"
"            <Property name=\"ShowTopAxisGrid\"/>\n"
"            <Property name=\"TopAxisGridColor\"/>\n"
"            <Property name=\"TopAxisColor\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Top Axis Title Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"TopAxisTitleColor\" function=\"Color\"/>\n"
"            <Property name=\"TopAxisTitleFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"TopAxisTitleFontFile\" function=\"File\"/>\n"
"            <Property name=\"TopAxisTitleBold\" function=\"Bold\" />\n"
"            <Property name=\"TopAxisTitleItalic\" function=\"Italics\"/>\n"
"            <Property name=\"TopAxisTitleFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Top Axis Range\">\n"
"            <Property name=\"TopAxisLogScale\"/>\n"
"            <Property name=\"TopAxisUseCustomRange\"/>\n"
"            <Property name=\"TopAxisRangeMinimum\"/>\n"
"            <Property name=\"TopAxisRangeMaximum\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Top Axis Labels\">\n"
"            <Property name=\"ShowTopAxisLabels\"/>\n"
"            <Property name=\"TopAxisLabelNotation\"/>\n"
"            <Property name=\"TopAxisLabelPrecision\"/>\n"
"            <Property name=\"TopAxisUseCustomLabels\"/>\n"
"            <Property name=\"TopAxisLabels\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Top Axis Label Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"TopAxisLabelColor\" function=\"Color\"/>\n"
"            <Property name=\"TopAxisLabelFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"TopAxisLabelFontFile\" function=\"File\"/>\n"
"            <Property name=\"TopAxisLabelBold\" function=\"Bold\" />\n"
"            <Property name=\"TopAxisLabelItalic\" function=\"Italics\"/>\n"
"            <Property name=\"TopAxisLabelFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <!-- End of \"RootView\" subproxy -->\n"
"      </SubProxy>\n"
"      <!-- End of ComparativeXYChartView -->\n"
"    </ComparativeViewProxy>\n"
"    <!-- ================================================================== -->\n"
"    <ComparativeViewProxy base_proxygroup=\"internal_views\"\n"
"                          base_proxyname=\"ComparativeViewBase\"\n"
"                          class=\"vtkPVComparativeView\"\n"
"                          name=\"ComparativeXYBarChartView\"\n"
"                          label=\"Bar Chart View (Comparative)\">\n"
"      <Documentation>The is comparative view comprising of individual\n"
"      \"XYBarChartView\" proxies for each panel in the comparative view\n"
"      grid.</Documentation>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"RootView\"\n"
"               proxygroup=\"views\"\n"
"               proxyname=\"XYBarChartView\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"PPI\" />\n"
"          <PropertyGroup label=\"Title\">\n"
"            <Property name=\"ChartTitle\"/>\n"
"            <Property name=\"ChartTitleAlignment\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Chart Title Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"ChartTitleColor\" function=\"Color\"/>\n"
"            <Property name=\"ChartTitleFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"ChartTitleFontFile\" function=\"File\"/>\n"
"            <Property name=\"ChartTitleBold\" function=\"Bold\" />\n"
"            <Property name=\"ChartTitleItalic\" function=\"Italics\"/>\n"
"            <Property name=\"ChartTitleFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Legend\">\n"
"            <Property name=\"ShowLegend\"/>\n"
"            <Property name=\"LegendLocation\"/>\n"
"            <Property name=\"LegendPosition\"/>\n"
"            <Property name=\"LegendSymbolWidth\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Legend Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"              <Property name=\"LegendFontFamily\" function=\"Family\"/>\n"
"              <Property name=\"LegendFontFile\" function=\"File\"/>\n"
"              <Property name=\"LegendBold\" function=\"Bold\"/>\n"
"              <Property name=\"LegendItalic\" function=\"Italics\"/>\n"
"              <Property name=\"LegendFontSize\" function=\"Size\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Tooltip\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"TooltipNotation\"/>\n"
"            <Property name=\"TooltipPrecision\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <!-- left axis -->\n"
"          <PropertyGroup label=\"Left Axis\">\n"
"            <Property name=\"LeftAxisTitle\"/>\n"
"            <Property name=\"ShowLeftAxisGrid\"/>\n"
"            <Property name=\"LeftAxisGridColor\"/>\n"
"            <Property name=\"LeftAxisColor\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Left Axis Title Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"LeftAxisTitleColor\" function=\"Color\"/>\n"
"            <Property name=\"LeftAxisTitleFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"LeftAxisTitleFontFile\" function=\"File\"/>\n"
"            <Property name=\"LeftAxisTitleBold\" function=\"Bold\" />\n"
"            <Property name=\"LeftAxisTitleItalic\" function=\"Italics\"/>\n"
"            <Property name=\"LeftAxisTitleFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Left Axis Range\">\n"
"            <Property name=\"LeftAxisLogScale\"/>\n"
"            <Property name=\"LeftAxisUseCustomRange\"/>\n"
"            <Property name=\"LeftAxisRangeMinimum\"/>\n"
"            <Property name=\"LeftAxisRangeMaximum\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Left Axis Labels\">\n"
"            <Property name=\"ShowLeftAxisLabels\"/>\n"
"            <Property name=\"LeftAxisLabelNotation\"/>\n"
"            <Property name=\"LeftAxisLabelPrecision\"/>\n"
"            <Property name=\"LeftAxisUseCustomLabels\"/>\n"
"            <Property name=\"LeftAxisLabels\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Left Axis Label Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"LeftAxisLabelColor\" function=\"Color\"/>\n"
"            <Property name=\"LeftAxisLabelFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"LeftAxisLabelFontFile\" function=\"File\"/>\n"
"            <Property name=\"LeftAxisLabelBold\" function=\"Bold\" />\n"
"            <Property name=\"LeftAxisLabelItalic\" function=\"Italics\"/>\n"
"            <Property name=\"LeftAxisLabelFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"          <!-- bottom axis -->\n"
"          <PropertyGroup label=\"Bottom Axis\">\n"
"            <Property name=\"BottomAxisTitle\"/>\n"
"            <Property name=\"ShowBottomAxisGrid\"/>\n"
"            <Property name=\"BottomAxisGridColor\"/>\n"
"            <Property name=\"BottomAxisColor\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Bottom Axis Title Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"BottomAxisTitleColor\" function=\"Color\"/>\n"
"            <Property name=\"BottomAxisTitleFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"BottomAxisTitleFontFile\" function=\"File\"/>\n"
"            <Property name=\"BottomAxisTitleBold\" function=\"Bold\" />\n"
"            <Property name=\"BottomAxisTitleItalic\" function=\"Italics\"/>\n"
"            <Property name=\"BottomAxisTitleFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Bottom Axis Range\">\n"
"            <Property name=\"BottomAxisLogScale\"/>\n"
"            <Property name=\"BottomAxisUseCustomRange\"/>\n"
"            <Property name=\"BottomAxisRangeMinimum\"/>\n"
"            <Property name=\"BottomAxisRangeMaximum\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Bottom Axis Labels\">\n"
"            <Property name=\"ShowBottomAxisLabels\"/>\n"
"            <Property name=\"BottomAxisLabelNotation\"/>\n"
"            <Property name=\"BottomAxisLabelPrecision\"/>\n"
"            <Property name=\"BottomAxisUseCustomLabels\"/>\n"
"            <Property name=\"BottomAxisLabels\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Bottom Axis Label Properties\"\n"
"                         panel_widget=\"FontEditor\"\n"
"                         panel_visibility=\"advanced\">\n"
"            <Property name=\"BottomAxisLabelColor\" function=\"Color\"/>\n"
"            <Property name=\"BottomAxisLabelFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"BottomAxisLabelFontFile\" function=\"File\"/>\n"
"            <Property name=\"BottomAxisLabelBold\" function=\"Bold\" />\n"
"            <Property name=\"BottomAxisLabelItalic\" function=\"Italics\"/>\n"
"            <Property name=\"BottomAxisLabelFontSize\" function=\"Size\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of ComparativeXYBarChartView -->\n"
"    </ComparativeViewProxy>\n"
"     <!-- ================================================================== -->\n"
"     <MultiSliceViewProxy name=\"MultiSlice\" class=\"vtkPVMultiSliceView\"\n"
"         processes=\"client|renderserver|dataserver\"\n"
"         base_proxygroup=\"views\" base_proxyname=\"RenderView\"\n"
"         label=\"Slice View\">\n"
"        <DoubleVectorProperty name=\"XSlicesValues\"\n"
"          set_number_command=\"SetNumberOfXSlices\"\n"
"          command=\"SetXSlices\"\n"
"          argument_is_array=\"1\"\n"
"          panel_visibility=\"never\">\n"
"        </DoubleVectorProperty>\n"
"        <DoubleVectorProperty name=\"YSlicesValues\"\n"
"          set_number_command=\"SetNumberOfYSlices\"\n"
"          command=\"SetYSlices\"\n"
"          argument_is_array=\"1\"\n"
"          panel_visibility=\"never\">\n"
"        </DoubleVectorProperty>\n"
"        <DoubleVectorProperty name=\"ZSlicesValues\"\n"
"          set_number_command=\"SetNumberOfZSlices\"\n"
"          command=\"SetZSlices\"\n"
"          argument_is_array=\"1\"\n"
"          panel_visibility=\"never\">\n"
"        </DoubleVectorProperty>\n"
"        <StringVectorProperty name=\"XTitle\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"X\"\n"
"          panel_visibility=\"never\" />\n"
"        <StringVectorProperty name=\"YTitle\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"Y\"\n"
"          panel_visibility=\"never\" />\n"
"        <StringVectorProperty name=\"ZTitle\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface41 =
"          number_of_elements=\"1\"\n"
"          default_values=\"Z\"\n"
"          panel_visibility=\"never\" />\n"
"     </MultiSliceViewProxy>\n"
"\n"
"     <!-- ================================================================== -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"internal_representations\">\n"
"    <!-- group for representations not meant to be used directly, but that\n"
"    should be created in a vtkPVCompositeRepresentation. Helps us keep the\n"
"    properties manageable, since we don't need to expose too many properties\n"
"    from these. Only public API properties need to be defined for these proxies\n"
"    (along with \"Input\" and \"Representation\", if applicable).\n"
"    -->\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkAMROutlineRepresentation\"\n"
"                         name=\"AMROutlineRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>Representation for showing an outline for AMR\n"
"      dataset that is streaming capable.</Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Orientation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPickable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Pickable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetUserTransform\"\n"
"                            default_values=\"1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1\"\n"
"                            name=\"UserTransform\"\n"
"                            number_of_elements=\"16\">\n"
"        <Documentation>\n"
"          In addition to the instance variables such as position and\n"
"          orientation, you can add an additional transformation for your own\n"
"          use. This transformation is concatenated with the actor's internal\n"
"          transformation, which you implicitly create through the use of\n"
"          Position, Origin, Orientation. The value is 4x4 matrix for the linear\n"
"          transform to use.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAmbient\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Ambient\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDiffuse\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Diffuse\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecular\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Specular\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecularPower\"\n"
"                            default_values=\"100.0\"\n"
"                            name=\"SpecularPower\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"100\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAmbientColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"AmbientColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"ForegroundColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDiffuseColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"DiffuseColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector_with_palette\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"SurfaceColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecularColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"SpecularColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLineWidth\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"LineWidth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLuminosity\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Luminosity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"100.0\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Makes the object emit light.\n"
"        Only takes effect with OSPRay's path traced renderer.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"EnableOSPRay\"\n"
"                                   values=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetRenderLinesAsTubes\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RenderLinesAsTubes\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, all lines are rendered as 3D tubes, if supported by OpenGL driver.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- end of AMROutlineRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkAMRStreamingVolumeRepresentation\"\n"
"                         name=\"AMRVolumeRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        Representation for rendering Overlapping AMR as volume.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"any\"\n"
"                          name=\"input_array_any\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ColorArrayName\"\n"
"                            no_custom_default=\"1\"\n"
"                            number_of_elements=\"5\">\n"
"        <Documentation>\n"
"          Set the array to color with. One must specify the field association and\n"
"          the array name of the array. If the array is missing, scalar coloring will\n"
"          automatically be disabled.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Orientation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPickable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Pickable\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolationType\"\n"
"                         default_values=\"2\"\n"
"                         name=\"InterpolationType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Nearest\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Linear\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Cubic\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetColor\"\n"
"                     name=\"LookupTable\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"transfer_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty command=\"SetAmbient\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Ambient\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDiffuse\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Diffuse\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecular\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Specular\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecularPower\"\n"
"                            default_values=\"100.0\"\n"
"                            name=\"SpecularPower\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"100\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetShade\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Shade\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable/Disable shading.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfSamples\"\n"
"                         default_values=\"64 128 64\"\n"
"                         name=\"NumberOfSamples\"\n"
"                         number_of_elements=\"3\">\n"
"        <Documentation>\n"
"          Set the number of samples used to create an uniform grid\n"
"          from the AMR.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetScalarOpacity\"\n"
"                     name=\"ScalarOpacityFunction\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"piecewise_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"SetRequestedRenderMode\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface42 =
"                         default_values=\"0\"\n"
"                         name=\"VolumeRenderingMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Smart\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Ray Cast Only\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"GPU Based\"\n"
"                 value=\"4\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetResamplingMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ResamplingMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\" >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Over Data Bounds\" value=\"0\" />\n"
"          <Entry text=\"Using View Frustum\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetStreamingRequestSize\"\n"
"                         default_values=\"10\"\n"
"                         name=\"StreamingRequestSize\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"10000\" />\n"
"        <Documentation>\n"
"          Set the number of blocks to request at a given time on a single\n"
"          process when streaming.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetScalarOpacityUnitDistance\"\n"
"                            default_values=\"1\"\n"
"                            name=\"ScalarOpacityUnitDistance\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain mode=\"approximate_cell_length\"\n"
"                      name=\"bounds\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <!-- end of AMRVolumeRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"  <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkGeometryRepresentation\"\n"
"                         name=\"SurfaceRepresentationBase\"\n"
"                         processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>Representation to show any dataset in a 3D render\n"
"      view.</Documentation>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Get/Set the visibility of the\n"
"        representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ColorArrayName\"\n"
"                            no_custom_default=\"1\"\n"
"                            number_of_elements=\"5\">\n"
"        <Documentation>\n"
"          Set the array to color with. One must specify the field association and\n"
"          the array name of the array. If the array is missing, scalar coloring will\n"
"          automatically be disabled.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain name=\"array_list\"\n"
"                                    input_domain_name=\"input_array_any\">>\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetRepresentation\"\n"
"                            default_values=\"Surface\"\n"
"                            name=\"Representation\"\n"
"                            panel_widget=\"display_representation_selector\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"string_list\">\n"
"          <String value=\"Points\" />\n"
"          <String value=\"Wireframe\" />\n"
"          <String value=\"Surface\" />\n"
"          <String value=\"Surface With Edges\" />\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetCoordinateShiftScaleMethod\"\n"
"                         default_values=\"2\"\n"
"                         name=\"CoordinateShiftScaleMethod\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Options for normalizing the point coordinates.\n"
"        The points are sent to the GPU as float data which can result in resolution issues\n"
"        due to the limited precision of float. VTK includes a variety of methods to normalize\n"
"        the point coordinates prior to sending them to the GPU. Auto shift scale is a good\n"
"        setting that should work for most datasets. Focal point shift scale works based\n"
"        on the current camera viewpoint which makes it the most robust setting but it\n"
"        will renormalize the data occasionally as the camera's settings change which\n"
"        requires reuploading the data to the GPU so there may be a performance cost.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Disable\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Auto Shift Scale\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Always Auto Shift Scale\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Auto Shift Only\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Near Focal Plane Shift Scale\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Focal Point Shift Scale\"\n"
"                 value=\"6\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetTCoordArray\"\n"
"                            default_values=\"\"\n"
"                            label=\"Texture Coordinates\"\n"
"                            name=\"SelectTCoordArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the texture coordinates array used for texture mapping.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain attribute_type=\"TCoords\"\n"
"                         input_domain_name=\"input_array_point_2\"\n"
"                         data_type=\"VTK_FLOAT VTK_DOUBLE\"\n"
"                         name=\"array_list\"\n"
"                         none_string=\"None\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetNormalArray\"\n"
"                            default_values=\"\"\n"
"                            label=\"Normal Array\"\n"
"                            name=\"SelectNormalArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the normal array used for smooth shading.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain attribute_type=\"Normals\"\n"
"                         input_domain_name=\"input_array_point_3\"\n"
"                         data_type=\"VTK_FLOAT VTK_DOUBLE\"\n"
"                         name=\"array_list\"\n"
"                         none_string=\"None\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetTangentArray\"\n"
"                            default_values=\"\"\n"
"                            label=\"Tangent Array\"\n"
"                            name=\"SelectTangentArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the tangent coordinates array used for normal mapping.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain attribute_type=\"Tangents\"\n"
"                         input_domain_name=\"input_array_point_3\"\n"
"                         data_type=\"VTK_FLOAT VTK_DOUBLE\"\n"
"                         name=\"array_list\"\n"
"                         none_string=\"None\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAmbient\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Ambient\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\"\n"
"                                   inverse=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDiffuse\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Diffuse\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecular\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Specular\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\"\n"
"                                   inverse=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRoughness\"\n"
"                            default_values=\"0.3\"\n"
"                            name=\"Roughness\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set how rough is the surface.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMetallic\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Metallic\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set metalness of the surface. It is usually either 0 or 1 but any value is valid.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetEdgeTint\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"EdgeTint\"\n"
"                            number_of_elements=\"3\">\n"
"        <Documentation>\n"
"          For metals only. Set the tint at grazing angles.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                          name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBaseIOR\"\n"
"                            default_values=\"1.5\"\n"
"                            name=\"BaseIOR\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the index of refraction of the base layer.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain max=\"4\"\n"
"                           min=\"1\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCoatIOR\"\n"
"                            default_values=\"2.0\"\n"
"                            name=\"CoatIOR\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the index of refraction of the coat layer.\n"
"        </Documentation>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface43 =
"        <DoubleRangeDomain max=\"4\"\n"
"                           min=\"1\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCoatStrength\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"CoatStrength\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the strength of the coat layer.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCoatRoughness\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"CoatRoughness\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the roughness of the coat layer.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetCoatColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"CoatColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAnisotropy\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Anisotropy\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the anisotropy coefficient of the surface.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"          <!-- Enable widget only if normals and tangents are here -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"SelectNormalArray\" value=\"None\" inverse=\"1\"/>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"SelectTangentArray\" value=\"None\" inverse=\"1\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAnisotropyRotation\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"AnisotropyRotation\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the anisotropy rotation coefficient of the surface.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"          <!-- Enable widget only if normals and tangents are here -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"SelectNormalArray\" value=\"None\" inverse=\"1\"/>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"SelectTangentArray\" value=\"None\" inverse=\"1\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <ProxyProperty command=\"SetTexture\"\n"
"                     name=\"Texture\"\n"
"                     panel_widget=\"texture_selector\"\n"
"                     null_on_empty=\"1\" >\n"
"        <Documentation>\n"
"          Set the diffuse color texture.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"textures\" />\n"
"        </ProxyGroupDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\"\n"
"                                   inverse=\"1\" />\n"
"          <TextureSelectorWidget check_tcoords=\"1\" />\n"
"          <!-- enable the texture selector only when tcoords is available. -->\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"SetRepeatTextures\"\n"
"                         default_values=\"1\"\n"
"                         name=\"RepeatTextures\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Should textures be clamped or repeated when texture coordinates go\n"
"          outside the range of 0 to 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolateTextures\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InterpolateTextures\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When sampling a texture should linear interpolations be used. If false\n"
"          then nearest neighbor sampling will be used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseMipmapTextures\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseMipmapTextures\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Should mipmaps be used for textures. Mipmaps are espcially useful when\n"
"          working with large detailed textures or situations where you might be\n"
"          viewing a texture map from far away.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"InterpolateTextures\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetShowTexturesOnBackface\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ShowTexturesOnBackface\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Should textures be applied to the backface of a surface.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetBaseColorTexture\"\n"
"                     name=\"BaseColorTexture\"\n"
"                     panel_widget=\"texture_selector\"\n"
"                     null_on_empty=\"1\" >\n"
"        <Documentation>\n"
"          Set the base color (also called albedo) texture. It will define the diffuse color for a\n"
"          non metallic surface or the specular color for a metallic surface.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"textures\" />\n"
"        </ProxyGroupDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"          <TextureSelectorWidget check_tcoords=\"1\" />\n"
"          <!-- enable the texture selector only when tcoords is available. -->\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetMaterialTexture\"\n"
"                     name=\"MaterialTexture\"\n"
"                     panel_widget=\"texture_selector\"\n"
"                     null_on_empty=\"1\" >\n"
"        <Documentation>\n"
"          Set the material texture. This texture encodes occlusion, roughness and metalness\n"
"          on the red, green, blue channel respectively.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"textures\" />\n"
"        </ProxyGroupDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"          <TextureSelectorWidget check_tcoords=\"1\" />\n"
"          <!-- enable the texture selector only when tcoords is available. -->\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetAnisotropyTexture\"\n"
"                     name=\"AnisotropyTexture\"\n"
"                     panel_widget=\"texture_selector\"\n"
"                     null_on_empty=\"1\" >\n"
"        <Documentation>\n"
"          Set the anisotropy texture. This texture encodes anisotropy strength on the red and anisotropy rotation\n"
"          on the green channel.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"textures\" />\n"
"        </ProxyGroupDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"          <TextureSelectorWidget check_tcoords=\"1\" check_tangents=\"1\" />\n"
"          <!-- enable the texture selector only when tcoords and tangents are available. -->\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty command=\"SetOcclusionStrength\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"OcclusionStrength\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the ambient occlusion strength of the material texture.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain max=\"5\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"MaterialTexture\"\n"
"                                   value=\"null\"\n"
"                                   inverse=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <ProxyProperty command=\"SetNormalTexture\"\n"
"                     name=\"NormalTexture\"\n"
"                     panel_widget=\"texture_selector\"\n"
"                     null_on_empty=\"1\" >\n"
"        <Documentation>\n"
"          Set the normal mapping texture.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"textures\" />\n"
"        </ProxyGroupDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"0\"\n"
"                                   inverse=\"1\" />\n"
"          <TextureSelectorWidget check_tcoords=\"1\" check_tangents=\"1\" />\n"
"          <!-- enable the texture selector only when tcoords is available. -->\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty command=\"SetNormalScale\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"NormalScale\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the scale of normal mapping deviation.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain max=\"5\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"NormalTexture\"\n"
"                                   value=\"null\"\n"
"                                   inverse=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <ProxyProperty command=\"SetCoatNormalTexture\"\n"
"                     name=\"CoatNormalTexture\"\n"
"                     panel_widget=\"texture_selector\"\n"
"                     null_on_empty=\"1\" >\n"
"        <Documentation>\n"
"          Set the coat normal mapping texture.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"textures\" />\n"
"        </ProxyGroupDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"0\"\n"
"                                   inverse=\"1\" />\n"
"          <TextureSelectorWidget check_tcoords=\"1\" check_tangents=\"1\" />\n"
"          <!-- enable the texture selector only when tcoords is available. -->\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty command=\"SetCoatNormalScale\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"CoatNormalScale\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the scale of coat normal mapping deviation.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain max=\"5\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"CoatNormalTexture\"\n"
"                                   value=\"null\"\n"
"                                   inverse=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <ProxyProperty command=\"SetEmissiveTexture\"\n"
"                     name=\"EmissiveTexture\"\n"
"                     panel_widget=\"texture_selector\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface44 =
"                     null_on_empty=\"1\" >\n"
"        <Documentation>\n"
"          Set the emissive texture.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"textures\" />\n"
"        </ProxyGroupDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\" />\n"
"          <TextureSelectorWidget check_tcoords=\"1\" />\n"
"          <!-- enable the texture selector only when tcoords is available. -->\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty command=\"SetEmissiveFactor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"EmissiveFactor\"\n"
"                            number_of_elements=\"3\">\n"
"        <Documentation>\n"
"          Set the factor of the red, green, blue channels of the emissive texture.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain max=\"10\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"EmissiveTexture\"\n"
"                                   value=\"null\"\n"
"                                   inverse=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetFlipTextures\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FlipTextures\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Enable texture coordinate flip on Y axis. Depending on some format specification, the\n"
"          origin of the texture could be either at the bottom left or the top left of the image.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSuppressLOD\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SuppressLOD\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAmbientColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"AmbientColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"ForegroundColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDiffuseColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"DiffuseColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector_with_palette\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"SurfaceColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecularColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"SpecularColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\"\n"
"                                   inverse=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLineWidth\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"LineWidth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPointSize\"\n"
"                            default_values=\"2.0\"\n"
"                            name=\"PointSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetRenderLinesAsTubes\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RenderLinesAsTubes\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, all lines are rendered as 3D tubes, if supported by OpenGL driver.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRenderPointsAsSpheres\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RenderPointsAsSpheres\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, all points are rendered as 3D spheres, if supported by OpenGL driver.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolation\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Interpolation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Flat\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Gouraud\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"PBR\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTriangulate\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Triangulate\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Triangulate the geometry internally to avoid rendering\n"
"        issues of non-convex polygons. This feature has a processing and memory\n"
"        cost, it should be enabled only when needed.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseShaderReplacements\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseShaderReplacements\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable the use of shader replacements.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetShaderReplacements\"\n"
"                            default_values=\"\"\n"
"                            name=\"ShaderReplacements\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_widget=\"shader_replacements_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Specify shader replacements using a Json string.\n"
"          The Json string can be a single node or an array of nodes with the\n"
"          following properties:&#xa;\n"
"            \"type\": specifies the type of shader the replacement is about.\n"
"              It can be either \"vertex\", \"fragment\" or \"geometry\".&#xa;\n"
"            \"original\": specifies the original string to be replaced in the shader code.\n"
"              This string is generally a pattern defined by the mapper\n"
"              vtkOpenGLPolyDataMapper at specific locations of the shader\n"
"              GLSL source code.&#xa;\n"
"            \"replacement\": specifies the replacement string in GLSL source code.\n"
"              Note that the Json parser supports multiple lines entries.&#xa;\n"
"          Example of a simple shader replacement (draw all the fragments in full red\n"
"          color without any shading consideration):&#xa;\n"
"            {&#xa;\n"
"             \"type\": \"fragment\",&#xa;\n"
"             \"original\": \"//VTK::Light::Impl\",&#xa;\n"
"             \"replacement\": \"gl_FragData[0]=vec4(1.0,0.0,0.0,1.0);\"&#xa;\n"
"           }&#xa;\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"UseShaderReplacements\"\n"
"                                   value=\"1\" />\n"
"          <!-- show this widget when UseShaderReplacements is enabled -->\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetNonlinearSubdivisionLevel\"\n"
"                         default_values=\"1\"\n"
"                         name=\"NonlinearSubdivisionLevel\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"4\"\n"
"                        min=\"0\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSpecularPower\"\n"
"                            default_values=\"100.0\"\n"
"                            name=\"SpecularPower\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"100\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Interpolation\"\n"
"                                   value=\"3\"\n"
"                                   inverse=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLuminosity\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Luminosity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"100.0\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Makes the object emit light.\n"
"        Only takes effect with OSPRay's path traced renderer.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"EnableOSPRay\"\n"
"                                   values=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetEdgeColor\"\n"
"                            default_values=\"0 0 0.5\"\n"
"                            name=\"EdgeColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <Documentation>Set the edge color. This color is used to draw the edge\n"
"        for the polygonal data when EdgeVisibility is on.</Documentation>\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"EdgeColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetInteractiveSelectionColor\"\n"
"                            default_values=\"0.5 0.0 1.0\"\n"
"                            name=\"InteractiveSelectionColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <Documentation>Set the preselection color. This color is used to draw the edge\n"
"        of the current preselection.</Documentation>\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"InteractiveSelectionColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            label=\"Translation\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Orientation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetUserTransform\"\n"
"                            default_values=\"1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1\"\n"
"                            name=\"UserTransform\"\n"
"                            number_of_elements=\"16\">\n"
"        <Documentation>\n"
"          In addition to the instance variables such as position and\n"
"          orientation, you can add an additional transformation for your own\n"
"          use. This transformation is concatenated with the actor's internal\n"
"          transformation, which you implicitly create through the use of\n"
"          Position, Origin, Orientation. The value is 4x4 matrix for the linear\n"
"          transform to use.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetPickable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Pickable\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetLookupTable\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Views/Resources/views_and_representations.xml
static const char* const paraview_server_managerviews_and_representationsInterface45 =
"                     name=\"LookupTable\" >\n"
"        <Documentation>Set the lookup-table to use to map data array to colors.\n"
"        Lookuptable is only used with MapScalars to ON.</Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"UseSeparateColorMap\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>By default, ParaView shares a single color map among all datasets colored\n"
"        by arrays that have the same name. When this option is enabled, the active dataset will\n"
"        be assigned a separate color map not shared by other datasets.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMapScalars\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MapScalars\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When enabled, LookupTable will always be\n"
"        used for scalar mapping. Otherwise, when up to 4 component\n"
"        scalars are present, the components are clamped to a valid\n"
"        color interval (0-255 for an integral type and 0.0-1.0 for a\n"
"        floating point type) and then directly used as\n"
"        color.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"MultiComponentsMapping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enable multi components mapping. For a two-components array,\n"
"        the first component is mapped to the color, the second component is mapped to the\n"
"        opacity. For a four-components array, the first, second and third components are used as\n"
"        RGB values and the fourth component is mapped to the opacity. Only available\n"
"        when MapScalars is ON. This feature forces \"Separate Color Map\" and scales the color and\n"
"        the opacity range with the correct component.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"Representation\"\n"
"                                   value=\"Volume\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"MapScalars\"\n"
"                                   value=\"1\" />\n"
"          <PropertyWidgetDecorator type=\"MultiComponentsDecorator\"\n"
"                                   components=\"2 4\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolateScalarsBeforeMapping\"\n"
"                         default_values=\"1\"\n"
"                         name=\"InterpolateScalarsBeforeMapping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set to true (default), texture coordinates\n"
"        are sent to and interpolated by the graphics card. This is\n"
"        equivalent with interpolating scalars and then mapping them to\n"
"        obtain colors between points. Otherwise, colors are sent to\n"
"        and interpolated by the graphics card.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSeamlessU\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SeamlessU\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This parameter prevents seams in the U direction in\n"
"          the parameterization space. It should be used when using a cylindrical\n"
"          or toroidal parameterization on the surface.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSeamlessV\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SeamlessV\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This parameter prevents seams in the V direction in\n"
"          the parameterization space. It should be used when using a cylindrical\n"
"          or toroidal parameterization on the surface.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetStatic\"\n"
"                         default_values=\"0\"\n"
"                         name=\"StaticMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Assembly\"\n"
"        command=\"SetActiveAssembly\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Hierarchy\"\n"
"        panel_visibility=\"multiblock_inspector\">\n"
"        <DataAssemblyListDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </DataAssemblyListDomain>\n"
"        <Documentation>\n"
"          Select which assembly is used when specify selectors\n"
"          to choose block visibilities, block colors, etc. for composite datasets.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"BlockSelectors\"\n"
"        command=\"AddBlockSelector\"\n"
"        clean_command=\"RemoveAllBlockSelectors\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        panel_visibility=\"multiblock_inspector\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"/\">\n"
"        <DataAssemblyDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ActiveAssembly\" name=\"Assembly\" />\n"
"          </RequiredProperties>\n"
"        </DataAssemblyDomain>\n"
"        <Documentation>\n"
"          For composite datasets, specify selectors to limit the view\n"
"          to a chosen subset of blocks.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"BlockColors\"\n"
"                            command=\"SetBlockColor\"\n"
"                            clean_command=\"RemoveAllBlockColors\"\n"
"                            element_types=\"2 1 1 1\"\n"
"                            number_of_elements_per_command=\"4\"\n"
"                            repeat_command=\"1\"\n"
"                            panel_visibility=\"multiblock_inspector\">\n"
"         <DataAssemblyDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ActiveAssembly\" name=\"Assembly\" />\n"
"          </RequiredProperties>\n"
"        </DataAssemblyDomain>\n"
"        <Documentation>\n"
"          For composite datasets, specify colors associated with selectors\n"
"          on the assembly chosen using **Assembly**.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"BlockOpacities\"\n"
"                            command=\"SetBlockOpacity\"\n"
"                            clean_command=\"RemoveAllBlockOpacities\"\n"
"                            element_types=\"2 1\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            panel_visibility=\"multiblock_inspector\">\n"
"         <DataAssemblyDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ActiveAssembly\" name=\"Assembly\" />\n"
"          </RequiredProperties>\n"
"        </DataAssemblyDomain>\n"
"        <Documentation>\n"
"          For composite datasets, specify opacities associated with selectors\n"
"          on the assembly chosen using **Assembly**.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Blocks\"\n"
"                     panel_widget=\"DataAssemblyEditor\"\n"
"                     panel_visibility=\"multiblock_inspector\">\n"
"        <Property name=\"Assembly\"       function=\"ActiveAssembly\" />\n"
"        <Property name=\"BlockSelectors\" function=\"Selectors\" />\n"
"        <Property name=\"BlockColors\"    function=\"Colors\" />\n"
"        <Property name=\"BlockOpacities\" function=\"Opacities\" />\n"
"        <Hints>\n"
"          <DataAssemblyPropertyWidget use_inputname_as_header=\"1\"  link_active_selection=\"1\"/>\n"
"        </Hints>\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty command=\"SetBlockColorsDistinctValues\"\n"
"                         default_values=\"7\"\n"
"                         name=\"BlockColorsDistinctValues\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <Documentation>\n"
"          Determines the number of distinct values in\n"
"          vtkBlockColors. This array is added to each block if\n"
"          the dataset is a composite dataset. The array has one value\n"
"          set to (blockIndex % BlockColorsDistinctValues)\n"
"        </Documentation>\n"
"        <IntRangeDomain min=\"2\" name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\"\n"
"                        proxy=\"GeneralSettings\"\n"
"                        property=\"BlockColorsDistinctValues\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseDataPartitions\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseDataPartitions\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Specify whether or not to redistribute the data when actor is translucent.\n"
"        Default is false.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetEnableScaling\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OSPRayUseScaleArray\"\n"
"                         label=\"Scaling Mode\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Choose how the size of each sphere and cylinder is determined.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"All Exact\"\n"
"                 value=\"-1\" />\n"
"          <Entry text=\"All Approximate\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Each Scaled\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Each Exact\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetScalingArrayName\"\n"
"                            default_values=\"\"\n"
"                            name=\"OSPRayScaleArray\"\n"
"                            label=\"Scale Array\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <ArrayListDomain input_domain_name=\"input_array_point\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          Choice of an array for OSPRay implicit points and lines sizes.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"OSPRayUseScaleArray\"\n"
"                                   values=\"1\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <ProxyProperty command=\"SetScalingFunction\"\n"
"                     name=\"OSPRayScaleFunction\"\n"
"                     label=\"Scale Function\"\n"
"                     panel_visibility=\"advanced\"\n"
"                     panel_widget=\"transfer_function_editor\" >\n"
"        <Documentation>Set the piecewise function used to map data array to sprite size.\n"
"        ScaleTransferFunction is only used if ScaleByArray is set.</Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"piecewise_functions\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"piecewise_functions\"\n"
"                 name=\"PiecewiseFunction\" />\n"
"        </ProxyListDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"OSPRayUseScaleArray\"\n"
"                                   values=\"1\" />\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <StringVectorProperty command=\"SetMaterial\"\n"
"                            name=\"OSPRayMaterial\"\n"
"                            label=\"Material\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            default_values=\"None\">\n"
"        <Documentation>Set the material to paint this object with.</Documentation>\n"
"        <MaterialDomain name=\"string_list\">\n"
"        </MaterialDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"OSPRayHidingDecorator\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End of SurfaceRepresentationBase -->\n"
"    </RepresentationProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerviews_and_representationsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerviews_and_representationsInterface0);
  const size_t len1 = strlen(paraview_server_managerviews_and_representationsInterface1);
  const size_t len2 = strlen(paraview_server_managerviews_and_representationsInterface2);
  const size_t len3 = strlen(paraview_server_managerviews_and_representationsInterface3);
  const size_t len4 = strlen(paraview_server_managerviews_and_representationsInterface4);
  const size_t len5 = strlen(paraview_server_managerviews_and_representationsInterface5);
  const size_t len6 = strlen(paraview_server_managerviews_and_representationsInterface6);
  const size_t len7 = strlen(paraview_server_managerviews_and_representationsInterface7);
  const size_t len8 = strlen(paraview_server_managerviews_and_representationsInterface8);
  const size_t len9 = strlen(paraview_server_managerviews_and_representationsInterface9);
  const size_t len10 = strlen(paraview_server_managerviews_and_representationsInterface10);
  const size_t len11 = strlen(paraview_server_managerviews_and_representationsInterface11);
  const size_t len12 = strlen(paraview_server_managerviews_and_representationsInterface12);
  const size_t len13 = strlen(paraview_server_managerviews_and_representationsInterface13);
  const size_t len14 = strlen(paraview_server_managerviews_and_representationsInterface14);
  const size_t len15 = strlen(paraview_server_managerviews_and_representationsInterface15);
  const size_t len16 = strlen(paraview_server_managerviews_and_representationsInterface16);
  const size_t len17 = strlen(paraview_server_managerviews_and_representationsInterface17);
  const size_t len18 = strlen(paraview_server_managerviews_and_representationsInterface18);
  const size_t len19 = strlen(paraview_server_managerviews_and_representationsInterface19);
  const size_t len20 = strlen(paraview_server_managerviews_and_representationsInterface20);
  const size_t len21 = strlen(paraview_server_managerviews_and_representationsInterface21);
  const size_t len22 = strlen(paraview_server_managerviews_and_representationsInterface22);
  const size_t len23 = strlen(paraview_server_managerviews_and_representationsInterface23);
  const size_t len24 = strlen(paraview_server_managerviews_and_representationsInterface24);
  const size_t len25 = strlen(paraview_server_managerviews_and_representationsInterface25);
  const size_t len26 = strlen(paraview_server_managerviews_and_representationsInterface26);
  const size_t len27 = strlen(paraview_server_managerviews_and_representationsInterface27);
  const size_t len28 = strlen(paraview_server_managerviews_and_representationsInterface28);
  const size_t len29 = strlen(paraview_server_managerviews_and_representationsInterface29);
  const size_t len30 = strlen(paraview_server_managerviews_and_representationsInterface30);
  const size_t len31 = strlen(paraview_server_managerviews_and_representationsInterface31);
  const size_t len32 = strlen(paraview_server_managerviews_and_representationsInterface32);
  const size_t len33 = strlen(paraview_server_managerviews_and_representationsInterface33);
  const size_t len34 = strlen(paraview_server_managerviews_and_representationsInterface34);
  const size_t len35 = strlen(paraview_server_managerviews_and_representationsInterface35);
  const size_t len36 = strlen(paraview_server_managerviews_and_representationsInterface36);
  const size_t len37 = strlen(paraview_server_managerviews_and_representationsInterface37);
  const size_t len38 = strlen(paraview_server_managerviews_and_representationsInterface38);
  const size_t len39 = strlen(paraview_server_managerviews_and_representationsInterface39);
  const size_t len40 = strlen(paraview_server_managerviews_and_representationsInterface40);
  const size_t len41 = strlen(paraview_server_managerviews_and_representationsInterface41);
  const size_t len42 = strlen(paraview_server_managerviews_and_representationsInterface42);
  const size_t len43 = strlen(paraview_server_managerviews_and_representationsInterface43);
  const size_t len44 = strlen(paraview_server_managerviews_and_representationsInterface44);
  const size_t len45 = strlen(paraview_server_managerviews_and_representationsInterface45);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4
    + len5
    + len6
    + len7
    + len8
    + len9
    + len10
    + len11
    + len12
    + len13
    + len14
    + len15
    + len16
    + len17
    + len18
    + len19
    + len20
    + len21
    + len22
    + len23
    + len24
    + len25
    + len26
    + len27
    + len28
    + len29
    + len30
    + len31
    + len32
    + len33
    + len34
    + len35
    + len36
    + len37
    + len38
    + len39
    + len40
    + len41
    + len42
    + len43
    + len44
    + len45 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerviews_and_representationsInterface0, paraview_server_managerviews_and_representationsInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerviews_and_representationsInterface1, paraview_server_managerviews_and_representationsInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerviews_and_representationsInterface2, paraview_server_managerviews_and_representationsInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerviews_and_representationsInterface3, paraview_server_managerviews_and_representationsInterface3 + len3, res + offset); offset += len3;
  std::copy(paraview_server_managerviews_and_representationsInterface4, paraview_server_managerviews_and_representationsInterface4 + len4, res + offset); offset += len4;
  std::copy(paraview_server_managerviews_and_representationsInterface5, paraview_server_managerviews_and_representationsInterface5 + len5, res + offset); offset += len5;
  std::copy(paraview_server_managerviews_and_representationsInterface6, paraview_server_managerviews_and_representationsInterface6 + len6, res + offset); offset += len6;
  std::copy(paraview_server_managerviews_and_representationsInterface7, paraview_server_managerviews_and_representationsInterface7 + len7, res + offset); offset += len7;
  std::copy(paraview_server_managerviews_and_representationsInterface8, paraview_server_managerviews_and_representationsInterface8 + len8, res + offset); offset += len8;
  std::copy(paraview_server_managerviews_and_representationsInterface9, paraview_server_managerviews_and_representationsInterface9 + len9, res + offset); offset += len9;
  std::copy(paraview_server_managerviews_and_representationsInterface10, paraview_server_managerviews_and_representationsInterface10 + len10, res + offset); offset += len10;
  std::copy(paraview_server_managerviews_and_representationsInterface11, paraview_server_managerviews_and_representationsInterface11 + len11, res + offset); offset += len11;
  std::copy(paraview_server_managerviews_and_representationsInterface12, paraview_server_managerviews_and_representationsInterface12 + len12, res + offset); offset += len12;
  std::copy(paraview_server_managerviews_and_representationsInterface13, paraview_server_managerviews_and_representationsInterface13 + len13, res + offset); offset += len13;
  std::copy(paraview_server_managerviews_and_representationsInterface14, paraview_server_managerviews_and_representationsInterface14 + len14, res + offset); offset += len14;
  std::copy(paraview_server_managerviews_and_representationsInterface15, paraview_server_managerviews_and_representationsInterface15 + len15, res + offset); offset += len15;
  std::copy(paraview_server_managerviews_and_representationsInterface16, paraview_server_managerviews_and_representationsInterface16 + len16, res + offset); offset += len16;
  std::copy(paraview_server_managerviews_and_representationsInterface17, paraview_server_managerviews_and_representationsInterface17 + len17, res + offset); offset += len17;
  std::copy(paraview_server_managerviews_and_representationsInterface18, paraview_server_managerviews_and_representationsInterface18 + len18, res + offset); offset += len18;
  std::copy(paraview_server_managerviews_and_representationsInterface19, paraview_server_managerviews_and_representationsInterface19 + len19, res + offset); offset += len19;
  std::copy(paraview_server_managerviews_and_representationsInterface20, paraview_server_managerviews_and_representationsInterface20 + len20, res + offset); offset += len20;
  std::copy(paraview_server_managerviews_and_representationsInterface21, paraview_server_managerviews_and_representationsInterface21 + len21, res + offset); offset += len21;
  std::copy(paraview_server_managerviews_and_representationsInterface22, paraview_server_managerviews_and_representationsInterface22 + len22, res + offset); offset += len22;
  std::copy(paraview_server_managerviews_and_representationsInterface23, paraview_server_managerviews_and_representationsInterface23 + len23, res + offset); offset += len23;
  std::copy(paraview_server_managerviews_and_representationsInterface24, paraview_server_managerviews_and_representationsInterface24 + len24, res + offset); offset += len24;
  std::copy(paraview_server_managerviews_and_representationsInterface25, paraview_server_managerviews_and_representationsInterface25 + len25, res + offset); offset += len25;
  std::copy(paraview_server_managerviews_and_representationsInterface26, paraview_server_managerviews_and_representationsInterface26 + len26, res + offset); offset += len26;
  std::copy(paraview_server_managerviews_and_representationsInterface27, paraview_server_managerviews_and_representationsInterface27 + len27, res + offset); offset += len27;
  std::copy(paraview_server_managerviews_and_representationsInterface28, paraview_server_managerviews_and_representationsInterface28 + len28, res + offset); offset += len28;
  std::copy(paraview_server_managerviews_and_representationsInterface29, paraview_server_managerviews_and_representationsInterface29 + len29, res + offset); offset += len29;
  std::copy(paraview_server_managerviews_and_representationsInterface30, paraview_server_managerviews_and_representationsInterface30 + len30, res + offset); offset += len30;
  std::copy(paraview_server_managerviews_and_representationsInterface31, paraview_server_managerviews_and_representationsInterface31 + len31, res + offset); offset += len31;
  std::copy(paraview_server_managerviews_and_representationsInterface32, paraview_server_managerviews_and_representationsInterface32 + len32, res + offset); offset += len32;
  std::copy(paraview_server_managerviews_and_representationsInterface33, paraview_server_managerviews_and_representationsInterface33 + len33, res + offset); offset += len33;
  std::copy(paraview_server_managerviews_and_representationsInterface34, paraview_server_managerviews_and_representationsInterface34 + len34, res + offset); offset += len34;
  std::copy(paraview_server_managerviews_and_representationsInterface35, paraview_server_managerviews_and_representationsInterface35 + len35, res + offset); offset += len35;
  std::copy(paraview_server_managerviews_and_representationsInterface36, paraview_server_managerviews_and_representationsInterface36 + len36, res + offset); offset += len36;
  std::copy(paraview_server_managerviews_and_representationsInterface37, paraview_server_managerviews_and_representationsInterface37 + len37, res + offset); offset += len37;
  std::copy(paraview_server_managerviews_and_representationsInterface38, paraview_server_managerviews_and_representationsInterface38 + len38, res + offset); offset += len38;
  std::copy(paraview_server_managerviews_and_representationsInterface39, paraview_server_managerviews_and_representationsInterface39 + len39, res + offset); offset += len39;
  std::copy(paraview_server_managerviews_and_representationsInterface40, paraview_server_managerviews_and_representationsInterface40 + len40, res + offset); offset += len40;
  std::copy(paraview_server_managerviews_and_representationsInterface41, paraview_server_managerviews_and_representationsInterface41 + len41, res + offset); offset += len41;
  std::copy(paraview_server_managerviews_and_representationsInterface42, paraview_server_managerviews_and_representationsInterface42 + len42, res + offset); offset += len42;
  std::copy(paraview_server_managerviews_and_representationsInterface43, paraview_server_managerviews_and_representationsInterface43 + len43, res + offset); offset += len43;
  std::copy(paraview_server_managerviews_and_representationsInterface44, paraview_server_managerviews_and_representationsInterface44 + len44, res + offset); offset += len44;
  std::copy(paraview_server_managerviews_and_representationsInterface45, paraview_server_managerviews_and_representationsInterface45 + len45, res + offset); offset += len45;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/ViewsPython/Resources/rendering_remotingpython.xml
static const char* const paraview_server_managerrendering_remotingpythonInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"representations\">\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy name=\"PythonRepresentation\"\n"
"                        class=\"vtkPythonRepresentation\"\n"
"                        processes=\"client|dataserver|renderserver\">\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\"/>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Visibility of the representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </RepresentationProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"views\">\n"
"    <!-- ================================================================== -->\n"
"    <PythonViewProxy name=\"PythonView\" class=\"vtkPythonView\"\n"
"                     label=\"Python View\"\n"
"                     processes=\"client|dataserver|renderserver\"\n"
"                     base_proxygroup=\"internal_views\"\n"
"                     base_proxyname=\"ViewBase\"\n"
"                     representation_name=\"PythonRepresentation\">\n"
"      <StringVectorProperty command=\"SetScript\"\n"
"                            name=\"Script\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" syntax=\"python\"/>\n"
"        </Hints>\n"
"        <Documentation>This property contains the text of a Python program used\n"
"        to generate a plot. Use the TAB key to end editing and generate the\n"
"        plot.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"GetNumberOfVisibleDataObjects\"\n"
"                         name=\"NumberOfVisibleDataObjects\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         information_only=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"      <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"     <IntVectorProperty command=\"SetForceUseCache\"\n"
"                        default_values=\"0\"\n"
"                        is_internal=\"1\"\n"
"                        name=\"ForceUseCache\"\n"
"                        number_of_elements=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"       and representations cache based on what the view tells it. However in\n"
"       some cases we may want to force a representation to cache irrespective\n"
"       of the view (e.g. comparative views). In which case these ivars can up\n"
"       set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"       Instead, ForcedCacheKey is used.</Documentation>\n"
"     </IntVectorProperty>\n"
"     <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                           default_values=\"none\"\n"
"                           is_internal=\"1\"\n"
"                           name=\"ForcedCacheKey\"\n"
"                           number_of_elements=\"1\">\n"
"       <DoubleRangeDomain name=\"range\" />\n"
"       <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"       and representations cache based on what the view tells it. However in\n"
"       some cases we may want to force a representation to cache irrespective\n"
"       of the view (e.g. comparative views). In which case these ivars can up\n"
"       set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"       Instead, ForcedCacheKey is used.</Documentation>\n"
"     </DoubleVectorProperty>\n"
"    </PythonViewProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerrendering_remotingpythonGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerrendering_remotingpythonInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerrendering_remotingpythonInterface0, paraview_server_managerrendering_remotingpythonInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Points/Resources/points.xml
static const char* const paraview_server_managerpointsInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"extended_sources\">\n"
"    <SourceProxy name=\"BoundedPlaneSource\" class=\"vtkBoundedPlaneSource\"\n"
"                 label=\"Bounded Plane\">\n"
"      <DoubleVectorProperty command=\"SetBoundingBox\"\n"
"          name=\"BoundingBox\"\n"
"          default_values=\"0 1 0 1 0 1\"\n"
"          number_of_elements=\"6\">\n"
"        <Documentation>Set the bounding box for the domain</Documentation>\n"
"        <BoundsDomain mode=\"data_bounds\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetPadding\"\n"
"        name=\"Padding\"\n"
"        default_values=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          Specify a padding to use to inflate the bounds in all directions\n"
"          before generating the plane.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"RefinementMode\"\n"
"        command=\"SetRefinementMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Specify how refinement is computed.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Use resolution\" value=\"0\" />\n"
"          <Entry text=\"Use cell-size\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetResolution\"\n"
"        default_values=\"100\"\n"
"        name=\"Resolution\"\n"
"        number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\" name=\"range\" />\n"
"        <Documentation>This property specifies the number of divisions along\n"
"          the X axis of the parallelogram.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"RefinementMode\"\n"
"                                   value=\"0\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"CellSize\"\n"
"        command=\"SetCellSize\"\n"
"        default_values=\"1.0\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>Specify the cell size to use to compute plane refinement.</Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min= \"1\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"RefinementMode\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Center\"\n"
"        command=\"SetCenter\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <Documentation>\n"
"          Specify the center of the plane. Works in conjunction with the plane\n"
"          normal to position the plane. Don't use this method to define the plane.\n"
"          Instead, use it to move the plane to a new center point.\n"
"        </Documentation>\n"
"        <BoundsDomain default_mode=\"mid\" mode=\"normal\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Normal\"\n"
"        command=\"SetNormal\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 1\">\n"
"        <Documentation>\n"
"          Specify the plane normal. Works in conjunction with the plane center to\n"
"          orient the plane. Don't use this method to define the plane. Instead, use\n"
"          it to rotate the plane around the current center point.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <InputProperty is_internal=\"1\" name=\"DummyInput\">\n"
"        <!-- Used when this source is added to a proxy list domain. -->\n"
"      </InputProperty>\n"
"\n"
"      <PropertyGroup label=\"Plane Bounds\">\n"
"        <Property name=\"BoundingBox\" />\n"
"        <Property name=\"RefinementMode\" />\n"
"        <Property name=\"Resolution\" />\n"
"        <Property name=\"CellSize\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Plane Parameters\" panel_widget=\"InteractivePlane\">\n"
"        <Property function=\"Origin\" name=\"Center\" />\n"
"        <Property function=\"Normal\" name=\"Normal\" />\n"
"        <Property function=\"Input\" name=\"DummyInput\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"BoundedVolumeSource\" class=\"vtkBoundedVolumeSource\" label=\"Bounded Volume\">\n"
"      <DoubleVectorProperty name=\"Origin\"\n"
"        command=\"SetOrigin\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <BoundsDomain name=\"range\" mode=\"normal\" default_mode=\"min,min,min\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Set the origin for the volume.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Scale\"\n"
"        command=\"SetScale\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\">\n"
"        <BoundsDomain name=\"range\" mode=\"extents\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"\n"
"        <Documentation>\n"
"          Set scale factor for a unit volume.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetPadding\"\n"
"        name=\"Padding\"\n"
"        default_values=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          Specify a padding to use to inflate the bounds in all directions\n"
"          before generating the plane.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"RefinementMode\"\n"
"        command=\"SetRefinementMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Specify how refinement is computed.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Use resolution\" value=\"0\" />\n"
"          <Entry text=\"Use cell-size\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Resolution\"\n"
"        command=\"SetResolution\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"100 100 100\">\n"
"        <IntRangeDomain name=\"range\" min=\"1 1 1\" />\n"
"        <Documentation>\n"
"          Set the sampling resolution for the generated volume.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"RefinementMode\"\n"
"                                   value=\"0\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"CellSize\"\n"
"        command=\"SetCellSize\"\n"
"        default_values=\"1.0\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>Specify the cell size to use to compute plane refinement.</Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min= \"1\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"RefinementMode\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <InputProperty is_internal=\"1\" name=\"DummyInput\">\n"
"        <!-- Used when this source is added to a proxy list domain. -->\n"
"      </InputProperty>\n"
"\n"
"      <PropertyGroup label=\"Volume Parameters\" panel_widget=\"InteractiveBox\">\n"
"        <Property function=\"Position\" name=\"Origin\" />\n"
"        <Property function=\"Scale\" name=\"Scale\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Volume Refinement\">\n"
"        <Property name=\"RefinementMode\" />\n"
"        <Property name=\"Resolution\" />\n"
"        <Property name=\"CellSize\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"point_interpolation_kernels\">\n"
"    <Proxy name=\"EllipsoidalGaussianKernel\" class=\"vtkEllipsoidalGaussianKernel\">\n"
"      <Documentation>\n"
"        This is an interpolation kernel that returns the\n"
"        weights for all points found in the ellipsoid defined by radius R in\n"
"        combination with local data (normals and/or scalars).\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"UseNormals\"\n"
"        command=\"SetUseNormals\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether vector values should be used to affect the shape\n"
"          of the Gaussian distribution.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseScalars\"\n"
"        command=\"SetUseScalars\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether scalar values should be used to scale the weights.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Radius\"\n"
"        command=\"SetRadius\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.000001\" />\n"
"        <Documentation>\n"
"          Specify the radius of the kernel. Points within this radius will be\n"
"          used for interpolation. If no point is found, then the closest point\n"
"          will be used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Sharpness\"\n"
"        command=\"SetSharpness\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"1.0\" />\n"
"        <Documentation>\n"
"          Specify the sharpness (i.e., falloff) of the Gaussian. By default\n"
"          Sharpness=2. As the sharpness increases the effects of distant points\n"
"          are reduced.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Eccentricity\"\n"
"        command=\"SetEccentricity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.000001\" />\n"
"        <Documentation>\n"
"          Specify the eccentricity of the ellipsoidal Gaussian. A value=1.0\n"
"          produces a spherical distribution. Values less than 1 produce a needle like\n"
"          distribution (in the direction of the normal); values greater than 1 produce a\n"
"          pancake like distribution (orthogonal to the normal).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <Proxy name=\"GeneralizedKernelBase\">\n"
"      <IntVectorProperty name=\"KernelFootprint\"\n"
"        command=\"SetKernelFootprint\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Radius\" value=\"0\"/>\n"
"          <Entry text=\"N Closest\" value=\"1\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify the interpolation basis style. By default, a Radius style is\n"
"          used (i.e., the basis is defined from all points within a specified\n"
"          radius). However, it is also possible to select the N closest points\n"
"          (N Closest). Note that in most formulations the Radius style is assumed\n"
"          as it provides better mathematical properties. However, for convenience\n"
"          some bases are easier to use when the N closest points are taken.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Radius\"\n"
"        command=\"SetRadius\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.000001\" />\n"
"        <Documentation>\n"
"          If the interpolation basis style is Radius, then this method specifies\n"
"          the radius within which the basis points must lie.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"            mode=\"enabled_state\"\n"
"            property=\"KernelFootprint\"\n"
"            value=\"0\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfPoints\"\n"
"        command=\"SetNumberOfPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"8\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          If the interpolation basis style is N Closest, then this method specifies\n"
"          the number of the closest points used to form the interpolation basis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"            mode=\"enabled_state\"\n"
"            property=\"KernelFootprint\"\n"
"            value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <Proxy name=\"GaussianKernel\" class=\"vtkGaussianKernel\"\n"
"           base_proxygroup=\"point_interpolation_kernels\" base_proxyname=\"GeneralizedKernelBase\">\n"
"      <Documentation>\n"
"        This is an interpolation kernel that simply returns the\n"
"        weights for all points found in the sphere defined by radius R. The\n"
"        weights are computed as: `exp(-(s*r/R)^2)` where r is the distance from the\n"
"        point to be interpolated to a neighboring point within R. The sharpness s\n"
"        simply affects the rate of fall off of the Gaussian. (A more general\n"
"        Gaussian kernel is available from **EllipsoidalGaussianKernel**.)\n"
"      </Documentation>\n"
"\n"
"      <DoubleVectorProperty name=\"Sharpness\"\n"
"        command=\"SetSharpness\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"1.0\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Points/Resources/points.xml
static const char* const paraview_server_managerpointsInterface1 =
"        <Documentation>\n"
"          Specify the sharpness (i.e., falloff) of the Gaussian. By default\n"
"          Sharpness=2. As the sharpness increases the effects of distant points\n"
"          are reduced.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <Proxy name=\"LinearKernel\" class=\"vtkLinearKernel\"\n"
"           base_proxygroup=\"point_interpolation_kernels\" base_proxyname=\"GeneralizedKernelBase\">\n"
"      <Documentation>\n"
"        This is an interpolation kernel that averages the contributions\n"
"        of all points in the basis.\n"
"      </Documentation>\n"
"    </Proxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <Proxy name=\"ProbabilisticVoronoiKernel\" class=\"vtkProbabilisticVoronoiKernel\"\n"
"           base_proxygroup=\"point_interpolation_kernels\" base_proxyname=\"GeneralizedKernelBase\">\n"
"      <Documentation>\n"
"        This is an interpolation kernel that interpolates\n"
"        from the closest weighted point from a neighborhood of points. The weights\n"
"        refer to the probabilistic weighting.\n"
"      </Documentation>\n"
"    </Proxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <Proxy name=\"ShepardKernel\" class=\"vtkShepardKernel\"\n"
"           base_proxygroup=\"point_interpolation_kernels\" base_proxyname=\"GeneralizedKernelBase\">\n"
"      <Documentation>\n"
"        This is an interpolation kernel that uses the method of\n"
"        Shepard to perform interpolation. The weights are computed as 1/r^p, where\n"
"        r is the distance to a neighbor point within the kernel radius R; and p\n"
"        (the power parameter) is a positive exponent (typically p=2).\n"
"      </Documentation>\n"
"\n"
"      <DoubleVectorProperty name=\"PowerParameter\"\n"
"        command=\"SetPowerParameter\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.001\" max=\"100\" />\n"
"        <Documentation>\n"
"          Specify the power parameter p. By default p=2. Values (which must be\n"
"          a positive, real value) != 2 may affect performance significantly.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <Proxy name=\"SPHKernelBase\">\n"
"      <DoubleVectorProperty name=\"SpatialStep\"\n"
"        command=\"SetSpatialStep\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0001\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          Specify the initial particle spatial step.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Dimension\"\n"
"        command=\"SetDimension\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"3\" />\n"
"        <Documentation>\n"
"          The domain dimension, default to 3.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <Proxy name=\"SPHCubicKernel\" class=\"vtkSPHCubicKernel\"\n"
"           base_proxygroup=\"point_interpolation_kernels\" base_proxyname=\"SPHKernelBase\">\n"
"      <Documentation>\n"
"        This is an smooth particle hydrodynamics interpolation kernel as\n"
"        described by D.J. Price. This is a cubic formulation.\n"
"      </Documentation>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"SPHQuarticKernel\" class=\"vtkSPHQuarticKernel\"\n"
"           base_proxygroup=\"point_interpolation_kernels\" base_proxyname=\"SPHKernelBase\">\n"
"      <Documentation>\n"
"        This is an smooth particle hydrodynamics interpolation kernel as\n"
"        described by D.J. Price. This is a quartic formulation.\n"
"      </Documentation>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"SPHQuinticKernel\" class=\"vtkSPHQuinticKernel\"\n"
"           base_proxygroup=\"point_interpolation_kernels\" base_proxyname=\"SPHKernelBase\">\n"
"      <Documentation>\n"
"        This is an smooth particle hydrodynamics interpolation kernel as\n"
"        described by D.J. Price. This is a quintic formulation.\n"
"      </Documentation>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"SPHWendlandQuinticKernel\" class=\"vtkWendlandQuinticKernel\"\n"
"           base_proxygroup=\"point_interpolation_kernels\" base_proxyname=\"SPHKernelBase\">\n"
"      <Documentation>\n"
"        This is an smooth particle hydrodynamics interpolation kernel as\n"
"        described by D.J. Price. This is a quintic formulation.\n"
"      </Documentation>\n"
"    </Proxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <Proxy name=\"VoronoiKernel\" class=\"vtkVoronoiKernel\">\n"
"      <Documentation>\n"
"        This is an interpolation kernel that simply returns the\n"
"        closest point to a point to be interpolated. A single weight is returned\n"
"        with value=1.0.\n"
"      </Documentation>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"generic_point_interpolation_kernels\">\n"
"    <Proxy group=\"point_interpolation_kernels\" name=\"VoronoiKernel\" />\n"
"    <Proxy group=\"point_interpolation_kernels\" name=\"EllipsoidalGaussianKernel\" />\n"
"    <Proxy group=\"point_interpolation_kernels\" name=\"GaussianKernel\" />\n"
"    <Proxy group=\"point_interpolation_kernels\" name=\"LinearKernel\" />\n"
"    <Proxy group=\"point_interpolation_kernels\" name=\"ProbabilisticVoronoiKernel\" />\n"
"    <Proxy group=\"point_interpolation_kernels\" name=\"ShepardKernel\" />\n"
"    <Proxy group=\"point_interpolation_kernels\" name=\"VoronoiKernel\" />\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"sph_point_interpolation_kernels\">\n"
"    <Proxy group=\"point_interpolation_kernels\" name=\"SPHQuinticKernel\" />\n"
"    <Proxy group=\"point_interpolation_kernels\" name=\"SPHCubicKernel\" />\n"
"    <Proxy group=\"point_interpolation_kernels\" name=\"SPHQuarticKernel\" />\n"
"    <Proxy group=\"point_interpolation_kernels\" name=\"SPHWendlandQuinticKernel\" />\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"filters\">\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"ExtractEnclosedPoints\"\n"
"      class=\"vtkExtractEnclosedPoints\"\n"
"      label=\"Extract Enclosed Points\">\n"
"      <Documentation long_help=\"Extract points inside a closed polygonal surface\"\n"
"                     short_help=\"Extract points inside a closed points surface\">\n"
"        Evaluates all points in the input dataset to determine whether they are contained within\n"
"        an enclosing surface, defined by the **Surface**. The filter assumes that the surface\n"
"        is closed and manifold. To force a check to ensure these preconditions are met\n"
"        set the **CheckSurface** property.\n"
"      </Documentation>\n"
"\n"
"      <OutputPort index=\"0\" name=\"EnclosedPoints\" />\n"
"      <OutputPort index=\"1\" name=\"Outliers\" />\n"
"\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkPointSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to extract points from.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <InputProperty command=\"SetSurfaceConnection\" name=\"Surface\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the closed and manifold surface.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Tolerance\"\n"
"        command=\"SetTolerance\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0001\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" />\n"
"        <Documentation>\n"
"          Specify the tolerance on the intersection. The tolerance is expressed as\n"
"          a fraction of the diagonal of the bounding box of the enclosing surface.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CheckSurface\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        command=\"SetCheckSurface\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether to check the surface for closure. If on, then the\n"
"          algorithm first checks to see if the surface is closed and manifold.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GenerateOutliers\"\n"
"        command=\"SetGenerateOutliers\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          If checked, then a second output will be created\n"
"          that contains the outlier points.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GenerateVertices\"\n"
"        command=\"SetGenerateVertices\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <Documentation>\n"
"          If checked, then the outputs will contain a poly-vertex cell. This takes a\n"
"          lot more memory, however certain filters many requires cells to be present\n"
"          to function properly.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy name=\"SPHInterpolatorBase\" class=\"vtkSPHInterpolator\"\n"
"                 label=\"SPH Interpolator\"\n"
"                 multiprocess_support=\"single_process\">\n"
"      <Documentation>\n"
"        This filter uses SPH (smooth particle hydrodynamics) kernels to\n"
"        interpolate a data source onto an input structure. For example, while the\n"
"        data source is a set of particles, the data from these particles can be\n"
"        interpolated onto an input object such as a line, plane or volume. Then\n"
"        the output (which consists of the input structure plus interpolated data)\n"
"        can then be visualized using classical visualization techniques such as\n"
"        isocontouring, slicing, heat maps and so on.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     port_index=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPointSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\" name=\"point_scalars\" number_of_components=\"1\" />\n"
"        <InputArrayDomain attribute_type=\"point\" name=\"point_arrays\" />\n"
"        <Documentation>The data source to be interpolated onto the *Source*.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"DensityArray\"\n"
"        command=\"SetDensityArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Rho\">\n"
"        <Documentation>\n"
"          Specify the density array name.  This is required in computation. If not\n"
"          specified the code will error out.\n"
"        </Documentation>\n"
"        <ArrayListDomain attribute_type=\"Scalars\" name=\"array_list\" input_domain_name=\"point_scalars\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"MassArray\"\n"
"        command=\"SetMassArrayName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Specify the mass array name.  If not specified, then the mass at each point\n"
"          will be computed from the density and local (spherical) volume at a each\n"
"          point.\n"
"        </Documentation>\n"
"        <ArrayListDomain attribute_type=\"Scalars\" name=\"array_list\" none_string=\"None\"\n"
"          input_domain_name=\"point_scalars\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ExcludedArrays\"\n"
"        command=\"AddExcludedArray\"\n"
"        clean_command=\"ClearExcludedArrays\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        repeat_command=\"1\" >\n"
"        <Documentation>\n"
"           Specify arrays which are to be excluded from the interpolation process.\n"
"         </Documentation>\n"
"        <ArrayListDomain name=\"array_list\" input_domain_name=\"point_arrays\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <!-- This ensures that no array is selected by default -->\n"
"          <NoDefault />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"DerivativeArrays\"\n"
"        command=\"AddDerivativeArray\"\n"
"        clean_command=\"ClearDerivativeArrays\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        repeat_command=\"1\">\n"
"        <Documentation>\n"
"          Specify the arrays whose derivative is to be taken. If\n"
"          the name of the array is \"derivArray\" this will produce an output array\n"
"          with the name \"derivArray_deriv\" (after filter execution).\n"
"         </Documentation>\n"
"        <ArrayListDomain name=\"array_list\" input_domain_name=\"point_arrays\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <!-- This ensures that no array is selected by default -->\n"
"          <NoDefault />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Array Selections\">\n"
"        <Property name=\"DensityArray\" />\n"
"        <Property name=\"MassArray\" />\n"
"        <Property name=\"ExcludedArrays\" />\n"
"        <Property name=\"DerivativeArrays\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <ProxyProperty name=\"Kernel\" command=\"SetKernel\" >\n"
"        Specify an interpolation kernel. The interpolation kernel changes the basis of the\n"
"        interpolation.\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"sph_point_interpolation_kernels\" default=\"SPHQuinticKernel\" />\n"
"        </ProxyListDomain>\n"
"      </ProxyProperty>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Points/Resources/points.xml
static const char* const paraview_server_managerpointsInterface2 =
"\n"
"      <IntVectorProperty name=\"NullPointsStrategy\"\n"
"        command=\"SetNullPointsStrategy\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mask Points\" value=\"0\" />\n"
"          <Entry text=\"Null Value\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify a strategy to use when encountering a \"null\" point during the\n"
"          interpolation process. Null points occur when the local neighborhood (of\n"
"          nearby points to interpolate from) is empty. If the strategy is set to\n"
"          MaskPoints, then an output array is created that marks points as being\n"
"          valid (=1) or null (invalid =0) (and the NullValue is set as well). If\n"
"          the strategy is set to NullValue, then the output data value(s) are set\n"
"          to the NullPoint value (specified in the output point data).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ComputeShepardSum\"\n"
"        command=\"SetComputeShepardSum\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Indicate whether to compute the summation of Shepard coefficients. In the\n"
"          interior of a SPH point cloud, the Shephard summation value should be ~1.0.\n"
"          Towards the boundary, the Shepard summation is less than 1.0. If ComputeShepardSum\n"
"          is specified, then the output will contain an array of summed Shepard weights\n"
"          for each output point.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ShepardSumArrayName\"\n"
"        command=\"SetShepardSumArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Shepard Summation\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          If ComputeShepardSum is on, then an array is generated with name\n"
"          ShepardSumArrayName for each input point. This vtkFloatArray is placed\n"
"          into the output of the filter, and NullPoints have value =0.0. The\n"
"          default name is \"Shepard Summation\".\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"            mode=\"enabled_state\" property=\"ComputeShepardSum\" value=\"1\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ValidPointsMaskArrayName\"\n"
"        command=\"SetValidPointsMaskArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"vtkValidPointMask\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          If the NullPointsStrategy is \"Mask Points\", then an array is generated for\n"
"          each input point. This vtkCharArray is placed into the output of the filter,\n"
"          with a non-zero value for a valid point, and zero otherwise. The name of\n"
"          this masking array is specified here.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"            mode=\"enabled_state\" property=\"NullPointsStrategy\" value=\"0\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"NullValue\"\n"
"        command=\"SetNullValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Specify the null point value. When a null point is encountered then all\n"
"          components of each null tuple are set to this value. By default the\n"
"          null value is set to zero.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PassPointArrays\"\n"
"        command=\"SetPassPointArrays\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Indicate whether to shallow copy the input point data arrays to the output.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PassCellArrays\"\n"
"        command=\"SetPassCellArrays\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Indicate whether to shallow copy the input cell data arrays to the output.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PassFieldArrays\"\n"
"        command=\"SetPassFieldArrays\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Indicate whether to shallow copy the input field data arrays to the output.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"Locator\" command=\"SetLocator\" panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Specify a point locator.\n"
"        </Documentation>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"point_locators\" name=\"StaticPointLocator\" />\n"
"        </ProxyListDomain>\n"
"      </ProxyProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy name=\"SPHLineInterpolator\" class=\"vtkSPHInterpolator\"\n"
"                 label=\"SPH Line Interpolator\"\n"
"                 multiprocess_support=\"single_process\"\n"
"                 base_proxygroup=\"filters\"\n"
"                 base_proxyname=\"SPHInterpolatorBase\">\n"
"      <Documentation>\n"
"        This filter uses SPH (smooth particle hydrodynamics) kernels to\n"
"        interpolate a data source onto an input structure. For example, while the\n"
"        data source is a set of particles, the data from these particles can be\n"
"        interpolated onto an input line. Then\n"
"        the output (which consists of the input structure plus interpolated data)\n"
"        can then be visualized using classical visualization techniques such as\n"
"        isocontouring, slicing, heat maps and so on.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Source\" port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"extended_sources\" name=\"HighResLineSource\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>The data source that provides the structure to be interpolated on.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <View type=\"XYChartView\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy name=\"SPHPlaneInterpolator\" class=\"vtkSPHInterpolator\"\n"
"                 label=\"SPH Plane Interpolator\"\n"
"                 multiprocess_support=\"single_process\"\n"
"                 base_proxygroup=\"filters\"\n"
"                 base_proxyname=\"SPHInterpolatorBase\">\n"
"      <Documentation>\n"
"        This filter uses SPH (smooth particle hydrodynamics) kernels to\n"
"        interpolate a data source onto an input structure. For example, while the\n"
"        data source is a set of particles, the data from these particles can be\n"
"        interpolated onto an input plane. Then\n"
"        the output (which consists of the input structure plus interpolated data)\n"
"        can then be visualized using classical visualization techniques such as\n"
"        isocontouring, slicing, heat maps and so on.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Source\" port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"extended_sources\" name=\"BoundedPlaneSource\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>The data source that provides the structure to be interpolated on.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy name=\"SPHVolumeInterpolator\" class=\"vtkSPHInterpolator\"\n"
"                 label=\"SPH Volume Interpolator\"\n"
"                 multiprocess_support=\"single_process\"\n"
"                 base_proxygroup=\"filters\"\n"
"                 base_proxyname=\"SPHInterpolatorBase\">\n"
"      <Documentation>\n"
"        This filter uses SPH (smooth particle hydrodynamics) kernels to\n"
"        interpolate a data source onto an input structure. For example, while the\n"
"        data source is a set of particles, the data from these particles can be\n"
"        interpolated onto an input volume. Then\n"
"        the output (which consists of the input structure plus interpolated data)\n"
"        can then be visualized using classical visualization techniques such as\n"
"        isocontouring, slicing, heat maps and so on.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Source\" port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"extended_sources\" name=\"BoundedVolumeSource\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>The data source that provides the structure to be interpolated on.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy name=\"SPHDatasetInterpolator\" class=\"vtkSPHInterpolator\"\n"
"                 label=\"SPH Dataset Interpolator\"\n"
"                 multiprocess_support=\"single_process\"\n"
"                 base_proxygroup=\"filters\"\n"
"                 base_proxyname=\"SPHInterpolatorBase\">\n"
"      <Documentation>\n"
"        This filter uses SPH (smooth particle hydrodynamics) kernels to\n"
"        interpolate a data source onto an input structure. For example, while the\n"
"        data source is a set of particles, the data from these particles can be\n"
"        interpolated onto an input volume. Then\n"
"        the output (which consists of the input structure plus interpolated data)\n"
"        can then be visualized using classical visualization techniques such as\n"
"        isocontouring, slicing, heat maps and so on.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Source\" port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The data source that provides the structure to be interpolated on.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"CutoffArray\"\n"
"        command=\"SetCutoffArrayName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Specify the Cutoff array name.  If not specified, then the radius at each point\n"
"          will be computed as cutoff factor * smoothing length at a each point.\n"
"        </Documentation>\n"
"        <ArrayListDomain attribute_type=\"Scalars\" name=\"array_list\" none_string=\"None\"\n"
"          input_domain_name=\"point_scalars\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Source\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy name=\"PointInterpolatorBase\" class=\"vtkPointInterpolator\"\n"
"      label=\"Point Interpolator\"\n"
"      multiprocess_support=\"single_process\">\n"
"      <Documentation>\n"
"        This probes a point cloud `PC` on the *Input* with a\n"
"        set of points `P` (the filter *Source*), interpolating the data values from `PC`\n"
"        onto `P`. Note however that the descriptive phrase \"point cloud\" is a\n"
"        misnomer: PC can be represented by any dataset type, with the points of\n"
"        the dataset forming PC. Similarly, the output P can also be represented by\n"
"        any vtkDataSet type; and the topology/geometry structure of P is passed\n"
"        through to the output along with the newly interpolated arrays.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     port_index=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPointSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\" name=\"point_scalars\" number_of_components=\"1\" />\n"
"        <InputArrayDomain attribute_type=\"point\" name=\"point_arrays\" />\n"
"        <Documentation>The data source to be interpolated onto the *Source*.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <ProxyProperty name=\"Kernel\" command=\"SetKernel\">\n"
"        <Documentation>\n"
"           Specify an interpolation kernel. By default a vtkVoronoiKernel is used\n"
"           (i.e., closest point). The interpolation kernel changes the basis of the\n"
"           interpolation.\n"
"        </Documentation>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"generic_point_interpolation_kernels\" default=\"VoronoiKernel\" />\n"
"        </ProxyListDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <IntVectorProperty name=\"NullPointsStrategy\"\n"
"        command=\"SetNullPointsStrategy\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mask Points\" value=\"0\" />\n"
"          <Entry text=\"Null Value\" value=\"1\" />\n"
"          <Entry text=\"Closest Point\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify a strategy to use when encountering a \"null\" point during the\n"
"          interpolation process. Null points occur when the local neighborhood (of\n"
"          nearby points to interpolate from) is empty. If the strategy is set to\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/Points/Resources/points.xml
static const char* const paraview_server_managerpointsInterface3 =
"          MaskPoints, then an output array is created that marks points as being\n"
"          valid (=1) or null (invalid =0) (and the NullValue is set as well). If\n"
"          the strategy is set to NullValue, then the output data value(s) are set\n"
"          to the NullPoint value (specified in the output point data). Finally,\n"
"          the default strategy ClosestPoint is to simply use the closest point to\n"
"          perform the interpolation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ValidPointsMaskArrayName\"\n"
"        command=\"SetValidPointsMaskArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"vtkValidPointMask\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          If the NullPointsStrategy is \"Mask Points\", then an array is generated for\n"
"          each input point. This vtkCharArray is placed into the output of the filter,\n"
"          with a non-zero value for a valid point, and zero otherwise. The name of\n"
"          this masking array is specified here.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"            mode=\"enabled_state\" property=\"NullPointsStrategy\" value=\"0\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"NullValue\"\n"
"        command=\"SetNullValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Specify the null point value. When a null point is encountered then all\n"
"          components of each null tuple are set to this value. By default the\n"
"          null value is set to zero.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PassPointArrays\"\n"
"        command=\"SetPassPointArrays\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Indicate whether to shallow copy the input point data arrays to the output.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PassCellArrays\"\n"
"        command=\"SetPassCellArrays\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Indicate whether to shallow copy the input cell data arrays to the output.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PassFieldArrays\"\n"
"        command=\"SetPassFieldArrays\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Indicate whether to shallow copy the input field data arrays to the output.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"Locator\" command=\"SetLocator\" panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Specify a point locator.\n"
"        </Documentation>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"point_locators\" name=\"StaticPointLocator\" />\n"
"        </ProxyListDomain>\n"
"      </ProxyProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy name=\"PointLineInterpolator\" class=\"vtkPointInterpolator\"\n"
"                 label=\"Point Line Interpolator\"\n"
"                 multiprocess_support=\"single_process\"\n"
"                 base_proxygroup=\"filters\"\n"
"                 base_proxyname=\"PointInterpolatorBase\">\n"
"      <Documentation>\n"
"        This probes a point cloud `PC` on the *Input* with a\n"
"        set of points `P` (the filter *Source*), interpolating the data values from `PC`\n"
"        onto `P`. Note however that the descriptive phrase \"point cloud\" is a\n"
"        misnomer: PC can be represented by any dataset type, with the points of\n"
"        the dataset forming PC. Similarly, the output P can also be represented by\n"
"        any vtkDataSet type; and the topology/geometry structure of P is passed\n"
"        through to the output along with the newly interpolated arrays.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Source\" port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"extended_sources\" name=\"HighResLineSource\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>The data source that provides the structure to be interpolated on.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <View type=\"XYChartView\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy name=\"PointPlaneInterpolator\" class=\"vtkPointInterpolator\"\n"
"                 label=\"Point Plane Interpolator\"\n"
"                 multiprocess_support=\"single_process\"\n"
"                 base_proxygroup=\"filters\"\n"
"                 base_proxyname=\"PointInterpolatorBase\">\n"
"      <Documentation>\n"
"        This probes a point cloud `PC` on the *Input* with a\n"
"        set of points `P` (the filter *Source*), interpolating the data values from `PC`\n"
"        onto `P`. Note however that the descriptive phrase \"point cloud\" is a\n"
"        misnomer: PC can be represented by any dataset type, with the points of\n"
"        the dataset forming PC. Similarly, the output P can also be represented by\n"
"        any vtkDataSet type; and the topology/geometry structure of P is passed\n"
"        through to the output along with the newly interpolated arrays.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Source\" port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"extended_sources\" name=\"BoundedPlaneSource\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>The data source that provides the structure to be interpolated on.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy name=\"PointVolumeInterpolator\" class=\"vtkPointInterpolator\"\n"
"                 label=\"Point Volume Interpolator\"\n"
"                 multiprocess_support=\"single_process\"\n"
"                 base_proxygroup=\"filters\"\n"
"                 base_proxyname=\"PointInterpolatorBase\">\n"
"      <Documentation>\n"
"        This probes a point cloud `PC` on the *Input* with a\n"
"        set of points `P` (the filter *Source*), interpolating the data values from `PC`\n"
"        onto `P`. Note however that the descriptive phrase \"point cloud\" is a\n"
"        misnomer: PC can be represented by any dataset type, with the points of\n"
"        the dataset forming PC. Similarly, the output P can also be represented by\n"
"        any vtkDataSet type; and the topology/geometry structure of P is passed\n"
"        through to the output along with the newly interpolated arrays.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Source\" port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"extended_sources\" name=\"BoundedVolumeSource\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>The data source that provides the structure to be interpolated on.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy name=\"PointDatasetInterpolator\" class=\"vtkPointInterpolator\"\n"
"                 label=\"Point Dataset Interpolator\"\n"
"                 multiprocess_support=\"single_process\"\n"
"                 base_proxygroup=\"filters\"\n"
"                 base_proxyname=\"PointInterpolatorBase\">\n"
"      <Documentation>\n"
"        This probes a point cloud `PC` on the *Input* with a\n"
"        set of points `P` (the filter *Source*), interpolating the data values from `PC`\n"
"        onto `P`. Note however that the descriptive phrase \"point cloud\" is a\n"
"        misnomer: PC can be represented by any dataset type, with the points of\n"
"        the dataset forming PC. Similarly, the output P can also be represented by\n"
"        any vtkDataSet type; and the topology/geometry structure of P is passed\n"
"        through to the output along with the newly interpolated arrays.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Source\" port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The data source that provides the structure to be interpolated on.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerpointsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerpointsInterface0);
  const size_t len1 = strlen(paraview_server_managerpointsInterface1);
  const size_t len2 = strlen(paraview_server_managerpointsInterface2);
  const size_t len3 = strlen(paraview_server_managerpointsInterface3);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerpointsInterface0, paraview_server_managerpointsInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerpointsInterface1, paraview_server_managerpointsInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerpointsInterface2, paraview_server_managerpointsInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerpointsInterface3, paraview_server_managerpointsInterface3 + len3, res + offset); offset += len3;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOCore/Resources/filters_pv_iocore.xml
static const char* const paraview_server_managerfilters_pv_iocoreInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAdditionalFieldReader\"\n"
"                 label=\"Add Field Arrays\"\n"
"                 name=\"AddFieldArrays\">\n"
"      <Documentation long_help=\"Reads arrays from a file and adds them to the input data object.\"\n"
"                     short_help=\"Adds arrays to a data object.\">\n"
"                     Takes in an input data object and a filename. Opens the file\n"
"                     and adds any arrays it sees there to the input data.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"                <Documentation>The input.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          This property specifies the file to read to get arrays\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Property command=\"Modified\"\n"
"                label=\"Reload\"\n"
"                name=\"Reload\"\n"
"                panel_widget=\"command_button\"\n"
"                panel_visibility=\"default\">\n"
"        <Documentation> A convenient way to reload the data file </Documentation>\n"
"      </Property>\n"
"      <!-- End of AdditionalFieldReader -->\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_pv_iocoreGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_pv_iocoreInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_pv_iocoreInterface0, paraview_server_managerfilters_pv_iocoreInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOCore/Resources/readers_pv_iocore.xml
static const char* const paraview_server_managerreaders_pv_iocoreInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkPVDReader\"\n"
"                 label=\"PVD Reader\"\n"
"                 name=\"PVDReader\">\n"
"      <Documentation long_help=\"Load a dataset stored in ParaView's PVD file format.\"\n"
"                     short_help=\"Read a PVD file.\">The PVD reader reads data\n"
"                     stored in ParaView's PVD file format. The .pvd file is\n"
"                     essentially a header file that collects together other\n"
"                     data files stored in VTK's XML-based file\n"
"                     format.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the PVD\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!--  Array Selection GUI Component -->\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"PointArrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ColumnArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Column\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetColumnArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ColumnArrayInfo\"\n"
"                            label=\"Column Arrays\"\n"
"                            name=\"ColumnArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ColumnArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which columns to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <PropertyGroup label=\"Point/Cell/Column Array Status\"\n"
"                     name=\"ArrayStatus\"\n"
"                     panel_visibility=\"default\"\n"
"                     panel_widget=\"ArrayStatus\">\n"
"        <Property name=\"CellArrayInfo\" />\n"
"        <Property name=\"CellArrayStatus\" />\n"
"        <Property name=\"PointArrayInfo\" />\n"
"        <Property name=\"PointArrayStatus\" />\n"
"        <Property name=\"ColumnArrayInfo\" />\n"
"        <Property name=\"ColumnArrayStatus\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pvd\"\n"
"                       file_description=\"ParaView Data Files\" />\n"
"      </Hints>\n"
"      <!-- End PVDReader -->\n"
"    </SourceProxy>\n"
"\n"
"\n"
"    <!-- ================================================================== -->\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_pv_iocoreGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_pv_iocoreInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_pv_iocoreInterface0, paraview_server_managerreaders_pv_iocoreInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOCore/Resources/writers_pv_iocore.xml
static const char* const paraview_server_managerwriters_pv_iocoreInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"writers\">\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"ParallelWriterBase\"\n"
"                  class=\"vtkXMLPVDWriter\"\n"
"                  name=\"XMLPVDWriter\">\n"
"      <Documentation short_help=\"Write ParaView data files (pvd).\">\n"
"        Writer to write ParaView data files (pvd). It is used to save all pieces\n"
"        of a source/filter to a file with pieces spread across the server processes.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"          <DataType value=\"vtkTable\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is written to the files.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetHeaderType\"\n"
"                         default_values=\"64\"\n"
"                         name=\"HeaderType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"UInt32\" value=\"32\"/>\n"
"          <Entry text=\"UInt64\" value=\"64\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Set the binary data header word type. The default is UInt32. Set to UInt64\n"
"          when storing arrays requiring 64-bit indexing.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDataMode\"\n"
"                         default_values=\"2\"\n"
"                         name=\"DataMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Ascii\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Binary\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"Appended\"\n"
"                 value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          The mode uses for writing the file's data i.e. ascii, binary, appended binary.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetEncodeAppendedData\"\n"
"                         default_values=\"0\"\n"
"                         name=\"EncodeAppendedData\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When EncodeAppendedData is turned ON, the writer uses base64 encoding\n"
"          when writing binary data (only if appended mode is selected).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCompressorType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CompressorType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\"\n"
"                 value=\"0\"\n"
"                 info=\"fastest write\"/>\n"
"          <Entry text=\"LZ4\"\n"
"                 value=\"2\"\n"
"                 info=\"fastest compressed write\"/>\n"
"          <Entry text=\"ZLib\"\n"
"                 value=\"1\"\n"
"                 info=\"balanced performance\"/>\n"
"          <Entry text=\"LZMA\"\n"
"                 value=\"3\"\n"
"                 info=\"smallest filesize\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          The compression algorithm used to compress binary data\n"
"          (appended mode only). None offers fastest write, LZ4 offers the fastest\n"
"          compressed write, ZLib offers balanced performance, LZMA offers\n"
"          smallest compressed filesize.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCompressionLevel\"\n"
"                         default_values=\"6\"\n"
"                         name=\"CompressionLevel\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"1\"\n"
"                 value=\"1\"\n"
"                 info=\"fastest write\"/>\n"
"          <Entry text=\"2\"\n"
"                 value=\"2\"/>\n"
"          <Entry text=\"3\"\n"
"                 value=\"3\"/>\n"
"          <Entry text=\"4\"\n"
"                 value=\"4\"/>\n"
"          <Entry text=\"5\"\n"
"                 value=\"5\"\n"
"                 info=\"balanced performance\"/>\n"
"          <Entry text=\"6\"\n"
"                 value=\"6\"/>\n"
"          <Entry text=\"7\"\n"
"                 value=\"7\"/>\n"
"          <Entry text=\"8\"\n"
"                 value=\"8\"/>\n"
"          <Entry text=\"9\"\n"
"                 value=\"9\"\n"
"                 info=\"smallest filesize\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          A compression performance parameter from 1 (faster/larger\n"
"          compressed filesize) to 9 (slower/smaller compressed filesize).\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"CompressorType\"\n"
"                                   value=\"0\"\n"
"                                   inverse=\"1\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetWriteAllTimeSteps\"\n"
"                         default_values=\"0\"\n"
"                         name=\"WriteTimeSteps\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When WriteTimeSteps is turned ON, the writer is\n"
"          executed once for each timestep available from its input.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\"\n"
"                  show=\"0\"/>\n"
"        <Property name=\"FileName\"\n"
"                  show=\"0\"/>\n"
"        <Property name=\"HeaderType\"\n"
"                  show=\"0\"/>\n"
"        <Property name=\"UseSubdirectory\"\n"
"                  show=\"1\"/>\n"
"        <Property name=\"WriteAllTimeSteps\"\n"
"                  show=\"1\"/>\n"
"        <WriterFactory extensions=\"pvd\"\n"
"                       file_description=\"ParaView Data Files\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLPVDWriter -->\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy class=\"vtkCSVWriter\"\n"
"                  file_name_method=\"SetFileName\"\n"
"                  name=\"CSVWriter\">\n"
"      <Documentation short_help=\"Writer to write CSV files\">\n"
"        Writer to write comma or tab delimited files from any dataset. Set FieldAssociation to\n"
"        choose whether cell data/point data needs to be saved. If the file extension is tsv it\n"
"        uses the tab character for the delimiter. Otherwise, it uses a comma.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkCompositeDataSet\"/>\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"          <DataType value=\"vtkTable\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to be written to the file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetWriteAllTimeSteps\"\n"
"                         default_values=\"0\"\n"
"                         name=\"WriteTimeSteps\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When WriteTimeSteps is turned ON, the writer is\n"
"          executed once for each timestep available from its input.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetWriteAllTimeStepsSeparately\"\n"
"                         default_values=\"0\"\n"
"                         name=\"WriteTimeStepsSeparately\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          When WriteTimeSteps is turned ON, the writer is\n"
"          executed once for each timestep available from its input,\n"
"          and the timesteps can be written to separate files, otherwise,\n"
"          the timesteps are written in one file.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\"/>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetFileNameSuffix\"\n"
"                            default_values=\"_%d\"\n"
"                            label=\"File name suffix\"\n"
"                            name=\"FileNameSuffix\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          The suffix to append to the file name when writing files at different timesteps.\n"
"          (File extensions such as .csv should be excluded.)\n"
"          The % format specifiers are used. For example, _%d will write files as FileName_0,\n"
"          FileName_1, FileName_2, etc., and _%.3d will write files as FileName_000,\n"
"          FileName_001, FileName_002 etc.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"WriteTimeSteps\" function=\"boolean\"/>\n"
"              </PropertyWidgetDecorator>\n"
"              <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"                <Property name=\"WriteTimeStepsSeparately\" function=\"boolean\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PassArrays\" proxygroup=\"internal_writers\" proxyname=\"PassArrays\"/>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ChooseArraysToWrite\"/>\n"
"          <PropertyGroup label=\"Array Selection\" panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"PointDataArrays\"/>\n"
"            <Property name=\"CellDataArrays\"/>\n"
"            <Property name=\"FieldDataArrays\"/>\n"
"            <Property name=\"VertexDataArrays\"/>\n"
"            <Property name=\"EdgeDataArrays\"/>\n"
"            <Property name=\"RowDataArrays\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ChooseArraysToWrite\"\n"
"                                       value=\"1\"/>\n"
"              <!-- show this widget when ChooseArraysToWrite==1 -->\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <LinkProperties>\n"
"          <Property name=\"Input\" with_property=\"Input\"/>\n"
"        </LinkProperties>\n"
"      </SubProxy>\n"
"\n"
"      <IntVectorProperty command=\"SetPrecision\"\n"
"                         default_values=\"5\"\n"
"                         name=\"Precision\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\"/>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetFieldDelimiter\"\n"
"                            name=\"FieldDelimiter\"\n"
"                            default_values=\",\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Documentation>\n"
"          Used to set the delimiter character. This is hidden from the user\n"
"          and set automatically based on the file extension. An extension of .tsv will set\n"
"          the delimiter character to a tab. Otherwise a comma will be used as the delimiter.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseScientificNotation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseScientificNotation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFieldAssociation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FieldAssociation\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Select the attribute data to pass.\n"
"        </Documentation>\n"
"        <FieldDataDomain name=\"enum\" enable_field_data=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAddMetaData\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AddMetaData\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          It is possible for this filter to add additional meta-data to the field\n"
"          data such as point coordinates (when point attributes are selected and\n"
"          input is point-set) or structured coordinates etc. To enable this addition\n"
"          of extra information, turn this flag on.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAddTimeStep\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AddTimeStep\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          When set, the writer will add a \"TimeStep\" column to the generated\n"
"          file indicating the current dataset time step, if any.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAddTime\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AddTime\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          When set, the writer will add a \"Time\" column to the generated\n"
"          file indicating the current dataset time, if any.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <PropertyGroup label=\"CSV Writer Parameters\">\n"
"        <Property name=\"Precision\"/>\n"
"        <Property name=\"FieldDelimiter\"/>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOCore/Resources/writers_pv_iocore.xml
static const char* const paraview_server_managerwriters_pv_iocoreInterface1 =
"        <Property name=\"UseScientificNotation\"/>\n"
"        <Property name=\"FieldAssociation\"/>\n"
"        <Property name=\"AddMetaData\"/>\n"
"        <Property name=\"AddTimeStep\"/>\n"
"        <Property name=\"AddTime\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"csv txt tsv\"\n"
"                       file_description=\"Comma or Tab Delimited Files\"/>\n"
"        <InitializationHelper class=\"vtkSMCSVProxiesInitializationHelper\"/>\n"
"      </Hints>\n"
"      <!-- End of CSVWriter -->\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy class=\"vtkCSVWriter\"\n"
"                  file_name_method=\"SetFileName\"\n"
"                  name=\"DataSetCSVWriter\"\n"
"                  base_proxygroup=\"writers\"\n"
"                  base_proxyname=\"CSVWriter\">\n"
"      <!-- keeping this around for old state files / traces that may be directly\n"
"           using the DataSetCSVWriter -->\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- end of \"writers\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"extract_writers\">\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <DataExtractWriterProxy name=\"CSV\">\n"
"      <Documentation>\n"
"        Extract writer to write tabular data using the CSV file format (csv).\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"dataset_{timestep:06d}.csv\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"CSVWriter\"/>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\"/>\n"
"          <Property name=\"FieldAssociation\"/>\n"
"          <Property name=\"Precision\" panel_visibility=\"advanced\"/>\n"
"          <Property name=\"UseScientificNotation\" panel_visibility=\"advanced\"/>\n"
"          <Property name=\"AddMetaData\" panel_visibility=\"advanced\"/>\n"
"          <Property name=\"AddTimeStep\" panel_visibility=\"advanced\"/>\n"
"          <Property name=\"AddTime\" panel_visibility=\"advanced\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\"/>\n"
"      </Hints>\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- end of \"extract_writers\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerwriters_pv_iocoreGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerwriters_pv_iocoreInterface0);
  const size_t len1 = strlen(paraview_server_managerwriters_pv_iocoreInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerwriters_pv_iocoreInterface0, paraview_server_managerwriters_pv_iocoreInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerwriters_pv_iocoreInterface1, paraview_server_managerwriters_pv_iocoreInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOSPCTH/Resources/readers_pv_iospcth.xml
static const char* const paraview_server_managerreaders_pv_iospcthInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <!-- ================================================================== -->\n"
"    <!-- end of \"internal_sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkSpyPlotReader\"\n"
"                 label=\"Spy Plot Reader\"\n"
"                 name=\"spcthreader\">\n"
"      <Documentation long_help=\"Reads files in the SPCTH Spy Plot file format.\"\n"
"                     short_help=\"Read files in the Spy Plot format.\">The Spy\n"
"                     Plot reader loads an ASCII meta-file called the \"case\"\n"
"                     file (extension .spcth). The case file lists all the\n"
"                     binary files containing the dataset. This reader produces\n"
"                     hierarchical datasets. This is a distributed reader.\n"
"      </Documentation>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"Volume Data\" />\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"Tracers\" />\n"
"      <OutputPort index=\"2\"\n"
"                  name=\"Markers\" />\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            panel_visibility=\"default\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the Spy Plot\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetDownConvertVolumeFraction\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DownConvertVolumeFraction\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 0, the type of the volume\n"
"        fraction is float; is set to 1, the type is unsigned\n"
"        char.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeDerivedVariables\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeDerivedVariables\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the reader will convert\n"
"        derived variables like material density for the materials that the user\n"
"        has selected. For Density the user needs to have selected Material Mass\n"
"        and Material Volume Fraction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDistributeFiles\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DistributeFiles\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>In parallel mode, if this property is set to 1, the\n"
"        reader will distribute files or blocks.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateLevelArray\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GenerateLevelArray\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, a cell array will be\n"
"        generated that stores the level of each block.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateActiveBlockArray\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GenerateActiveBlockArray\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, a cell array will be\n"
"        generated that stores the active status of a block.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateTracerArray\"\n"
"                         default_values=\"1\"\n"
"                         name=\"GenerateTracers\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, a cell array will be\n"
"        generated that stores the coordinates of any tracers.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateMarkers\"\n"
"                         default_values=\"1\"\n"
"                         name=\"GenerateMarkers\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, a second output will be\n"
"        created using the markers data stored in the file.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateBlockIdArray\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GenerateBlockIdArray\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, a cell array will be\n"
"        generated that stores a unique blockId for each block.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMergeXYZComponents\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MergeXYZComponents\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, cell arrays named (for\n"
"        example) X velocity, Y velocity and Z velocity will be combined into a\n"
"        single vector array named velocity.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"spct*\"\n"
"                       file_description=\"SpyPlot CTH dataset\"\n"
"                       filename_patterns=\"spct*\" />\n"
"      </Hints>\n"
"      <!-- End spcthreader-->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkSpyPlotFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Restarted Sim Spy Plot Reader\"\n"
"                 name=\"SPCTHRestartReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads collections of SPCTH files from simulations that were restarted.\"\n"
"                     short_help=\"Read SPCTH files from simulation restarts.\">\n"
"                     When a CTH simulation is restarted, typically you get a\n"
"                     new set of output files. When you read them in your\n"
"                     visualization, you often want to string these file sets\n"
"                     together as if it was one continuous dump of files. This\n"
"                     reader allows you to specify a metadata file that will\n"
"                     implicitly string the files together. This is a\n"
"                     distributed reader.\n"
"      </Documentation>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"Volume Data\" />\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"Tracers\" />\n"
"      <OutputPort index=\"2\"\n"
"                  name=\"Markers\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"sources\"\n"
"               proxyname=\"spcthreader\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"DownConvertVolumeFraction\" />\n"
"          <Property name=\"DistributeFiles\" />\n"
"          <Property name=\"GenerateLevelArray\" />\n"
"          <Property name=\"GenerateActiveBlockArray\" />\n"
"          <Property name=\"GenerateBlockIdArray\" />\n"
"          <Property name=\"GenerateTracers\" />\n"
"          <Property name=\"GenerateMarkers\" />\n"
"          <Property name=\"CellArrayInfo\" />\n"
"          <Property name=\"CellArrayStatus\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetMetaFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This points to a special metadata file that lists the\n"
"        output files for each restart.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseMetaFile\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseMetaFile\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This hidden property must always be set to 1 for this\n"
"        proxy to work.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"spcth-timeseries\"\n"
"                       file_description=\"Case file for restarted CTH outputs\" />\n"
"      </Hints>\n"
"      <!-- SPCTHRestartReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkSpyPlotHistoryReader\"\n"
"                 label=\"spcth history reader\"\n"
"                 name=\"spcthhistoryreader\">\n"
"      <Documentation long_help=\"Reads an spcth history file where each row translates into a single time step\n"
"        and the columns are points, materials and properties.\"\n"
"                     short_help=\"Read a comma-separated spctch history file.\">\n"
"                     </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VRML\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCommentCharacter\"\n"
"                            default_values=\"%\"\n"
"                            name=\"CommentCharacter\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>This property lists the characters that is used as the\n"
"        first character on comment lines</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetDelimeter\"\n"
"                            default_values=\",\"\n"
"                            name=\"Delimeter\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Character that is used as the delimiter.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"hscth\"\n"
"                       file_description=\"Spy Plot History Files\"\n"
"                       filename_patterns=\"*hsct*\" />\n"
"      </Hints>\n"
"      <!-- End of SPCTHHistoryReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- end of \"sources\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_pv_iospcthGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_pv_iospcthInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_pv_iospcthInterface0, paraview_server_managerreaders_pv_iospcthInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOImage/Resources/readers_pv_ioimage.xml
static const char* const paraview_server_managerreaders_pv_ioimageInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <!-- ================================================================== -->\n"
"    <Proxy label=\"Image Reader Core\" name=\"ImageReaderCore\" class=\"vtkImageReader\">\n"
"      <Documentation long_help=\"Reads raw regular rectilinear grid data from a file. The dimensions and type of the data must be specified.\"\n"
"                     short_help=\"Read raw regular rectilinear grid data from a file.\">\n"
"                     The Image reader reads raw, regular, rectilinear grid\n"
"                     (image/volume) data from a file. Because no metadata is\n"
"                     provided, the user must specify information about the\n"
"                     size, spacing, dimensionality, etc. about the\n"
"                     dataset.</Documentation>\n"
"      <IntVectorProperty command=\"SetDataScalarType\"\n"
"                         default_values=\"4\"\n"
"                         name=\"DataScalarType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"char\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"unsigned char\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"short\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"unsigned short\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"int\"\n"
"                 value=\"6\" />\n"
"          <Entry text=\"unsigned int\"\n"
"                 value=\"7\" />\n"
"          <Entry text=\"long\"\n"
"                 value=\"8\" />\n"
"          <Entry text=\"unsigned long\"\n"
"                 value=\"9\" />\n"
"          <Entry text=\"float\"\n"
"                 value=\"10\" />\n"
"          <Entry text=\"double\"\n"
"                 value=\"11\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The value of this property indicates the scalar type of\n"
"        the pixels/voxels in the file(s): short, int, float ...</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDataByteOrder\"\n"
"                         default_values=\"0\"\n"
"                         name=\"DataByteOrder\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"BigEndian\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"LittleEndian\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property indicates the byte order of the binary\n"
"        file(s).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDataOrigin\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"DataOrigin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The coordinate contained in this property specifies the\n"
"        position of the point with index (0,0,0).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDataSpacing\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"DataSpacing\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the size of a voxel in each\n"
"        dimension.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfScalarComponents\"\n"
"                         default_values=\"1\"\n"
"                         name=\"NumberOfScalarComponents\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the number of components the\n"
"        scalar value at each pixel or voxel has (e.g., RGB - 3 scalar\n"
"        components).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetScalarArrayName\"\n"
"                            default_values=\"ImageFile\"\n"
"                            name=\"ScalarArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>This property contains a text string listing a name to\n"
"        assign to the point-centered data array read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetFileLowerLeft\"\n"
"                         default_values=\"1\"\n"
"                         name=\"FileLowerLeft\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property determines whether the data originates in\n"
"        the lower left corner (on) or the upper left corner (off). Most\n"
"        scientific data is written with a right-handed axes that originates in\n"
"        the lower left corner. However, several 2D image file formats write the\n"
"        image from the upper left corner.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ImageReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ============================================================= -->\n"
"    <Proxy class=\"vtkPNGReader\"\n"
"                 label=\"PNG Reader\"\n"
"                 name=\"PNGReader\">\n"
"      <Documentation long_help=\"Reads a PNG file into an image data.\"\n"
"                     short_help=\"Read a PNG file.\">The PNG reader reads PNG\n"
"                     (Portable Network Graphics) files, and the output is a\n"
"                     uniform rectilinear (image/volume) dataset. The default\n"
"                     file extension is .png.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the PNG\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty name=\"DataSpacing\"\n"
"                            command=\"SetDataSpacing\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" />\n"
"        <Documentation>\n"
"          Set the spacing to use for the image output by this reader.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End PNGReader -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ============================================================= -->\n"
"    <Proxy class=\"vtkJPEGReader\"\n"
"                 label=\"JPEG Reader\"\n"
"                 name=\"JPEGReader\">\n"
"      <Documentation long_help=\"Reads a JPEG file into an image data.\"\n"
"                     short_help=\"Read a JPEG file.\">The JPEG reader reads JPEG\n"
"                     files, and the output is a uniform rectilinear\n"
"                     (image/volume) dataset. The default file extension is .jpg\n"
"                     or .jpeg.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the JPEG\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty name=\"DataSpacing\"\n"
"                            command=\"SetDataSpacing\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" />\n"
"        <Documentation>\n"
"          Set the spacing to use for the image output by this reader.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End JPEGReader -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkMRCReader\" label=\"MRC Reader\" name=\"MRCReader\">\n"
"      <Documentation long_help=\"Reads a MRC file into an image data.\"\n"
"                     short_help=\"Read a MRC file.\">The MRC reader reads MRC\n"
"                     (Medical Research Council) image files, and the output is a\n"
"                     uniform rectilinear (image/volume) dataset. The default\n"
"                     file extension is .mrc but .st, .rec and .ali extensions\n"
"                     are known to be commonly used as well.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the file to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End MRCReader -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkTIFFReader\" label=\"TIFF Reader\" name=\"TIFFReader\">\n"
"      <Documentation long_help=\"Reads a TIFF file into an image data.\"\n"
"                     short_help=\"Read a TIFF file.\">The TIFF reader reads TIFF\n"
"                     (Tagged Image File Format) files, and the output is a\n"
"                     uniform rectilinear (image/volume) dataset. The default\n"
"                     file extension is .tiff.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the TIFF\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty name=\"UseCustomDataSpacing\"\n"
"                         command=\"SetSpacingSpecifiedFlag\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          To manually specify a custom spacing using **CustomDataSpacing**, set this property to 1 (checked).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"CustomDataSpacing\"\n"
"                            command=\"SetDataSpacing\"\n"
"                            information_property=\"CustomDataSpacingInfo\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" />\n"
"        <Documentation>\n"
"          Set the spacing to use for the image output by this reader. This is used only when\n"
"          **UseCustomDataSpacing** is set to true.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseCustomDataSpacing\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"CustomDataSpacingInfo\"\n"
"                            command=\"GetDataSpacing\"\n"
"                            information_only=\"1\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <!-- End TIFFReader -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkMetaImageReader\"\n"
"                 label=\"Meta Image reader\"\n"
"                 name=\"MetaImageReaderCore\">\n"
"      <Documentation long_help=\"Reads binary UNC meta image data.\"\n"
"                     short_help=\"Read UNC meta image data.\">The Meta Image\n"
"                     Reader reads binary UNC meta image data, and produces\n"
"                     uniform rectilinear (image/volume) data. The default file\n"
"                     extensions are .mhd and .mha.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the Meta Image\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End Meta Image Reader -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ============================================================= -->\n"
"    <Proxy class=\"vtkHDRReader\"\n"
"                 label=\"HDR Reader\"\n"
"                 name=\"HDRReader\">\n"
"      <Documentation long_help=\"Reads a HDR file into an image data.\"\n"
"                     short_help=\"Read a HDR file.\">The HDR reader reads HDR\n"
"                     (High Dynamic Range) files, and the output is a\n"
"                     uniform rectilinear (image/volume) dataset. The default\n"
"                     file extension is .hdr.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the HDR\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty name=\"DataSpacing\"\n"
"                            command=\"SetDataSpacing\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" />\n"
"        <Documentation>\n"
"          Set the spacing to use for the image output by this reader.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End HDRReader -->\n"
"    </Proxy>\n"
"\n"
"    <!-- end of \"internal_sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkRawImageFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Image Reader\"\n"
"                 name=\"ImageReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a series of raw files into an time sequence of image datas.\"\n"
"                     short_help=\"Read a series of raw files.\">The raw series\n"
"                     reader reads raw files. The output is a time sequence of\n"
"                     uniform rectilinear (image/volume) dataset. The default\n"
"                     file extension is .raw.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOImage/Resources/readers_pv_ioimage.xml
static const char* const paraview_server_managerreaders_pv_ioimageInterface1 =
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. If more than\n"
"        one file is specified, the reader will switch to file series mode in\n"
"        which it will pretend that it can support time and provide one file per\n"
"        time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ReadAsImageStack\"\n"
"                         command=\"SetReadAsImageStack\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, the reader will read the set of files as an image stack, rather than\n"
"          a temporal file series.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"ImageReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DataScalarType\" />\n"
"          <Property name=\"DataByteOrder\" />\n"
"          <Property name=\"DataOrigin\" />\n"
"          <Property name=\"DataSpacing\" />\n"
"          <Property name=\"NumberOfScalarComponents\" />\n"
"          <Property name=\"FileLowerLeft\" />\n"
"          <Property name=\"ScalarArrayName\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <IntVectorProperty command=\"SetFileDimensionality\"\n"
"                         default_values=\"3\"\n"
"                         name=\"FileDimensionality\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"2\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"3\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property indicates whether the file(s) in this\n"
"        dataset contain slices (2D) or volumes (3D).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDataExtent\"\n"
"                         default_values=\"0 0 0 0 0 0\"\n"
"                         name=\"DataExtent\"\n"
"                         number_of_elements=\"6\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the minimum and maximum index\n"
"        values of the data in each dimension (xmin, xmax, ymin, ymax, zmin,\n"
"        zmax).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"raw\"\n"
"                       file_description=\"Raw (binary) Files\" />\n"
"      </Hints>\n"
"      <!-- End RAWSeriesReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkOMETIFFReader\"\n"
"                 label=\"OME TIFF Reader\"\n"
"                 name=\"OMETIFFReader\">\n"
"      <Documentation long_help=\"Reads an OME-TIFF file.\"\n"
"        short_help=\"Reads an OME-TIFF file.\">\n"
"        Supports reading OME-TIFF files.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the OME-TIFF reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty name=\"UseCustomDataSpacing\"\n"
"                         command=\"SetSpacingSpecifiedFlag\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          To manually specify a custom spacing using **CustomDataSpacing**, set this property to 1 (checked).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"CustomDataSpacing\"\n"
"                            command=\"SetDataSpacing\"\n"
"                            information_property=\"CustomDataSpacingInfo\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" />\n"
"        <Documentation>\n"
"          Set the spacing to use for the image output by this reader. This is used only when\n"
"          **UseCustomDataSpacing** is set to 1.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseCustomDataSpacing\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty name=\"CustomDataSpacingInfo\"\n"
"                            command=\"GetDataSpacing\"\n"
"                            information_only=\"1\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"IgnoreColorMap\"\n"
"                         command=\"SetIgnoreColorMap\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, data values in the TIFF file will not be mapped to colors using the\n"
"          color map specified in the TIFF, if any. This is useful for files where the\n"
"          color map may be incorrectly specified.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"ome.tif ome.tiff\"\n"
"                       file_description=\"OME TIFF Files\" />\n"
"      </Hints>\n"
"      <!-- End OMETIFFReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkImageFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"PNG Series Reader\"\n"
"                 name=\"PNGSeriesReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a PNG file into an image data.\"\n"
"                     short_help=\"Read a PNG file.\">The PNG reader reads PNG\n"
"                     (Portable Network Graphics) files, and the output is a\n"
"                     uniform rectilinear (image/volume) dataset. The default\n"
"                     file extension is .png.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. If more than\n"
"        one file is specified, the reader will switch to file series mode in\n"
"        which it will pretend that it can support time and provide one file per\n"
"        time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ReadAsImageStack\"\n"
"                         command=\"SetReadAsImageStack\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, the reader will read the set of files as an image stack, rather than\n"
"          a temporal file series.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"PNGReader\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DataSpacing\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"png\"\n"
"                       file_description=\"PNG Image Files\" />\n"
"      </Hints>\n"
"      <!-- End PNGSeriesReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkImageFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"JPEG Series Reader\"\n"
"                 name=\"JPEGSeriesReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a series of JPEG files into an time sequence of image datas.\"\n"
"                     short_help=\"Read a series of JPEG files.\">The JPEG series\n"
"                     reader reads JPEG files. The output is a time sequence of\n"
"                     uniform rectilinear (image/volume) dataset. The default\n"
"                     file extension is .jpg or .jpeg.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. If more than\n"
"        one file is specified, the reader will switch to file series mode in\n"
"        which it will pretend that it can support time and provide one file per\n"
"        time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ReadAsImageStack\"\n"
"                         command=\"SetReadAsImageStack\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, the reader will read the set of files as an image stack, rather than\n"
"          a temporal file series.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"JPEGReader\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DataSpacing\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"jpg jpeg\"\n"
"                       file_description=\"JPEG Image Files\" />\n"
"      </Hints>\n"
"      <!-- End JPEGSeriesReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkImageFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"MRC Series Reader\"\n"
"                 name=\"MRCSeriesReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a series of MRC files into an time sequence of image datas.\"\n"
"                     short_help=\"Read a series of MRC files.\">The MRC series\n"
"                     reader reads MRC files. The output is a time sequence of\n"
"                     uniform rectilinear (image/volume) dataset. The default\n"
"                     file extension is .mrc but .ali, .st and .rec are also\n"
"                     recognized.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. If more than\n"
"        one file is specified, the reader will switch to file series mode in\n"
"        which it will pretend that it can support time and provide one file per\n"
"        time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"MRCReader\"></Proxy>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"mrc ali st rec\"\n"
"                       file_description=\"MRC Image Files\" />\n"
"      </Hints>\n"
"      <!-- End MRCSeriesReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkImageFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"TIFF Series Reader\"\n"
"                 name=\"TIFFSeriesReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a series of TIFF files into an time sequence of image datas.\"\n"
"                     short_help=\"Read a series of TIFF files.\">The TIFF series\n"
"                     reader reads TIFF files. The output is a time sequence of\n"
"                     uniform rectilinear (image/volume) dataset. The default\n"
"                     file extension is .tif or .tiff.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOImage/Resources/readers_pv_ioimage.xml
static const char* const paraview_server_managerreaders_pv_ioimageInterface2 =
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. If more than\n"
"        one file is specified, the reader will switch to file series mode in\n"
"        which it will pretend that it can support time and provide one file per\n"
"        time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"ReadAsImageStack\"\n"
"                         command=\"SetReadAsImageStack\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, the reader will read the set of files as an image stack, rather than\n"
"          a temporal file series.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"TIFFReader\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"UseCustomDataSpacing\" />\n"
"          <Property name=\"CustomDataSpacing\" />\n"
"          <Property name=\"CustomDataSpacingInfo\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"tif tiff\"\n"
"                       file_description=\"TIFF Image Files\" />\n"
"      </Hints>\n"
"      <!-- End TIFFSeriesReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ============================================================= -->\n"
"    <SourceProxy class=\"vtkTIFFReader\"\n"
"                 label=\"TIFF Reader\"\n"
"                 name=\"TIFFReader\">\n"
"      <Documentation long_help=\"Reads a TIFF file into an image data.\"\n"
"                     short_help=\"Read a TIFF file.\">The TIFF reader reads TIFF\n"
"                     (Tagged Image File Format) files, and the output is a\n"
"                     uniform rectilinear (image/volume) dataset. The default\n"
"                     file extension is .tiff.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the TIFF\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- this deliberately doesn't have ReaderFactory hints\n"
"           TIFFSeriesReader can actually read whatever this reader reads. This is here\n"
"           only for backward compatibility.  -->\n"
"      <!-- End TIFFReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ============================================================= -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Meta File Series Reader\"\n"
"                 name=\"MetaImageReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a series of meta images.\"\n"
"                     short_help=\"Read a series of meta images.\">Read a series\n"
"                     of meta images. The file extension is .mhd</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"MetaImageReaderCore\"></Proxy>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the meta format. The standard extension is .mhd. If\n"
"        more than one file is specified, the reader will switch to file series\n"
"        mode in which it will pretend that it can support time and provide one\n"
"        file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"mhd mha\"\n"
"                       file_description=\"Meta Image Files\" />\n"
"      </Hints>\n"
"      <!-- end of MetaFileSeriesReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ============================================================= -->\n"
"    <SourceProxy class=\"vtkDEMReader\"\n"
"                 label=\"DEM Reader\"\n"
"                 name=\"DEMReader\">\n"
"      <Documentation long_help=\"Reads a DEM (Digital Elevation Model) file.\"\n"
"                     short_help=\"Read a dataset in DEM format\">The DEM reader\n"
"                     reads Digital Elevation Model files containing elevation\n"
"                     values derived from the U. S. Geologic Survey. The default\n"
"                     file extension is .dem. This reader produces uniform\n"
"                     rectilinear (image/volume) data output.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the DEM\n"
"        (Digital Elevation Map) reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"dem\"\n"
"                       file_description=\"Digital Elevation Map Files\" />\n"
"      </Hints>\n"
"      <!-- End DEMReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ============================================================= -->\n"
"    <SourceProxy class=\"vtkNrrdReader\"\n"
"                 label=\"Nrrd Reader\"\n"
"                 name=\"NrrdReader\">\n"
"      <Documentation long_help=\"Reads raw image files with Nrrd meta data.\"\n"
"                     short_help=\"Read raw image files with Nrrd meta data.\">The\n"
"                     Nrrd reader reads raw image data much like the Raw Image\n"
"                     Reader except that it will also read metadata information\n"
"                     in the Nrrd format. This means that the reader will\n"
"                     automatically set information like file dimensions. There\n"
"                     are several limitations on what type of nrrd files we can\n"
"                     read. This reader only supports nrrd files in raw format.\n"
"                     Other encodings like ascii and hex will result in errors.\n"
"                     When reading in detached headers, this only supports\n"
"                     reading one file that is detached.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the file to read (or the meta data file that\n"
"        will point to the actual file).</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetDataVOI\"\n"
"                         default_values=\"0 0 0 0 0 0\"\n"
"                         label=\"Data VOI\"\n"
"                         name=\"DataVOI\"\n"
"                         number_of_elements=\"6\">\n"
"        <Documentation>The data volume of interest (VOI). The VOI is a\n"
"        sub-extent of the data that you want loaded. Setting a VOI is useful\n"
"        when reading from a large data set and you are only interested in a\n"
"        small portion of the data. If left containing all 0's, then the reader\n"
"        will load in the entire data set.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"nrrd nhdr\"\n"
"                       file_description=\"Nrrd Raw Image Files\" />\n"
"      </Hints>\n"
"      <!-- NrrdReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ============================================================= -->\n"
"    <SourceProxy label=\"DICOM Reader (Single File)\"\n"
"                 name=\"DICOMReaderSingle\"\n"
"                 class=\"vtkDICOMImageReader\">\n"
"      <Documentation long_help=\"Reads DICOM regular rectilinear grid data from a lone file.\"\n"
"                     short_help=\"Reads DICOM file\">\n"
"        DICOM is a file format often used in medical imaging. This version\n"
"        of the reader reads a single file (as opposed to a collection of\n"
"        files). The DICOM reader currently only supports uncompressed\n"
"        files.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          DICOM file to load. This version of the reader only supports\n"
"          loading one file at a time.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"dcm\"\n"
"                       file_description=\"DICOM Files (single)\" />\n"
"      </Hints>\n"
"      <!-- End DICOMReaderSingle -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ============================================================= -->\n"
"    <SourceProxy label=\"DICOM Reader (directory)\"\n"
"                 name=\"DICOMReader\"\n"
"                 class=\"vtkDICOMImageReader\">\n"
"      <Documentation long_help=\"Reads DICOM regular rectilinear grid data from a directory containing a file.\"\n"
"                     short_help=\"Reads DICOM files.\">\n"
"        DICOM is a file format often used in medical imaging. This version\n"
"        of the reader will look at all files in the same directory of the\n"
"        selected file and load them as planes of the same data set. It is\n"
"        typically for 3D medical scanners to store planes as set of files\n"
"        in a directory.\n"
"      </Documentation>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"dcm\"\n"
"                       file_description=\"DICOM Files (directory)\" />\n"
"      </Hints>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetDirectoryName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          A file in the directory of files to be loaded. The DICOM reader\n"
"          will actually load all valid DICOM files in the same directory as\n"
"          this file as part of the same dataset. This is typical of how\n"
"          DICOM files are often stored.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <UseDirectoryName />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <!-- End DICOMReaderDirectory -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ============================================================= -->\n"
"    <SourceProxy name=\"SEPReader\" class=\"vtkSEPReader\" label=\"SEP Reader\">\n"
"      <Documentation\n"
"        short_help=\"Stanford Exploration Project files reader.\"\n"
"        long_help=\"This reader takes a .H file that points to a .H@ file and contains all the information to interpret the raw data in the .H@ file.\">\n"
"      </Documentation>\n"
"       <Hints>\n"
"          <ReaderFactory extensions=\"H\" file_description=\"SEP file (Plugin)\"/>\n"
"       </Hints>\n"
"\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the SEP\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetOutputGridDimension\"\n"
"                         name=\"OutputGridDimension\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"3\"\n"
"                         panel_visibility=\"default\" >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"2D\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"3D\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property specifies the dimension of the output data set.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"GetAllDimensions\"\n"
"                            information_only=\"1\"\n"
"                            name=\"DimensionInfo\">\n"
"        <StringArrayHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetXDimension\"\n"
"                            name=\"XDimension\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"CDP\"\n"
"                            panel_visibility=\"default\">\n"
"        <StringListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"DimensionInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetYDimension\"\n"
"                            name=\"YDimension\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"LINE\"\n"
"                            panel_visibility=\"default\">\n"
"        <StringListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"DimensionInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetZDimension\"\n"
"                            name=\"ZDimension\"\n"
"                            default_values=\"DEPTH\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOImage/Resources/readers_pv_ioimage.xml
static const char* const paraview_server_managerreaders_pv_ioimageInterface3 =
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <StringListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"DimensionInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"OutputGridDimension\"\n"
"                                   value=\"3\">\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FixedDimensionRange\"\n"
"                         command=\"GetFixedDimRange\"\n"
"                         number_of_elements=\"2\"\n"
"                         default_values=\"0 0\"\n"
"                         information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFixedDimension1\"\n"
"                            name=\"FixedDimension1\"\n"
"                            label=\"Fixed Dimension 1\"\n"
"                            default_values=\"OFFSET\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <StringListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"DimensionInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetFixedDimensionValue1\"\n"
"                         name=\"FixedDimensionValue1\"\n"
"                         label=\"Fixed Dimension 1 Value\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain name=\"range\"\n"
"                        default_mode=\"min\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"FixedDimensionRange\"\n"
"                      function=\"Range\"/>\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFixedDimension2\"\n"
"                            name=\"FixedDimension2\"\n"
"                            label=\"Fixed Dimension 2\"\n"
"                            default_values=\"DEPTH\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <StringListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"DimensionInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"OutputGridDimension\"\n"
"                                   value=\"2\">\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetFixedDimensionValue2\"\n"
"                         name=\"FixedDimensionValue2\"\n"
"                         label=\"Fixed Dimension 2 Value\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain name=\"range\"\n"
"                        default_mode=\"min\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"FixedDimensionRange\"\n"
"                      function=\"Range\"/>\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"OutputGridDimension\"\n"
"                                   value=\"2\">\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"GetAllRanges\"\n"
"                            information_only=\"1\"\n"
"                            panel_visibility=\"default\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            name=\"RangesInformation\"\n"
"                            si_class=\"vtkSIDataArrayProperty\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetExtentSplitMode\"\n"
"                         name=\"ExtentSplitMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"3\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"XSlab\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"YSlab\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"ZSlab\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Block\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property specifies the extent mode.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup panel_widget=\"Line\"\n"
"                     label=\"Dimensions setup\">\n"
"        <Property name=\"XDimension\" />\n"
"        <Property name=\"YDimension\" />\n"
"        <Property name=\"ZDimension\" />\n"
"        <Property name=\"FixedDimension1\" />\n"
"        <Property name=\"FixedDimensionValue1\" />\n"
"        <Property name=\"FixedDimension2\" />\n"
"        <Property name=\"FixedDimensionValue2\" />\n"
"      </PropertyGroup>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ============================================================= -->\n"
"    <SourceProxy name=\"HDRReader\" class=\"vtkHDRReader\" label=\"HDR Reader\">\n"
"      <Documentation\n"
"        short_help=\"Reads a file in Radiance HDR format.\"\n"
"        long_help=\"Reads a file in Radiance High Dynamic Range format.\">\n"
"         An HDR image is a high-bit–depth image (normally 32 bits per channel)\n"
"         that contains color and brightness information across a very wide dynamic range.\n"
"      </Documentation>\n"
"       <Hints>\n"
"          <ReaderFactory extensions=\"hdr\" file_description=\"Radiance HDR file\"/>\n"
"       </Hints>\n"
"       <StringVectorProperty name=\"FileName\" command=\"SetFileName\" animateable=\"0\" number_of_elements=\"1\">\n"
"           <FileListDomain name=\"files\"/>\n"
"       </StringVectorProperty>\n"
"       <!-- End HDRReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ============================================================= -->\n"
"\n"
"    <!-- end of \"readers\" -->\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_pv_ioimageGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_pv_ioimageInterface0);
  const size_t len1 = strlen(paraview_server_managerreaders_pv_ioimageInterface1);
  const size_t len2 = strlen(paraview_server_managerreaders_pv_ioimageInterface2);
  const size_t len3 = strlen(paraview_server_managerreaders_pv_ioimageInterface3);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_pv_ioimageInterface0, paraview_server_managerreaders_pv_ioimageInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerreaders_pv_ioimageInterface1, paraview_server_managerreaders_pv_ioimageInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerreaders_pv_ioimageInterface2, paraview_server_managerreaders_pv_ioimageInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerreaders_pv_ioimageInterface3, paraview_server_managerreaders_pv_ioimageInterface3 + len3, res + offset); offset += len3;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOImage/Resources/writers_pv_ioimage.xml
static const char* const paraview_server_managerwriters_pv_ioimageInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"writers\">\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy class=\"vtkMetaImageWriter\"\n"
"                 name=\"MetaImageWriter\">\n"
"      <Documentation short_help=\"Write a binary UNC meta image data.\">Writer to\n"
"      write a binary UNC meta image data. This is a fairly simple yet powerful\n"
"      format consisting of a text header and a binary data section. MetaImage\n"
"      headers are expected to have extension: \".mha\" or \".mhd\"</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"mhd\"\n"
"                       file_description=\"Meta Image Files\" />\n"
"      </Hints>\n"
"      <!-- End of MetaImageWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy class=\"vtkPNGWriter\"\n"
"                 name=\"PNGWriter\">\n"
"      <Documentation short_help=\"Write image data as a PNG file.\">Writer to\n"
"      write image data as a PNG file. It supports 1 to 4 component data of\n"
"      unsigned char or unsigned short.\n"
"      This Writer can also generate a stack of images when the FileName is in\n"
"      the form of /path/file_%03d.png and that the input data is a 3D image\n"
"      data.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFilePattern\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"png\"\n"
"                       file_description=\"PNG Image Files\" />\n"
"      </Hints>\n"
"      <!-- End of PNGWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy class=\"vtkTIFFWriter\"\n"
"                 name=\"TIFFWriter\">\n"
"      <Documentation short_help=\"Write image data as a TIFF file.\">Writer to\n"
"      write image data as a TIFF file.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to be\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFilePattern\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Scalars\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\"\n"
"                            panel_visibility=\"default\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property contains the name of the scalar array to\n"
"        be saved.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"tiff\"\n"
"                       file_description=\"TIFF Image Files\" />\n"
"      </Hints>\n"
"      <!-- End of TIFFWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy class=\"vtkJPEGWriter\"\n"
"                 name=\"JPEGWriter\">\n"
"      <Documentation short_help=\"Write image data as a JPEG file.\">\n"
"      Writer to write image data as a JPEG file. It supports 1 to 3 component\n"
"      data of unsigned char or unsigned short.\n"
"      This Writer can also generate a stack of images when the FileName is in\n"
"      the form of /path/file_%03d.jpg and that the input data is a 3D image\n"
"      data.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFilePattern\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"jpg\"\n"
"                       file_description=\"JPEG Image Files\" />\n"
"      </Hints>\n"
"      <!-- End of JPEGWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy class=\"vtkJSONImageWriter\"\n"
"                 name=\"JSONImageWriter\">\n"
"      <Documentation short_help=\"Write image data as a JSON file.\"/>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetArrayName\"\n"
"                            name=\"ArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the field to export. If Empty all fields will be saved.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetSlice\"\n"
"                            name=\"Slice\"\n"
"                            default_values=\"-1\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Write only one slice if slice >= 0</Documentation>\n"
"        <IntRangeDomain min=\"-1\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"json\"\n"
"                       file_description=\"json Image Files\" />\n"
"      </Hints>\n"
"      <!-- End of vtkJSONImageWriter -->\n"
"    </WriterProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerwriters_pv_ioimageGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerwriters_pv_ioimageInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerwriters_pv_ioimageInterface0, paraview_server_managerwriters_pv_ioimageInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOExodus/Resources/readers_ioexodus.xml
static const char* const paraview_server_managerreaders_ioexodusInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkPExodusIIReader\"\n"
"                 name=\"ExodusIIReaderCore\">\n"
"      <Documentation long_help=\"Reads an Exodus II file to produce an unstructured grid.\"\n"
"                     short_help=\"Read Exodus II files.\">The Exodus reader loads\n"
"                     Exodus II files and produces an unstructured grid output.\n"
"                     The default file extensions are .g, .e, .ex2, .ex2v2,\n"
"                     .exo, .gen, .exoII, .exii, .frq, .0, .00, .000, and\n"
"                     .0000. This is a distributed reader.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the Exodus\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetHasModeShapes\"\n"
"                         default_values=\"0\"\n"
"                         name=\"HasModeShapes\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Some simulations overload the Exodus time steps to\n"
"        represent mode shapes. In this case, it does not make sense to iterate\n"
"        over the \"time steps\", because they are not meant to be played in\n"
"        order. Rather, each represents the vibration at a different \"mode.\"\n"
"        Setting the value of this property to 1 changes the semantics of the\n"
"        reader to not report the time steps to downstream\n"
"        filters.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetAnimateModeShapes\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Animate Vibrations\"\n"
"                         name=\"AnimateVibrations\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this flag is on and HasModeShapes is also on, then\n"
"        this reader will report a continuous time range [0,1] and animate the\n"
"        displacements in a periodic sinusoid. If this flag is off and\n"
"        HasModeShapes is on, this reader ignores time. This flag has no effect\n"
"        if HasModeShapes is off.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- The following two properties magically send time information -->\n"
"      <!-- to the animation panel. Usually you only need one (the former -->\n"
"      <!-- for discrete time, the latter for continuous time), but changing -->\n"
"      <!-- the HasModeShapes ivar switches between discrete and continuous -->\n"
"      <!-- time. -->\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"GetModeShapesRange\"\n"
"                         information_only=\"1\"\n"
"                         name=\"ModeShapesRangeInfo\"></IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetModeShape\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ModeShape\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" default_mode=\"min\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Range\"\n"
"                      name=\"ModeShapesRangeInfo\" />\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>Specify which mode shape to animate when HasModeShapes\n"
"        is on.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIgnoreFileTime\"\n"
"                         animateable=\"0\"\n"
"                         default_values=\"0\"\n"
"                         name=\"IgnoreFileTime\"\n"
"                         label=\"Ignore File Time\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If on, the reader will ignore the time value reported at\n"
"        each time step, using the index of the time step as the time value. This\n"
"        is useful for Exodus files where different time steps are overloaded to\n"
"        represent different aspects of a data set rather than the data set at\n"
"        different time values.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"EdgeBlocksInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"EdgeBlock\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetEdgeBlockArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"EdgeBlocksInfo\"\n"
"                            name=\"EdgeBlocks\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"EdgeBlocksInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Use this property to select which blocks of edges should\n"
"        be loaded. All edges in the same block will have the same interpolant\n"
"        (linear, quadratic, etc.) and have the same variables defined over\n"
"        them.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"FaceBlocksInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"FaceBlock\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetFaceBlockArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"FaceBlocksInfo\"\n"
"                            name=\"FaceBlocks\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"FaceBlocksInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Use this property to select which blocks of faces should\n"
"        be loaded. All faces in the same block will have the same interpolant\n"
"        (triangular, bilinear quadrilateral, etc.) and have the same variables\n"
"        defined over them.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ElementBlocksInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"ElementBlock\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetElementBlockArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ElementBlocksInfo\"\n"
"                            name=\"ElementBlocks\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ElementBlocksInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Use this property to select which blocks of elements\n"
"        (cells) should be loaded. All elements (cells) in the same block will\n"
"        have the same interpolant (tetrahedral, triangular, trilinear\n"
"        hexahedral, etc.) and have the same variables defined over\n"
"        them.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"GlobalVariablesInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"GlobalResult\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetGlobalResultArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"GlobalVariablesInfo\"\n"
"                            name=\"GlobalVariables\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"GlobalVariablesInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Use this property to select which global (i.e.,\n"
"        per-mesh) variables should be loaded. Global variables are stored as\n"
"        arrays in the field data of the reader's output.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointVariablesInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"PointResult\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointResultArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointVariablesInfo\"\n"
"                            name=\"PointVariables\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointVariablesInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Use this property to select which nodal (i.e.,\n"
"        per-point) variables should be loaded.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"EdgeVariablesInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"EdgeResult\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetEdgeResultArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"EdgeVariablesInfo\"\n"
"                            name=\"EdgeVariables\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"EdgeVariablesInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Use this property to select which variables defined over\n"
"        edges should be loaded. Edges are oriented boundaries of one or more\n"
"        higher-dimensional cells also present in the mesh. Edge variables\n"
"        specify a single value per entry in some edge block.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"FaceVariablesInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"FaceResult\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetFaceResultArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"FaceVariablesInfo\"\n"
"                            name=\"FaceVariables\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"FaceVariablesInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Use this property to select which variables defined over\n"
"        faces should be loaded. Faces are oriented boundaries of one or more\n"
"        higher-dimensional cells also present in the mesh. Face variables\n"
"        specify a single value per entry in some face block.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ElementVariablesInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"ElementResult\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetElementResultArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ElementVariablesInfo\"\n"
"                            name=\"ElementVariables\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ElementVariablesInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Use this property to select which variables defined over\n"
"        elements (cells) should be loaded. Element variables specify a single\n"
"        value per entry in some element block.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"NodeMapInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"NodeMap\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetNodeMapArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"NodeMapInfo\"\n"
"                            name=\"NodeMapArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"NodeMapInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Specify which maps defined over nodes (points) in the\n"
"        mesh should be loaded. A node map is a renumbering of all the points in\n"
"        a file from their offset in the file to some arbitrary integers,\n"
"        usually specifying a unique global ID across a set of files. These are\n"
"        sometimes called new-style maps because they are specified differently\n"
"        than in older Exodus files, which only allowed a single node\n"
"        map.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"EdgeMapInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"EdgeMap\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOExodus/Resources/readers_ioexodus.xml
static const char* const paraview_server_managerreaders_ioexodusInterface1 =
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetEdgeMapArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"EdgeMapInfo\"\n"
"                            name=\"EdgeMapArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"EdgeMapInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Specify which maps defined over edges in the mesh should\n"
"        be loaded. An edge map is a renumbering of all the edges (across all\n"
"        the edge blocks of a file) from their offset in the file to some\n"
"        arbitrary integers, usually specifying a unique global ID across a set\n"
"        of files.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"FaceMapInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"FaceMap\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetFaceMapArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"FaceMapInfo\"\n"
"                            name=\"FaceMapArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"FaceMapInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Specify which maps defined over faces in the mesh should\n"
"        be loaded. A face map is a renumbering of all the faces (across all the\n"
"        face blocks of a file) from their offset in the file to some arbitrary\n"
"        integers, usually specifying a unique global ID across a set of\n"
"        files.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ElementMapInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"ElementMap\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetElementMapArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ElementMapInfo\"\n"
"                            name=\"ElementMapArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ElementMapInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Specify which maps defined over elements (cells) in the\n"
"        mesh should be loaded. An element map is a renumbering of all the\n"
"        elements (across all the element blocks of a file) from their offset in\n"
"        the file to some arbitrary integers, usually specifying a unique global\n"
"        ID across a set of files. These are sometimes called new-style maps\n"
"        because they are specified differently than in older Exodus files,\n"
"        which only allowed a single element map.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"NodeSetInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"NodeSet\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetNodeSetArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"NodeSetInfo\"\n"
"                            name=\"NodeSetArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"NodeSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>An Exodus II file may define subsets of all the nodes\n"
"        (points) in a file as sets in their own right. Variables, such as\n"
"        boundary conditions, may then be defined over these sets by specifying\n"
"        a single number per node. This property specifies which of those sets\n"
"        should be loaded. The accompanying NodeSetResultArrayStatus property\n"
"        specifies which variables defined over those sets should be\n"
"        loaded.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"SideSetInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"SideSet\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetSideSetArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"SideSetInfo\"\n"
"                            name=\"SideSetArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"SideSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>An Exodus II file may define subsets of all the\n"
"        <i>boundaries</i>of all the elements in a file as sets in their own\n"
"        right. This property specifies which of those sets should be loaded.\n"
"        Variables, such as boundary conditions, may then be defined over these\n"
"        sets by specifying a single number per side. For example, a hexahedron\n"
"        has 18 sides: 6 faces and 12 edges. Any of these sides may be\n"
"        individually called out in a set and assigned a result value. The\n"
"        accompanying SideSetResultArrayStatus property specifies which\n"
"        variables defined over those sets should be loaded.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"FaceSetInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"FaceSet\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetFaceSetArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"FaceSetInfo\"\n"
"                            name=\"FaceSetArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"FaceSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>An Exodus II file may define subsets of all the faces\n"
"        (across all face blocks) in a file as sets in their own right. This\n"
"        property specifies which of those sets should be loaded. Variables,\n"
"        such as boundary conditions, may then be defined over these sets by\n"
"        specifying a single number per face. The accompanying\n"
"        FaceSetResultArrayStatus property specifies which variables defined\n"
"        over those sets should be loaded.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"EdgeSetInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"EdgeSet\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetEdgeSetArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"EdgeSetInfo\"\n"
"                            name=\"EdgeSetArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"EdgeSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>An Exodus II file may define subsets of all the edges\n"
"        (across all edge blocks) in a file as sets in their own right. This\n"
"        property specifies which of those sets should be loaded. Variables,\n"
"        such as boundary conditions, may then be defined over these sets by\n"
"        specifying a single number per edge. The accompanying\n"
"        EdgeSetResultArrayStatus property specifies which variables defined\n"
"        over those sets should be loaded.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ElementSetInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"ElementSet\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetElementSetArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ElementSetInfo\"\n"
"                            name=\"ElementSetArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ElementSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>An Exodus II file may define subsets of all the elements\n"
"        (across all element blocks) in a file as sets in their own right. This\n"
"        property specifies which of those sets should be loaded. Variables,\n"
"        such as feature classifiers, may then be defined over these sets by\n"
"        specifying a single number per element. The accompanying\n"
"        ElementSetResultArrayStatus property specifies which variables defined\n"
"        over those sets should be loaded.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ElementSetResultArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"ElementSetResult\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetElementSetResultArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ElementSetResultArrayInfo\"\n"
"                            name=\"ElementSetResultArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ElementSetResultArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>An Exodus II file may define subsets of all the elements\n"
"        (across all element blocks) in a file as sets in their own right.\n"
"        Variables, such as feature classifiers, may then be defined over these\n"
"        sets by specifying a single number per element. This property specifies\n"
"        which of those variables should be loaded. The corresponding set must\n"
"        also be loaded using the ElementSetArrayStatus property in order for\n"
"        the variable to appear.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"SideSetResultArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"SideSetResult\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetSideSetResultArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"SideSetResultArrayInfo\"\n"
"                            name=\"SideSetResultArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"SideSetResultArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>An Exodus II file may define subsets of all the\n"
"        <i>boundaries</i>of all the elements in a file as sets in their own\n"
"        right. Variables, such as boundary conditions, may then be defined over\n"
"        these sets by specifying a single number per side. For example, a\n"
"        hexahedron has 18 sides: 6 faces and 12 edges. Any of these sides may\n"
"        be individually called out in a set and assigned a result value. This\n"
"        property specifies which of those variables should be loaded. The\n"
"        corresponding set must also be loaded using the SideSetArrayStatus\n"
"        property in order for the variable to appear.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"FaceSetResultArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"FaceSetResult\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetFaceSetResultArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"FaceSetResultArrayInfo\"\n"
"                            name=\"FaceSetResultArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"FaceSetResultArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>An Exodus II file may define subsets of all the faces\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOExodus/Resources/readers_ioexodus.xml
static const char* const paraview_server_managerreaders_ioexodusInterface2 =
"        (across all face blocks) in a file as sets in their own right.\n"
"        Variables, such as boundary conditions, may then be defined over these\n"
"        sets by specifying a single number per face. This property specifies\n"
"        which of those variables should be loaded. The corresponding set must\n"
"        also be loaded using the FaceSetArrayStatus property in order for the\n"
"        variable to appear.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"EdgeSetResultArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"EdgeSetResult\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetEdgeSetResultArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"EdgeSetResultArrayInfo\"\n"
"                            name=\"EdgeSetResultArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"EdgeSetResultArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>An Exodus II file may define subsets of all the edges\n"
"        (across all edge blocks) in a file as sets in their own right.\n"
"        Variables, such as boundary conditions, may then be defined over these\n"
"        sets by specifying a single number per edge. This property specifies\n"
"        which of those variables should be loaded. The corresponding set must\n"
"        also be loaded using the EdgeSetArrayStatus property in order for the\n"
"        variable to appear.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"NodeSetResultArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"NodeSetResult\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetNodeSetResultArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"NodeSetResultArrayInfo\"\n"
"                            name=\"NodeSetResultArrayStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"NodeSetResultArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>An Exodus II file may define subsets of all the nodes\n"
"        (points) in a file as sets in their own right. Variables, such as\n"
"        boundary conditions, may then be defined over these sets by specifying\n"
"        a single number per node. This property specifies which of those\n"
"        variables should be loaded. The corresponding set must also be loaded\n"
"        using the NodeSetArrayStatus property in order for the variable to\n"
"        appear.</Documentation>\n"
"        <Hints>\n"
"          <OmitFromLoadAllVariables />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetApplyDisplacements\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ApplyDisplacements\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Geometric locations can include displacements. When this\n"
"        option is on, the nodal positions are 'displaced' by the standard\n"
"        exodus displacement vector. If displacements are turned 'off', the user\n"
"        can explicitly add them by applying a warp filter.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDisplacementMagnitude\"\n"
"                            default_values=\"1\"\n"
"                            name=\"DisplacementMagnitude\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>When displacements are being applied, they are scaled by\n"
"        this amount. Set to 1 for no scaling.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateObjectIdCellArray\"\n"
"                         default_values=\"1\"\n"
"                         name=\"GenerateObjectIdCellArray\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Specifies whether a variable named \"ObjectId\" should be\n"
"        created for each entry of each block and set being loaded and assigned\n"
"        the identifying number of the block or set, so that given a cell one\n"
"        can readily identify the block or set it came from. This is useful for\n"
"        coloring a mesh by block ID or set ID.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateGlobalNodeIdArray\"\n"
"                         default_values=\"1\"\n"
"                         name=\"GenerateGlobalNodeIdArray\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Should the reader retrieve the first new-style node map,\n"
"        or if that is not present, the solitary old-style node map (which\n"
"        always exists but may be procedurally generated if it is not stored\n"
"        with the file)?</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateGlobalElementIdArray\"\n"
"                         default_values=\"1\"\n"
"                         name=\"GenerateGlobalElementIdArray\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Should the reader retrieve the first new-style element\n"
"        map, or if that is not present, the solitary old-style element map\n"
"        (which always exists but may be procedurally generated if it is not\n"
"        stored with the file)?</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateImplicitNodeIdArray\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GenerateImplicitNodeIdArray\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Should the reader retrieve the solitary old-style node\n"
"        map (which always exists but may be procedurally generated if it is not\n"
"        stored with the file)?</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateImplicitElementIdArray\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GenerateImplicitElementIdArray\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Should the reader retrieve the solitary old-style\n"
"        element map (which always exists but may be procedurally generated if\n"
"        it is not stored with the file)?</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateFileIdArray\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GenerateFileIdArray\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Should each cell in the mesh be assigned an integer\n"
"        identifying the file it came from? If turned on, a cell variable named\n"
"        \"FileId\" should be present.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFilePrefix\"\n"
"                            name=\"FilePrefix\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"default_value\" optional=\"1\"/>\n"
"        <Documentation>This property specifies the file root used with the file\n"
"        pattern to format a file name. (See the File Pattern\n"
"        property).</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFilePattern\"\n"
"                            name=\"FilePattern\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"default_value\" optional=\"1\"/>\n"
"        <Documentation>This property contains a text string specifying the\n"
"        pattern used to load files. There are two parts to it: the prefix (%s)\n"
"        and the file number (%i). The format used is the same as that used for\n"
"        printf.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetFileRange\"\n"
"                         default_values=\"-1 -1\"\n"
"                         name=\"FileRange\"\n"
"                         number_of_elements=\"2\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>This property controls the indices of the first and last\n"
"        files to be read.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"GetXMLFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"XMLFileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetXMLFileName\"\n"
"                            label=\"XML File Name\"\n"
"                            name=\"XMLFileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"default_value\"\n"
"                        optional=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"XMLFileName\"\n"
"                      name=\"XMLFileNameInfo\" />\n"
"          </RequiredProperties>\n"
"        </FileListDomain>\n"
"        <Documentation>This property specifies the name of an XML file\n"
"        containing part and material descriptions and a mapping to element\n"
"        blocks.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseLegacyBlockNamesWithElementTypes\"\n"
"        command=\"SetUseLegacyBlockNames\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          In previous versions, the reader added the type of elements in the block to\n"
"          the block name when no name was provided for the block. This has issues\n"
"          with consistency when naming blocks across ranks for partitioned files.\n"
"          Hence we no longer do that. For legacy pipelines, one can enable\n"
"          the old behavior by setting this flag to true.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End ExodusIIReaderCore -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- end of \"internal_sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkExodusFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"ExodusIIReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads an Exodus II file to produce an unstructured grid.\"\n"
"                     short_help=\"Read Exodus II files.\">The Exodus reader loads\n"
"                     Exodus II files and produces an unstructured grid output.\n"
"                     The default file extensions are .g, .e, .ex2, .ex2v2,\n"
"                     .exo, .gen, .exoII, .exii, .frq, .0, .00, .000, and .0000. The\n"
"                     file format is described fully at:\n"
"                     http://endo.sandia.gov/SEACAS/Documentation/exodusII.pdf.\n"
"                     Each Exodus file contains a single set of points with 2-D\n"
"                     or 3-D coordinates plus one or more blocks, sets, and\n"
"                     maps. Block group elements (or their bounding edges or\n"
"                     faces) of the same type together. Sets select subsets\n"
"                     (across all the blocks in a file) of elements, sides of\n"
"                     elements (which may be of mixed dimensionality), bounding\n"
"                     faces of volumetric elements, or bounding edges of\n"
"                     volumetric or areal elements. Each block or set may have\n"
"                     multiple result variables, each of which defines a value\n"
"                     per element, per timestep. The elements (cells), faces of\n"
"                     elements (when enumerated in face blocks), edges of\n"
"                     elements (when enumerated in edge blocks), and nodes\n"
"                     (points) in a file may be assigned an arbitrary integer\n"
"                     number by an element map, face map, edge map, or node map,\n"
"                     respectively. Usually, only a single map of each type\n"
"                     exists and is employed to assign a unique global ID to\n"
"                     entities across multiple files which partition a large\n"
"                     mesh for a distributed-memory calculation. However here\n"
"                     may be multiply maps of each type and there are no\n"
"                     constraints which force the integers to be unique. The\n"
"                     connectivity of elements is constant across all of the\n"
"                     timesteps in any single Exodus II file. However, multiple\n"
"                     files which specify a single time-evolution of a mesh may\n"
"                     be used to represent meshes which exhibit changes in\n"
"                     connectivity infrequently. Field variable mode_shape[0]\n"
"                     represents the time step (t_index) if HasModeShapes is\n"
"                     not set or the ModeShape otherwise. This is a distributed\n"
"                     reader.\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"ExodusIIReaderCore\" />\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Variables\"\n"
"                         name=\"Variables\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"GenerateObjectIdCellArray\" />\n"
"            <Property name=\"GenerateGlobalElementIdArray\" />\n"
"            <Property name=\"ElementVariables\" />\n"
"            <Property name=\"FaceVariables\" />\n"
"            <Property name=\"EdgeVariables\" />\n"
"            <Property name=\"SideSetResultArrayStatus\" />\n"
"            <Property name=\"NodeSetResultArrayStatus\" />\n"
"            <Property name=\"FaceSetResultArrayStatus\" />\n"
"            <Property name=\"EdgeSetResultArrayStatus\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOExodus/Resources/readers_ioexodus.xml
static const char* const paraview_server_managerreaders_ioexodusInterface3 =
"            <Property name=\"GenerateGlobalNodeIdArray\" />\n"
"            <Property name=\"ElementSetResultArrayStatus\" />\n"
"            <Property name=\"PointVariables\" />\n"
"            <Property name=\"GlobalVariables\" />\n"
"            <Hints>\n"
"              <WidgetHeight number_of_rows=\"20\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"          <!-- fixme - need to group these two properties -->\n"
"          <Property name=\"ApplyDisplacements\" />\n"
"          <Property name=\"DisplacementMagnitude\" />\n"
"          <Property name=\"EdgeBlocks\" />\n"
"          <Property name=\"EdgeBlocksInfo\" />\n"
"          <PropertyGroup label=\"Sets\"\n"
"                         name=\"Sets\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"NodeSetArrayStatus\" />\n"
"            <Property name=\"SideSetArrayStatus\" />\n"
"            <Property name=\"FaceSetArrayStatus\" />\n"
"            <Property name=\"EdgeSetArrayStatus\" />\n"
"            <Property name=\"ElementSetArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Maps\"\n"
"                         name=\"Maps\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"NodeMapArrayStatus\" />\n"
"            <Property name=\"EdgeMapArrayStatus\" />\n"
"            <Property name=\"FaceMapArrayStatus\" />\n"
"            <Property name=\"ElementMapArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"EdgeMapInfo\" />\n"
"          <Property name=\"EdgeSetInfo\" />\n"
"          <Property name=\"EdgeSetResultArrayInfo\" />\n"
"          <Property name=\"EdgeVariablesInfo\" />\n"
"          <Property name=\"ElementBlocks\" />\n"
"          <Property name=\"ElementBlocksInfo\" />\n"
"          <Property name=\"ElementMapInfo\" />\n"
"          <Property name=\"ElementSetInfo\" />\n"
"          <Property name=\"ElementSetResultArrayInfo\" />\n"
"          <Property name=\"ElementVariablesInfo\" />\n"
"          <Property name=\"FaceBlocks\" />\n"
"          <Property name=\"FaceBlocksInfo\" />\n"
"          <Property name=\"FaceMapInfo\" />\n"
"          <Property name=\"FaceSetInfo\" />\n"
"          <Property name=\"FaceSetResultArrayInfo\" />\n"
"          <Property name=\"FaceVariablesInfo\" />\n"
"          <Property name=\"GlobalVariablesInfo\" />\n"
"          <Property name=\"NodeMapInfo\" />\n"
"          <Property name=\"NodeSetInfo\" />\n"
"          <Property name=\"NodeSetResultArrayInfo\" />\n"
"          <Property name=\"PointVariablesInfo\" />\n"
"          <Property name=\"SideSetInfo\" />\n"
"          <Property name=\"SideSetResultArrayInfo\" />\n"
"          <PropertyGroup label=\"Mode Shapes\">\n"
"            <Property name=\"HasModeShapes\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"ModeShape\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"AnimateVibrations\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"ModeShapesRangeInfo\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Time\">\n"
"            <Property name=\"IgnoreFileTime\" panel_visibility=\"advanced\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"File Pattern\">\n"
"            <Property name=\"FilePrefix\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"FilePattern\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"FileRange\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"XMLFileName\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"XMLFileNameInfo\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"GenerateFileIdArray\" />\n"
"          <Property name=\"UseLegacyBlockNamesWithElementTypes\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the Exodus\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseMetaFile\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseMetaFile\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This hidden property must always be set to 1 for this\n"
"        proxy to work.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <!--\n"
"        <ReaderFactory extensions=\"g e h gc ex2 ex2v2 exo gen par exoII exii frq\"\n"
"                       file_description=\"ExodusII\"\n"
"          filename_patterns=\"*e-s*\" />\n"
"        -->\n"
"      </Hints>\n"
"      <!-- ExodusIIReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkExodusFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Restarted Sim Exodus Reader\"\n"
"                 name=\"ExodusRestartReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads collections of Exodus output files from simulations that were restarted.\"\n"
"                     short_help=\"Read Exodus files from simulation restarts.\">\n"
"                     When a simulation that outputs exodus files is restarted,\n"
"                     typically you get a new set of output files. When you read\n"
"                     them in your visualization, you often want to string these\n"
"                     file sets together as if it was one continuous dump of\n"
"                     files. This reader allows you to specify a metadata file\n"
"                     that will implicitly string the files\n"
"                     together. This is a distributed reader.\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"ExodusIIReaderCore\" />\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Variables\"\n"
"                         name=\"Variables\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"GenerateObjectIdCellArray\" />\n"
"            <Property name=\"GenerateGlobalElementIdArray\" />\n"
"            <Property name=\"ElementVariables\" />\n"
"            <Property name=\"FaceVariables\" />\n"
"            <Property name=\"EdgeVariables\" />\n"
"            <Property name=\"SideSetResultArrayStatus\" />\n"
"            <Property name=\"NodeSetResultArrayStatus\" />\n"
"            <Property name=\"FaceSetResultArrayStatus\" />\n"
"            <Property name=\"EdgeSetResultArrayStatus\" />\n"
"            <Property name=\"GenerateGlobalNodeIdArray\" />\n"
"            <Property name=\"ElementSetResultArrayStatus\" />\n"
"            <Property name=\"PointVariables\" />\n"
"            <Property name=\"GlobalVariables\" />\n"
"          </PropertyGroup>\n"
"          <!-- fixme - need to group these two properties -->\n"
"          <Property name=\"ApplyDisplacements\" />\n"
"          <Property name=\"DisplacementMagnitude\" />\n"
"          <Property name=\"EdgeBlocks\" />\n"
"          <Property name=\"EdgeBlocksInfo\" />\n"
"          <PropertyGroup label=\"Sets\"\n"
"                         name=\"Sets\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"NodeSetArrayStatus\" />\n"
"            <Property name=\"SideSetArrayStatus\" />\n"
"            <Property name=\"FaceSetArrayStatus\" />\n"
"            <Property name=\"EdgeSetArrayStatus\" />\n"
"            <Property name=\"ElementSetArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Maps\"\n"
"                         name=\"Maps\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"NodeMapArrayStatus\" />\n"
"            <Property name=\"EdgeMapArrayStatus\" />\n"
"            <Property name=\"FaceMapArrayStatus\" />\n"
"            <Property name=\"ElementMapArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"EdgeMapInfo\" />\n"
"          <Property name=\"EdgeSetInfo\" />\n"
"          <Property name=\"EdgeSetResultArrayInfo\" />\n"
"          <Property name=\"EdgeVariablesInfo\" />\n"
"          <Property name=\"ElementBlocksInfo\" />\n"
"          <Property name=\"ElementBlocks\" />\n"
"          <Property name=\"ElementMapInfo\" />\n"
"          <Property name=\"ElementSetInfo\" />\n"
"          <Property name=\"ElementSetResultArrayInfo\" />\n"
"          <Property name=\"ElementVariablesInfo\" />\n"
"          <Property name=\"FaceBlocks\" />\n"
"          <Property name=\"FaceBlocksInfo\" />\n"
"          <Property name=\"FaceMapInfo\" />\n"
"          <Property name=\"FaceSetInfo\" />\n"
"          <Property name=\"FaceSetResultArrayInfo\" />\n"
"          <Property name=\"FaceVariablesInfo\" />\n"
"          <Property name=\"GlobalVariablesInfo\" />\n"
"          <Property name=\"NodeMapInfo\" />\n"
"          <Property name=\"NodeSetInfo\" />\n"
"          <Property name=\"NodeSetResultArrayInfo\" />\n"
"          <Property name=\"PointVariablesInfo\" />\n"
"          <Property name=\"SideSetInfo\" />\n"
"          <Property name=\"SideSetResultArrayInfo\" />\n"
"          <PropertyGroup label=\"Mode Shapes\">\n"
"            <Property name=\"HasModeShapes\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"ModeShape\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"AnimateVibrations\" panel_visibility=\"advanced\" />\n"
"            <Property name=\"ModeShapesRangeInfo\" />\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"File Pattern\">\n"
"            <Property name=\"FilePrefix\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"FilePattern\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"FileRange\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"XMLFileName\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"XMLFileNameInfo\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"GenerateFileIdArray\" />\n"
"          <Property name=\"UseLegacyBlockNamesWithElementTypes\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetMetaFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This points to a special metadata file that lists the\n"
"        output files for each restart.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseMetaFile\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseMetaFile\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\"\n"
"                         >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This hidden property must always be set to 1 for this\n"
"        proxy to work.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <!--\n"
"        <ReaderFactory extensions=\"ex-timeseries\"\n"
"          file_description=\"Metafile for restarted exodus outputs\" />\n"
"        -->\n"
"      </Hints>\n"
"      <!-- ExodusRestartReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"\n"
"    <!-- end of \"sources\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_ioexodusGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_ioexodusInterface0);
  const size_t len1 = strlen(paraview_server_managerreaders_ioexodusInterface1);
  const size_t len2 = strlen(paraview_server_managerreaders_ioexodusInterface2);
  const size_t len3 = strlen(paraview_server_managerreaders_ioexodusInterface3);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_ioexodusInterface0, paraview_server_managerreaders_ioexodusInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerreaders_ioexodusInterface1, paraview_server_managerreaders_ioexodusInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerreaders_ioexodusInterface2, paraview_server_managerreaders_ioexodusInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerreaders_ioexodusInterface3, paraview_server_managerreaders_ioexodusInterface3 + len3, res + offset); offset += len3;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOExodus/Resources/writers_ioexodus.xml
static const char* const paraview_server_managerwriters_ioexodusInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"writers\">\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"ParallelWriterBase\"\n"
"                  class=\"vtkExodusIIWriter\"\n"
"                  name=\"ExodusIIWriter\">\n"
"      <Documentation short_help=\"Write Exodus II files.\">Writer to write Exodus\n"
"      II files. Refere to http://endo.sandia.gov/SEACAS/ for more information\n"
"      about the Exodus II format.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetWriteAllTimeSteps\"\n"
"                         default_values=\"0\"\n"
"                         name=\"WriteAllTimeSteps\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When WriteAllTimeSteps is turned ON, the writer is\n"
"        executed once for each time step available from its input.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIgnoreMetaDataWarning\"\n"
"                         default_values=\"0\"\n"
"                         name=\"IgnoreMetaDataWarning\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>In certain cases like Catalyst we know that metadata doesn't exist and\n"
"        we want to ignore that warning.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\"\n"
"                  show=\"0\" />\n"
"        <Property name=\"FileName\"\n"
"                  show=\"0\" />\n"
"        <Property name=\"GhostLevel\"\n"
"                  show=\"0\" />\n"
"        <Property name=\"IgnoreMetaDataWarning\"\n"
"                  show=\"0\" />\n"
"        <WriterFactory extensions=\"g e ex2 ex2v2 gen exoII exoii\"\n"
"                       file_description=\"Exodus II File\" />\n"
"      </Hints>\n"
"      <!-- End of ExodusIIWriter -->\n"
"    </PWriterProxy>\n"
"    <!-- end of  \"writers\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"extract_writers\">\n"
"    <DataExtractWriterProxy name=\"Exodus\">\n"
"      <Documentation>\n"
"        Extract writer to write data using the Exodus file format.\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"dataset_{timestep:06d}.ex2\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"ExodusIIWriter\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\" />\n"
"      </Hints>\n"
"      <!-- end of Exodus -->\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- end of \"extract_writers\" -->\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerwriters_ioexodusGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerwriters_ioexodusInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerwriters_ioexodusInterface0, paraview_server_managerwriters_ioexodusInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOEnSight/Resources/readers_pv_ioensight.xml
static const char* const paraview_server_managerreaders_pv_ioensightInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkPGenericEnSightReader\"\n"
"                 label=\"EnSight Reader\"\n"
"                 name=\"ensight\">\n"
"      <Documentation long_help=\"Reads EnSight 6 and Gold files.\"\n"
"                     short_help=\"Read EnSight files.\">The EnSight reader reads\n"
"                     files in the format produced by CEI's EnSight. EnSight 6\n"
"                     and Gold files (both ASCII and binary) are supported. The\n"
"                     default extension is .case. The output of this reader is a\n"
"                     multiblock dataset. This is a distributed reader.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetCaseFileName\"\n"
"                            name=\"CaseFileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the case file name for the\n"
"        EnSight reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetApplyTetrahedralize\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ApplyTetrahedralize\"\n"
"                         label=\"Apply Tetrahedralize\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          This property set if we want to tetrahedralize the output to prevent non manifold\n"
"          mesh later (generated by the Ensight Solver).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"case CASE Case encas ENCAS Encas\"\n"
"                       file_description=\"EnSight Files\" />\n"
"      </Hints>\n"
"      <!-- End ensight -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkPVEnSightMasterServerReader2\"\n"
"                 label=\"EnSight Master Server Reader\"\n"
"                 name=\"ensightMS\">\n"
"      <Documentation long_help=\"Reads files in EnSight's Master Server format.\"\n"
"                     short_help=\"Read parallel EnSight files.\">The EnSight\n"
"                     Master Server reader reads EnSight's parallel files. The\n"
"                     master file usually has a .sos extension and may point to\n"
"                     multiple .case files. The output is a multiblock\n"
"                     dataset. This is a distributed reader.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetCaseFileName\"\n"
"                            name=\"CaseFileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the name of the .sos file for\n"
"        the EnSight Master Server reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetByteOrder\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ByteOrder\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"BigEndian\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"LittleEndian\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property indicates the byte order of the binary\n"
"        file(s).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTimeValue\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"SetTimeValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property indicates which time value to\n"
"        read.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"sos SOS\"\n"
"                       file_description=\"EnSight Master Server Files\" />\n"
"      </Hints>\n"
"      <!-- End ensightMS -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_pv_ioensightGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_pv_ioensightInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_pv_ioensightInterface0, paraview_server_managerreaders_pv_ioensightInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOAMR/Resources/readers_pv_ioamr.xml
static const char* const paraview_server_managerreaders_pv_ioamrInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkAMRFlashParticlesReader\"\n"
"                 label=\"FLASH Particles AMR Reader\"\n"
"                 name=\"FlashParticlesReaderCore\">\n"
"      <Documentation long_help=\"Reads AMR particles from FLASH dataset\"\n"
"                     short_help=\"Reads AMR particles from FLASH dataset\">The\n"
"                     Flash particles reader loads particle simulation data\n"
"                     stored in Flash format. The output of this reader is a\n"
"                     MultiBlock dataset where each block is vtkPolyData that\n"
"                     holds the particles and corresponding particle\n"
"                     data.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the Enzo file\n"
"        name</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- Display the number of Particles -->\n"
"      <IntVectorProperty command=\"GetTotalNumberOfParticles\"\n"
"                         information_only=\"1\"\n"
"                         name=\"NumParticles\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFrequency\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Frequency\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>This property sets the frequency interval for loading\n"
"        particles.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFilterLocation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FilterLocation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turns on filtering of particles by\n"
"        location</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetMinLocation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"MinLocation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property sets the minimum 3-D coordinate location\n"
"        by which the particles will be filtered out.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetMaxLocation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"MaxLocation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property sets the minimum 3-D coordinate location\n"
"        by which the particles will be filtered out.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!--  Array Selection GUI Component -->\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ParticleArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Particle\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetParticleArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ParticleArrayInfo\"\n"
"                            label=\"Particle Arrays\"\n"
"                            name=\"ParticleArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ParticleArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which particle arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- end of \"FlashParticlesReaderCore\" -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkAMREnzoParticlesReader\"\n"
"                 label=\"Enzo Particles AMR Reader\"\n"
"                 name=\"EnzoParticlesReaderCore\">\n"
"      <Documentation long_help=\"Reads AMR particles from an ENZO dataset\"\n"
"                     short_help=\"Reads AMR particles from an ENZO dataset\">The\n"
"                     Enzo particles reader loads particle simulation data\n"
"                     stored in Enzo HDF5 format. The output of this reader is\n"
"                     MultiBlock dataset where each block is a vtkPolyData that\n"
"                     holds the particles (points) and corresponding particle\n"
"                     data.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the Enzo file\n"
"        name</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- Display the number of Particles -->\n"
"      <IntVectorProperty command=\"GetTotalNumberOfParticles\"\n"
"                         information_only=\"1\"\n"
"                         name=\"NumParticles\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFrequency\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Frequency\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>This property sets the frequency interval for loading\n"
"        particles.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFilterLocation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FilterLocation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turns on filtering of particles by\n"
"        location</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetMinLocation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"MinLocation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property sets the minimum 3-D coordinate location\n"
"        by which the particles will be filtered out.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetMaxLocation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"MaxLocation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property sets the minimum 3-D coordinate location\n"
"        by which the particles will be filtered out.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!--  Array Selection GUI Component -->\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ParticleArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Particle\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetParticleArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ParticleArrayInfo\"\n"
"                            label=\"Particle Arrays\"\n"
"                            name=\"ParticleArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ParticleArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which particle arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetParticleType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ParticleType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"All Particles\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Dark Matter\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Active (Star)\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Passive (Tracer)\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <!-- end of \"EnzoParticlesReaderCore\" -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkAMRFlashReader\"\n"
"                 label=\"Flash AMR Reader\"\n"
"                 name=\"FlashReaderCore\">\n"
"      <Documentation long_help=\"Read hierarchical box dataset from a Flash dataset.\"\n"
"                     short_help=\"Read hierarchical box dataset from a Flash dataset.\">\n"
"                     This Flash reader loads data stored in Flash format. The\n"
"                     output of this reader is a hierarchical-box\n"
"                     dataset.</Documentation>\n"
"      <!-- Define Flas Filename -->\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the Flash file\n"
"        name</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- Display the number of levels -->\n"
"      <IntVectorProperty command=\"GetNumberOfLevels\"\n"
"                         information_only=\"1\"\n"
"                         name=\"NumLevels\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <!--  Display the number of blocks -->\n"
"      <IntVectorProperty command=\"GetNumberOfBlocks\"\n"
"                         information_only=\"1\"\n"
"                         name=\"NumBlocks\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetEnableCaching\"\n"
"                         default_values=\"0\"\n"
"                         name=\"EnableCaching\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turn caching on/off</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!--  Define MaxLevel property -->\n"
"      <IntVectorProperty command=\"SetMaxLevel\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Level\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"100\"\n"
"                        min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the desired level of resolution\n"
"        that will be visible.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!--  Array Selection GUI Component -->\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"PointArrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkAMREnzoReader\"\n"
"                 label=\"Enzo AMR Reader\"\n"
"                 name=\"EnzoReaderCore\">\n"
"      <Documentation long_help=\"Read hierarchical box dataset from an Enzo file.\"\n"
"                     short_help=\"Read hierarchical box dataset from an Enzo file.\">\n"
"                     This Enzo reader loads data stored in Enzo format. The\n"
"                     output of this reader is a hierarchical-box\n"
"                     dataset.</Documentation>\n"
"      <!-- Define Enzo Filename -->\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the Enzo file\n"
"        name</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- Display the number of levels -->\n"
"      <IntVectorProperty command=\"GetNumberOfLevels\"\n"
"                         information_only=\"1\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOAMR/Resources/readers_pv_ioamr.xml
static const char* const paraview_server_managerreaders_pv_ioamrInterface1 =
"                         name=\"NumLevels\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <!--  Display the number of blocks -->\n"
"      <IntVectorProperty command=\"GetNumberOfBlocks\"\n"
"                         information_only=\"1\"\n"
"                         name=\"NumBlocks\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetEnableCaching\"\n"
"                         default_values=\"0\"\n"
"                         name=\"EnableCaching\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turn caching on/off</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!--  Define MaxLevel property -->\n"
"      <IntVectorProperty command=\"SetMaxLevel\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Level\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"100\"\n"
"                        min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the desired level of resolution\n"
"        that will be visible.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- Set Conversion to CGS -->\n"
"      <IntVectorProperty command=\"SetConvertToCGS\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ConvertToCGS\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property specifies whether or not units will be\n"
"        converted to CGS.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!--  Array Selection GUI Component -->\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"PointArrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"vtkAMReXGridReaderCore\" class=\"vtkAMReXGridReader\" label=\"AMReX Grid Reader\">\n"
"      <Documentation\n"
"        long_help=\"Reads AMReX plotfiles (grids) data.\"\n"
"        short_help=\"Reads AMReX plotfiles (grids) data.\">\n"
"                     This AMReX reader loads data stored in AMReX's plt flie format. The\n"
"                     output of this reader is a hierarchical-box dataset.</Documentation>\n"
"      <!-- Define Flas FileName -->\n"
"      <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"never\"\n"
"      >\n"
"        <FileListDomain name=\"files\" />\n"
"      </StringVectorProperty>\n"
"      <!-- Display the number of levels -->\n"
"      <IntVectorProperty command=\"GetNumberOfLevels\"\n"
"                         information_only=\"1\"\n"
"                         name=\"NumLevels\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <!--  Display the number of blocks -->\n"
"      <IntVectorProperty command=\"GetNumberOfBlocks\"\n"
"                         information_only=\"1\"\n"
"                         name=\"NumBlocks\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <!--  Define EnableCaching property -->\n"
"      <IntVectorProperty command=\"SetEnableCaching\"\n"
"                         default_values=\"0\"\n"
"                         name=\"EnableCaching\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turn caching on/off</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!--  Define MaxLevel property -->\n"
"      <IntVectorProperty command=\"SetMaxLevel\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Level\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"100\"\n"
"                        min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the desired level of resolution\n"
"        that will be visible.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"PointArrayInfo\"\n"
"        command=\"GetPointDataArraySelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"PointArrayStatus\"\n"
"        command=\"GetPointDataArraySelection\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the point arrays to read load.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellArrayInfo\"\n"
"        command=\"GetCellDataArraySelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"CellArrayStatus\"\n"
"        command=\"GetCellDataArraySelection\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the cell arrays to read load.</Documentation>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkAMRVelodyneReader\"\n"
"                 label=\"Velodyne AMR Reader\"\n"
"                 name=\"VelodyneReaderCore\">\n"
"      <Documentation long_help=\"Read OvelappingAMR from a Velodyne AMR dataset.\"\n"
"                     short_help=\"Read Velodyne AMR.\">\n"
"                     This Velodyne AMR reader loads data stored in xamr format. The\n"
"                     output of this reader is a vtkOverlappingAMR\n"
"                     dataset.</Documentation>\n"
"      <!-- Define Filename -->\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the Vamr file\n"
"        name</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- Display the number of levels -->\n"
"      <IntVectorProperty command=\"GetNumberOfLevels\"\n"
"                         information_only=\"1\"\n"
"                         name=\"NumLevels\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <!--  Display the number of blocks -->\n"
"      <IntVectorProperty command=\"GetNumberOfBlocks\"\n"
"                         information_only=\"1\"\n"
"                         name=\"NumBlocks\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetEnableCaching\"\n"
"                         default_values=\"0\"\n"
"                         name=\"EnableCaching\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turn caching on/off</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!--  Define MaxLevel property -->\n"
"      <IntVectorProperty command=\"SetMaxLevel\"\n"
"                         default_values=\"15\"\n"
"                         name=\"Level\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"100\"\n"
"                        min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the desired level of resolution\n"
"        that will be visible.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!--  Array Selection GUI Component -->\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"PointArrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy name=\"AMReXParticlesReaderCore\"\n"
"      class=\"vtkAMReXParticlesReader\">\n"
"      <Documentation short_help=\"Reader for AMReX particle data\">\n"
"        Internal reader proxy for AMReX particles. This is a distributed reader.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"ParticleType\"\n"
"        command=\"SetParticleType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"particles\">\n"
"        <Documentation>\n"
"          Set the type of particles to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"PointArrayInfo\"\n"
"        command=\"GetPointDataArraySelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"PointArrayStatus\"\n"
"        command=\"GetPointDataArraySelection\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the point arrays to read load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End AMReXParticlesReaderCore -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- end of \"internal_sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"FLASH AMR Particles Reader\"\n"
"                 name=\"FlashParticlesReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads AMR particles from FLASH dataset\"\n"
"                     short_help=\"Reads AMR particles from FLASH dataset\">The\n"
"                     Flash particles reader loads particle simulation data\n"
"                     stored in Flash format. The output of this reader is a\n"
"                     MultiBlock dataset where each block is vtkPolyData that\n"
"                     holds the particles and corresponding particle\n"
"                     data.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOAMR/Resources/readers_pv_ioamr.xml
static const char* const paraview_server_managerreaders_pv_ioamrInterface2 =
"               proxyname=\"FlashParticlesReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"NumParticles\" />\n"
"          <Property name=\"Frequency\" />\n"
"          <Property name=\"FilterLocation\" />\n"
"          <Property name=\"MinLocation\" />\n"
"          <Property name=\"MaxLocation\" />\n"
"          <Property name=\"ParticleArrayStatus\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"0\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"Flash flash\"\n"
"                       file_description=\"FLASH AMR Particles Reader\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"ENZO AMR Particles Reader\"\n"
"                 name=\"EnzoParticlesReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads AMR particles from an ENZO dataset\"\n"
"                     short_help=\"Reads AMR particles from an ENZO dataset\">The\n"
"                     Enzo particles reader loads particle simulation data\n"
"                     stored in Enzo HDF5 format. The output of this reader is\n"
"                     MultiBlock dataset where each block is a vtkPolyData that\n"
"                     holds the particles (points) and corresponding particle\n"
"                     data.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"EnzoParticlesReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"NumParticles\" />\n"
"          <Property name=\"Frequency\" />\n"
"          <Property name=\"FilterLocation\" />\n"
"          <Property name=\"MinLocation\" />\n"
"          <Property name=\"MaxLocation\" />\n"
"          <Property name=\"ParticleArrayStatus\" />\n"
"          <Property name=\"ParticleType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"0\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"boundary hierarchy\"\n"
"                       file_description=\"ENZO AMR Particles Reader\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Flash Reader\"\n"
"                 name=\"FlashReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Read hierarchical box dataset from a Flash dataset.\"\n"
"                     short_help=\"Read hierarchical box dataset from a Flash dataset.\">\n"
"                     This Flash reader loads data stored in Enzo format. The\n"
"                     output of this reader is a hierarchical-box\n"
"                     dataset.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"FlashReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"NumLevels\" />\n"
"          <Property name=\"NumBlocks\" />\n"
"          <Property name=\"EnableCaching\" />\n"
"          <Property name=\"Level\" />\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"PointArrayStatus\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"0\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"Flash flash\"\n"
"                       file_description=\"AMR Flash Files\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkAMRFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Enzo Reader\"\n"
"                 name=\"EnzoReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Read hierarchical box dataset from an Enzo file.\"\n"
"                     short_help=\"Read hierarchical box dataset from an Enzo file.\">\n"
"                     This Enzo reader loads data stored in Enzo format. The\n"
"                     output of this reader is a hierarchical-box\n"
"                     dataset.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"EnzoReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"NumLevels\" />\n"
"          <Property name=\"NumBlocks\" />\n"
"          <Property name=\"EnableCaching\" />\n"
"          <Property name=\"ConvertToCGS\" />\n"
"          <Property name=\"Level\" />\n"
"          <Property name=\"PointArrayStatus\" />\n"
"          <Property name=\"CellArrayStatus\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"0\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"boundary hierarchy\"\n"
"                       file_description=\"AMR Enzo Files\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkAMRFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Velodyne AMR Reader\"\n"
"                 name=\"VelodyneAMRReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Read vtkOverlappingAMR data set from from a Xamr dataset.\"\n"
"                     short_help=\"Read Velodyne AMR.\">\n"
"                     This Velodyne AMR reader loads data stored in XAMR format. The\n"
"                     output of this reader is a vtkOverlappingAMR\n"
"                     dataset.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"VelodyneReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"NumLevels\" />\n"
"          <Property name=\"NumBlocks\" />\n"
"          <Property name=\"EnableCaching\" />\n"
"          <Property name=\"Level\" />\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"PointArrayStatus\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"0\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"xamr Xamr XAMR\"\n"
"                       file_description=\"AMR Velodyne Files\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"AMReX/BoxLib Grid Reader\"\n"
"                 name=\"AMReXGridReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation\n"
"        long_help=\"Reads AMReX plotfiles (grids) data.\"\n"
"        short_help=\"Reads AMReX plotfiles (grids) data.\">\n"
"                     This AMReX reader loads data stored in AMReX plt file format. The\n"
"                     output of this reader is a hierarchical-box dataset.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"vtkAMReXGridReaderCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"NumLevels\" />\n"
"          <Property name=\"NumBlocks\" />\n"
"          <Property name=\"EnableCaching\" />\n"
"          <Property name=\"Level\" />\n"
"          <Property name=\"PointArrayStatus\" />\n"
"          <Property name=\"CellArrayStatus\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"0\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory\n"
"          filename_patterns=\"plt*\"\n"
"          file_description=\"AMReX/BoxLib plotfiles (grids)\"\n"
"          is_directory=\"1\"\n"
"        />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy name=\"AMReXParticlesReader\"\n"
"      class=\"vtkFileSeriesReader\"\n"
"      file_name_method=\"SetPlotFileName\"\n"
"      label=\"AMReX/BoxLib Particles Reader\"\n"
"      si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation short_help=\"Reader for AMReX particle data\">\n"
"        Reads particle data from AMReX plotfiles. This is a distributed reader.\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOAMR/Resources/readers_pv_ioamr.xml
static const char* const paraview_server_managerreaders_pv_ioamrInterface3 =
"      </Documentation>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\" proxygroup=\"internal_sources\" proxyname=\"AMReXParticlesReaderCore\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"ParticleType\" />\n"
"          <Property name=\"PointArrayInfo\" />\n"
"          <Property name=\"PointArrayStatus\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"0\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of plotfiles to be read by the reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\" name=\"TimestepValues\" repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory\n"
"          filename_patterns=\"plt*\"\n"
"          file_description=\"AMReX/BoxLib plotfiles (particles)\"\n"
"          is_directory=\"1\" />\n"
"      </Hints>\n"
"      <!-- end AMReXParticlesReader -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_pv_ioamrGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_pv_ioamrInterface0);
  const size_t len1 = strlen(paraview_server_managerreaders_pv_ioamrInterface1);
  const size_t len2 = strlen(paraview_server_managerreaders_pv_ioamrInterface2);
  const size_t len3 = strlen(paraview_server_managerreaders_pv_ioamrInterface3);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_pv_ioamrInterface0, paraview_server_managerreaders_pv_ioamrInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerreaders_pv_ioamrInterface1, paraview_server_managerreaders_pv_ioamrInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerreaders_pv_ioamrInterface2, paraview_server_managerreaders_pv_ioamrInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerreaders_pv_ioamrInterface3, paraview_server_managerreaders_pv_ioamrInterface3 + len3, res + offset); offset += len3;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersStatistics/Resources/statistics_filters.xml
static const char* const paraview_server_managerstatistics_filtersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPSciVizContingencyStats\"\n"
"                 label=\"Contingency Statistics\"\n"
"                 name=\"ContingencyStatistics\">\n"
"      <Documentation long_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\"\n"
"                     short_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\">\n"
"      This filter either computes a statistical model of a dataset or takes\n"
"      such a model as its second input. Then, the model (however it is\n"
"      obtained) may optionally be used to assess the input dataset. This filter\n"
"      computes contingency tables between pairs of attributes. This result is a\n"
"      tabular bivariate probability distribution which serves as a\n"
"      Bayesian-style prior model. Data is assessed by computing &lt;ul&gt;\n"
"      &lt;li&gt; the probability of observing both variables simultaneously;\n"
"      &lt;li&gt; the probability of each variable conditioned on the other (the\n"
"      two values need not be identical); and &lt;li&gt; the pointwise mutual\n"
"      information (PMI). &lt;/ul&gt; Finally, the summary statistics include\n"
"      the information entropy of the observations.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"          <DataType value=\"vtkStructuredGrid\" />\n"
"          <DataType value=\"vtkPolyData\" />\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkGraph\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" />\n"
"        <Documentation>The input to the filter. Arrays from this dataset will\n"
"        be used for computing statistics and/or assessed by a statistical\n"
"        model.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"ModelInput\"\n"
"                     null_on_empty=\"1\"\n"
"                     port_index=\"1\">\n"
"        <Hints>\n"
"          <Optional />\n"
"          <!-- No input selection dialog at instantiation -->\n"
"        </Hints>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkMultiBlockDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>A previously-calculated model with which to assess a\n"
"        separate dataset. This input is optional.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetAttributeMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AttributeMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
"                         name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"        <Documentation>Specify which type of field data the arrays will be\n"
"        drawn from.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearAttributeArrays\"\n"
"                            command=\"EnableAttributeArray\"\n"
"                            label=\"Variables of Interest\"\n"
"                            name=\"SelectArrays\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeMode\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>Choose arrays whose entries will be used to form\n"
"        observations for statistical analysis.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetTask\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Task\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"task_list\">\n"
"          <Entry text=\"Detailed model of input data\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Model a subset of the data\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Assess the data with a model\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Model and assess the same data\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Specify the task to be performed: modeling and/or\n"
"        assessment. &lt;ol&gt; &lt;li&gt; \"Detailed model of input data,\"\n"
"        creates a set of output tables containing a calculated statistical\n"
"        model of the &lt;b&gt;entire&lt;/b&gt; input dataset;&lt;/li&gt;\n"
"        &lt;li&gt; \"Model a subset of the data,\" creates an output table (or\n"
"        tables) summarizing a &lt;b&gt;randomly-chosen subset&lt;/b&gt; of the\n"
"        input dataset;&lt;/li&gt; &lt;li&gt; \"Assess the data with a model,\"\n"
"        adds attributes to the first input dataset using a model provided on\n"
"        the second input port; and&lt;/li&gt; &lt;li&gt; \"Model and assess the\n"
"        same data,\" is really just operations 2 and 3 above applied to the same\n"
"        input dataset. The model is first trained using a fraction of the input\n"
"        data and then the entire dataset is assessed using that\n"
"        model.&lt;/li&gt; &lt;/ol&gt; When the task includes creating a model\n"
"        (i.e., tasks 2, and 4), you may adjust the fraction of the input\n"
"        dataset used for training. You should avoid using a large fraction of\n"
"        the input data for training as you will then not be able to detect\n"
"        overfitting. The &lt;i&gt;Training fraction&lt;/i&gt; setting will be\n"
"        ignored for tasks 1 and 3.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTrainingFraction\"\n"
"                            default_values=\"0.1\"\n"
"                            name=\"TrainingFraction\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"training_range\" />\n"
"        <Documentation>Specify the fraction of values from the input dataset to\n"
"        be used for model fitting. The exact set of values is chosen at random\n"
"        from the dataset.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"Statistical Model\" />\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"Assessed Data\" />\n"
"      <Hints>\n"
"        <Visibility replace_input=\"1\" />\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"SpreadSheetView\" port=\"0\" />\n"
"        <View type=\"None\" port=\"1\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- ContingencyStatistics -->\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPSciVizDescriptiveStats\"\n"
"                 label=\"Descriptive Statistics\"\n"
"                 name=\"DescriptiveStatistics\">\n"
"      <Documentation long_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\"\n"
"                     short_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\">\n"
"      This filter either computes a statistical model of a dataset or takes\n"
"      such a model as its second input. Then, the model (however it is\n"
"      obtained) may optionally be used to assess the input dataset.&lt;p&gt;\n"
"      This filter computes the min, max, mean, raw moments M2 through M4,\n"
"      standard deviation, skewness, and kurtosis for each array you\n"
"      select.&lt;p&gt; The model is simply a univariate Gaussian distribution\n"
"      with the mean and standard deviation provided. Data is assessed using\n"
"      this model by detrending the data (i.e., subtracting the mean) and then\n"
"      dividing by the standard deviation. Thus the assessment is an array whose\n"
"      entries are the number of standard deviations from the mean that each\n"
"      input point lies.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"          <DataType value=\"vtkStructuredGrid\" />\n"
"          <DataType value=\"vtkPolyData\" />\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkGraph\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" />\n"
"        <Documentation>The input to the filter. Arrays from this dataset will\n"
"        be used for computing statistics and/or assessed by a statistical\n"
"        model.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"ModelInput\"\n"
"                     null_on_empty=\"1\"\n"
"                     port_index=\"1\">\n"
"        <Hints>\n"
"          <Optional />\n"
"          <!-- No input selection dialog at instantiation -->\n"
"        </Hints>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkMultiBlockDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>A previously-calculated model with which to assess a\n"
"        separate dataset. This input is optional.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetAttributeMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AttributeMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
"                         name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"        <Documentation>Specify which type of field data the arrays will be\n"
"        drawn from.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearAttributeArrays\"\n"
"                            command=\"EnableAttributeArray\"\n"
"                            label=\"Variables of Interest\"\n"
"                            name=\"SelectArrays\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeMode\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>Choose arrays whose entries will be used to form\n"
"        observations for statistical analysis.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetTask\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Task\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"task_list\">\n"
"          <Entry text=\"Detailed model of input data\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Model a subset of the data\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Assess the data with a model\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Model and assess the same data\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Specify the task to be performed: modeling and/or\n"
"        assessment. &lt;ol&gt; &lt;li&gt; \"Detailed model of input data,\"\n"
"        creates a set of output tables containing a calculated statistical\n"
"        model of the &lt;b&gt;entire&lt;/b&gt; input dataset;&lt;/li&gt;\n"
"        &lt;li&gt; \"Model a subset of the data,\" creates an output table (or\n"
"        tables) summarizing a &lt;b&gt;randomly-chosen subset&lt;/b&gt; of the\n"
"        input dataset;&lt;/li&gt; &lt;li&gt; \"Assess the data with a model,\"\n"
"        adds attributes to the first input dataset using a model provided on\n"
"        the second input port; and&lt;/li&gt; &lt;li&gt; \"Model and assess the\n"
"        same data,\" is really just operations 2 and 3 above applied to the same\n"
"        input dataset. The model is first trained using a fraction of the input\n"
"        data and then the entire dataset is assessed using that\n"
"        model.&lt;/li&gt; &lt;/ol&gt; When the task includes creating a model\n"
"        (i.e., tasks 2, and 4), you may adjust the fraction of the input\n"
"        dataset used for training. You should avoid using a large fraction of\n"
"        the input data for training as you will then not be able to detect\n"
"        overfitting. The &lt;i&gt;Training fraction&lt;/i&gt; setting will be\n"
"        ignored for tasks 1 and 3.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTrainingFraction\"\n"
"                            default_values=\"0.1\"\n"
"                            name=\"TrainingFraction\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"training_range\" />\n"
"        <Documentation>Specify the fraction of values from the input dataset to\n"
"        be used for model fitting. The exact set of values is chosen at random\n"
"        from the dataset.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetSignedDeviations\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Deviations should be\"\n"
"                         name=\"SignedDeviations\"\n"
"                         number_of_elements=\"1\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersStatistics/Resources/statistics_filters.xml
static const char* const paraview_server_managerstatistics_filtersInterface1 =
"        <EnumerationDomain name=\"signed_distance\">\n"
"          <Entry text=\"Unsigned\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Signed\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Should the assessed values be signed deviations or\n"
"        unsigned?</Documentation>\n"
"      </IntVectorProperty>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"Statistical Model\" />\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"Assessed Data\" />\n"
"      <Hints>\n"
"        <Visibility replace_input=\"1\" />\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"SpreadSheetView\" port=\"0\" />\n"
"        <View type=\"None\" port=\"1\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- DescriptiveStatistics -->\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPSciVizKMeans\"\n"
"                 label=\"K Means\"\n"
"                 name=\"KMeans\">\n"
"      <Documentation long_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\"\n"
"                     short_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\">\n"
"      This filter either computes a statistical model of a dataset or takes\n"
"      such a model as its second input. Then, the model (however it is\n"
"      obtained) may optionally be used to assess the input dataset.&lt;p&gt;\n"
"      This filter iteratively computes the center of k clusters in a space\n"
"      whose coordinates are specified by the arrays you select. The clusters\n"
"      are chosen as local minima of the sum of square Euclidean distances from\n"
"      each point to its nearest cluster center. The model is then a set of\n"
"      cluster centers. Data is assessed by assigning a cluster center and\n"
"      distance to the cluster to each point in the input data\n"
"      set.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"          <DataType value=\"vtkStructuredGrid\" />\n"
"          <DataType value=\"vtkPolyData\" />\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkGraph\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" />\n"
"        <Documentation>The input to the filter. Arrays from this dataset will\n"
"        be used for computing statistics and/or assessed by a statistical\n"
"        model.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"ModelInput\"\n"
"                     null_on_empty=\"1\"\n"
"                     port_index=\"1\">\n"
"        <Hints>\n"
"          <Optional />\n"
"          <!-- No input selection dialog at instantiation -->\n"
"        </Hints>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkMultiBlockDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>A previously-calculated model with which to assess a\n"
"        separate dataset. This input is optional.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetAttributeMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AttributeMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
"                         name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"        <Documentation>Specify which type of field data the arrays will be\n"
"        drawn from.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearAttributeArrays\"\n"
"                            command=\"EnableAttributeArray\"\n"
"                            label=\"Variables of Interest\"\n"
"                            name=\"SelectArrays\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeMode\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>Choose arrays whose entries will be used to form\n"
"        observations for statistical analysis.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetTask\"\n"
"                         default_values=\"3\"\n"
"                         name=\"Task\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"task_list\">\n"
"          <Entry text=\"Detailed model of input data\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Model a subset of the data\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Assess the data with a model\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Model and assess the same data\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Specify the task to be performed: modeling and/or\n"
"        assessment. &lt;ol&gt; &lt;li&gt; \"Detailed model of input data,\"\n"
"        creates a set of output tables containing a calculated statistical\n"
"        model of the &lt;b&gt;entire&lt;/b&gt; input dataset;&lt;/li&gt;\n"
"        &lt;li&gt; \"Model a subset of the data,\" creates an output table (or\n"
"        tables) summarizing a &lt;b&gt;randomly-chosen subset&lt;/b&gt; of the\n"
"        input dataset;&lt;/li&gt; &lt;li&gt; \"Assess the data with a model,\"\n"
"        adds attributes to the first input dataset using a model provided on\n"
"        the second input port; and&lt;/li&gt; &lt;li&gt; \"Model and assess the\n"
"        same data,\" is really just operations 2 and 3 above applied to the same\n"
"        input dataset. The model is first trained using a fraction of the input\n"
"        data and then the entire dataset is assessed using that\n"
"        model.&lt;/li&gt; &lt;/ol&gt; When the task includes creating a model\n"
"        (i.e., tasks 2, and 4), you may adjust the fraction of the input\n"
"        dataset used for training. You should avoid using a large fraction of\n"
"        the input data for training as you will then not be able to detect\n"
"        overfitting. The &lt;i&gt;Training fraction&lt;/i&gt; setting will be\n"
"        ignored for tasks 1 and 3.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTrainingFraction\"\n"
"                            default_values=\"0.1\"\n"
"                            name=\"TrainingFraction\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"training_range\" />\n"
"        <Documentation>Specify the fraction of values from the input dataset to\n"
"        be used for model fitting. The exact set of values is chosen at random\n"
"        from the dataset.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetK\"\n"
"                         default_values=\"5\"\n"
"                         label=\"k\"\n"
"                         name=\"K\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"num_cluster_centers\" />\n"
"        <Documentation>Specify the number of clusters.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetMaxNumIterations\"\n"
"                         default_values=\"50\"\n"
"                         label=\"Max Iterations\"\n"
"                         name=\"MaxNumIterations\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"max_num_iter\" />\n"
"        <Documentation>Specify the maximum number of iterations in which\n"
"        cluster centers are moved before the algorithm\n"
"        terminates.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTolerance\"\n"
"                            default_values=\"0.01\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"cluster_center_tolerance\" />\n"
"        <Documentation>Specify the relative tolerance that will cause early\n"
"        termination.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"Statistical Model\" />\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"Assessed Data\" />\n"
"      <Hints>\n"
"        <Visibility replace_input=\"1\" />\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"SpreadSheetView\" port=\"0\" />\n"
"        <View type=\"None\" port=\"1\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- K Means -->\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPSciVizMultiCorrelativeStats\"\n"
"                 label=\"Multicorrelative Statistics\"\n"
"                 name=\"MulticorrelativeStatistics\">\n"
"      <Documentation long_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\"\n"
"                     short_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\">\n"
"      This filter either computes a statistical model of a dataset or takes\n"
"      such a model as its second input. Then, the model (however it is\n"
"      obtained) may optionally be used to assess the input dataset.&lt;p&gt;\n"
"      This filter computes the covariance matrix for all the arrays you select\n"
"      plus the mean of each array. The model is thus a multivariate Gaussian\n"
"      distribution with the mean vector and variances provided. Data is\n"
"      assessed using this model by computing the Mahalanobis distance for each\n"
"      input point. This distance will always be positive.&lt;p&gt; The learned\n"
"      model output format is rather dense and can be confusing, so it is\n"
"      discussed here. The first filter output is a multiblock dataset\n"
"      consisting of 2 tables: &lt;ol&gt; &lt;li&gt; Raw covariance data.\n"
"      &lt;li&gt; Covariance matrix and its Cholesky decomposition. &lt;/ol&gt;\n"
"      The raw covariance table has 3 meaningful columns: 2 titled \"Column1\" and\n"
"      \"Column2\" whose entries generally refer to the N arrays you selected when\n"
"      preparing the filter and 1 column titled \"Entries\" that contains numeric\n"
"      values. The first row will always contain the number of observations in\n"
"      the statistical analysis. The next N rows contain the mean for each of\n"
"      the N arrays you selected. The remaining rows contain covariances of\n"
"      pairs of arrays.&lt;p&gt; The second table (covariance matrix and\n"
"      Cholesky decomposition) contains information derived from the raw\n"
"      covariance data of the first table. The first N rows of the first column\n"
"      contain the name of one array you selected for analysis. These rows are\n"
"      followed by a single entry labeled \"Cholesky\" for a total of N+1 rows.\n"
"      The second column, Mean contains the mean of each variable in the first N\n"
"      entries and the number of observations processed in the final (N+1)\n"
"      row.&lt;p&gt; The remaining columns (there are N, one for each array)\n"
"      contain 2 matrices in triangular format. The upper right triangle\n"
"      contains the covariance matrix (which is symmetric, so its lower triangle\n"
"      may be inferred). The lower left triangle contains the Cholesky\n"
"      decomposition of the covariance matrix (which is triangular, so its upper\n"
"      triangle is zero). Because the diagonal must be stored for both matrices,\n"
"      an additional row is required &#226;&#8364;&#8221; hence the N+1 rows and\n"
"      the final entry of the column named \"Column\".</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"          <DataType value=\"vtkStructuredGrid\" />\n"
"          <DataType value=\"vtkPolyData\" />\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkGraph\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" />\n"
"        <Documentation>The input to the filter. Arrays from this dataset will\n"
"        be used for computing statistics and/or assessed by a statistical\n"
"        model.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"ModelInput\"\n"
"                     null_on_empty=\"1\"\n"
"                     port_index=\"1\">\n"
"        <Hints>\n"
"          <Optional />\n"
"          <!-- No input selection dialog at instantiation -->\n"
"        </Hints>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkMultiBlockDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>A previously-calculated model with which to assess a\n"
"        separate dataset. This input is optional.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetAttributeMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AttributeMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
"                         name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"        <Documentation>Specify which type of field data the arrays will be\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersStatistics/Resources/statistics_filters.xml
static const char* const paraview_server_managerstatistics_filtersInterface2 =
"        drawn from.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearAttributeArrays\"\n"
"                            command=\"EnableAttributeArray\"\n"
"                            label=\"Variables of Interest\"\n"
"                            name=\"SelectArrays\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeMode\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>Choose arrays whose entries will be used to form\n"
"        observations for statistical analysis.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetTask\"\n"
"                         default_values=\"3\"\n"
"                         name=\"Task\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"task_list\">\n"
"          <Entry text=\"Detailed model of input data\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Model a subset of the data\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Assess the data with a model\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Model and assess the same data\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Specify the task to be performed: modeling and/or\n"
"        assessment. &lt;ol&gt; &lt;li&gt; \"Detailed model of input data,\"\n"
"        creates a set of output tables containing a calculated statistical\n"
"        model of the &lt;b&gt;entire&lt;/b&gt; input dataset;&lt;/li&gt;\n"
"        &lt;li&gt; \"Model a subset of the data,\" creates an output table (or\n"
"        tables) summarizing a &lt;b&gt;randomly-chosen subset&lt;/b&gt; of the\n"
"        input dataset;&lt;/li&gt; &lt;li&gt; \"Assess the data with a model,\"\n"
"        adds attributes to the first input dataset using a model provided on\n"
"        the second input port; and&lt;/li&gt; &lt;li&gt; \"Model and assess the\n"
"        same data,\" is really just operations 2 and 3 above applied to the same\n"
"        input dataset. The model is first trained using a fraction of the input\n"
"        data and then the entire dataset is assessed using that\n"
"        model.&lt;/li&gt; &lt;/ol&gt; When the task includes creating a model\n"
"        (i.e., tasks 2, and 4), you may adjust the fraction of the input\n"
"        dataset used for training. You should avoid using a large fraction of\n"
"        the input data for training as you will then not be able to detect\n"
"        overfitting. The &lt;i&gt;Training fraction&lt;/i&gt; setting will be\n"
"        ignored for tasks 1 and 3.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTrainingFraction\"\n"
"                            default_values=\"0.1\"\n"
"                            name=\"TrainingFraction\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"training_range\" />\n"
"        <Documentation>Specify the fraction of values from the input dataset to\n"
"        be used for model fitting. The exact set of values is chosen at random\n"
"        from the dataset.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"Statistical Model\" />\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"Assessed Data\" />\n"
"      <Hints>\n"
"        <Visibility replace_input=\"1\" />\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"SpreadSheetView\" port=\"0\" />\n"
"        <View type=\"None\" port=\"1\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- MulticorrelativeStatistics -->\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPSciVizPCAStats\"\n"
"                 label=\"Principal Component Analysis\"\n"
"                 name=\"PCAStatistics\">\n"
"      <Documentation long_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\"\n"
"                     short_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\">\n"
"      This filter either computes a statistical model of a dataset or takes\n"
"      such a model as its second input. Then, the model (however it is\n"
"      obtained) may optionally be used to assess the input dataset. &lt;p&gt;\n"
"      This filter performs additional analysis above and beyond the\n"
"      multicorrelative filter. It computes the eigenvalues and eigenvectors of\n"
"      the covariance matrix from the multicorrelative filter. Data is then\n"
"      assessed by projecting the original tuples into a possibly\n"
"      lower-dimensional space. &lt;p&gt; Since the PCA filter uses the\n"
"      multicorrelative filter's analysis, it shares the same raw covariance\n"
"      table specified in the multicorrelative documentation. The second table\n"
"      in the multiblock dataset comprising the model output is an expanded\n"
"      version of the multicorrelative version. &lt;p&gt; As with the\n"
"      multicorrelative filter, the second model table contains the mean values,\n"
"      the upper-triangular portion of the symmetric covariance matrix, and the\n"
"      non-zero lower-triangular portion of the Cholesky decomposition of the\n"
"      covariance matrix. Below these entries are the eigenvalues of the\n"
"      covariance matrix (in the column labeled \"Mean\") and the eigenvectors (as\n"
"      row vectors) in an additional NxN matrix.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"          <DataType value=\"vtkRectilinearGrid\" />\n"
"          <DataType value=\"vtkStructuredGrid\" />\n"
"          <DataType value=\"vtkPolyData\" />\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkGraph\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" />\n"
"        <Documentation>The input to the filter. Arrays from this dataset will\n"
"        be used for computing statistics and/or assessed by a statistical\n"
"        model.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"ModelInput\"\n"
"                     null_on_empty=\"1\"\n"
"                     port_index=\"1\">\n"
"        <Hints>\n"
"          <Optional />\n"
"          <!-- No input selection dialog at instantiation -->\n"
"        </Hints>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkMultiBlockDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>A previously-calculated model with which to assess a\n"
"        separate dataset. This input is optional.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetAttributeMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AttributeMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
"                         name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"        <Documentation>Specify which type of field data the arrays will be\n"
"        drawn from.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearAttributeArrays\"\n"
"                            command=\"EnableAttributeArray\"\n"
"                            label=\"Variables of Interest\"\n"
"                            name=\"SelectArrays\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeMode\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>Choose arrays whose entries will be used to form\n"
"        observations for statistical analysis.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetTask\"\n"
"                         default_values=\"3\"\n"
"                         name=\"Task\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"task_list\">\n"
"          <Entry text=\"Detailed model of input data\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Model a subset of the data\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Assess the data with a model\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Model and assess the same data\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Specify the task to be performed: modeling and/or\n"
"        assessment. &lt;ol&gt; &lt;li&gt; \"Detailed model of input data,\"\n"
"        creates a set of output tables containing a calculated statistical\n"
"        model of the &lt;b&gt;entire&lt;/b&gt; input dataset;&lt;/li&gt;\n"
"        &lt;li&gt; \"Model a subset of the data,\" creates an output table (or\n"
"        tables) summarizing a &lt;b&gt;randomly-chosen subset&lt;/b&gt; of the\n"
"        input dataset;&lt;/li&gt; &lt;li&gt; \"Assess the data with a model,\"\n"
"        adds attributes to the first input dataset using a model provided on\n"
"        the second input port; and&lt;/li&gt; &lt;li&gt; \"Model and assess the\n"
"        same data,\" is really just operations 2 and 3 above applied to the same\n"
"        input dataset. The model is first trained using a fraction of the input\n"
"        data and then the entire dataset is assessed using that\n"
"        model.&lt;/li&gt; &lt;/ol&gt; When the task includes creating a model\n"
"        (i.e., tasks 2, and 4), you may adjust the fraction of the input\n"
"        dataset used for training. You should avoid using a large fraction of\n"
"        the input data for training as you will then not be able to detect\n"
"        overfitting. The &lt;i&gt;Training fraction&lt;/i&gt; setting will be\n"
"        ignored for tasks 1 and 3.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTrainingFraction\"\n"
"                            default_values=\"0.1\"\n"
"                            name=\"TrainingFraction\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"training_range\" />\n"
"        <Documentation>Specify the fraction of values from the input dataset to\n"
"        be used for model fitting. The exact set of values is chosen at random\n"
"        from the dataset.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetNormalizationScheme\"\n"
"                         default_values=\"2\"\n"
"                         label=\"Normalization Scheme\"\n"
"                         name=\"NormalizationScheme\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"norm_scheme\">\n"
"          <Entry text=\"No normalization\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Normalize using covariances\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Before the eigenvector decomposition of the covariance\n"
"        matrix takes place, you may normalize each (i,j) entry by sqrt(\n"
"        cov(i,i) * cov(j,j) ). This implies that the variance of each variable\n"
"        of interest should be of equal importance.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetBasisScheme\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Basis Scheme\"\n"
"                         name=\"BasisScheme\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"basis_scheme\">\n"
"          <Entry text=\"Full basis\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Fixed-size basis\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Fixed-energy basis\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>When reporting assessments, should the full eigenvector\n"
"        decomposition be used to project the original vector into the new space\n"
"        (Full basis), or should a fixed subset of the decomposition be used\n"
"        (Fixed-size basis), or should the projection be clipped to preserve at\n"
"        least some fixed \"energy\" (Fixed-energy basis)?&lt;p&gt; As an example,\n"
"        suppose the variables of interest were {A,B,C,D,E} and that the\n"
"        eigenvalues of the covariance matrix for these were {5,2,1.5,1,.5}. If\n"
"        the \"Full basis\" scheme is used, then all 5 components of the\n"
"        eigenvectors will be used to project each {A,B,C,D,E}-tuple in the\n"
"        original data into a new 5-components space.&lt;p&gt; If the\n"
"        \"Fixed-size\" scheme is used and the \"Basis Size\" property is set to 4,\n"
"        then only the first 4 eigenvector components will be used to project\n"
"        each {A,B,C,D,E}-tuple into the new space and that space will be of\n"
"        dimension 4, not 5.&lt;p&gt; If the \"Fixed-energy basis\" scheme is used\n"
"        and the \"Basis Energy\" property is set to 0.8, then only the first 3\n"
"        eigenvector components will be used to project each {A,B,C,D,E}-tuple\n"
"        into the new space, which will be of dimension 3. The number 3 is\n"
"        chosen because 3 is the lowest N for which the sum of the first N\n"
"        eigenvalues divided by the sum of all eigenvalues is larger than the\n"
"        specified \"Basis Energy\" (i.e., (5+2+1.5)/10 = 0.85 &gt;\n"
"        0.8).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetFixedBasisSize\"\n"
"                         default_values=\"2\"\n"
"                         label=\"Basis Size\"\n"
"                         name=\"BasisSize\"\n"
"                         number_of_elements=\"1\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersStatistics/Resources/statistics_filters.xml
static const char* const paraview_server_managerstatistics_filtersInterface3 =
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"basis_size_range\" />\n"
"        <Documentation>The maximum number of eigenvector components to use when\n"
"        projecting into the new space.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetFixedBasisEnergy\"\n"
"                            default_values=\"0.1\"\n"
"                            label=\"Basis Energy\"\n"
"                            name=\"BasisEnergy\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"basis_energy_range\" />\n"
"        <Documentation>The minimum energy to use when determining the\n"
"        dimensionality of the new space into which the assessment will project\n"
"        tuples.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetRobustPCA\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RobustPCA\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Compute robust PCA with medians instead of means.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"Statistical Model\" />\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"Assessed Data\" />\n"
"      <Hints>\n"
"        <Visibility replace_input=\"1\" />\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"SpreadSheetView\" port=\"0\" />\n"
"        <View type=\"None\" port=\"1\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- PCAStatistics -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerstatistics_filtersGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerstatistics_filtersInterface0);
  const size_t len1 = strlen(paraview_server_managerstatistics_filtersInterface1);
  const size_t len2 = strlen(paraview_server_managerstatistics_filtersInterface2);
  const size_t len3 = strlen(paraview_server_managerstatistics_filtersInterface3);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerstatistics_filtersInterface0, paraview_server_managerstatistics_filtersInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerstatistics_filtersInterface1, paraview_server_managerstatistics_filtersInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerstatistics_filtersInterface2, paraview_server_managerstatistics_filtersInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerstatistics_filtersInterface3, paraview_server_managerstatistics_filtersInterface3 + len3, res + offset); offset += len3;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersPython/Resources/python_filters.xml
static const char* const paraview_server_managerpython_filtersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <SourceProxy class=\"vtkPythonCalculator\"\n"
"                 label=\"Python Calculator\"\n"
"                 name=\"PythonCalculator\">\n"
"      <Documentation long_help=\"This filter evaluates a Python expression\"\n"
"                     short_help=\"Evaluates a Python expression\">This filter\n"
"                     uses Python to calculate an expression. It depends heavily\n"
"                     on the numpy and paraview.vtk modules. To use the parallel\n"
"                     functions, mpi4py is also necessary. The expression is\n"
"                     evaluated and the resulting scalar value or numpy array is\n"
"                     added to the output as an array. See numpy integration and\n"
"                     python calculator documentation for the list of available\n"
"                     functions. This filter tries to make it easy for the user\n"
"                     to write expressions by defining certain variables. The\n"
"                     filter tries to assign each array to a variable of the\n"
"                     same name. If the name of the array is not a valid Python\n"
"                     variable, it may be accessed through a variable with a\n"
"                     sanitized version of that array name consisting of only\n"
"                     '_' and the alphanumeric characters in the name joined\n"
"                     together with no spaces. Point coordinates from datasets\n"
"                     that explicitly define them can be accessed using the variable\n"
"                     named 'points'.</Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input of the filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetExpression\"\n"
"                            name=\"Expression\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <Widget type=\"one_liner_wrapped\" syntax=\"python\" />\n"
"        </Hints>\n"
"        <Documentation>The Python expression evaluated during\n"
"        execution. Set of potentially available variables [inputs, points, t_value,\n"
"        t_index, FieldData, PointData, CellData] (i.e.: \"Momentum: (%f, %f, %f)\" %\n"
"        (XMOM[t_index,0], YMOM[t_index,0], ZMOM[t_index,0]) ). Additional variables,\n"
"        using the fmt library's syntax, are {timevalue}, and {timeindex}. These variables\n"
"        are always available, and their default values are 0, and 0 respectively.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetArrayAssociation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ArrayAssociation\"\n"
"                         number_of_elements=\"1\">\n"
"        <FieldDataDomain name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"        <Documentation>This property controls the association of the output\n"
"        array as well as which arrays are defined as variables.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetArrayName\"\n"
"                            default_values=\"result\"\n"
"                            name=\"ArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the output array.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetCopyArrays\"\n"
"                         default_values=\"1\"\n"
"                         name=\"CopyArrays\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to true, all the cell and point\n"
"        arrays from first input are copied to the output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End PythonCalculator -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy class=\"vtkAnnotateAttributeDataFilter\"\n"
"                 label=\"Annotate Attribute Data\"\n"
"                 name=\"AnnotateAttributeData\">\n"
"      <Documentation short_help=\"Adds a text annotation to a Render View\">\n"
"This filter can be used to add a text annotation to a Render View (or\n"
"similar) using a tuple from any attribute array (point/cell/field/row\n"
"etc.) from a specific rank (when running in parallel). Use **ArrayName**\n"
"property to select the array association and array name. Use\n"
"**ElementId* property to set the element number to extract the value to\n"
"label with. When running on multiple ranks, use **ProcessId** property\n"
"to select the rank of interest.  The **Prefix** property can be used to\n"
"specify a string that will be used as the prefix to the generated\n"
"annotation text.\n"
"      </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\" >\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"any\"\n"
"                          name=\"input_array\" />\n"
"           <Documentation>\n"
"             Set the input of the filter. To avoid the complications/confusion when identifying\n"
"             elements in a composite dataset, this filter doesn't support composite datasets\n"
"             currently.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputArray\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property indicates the name of the array from which\n"
"        to obtain the annotation value.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty name=\"ElementId\"\n"
"                         command=\"SetElementId\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <!-- this should really be an IdTypeVectorProperty, but the UI doesn't\n"
"             support those yet -->\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Set the element index to annotate with.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"ProcessId\"\n"
"                         command=\"SetProcessId\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"            Set the process rank to extract element from.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetPrefix\"\n"
"                            default_values=\"Value is: \"\n"
"                            name=\"Prefix\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Text that is used as a prefix to the field value</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"        <OutputPort index=\"0\" name=\"Output-0\" type=\"text\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <SourceProxy class=\"vtkPythonAnnotationFilter\"\n"
"                 label=\"Python Annotation\"\n"
"                 name=\"PythonAnnotation\">\n"
"      <Documentation long_help=\"This filter evaluates a Python expression for a text annotation\"\n"
"                     short_help=\"Evaluates a Python expression for a text annotation\">\n"
"                     This filter uses Python to calculate an expression and display\n"
"                     the result as an annotation in the render view. It\n"
"                     depends heavily on the numpy and paraview.vtk modules. To\n"
"                     use the parallel functions, mpi4py is also necessary. The\n"
"                     expression is evaluated and the resulting scalar value or\n"
"                     numpy array is added to the output as an array. See numpy\n"
"                     integration, python annotation and python calculator\n"
"                     documentation for the list of available functions.\n"
"                     This filter tries to make it easy for the user\n"
"                     to write expressions by defining certain variables. The\n"
"                     filter tries to assign each array to a variable of the\n"
"                     same name. If the name of the array is not a valid Python\n"
"                     variable, it may be accessed through a variable with a\n"
"                     sanitized version of that array name consisting of only\n"
"                     '_' and the alphanumeric characters in the name joined\n"
"                     together with no spaces. Point coordinates from datasets\n"
"                     that explicitly define them can be accessed using the variable\n"
"                     named 'points'.</Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"0\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input of the filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetArrayAssociation\"\n"
"                         default_values=\"2\"\n"
"                         name=\"ArrayAssociation\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Select the attribute to use to populate array names.</Documentation>\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
"                         name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetExpression\"\n"
"                            name=\"Expression\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <Widget type=\"one_liner_wrapped\" syntax=\"python\" />\n"
"        </Hints>\n"
"        <Documentation>The Python expression evaluated during execution.\n"
"        FieldData arrays are directly available through their name. Set of\n"
"        potentially available variables [inputs, points, t_value, t_steps,\n"
"        t_range, t_index, FieldData, PointData, CellData]\n"
"        (i.e.: \"Momentum: (%f, %f, %f)\" % (XMOM[t_index,0], YMOM[t_index,0], ZMOM[t_index,0]) )\n"
"        Additional variables, using the fmt library's syntax, are {timevalue}, {timerange},\n"
"        {timesteps} and {timeindex}. These variables are always available, and their default\n"
"        values are 0, [], [] and 0 respectively.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"GetComputedAnnotationValue\"\n"
"                            information_only=\"1\"\n"
"                            name=\"AnnotationValue\">\n"
"        <Documentation>Text that is used as annotation</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"        <OutputPort index=\"0\"\n"
"                    name=\"Output-0\"\n"
"                    type=\"text\" />\n"
"      </Hints>\n"
"      <!-- End PythonAnnotation -->\n"
"    </SourceProxy>\n"
"    <SourceProxy class=\"vtkPythonProgrammableFilter\"\n"
"                 label=\"Programmable Filter\"\n"
"                 name=\"ProgrammableFilter\">\n"
"      <Documentation long_help=\"Executes a user supplied python script on its input dataset to produce an output dataset.\"\n"
"                     short_help=\"Executes a python script to produce data.\">\n"
"                     This filter will execute a python script to produce an\n"
"                     output dataset. The filter keeps a copy of the python\n"
"                     script in Script and creates a python\n"
"                     Interpreter to run the script upon the first\n"
"                     execution. To execute external python scripts on the ParaView server, use:\n"
"                     execfile('full_path/script_name.py'). Documentation is found in the Programmable Filter\n"
"                     and numpy integration section of the paraview documentation.\n"
"                     </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input(s) to the programmable\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetOutputDataSetType\"\n"
"                         default_values=\"8\"\n"
"                         name=\"OutputDataSetType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <!-- Values come from vtkType.h-->\n"
"          <Entry text=\"Same as Input\"\n"
"                 value=\"8\" />\n"
"          <!-- text=\"vtkDataSet\" -->\n"
"          <Entry text=\"vtkPolyData\"\n"
"                 value=\"0\" />\n"
"          <!-- <Entry value=\"1\" text=\"vtkStructuredPoints\"/> -->\n"
"          <Entry text=\"vtkStructuredGrid\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"vtkRectilinearGrid\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"vtkUnstructuredGrid\"\n"
"                 value=\"4\" />\n"
"          <!-- <Entry value=\"5\" text=\"vtkPiecewiseFunction\"/> -->\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersPython/Resources/python_filters.xml
static const char* const paraview_server_managerpython_filtersInterface1 =
"          <Entry text=\"vtkImageData\"\n"
"                 value=\"6\" />\n"
"          <!-- <Entry value=\"7\" text=\"vtkDataObject\"/> -->\n"
"          <!-- <Entry value=\"9\" text=\"vtkPointSet\"/> -->\n"
"          <Entry text=\"vtkUniformGrid\"\n"
"                 value=\"10\" />\n"
"          <!-- <Entry value=\"11\" text=\"vtkCompositeDataSet\"/> -->\n"
"          <Entry text=\"vtkMultiblockDataSet\"\n"
"                 value=\"13\" />\n"
"          <Entry text=\"vtkHierarchicalBoxDataSet\"\n"
"                 value=\"15\" />\n"
"          <!-- <Entry value=\"16\" text=\"vtkGenericDataSet\"/> -->\n"
"          <!-- <Entry value=\"17\" text=\"vtkHyperOctree\"/> -->\n"
"          <Entry text=\"vtkHyperTreeGrid\"\n"
"                 value=\"32\" />\n"
"          <!-- <Entry value=\"18\" text=\"vtkTemporalDataSet\"/> -->\n"
"          <Entry text=\"vtkTable\"\n"
"                 value=\"19\" />\n"
"          <!-- <Entry value=\"20\" text=\"vtkGraph\"/> -->\n"
"          <!-- <Entry value=\"21\" text=\"vtkTree\"/> -->\n"
"          <Entry text=\"vtkMolecule\"\n"
"                 value=\"33\" />\n"
"          <Entry text=\"vtkPartitionedDataSet\" value=\"37\" />\n"
"          <Entry text=\"vtkPartitionedDataSetCollection\" value=\"38\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The value of this property determines the dataset type\n"
"        for the output of the programmable filter.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetScript\"\n"
"                            name=\"Script\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" syntax=\"python\" />\n"
"        </Hints>\n"
"        <Documentation>This property contains the text of a python program that\n"
"        the programmable filter runs. To execute external python scripts on the ParaView server, use:\n"
"        execfile('full_path/script_name.py'). Documentation is found in the Programmable Filter\n"
"        chapter of the ParaView Guide.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetInformationScript\"\n"
"                            label=\"RequestInformation Script\"\n"
"                            name=\"InformationScript\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" syntax=\"python\" />\n"
"        </Hints>\n"
"        <Documentation>This property is a python script that is executed during\n"
"        the RequestInformation pipeline pass. Use this to provide information\n"
"        such as WHOLE_EXTENT to the pipeline downstream.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetUpdateExtentScript\"\n"
"                            label=\"RequestUpdateExtent Script\"\n"
"                            name=\"UpdateExtentScript\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" syntax=\"python\" />\n"
"        </Hints>\n"
"        <Documentation>This property is a python script that is executed during\n"
"        the RequestUpdateExtent pipeline pass. Use this to modify the update\n"
"        extent that your filter ask up stream for.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetCopyArrays\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CopyArrays\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to true, all the cell and point\n"
"        arrays from first input are copied to the output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"ClearParameters\"\n"
"                            command=\"SetParameterInternal\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"Parameters\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"></StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPythonPath\"\n"
"                            name=\"PythonPath\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>A semi-colon (;) separated list of directories to add to\n"
"        the python library search path.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End ProgrammableFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy class=\"vtkPythonProgrammableFilter\"\n"
"                 label=\"Programmable Annotation\"\n"
"                 name=\"ProgrammableAnnotation\">\n"
"      <Documentation long_help=\"Executes a user supplied python script on its input dataset to produce an output vtkTable containing a single tuple vtkStringArray to be displayed as a text.\"\n"
"                     short_help=\"Executes a python script to produce a text.\">\n"
"                     This filter will execute a python script to produce a\n"
"                     text. The text should be contained in a vtkTable containing a single vtkStringArray, itself\n"
"                     containing a single tuple. The filter keeps a copy of the python\n"
"                     script in Script and creates a python\n"
"                     Interpreter to run the script upon the first\n"
"                     execution. To execute external python scripts on the ParaView server, use:\n"
"                     execfile('full_path/script_name.py'). Documentation is found in the Programmable Filter and\n"
"                     numpy integration section of the paraview documentation.</Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input(s) to the programmable\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetOutputDataSetType\"\n"
"                         default_values=\"19\"\n"
"                         name=\"OutputDataSetType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetScript\"\n"
"                            name=\"Script\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"to = self.GetTableOutput()&#xA;arr = vtk.vtkStringArray()&#xA;arr.SetName(&#x22;Text&#x22;)&#xA;arr.SetNumberOfComponents(1)&#xA;arr.InsertNextValue(&#x22;YourString&#x22;)&#xA;to.AddColumn(arr)\"\n"
"                            panel_visibility=\"default\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" syntax=\"python\" />\n"
"        </Hints>\n"
"        <Documentation>This property contains the text of a python program that\n"
"        the programmable filter runs. To execute external python scripts on the ParaView server, use:\n"
"        execfile('full_path/script_name.py'). Make sure to output a vtkTable containing a single vtkStringArray,\n"
"        itself containing a single tuple.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"ClearParameters\"\n"
"                            command=\"SetParameterInternal\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"Parameters\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPythonPath\"\n"
"                            name=\"PythonPath\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>A semi-colon (;) separated list of directories to add to\n"
"        the python library search path.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <OutputPort index=\"0\"\n"
"                    name=\"Output-0\"\n"
"                    type=\"text\" />\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"      <!-- End ProgrammableAnnotation -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerpython_filtersGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerpython_filtersInterface0);
  const size_t len1 = strlen(paraview_server_managerpython_filtersInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerpython_filtersInterface0, paraview_server_managerpython_filtersInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerpython_filtersInterface1, paraview_server_managerpython_filtersInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersPython/Resources/python_misc.xml
static const char* const paraview_server_managerpython_miscInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"misc_internals\">\n"
"    <Proxy name=\"CDBWriter\" class=\"vtkCDBWriter\">\n"
"      <Documentation>\n"
"        This is used by vtkSMExtractsController to write summary table.\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\" command=\"SetPath\" />\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerpython_miscGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerpython_miscInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerpython_miscInterface0, paraview_server_managerpython_miscInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersPython/Resources/python_sources.xml
static const char* const paraview_server_managerpython_sourcesInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkPythonProgrammableFilter\"\n"
"                 label=\"Programmable Source\"\n"
"                 name=\"ProgrammableSource\">\n"
"      <Documentation long_help=\"Executes a user supplied python script to produce an output dataset.\"\n"
"                     short_help=\"Executes a python script to produce data.\">\n"
"                     This source will execute a python script to produce an\n"
"                     output dataset. The source keeps a copy of the python\n"
"                     script in Script and creates a python\n"
"                     Interpreter to run the script upon the first\n"
"                     execution. To execute external python scripts on the ParaView server, use:\n"
"                     execfile('full_path/script_name.py'). Documentation is found in the Programmable Filter\n"
"                     chapter of the ParaView Guide.</Documentation>\n"
"      <IntVectorProperty command=\"SetOutputDataSetType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OutputDataSetType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <!-- Values come from vtkType.h-->\n"
"          <!-- <Entry value=\"8\" text=\"Same as Input\"/> -->\n"
"          <!-- text=\"vtkDataSet\" -->\n"
"          <Entry text=\"vtkPolyData\"\n"
"                 value=\"0\" />\n"
"          <!-- <Entry value=\"1\" text=\"vtkStructuredPoints\"/> -->\n"
"          <Entry text=\"vtkStructuredGrid\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"vtkRectilinearGrid\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"vtkUnstructuredGrid\"\n"
"                 value=\"4\" />\n"
"          <!-- <Entry value=\"5\" text=\"vtkPiecewiseFunction\"/> -->\n"
"          <Entry text=\"vtkImageData\"\n"
"                 value=\"6\" />\n"
"          <!-- <Entry value=\"7\" text=\"vtkDataObject\"/> -->\n"
"          <!-- <Entry value=\"9\" text=\"vtkPointSet\"/> -->\n"
"          <!-- <Entry value=\"10\" text=\"vtkUniformGrid\"/> -->\n"
"          <!-- <Entry value=\"11\" text=\"vtkCompositeDataSet\"/> -->\n"
"          <!-- <Entry value=\"12\" text=\"vtkMultigroupDataSet\"/> -->\n"
"          <Entry text=\"vtkMultiblockDataSet\"\n"
"                 value=\"13\" />\n"
"          <!-- <Entry value=\"14\" text=\"vtkHierarchicalDataSet\"/> -->\n"
"          <Entry text=\"vtkHierarchicalBoxDataSet\"\n"
"                 value=\"15\" />\n"
"          <!-- <Entry value=\"16\" text=\"vtkGenericDataSet\"/> -->\n"
"          <!-- <Entry value=\"17\" text=\"vtkHyperOctree\"/> -->\n"
"          <!-- <Entry value=\"18\" text=\"vtkTemporalDataSet\"/> -->\n"
"          <Entry text=\"vtkTable\"\n"
"                 value=\"19\" />\n"
"          <!-- <Entry value=\"20\" text=\"vtkGraph\"/> -->\n"
"          <!-- <Entry value=\"21\" text=\"vtkTree\"/> -->\n"
"          <Entry text=\"vtkMolecule\"\n"
"                 value=\"33\" />\n"
"          <Entry text=\"vtkPartitionedDataSet\" value=\"37\" />\n"
"          <Entry text=\"vtkPartitionedDataSetCollection\" value=\"38\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The value of this property determines the dataset type\n"
"        for the output of the programmable source.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetScript\"\n"
"                            name=\"Script\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" syntax=\"python\" />\n"
"        </Hints>\n"
"        <Documentation>This property contains the text of a python program that\n"
"        the programmable source runs. To execute external python scripts on the ParaView server, use:\n"
"        execfile('full_path/script_name.py'). Documentation is found in the Programmable Filter\n"
"        chapter of the ParaView Guide.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetInformationScript\"\n"
"                            label=\"Script (RequestInformation)\"\n"
"                            name=\"InformationScript\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" syntax=\"python\" />\n"
"        </Hints>\n"
"        <Documentation>This property is a python script that is executed during\n"
"        the RequestInformation pipeline pass. Use this to provide information\n"
"        such as WHOLE_EXTENT to the pipeline downstream.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"ClearParameters\"\n"
"                            command=\"SetParameterInternal\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"Parameters\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"></StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPythonPath\"\n"
"                            name=\"PythonPath\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>A semi-colon (;) separated list of directories to add to\n"
"        the python library search path.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End ProgrammableSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy class=\"vtkPythonProgrammableFilter\"\n"
"                 label=\"Live Programmable Source\"\n"
"                 name=\"LiveProgrammableSource\"\n"
"                 base_proxygroup=\"sources\"\n"
"                 base_proxyname=\"ProgrammableSource\">\n"
"      <Documentation>\n"
"        A programmable source that can produce new data autonomously.\n"
"      </Documentation>\n"
"      <StringVectorProperty command=\"SetCheckNeedsUpdateScript\"\n"
"                            label=\"Script (CheckNeedsUpdate)\"\n"
"                            name=\"CheckNeedsUpdateScript\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" syntax=\"python\" />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specify the script to use to check if the filter/source has new data.\n"
"          This is only needed for \"live\" sources, that can cause data to be available\n"
"          outside of ParaView.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Property name=\"PauseLiveSource\" panel_widget=\"pause_livesource\">\n"
"        <Documentation>\n"
"          Pause live source.\n"
"        </Documentation>\n"
"      </Property>\n"
"      <Hints>\n"
"        <LiveSource />\n"
"      </Hints>\n"
"   </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerpython_sourcesGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerpython_sourcesInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerpython_sourcesInterface0, paraview_server_managerpython_sourcesInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersParallelDIY2/Resources/parallel_diy_filters.xml
static const char* const paraview_server_managerparallel_diy_filtersInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- ******************************************************************** -->\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkPVProbeLineFilter\"\n"
"                 base_proxygroup=\"internal_filters\"\n"
"                 base_proxyname=\"ProbeLineGenericProxy\"\n"
"                 label=\"Plot Over Line\"\n"
"                 name=\"ProbeLine\">\n"
"      <Documentation>The Plot Over Line filter samples the dataset attributes of the\n"
"      input dataset at the points of a given line. The values of the point-centered\n"
"      variables along that line will be displayed in an XY Plot. This filter uses\n"
"      interpolation to determine the values at the selected point, whether or not it\n"
"      lies at an input point. This filter operates on any type of data and produces a\n"
"      polygonal output (a polyline). One can use different sampling patterns with this\n"
"      filter. \"Sample At Cell Boundaries\" gives the most accurate plots, \"Sample At\n"
"      Segment Centers\" provides one sample per probed cell, and \"Sample Uniformally\"\n"
"      samples uniformally along the input line.</Documentation>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint1\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Point1\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"min\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>This property controls the coordinates of the first\n"
"        endpoint of the line.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint2\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Point2\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"max\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>This property controls the coordinates of the second\n"
"        endpoint of the line.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Line Parameters\" panel_widget=\"InteractiveLine\">\n"
"          <Property function=\"Point1WorldPosition\" name=\"Point1\" />\n"
"          <Property function=\"Point2WorldPosition\" name=\"Point2\" />\n"
"      </PropertyGroup>\n"
"      <!-- end of ProbeLine -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkPVProbeLineFilter\"\n"
"                 label=\"Resample To Line\"\n"
"                 name=\"ResampleToLine\">\n"
"    <Documentation>Resamples the input data set to a line.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" />\n"
"        <Documentation>This property specifies which data set to resample.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetSamplingPattern\"\n"
"                         name=\"SamplingPattern\"\n"
"                         default_values=\"2\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Sample At Cell Boundaries\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Sample At Segment Centers\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Sample Uniformly\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLineResolution\"\n"
"                         name=\"Resolution\"\n"
"                         default_values=\"40\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"SamplingPattern\"\n"
"                                   value=\"2\" />\n"
"          <!-- show this widget when SamplingPattern==2 -->\n"
"        </Hints>\n"
"        <Documentation>This property sets the line resolution.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassPartialArrays\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PassPartialArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>When dealing with composite datasets, partial arrays are\n"
"        common i.e. data-arrays that are not available in all of the blocks. By\n"
"        default, this filter only passes those point and cell data-arrays that\n"
"        are available in all the blocks i.e. partial arrays are removed. When\n"
"        PassPartialArrays is turned on, this behavior is changed to take a\n"
"        union of all arrays present thus partial arrays are passed as well.\n"
"        However, for composite dataset input, this filter still produces a\n"
"        non-composite output. For all those locations in a block of where a\n"
"        particular data array is missing, this filter uses vtkMath::Nan() for\n"
"        double and float arrays, and 0 for all other types of arrays i.e int,\n"
"        char etc.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassCellArrays\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassCellArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        When set the input cell data arrays are shallow copied to the output.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassPointArrays\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassPointArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        When set the input point data arrays are shallow copied to the output.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassFieldArrays\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PassFieldArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Set whether to pass the field-data arrays from the Input i.e. the input\n"
"        providing the geometry to the output.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeTolerance\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeTolerance\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Set whether to compute the tolerance or to use a user provided\n"
"        value.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTolerance\"\n"
"                            default_values=\"2.2204460492503131e-16\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain min=\"2.2204460492503131e-16\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"ComputeTolerance\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the tolerance to use for\n"
"        vtkDataSet::FindCell</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint1\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Point1\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"min\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>This property controls the coordinates of the first\n"
"        endpoint of the line.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint2\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Point2\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"max\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>This property controls the coordinates of the second\n"
"        endpoint of the line.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Line Parameters\" panel_widget=\"InteractiveLine\">\n"
"          <Property function=\"Point1WorldPosition\" name=\"Point1\" />\n"
"          <Property function=\"Point2WorldPosition\" name=\"Point2\" />\n"
"      </PropertyGroup>\n"
"      <!-- end of ResampleToLineLine -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerparallel_diy_filtersGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerparallel_diy_filtersInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerparallel_diy_filtersInterface0, paraview_server_managerparallel_diy_filtersInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersMaterialInterface/Resources/material_interface_filters.xml
static const char* const paraview_server_managermaterial_interface_filtersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkIntersectFragments\"\n"
"                 label=\"Intersect Fragments\"\n"
"                 name=\"IntersectFragments\">\n"
"      <Documentation long_help=\"The Intersect Fragments filter perform geometric intersections on sets of fragments.\"\n"
"                     short_help=\"The Intersect Fragments filter perform geometric intersections on sets of fragments.\">\n"
"      The Intersect Fragments filter perform geometric intersections on sets of\n"
"      fragments. The filter takes two inputs, the first containing fragment\n"
"      geometry and the second containing fragment centers. The filter has two\n"
"      outputs. The first is geometry that results from the intersection. The\n"
"      second is a set of points that is an approximation of the center of where\n"
"      each fragment has been intersected.</Documentation>\n"
"      <!-- Out -->\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"geometry\" />\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"statistics\" />\n"
"      <!-- In -->\n"
"      <InputProperty command=\"SetGeometryInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkMultiBlockDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This input must contain fragment\n"
"        geometry.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetStatisticsInputConnection\"\n"
"                     name=\"Source\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkMultiBlockDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This input must contain fragment\n"
"        centers.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- Cut functuion -->\n"
"      <ProxyProperty command=\"SetCutFunction\"\n"
"                     label=\"Slice Type\"\n"
"                     name=\"CutFunction\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"extract_implicit_functions\" default=\"Plane\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property sets the type of intersecting geometry,\n"
"        and associated parameters.</Documentation>\n"
"      </ProxyProperty>\n"
"      <!-- End IntersectFragments -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkMaterialInterfaceFilter\"\n"
"                 label=\"Material Interface Filter\"\n"
"                 name=\"MaterialInterfaceFilter\">\n"
"      <Documentation long_help=\"The Material Interface filter finds volumes in the input data containing material above a certain material fraction.\"\n"
"                     short_help=\"The Material Interface filter finds volumes in the input data containing material above a certain material fraction.\">\n"
"      The Material Interface filter finds voxels inside of which a material\n"
"      fraction (or normalized amount of material) is higher than a given\n"
"      threshold. As these voxels are identified surfaces enclosing adjacent\n"
"      voxels above the threshold are generated. The resulting volume and its\n"
"      surface are what we call a fragment. The filter has the ability to\n"
"      compute various volumetric attributes such as fragment volume, mass,\n"
"      center of mass as well as volume and mass weighted averages for any of\n"
"      the fields present. Any field selected for such computation will be also\n"
"      be copied into the fragment surface's point data for visualization. The\n"
"      filter also has the ability to generate Oriented Bounding Boxes (OBB) for\n"
"      each fragment. The data generated by the filter is organized in three\n"
"      outputs. The \"geometry\" output, containing the fragment surfaces. The\n"
"      \"statistics\" output, containing a point set of the centers of mass. The\n"
"      \"obb representation\" output, containing OBB representations (poly data).\n"
"      All computed attributes are copied into the statistics and geometry\n"
"      output. The obb representation output is used for validation and\n"
"      debugging purposes and is turned off by default. To measure the size of\n"
"      craters, the filter can invert a volume fraction and clip the volume\n"
"      fraction with a sphere and/or a plane.</Documentation>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"geometry\" />\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"statistics\" />\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkNonOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array\" />\n"
"        <Documentation>Input to the filter can be a hierarchical box data set\n"
"        containing image data or a multiblock of rectilinear\n"
"        grids.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- Material Fraction Array-->\n"
"      <StringVectorProperty clean_command=\"UnselectAllMaterialArrays\"\n"
"                            command=\"SelectMaterialArray\"\n"
"                            label=\"Select Material Fraction Arrays\"\n"
"                            name=\"SelectMaterialArray\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_UNSIGNED_CHAR\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <!-- override gui no to set default -->\n"
"          <!-- <NoDefault /> -->\n"
"        </Hints>\n"
"        <Documentation>Material fraction is defined as normalized amount of\n"
"        material per voxel. It is expected that arrays containing material\n"
"        fraction data has been down converted to a unsigned\n"
"        char.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- Material fraction -->\n"
"      <DoubleVectorProperty command=\"SetMaterialFractionThreshold\"\n"
"                            default_values=\"0.5\"\n"
"                            label=\"Material Fraction Threshold\"\n"
"                            name=\"MaterialFractionThreshold\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0.08\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Material fraction is defined as normalized amount of\n"
"        material per voxel. Any voxel in the input data set with a material\n"
"        fraction greater than this value is included in the output data\n"
"        set.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- Invert the volume fraction -->\n"
"      <IntVectorProperty command=\"SetInvertVolumeFraction\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InvertVolumeFraction\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Inverting the volume fraction generates the negative of\n"
"        the material. It is useful for analyzing craters.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"SetClipFunction\"\n"
"                     label=\"Clip Type\"\n"
"                     name=\"ClipFunction\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"implicit_functions\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"implicit_functions\"\n"
"                 name=\"None\" />\n"
"          <Proxy group=\"implicit_functions\"\n"
"                 name=\"Plane\" />\n"
"          <Proxy group=\"implicit_functions\"\n"
"                 name=\"Sphere\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property sets the type of clip geometry, and\n"
"        associated parameters.</Documentation>\n"
"      </ProxyProperty>\n"
"      <!-- Mass Array-->\n"
"      <StringVectorProperty clean_command=\"UnselectAllMassArrays\"\n"
"                            command=\"SelectMassArray\"\n"
"                            label=\"Select Mass Arrays\"\n"
"                            name=\"SelectMassArray\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_FLOAT VTK_DOUBLE\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <!-- override gui no to set default -->\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>Mass arrays are paired with material fraction arrays.\n"
"        This means that the first selected material fraction array is paired\n"
"        with the first selected mass array, and so on sequentially. As the\n"
"        filter identifies voxels meeting the minimum material fraction\n"
"        threshold, these voxel's mass will be used in fragment center of mass\n"
"        and mass calculation. A warning is generated if no mass array is\n"
"        selected for an individual material fraction array. However, in that\n"
"        case the filter will run without issue because the statistics output\n"
"        can be generated using fragments' centers computed from axis aligned\n"
"        bounding boxes.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- Volume weighted average Array -->\n"
"      <StringVectorProperty clean_command=\"UnselectAllVolumeWtdAvgArrays\"\n"
"                            command=\"SelectVolumeWtdAvgArray\"\n"
"                            label=\"Compute volume weighted average over:\"\n"
"                            name=\"SelectVolumeWtdAvgArray\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Specifies the arrays from which to volume weighted\n"
"        average.</Documentation>\n"
"        <ArrayListDomain data_type=\"VTK_FLOAT VTK_DOUBLE\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <!-- override gui no to set default -->\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>For arrays selected a volume weighted average is\n"
"        computed. The values of these arrays are also copied into fragment\n"
"        geometry cell data as the fragment surfaces are\n"
"        generated.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- Mass weighted average Array -->\n"
"      <StringVectorProperty clean_command=\"UnselectAllMassWtdAvgArrays\"\n"
"                            command=\"SelectMassWtdAvgArray\"\n"
"                            label=\"Compute mass weighted average over:\"\n"
"                            name=\"SelectMassWtdAvgArray\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain data_type=\"VTK_FLOAT VTK_DOUBLE\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <!-- override gui no to set default -->\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>For arrays selected a mass weighted average is computed.\n"
"        These arrays are also copied into fragment geometry cell data as the\n"
"        fragment surfaces are generated.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- do not remove -->\n"
"      <!-- Summation Array\n"
"     <StringVectorProperty\n"
"       name=\"SelectSummationArray\"\n"
"       command=\"SelectSummationArray\"\n"
"       clean_command=\"UnselectAllSummationArrays\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\"\n"
"       label=\"Compute summation over:\">\n"
"       <Documentation>\n"
"         Specifies the arrays from which to sum over fragments.\n"
"       </Documentation>\n"
"\n"
"       <ArrayListDomain\n"
"         name=\"array_list\"\n"
"         data_type=\"VTK_FLOAT VTK_DOUBLE\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Hints>\n"
"         <NoDefault />\n"
"       </Hints>\n"
"     </StringVectorProperty>-->\n"
"      <!-- Compute OBB -->\n"
"      <IntVectorProperty command=\"SetComputeOBB\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeOBB\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Compute Object Oriented Bounding boxes (OBB). When\n"
"        active the result of this computation is copied into the statistics\n"
"        output. In the case that the filter is built in its validation mode,\n"
"        the OBB's are rendered.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- Write a csv file:\n"
"          This is not an excel compatible file, it has more\n"
"          information that is stored in headers. Also commas\n"
"          are used on tuple boundaries while spaces are used\n"
"          on component boundaries.-->\n"
"      <IntVectorProperty command=\"SetWriteGeometryOutput\"\n"
"                         default_values=\"0\"\n"
"                         name=\"WriteGeometryOutput\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set, then the geometry output is\n"
"        written to a text file. The file name will be constructed using the\n"
"        path in the \"Output Base Name\" widget.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetWriteStatisticsOutput\"\n"
"                         default_values=\"0\"\n"
"                         name=\"WriteStatisticsOutput\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set, then the statistics output is\n"
"        written to a text file. The file name will be constructed using the\n"
"        path in the \"Output Base Name\" widget.</Documentation>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersMaterialInterface/Resources/material_interface_filters.xml
static const char* const paraview_server_managermaterial_interface_filtersInterface1 =
"      </IntVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetOutputBaseName\"\n"
"                            name=\"OutputBaseName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>This property specifies the base including path of where\n"
"        to write the statistics and geometry output text files. It follows the\n"
"        pattern \"/path/to/folder/and/file\" here file has no extension, as the\n"
"        filter will generate a unique extension.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- do not remove\n"
"      this is a feature that most users should not\n"
"      need. If memory usage becomes a problem then\n"
"      this gives the user more control over excluding\n"
"      highly loaded processes from memory intesive operations. -->\n"
"      <!-- loading bounds\n"
"     <IntVectorProperty\n"
"       name=\"UpperLoadingBound\"\n"
"       command=\"SetUpperLoadingBound\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"-1\"\n"
"       label=\"Loading Bound\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"-1\" max=\"2000000000\" />\n"
"       <Documentation>\n"
"         Bound in polygons above which process are excluded from work sharing.\n"
"       </Documentation>\n"
"     </IntVectorProperty>-->\n"
"      <!-- End MaterialInterfaceFilter -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managermaterial_interface_filtersGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managermaterial_interface_filtersInterface0);
  const size_t len1 = strlen(paraview_server_managermaterial_interface_filtersInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managermaterial_interface_filtersInterface0, paraview_server_managermaterial_interface_filtersInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managermaterial_interface_filtersInterface1, paraview_server_managermaterial_interface_filtersInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Animation/Resources/animation.xml
static const char* const paraview_server_manageranimationInterface0 =
"<!-- Proxy definitions for Animation related proxies -->\n"
"<ServerManagerConfiguration>\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"animation\">\n"
"    <Proxy name=\"AnimationCueBase\">\n"
"      <Documentation>Internal base interface for all animation\n"
"      cues.</Documentation>\n"
"      <IntVectorProperty command=\"SetTimeMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"TimeMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Normalized\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Relative\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetStartTime\"\n"
"                            default_values=\"0\"\n"
"                            name=\"StartTime\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetEndTime\"\n"
"                            default_values=\"1\"\n"
"                            name=\"EndTime\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetAnimatedElement\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AnimatedElement\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enables this animation cue.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of AnimationCueBase -->\n"
"    </Proxy>\n"
"    <ComparativeAnimationCueProxy class=\"vtkPVComparativeAnimationCue\"\n"
"                                  name=\"ComparativeAnimationCue\"\n"
"                                  processes=\"client\">\n"
"      <Documentation>Animation cue used by comparative views.</Documentation>\n"
"      <IntVectorProperty command=\"SetAnimatedElement\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AnimatedElement\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enables this animation cue.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty argument_type=\"SMProxy\"\n"
"                     clean_command=\"RemoveAnimatedProxy\"\n"
"                     command=\"SetAnimatedProxy\"\n"
"                     name=\"AnimatedProxy\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <StringVectorProperty command=\"SetAnimatedPropertyName\"\n"
"                            name=\"AnimatedPropertyName\"\n"
"                            number_of_elements=\"1\"></StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetAnimatedDomainName\"\n"
"                            name=\"AnimatedDomainName\"\n"
"                            number_of_elements=\"1\"></StringVectorProperty>\n"
"      <!-- end of ComparativeAnimationCue -->\n"
"    </ComparativeAnimationCueProxy>\n"
"    <Proxy base_proxygroup=\"animation\"\n"
"           base_proxyname=\"AnimationCueBase\"\n"
"           class=\"vtkPVKeyFrameAnimationCueForProxies\"\n"
"           name=\"KeyFrameAnimationCue\"\n"
"           processes=\"client\">\n"
"      <Documentation>Animation cue with keyframes.</Documentation>\n"
"      <ProxyProperty argument_type=\"SMProxy\"\n"
"                     clean_command=\"RemoveAnimatedProxy\"\n"
"                     command=\"SetAnimatedProxy\"\n"
"                     name=\"AnimatedProxy\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <StringVectorProperty command=\"SetAnimatedPropertyName\"\n"
"                            name=\"AnimatedPropertyName\"\n"
"                            number_of_elements=\"1\"></StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetAnimatedDomainName\"\n"
"                            name=\"AnimatedDomainName\"\n"
"                            number_of_elements=\"1\"></StringVectorProperty>\n"
"      <ProxyProperty command=\"AddKeyFrame\"\n"
"                     name=\"KeyFrames\"\n"
"                     remove_command=\"RemoveKeyFrame\"\n"
"                     repeat_command=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"animation_keyframes\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"GetLastAddedKeyFrameIndex\"\n"
"                         information_only=\"1\"\n"
"                         name=\"LastAddedKeyFrameIndex\"></IntVectorProperty>\n"
"      <!-- End of KeyFrameAnimationCue -->\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"animation\"\n"
"           base_proxyname=\"AnimationCueBase\"\n"
"           class=\"vtkPVCameraAnimationCue\"\n"
"           name=\"CameraAnimationCue\"\n"
"           processes=\"client\">\n"
"      <Documentation>Animation cue which can be used for animating Camera using\n"
"      keyframes.</Documentation>\n"
"      <ProxyProperty command=\"SetView\"\n"
"                     name=\"AnimatedProxy\"></ProxyProperty>\n"
"      <IntVectorProperty command=\"SetMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Mode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Interpolate Camera\" value=\"0\" />\n"
"          <Entry text=\"Path-based\" value=\"1\" />\n"
"          <Entry text=\"Follow-data\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolationMode\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Interpolation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Linear\" value=\"0\" />\n"
"          <Entry text=\"Spline\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty command=\"AddKeyFrame\"\n"
"                     name=\"KeyFrames\"\n"
"                     remove_command=\"RemoveKeyFrame\"\n"
"                     repeat_command=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"animation_keyframes\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"GetLastAddedKeyFrameIndex\"\n"
"                         information_only=\"1\"\n"
"                         name=\"LastAddedKeyFrameIndex\">\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty name=\"DataSource\"\n"
"                     argument_type=\"SMProxy\"\n"
"                     command=\"SetDataSourceProxy\">\n"
"      </ProxyProperty>\n"
"      <!-- End of CameraAnimationCue -->\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"animation\"\n"
"           base_proxyname=\"KeyFrameAnimationCue\"\n"
"           class=\"vtkPVKeyFrameAnimationCueForProxies\"\n"
"           name=\"TimeAnimationCue\"\n"
"           processes=\"client\">\n"
"      <Documentation>This is same as KeyFrameAnimationCue except that it has a\n"
"      new property \"UseAnimationTime\" which when set overrides the keyframes\n"
"      all together and directly uses the animation clock time to update the\n"
"      animated property.</Documentation>\n"
"      <IntVectorProperty command=\"SetUseAnimationTime\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseAnimationTime\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When enabled, the animated property is directly updated\n"
"        with the value of the Animation clock. Default value it\n"
"        true.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- end of TimeAnimationCue -->\n"
"    </Proxy>\n"
"    <!--Scene -->\n"
"    <AnimationSceneProxy class=\"vtkSMAnimationScene\"\n"
"                         name=\"AnimationScene\"\n"
"                         processes=\"client\">\n"
"      <Documentation>Proxy for animation scene.</Documentation>\n"
"      <ProxyProperty argument_type=\"SMProxy\"\n"
"                     clean_command=\"RemoveAllViewProxies\"\n"
"                     command=\"AddViewProxy\"\n"
"                     name=\"ViewModules\"\n"
"                     repeat_command=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"views\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>Add views to this scene. These are all the views that\n"
"        need to be updated when playing the animation.</Documentation>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"AddCue\"\n"
"                     name=\"Cues\"\n"
"                     remove_command=\"RemoveCue\"\n"
"                     repeat_command=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"animation\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>Add cues to this scene.</Documentation>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty command=\"SetSceneTime\"\n"
"                            default_values=\"none\"\n"
"                            name=\"AnimationTime\"\n"
"                            number_of_elements=\"1\" >\n"
"        <Documentation>Set the current animation time.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetStartTime\"\n"
"                            default_values=\"0.0\"\n"
"                            label=\"Start Time\"\n"
"                            name=\"StartTime\"\n"
"                            number_of_elements=\"1\" >\n"
"        <Documentation>Set the start time for the animation\n"
"        scene.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetEndTime\"\n"
"                            default_values=\"1.0\"\n"
"                            label=\"End Time\"\n"
"                            name=\"EndTime\"\n"
"                            number_of_elements=\"1\" >\n"
"        <Documentation>Set the end time for the animation\n"
"        scene.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetLockStartTime\"\n"
"                         default_values=\"0\"\n"
"                         name=\"LockStartTime\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set the StartTime will not be changed when the data\n"
"        time steps change.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLockEndTime\"\n"
"                         default_values=\"0\"\n"
"                         name=\"LockEndTime\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set the EndTime will not be changed when the data\n"
"        time steps change.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty argument_type=\"SMProxy\"\n"
"                     command=\"SetTimeKeeper\"\n"
"                     name=\"TimeKeeper\">\n"
"        <Documentation>Set the time keeper. Time keeper is used to obtain the\n"
"        information about timesteps. This is required to play animation in\n"
"        \"Snap To Timesteps\" mode.</Documentation>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"SetLoop\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Loop\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set to true to play the animation in a\n"
"        loop.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Property command=\"Play\"\n"
"                name=\"Play\" />\n"
"      <Property command=\"Reverse\"\n"
"                name=\"Reverse\" />\n"
"      <Property command=\"Stop\"\n"
"                name=\"Stop\" />\n"
"      <Property command=\"GoToNext\"\n"
"                name=\"GoToNext\" />\n"
"      <Property command=\"GoToPrevious\"\n"
"                name=\"GoToPrevious\" />\n"
"      <Property command=\"GoToFirst\"\n"
"                name=\"GoToFirst\" />\n"
"      <Property command=\"GoToLast\"\n"
"                name=\"GoToLast\" />\n"
"      <IntVectorProperty command=\"SetPlayMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PlayMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Sequence\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Real Time\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Snap To TimeSteps\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfFrames\"\n"
"                         default_values=\"10\"\n"
"                         name=\"NumberOfFrames\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Set the number of frames in which to play the\n"
"        animation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDuration\"\n"
"                         default_values=\"10\"\n"
"                         name=\"Duration\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the duration for playing the animation in\n"
"        seconds.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFramesPerTimestep\"\n"
"                         default_values=\"1\"\n"
"                         name=\"FramesPerTimestep\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The number of frames per timestep.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetStride\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Stride\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Set the frame stride when playing the animation\n"
"        and going to the next/previous step.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of AnimationScene -->\n"
"    </AnimationSceneProxy>\n"
"    <!-- End of animation -->\n"
"  </ProxyGroup>\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"animation_keyframes\">\n"
"    <!-- .................................................................. -->\n"
"    <Proxy class=\"vtkPVKeyFrame\"\n"
"           name=\"KeyFrame\"\n"
"           processes=\"client\">\n"
"      <DoubleVectorProperty command=\"SetKeyTime\"\n"
"                            default_values=\"0.0\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Animation/Resources/animation.xml
static const char* const paraview_server_manageranimationInterface1 =
"                            name=\"KeyTime\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0.0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty clean_command=\"RemoveAllKeyValues\"\n"
"                            command=\"SetKeyValue\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"KeyValues\"\n"
"                            number_of_elements=\"1\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\"></DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <!-- .................................................................. -->\n"
"    <Proxy base_proxygroup=\"animation_keyframes\"\n"
"           base_proxyname=\"KeyFrame\"\n"
"           class=\"vtkPVCompositeKeyFrame\"\n"
"           name=\"CompositeKeyFrame\"\n"
"           processes=\"client\">\n"
"      <IntVectorProperty command=\"SetType\"\n"
"                         default_values=\"2\"\n"
"                         label=\"Interpolation\"\n"
"                         name=\"Type\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Boolean\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Ramp\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Exponential\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Sinusoid\"\n"
"                 value=\"4\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBase\"\n"
"                            default_values=\"2.0\"\n"
"                            name=\"Base\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetStartPower\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"StartPower\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetEndPower\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"EndPower\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPhase\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Phase\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFrequency\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Frequency\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOffset\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Offset\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <!-- End of CompositeKeyFrame -->\n"
"    </Proxy>\n"
"    <!-- .................................................................. -->\n"
"    <Proxy base_proxygroup=\"animation_keyframes\"\n"
"           base_proxyname=\"KeyFrame\"\n"
"           class=\"vtkPVBooleanKeyFrame\"\n"
"           name=\"BooleanKeyFrame\"\n"
"           processes=\"client\"></Proxy>\n"
"    <!-- .................................................................. -->\n"
"    <Proxy base_proxygroup=\"animation_keyframes\"\n"
"           base_proxyname=\"KeyFrame\"\n"
"           class=\"vtkPVRampKeyFrame\"\n"
"           name=\"RampKeyFrame\"\n"
"           processes=\"client\"></Proxy>\n"
"    <!-- .................................................................. -->\n"
"    <Proxy base_proxygroup=\"animation_keyframes\"\n"
"           base_proxyname=\"KeyFrame\"\n"
"           class=\"vtkPVExponentialKeyFrame\"\n"
"           name=\"ExponentialKeyFrame\"\n"
"           processes=\"client\">\n"
"      <DoubleVectorProperty command=\"SetBase\"\n"
"                            default_values=\"2.0\"\n"
"                            name=\"Base\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetStartPower\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"StartPower\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetEndPower\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"EndPower\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <!-- .................................................................. -->\n"
"    <Proxy base_proxygroup=\"animation_keyframes\"\n"
"           base_proxyname=\"KeyFrame\"\n"
"           class=\"vtkPVSinusoidKeyFrame\"\n"
"           name=\"SinusoidKeyFrame\"\n"
"           processes=\"client\">\n"
"      <DoubleVectorProperty command=\"SetPhase\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Phase\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFrequency\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Frequency\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOffset\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Offset\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <!-- .................................................................. -->\n"
"    <Proxy base_proxygroup=\"animation_keyframes\"\n"
"           base_proxyname=\"KeyFrame\"\n"
"           class=\"vtkPVCameraKeyFrame\"\n"
"           name=\"CameraKeyFrame\"\n"
"           processes=\"client\">\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFocalPoint\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"FocalPoint\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetViewUp\"\n"
"                            default_values=\"0.0 1.0 0.0\"\n"
"                            name=\"ViewUp\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetViewAngle\"\n"
"                            default_values=\"30\"\n"
"                            name=\"ViewAngle\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetParallelScale\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"ParallelScale\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <!-- These are properties for the new style camera interpolation\n"
"           using path\n"
"      -->\n"
"      <DoubleVectorProperty clean_command=\"ClearPositionPath\"\n"
"                            command=\"AddPositionPathPoint\"\n"
"                            default_values=\"5 0 0 5 5 0 5 0 0\"\n"
"                            name=\"PositionPathPoints\"\n"
"                            number_of_elements=\"9\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty clean_command=\"ClearFocalPath\"\n"
"                            command=\"AddFocalPathPoint\"\n"
"                            default_values=\"0 0 0 1 0 0\"\n"
"                            name=\"FocalPathPoints\"\n"
"                            number_of_elements=\"6\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\"></DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPositionMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PositionMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Path\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"FixedDirection\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"LookAhead\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Orthogonal\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFocalPointMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FocalPointMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Path\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"FixedDirection\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"LookAhead\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Orthogonal\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetClosedFocalPath\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ClosedFocalPath\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetClosedPositionPath\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ClosedPositionPath\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- end of CameraKeyFrame -->\n"
"    </Proxy>\n"
"    <!-- end of keyframes -->\n"
"  </ProxyGroup>\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"animation_writers\">\n"
"    <Proxy name=\"JPEG\" class=\"vtkJPEGWriter\" process=\"client\"\n"
"      base_proxygroup=\"screenshot_writers\"\n"
"      base_proxyname=\"JPEG\">\n"
"      <StringVectorProperty name=\"SuffixFormat\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\".%04d\">\n"
"        <Documentation>\n"
"          Specify the suffix format string to use to add a suffix to the output\n"
"          filenames based on the current timestep number.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"PNG\" class=\"vtkPNGWriter\" process=\"client\"\n"
"      base_proxygroup=\"screenshot_writers\"\n"
"      base_proxyname=\"PNG\">\n"
"      <StringVectorProperty name=\"SuffixFormat\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\".%04d\">\n"
"        <Documentation>\n"
"          Specify the suffix format string to use to add a suffix to the output\n"
"          filenames based on the current timestep number.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"TIFF\" class=\"vtkTIFFWriter\" process=\"client\"\n"
"      base_proxygroup=\"screenshot_writers\"\n"
"      base_proxyname=\"TIFF\">\n"
"      <StringVectorProperty name=\"SuffixFormat\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\".%04d\">\n"
"        <Documentation>\n"
"          Specify the suffix format string to use to add a suffix to the output\n"
"          filenames based on the current timestep number.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"BMP\" class=\"vtkBMPWriter\" process=\"client\"\n"
"      base_proxygroup=\"screenshot_writers\"\n"
"      base_proxyname=\"BMP\">\n"
"      <StringVectorProperty name=\"SuffixFormat\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\".%04d\">\n"
"        <Documentation>\n"
"          Specify the suffix format string to use to add a suffix to the output\n"
"          filenames based on the current timestep number.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"misc\">\n"
"    <!-- .................................................................. -->\n"
"    <Proxy class=\"vtkPVRepresentationAnimationHelper\"\n"
"           name=\"RepresentationAnimationHelper\"\n"
"           processes=\"client\">\n"
"      <Documentation>Used to help in animation representation\n"
"      properties.</Documentation>\n"
"      <ProxyProperty argument_type=\"SMProxy\"\n"
"                     command=\"SetSourceProxy\"\n"
"                     name=\"Source\" />\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"none\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOpacity\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0.0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of RepresentationAnimationHelper -->\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"misc\">\n"
"    <!-- .................................................................. -->\n"
"    <SaveAnimationProxy name=\"SaveAnimation\" processes=\"client\"\n"
"      label=\"Save Animation\"\n"
"      base_proxygroup=\"misc\"\n"
"      base_proxyname=\"SaveScreenshotBase\">\n"
"\n"
"      <ProxyProperty name=\"Format\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"animation_writers\" />\n"
"        </ProxyListDomain>\n"
"        <Hints>\n"
"          <ProxySelectionWidget enabled=\"0\" />\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"\n"
"      <ProxyProperty name=\"AnimationScene\" panel_visibility=\"never\" />\n"
"\n"
"      <IntVectorProperty name=\"FrameRate\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          Frame rate in frames-per-second (FPS).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FrameStride\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"        <Documentation>\n"
"          The stride which is used to extract the next frame.\n"
"          E.g. 1, 2, 3, would have frame stride = 1, while 1, 3, 5 would have frame stride = 2.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FrameWindow\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"none\"\n"
"        panel_visibility=\"advanced\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Animation/Resources/animation.xml
static const char* const paraview_server_manageranimationInterface2 =
"        <AnimationFrameWindowDomain name=\"range\" default_mode=\"min,max\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"AnimationScene\" function=\"AnimationScene\" />\n"
"            <Property name=\"FrameRate\" function=\"FrameRate\" />\n"
"          </RequiredProperties>\n"
"        </AnimationFrameWindowDomain>\n"
"        <Documentation>\n"
"          Specify a window to save only a part of the animation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Size and Scaling\">\n"
"        <Property name=\"SaveAllViews\" />\n"
"        <Property name=\"ImageResolution\" />\n"
"        <Property name=\"FontScaling\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Separator Options\" >\n"
"        <Property name=\"SeparatorWidth\" />\n"
"        <Property name=\"SeparatorColor\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Coloring\">\n"
"        <Property name=\"OverrideColorPalette\" />\n"
"        <Property name=\"StereoMode\" />\n"
"        <Property name=\"TransparentBackground\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"File Options\">\n"
"        <Property name=\"Format\" />\n"
"      </PropertyGroup>\n"
"      <!--\n"
"           FIXME:\n"
"      <PropertyGroup label=\"Compression Options\">\n"
"        <Property name=\"ImageQuality\" />\n"
"      </PropertyGroup>\n"
"      -->\n"
"\n"
"      <PropertyGroup label=\"Animation Options\">\n"
"        <Property name=\"FrameRate\" />\n"
"        <Property name=\"FrameStride\" />\n"
"        <Property name=\"FrameWindow\" />\n"
"      </PropertyGroup>\n"
"\n"
"    </SaveAnimationProxy>\n"
"\n"
"    <SaveAnimationExtractsProxy name=\"SaveAnimationExtracts\" processes=\"client\">\n"
"\n"
"      <StringVectorProperty name=\"ExtractsOutputDirectory\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"extracts\">\n"
"        <Documentation>\n"
"          Choose directory under which to save all extracts.\n"
"        </Documentation>\n"
"        <FileListDomain name=\"directory\" />\n"
"        <Hints>\n"
"          <UseDirectoryName />\n"
"          <AcceptAnyFile />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GenerateCinemaSpecification\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Generate Cinema specification to summarize generated extracts in a file named\n"
"          **data.csv** under the **Extracts Output Directory**.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"AnimationScene\" panel_visibility=\"never\"/>\n"
"\n"
"      <IntVectorProperty name=\"FrameRate\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"        <Documentation>\n"
"          Frame rate in frames-per-second (FPS).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FrameStride\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"        <Documentation>\n"
"          The stride which is used to extract the next frame.\n"
"          E.g. 1, 2, 3, would have frame stride = 1, while 1, 3, 5 would have frame stride = 2.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FrameWindow\"\n"
"                         number_of_elements=\"2\"\n"
"                         default_values=\"none\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <AnimationFrameWindowDomain name=\"range\" default_mode=\"min,max\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"AnimationScene\" function=\"AnimationScene\"/>\n"
"            <Property name=\"FrameRate\" function=\"FrameRate\"/>\n"
"          </RequiredProperties>\n"
"        </AnimationFrameWindowDomain>\n"
"        <Documentation>\n"
"          Specify a window to save only a part of the animation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Animation Options\">\n"
"        <Property name=\"FrameRate\"/>\n"
"        <Property name=\"FrameStride\"/>\n"
"        <Property name=\"FrameWindow\"/>\n"
"      </PropertyGroup>\n"
"    </SaveAnimationExtractsProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_manageranimationGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_manageranimationInterface0);
  const size_t len1 = strlen(paraview_server_manageranimationInterface1);
  const size_t len2 = strlen(paraview_server_manageranimationInterface2);
  size_t len = ( 0
    + len0
    + len1
    + len2 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_manageranimationInterface0, paraview_server_manageranimationInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_manageranimationInterface1, paraview_server_manageranimationInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_manageranimationInterface2, paraview_server_manageranimationInterface2 + len2, res + offset); offset += len2;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Animation/Resources/writers_animation.xml
static const char* const paraview_server_managerwriters_animationInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"writers\">\n"
"    <!-- ================================================================= -->\n"
"    <SourceProxy class=\"vtkXMLPVAnimationWriter\"\n"
"                 name=\"XMLPVAnimationWriter\">\n"
"      <Documentation>Internal writer proxy used when saving animation geometry\n"
"      to save all parts of the current source to the file with pieces spread\n"
"      across the server processes.</Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllRepresentations\"\n"
"                     command=\"AddRepresentation\"\n"
"                     name=\"Representations\"\n"
"                     repeat_command=\"1\"\n"
"                     si_class=\"vtkSIXMLAnimationWriterRepresentationProperty\">\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\">\n"
"        <Documentation>Name of the file to write.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Property command=\"Start\"\n"
"                name=\"Start\">\n"
"        <Documentation>Used to begin writing of the animation</Documentation>\n"
"      </Property>\n"
"      <DoubleVectorProperty command=\"WriteTime\"\n"
"                            default_values=\"0.0\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"WriteTime\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Write each time step in the animation</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Property command=\"Finish\"\n"
"                name=\"Finish\">\n"
"        <Documentation>Finish writing animation</Documentation>\n"
"      </Property>\n"
"      <IntVectorProperty command=\"GetErrorCode\"\n"
"                         information_only=\"1\"\n"
"                         name=\"ErrorCode\"></IntVectorProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\"\n"
"                  show=\"0\" />\n"
"        <Property name=\"FileName\"\n"
"                  show=\"0\" />\n"
"      </Hints>\n"
"      <!-- End of XMLPVAnimationWriter -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerwriters_animationGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerwriters_animationInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerwriters_animationInterface0, paraview_server_managerwriters_animationInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Animation/Resources/animation_python.xml
static const char* const paraview_server_manageranimation_pythonInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"animation\">\n"
"    <Proxy class=\"vtkPythonAnimationCue\"\n"
"           name=\"PythonAnimationCue\"\n"
"           processes=\"client\">\n"
"      <Documentation>Animation cue that can use python script for\n"
"      animation.</Documentation>\n"
"      <IntVectorProperty command=\"SetEnabled\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Enabled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Enables this animation cue.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTimeMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"TimeMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Normalized\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Relative\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetStartTime\"\n"
"                            default_values=\"0\"\n"
"                            name=\"StartTime\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetEndTime\"\n"
"                            default_values=\"1\"\n"
"                            name=\"EndTime\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetScript\"\n"
"                            default_values=\"def start_cue(self): pass&#xa;&#xa;def tick(self): pass&#xa;&#xa;def end_cue(self): pass\"\n"
"                            name=\"Script\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" />\n"
"        </Hints>\n"
"        <Documentation>This property contains the text for the script to\n"
"        execute.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- end of PythonAnimationCue -->\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_manageranimation_pythonGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_manageranimation_pythonInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_manageranimation_pythonInterface0, paraview_server_manageranimation_pythonInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Animation/Resources/animation_oggtheora.xml
static const char* const paraview_server_manageranimation_oggtheoraInterface0 =
"<!-- Proxy definitions for OggTheora writer -->\n"
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"animation_writers\">\n"
"    <Proxy name=\"OggTheora\" class=\"vtkOggTheoraWriter\" processes=\"client\" label=\"Ogg-Theora\">\n"
"      <Documentation>\n"
"        Writer for saving ogv files.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Quality\"\n"
"        command=\"SetQuality\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\">\n"
"        <Documentation>\n"
"          Specify the compression quality. **0** is worst quality (smallest file size),\n"
"          and **2** is best quality (largest file size).\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"0\" value=\"0\" info=\"worst quality, smaller file\" />\n"
"          <Entry text=\"1\" value=\"1\" />\n"
"          <Entry text=\"2\" value=\"2\" info=\"best quality, larger file\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"Compression\" value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FrameRate\"\n"
"        command=\"SetRate\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"15\"\n"
"        panel_visibility=\"never\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          Specify the frame rate in frames-per-second.\n"
"        </Documentation>\n"
"        <!-- ideally, this property is not hidden and we remove the \"FrameRate\"\n"
"             property on \"SaveAnimation\" proxy. However, the way the frame-window stuff is managed currently\n"
"             makes this hard. We need to rework frame-windowing logic too.\n"
"             -->\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseSubsampling\"\n"
"        command=\"SetSubsampling\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, the video will be encoded using 4:2:0 subsampling for the color channels.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <FormatOptions extensions=\"ogv\"\n"
"          file_description=\"Ogg-Theora video files\" />\n"
"      </Hints>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_manageranimation_oggtheoraGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_manageranimation_oggtheoraInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_manageranimation_oggtheoraInterface0, paraview_server_manageranimation_oggtheoraInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Settings/Resources/utilities_settings.xml
static const char* const paraview_server_managerutilities_settingsInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"settings\">\n"
"    <!-- ================================================================== -->\n"
"    <SettingsProxy name=\"GeneralSettings\" label=\"General\"\n"
"      processes=\"client|dataserver|renderserver\"\n"
"      class=\"vtkPVGeneralSettings\">\n"
"      <Documentation>\n"
"        Collection of general setting for ParaView.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"ShowWelcomeDialog\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Show welcome screen at startup.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <SaveInQSettings />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ShowSaveStateOnExit\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Prompt to save state when exiting ParaView.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <SaveInQSettings />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CrashRecovery\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          On a crash, attempt to save a state file to potentially restore\n"
"          the application state to that before the crash.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <SaveInQSettings />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceSingleColumnMenus\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Force the sources/filters menus to be presented as a single\n"
"          scrollable column to ensure that all the filters are selectable\n"
"          on low resolution screens.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <SaveInQSettings />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GUIOverrideFont\"\n"
"        label=\"Override Font\"\n"
"        command=\"SetGUIOverrideFont\"\n"
"        default_values=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Override the GUI font size. Uncheck to use system default.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GUIFontSize\"\n"
"        label=\"Font Size\"\n"
"        command=\"SetGUIFontSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"8\">\n"
"        <Documentation>\n"
"          Specify the font size in points.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"8\" max=\"32\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"GUIOverrideFont\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"DefaultViewType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"RenderView\"\n"
"        command=\"SetDefaultViewType\"\n"
"        panel_widget=\"viewtype_selector\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set the view to create when ParaView starts up.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ScreenPixelsPerInch\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"72\"\n"
"        panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Set pixels per inch on the current screen/monitor. This is used for determining\n"
"          pixel sizes for fonts and other 2D annotations.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AutoApply\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        command=\"SetAutoApply\"\n"
"        information_property=\"AutoApplyInfo\">\n"
"        <Documentation>\n"
"          Automatically apply changes in the 'Properties' panel.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"AutoApplyInfo\"\n"
"                         command=\"GetAutoApply\"\n"
"                         information_only=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AutoApplyActiveOnly\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        command=\"SetAutoApplyActiveOnly\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Limit automatic accepting of changes on the 'Properties'\n"
"          panel to the active panel alone.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LoadAllVariables\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        command=\"SetLoadAllVariables\">\n"
"        <Documentation>\n"
"          Load all variables when loading a data set.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LoadNoChartVariables\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        command=\"SetLoadNoChartVariables\">\n"
"        <Documentation>\n"
"          Do not load any variables when loading a 2D chart.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PropertiesPanelMode\"\n"
"        command=\"SetPropertiesPanelMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          You can choose to show source, display and view properties in a single\n"
"          'Properties' panel, or place them in separate dock panels.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Combined Properties panel\" value=\"0\" />\n"
"          <Entry text=\"Display Properties in a separate panel\" value=\"1\" />\n"
"          <Entry text=\"View Properties in a separate panel\" value=\"2\" />\n"
"          <Entry text=\"Separate panels for each type of properties\" value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <RestartRequired />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LockPanels\"\n"
"        command=\"SetLockPanels\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Prevent movement of dockable control panels to other positions.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <SaveInQSettings/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AutoConvertProperties\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        command=\"SetAutoConvertProperties\">\n"
"        <Documentation>\n"
"          Automatically convert data arrays as needed by filters including converting\n"
"          cell arrays to point arrays, or vice versa, and extracting single components\n"
"          from multi-component arrays.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"BlockColorsDistinctValues\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"12\"\n"
"                         command=\"SetBlockColorsDistinctValues\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Determines the number of distinct values in\n"
"          vtkBlockColors. This array is added to each block if\n"
"          the dataset is a composite dataset. The array has one value\n"
"          set to the reminder of blockIndex divided by\n"
"          BlockColorsDistinctValues (blockIndex mod\n"
"          BlockColorsDistinctValues).\n"
"        </Documentation>\n"
"        <IntRangeDomain min=\"2\" name=\"range\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ScalarBarMode\"\n"
"        command=\"SetScalarBarMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Set how ParaView manages showing of color legend bars (or scalar bars) in render views.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Automatically show and/or hide color bars\" value=\"0\" />\n"
"          <Entry text=\"Automatically hide unused color bars\" value=\"1\" />\n"
"          <Entry text=\"Manual (not recommended)\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CacheGeometryForAnimation\"\n"
"        command=\"SetCacheGeometryForAnimation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          <!--\n"
"          When playing an animation, ParaView can attempt to cache processed geometries\n"
"          to attempt to speed up animation play back in a loop by avoiding I/O and data\n"
"          processing. Set whether caching should be use, when possible.\n"
"          -->\n"
"          Enable caching of geometry in an attempt to speed up animation playback in a loop.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--\n"
"        Disabling for now. We need a more complex implementation if we need to truly support\n"
"        cache limits correctly. For now, we'll disable cache-limits.\n"
"      <IntVectorProperty name=\"AnimationGeometryCacheLimit\"\n"
"        command=\"SetAnimationGeometryCacheLimit\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"102400\"\n"
"        panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          When caching of geometry for animations is enabled, limit the maximum cache size\n"
"          for the geometry on any rank. Caching will automatically be disabled if the cache\n"
"          exceed this limit on any rank, specified in kilobytes (KB).\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"CacheGeometryForAnimation\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      -->\n"
"\n"
"      <IntVectorProperty name=\"AnimationTimeNotation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        command=\"SetAnimationTimeNotation\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set the display notation for the time in the animation toolbar. 'Mixed' will automatically\n"
"          choose the shortest display.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\" value=\"0\" />\n"
"          <Entry text=\"Scientific\" value=\"1\" />\n"
"          <Entry text=\"Fixed\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AnimationTimePrecision\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"6\"\n"
"        command=\"SetAnimationTimePrecision\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set the number of significant digits displayed for the time in the animation\n"
"          toolbar. Should be in the range [1,17].\n"
"        </Documentation>\n"
"        <IntRangeDomain min=\"1\" max=\"17\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ShowAnimationShortcuts\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        command=\"SetShowAnimationShortcuts\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set whether to show or not an animation shortcut button\n"
"          on ranged scalar property.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ResetDisplayEmptyViews\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        command=\"SetResetDisplayEmptyViews\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          When showing a representation in an empty view, set whether or not to reset\n"
"          the view display.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"RealNumberDisplayedNotation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        command=\"SetRealNumberDisplayedNotation\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set the notation used to display real numbers.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\" value=\"0\" />\n"
"          <Entry text=\"Scientific\" value=\"1\" />\n"
"          <Entry text=\"Fixed\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"RealNumberDisplayedPrecision\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"6\"\n"
"        command=\"SetRealNumberDisplayedPrecision\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set the number of significant digits to display in real numbers.\n"
"          This does NOT affect the values used in computation.\n"
"        </Documentation>\n"
"        <IntRangeDomain min=\"1\" max=\"17\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"InheritRepresentationProperties\"\n"
"        command=\"SetInheritRepresentationProperties\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"           Set whether representations try to maintain properties from an input\n"
"           representation, if present. e.g. if you \"Transform\" the representation for\n"
"           a source, then any filter that you connect to it and show in the same view\n"
"           should be transformed using the same transformation as well.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"DefaultTimeStep\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <Documentation>\n"
"          Any time a new dataset with timesteps is opened,\n"
"          set the timestep the application should go to\n"
"          by default.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Leave current time unchanged, if possible\" value=\"0\" />\n"
"          <Entry text=\"Go to first timestep\" value=\"1\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Settings/Resources/utilities_settings.xml
static const char* const paraview_server_managerutilities_settingsInterface1 =
"          <Entry text=\"Go to last timestep\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"MaximumNumberOfDataRepresentationLabels\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"100\"\n"
"        panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>\n"
"          Set how many points should be labeled when labeling points with data.  If there\n"
"          are more point than this then only a subset will be labeled.  This helps when many\n"
"          points are selected and the number of labels would make then unreadable.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ColorByBlockColorsOnApply\"\n"
"        command=\"SetColorByBlockColorsOnApply\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Internal setting: automatically color by **vtkBlockColors** if array is present.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"IgnoreNegativeLogAxisWarning\"\n"
"        command=\"SetIgnoreNegativeLogAxisWarning\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When plotting data with nonpositive values using logarithmic axes, ignore the\n"
"	  standard warning and draw only the data with positive values. Changes will take\n"
"	  effect for all charts created after this option is changed.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"EnableStreaming\"\n"
"        command=\"SetEnableStreaming\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"default\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable streamed multipass rendering (Experimental).\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <RestartRequired />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseAcceleratedFilters\"\n"
"        command=\"SetUseAcceleratedFilters\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"default\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Use VTK-m accelerated filters where available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SelectOnClickInMultiBlockInspector\"\n"
"        command=\"SetSelectOnClickMultiBlockInspector\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Create block selections when clicking on blocks in the MultiBlock Inspector (and other data assembly representation widgets).\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <RestartRequired />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"General Options\">\n"
"        <Property name=\"ShowWelcomeDialog\" />\n"
"        <Property name=\"ShowSaveStateOnExit\" />\n"
"        <Property name=\"CrashRecovery\" />\n"
"        <Property name=\"ForceSingleColumnMenus\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"GUI Font\">\n"
"        <Property name=\"GUIOverrideFont\"/>\n"
"        <Property name=\"GUIFontSize\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"View Options\">\n"
"        <Property name=\"DefaultViewType\" />\n"
"        <Property name=\"ScreenPixelsPerInch\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Properties Panel Options\">\n"
"        <Property name=\"AutoApply\" />\n"
"        <Property name=\"AutoApplyActiveOnly\" />\n"
"        <Property name=\"LoadAllVariables\" />\n"
"        <Property name=\"LoadNoChartVariables\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Color/Opacity Map Range Options\">\n"
"        <Property name=\"ScalarBarMode\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Data Processing Options\">\n"
"        <Property name=\"AutoConvertProperties\" />\n"
"        <Property name=\"BlockColorsDistinctValues\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Animation\">\n"
"        <Property name=\"CacheGeometryForAnimation\" />\n"
"        <!--\n"
"        <Property name=\"AnimationGeometryCacheLimit\" />\n"
"        -->\n"
"        <Property name=\"AnimationTimePrecision\" />\n"
"        <Property name=\"AnimationTimeNotation\" />\n"
"        <Property name=\"ShowAnimationShortcuts\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Miscellaneous\">\n"
"        <Property name=\"ResetDisplayEmptyViews\" />\n"
"        <Property name=\"RealNumberDisplayedNotation\" />\n"
"        <Property name=\"RealNumberDisplayedPrecision\" />\n"
"        <Property name=\"InheritRepresentationProperties\" />\n"
"        <Property name=\"DefaultTimeStep\" />\n"
"        <Property name=\"MaximumNumberOfDataRepresentationLabels\" />\n"
"        <Property name=\"IgnoreNegativeLogAxisWarning\" />\n"
"        <Property name=\"SelectOnClickInMultiBlockInspector\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <UseDocumentationForLabels />\n"
"      </Hints>\n"
"    </SettingsProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerutilities_settingsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerutilities_settingsInterface0);
  const size_t len1 = strlen(paraview_server_managerutilities_settingsInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerutilities_settingsInterface0, paraview_server_managerutilities_settingsInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerutilities_settingsInterface1, paraview_server_managerutilities_settingsInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/AMR/Resources/amr_filters.xml
static const char* const paraview_server_manageramr_filtersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVAMRDualClip\"\n"
"                 label=\"AMR Dual Clip\"\n"
"                 name=\"AMRDualClip\">\n"
"      <Documentation long_help=\"Clip with scalars.  Tetrahedra.\"\n"
"                     short_help=\"Clip with decimation.\"></Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkNonOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input of the\n"
"        filter.</Documentation>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"      </InputProperty>\n"
"      <StringVectorProperty clean_command=\"ClearInputCellArrayToProcess\"\n"
"                            command=\"AddInputCellArrayToProcess\"\n"
"                            name=\"SelectMaterialArrays\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_UNSIGNED_CHAR\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>This property specifies the cell arrays from which the\n"
"        clip filter will compute clipped cells.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetVolumeFractionSurfaceValue\"\n"
"                            default_values=\"0.1\"\n"
"                            label=\"Volume Fraction Value\"\n"
"                            name=\"VolumeFractionSurfaceValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0.0\"\n"
"                           name=\"scalar_range\" />\n"
"        <!--<RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"            <Property name=\"AddInputCellArrayToProcess\" function=\"ArraySelection\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>-->\n"
"        <Documentation>This property specifies the values at which to compute\n"
"        the isosurface.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetEnableInternalDecimation\"\n"
"                         default_values=\"1\"\n"
"                         name=\"InternalDecimation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is on, internal tetrahedra are\n"
"        decimation</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetEnableMultiProcessCommunication\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MultiprocessCommunication\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is off, each process executes\n"
"        independently.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetEnableMergePoints\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MergePoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Use more memory to merge points on the boundaries of\n"
"        blocks.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End PV AMR Dual Clip -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVAMRDualContour\"\n"
"                 label=\"AMR Contour\"\n"
"                 name=\"AMRDualContour\">\n"
"      <Documentation short_help=\"Iso surface cell array.\"></Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>This property specifies the input of the\n"
"        filter.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkNonOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"      </InputProperty>\n"
"      <StringVectorProperty clean_command=\"ClearInputCellArrayToProcess\"\n"
"                            command=\"AddInputCellArrayToProcess\"\n"
"                            name=\"SelectMaterialArrays\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_UNSIGNED_CHAR VTK_INT\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>This property specifies the cell arrays from which the\n"
"        contour filter will compute contour cells.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetVolumeFractionSurfaceValue\"\n"
"                            default_values=\"0.1\"\n"
"                            label=\"Volume Fraction Value\"\n"
"                            name=\"VolumeFractionSurfaceValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0.0\"\n"
"                           name=\"scalar_range\" />\n"
"        <!--<RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"            <Property name=\"AddInputCellArrayToProcess\" function=\"ArraySelection\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>-->\n"
"        <Documentation>This property specifies the values at which to compute\n"
"        the isosurface.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetEnableCapping\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Capping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is on, the the boundary of the data set\n"
"        is capped.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetEnableDegenerateCells\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DegenerateCells\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is on, a transition mesh between levels\n"
"        is created.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetEnableMultiProcessCommunication\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MultiprocessCommunication\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is off, each process executes\n"
"        independently.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetSkipGhostCopy\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SkipGhostCopy\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>A simple test to see if ghost values are already set\n"
"        properly.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetTriangulateCap\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Triangulate\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Use triangles instead of quads on capping\n"
"        surfaces.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetEnableMergePoints\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MergePoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Use more memory to merge points on the boundaries of\n"
"        blocks.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End AMR Dual Contour -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVAMRFragmentIntegration\"\n"
"                 label=\"AMR Fragment Integration\"\n"
"                 name=\"AMRFragmentIntegration\">\n"
"      <Documentation short_help=\"Fragment Integration\"></Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>This property specifies the volume input of the\n"
"        filter.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkNonOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"      </InputProperty>\n"
"      <StringVectorProperty clean_command=\"ClearInputVolumeArrayToProcess\"\n"
"                            command=\"AddInputVolumeArrayToProcess\"\n"
"                            name=\"SelectMaterialArrays\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_UNSIGNED_CHAR VTK_INT\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>This property specifies the cell arrays from which the\n"
"        analysis will determine fragments</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearInputMassArrayToProcess\"\n"
"                            command=\"AddInputMassArrayToProcess\"\n"
"                            name=\"SelectMassArrays\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_DOUBLE VTK_FLOAT\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>This property specifies the cell arrays from which the\n"
"        analysis will determine fragment mass</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearInputVolumeWeightedArrayToProcess\"\n"
"                            command=\"AddInputVolumeWeightedArrayToProcess\"\n"
"                            name=\"SelectVolumeWeightedArrays\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_DOUBLE VTK_FLOAT\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>This property specifies the cell arrays from which the\n"
"        analysis will determine volume weighted average values</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearInputMassWeightedArrayToProcess\"\n"
"                            command=\"AddInputMassWeightedArrayToProcess\"\n"
"                            name=\"SelectMassWeightedArrays\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_DOUBLE VTK_FLOAT\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>This property specifies the cell arrays from which the\n"
"        analysis will determine mass weighted average values</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End AMR Fragment Integration -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAMRConnectivity\"\n"
"                 label=\"AMR Connectivity\"\n"
"                 name=\"AMRConnectivity\">\n"
"      <Documentation short_help=\"Fragment Identification\"></Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>This property specifies the volume input of the\n"
"        filter.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkNonOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"      </InputProperty>\n"
"      <StringVectorProperty clean_command=\"ClearInputVolumeArrayToProcess\"\n"
"                            command=\"AddInputVolumeArrayToProcess\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/AMR/Resources/amr_filters.xml
static const char* const paraview_server_manageramr_filtersInterface1 =
"                            name=\"SelectMaterialArrays\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_UNSIGNED_CHAR VTK_INT\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>This property specifies the cell arrays from which the\n"
"        analysis will determine fragments</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetVolumeFractionSurfaceValue\"\n"
"                            default_values=\"0.1\"\n"
"                            label=\"Volume Fraction Value\"\n"
"                            name=\"VolumeFractionSurfaceValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0.0\"\n"
"                           name=\"scalar_range\" />\n"
"        <!--<RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"            <Property name=\"AddInputCellArrayToProcess\" function=\"ArraySelection\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>-->\n"
"        <Documentation>This property specifies the values at which to compute\n"
"        the isosurface.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetResolveBlocks\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Resolve Blocks\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Resolve the fragments between blocks.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPropagateGhosts\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Propagate Ghosts\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Propagate regionIds into the ghosts.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End AMR Fragment Integration -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAMRToMultiBlockFilter\"\n"
"                 label=\"Convert AMR dataset to Multi-block\"\n"
"                 name=\"AMRToMultiBlock\">\n"
"      <Documentation long_help=\"Convert AMR to Multiblock\"\n"
"                     short_help=\"Convert AMR to Multiblock\"></Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input for this\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAMRCutPlane\"\n"
"                 label=\"AMR CutPlane\"\n"
"                 name=\"AMRCutPlane\">\n"
"      <Documentation long_help=\"Planar Cut of an AMR grid dataset\"\n"
"                     short_help=\"Planar Cut of an AMR grid dataset\">This filter\n"
"                     creates a cut-plane of the</Documentation>\n"
"      <Deprecated deprecated_in=\"5.11\" to_remove_in=\"5.13\">\n"
"        AMR CutPlane has been deprecated, because it has been integrated inside the Slice with plane filter.\n"
"        Use the Slice with plane filter with Plane type = Plane to achieve the same functionality.\n"
"      </Deprecated>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input for this\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetUseNativeCutter\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseNativeCutter\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property specifies whether the ParaView's generic\n"
"        dataset cutter is used instead of the specialized AMR\n"
"        cutter.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLevelOfResolution\"\n"
"                         default_values=\"0\"\n"
"                         name=\"LevelOfResolution\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"100\"\n"
"                        min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Set maximum slice resolution.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCenter\"\n"
"                            default_values=\"0.5 0.5 0.5\"\n"
"                            label=\"Center\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"never\">\n"
"        <BoundsDomain default_mode=\"mid\" mode=\"normal\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetNormal\"\n"
"                            default_values=\"0 0 1\"\n"
"                            label=\"Normal\"\n"
"                            name=\"Normal\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"never\">\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Plane Parameters\" panel_widget=\"InteractivePlane\">\n"
"        <Property function=\"Origin\" name=\"Center\" />\n"
"        <Property function=\"Normal\" name=\"Normal\" />\n"
"        <Property function=\"Input\" name=\"Input\" />\n"
"      </PropertyGroup>\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAMRResampleFilter\"\n"
"                 label=\"Resample AMR\"\n"
"                 name=\"AMRResampleFilter\">\n"
"      <Documentation long_help=\"Converts AMR data to a uniform grid\"\n"
"                    short_help=\"Converts AMR data to a uniform grid\">This\n"
"                    filter allows the user to specify a Region of Interest(ROI)\n"
"                    within the AMR data-set and extract it as a uniform\n"
"                    grid.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input for this\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetDemandDrivenMode\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Demand-Driven Mode\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property specifies whether the resampling filter\n"
"        will operate in demand-driven mode or not.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTransferToNodes\"\n"
"                         default_values=\"1\"\n"
"                         name=\"TransferToNodes\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property specifies whether the solution will be\n"
"        transferred to the nodes of the extracted region or the\n"
"        cells.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfPartitions\"\n"
"                         default_values=\"1\"\n"
"                         name=\"NumberOfPartitions\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>Set the number of subdivisions for recursive coordinate\n"
"        bisection.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!--\n"
"     <IntVectorProperty\n"
"        name=\"LevelOfResolution\"\n"
"        command=\"SetLevelOfResolution\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"100\" />\n"
"        <Documentation>\n"
"          Set maximum slice resolution.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      -->\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetNumberOfSamples\"\n"
"                         default_values=\"10 10 10\"\n"
"                         name=\"Number of Samples\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>Sets the number of samples in each\n"
"        dimension</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetMin\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Min\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property sets the minimum 3-D coordinate location\n"
"        by which the particles will be filtered out.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetMax\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Max\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property sets the minimum 3-D coordinate location\n"
"        by which the particles will be filtered out.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAMRSliceFilter\"\n"
"                 label=\"Slice AMR data\"\n"
"                 name=\"AMRSlice\">\n"
"      <Documentation long_help=\"Slices AMR Data\"\n"
"                     short_help=\"Slices AMR Data\">\n"
"        This filter slices AMR data.\n"
"      </Documentation>\n"
"      <Deprecated deprecated_in=\"5.11\" to_remove_in=\"5.13\">\n"
"        Slice AMR data has been deprecated, because it has been integrated inside the Slice with plane filter.\n"
"        Use the Slice with plane filter with Plane type = Axis Aligned Plane to achieve the same functionality.\n"
"      </Deprecated>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input for this\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetMaxResolution\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Level\"\n"
"                         number_of_elements=\"1\">\n"
"        <AMRLevelsDomain default_mode=\"max\"\n"
"                         name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </AMRLevelsDomain>\n"
"        <Documentation>Set maximum slice resolution.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOffsetFromOrigin\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"OffSet\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain default_mode=\"mid\"\n"
"                      mode=\"extents\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"AxisFlags\"\n"
"                      name=\"Normal\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>Set's the offset from the origin of the\n"
"        data-set</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetNormal\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Normal\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"X-Normal\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Y-Normal\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Z-Normal\"\n"
"                 value=\"4\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property sets the normal of the\n"
"        slice.</Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAMRFragmentsFilter\"\n"
"                 label=\"AMR Fragments Filter\"\n"
"                 name=\"AMRFragmentsFilter\">\n"
"      <Documentation short_help=\"Meta Fragment filter\">Combines the running of\n"
"      AMRContour, AMRFragmentIntegration, AMRDualContour and ExtractCTHParts</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>This property specifies the volume input of the\n"
"        filter.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkNonOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"      </InputProperty>\n"
"      <StringVectorProperty clean_command=\"ClearInputVolumeArrayToProcess\"\n"
"                            command=\"AddInputVolumeArrayToProcess\"\n"
"                            name=\"SelectMaterialArrays\"\n"
"                            number_of_elements=\"1\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/AMR/Resources/amr_filters.xml
static const char* const paraview_server_manageramr_filtersInterface2 =
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_UNSIGNED_CHAR VTK_INT\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>This property specifies the cell arrays from which the\n"
"        analysis will determine fragments</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearInputMassArrayToProcess\"\n"
"                            command=\"AddInputMassArrayToProcess\"\n"
"                            name=\"SelectMassArrays\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_DOUBLE VTK_FLOAT\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>This property specifies the cell arrays from which the\n"
"        analysis will determine fragment mass</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearInputVolumeWeightedArrayToProcess\"\n"
"                            command=\"AddInputVolumeWeightedArrayToProcess\"\n"
"                            name=\"SelectVolumeWeightedArrays\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_DOUBLE VTK_FLOAT\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>This property specifies the cell arrays from which the\n"
"        analysis will determine volume weighted average values</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearInputMassWeightedArrayToProcess\"\n"
"                            command=\"AddInputMassWeightedArrayToProcess\"\n"
"                            name=\"SelectMassWeightedArrays\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_DOUBLE VTK_FLOAT\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>This property specifies the cell arrays from which the\n"
"        analysis will determine mass weighted average values</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetVolumeFractionSurfaceValue\"\n"
"                            default_values=\"0.1\"\n"
"                            label=\"Volume Fraction Value\"\n"
"                            name=\"VolumeFractionSurfaceValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0.0\"\n"
"                           name=\"scalar_range\" />\n"
"        <Documentation>This property specifies the values at which to compute\n"
"        the isosurface.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetExtractSurface\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Extract Surface\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Whether or not to extract a surface from this data</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseWatertightSurface\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Use Watertight Surface\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Whether the extracted surface should be watertight or not</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIntegrateFragments\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Integrate Fragments\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Whether or not to integrate fragments in this data</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End AMR Fragments Filter -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_manageramr_filtersGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_manageramr_filtersInterface0);
  const size_t len1 = strlen(paraview_server_manageramr_filtersInterface1);
  const size_t len2 = strlen(paraview_server_manageramr_filtersInterface2);
  size_t len = ( 0
    + len0
    + len1
    + len2 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_manageramr_filtersInterface0, paraview_server_manageramr_filtersInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_manageramr_filtersInterface1, paraview_server_manageramr_filtersInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_manageramr_filtersInterface2, paraview_server_manageramr_filtersInterface2 + len2, res + offset); offset += len2;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCleanUnstructuredGrid\"\n"
"                 label=\"Clean to Grid\"\n"
"                 name=\"CleanUnstructuredGrid\">\n"
"      <Documentation long_help=\"This filter merges points and converts the data set to unstructured grid.\"\n"
"                     short_help=\"Merge points.\">The Clean to Grid filter merges\n"
"                     points that are exactly coincident. It also converts the\n"
"                     data set to an unstructured grid. You may wish to do this\n"
"                     if you want to apply a filter to your data set that is\n"
"                     available for unstructured grids but not for the initial\n"
"                     type of your data set (e.g., applying warp vector to\n"
"                     volumetric data). The Clean to Grid filter operates on any\n"
"                     type of data set.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Clean to Grid\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTolerance\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>When merging nearby points and\n"
"        not using absolute tolerance (see ToleranceIsAbsolute property), this\n"
"        property specifies the tolerance for performing merging as a fraction\n"
"        of the length of the diagonal of the bounding box of the input data\n"
"        set.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAbsoluteTolerance\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"AbsoluteTolerance\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>When merging nearby points and\n"
"        using absolute tolerance (see ToleranceIsAbsolute property), this\n"
"        property specifies the tolerance for performing merging in the spatial\n"
"        units of the input data set.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetToleranceIsAbsolute\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ToleranceIsAbsolute\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property determines whether to use absolute or\n"
"        relative (a percentage of the bounding box) tolerance when performing\n"
"        point merging.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End CleanUnstructuredGrid -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCleanUnstructuredGridCells\"\n"
"                 label=\"Clean Cells to Grid\"\n"
"                 name=\"CleanUnstructuredGridCells\">\n"
"      <Documentation long_help=\"This filter merges cells and converts the data set to unstructured grid.\"\n"
"                     short_help=\"Merge cells.\">Merges degenerate cells. Assumes\n"
"                     the input grid does not contain duplicate points. You may\n"
"                     want to run vtkCleanUnstructuredGrid first to assert it.\n"
"                     If duplicated cells are found they are removed in the\n"
"                     output. The filter also handles the case, where a cell may\n"
"                     contain degenerate nodes (i.e. one and the same node is\n"
"                     referenced by a cell more than once).</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Clean Cells to\n"
"        Grid filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End CleanUnstructuredGridCells -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkHybridProbeFilter\"\n"
"                 label=\"Extract Location\"\n"
"                 name=\"ExtractLocation\">\n"
"      <Documentation long_help=\"Sample or extract cells at a point.\"\n"
"        short_help=\"Sample or extracy cells at a point.\">\n"
"        This filter allows you to specify a location and then either interpolate\n"
"        the data attributes from the input dataset at that location or extract the\n"
"        cell(s) at the location.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" />\n"
"        <Documentation>Set the input dataset producer</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"Mode\"\n"
"        command=\"SetMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Interpolate At Location\" value=\"0\" />\n"
"          <Entry text=\"Extract Cell At Location\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Select whether to interpolate (probe) data attributes at the specified\n"
"          location, or to extract cell(s) containing the specified location.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetLocation\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Location\"\n"
"                            number_of_elements=\"3\">\n"
"        <Documentation>Select the location of interest in 3D space.</Documentation>\n"
"        <BoundsDomain default_mode=\"mid\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Location Parameters\" panel_widget=\"InteractiveHandle\">\n"
"        <Property function=\"WorldPosition\" name=\"Location\" />\n"
"        <Property function=\"Input\" name=\"Input\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\" />\n"
"      </Hints>\n"
"      <!-- End ProbePoint -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkIntegrateFlowThroughSurface\"\n"
"                 label=\"Surface Flow\"\n"
"                 name=\"IntegrateFlowThroughSurface\">\n"
"      <Documentation long_help=\"This filter integrates flow through a surface.\"\n"
"                     short_help=\"This filter integrates flow through a surface.\">\n"
"                     The flow integration filter integrates the dot product of\n"
"                     a point flow vector field and surface normal. It computes\n"
"                     the net flow across the 2D surface. It operates on any\n"
"                     type of dataset and produces an unstructured grid\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"3\" />\n"
"        <Documentation>This property specifies the input to the Surface Flow\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>The value of this property specifies the name of the\n"
"        input vector array containing the flow vector field.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End IntegrateFlowThroughSurface -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkIsoVolume\"\n"
"                 label=\"Iso Volume\"\n"
"                 name=\"IsoVolume\">\n"
"      <Documentation long_help=\"This filter extracts cells by clipping cells that have point\n"
"       scalars not in the specified range.\"\n"
"                     short_help=\"Extract cells that satisfy a threshold criterion.\">\n"
"                     This filter clip away the cells using lower and upper\n"
"                     thresholds.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\"\n"
"                          number_of_components=\"1\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>This property specifies the input to the Threshold\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Input Scalars\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>The value of this property contains the name of the\n"
"        scalar array from which to perform thresholding.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"ThresholdBetween\"\n"
"                            default_values=\"0 0\"\n"
"                            label=\"Threshold Range\"\n"
"                            name=\"ThresholdBetween\"\n"
"                            number_of_elements=\"2\"\n"
"                            panel_widget=\"double_range\">\n"
"        <ArrayRangeDomain name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputScalars\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Documentation>The values of this property specify the upper and lower\n"
"        bounds of the thresholding operation.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\" />\n"
"      </Hints>\n"
"      <!-- End Iso Volume -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPlotEdges\"\n"
"                 label=\"Plot On Sorted Lines\"\n"
"                 name=\"PlotOnSortedLines\">\n"
"      <Documentation long_help=\"The Plot on Sorted Lines filter sorts and orders polylines for graph visualization.\"\n"
"      short_help=\"\">The Plot on Sorted Lines filter sorts and orders\n"
"      polylines for graph visualization. See http://www.paraview.org/ParaView3/index.php/Plotting_Over_Curves for more information.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Plot Edges\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"XYChartView\" />\n"
"        <!-- Temporary hint to allow the output of this filter to be plotted -->\n"
"        <Plotable />\n"
"      </Hints>\n"
"      <!-- End PlotEdges -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy class=\"vtkConvertPolyhedraFilter\"\n"
"                 label=\"Convert Polyhedral Cells\"\n"
"                 name=\"ConvertPolyhedra\">\n"
"      <Documentation long_help=\"Attempt to convert polyhedral cells tp simple cells.\">\n"
"Attempt to convert polyhedral cells to simple cells (tetrahedron, pyramid, wedge\n"
"or hexahedron). It will speed up downstream processing if polyhedral cells can\n"
"be treated as simple cells.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGridBase\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Convert Polyhedral Cells\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVArrayCalculator\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface1 =
"                 name=\"Calculator\">\n"
"      <Documentation long_help=\"Compute new attribute arrays as function of existing arrays.\"\n"
"                     short_help=\"Compute new attribute arrays.\">\n"
"The Calculator filter computes a new data array or new point\n"
"coordinates as a function of existing scalar or vector arrays. If\n"
"point-centered arrays are used in the computation of a new data array,\n"
"the resulting array will also be point-centered. Similarly,\n"
"computations using cell-centered arrays will produce a new\n"
"cell-centered array. If the function is computing point coordinates,\n"
"the result of the function must be a three-component vector.\n"
"\n"
"The Calculator interface operates similarly to a scientific\n"
"calculator. In creating the function to evaluate, the standard order\n"
"of operations applies. Each of the calculator functions is described\n"
"below. Unless otherwise noted, enclose the operand in parentheses\n"
"using the ( and ) buttons.\n"
"\n"
"- Clear: Erase the current function (displayed in the read-only text\n"
"  box above the calculator buttons).\n"
"- /: Divide one scalar by another. The operands for this function are\n"
"  not required to be enclosed in parentheses.\n"
"- *: Multiply two scalars, or multiply a vector by a scalar (scalar multiple).\n"
"  The operands for this function are not required to be enclosed in parentheses.\n"
"- -: Negate a scalar or vector (unary minus), or subtract one scalar or vector\n"
"  from another. The operands for this function are not required to be enclosed\n"
"  in parentheses.\n"
"- +: Add two scalars or two vectors. The operands for this function are not\n"
"  required to be enclosed in parentheses.\n"
"- sin: Compute the sine of a scalar. cos: Compute the cosine of a scalar.\n"
"- tan: Compute the tangent of a scalar.\n"
"- asin: Compute the arcsine of a scalar.\n"
"- acos: Compute the arccosine of a scalar.\n"
"- atan: Compute the arctangent of a scalar.\n"
"- sinh: Compute the hyperbolic sine of a scalar.\n"
"- cosh: Compute the hyperbolic cosine of a scalar.\n"
"- tanh: Compute the hyperbolic tangent of a scalar.\n"
"- min: Compute minimum of two scalars.\n"
"- max: Compute maximum of two scalars.\n"
"- x^y: Raise one scalar to the power of another scalar. The operands for\n"
"  this function are not required to be enclosed in parentheses.\n"
"- sqrt: Compute the square root of a scalar.\n"
"- exp: Raise e to the power of a scalar.\n"
"- ln: Compute the logarithm of a scalar to the base 'e'.\n"
"- log10: Compute the logarithm of a scalar to the base 10.\n"
"- ceil: Compute the ceiling of a scalar. floor: Compute the floor of a scalar.\n"
"- abs: Compute the absolute value of a scalar.\n"
"- dot: Compute the dot product of two vectors.\n"
"- cross: Compute cross product of two vectors.\n"
"- mag: Compute the magnitude of a vector.\n"
"- norm: Normalize a vector.\n"
"\n"
"The operands are described below. The digits 0 - 9 and the decimal\n"
"point are used to enter constant scalar values. **iHat**, **jHat**,\n"
"and **kHat** are vector constants representing unit vectors in the X,\n"
"Y, and Z directions, respectively. The scalars menu lists the names of\n"
"the scalar arrays and the components of the vector arrays of either\n"
"the point-centered or cell-centered data.  The vectors menu lists the\n"
"names of the point-centered or cell-centered vector arrays. The\n"
"function will be computed for each point (or cell) using the scalar or\n"
"vector value of the array at that point (or cell). The filter operates\n"
"on any type of data set, but the input data set must have at least one\n"
"scalar or vector array. The arrays can be either point-centered or\n"
"cell-centered. The Calculator filter's output is of the same data set\n"
"type as the input.\n"
"\n"
"The output array type can be specified as an advanced option with the default\n"
"being of a vtkDoubleArray.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkGraph\"/>\n"
"          <DataType value=\"vtkTable\"/>\n"
"          <DataType value=\"vtkHyperTreeGrid\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" optional=\"1\"/>\n"
"        <Documentation>This property specifies the input dataset (vtkDataSet, vtkTable or vtkGraph) to the\n"
"        Calculator filter. The scalar and vector variables may be chosen from\n"
"        this dataset's arrays.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetAttributeType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AttributeType\"\n"
"                         number_of_elements=\"1\">\n"
"        <FieldDataDomain name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"        <Documentation>This property determines on which types of field data the computation is to\n"
"        be performed on.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCoordinateResults\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CoordinateResults\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"            <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"AttributeType\" value=\"0\" inverse=\"0\" />\n"
"        </Hints>\n"
"        <Documentation>The value of this property determines whether the\n"
"        results of this computation should be used as point coordinates or as a\n"
"        new array.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetResultNormals\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ResultNormals\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set whether to output results as point/cell\n"
"        normals. Outputting as normals is only valid with vector\n"
"        results. Point or cell normals are selected using\n"
"        AttributeMode.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetResultTCoords\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ResultTCoords\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set whether to output results as point/cell\n"
"        texture coordinates.  Point or cell texture coordinates are\n"
"        selected using AttributeMode. 2-component texture coordinates\n"
"        cannot be generated at this time.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetResultArrayName\"\n"
"                            default_values=\"Result\"\n"
"                            name=\"ResultArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>This property contains the name for the output array\n"
"        containing the result of this computation.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetFunction\"\n"
"                            name=\"Function\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_widget=\"calculator\" >\n"
"        <Documentation>\n"
"This property contains the equation for computing the new\n"
"array.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetReplaceInvalidValues\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Replace Invalid Results\"\n"
"                         name=\"ReplaceInvalidValues\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property determines whether invalid values in the\n"
"        computation will be replaced with a specific value. (See the\n"
"        ReplacementValue property.)</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetReplacementValue\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"ReplacementValue\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>If invalid values in the computation are to be replaced\n"
"        with another value, this property contains that value.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetResultArrayType\"\n"
"                         default_values=\"11\"\n"
"                         label=\"Result Array Type\"\n"
"                         name=\"ResultArrayType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Char\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Signed Char\"\n"
"                 value=\"15\" />\n"
"          <Entry text=\"Unsigned Char\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Short\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Unsigned Short\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Int\"\n"
"                 value=\"6\" />\n"
"          <Entry text=\"Unsigned Int\"\n"
"                 value=\"7\" />\n"
"          <Entry text=\"Long\"\n"
"                 value=\"8\" />\n"
"          <Entry text=\"Unsigned Long\"\n"
"                 value=\"9\" />\n"
"          <Entry text=\"Float\"\n"
"                 value=\"10\" />\n"
"          <Entry text=\"Double\"\n"
"                 value=\"11\" />\n"
"          <Entry text=\"Id Type\"\n"
"                 value=\"12\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property determines what array type to output.\n"
"        The default is a vtkDoubleArray.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"FunctionParserType\"\n"
"                         command=\"SetFunctionParserTypeFromInt\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <Documentation>Hidden property that specifies whether the old (ParaView 5.9 and before)\n"
"        expression parser or new (ParaView 5.10) vtkPVLinearExtrusionFilter is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Calculator -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVClipClosedSurface\"\n"
"                 label=\"Clip Closed Surface\"\n"
"                 name=\"ClipClosedSurface\">\n"
"      <Documentation long_help=\"Clip a polygonal dataset with a plane to produce closed surfaces\"\n"
"                     short_help=\"Clip a polygonal dataset with a plane to produce closed surfaces\">\n"
"      This clip filter cuts away a portion of the input polygonal dataset using\n"
"      a plane to generate a new polygonal dataset.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\"\n"
"                          optional=\"1\" />\n"
"        <Documentation>This property specifies the dataset on which the Clip\n"
"        filter will operate.</Documentation>\n"
"      </InputProperty>\n"
"      <ProxyProperty command=\"SetClippingPlane\"\n"
"                     label=\"Clipping Plane\"\n"
"                     name=\"ClippingPlane\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"implicit_functions\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"implicit_functions\"\n"
"                 name=\"Plane\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property specifies the parameters of the clipping\n"
"        plane used to clip the polygonal data.</Documentation>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"SetGenerateFaces\"\n"
"                         default_values=\"1\"\n"
"                         name=\"GenerateFaces\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Generate polygonal faces in the output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateOutline\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GenerateOutline\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Generate clipping outlines in the output wherever an\n"
"        input face is cut by the clipping plane.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetScalarMode\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Generate Cell Origins\"\n"
"                         name=\"ScalarMode\"\n"
"                         number_of_elements=\"1\">\n"
"                         <EnumerationDomain name=\"enum\">\n"
"                           <Entry text=\"None\"\n"
"                                  value=\"0\" />\n"
"                           <Entry text=\"Color\"\n"
"                                  value=\"1\" />\n"
"                           <Entry text=\"Label\"\n"
"                                  value=\"2\" />\n"
"                         </EnumerationDomain>\n"
"        <Documentation>Generate (cell) data for coloring purposes such that the\n"
"        newly generated cells (including capping faces and clipping outlines)\n"
"        can be distinguished from the input cells.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInsideOut\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InsideOut\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this flag is turned off, the clipper will return the\n"
"        portion of the data that lies within the clipping plane. Otherwise, the\n"
"        clipper will return the portion of the data that lies outside the\n"
"        clipping plane.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTolerance\"\n"
"                            default_values=\"0.000001\"\n"
"                            label=\"Clipping Tolerance\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface2 =
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Specify the tolerance for creating new points. A small\n"
"        value might incur degenerate triangles.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBaseColor\"\n"
"                            default_values=\"0.10 0.10 1.00\"\n"
"                            label=\"Base Color\"\n"
"                            name=\"BaseColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Specify the color for the faces from the\n"
"        input.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetClipColor\"\n"
"                            default_values=\"1.00 0.11 0.10\"\n"
"                            label=\"Clip Color\"\n"
"                            name=\"ClipColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Specify the color for the capping faces (generated on\n"
"        the clipping interface).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End Clip -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVContourFilter\"\n"
"                 name=\"Contour\">\n"
"      <Documentation long_help=\"Generate isolines or isosurfaces using point scalars.\"\n"
"                     short_help=\"Generate isolines or isosurfaces.\">The Contour\n"
"                     filter computes isolines or isosurfaces using a selected\n"
"                     point-centered scalar array. The Contour filter operates\n"
"                     on any type of data set, but the input is required to have\n"
"                     at least one point-centered scalar (single-component)\n"
"                     array. The output of this filter is\n"
"                     polygonal.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkNonOverlappingAMR\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\"\n"
"                          data_type=\"vtkDataSet\" />\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_amr\"\n"
"                          number_of_components=\"1\"\n"
"                          data_type=\"vtkNonOverlappingAMR\" />\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_htg\"\n"
"                          number_of_components=\"1\"\n"
"                          data_type=\"vtkHyperTreeGrid\" />\n"
"        <Documentation>This property specifies the input dataset to be used by\n"
"        the contour filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"int int int int str\"\n"
"                            label=\"Contour By\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property specifies the name of the scalar array\n"
"        from which the contour filter will compute isolines and/or\n"
"        isosurfaces.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetComputeNormals\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeNormals\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkPolyData vtkHyperTreeGrid\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"enabled_state\" />\n"
"        </Hints>\n"
"        <Documentation>If this property is set to 1, a scalar array containing\n"
"        a normal value at each point in the isosurface or isoline will be\n"
"        created by the contour filter; otherwise an array of normals will not\n"
"        be computed. This operation is fairly expensive both in terms of\n"
"        computation time and memory required, so if the output dataset produced\n"
"        by the contour filter will be processed by filters that modify the\n"
"        dataset's topology or geometry, it may be wise to set the value of this\n"
"        property to 0. Select whether to compute normals.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetComputeGradients\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeGradients\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"Structured\"\n"
"                                       mode=\"enabled_state\"/>\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       mode=\"enabled_state\"\n"
"                                       exclude=\"1\"/>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>If this property is set to 1, a scalar array containing\n"
"        a gradient value at each point in the isosurface or isoline will be\n"
"        created by this filter; otherwise an array of gradients will not be\n"
"        computed. This operation is fairly expensive both in terms of\n"
"        computation time and memory required, so if the output dataset produced\n"
"        by the contour filter will be processed by filters that modify the\n"
"        dataset's topology or geometry, it may be wise to set the value of this\n"
"        property to 0. Not that if ComputeNormals is set to 1, then gradients\n"
"        will have to be calculated, but they will only be stored in the output\n"
"        dataset if ComputeGradients is also set to 1.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetComputeScalars\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeScalars\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"enabled_state\"/>\n"
"        </Hints>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, an array of scalars\n"
"        (containing the contour value) will be added to the output dataset. If\n"
"        set to 0, the output will not contain this array.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetOutputPointsPrecision\"\n"
"                         default_values=\"2\"\n"
"                         name=\"OutputPointsPrecision\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"enabled_state\"/>\n"
"        </Hints>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Single\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Double\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Same as input\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"Select the output precision of the coordinates. **Single** sets the\n"
"output to single-precision floating-point (i.e., float), **Double**\n"
"sets it to double-precision floating-point (i.e., double), and\n"
"**Default** sets it to the same precision as the precision of the\n"
"points in the input. Defaults to ***Single***.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetGenerateTriangles\"\n"
"                         default_values=\"1\"\n"
"                         name=\"GenerateTriangles\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"enabled_state\"/>\n"
"        </Hints>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This parameter controls whether to produce triangles in the output.\n"
"        Warning: Many filters do not properly handle non-triangular polygons.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetValue\"\n"
"                            label=\"Isosurfaces\"\n"
"                            name=\"ContourValues\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfContours\"\n"
"                            use_index=\"1\">\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputScalars\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Documentation>This property specifies the values at which to compute\n"
"        isosurfaces/isolines and also the number of such\n"
"        values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\" />\n"
"      </Hints>\n"
"      <!-- incremental point locator begin -->\n"
"      <ProxyProperty command=\"SetLocator\"\n"
"                     label=\"Point Merge Method\"\n"
"                     name=\"Locator\"\n"
"                     panel_visibility=\"advanced\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"incremental_point_locators\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"incremental_point_locators\"\n"
"                 name=\"MergePoints\" />\n"
"          <Proxy group=\"incremental_point_locators\"\n"
"                 name=\"IncrementalOctreeMergePoints\" />\n"
"          <Proxy group=\"incremental_point_locators\"\n"
"                 name=\"NonMergingPointLocator\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property specifies an incremental point locator for\n"
"        merging duplicate / coincident points.</Documentation>\n"
"      </ProxyProperty>\n"
"      <!-- incremental point locator end -->\n"
"\n"
"      <PropertyGroup label=\"Isosurfaces\">\n"
"        <Property name=\"ContourValues\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Point Locator\">\n"
"        <Property name=\"Locator\" />\n"
"      </PropertyGroup>\n"
"      <!-- End Contour -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVExtractComponent\"\n"
"                 name=\"ExtractComponent\"\n"
"                 label=\"Extract Component\">\n"
"      <Documentation long_help=\"This filter extracts a component of a multi-component attribute array.\"\n"
"                     short_help=\"Extract Component.\"/>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>\n"
"          This property specifies the input of the Extract Component filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputArray\"\n"
"                            label=\"Input Array\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property indicates the name of the array to be extracted.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetInputArrayComponent\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Component\"\n"
"                         number_of_elements=\"1\">\n"
"        <NumberOfComponentsDomain name=\"comps\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputArray\" />\n"
"          </RequiredProperties>\n"
"        </NumberOfComponentsDomain>\n"
"        <Documentation>\n"
"          This property indicates the component of the array to be extracted.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetOutputArrayName\"\n"
"                            name=\"OutputArrayName\"\n"
"                            label=\"Output Array Name\"\n"
"                            default_values=\"Result\"\n"
"                            number_of_elements=\"1\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface3 =
"        <Documentation>\n"
"          This property indicates the name of the output scalar array.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End ExtractComponent -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVExtractVOI\"\n"
"                 label=\"Extract Subset\"\n"
"                 name=\"ExtractGrid\">\n"
"      <Documentation long_help=\"Extract a subgrid from a structured grid with the option of setting subsample strides.\"\n"
"                     short_help=\"Extract a subgrid or subsample.\">The Extract\n"
"                     Grid filter returns a subgrid of a structured input data\n"
"                     set (uniform rectilinear, curvilinear, or nonuniform\n"
"                     rectilinear). The output data set type of this filter is\n"
"                     the same as the input type.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"          <DataType value=\"vtkRectilinearGrid\" />\n"
"          <DataType value=\"vtkStructuredPoints\" />\n"
"          <DataType value=\"vtkStructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Extract Grid\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVOI\"\n"
"                         default_values=\"0 0 0 0 0 0\"\n"
"                         name=\"VOI\"\n"
"                         number_of_elements=\"6\"\n"
"                         panel_visibility=\"default\">\n"
"        <ExtentDomain name=\"extent\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ExtentDomain>\n"
"        <Documentation>This property specifies the minimum and maximum point\n"
"        indices along each of the I, J, and K axes; these values indicate the\n"
"        volume of interest (VOI). The output will have the (I,J,K) extent\n"
"        specified here.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetSampleRateI\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SampleRateI\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property indicates the sampling rate in the I\n"
"        dimension. A value greater than 1 results in subsampling; every nth\n"
"        index will be included in the output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetSampleRateJ\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SampleRateJ\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property indicates the sampling rate in the J\n"
"        dimension. A value greater than 1 results in subsampling; every nth\n"
"        index will be included in the output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetSampleRateK\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SampleRateK\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property indicates the sampling rate in the K\n"
"        dimension. A value greater than 1 results in subsampling; every nth\n"
"        index will be included in the output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIncludeBoundary\"\n"
"                         default_values=\"0\"\n"
"                         name=\"IncludeBoundary\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is 1, then if the sample\n"
"        rate in any dimension is greater than 1, the boundary indices of the\n"
"        input dataset will be passed to the output even if the boundary extent\n"
"        is not an even multiple of the sample rate in a given\n"
"        dimension.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"      <!-- End ExtractGrid -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVGlyphFilter\"\n"
"                 name=\"Glyph\">\n"
"      <Documentation long_help=\"This filter produces a glyph at points or cell centers in an input data set. The glyphs can be oriented and scaled by point or cell attributes of the input dataset.\"\n"
"                     short_help=\"Generate glyphs that represent attributes in the input data set.\">\n"
"The Glyph filter generates a glyph (i.e., an arrow, cone, cube, cylinder, line,\n"
"sphere, or 2D glyph) at each point or cell in the input dataset. The glyphs can be\n"
"oriented and scaled by the input scalar and vector arrays. If the arrays are\n"
"point-centered, glyphs are placed at points in the input dataset. If the arrays\n"
"are cell-centered, glyphs are placed at the center of cells in the input dataset.\n"
"A transform that applies to the glyph source can be modified to change the shape\n"
"of the glyph. This filter operates on any type of data set. Its output is a polygonal\n"
"dataset.\n"
"\n"
"To use this filter, select the **Orientation Array** to orient the glyphs and the\n"
"**Scale Array** to control glyph scaling if desired - each array\n"
"can be set to 'No array' if orientation or scaling is not desired. When scaling\n"
"by a 3-element vector array, the **Vector Scale Mode** can be set to either\n"
"'Scale by Magnitude', which scales glyphs according to the vector magnitude,\n"
"or 'Scale by Components', which treats each component as a separate scaling\n"
"factor in the corresponding dimension, i.e., the first component is the\n"
"scaling factor in the x-dimension, the second component scales the y-dimension,\n"
"and the third component scales the z-dimension. An overall constant **Scale Factor**\n"
"is applied following the scaling controlled by other properties of this filter.\n"
"\n"
"The **Glyph Mode** property controls which points in the input dataset\n"
"are selected for glyphing since in most cases, glyphing all points in\n"
"the input dataset can be both performance impeding as well as visually\n"
"cluttered.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"scale_array\"\n"
"                          number_of_components=\"1,3\"\n"
"                          optional=\"1\" />\n"
"        <InputArrayDomain name=\"vector_array\"\n"
"                          number_of_components=\"3\"\n"
"                          optional=\"1\" />\n"
"        <Documentation>\n"
"This property specifies the input to this filter. This is the\n"
"dataset from which the locations are selected to be glyphed.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetSourceConnection\"\n"
"                     label=\"Glyph Type\"\n"
"                     name=\"Source\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"glyph_sources\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"sources\" name=\"ArrowSource\" />\n"
"          <Proxy group=\"sources\" name=\"ConeSource\" />\n"
"          <Proxy group=\"sources\" name=\"CubeSource\" />\n"
"          <Proxy group=\"sources\" name=\"CylinderSource\" />\n"
"          <Proxy group=\"sources\" name=\"LineSource\" />\n"
"          <Proxy group=\"sources\" name=\"SphereSource\" />\n"
"          <Proxy group=\"sources\" name=\"GlyphSource2D\" />\n"
"        </ProxyListDomain>\n"
"        <Hints>\n"
"          <ProxyPropertyWidget selected_proxy_panel_visibility=\"advanced\" />\n"
"          <!-- show the selected proxy's panel, only in advanced mode. -->\n"
"        </Hints>\n"
"        <Documentation>\n"
"This property determines which type of glyph will be placed at the\n"
"points in the input dataset.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            default_values=\"1\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"OrientationArray\"\n"
"                            number_of_elements=\"5\">\n"
"        <!-- default value=1 so normals go to the right place -->\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         input_domain_name=\"vector_array\"\n"
"                         name=\"array_list\"\n"
"                         none_string=\"No orientation array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"Select the input array to use for orienting the glyphs.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            default_values=\"0\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ScaleArray\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"scale_array\"\n"
"                         name=\"array_list\"\n"
"                         none_string=\"No scale array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"Select the input array to be used for scaling the glyphs. If the scale\n"
"array is a vector array, you can control how the glyphs are scaled with\n"
"the **Vector Scale Mode** property.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetVectorScaleMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"VectorScaleMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Scale by Magnitude\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scale by Components\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"Select the mode when the scaling array is a vector. **Scale by Magnitude** scales the glyph by\n"
"the vector magnitude. **Scale by Components** scales glyphs by each vector component in the dimension\n"
"that component represents, e.g., the x-direction is scaled by component 0, the y-direction is\n"
"scaled by component 1, and so on.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"ScaleArray\"\n"
"                                   number_of_components=\"3\"\n"
"                                   index=\"4\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty information_only=\"1\"\n"
"                         name=\"ComponentSelection\"\n"
"                         default_values=\"4\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <Documentation>\n"
"Specifies array component to use. Fixed at 4 to ensure the\n"
"ArrayRangeDomain is set to the vector magnitude for up to 3-component\n"
"arrays.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScaleFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"ScaleFactor\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_widget=\"glyph_scale_factor\">\n"
"        <BoundsDomain mode=\"scaled_extent\" name=\"bounds\" scale_factor=\"0.1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ArraySelection\" name=\"ScaleArray\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <ArrayRangeDomain name=\"vector_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ArraySelection\" name=\"OrientationArray\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Documentation>Specify the constant multiplier to use to scale the glyphs.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <ProxyProperty command=\"SetSourceTransform\"\n"
"                     name=\"GlyphTransform\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"extended_sources\"\n"
"                 name=\"Transform2\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>\n"
"The values in this property allow you to specify the transform\n"
"(translation, rotation, and scaling) to apply to the glyph\n"
"source.</Documentation>\n"
"      </ProxyProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetGlyphMode\"\n"
"                         default_values=\"2\"\n"
"                         name=\"GlyphMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"All Points\" value=\"0\"/>\n"
"          <Entry text=\"Every Nth Point\" value=\"1\"/>\n"
"          <Entry text=\"Uniform Spatial Distribution (Bounds Based)\" value=\"2\"/>\n"
"          <Entry text=\"Uniform Spatial Distribution (Surface Sampling)\" value=\"3\"/>\n"
"          <Entry text=\"Uniform Spatial Distribution (Volume Sampling)\" value=\"4\"/>\n"
"        </EnumerationDomain>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface4 =
"        <Documentation>\n"
"This property indicates the mode that will be used to generate\n"
"glyphs from the dataset.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaximumNumberOfSamplePoints\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"5000\"\n"
"                        name=\"MaximumNumberOfSamplePoints\">\n"
"        <IntRangeDomain min=\"1\" name=\"range\" />\n"
"        <Documentation>\n"
"This property specifies the maximum number of sample points to use\n"
"when sampling the space when Uniform Spatial Distribution is used.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"GlyphMode\" value=\"2\" inverse=\"0\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"GlyphMode\" value=\"3\" inverse=\"0\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"GlyphMode\" value=\"4\" inverse=\"0\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"          <!-- show this widget when GlyphMode==2||3||4 -->\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSeed\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"10339\"\n"
"                        name=\"Seed\">\n"
"        <IntRangeDomain min=\"1\" name=\"range\"/>\n"
"        <Documentation>\n"
"This property specifies the seed that will be used for generating a\n"
"uniform distribution of glyph points when a Uniform Spatial\n"
"Distribution is used.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"GlyphMode\" value=\"2\" inverse=\"0\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"GlyphMode\" value=\"3\" inverse=\"0\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"GlyphMode\" value=\"4\" inverse=\"0\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"          <!-- show this widget when GlyphMode==2||3||4 -->\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetStride\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Stride\">\n"
"        <IntRangeDomain min=\"1\" name=\"range\"/>\n"
"        <Documentation>\n"
"This property specifies the stride that will be used when glyphing by\n"
"Every Nth Point.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"GlyphMode\"\n"
"                                   value=\"1\" />\n"
"          <!-- show this widget when GlyphMode==1 -->\n"
"        </Hints>\n"
"     </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Glyph Source\">\n"
"        <Property name=\"Source\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Orientation\">\n"
"        <Property name=\"OrientationArray\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Scale\">\n"
"        <Property name=\"ScaleArray\" />\n"
"        <Property name=\"VectorScaleMode\" />\n"
"        <Property name=\"ScaleFactor\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Glyph Transform\">\n"
"        <Property name=\"GlyphTransform\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Masking\">\n"
"        <Property name=\"GlyphMode\" />\n"
"        <Property name=\"MaximumNumberOfSamplePoints\" />\n"
"        <Property name=\"Seed\" />\n"
"        <Property name=\"Stride\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <!-- Visibility Element can be used to suggest the GUI about\n"
"          visibility of this filter (or its input) on creation.\n"
"          replace_input=\"0\" implies that the input visibility is not\n"
"            changed on creation of this filter (defaults to \"1\")\n"
"       -->\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"      <!-- End Glyph -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVGlyphFilter\"\n"
"                 name=\"GlyphWithCustomSource\"\n"
"                 label=\"Glyph With Custom Source\">\n"
"                 The glyph is provided as the **Source** input to this filter.\n"
"      <Documentation long_help=\"This filter produces a glyph at points or cell centers in an input data set. The glyphs can be oriented and scaled by point or cell attributes of the input dataset.\"\n"
"                     short_help=\"Generate glyphs that represent attributes in the input data set.\">\n"
"The **Glyph With Custom Source** filter generates a glyph specified as the **Source**\n"
"input to this filter at each point in the input dataset. The glyphs can be\n"
"oriented and scaled by the input scalar and vector arrays. If the arrays are\n"
"point-centered, glyphs are placed at points in the input dataset. If the arrays\n"
"are cell-centered, glyphs are placed at the center of cells in the input dataset.\n"
"A transform that applies to the glyph source can be modified to change the shape\n"
"of the glyph. This filter operates on any type of data set. Its output is a polygonal\n"
"dataset.\n"
"\n"
"To use this filter, select the **Orientation Array** to orient the glyphs and the\n"
"**Scale Array** to control glyph scaling if desired - each array\n"
"can be set to 'No array' if orientation or scaling is not desired. When scaling\n"
"by a 3-element vector array, the **Vector Scale Mode** can be set to either\n"
"'Scale by Magnitude', which scales glyphs according to the vector magnitude,\n"
"or 'Scale by Components', which treats each component as a separate scaling\n"
"factor in the corresponding dimension, i.e., the first component is the\n"
"scaling factor in the x-dimension, the second component scales the y-dimension,\n"
"and the third component scales the z-dimension. An overall constant **Scale Factor**\n"
"is applied following the scaling controlled by other properties of this filter.\n"
"\n"
"The **Glyph Mode** property controls which points in the input dataset\n"
"are selected for glyphing since in most cases, glyphing all points in\n"
"the input dataset can be both performance impeding as well as visually\n"
"cluttered.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"scale_array\"\n"
"                          number_of_components=\"1,3\"\n"
"                          optional=\"1\" />\n"
"        <InputArrayDomain name=\"vector_array\"\n"
"                          number_of_components=\"3\"\n"
"                          optional=\"1\" />\n"
"        <Documentation>\n"
"This property specifies the input to this filter. This is the\n"
"dataset from which the locations are selected to be glyphed.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetSourceConnection\"\n"
"                     label=\"Glyph Source\"\n"
"                     name=\"Source\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"glyph_sources\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"This property determines the glyph geometry source that will be\n"
"placed at the points in the input dataset.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <ProxyPropertyWidget selected_proxy_panel_visibility=\"advanced\" />\n"
"          <!-- show the selected proxy's panel, only in advanced mode. -->\n"
"        </Hints>\n"
"        <Documentation>\n"
"This property determines which glyph will be placed at the\n"
"points in the input dataset.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            default_values=\"1\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"OrientationArray\"\n"
"                            number_of_elements=\"5\">\n"
"        <!-- default value=1 so normals go to the right place -->\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         input_domain_name=\"vector_array\"\n"
"                         name=\"array_list\"\n"
"                         none_string=\"No orientation array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"Select the input array to use for orienting the glyphs.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            default_values=\"0\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ScaleArray\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"scale_array\"\n"
"                         name=\"array_list\"\n"
"                         none_string=\"No scale array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"Select the input array to be used for scaling the glyphs. If the scale\n"
"array is a vector array, you can control how the glyphs are scaled with\n"
"the **Vector Scale Mode** property.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetVectorScaleMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"VectorScaleMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Scale by Magnitude\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scale by Components\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"Select the mode when the scaling array is a vector. **Scale by Magnitude** scales the glyph by\n"
"the vector magnitude. **Scale by Components** scales glyphs by each vector component in the dimension\n"
"that component represents, e.g., the x-direction is scaled by component 0, the y-direction is\n"
"scaled by component 1, and so on.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"ScaleArray\"\n"
"                                   number_of_components=\"3\"\n"
"                                   index=\"4\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty information_only=\"1\"\n"
"                         name=\"ComponentSelection\"\n"
"                         default_values=\"4\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <Documentation>\n"
"Specifies array component to use. Fixed at 4 to ensure the\n"
"ArrayRangeDomain is set to the vector magnitude for up to 3-component\n"
"arrays.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScaleFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"ScaleFactor\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_widget=\"glyph_scale_factor\">\n"
"        <BoundsDomain mode=\"scaled_extent\" name=\"bounds\" scale_factor=\"0.1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ArraySelection\" name=\"ScaleArray\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <ArrayRangeDomain name=\"vector_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ArraySelection\" name=\"OrientationArray\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Documentation>Specify the constant multiplier to use to scale the glyphs.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <ProxyProperty command=\"SetSourceTransform\"\n"
"                     name=\"GlyphTransform\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"extended_sources\"\n"
"                 name=\"Transform2\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>\n"
"The values in this property allow you to specify the transform\n"
"(translation, rotation, and scaling) to apply to the glyph\n"
"source.</Documentation>\n"
"      </ProxyProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetGlyphMode\"\n"
"                         default_values=\"2\"\n"
"                         name=\"GlyphMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"All Points\" value=\"0\"/>\n"
"          <Entry text=\"Every Nth Point\" value=\"1\"/>\n"
"          <Entry text=\"Uniform Spatial Distribution\" value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"This property indicates the mode that will be used to generate\n"
"glyphs from the dataset.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaximumNumberOfSamplePoints\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"5000\"\n"
"                        name=\"MaximumNumberOfSamplePoints\">\n"
"        <IntRangeDomain min=\"1\" name=\"range\" />\n"
"        <Documentation>\n"
"This property specifies the maximum number of sample points to use\n"
"when sampling the space when Uniform Spatial Distribution is used.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"GlyphMode\"\n"
"                                   value=\"2\" />\n"
"          <!-- show this widget when GlyphMode==2 -->\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface5 =
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSeed\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"10339\"\n"
"                        name=\"Seed\">\n"
"        <IntRangeDomain min=\"1\" name=\"range\"/>\n"
"        <Documentation>\n"
"This property specifies the seed that will be used for generating a\n"
"uniform distribution of glyph points when a Uniform Spatial\n"
"Distribution is used.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"GlyphMode\"\n"
"                                   value=\"2\" />\n"
"          <!-- show this widget when GlyphMode==2 -->\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetStride\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Stride\">\n"
"        <IntRangeDomain min=\"1\" name=\"range\"/>\n"
"        <Documentation>\n"
"This property specifies the stride that will be used when glyphing by\n"
"Every Nth Point.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"GlyphMode\"\n"
"                                   value=\"1\" />\n"
"          <!-- show this widget when GlyphMode==1 -->\n"
"        </Hints>\n"
"     </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Glyph Source\">\n"
"        <Property name=\"Source\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Orientation\">\n"
"        <Property name=\"OrientationArray\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Scale\">\n"
"        <Property name=\"ScaleArray\" />\n"
"        <Property name=\"VectorScaleMode\" />\n"
"        <Property name=\"ScaleFactor\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Glyph Transform\">\n"
"        <Property name=\"GlyphTransform\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Masking\">\n"
"        <Property name=\"GlyphMode\" />\n"
"        <Property name=\"MaximumNumberOfSamplePoints\" />\n"
"        <Property name=\"Seed\" />\n"
"        <Property name=\"Stride\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <!-- Visibility Element can be used to suggest the GUI about\n"
"          visibility of this filter (or its input) on creation.\n"
"          replace_input=\"0\" implies that the input visibility is not\n"
"            changed on creation of this filter (defaults to \"1\")\n"
"       -->\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"      <!-- End Glyph -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVGradientFilter\"\n"
"                 label=\"Gradient\"\n"
"                 name=\"Gradient\">\n"
"      <Documentation long_help=\"Estimate the gradient for each point or cell in any type of dataset.\"\n"
"                     short_help=\"Compute the gradient for any type of dataset.\">\n"
"                     The Gradient filter estimates the gradient vector at each\n"
"                     point or cell. It operates on any type of vtkDataSet, and\n"
"                     the output is of the same type as the input.\n"
"                     For unstructured grids, the gradient is computed with the\n"
"                     cell derivatives. For structured grids, the gradient is computed\n"
"                     using central differencing, except on the boundary of the\n"
"                     dataset where forward and backward differencing is used for\n"
"                     the boundary elements.\n"
"                     If the dataset is a vtkImageData, the gradient computation\n"
"                     at the boundaries can also be done with central differencing\n"
"                     using a duplication of the boundary values, smoothing out\n"
"                     the result (see 'Boundary Method' property).\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" />\n"
"        <Documentation>\n"
"          Specify the input to the Gradient filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Scalar Array\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          Specify the name of the scalar array from which to compute the gradient.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetBoundaryMethod\"\n"
"                         default_values=\"1\"\n"
"                         name=\"BoundaryMethod\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Smoothed\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Non-Smoothed\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkImageData\"\n"
"                                   mode=\"visibility\" />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specify how to compute the gradient on the boundaries.\n"
"          'Smoothed' uses central differencing by duplicating the boundary values\n"
"          to compute the gradient on the boundary elements (corresponds to the\n"
"          old 'Gradient' filter). 'Non-Smoothed' uses forward/backward differencing\n"
"          with the values of a boundary element and its neighbor to compute the\n"
"          gradient (corresponds to the old 'Gradient Of Unstructured DataSet' filter).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDimensionality\"\n"
"                         default_values=\"3\"\n"
"                         name=\"Dimensionality\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Two\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Three\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkImageData\"\n"
"                                   mode=\"visibility\" />\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   property=\"BoundaryMethod\"\n"
"                                   value=\"0\"\n"
"                                   mode=\"enabled_state\" />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specify whether to compute the gradient in two or three dimensions.\n"
"          In two dimensions, the X and Y dimensions are used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeGradient\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeGradient\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       mode=\"visibility\"\n"
"                                       exclude=\"1\" />\n"
"\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                         name=\"vtkImageData\"\n"
"                                         exclude=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         property=\"BoundaryMethod\"\n"
"                                         value=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          If on, the gradient of the input array is computed.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetResultArrayName\"\n"
"                            default_values=\"Gradient\"\n"
"                            name=\"ResultArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkImageData\"\n"
"                                       exclude=\"1\"\n"
"                                       mode=\"enabled_state\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       property=\"BoundaryMethod\"\n"
"                                       value=\"1\"\n"
"                                       mode=\"enabled_state\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Provide a name for the output array containing the gradient vectors.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetFasterApproximation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FasterApproximation\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       mode=\"visibility\"\n"
"                                       exclude=\"1\" />\n"
"\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                         name=\"vtkImageData\"\n"
"                                         exclude=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         property=\"BoundaryMethod\"\n"
"                                         value=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          If on, the Gradient filter will provide a less accurate (but close)\n"
"          algorithm that performs fewer derivative calculations (and is therefore\n"
"          faster). The error contains some smoothing of the output data and some\n"
"          possible errors on the boundary. Has no effect when performing the\n"
"          gradient of cell data or when the input grid is not a vtkUnstructuredGrid.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeDivergence\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeDivergence\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       mode=\"visibility\"\n"
"                                       exclude=\"1\" />\n"
"\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkImageData\"\n"
"                                       exclude=\"1\"\n"
"                                       mode=\"enabled_state\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       property=\"BoundaryMethod\"\n"
"                                       value=\"1\"\n"
"                                       mode=\"enabled_state\" />\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          If on, the divergence of a 3-component array is computed.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetDivergenceArrayName\"\n"
"                            default_values=\"Divergence\"\n"
"                            name=\"DivergenceArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       mode=\"visibility\"\n"
"                                       exclude=\"1\" />\n"
"\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                         name=\"vtkImageData\"\n"
"                                         exclude=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         property=\"BoundaryMethod\"\n"
"                                         value=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Provide a name for the output array containing the divergence vector.\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface6 =
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeVorticity\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeVorticity\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       mode=\"visibility\"\n"
"                                       exclude=\"1\" />\n"
"\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                         name=\"vtkImageData\"\n"
"                                         exclude=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         property=\"BoundaryMethod\"\n"
"                                         value=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          If on, the vorticity/curl of a 3-component array is computed.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetVorticityArrayName\"\n"
"                            default_values=\"Vorticity\"\n"
"                            name=\"VorticityArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       mode=\"visibility\"\n"
"                                       exclude=\"1\" />\n"
"\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                         name=\"vtkImageData\"\n"
"                                         exclude=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         property=\"BoundaryMethod\"\n"
"                                         value=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Provide a name for the output array containing the vorticity vector.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeQCriterion\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeQCriterion\"\n"
"                         label=\"Compute Q Criterion\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       mode=\"visibility\"\n"
"                                       exclude=\"1\" />\n"
"\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                         name=\"vtkImageData\"\n"
"                                         exclude=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         property=\"BoundaryMethod\"\n"
"                                         value=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          If on, the Q-criterion of a 3-component array is computed.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetQCriterionArrayName\"\n"
"                            default_values=\"Q Criterion\"\n"
"                            name=\"QCriterionArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       mode=\"visibility\"\n"
"                                       exclude=\"1\" />\n"
"\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                         name=\"vtkImageData\"\n"
"                                         exclude=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         property=\"BoundaryMethod\"\n"
"                                         value=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Provide a name for the output array containing the Q criterion.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetContributingCellOption\"\n"
"                         default_values=\"2\"\n"
"                         name=\"ContributingCellOption\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"All\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Patch\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Dataset Max\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       mode=\"visibility\"\n"
"                                       exclude=\"1\" />\n"
"\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                         name=\"vtkImageData\"\n"
"                                         exclude=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         property=\"BoundaryMethod\"\n"
"                                         value=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specify which dimensions of cells should be used when computing\n"
"          gradient quantities. Default is to use the dataset maximum cell dimension.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetReplacementValueOption\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ReplacementValueOption\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Zero\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"NaN\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Data Type Min\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Data Type Max\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       mode=\"visibility\"\n"
"                                       exclude=\"1\" />\n"
"\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                         name=\"vtkImageData\"\n"
"                                         exclude=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         property=\"BoundaryMethod\"\n"
"                                         value=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specify what value to use when the gradient quantities at a point cannot\n"
"          be computed with the selected **ContributingCellOption**.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Gradient -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVLinearExtrusionFilter\"\n"
"                 label=\"Linear Extrusion\"\n"
"                 name=\"LinearExtrusionFilter\">\n"
"      <Documentation long_help=\"This filter creates a swept surface defined by translating the input along a vector.\"\n"
"                     short_help=\"Generate a linear swept surface.\">The Linear\n"
"                     Extrusion filter creates a swept surface by translating\n"
"                     the input dataset along a specified vector. This filter is\n"
"                     intended to operate on 2D polygonal data. This filter\n"
"                     operates on polygonal data and produces polygonal data\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Linear\n"
"        Extrusion filter.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetScaleFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"ScaleFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The value of this property determines the distance along\n"
"        the vector the dataset will be translated. (A scale factor of 0.5 will\n"
"        move the dataset half the length of the vector, and a scale factor of 2\n"
"        will move it twice the vector's length.)</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetVector\"\n"
"                            default_values=\"0 0 1\"\n"
"                            name=\"Vector\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The value of this property indicates the X, Y, and Z\n"
"        components of the vector along which to sweep the input\n"
"        dataset.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetCapping\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Capping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>The value of this property indicates whether to cap the\n"
"        ends of the swept surface. Capping works by placing a copy of the input\n"
"        dataset on either end of the swept surface, so it behaves properly if\n"
"        the input is a 2D surface composed of filled polygons. If the input\n"
"        dataset is a closed solid (e.g., a sphere), then if capping is on\n"
"        (i.e., this property is set to 1), two copies of the data set will be\n"
"        displayed on output (the second translated from the first one along the\n"
"        specified vector). If instead capping is off (i.e., this property is\n"
"        set to 0), then an input closed solid will produce no\n"
"        output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPieceInvariant\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PieceInvariant\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>The value of this property determines whether the output\n"
"        will be the same regardless of the number of processors used to compute\n"
"        the result. The difference is whether there are internal polygonal\n"
"        faces on the processor boundaries. A value of 1 will keep the results\n"
"        the same; a value of 0 will allow internal faces on processor\n"
"        boundaries.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End LinearExtrusionFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkLinearCellExtrusionFilter\"\n"
"                 label=\"Linear Cell Extrusion\"\n"
"                 name=\"LinearCellExtrusionFilter\">\n"
"      <Documentation long_help=\"This filter creates a swept surface defined by translating the input along a vector.\"\n"
"                     short_help=\"Generate a linear swept surface.\">The Linear\n"
"                     Extrusion filter creates a swept surface by translating\n"
"                     the input dataset along the cell normals or a specified vector.\n"
"                     This filter is intended to operate on polygonal data and produces\n"
"                     3D unstructured grid output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface7 =
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array1\"\n"
"                          number_of_components=\"1\" />\n"
"        <Documentation>This property specifies the input to the Linear Cell\n"
"        Extrusion filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>The array used to set the extrusion length.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScaleFactor\"\n"
"                            default_values=\"1\"\n"
"                            name=\"ScaleFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Scale factor applied to the extrusion length.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseUserVector\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseUserVector\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Use a custom extrusion direction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetUserVector\"\n"
"                            default_values=\"0 0 1\"\n"
"                            name=\"UserVector\"\n"
"                            number_of_elements=\"3\">\n"
"        <Documentation>Set the custom extrusion direction.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseUserVector\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetMergeDuplicatePoints\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MergeDuplicatePoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Remove duplicate points.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End LinearCellExtrusionFilter -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"\n"
"    <SourceProxy class=\"vtkPVMetaClipDataSet\"\n"
"                 name=\"Clip\">\n"
"      <Documentation long_help=\"Clip with an implicit function (an implicit description). Clipping does not reduce the dimensionality of the data set. The output data type of this filter is always an unstructured grid.\"\n"
"                     short_help=\"Clip with an implicit function.\">The Clip filter\n"
"                     cuts away a portion of the input data set using an\n"
"                     implicit function (an implicit description).\n"
"                     This filter operates on all types of data\n"
"                     sets, and it returns unstructured grid data on\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\"\n"
"                          number_of_components=\"1\"\n"
"                          optional=\"1\" />\n"
"        <Documentation>This property specifies the dataset on which the Clip\n"
"        filter will operate.</Documentation>\n"
"      </InputProperty>\n"
"      <ProxyProperty command=\"SetDataSetClipFunction\"\n"
"                     label=\"Clip Type\"\n"
"                     name=\"ClipFunction\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"implicit_functions\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"clip_implicit_functions\" default=\"Plane\" />\n"
"        </ProxyListDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"visibility\"/>\n"
"        </Hints>\n"
"        <Documentation>This property specifies the parameters of the clip\n"
"        function (an implicit description) used to clip the dataset.</Documentation>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetHyperTreeGridClipFunction\"\n"
"                     label=\"Hyper Tree Grid Clipper\"\n"
"                     name=\"HyperTreeGridClipFunction\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"clip_htg_implicit_functions\" default=\"Plane\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property specifies the parameters of the clip\n"
"        function (an implicit description) used to clip the hyper tree grid.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid\"\n"
"                                   mode=\"visibility\"/>\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"InputBounds\">\n"
"        <BoundsDomain name=\"bounds\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Scalars\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>If clipping with scalars, this property specifies the\n"
"        name of the scalar array on which to perform the clip\n"
"        operation.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ClipFunction\"\n"
"                                       value=\"Scalar\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"HyperTreeGridClipFunction\"\n"
"                                       value=\"Scalar\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetValue\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Value\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayRangeDomain name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputScalars\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Documentation>If clipping with scalars, this property sets the scalar\n"
"        value about which to clip the dataset based on the scalar array chosen.\n"
"        (See SelectInputScalars.) If clipping with a clip function, this\n"
"        property specifies an offset from the clip function to use in the\n"
"        clipping operation. Neither functionality is currently available in\n"
"        ParaView's user interface.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ClipFunction\"\n"
"                                       value=\"Scalar\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"HyperTreeGridClipFunction\"\n"
"                                       value=\"Scalar\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetInsideOut\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Invert\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Invert which part of the geometry is clipped.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseValueAsOffset\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseValueAsOffset\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If UseValueAsOffset is true, Value is used as an offset\n"
"        parameter to the implicit function. Otherwise, Value is used only when\n"
"        clipping using a scalar array.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"PreserveInputCells\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Crinkle clip\"\n"
"                         name=\"PreserveInputCells\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This parameter controls whether to extract entire cells\n"
"        in the given region or clip those cells so all of the output will stay\n"
"        only on that side of region.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       exclude=\"1\"\n"
"                                       name=\"vtkHyperTreeGrid\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ClipFunction\"\n"
"                                       value=\"Scalar\"\n"
"                                       inverse=\"1\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetExactBoxClip\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Exact\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1 it will clip to the exact specifications\n"
"        for the **Box** option only, otherwise the clip will only approximate the box geometry. The\n"
"        exact clip is very expensive as it requires generating 6 plane clips. Additionally,\n"
"        **Invert** must be checked and **Crinkle clip** must be unchecked.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"ClipFunction\" value=\"Box\" inverse=\"0\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"Invert\" value=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"PreserveInputCells\" value=\"0\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\" />\n"
"      </Hints>\n"
"      <!-- End Clip -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVMetaSliceDataSet\"\n"
"                 label=\"Slice\"\n"
"                 name=\"Cut\">\n"
"      <Documentation long_help=\"This filter slices a data set with a plane. Slicing is similar to a contour. It creates surfaces from volumes and lines from surfaces.\"\n"
"                     short_help=\"Slice datasets with planes.\">This filter\n"
"                     extracts the portion of the input dataset that lies along\n"
"                     the specified plane. The Slice filter takes any type of\n"
"                     dataset or hyper tree grid as input. The output of this filter is polygonal\n"
"                     data.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Slice\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <ProxyProperty command=\"SetDataSetCutFunction\"\n"
"                     label=\"Slice Type\"\n"
"                     name=\"CutFunction\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"visibility\"/>\n"
"        </Hints>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"slice_implicit_functions\" default=\"Plane\"/>\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property sets the parameters of the slice\n"
"        function.</Documentation>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetHyperTreeGridCutFunction\"\n"
"                     label=\"Hyper Tree Grid Slicer\"\n"
"                     name=\"HyperTreeGridImplicitFunction\">\n"
"        <Hints>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface8 =
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid\"\n"
"                                   mode=\"visibility\"/>\n"
"        </Hints>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"slice_htg_amr_implicit_functions\" default=\"Plane\"/>\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property sets the parameters of the slice\n"
"        function.</Documentation>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"InputBounds\">\n"
"        <BoundsDomain name=\"bounds\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetDual\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Use Dual\"\n"
"                         name=\"SetDual\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"HyperTreeGridImplicitFunction\"\n"
"                                       value=\"Plane\"/>\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       name=\"vtkHyperTreeGrid\"/>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If checked, uses the dual of the hyper tree grid.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"PreserveInputCells\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Crinkle slice\"\n"
"                         name=\"PreserveInputCells\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"visibility\" />\n"
"        </Hints>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This parameter controls whether to extract the entire\n"
"        cells that are sliced by the region or just extract a triangulated\n"
"        surface of that region.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateTriangles\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Triangulate the slice\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This parameter controls whether to produce triangles in the output.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       mode=\"visibility\"\n"
"                                       exclude=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"                <Property name=\"PreserveInputCells\" function=\"boolean_invert\" />\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMergePoints\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MergePoints\"\n"
"                         label=\"Merge duplicated points in the slice\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This parameter controls whether to merge duplicated points in the slice.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid\"\n"
"                                       exclude=\"1\"\n"
"                                       mode=\"visibility\"/>\n"
"              <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"                <Property name=\"PreserveInputCells\" function=\"boolean_invert\" />\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetValue\"\n"
"                            label=\"Slice Offset Values\"\n"
"                            name=\"ContourValues\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfContours\"\n"
"                            use_index=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\" name=\"vtkHyperTreeGrid\" exclude=\"1\" />\n"
"        </Hints>\n"
"        <BoundsDomain mode=\"magnitude\"\n"
"                      name=\"bounds\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>The values in this property specify a list of current\n"
"        offset values. This can be used to create multiple slices with\n"
"        different centers. Each entry represents a new slice with its center\n"
"        shifted by the offset value. The 'Values Range' information is the\n"
"        range based on the global bounding box, not necessarily on the current\n"
"        slice geometry configuration.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"PreserveInputCells\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\" />\n"
"      </Hints>\n"
"      <!-- End Cut -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVThreshold\"\n"
"                 name=\"Threshold\">\n"
"      <Documentation long_help=\"This filter extracts cells that have point or cell scalars in the specified range.\"\n"
"                     short_help=\"Extract cells that satisfy a threshold criterion.\">\n"
"                     The Threshold filter extracts the portions of the input\n"
"                     dataset whose scalars lie within the specified range. This\n"
"                     filter operates on either point-centered or cell-centered\n"
"                     data. It operates on any type of dataset and produces\n"
"                     unstructured grid output.\n"
"                     The scalar array from which to threshold the data can be selected\n"
"                     in the 'Scalars' menu.\n"
"                     The 'Lower Threshold' and 'Upper Threshold' sliders determine\n"
"                     the range of the scalars to retain in the output.\n"
"                     The threshold method can be selected from the 'Threshold Method' menu.\n"
"                     The 'All Scalars' option only applies to Point Data. When this\n"
"                     option is on, a cell will only be passed to the output if the\n"
"                     scalar values of all of its points lie within the chosen range.\n"
"                     When off, a cell will be added to the output if the specified\n"
"                     scalar value for any of its points is within the chosen range.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\"\n"
"                          number_of_components=\"1\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>This property specifies the input to the Threshold\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Scalars\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>The value of this property contains the name of the\n"
"        scalar array from which to perform thresholding.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLowerThreshold\"\n"
"                            default_values=\"0\"\n"
"                            name=\"LowerThreshold\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayRangeDomain name=\"range\"\n"
"                          default_mode=\"min\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputScalars\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"ThresholdMethod\" value=\"0\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"ThresholdMethod\" value=\"1\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          The value of this property specifies the lower bound of the\n"
"          thresholding operation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetUpperThreshold\"\n"
"                            default_values=\"0\"\n"
"                            name=\"UpperThreshold\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayRangeDomain name=\"range\"\n"
"                          default_mode=\"max\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputScalars\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"ThresholdMethod\" value=\"0\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"ThresholdMethod\" value=\"2\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          The value of this property specifies the upper bound of the\n"
"          thresholding operation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetThresholdFunction\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ThresholdMethod\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Between\" value=\"0\"/>\n"
"          <Entry text=\"Below Lower Threshold\" value=\"1\"/>\n"
"          <Entry text=\"Above Upper Threshold\" value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property indicates the threshold method.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAllScalars\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AllScalars\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                         name=\"vtkHyperTreeGrid\"\n"
"                                         exclude=\"1\"\n"
"                                         mode=\"enabled_state\" />\n"
"        </Hints>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is 1, then a cell is only\n"
"        included in the output if the value of the selected array for all its\n"
"        points is within the threshold. This is only relevant when thresholding\n"
"        by a point-centered array.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseContinuousCellRange\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseContinuousCellRange\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"enabled_state\" />\n"
"        </Hints>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If off, the vertex scalars are treated as a discrete set. If on, they\n"
"          are treated as a continuous interval over the minimum and maximum. One\n"
"          important \"on\" use case: When setting lower and upper threshold\n"
"          equal to some value and turning AllScalars off, the results are\n"
"          cells containing the isosurface for that value.  WARNING: Whether on\n"
"          or off, for higher order input, the filter will not give accurate\n"
"          results.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInvert\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Invert\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"enabled_state\"/>\n"
"        </Hints>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface9 =
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Invert the threshold results. That is, cells that would have been in the\n"
"          output with this option off are excluded, while cells that would have been excluded from\n"
"          the output are included.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\" />\n"
"      </Hints>\n"
"      <!-- End Threshold -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVPlaneCutter\"\n"
"                 name=\"SliceWithPlane\"\n"
"                 label=\"Slice With Plane\">\n"
"      <Documentation\n"
"              long_help=\"This filter slices a data set with a plane. Slicing is similar to a contour. It creates surfaces from volumes and lines from surfaces. This filter is faster than the standard Slice filter.\"\n"
"              short_help=\"Slice datasets with a plane.\">\n"
"        This filter extracts the portion of the input dataset that lies along\n"
"        the specified plane. The Slice filter takes any type of\n"
"        dataset as input. This is a multithreaded implementation.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"          <DataType value=\"vtkCompositeDataSet\"/>\n"
"          <DataType value=\"vtkHyperTreeGrid\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input of the slice filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <ProxyProperty command=\"SetPlane\"\n"
"                     label=\"Plane Type\"\n"
"                     name=\"Plane\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"slice_htg_amr_implicit_functions\" default=\"Plane\"/>\n"
"        </ProxyListDomain>\n"
"        <Documentation>\n"
"          This property sets the parameters of the plane function.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetBuildTree\"\n"
"                         default_values=\"1\"\n"
"                         name=\"BuildTree\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid vtkOverlappingAMR\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"visibility\"/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          If enabled and input is not an Image Data, Sphere Tree will be computed, for a faster slice computation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetBuildHierarchy\"\n"
"                         default_values=\"1\"\n"
"                         name=\"BuildHierarchy\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If enabled and input is not an Image Data, Tree hierarchy will be computed, for a faster slice computation.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       name=\"vtkHyperTreeGrid vtkOverlappingAMR\"\n"
"                                       exclude=\"1\"\n"
"                                       mode=\"visibility\"/>\n"
"              <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"                <Property name=\"BuildTree\" function=\"boolean\"/>\n"
"              </PropertyWidgetDecorator>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetComputeNormals\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeNormals\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid vtkOverlappingAMR\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"visibility\"/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          If enabled, compute the normal on each cell. Since all output cells are coplanar,\n"
"          the normal generated is simply the normal of the plane used to slice with.\n"
"          By default, computing of normals is disabled.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetInterpolateAttributes\"\n"
"                         default_values=\"1\"\n"
"                         name=\"InterpolateAttributes\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid vtkOverlappingAMR\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"visibility\"/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          If enabled, interpolate attribute data. By default this is\n"
"          enabled. Point data is always interpolated. Cell data is transferred\n"
"          unless input is an image data.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetGeneratePolygons\"\n"
"                         default_values=\"1\"\n"
"                         name=\"GeneratePolygons\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid vtkOverlappingAMR\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"visibility\"/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          If enabled and input is a vtkImageData, vtkStructuredGrid or vtkRectilinearGrid,\n"
"          output slice will consist of polygons instead of only triangles.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMergePoints\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MergePoints\"\n"
"                         label=\"Merge duplicated points in the slice\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>This parameter controls whether to merge duplicated points in the slice.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkHyperTreeGrid vtkOverlappingAMR\"\n"
"                                   exclude=\"1\"\n"
"                                   mode=\"visibility\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDual\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Use Dual\"\n"
"                         name=\"SetDual\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       name=\"vtkHyperTreeGrid\"/>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Plane\"\n"
"                                       value=\"Plane\"/>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If checked, uses the dual of the hyper tree grid.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetLevelOfResolution\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Level\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   name=\"vtkOverlappingAMR\"/>\n"
"        </Hints>\n"
"        <AMRLevelsDomain default_mode=\"max\"\n"
"                         name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </AMRLevelsDomain>\n"
"        <Documentation>\n"
"          Set maximum slice resolution.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetUseNativeCutter\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseNativeCutter\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       name=\"vtkOverlappingAMR\"/>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Plane\"\n"
"                                       value=\"Plane\"/>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          This property specifies whether the ParaView's generic\n"
"          dataset cutter is used instead of the specialized AMR cutter.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End SliceWithPlane -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVTransposeTable\"\n"
"                 label=\"Transpose Table\"\n"
"                 name=\"TransposeTable\">\n"
"      <Documentation long_help=\"Transpose a table.\"\n"
"                     short_help=\"Transpose a table.\">\n"
"                     </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                    name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"row\"\n"
"                          name=\"input_aray\"\n"
"                          number_of_components=\"1\"/>\n"
"        <Documentation>This property specifies the input to the\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty clean_command=\"ClearAttributeArrays\"\n"
"                            command=\"EnableAttributeArray\"\n"
"                            label=\"Variables of Interest\"\n"
"                            name=\"SelectArrays\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>Choose arrays whose entries will be used to form\n"
"        observations for statistical analysis.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetAddIdColumn\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AddIdColumn\"\n"
"                         label=\"Add a column with original columns name\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This flag indicates if a column must be inserted\n"
"          at index 0 with the names (ids) of the input columns.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseIdColumn\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseIdColumn\"\n"
"                         label=\"Use the column with original columns name\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This flag indicates if the output column must be\n"
"          named using the names listed in the index 0 column.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDoNotTranspose\"\n"
"                         default_values=\"0\"\n"
"                         name=\"DoNotTranspose\"\n"
"                         label=\"Only extract selected columns\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This flag indicates if the sub-table must be\n"
"        effectively transposed or not.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End TransposeTable -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkRectilinearGridConnectivity\"\n"
"                 label=\"Rectilinear Grid Connectivity\"\n"
"                 name=\"RectilinearGridConnectivity\">\n"
"      <Documentation long_help=\"Parallel fragments extraction and attributes integration on rectilinear grids.\"\n"
"                     short_help=\"Parallel fragments extraction and attributes integration on rectilinear grids.\">\n"
"      Extracts material fragments from multiblock vtkRectilinearGrid datasets\n"
"      based on the selected volume fraction array(s) and a fraction isovalue\n"
"      and integrates the associated attributes.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkRectilinearGrid\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface10 =
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"        <Documentation>This property specifies the input of the\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty clean_command=\"RemoveDoubleVolumeArrayNames\"\n"
"                            command=\"AddDoubleVolumeArrayName\"\n"
"                            label=\"Double Volume Arrays\"\n"
"                            name=\"AddDoubleVolumeArrayName\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>This property specifies the name(s) of the volume\n"
"        fraction array(s) for generating parts.</Documentation>\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_DOUBLE\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <!-- This overrides the GUI's default mechanism to\n"
"           not set the default value for this property\n"
"           using the domain when the proxy is created -->\n"
"          <NoDefault />\n"
"          <PropertyWidgetDecorator type=\"CTHArraySelectionDecorator\">\n"
"            <Property name=\"AddFloatVolumeArrayName\" />\n"
"            <Property name=\"AddUnsignedCharVolumeArrayName\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty clean_command=\"RemoveFloatVolumeArrayNames\"\n"
"                            command=\"AddFloatVolumeArrayName\"\n"
"                            label=\"Float Volume Arrays\"\n"
"                            name=\"AddFloatVolumeArrayName\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>This property specifies the name(s) of the volume\n"
"        fraction array(s) for generating parts.</Documentation>\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_FLOAT\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <!-- This overrides the GUI's default mechanism to\n"
"           not set the default value for this property\n"
"           using the domain when the proxy is created -->\n"
"          <NoDefault />\n"
"          <PropertyWidgetDecorator type=\"CTHArraySelectionDecorator\">\n"
"            <Property name=\"AddDoubleVolumeArrayName\" />\n"
"            <Property name=\"AddUnsignedCharVolumeArrayName\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty clean_command=\"RemoveUnsignedCharVolumeArrayNames\"\n"
"                            command=\"AddUnsignedCharVolumeArrayName\"\n"
"                            label=\"Unsigned Character Volume Arrays\"\n"
"                            name=\"AddUnsignedCharVolumeArrayName\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>This property specifies the name(s) of the volume\n"
"        fraction array(s) for generating parts.</Documentation>\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         data_type=\"VTK_UNSIGNED_CHAR\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <!-- This overrides the GUI's default mechanism to\n"
"           not set the default value for this property\n"
"           using the domain when the proxy is created -->\n"
"          <NoDefault />\n"
"          <PropertyWidgetDecorator type=\"CTHArraySelectionDecorator\">\n"
"            <Property name=\"AddDoubleVolumeArrayName\" />\n"
"            <Property name=\"AddFloatVolumeArrayName\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetVolumeFractionSurfaceValue\"\n"
"                            default_values=\"0.1\"\n"
"                            label=\"Volume Fraction Value\"\n"
"                            name=\"VolumeFractionSurfaceValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property is the volume fraction value\n"
"        for the surface.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End Rectilinear Grid Connectivity -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkRulerLineForInput\"\n"
"                 name=\"RulerFilter\"\n"
"                 label=\"Bounding Ruler\">\n"
"      <Documentation short_help=\"Create a line along the input to use as a ruler\">\n"
"        This filter creates a line along the object and defaults its\n"
"        representation to showing a ruler along that line.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetAxis\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Axis\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"X Axis\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Y Axis\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Z Axis\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Oriented Bounding Box Major Axis\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Oriented Bounding Box Medium Axis\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Oriented Bounding Box Minor Axis\"\n"
"                 value=\"5\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Select along which axis the ruler should be aligned. Note:\n"
"        this filter requires that all points in the dataset to which it is applied\n"
"        be copied to a single rank when this option is set to any of the\n"
"        Oriented Bound Box options, so make sure the dataset can fit on one rank\n"
"        before applying this filter.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <Representation view=\"RenderView\" type=\"RulerSourceRepresentation\" />\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"      <!-- End vtkRulerLineForInput -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkSliceAlongPolyPlane\"\n"
"                 label=\"Slice Along PolyLine\"\n"
"                 name=\"SliceAlongPolyLine\">\n"
"      <Documentation\n"
"        long_help=\"Slice along the surface defined by sweeping a polyline parallel to the z-axis.\"\n"
"        short_help=\"Slice along the surface defined by sweeping a polyline parallel to the z-axis.\">\n"
"        The Slice Along PolyLine filter is similar to the Slice Filter except that it slices along a surface that\n"
"        is defined by sweeping the input polyline parallel to the z-axis.  Explained another way: take a laser\n"
"        cutter and move it so that it hits every point on the input polyline while keeping it parallel\n"
"        to the z-axis. The surface cut from the input dataset is the result.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Dataset\" port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the vtkDataObject to slice.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"PolyLine\" port_index=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the polyline to slice along.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty animatable=\"0\"\n"
"                            command=\"SetTolerance\"\n"
"                            default_values=\"10\"\n"
"                            label=\"Tolerance\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain mode=\"approximate_cell_length\"\n"
"                      name=\"bounds\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Dataset\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          The threshold used internally to determine correspondence between the polyline\n"
"          and the output slice.  If the output has sections missing, increasing this\n"
"          value may help.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End Slice Along PolyLine -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkThresholdTable\"\n"
"                 label=\"Threshold Table\"\n"
"                 name=\"ThresholdTable\">\n"
"      <Documentation long_help=\"This filter extracts table rows that satisfy a threshold criterion for a given column.\"\n"
"                     short_help=\"Threshold table rows.\">\n"
"                     The Threshold Table Filter uses minimum and/or maximum values to threshold\n"
"                     table rows based on the values in a particular column of a vtkTable object.\n"
"                     It operates on scalar fields, and accepts two thresholding parameters:\n"
"                     MinValue and MaxValue. This filter offers four different thresholding\n"
"                     methods : \"Below Max Threshold\", \"Above Min Threshold\", \"Between\", and \"Outside\".\n"
"                     The output of this filter is a vtkTable object with less or as many rows as the input vtkTable.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\"\n"
"                          number_of_components=\"1\"/>\n"
"        <Documentation>This property specifies the input to the Threshold Table\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Column\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property specifies which column to use for\n"
"        thresholding.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMinValue\"\n"
"                            default_values=\"0\"\n"
"                            name=\"MinValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayRangeDomain name=\"range\"\n"
"                          default_mode=\"min\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputScalars\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"Mode\" value=\"1\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"Mode\" value=\"2\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"Mode\" value=\"3\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          The value of this property specifies the lower bound of the\n"
"          thresholding operation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaxValue\"\n"
"                            default_values=\"0\"\n"
"                            name=\"MaxValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayRangeDomain name=\"range\"\n"
"                          default_mode=\"max\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputScalars\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"Mode\" value=\"0\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"Mode\" value=\"2\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"Mode\" value=\"3\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          The value of this property specifies the upper bound of the\n"
"          thresholding operation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetMode\"\n"
"                         default_values=\"2\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface11 =
"                         name=\"Mode\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Below Max Threshold\" value=\"0\"/>\n"
"          <Entry text=\"Above Min Threshold\" value=\"1\"/>\n"
"          <Entry text=\"Between\" value=\"2\"/>\n"
"          <Entry text=\"Outside\" value=\"3\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property indicates the threshold method.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ThresholdTable -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkSurfaceVectors\"\n"
"                 label=\"Surface Vectors\"\n"
"                 name=\"SurfaceVectors\">\n"
"      <Documentation long_help=\"This filter constrains vectors to lie on a surface.\"\n"
"                     short_help=\"This filter constrains vectors to lie on a surface.\">\n"
"                     The Surface Vectors filter is used for 2D data sets. It\n"
"                     constrains vectors to lie in a surface by removing\n"
"                     components of the vectors normal to the local\n"
"                     surface.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"3\" />\n"
"        <Documentation>This property specifies the input to the Surface Vectors\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property specifies the name of the input vector\n"
"        array to process.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetConstraintMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ConstraintMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Parallel\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Perpendicular\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"PerpendicularScale\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property specifies whether the vectors will be\n"
"        parallel or perpendicular to the surface. If the value is set to\n"
"        PerpendicularScale (2), then the output will contain a scalar array\n"
"        with the dot product of the surface normal and the vector at each\n"
"        point.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End SurfaceVectors -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTimeStepProgressFilter\"\n"
"                 label=\"Time Step Progress Bar\"\n"
"                 name=\"TimeStepProgressFilter\">\n"
"      <Documentation long_help=\"Shows input data time as progress bar in the view.\"\n"
"                     short_help=\"Show data time step as progress bar.\">The Time Step Progress Bar\n"
"                     filter can be used to show the relative position of the actual time step/value\n"
"                     relatively to the number of timesteps/data time range in a progress bar.\n"
"                     </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>This property specifies the input dataset for which to\n"
"        display the time step.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"        <OutputPort index=\"0\"\n"
"                    name=\"Output-0\"\n"
"                    type=\"progress\" />\n"
"      </Hints>\n"
"      <!-- End of TimeToTextConvertor -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTimeToTextConvertor\"\n"
"                 label=\"Annotate Time Filter\"\n"
"                 name=\"TimeToTextConvertor\">\n"
"      <Documentation long_help=\"Shows input data time as text annnotation in the view.\"\n"
"                     short_help=\"Show data time as text.\">The Annotate Time\n"
"                     filter can be used to show the data time in a text\n"
"                     annotation.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>This property specifies the input dataset for which to\n"
"        display the time.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFormat\"\n"
"                            default_values=\"Time: {time:f}\"\n"
"                            name=\"Format\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>The value of this property is a format string used to\n"
"        display the input time. The format string is specified using fmt style\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetShift\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Shift\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The amount of time the input is shifted (after\n"
"        scaling).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The factor by which the input time is\n"
"        scaled.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"        <OutputPort index=\"0\"\n"
"                    name=\"Output-0\"\n"
"                    type=\"text\" />\n"
"      </Hints>\n"
"      <!-- End of TimeToTextConvertor -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkOMETIFFChannelCalculator\" name=\"OMETIFFChannelCalculator\"\n"
"      label=\"OME TIFF Channel Calculator\">\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"point_arrays\" attribute_type=\"point\" optional=\"1\" />\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty\n"
"          name=\"ChannelVisibilities\"\n"
"          command=\"GetChannelSelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"point_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the point data arrays to pass through\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"point\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <ProxyProperty command=\"SetChannel1LUT\" name=\"Channel1LUT\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetChannel2LUT\" name=\"Channel2LUT\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetChannel3LUT\" name=\"Channel3LUT\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetChannel4LUT\" name=\"Channel4LUT\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetChannel5LUT\" name=\"Channel5LUT\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetChannel6LUT\" name=\"Channel6LUT\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetChannel7LUT\" name=\"Channel7LUT\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetChannel8LUT\" name=\"Channel8LUT\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetChannel9LUT\" name=\"Channel9LUT\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetChannel10LUT\" name=\"Channel10LUT\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty name=\"Channel1Weight\"\n"
"        command=\"SetChannel1Weight\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" />\n"
"      <DoubleVectorProperty name=\"Channel2Weight\"\n"
"        command=\"SetChannel2Weight\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" />\n"
"      <DoubleVectorProperty name=\"Channel3Weight\"\n"
"        command=\"SetChannel3Weight\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" />\n"
"      <DoubleVectorProperty name=\"Channel4Weight\"\n"
"        command=\"SetChannel4Weight\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" />\n"
"      <DoubleVectorProperty name=\"Channel5Weight\"\n"
"        command=\"SetChannel5Weight\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" />\n"
"      <DoubleVectorProperty name=\"Channel6Weight\"\n"
"        command=\"SetChannel6Weight\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" />\n"
"      <DoubleVectorProperty name=\"Channel7Weight\"\n"
"        command=\"SetChannel7Weight\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" />\n"
"      <DoubleVectorProperty name=\"Channel8Weight\"\n"
"        command=\"SetChannel8Weight\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" />\n"
"      <DoubleVectorProperty name=\"Channel9Weight\"\n"
"        command=\"SetChannel9Weight\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" />\n"
"      <DoubleVectorProperty name=\"Channel10Weight\"\n"
"        command=\"SetChannel10Weight\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" />\n"
"\n"
"      <PropertyGroup label=\"Color + Opacity Settings\" panel_widget=\"OMETransferFunctions\">\n"
"        <Property name=\"Channel1LUT\"    function=\"Channel_1\" />\n"
"        <Property name=\"Channel2LUT\"    function=\"Channel_2\" />\n"
"        <Property name=\"Channel3LUT\"    function=\"Channel_3\" />\n"
"        <Property name=\"Channel4LUT\"    function=\"Channel_4\" />\n"
"        <Property name=\"Channel5LUT\"    function=\"Channel_5\" />\n"
"        <Property name=\"Channel6LUT\"    function=\"Channel_6\" />\n"
"        <Property name=\"Channel7LUT\"    function=\"Channel_7\" />\n"
"        <Property name=\"Channel8LUT\"    function=\"Channel_8\" />\n"
"        <Property name=\"Channel9LUT\"    function=\"Channel_9\" />\n"
"        <Property name=\"Channel10LUT\"   function=\"Channel_10\" />\n"
"        <Property name=\"Channel1Weight\" function=\"Channel_1Weight\" />\n"
"        <Property name=\"Channel2Weight\" function=\"Channel_2Weight\" />\n"
"        <Property name=\"Channel3Weight\" function=\"Channel_3Weight\" />\n"
"        <Property name=\"Channel4Weight\" function=\"Channel_4Weight\" />\n"
"        <Property name=\"Channel5Weight\" function=\"Channel_5Weight\" />\n"
"        <Property name=\"Channel6Weight\" function=\"Channel_6Weight\" />\n"
"        <Property name=\"Channel7Weight\" function=\"Channel_7Weight\" />\n"
"        <Property name=\"Channel8Weight\" function=\"Channel_8Weight\" />\n"
"        <Property name=\"Channel9Weight\" function=\"Channel_9Weight\" />\n"
"        <Property name=\"Channel10Weight\" function=\"Channel_10Weight\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <InitializationHelper class=\"vtkSMOMETIFFChannelCalculatorInitializationHelper\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAnnotateGlobalDataFilter\"\n"
"                 label=\"Annotate Global Data\"\n"
"                 name=\"AnnotateGlobalData\">\n"
"      <Documentation short_help=\"Filter for annotating with global/field data\">\n"
"        Generates annotation text from global / field data presumed to be associated\n"
"        with time steps in the source dataset for this filter.\n"
"        If the field array chosen has as many elements as number of timesteps,\n"
"        the array is assumed to be \"temporal\" and indexed using the current\n"
"        timestep.\n"
"      </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_filters.xml
static const char* const paraview_server_managergeneral_filtersInterface12 =
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"field\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"        <Documentation>Set the input of the filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFieldArrayName\"\n"
"                            name=\"SelectArrays\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>Choose array that is going to be\n"
"        displayed.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPrefix\"\n"
"                            default_values=\"Value is: \"\n"
"                            name=\"Prefix\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Text that is used as a prefix to the field\n"
"        value.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetFormat\"\n"
"                            default_values=\"%7.5g\"\n"
"                            name=\"Format\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Text that is used as the C format string used by the\n"
"          snprintf string formatter used to convert a global data value to a string.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPostfix\"\n"
"                            default_values=\"\"\n"
"                            name=\"Suffix\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Text that is used as a suffix to the field\n"
"        value.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"        <OutputPort index=\"0\" name=\"Output-0\" type=\"text\" />\n"
"      </Hints>\n"
"      <!-- End AnnotateGlobalData -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkMergeVectorComponents\"\n"
"                 label=\"Merge Vector Components\"\n"
"                 name=\"MergeVectorComponents\">\n"
"     <Documentation\n"
"        long_help=\"Merge three 1-component arrays of the same attribute type (point-data or cell-data)\n"
"                   into one 3-component vector.\"\n"
"        short_help=\"Merge three 1-component arrays into one 3-component vector.\">\n"
"        The MergeVectorComponents filter can be used to merge 1-component arrays of\n"
"        the same attribute type (point-data or cell-data) into one 3-component vector.\n"
"     </Documentation>\n"
"     <InputProperty command=\"SetInputConnection\"\n"
"                    name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"       <InputArrayDomain name=\"scale_array\"\n"
"                         number_of_components=\"1\"\n"
"                         optional=\"1\" />\n"
"     </InputProperty>\n"
"      <IntVectorProperty command=\"SetAttributeType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AttributeType\"\n"
"                         number_of_elements=\"1\">\n"
"        <FieldDataDomain name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"        <Documentation>This property determines on which types of field data the computation is to\n"
"        be performed on.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetXArrayName\"\n"
"                            name=\"XArrayName\"\n"
"                            label=\"X Array\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"scale_array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeType\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property indicates the name of the array with the X component.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetYArrayName\"\n"
"                            name=\"YArrayName\"\n"
"                            label=\"Y Array\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"scale_array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeType\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property indicates the name of the array with the Y component.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetZArrayName\"\n"
"                            name=\"ZArrayName\"\n"
"                            label=\"Z Array\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"scale_array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeType\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property indicates the name of the array with the Z component.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetOutputVectorName\"\n"
"                            default_values=\"Vector\"\n"
"                            name=\"OutputVectorName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>This property contains the name for the output vector\n"
"        containing the result of the merging.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End MergeVectorComponents -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy class=\"vtkMultiObjectMassProperties\"\n"
"                label=\"Compute Connected Surface Properties\"\n"
"                name=\"ComputeConnectedSurfaceProperties\">\n"
"     <Documentation\n"
"             long_help=\"Compute volume, area, and centroid of multiple connected polygonal\n"
"             objects in a single polygonal input\"\n"
"             short_help=\"Compute volume, area, and centroid of multiple polygonal objects\">\n"
"       Given a PolyData, computed the volume, area and centroid of one or more polygonal objects.\n"
"       An optional object IDs cell data array that maps a polygon to a specific object may be provided,\n"
"       or the objects will be identified as connected components in the input data.\n"
"     </Documentation>\n"
"     <InputProperty command=\"SetInputConnection\"\n"
"                    name=\"Input\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkPolyData\"/>\n"
"       </DataTypeDomain>\n"
"       <InputArrayDomain attribute_type=\"cell\"\n"
"                         name=\"scale_array\"\n"
"                         number_of_components=\"1\"\n"
"                         optional=\"1\" />\n"
"     </InputProperty>\n"
"     <IntVectorProperty command=\"SetSkipValidityCheck\"\n"
"                        name=\"SkipObjectIdentification\"\n"
"                        default_values=\"0\"\n"
"                        number_of_elements=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>This property determines whether to skip the object identification\n"
"        which detects the multiple objects in the PolyData. This check can be skipped\n"
"        only if the PolyData has a CellData array with the object Ids, and the ids start with 0 index.\n"
"        The name of that array is configurable.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <StringVectorProperty command=\"SetObjectIdsArrayName\"\n"
"                           name=\"ObjectIdsArrayName\"\n"
"                           default_values=\"ObjectIds\"\n"
"                           number_of_elements=\"1\">\n"
"       <ArrayListDomain attribute_type=\"Scalars\"\n"
"                        name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property function=\"Input\"\n"
"                     name=\"Input\" />\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Hints>\n"
"         <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"           <Property name=\"SkipObjectIdentification\" function=\"boolean\"/>\n"
"         </PropertyWidgetDecorator>\n"
"         <NoDefault />\n"
"       </Hints>\n"
"       <Documentation>\n"
"         This property indicates the name of the array with the object IDs. The default name is \"ObjectIds\".\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"     <!-- End ComputeConnectedSurfaceProperties -->\n"
"   </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkEqualizerFilter\"\n"
"                 name=\"EqualizerFilter\"\n"
"                 label=\"Equalizer Filter\">\n"
"      <Documentation long_help=\"Filter for signal modification.\">\n"
"        The Equalizer Filter implements an algorithm that selectively corrects\n"
"        the signal amplitude depending on the frequency characteristics.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\"\n"
"                     command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkTable\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"\n"
"    <IntVectorProperty command=\"SetSamplingFrequency\"\n"
"                       default_values=\"1000\"\n"
"                       name=\"SamplingFrequency\"\n"
"                       label=\"Sampling Frequency, Hz\"\n"
"                       number_of_elements=\"1\">\n"
"      <Documentation>\n"
"        Set sampling frequency of signal.\n"
"      </Documentation>\n"
"    </IntVectorProperty>\n"
"\n"
"    <StringVectorProperty name=\"Array\"\n"
"                          command=\"SetArray\"\n"
"                          number_of_elements=\"1\"\n"
"                          animateable=\"0\">\n"
"          <ArrayListDomain\n"
"            name=\"array_list\" attribute_type=\"Scalars\"\n"
"            input_domain_name=\"inputs_array\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"        <Documentation>\n"
"          Specify the name of a scalar array which will be used to FFT.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"AllColumns\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"    </StringVectorProperty>\n"
"\n"
"    <IntVectorProperty command=\"SetAllColumns\"\n"
"                       default_values=\"0\"\n"
"                       name=\"AllColumns\"\n"
"                       number_of_elements=\"1\">\n"
"      <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Use for all columns of table.\n"
"      </Documentation>\n"
"    </IntVectorProperty>\n"
"\n"
"    <IntVectorProperty animateable=\"1\"\n"
"                       command=\"SetSpectrumGain\"\n"
"                       default_values=\"0\"\n"
"                       name=\"SpectrumGain\"\n"
"                       label=\"Spectrum Gain, dB\"\n"
"                       number_of_elements=\"1\">\n"
"      <IntRangeDomain max=\"50\"\n"
"                      min=\"-50\"\n"
"                      name=\"range\" />\n"
"      <Documentation>\n"
"        Specify a gain coefficient (in dB) to apply to the spectrum of the input signal.\n"
"        Used only for convenient viewing.\n"
"      </Documentation>\n"
"    </IntVectorProperty>\n"
"\n"
"    <StringVectorProperty animateable=\"1\"\n"
"                          command=\"SetPoints\"\n"
"                          label=\"Equalizer Points\"\n"
"                          name=\"EqualizerPoints\"\n"
"                          number_of_elements=\"1\" >\n"
"      <Documentation>This property defines the interactive points of the equalizer.</Documentation>\n"
"    </StringVectorProperty>\n"
"\n"
"    <PropertyGroup name=\"Equalizer Filtering Points\" panel_widget=\"EqualizerPropertyWidget\">\n"
"      <Property name=\"EqualizerPoints\" />\n"
"      <Property name=\"SamplingFrequency\" />\n"
"      <Hints>\n"
"        <WidgetVisibilityLink port=\"2\" />\n"
"      </Hints>\n"
"    </PropertyGroup>\n"
"\n"
"    <OutputPort index=\"0\" name=\"Spectrum\" />\n"
"    <OutputPort index=\"1\" name=\"Result\" />\n"
"    <OutputPort index=\"2\" name=\"Normalized Spectrum\" />\n"
"\n"
"    <Hints>\n"
"      <PipelineIcon port=\"0\" name=\"XYChartView\" />\n"
"      <View port=\"0\" type=\"None\" />\n"
"\n"
"      <PipelineIcon port=\"1\" name=\"XYChartView\" />\n"
"      <View port=\"1\" type=\"None\" />\n"
"\n"
"      <PipelineIcon port=\"2\" name=\"XYChartView\" />\n"
"      <View port=\"2\" type=\"XYChartView\" />\n"
"\n"
"      <RepresentationType view=\"XYChartView\" type=\"XYChartRepresentation\" />\n"
"    </Hints>\n"
"\n"
"    </SourceProxy>\n"
"    <!-- End vtkEqualizerFilter -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managergeneral_filtersGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managergeneral_filtersInterface0);
  const size_t len1 = strlen(paraview_server_managergeneral_filtersInterface1);
  const size_t len2 = strlen(paraview_server_managergeneral_filtersInterface2);
  const size_t len3 = strlen(paraview_server_managergeneral_filtersInterface3);
  const size_t len4 = strlen(paraview_server_managergeneral_filtersInterface4);
  const size_t len5 = strlen(paraview_server_managergeneral_filtersInterface5);
  const size_t len6 = strlen(paraview_server_managergeneral_filtersInterface6);
  const size_t len7 = strlen(paraview_server_managergeneral_filtersInterface7);
  const size_t len8 = strlen(paraview_server_managergeneral_filtersInterface8);
  const size_t len9 = strlen(paraview_server_managergeneral_filtersInterface9);
  const size_t len10 = strlen(paraview_server_managergeneral_filtersInterface10);
  const size_t len11 = strlen(paraview_server_managergeneral_filtersInterface11);
  const size_t len12 = strlen(paraview_server_managergeneral_filtersInterface12);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4
    + len5
    + len6
    + len7
    + len8
    + len9
    + len10
    + len11
    + len12 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managergeneral_filtersInterface0, paraview_server_managergeneral_filtersInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managergeneral_filtersInterface1, paraview_server_managergeneral_filtersInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managergeneral_filtersInterface2, paraview_server_managergeneral_filtersInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managergeneral_filtersInterface3, paraview_server_managergeneral_filtersInterface3 + len3, res + offset); offset += len3;
  std::copy(paraview_server_managergeneral_filtersInterface4, paraview_server_managergeneral_filtersInterface4 + len4, res + offset); offset += len4;
  std::copy(paraview_server_managergeneral_filtersInterface5, paraview_server_managergeneral_filtersInterface5 + len5, res + offset); offset += len5;
  std::copy(paraview_server_managergeneral_filtersInterface6, paraview_server_managergeneral_filtersInterface6 + len6, res + offset); offset += len6;
  std::copy(paraview_server_managergeneral_filtersInterface7, paraview_server_managergeneral_filtersInterface7 + len7, res + offset); offset += len7;
  std::copy(paraview_server_managergeneral_filtersInterface8, paraview_server_managergeneral_filtersInterface8 + len8, res + offset); offset += len8;
  std::copy(paraview_server_managergeneral_filtersInterface9, paraview_server_managergeneral_filtersInterface9 + len9, res + offset); offset += len9;
  std::copy(paraview_server_managergeneral_filtersInterface10, paraview_server_managergeneral_filtersInterface10 + len10, res + offset); offset += len10;
  std::copy(paraview_server_managergeneral_filtersInterface11, paraview_server_managergeneral_filtersInterface11 + len11, res + offset); offset += len11;
  std::copy(paraview_server_managergeneral_filtersInterface12, paraview_server_managergeneral_filtersInterface12 + len12, res + offset); offset += len12;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/FiltersGeneral/Resources/general_sources.xml
static const char* const paraview_server_managergeneral_sourcesInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkHierarchicalFractal\"\n"
"                 label=\"Hierarchical Fractal\"\n"
"                 name=\"HierarchicalFractal\">\n"
"      <Documentation long_help=\"Test source for AMR with HierarchicalDataSet\"\n"
"                     short_help=\"Hierarchical fractal\">The Hierarchical Fractal\n"
"                     source is a collection of uniform grids. All have the same\n"
"                     dimensions. Each block has a different origin and spacing.\n"
"                     This source uses the Mandelbrot source to create cell\n"
"                     data. The fractal array is scaled to look like a volume\n"
"                     fraction.</Documentation>\n"
"      <IntVectorProperty command=\"SetDimensions\"\n"
"                         default_values=\"10\"\n"
"                         name=\"Dimensions\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"64\"\n"
"                        min=\"2\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the X, Y, Z cell dimensions of a\n"
"        block.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFractalValue\"\n"
"                            default_values=\"9.5\"\n"
"                            name=\"FractalValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property will be mapped to 0.5 for use\n"
"        as a volume fraction.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaximumLevel\"\n"
"                         default_values=\"5\"\n"
"                         name=\"MaximumLevel\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"10\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies how many levels of refinement\n"
"        should be included in this hierarchical dataset.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGhostLevels\"\n"
"                         default_values=\"1\"\n"
"                         name=\"GhostLevels\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property specifies whether ghost levels should be\n"
"        generated at processor boundaries.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTwoDimensional\"\n"
"                         default_values=\"1\"\n"
"                         name=\"TwoDimensional\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the generated dataset will\n"
"        be 2D; otherwise it will be 3D.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAsymetric\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Asymetric\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 0, all the blocks will be the\n"
"        same size. If it is set to 1, an asymmetric dataset will be created:\n"
"        some blocks will have an X dimension that is larger by 2\n"
"        units.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateRectilinearGrids\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RectilinearGrids\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the hierarchical dataset\n"
"        will contain rectilinear grids; otherwise it will contain uniform\n"
"        grids.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetTimeStepRange\"\n"
"                         information_only=\"1\"\n"
"                         name=\"TimeStepRangeInfo\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetTimeStep\"\n"
"                         default_values=\"0\"\n"
"                         name=\"TimeStep\"\n"
"                         number_of_elements=\"1\" >\n"
"        <IntRangeDomain name=\"range\"\n"
"                        default_mode=\"min\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"Range\"\n"
"                      name=\"TimeStepRangeInfo\" />\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>This property specifies the timestep to use for this\n"
"        dataset.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End HierarchicalFractal -->\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkImageSimpleSource\"\n"
"                 label=\"Fast Uniform Grid\"\n"
"                 name=\"FastUniformGrid\">\n"
"      <Documentation long_help=\"Create a uniform grid in 3 dimensions with scalar and vector data arrays, consuming minimal computational resources.\"\n"
"                     short_help=\"Create a 3D uniform grid with scalar and vector arrays.\">The\n"
"                     Fast Uniform Grid source can be used to create a uniform\n"
"                     grid with scalar values derived from relatively light\n"
"                     computations. The active scalar array is named \"X\", and\n"
"                     is set to the X coordinate for each pixel. There are two\n"
"                     additional point data sets. The data array named\n"
"                     \"DistanceSquared\" is computed as the squared distance from\n"
"                     each pixel to the origin. The data array named \"Swirl\"\n"
"                     is a vector field computed as (Y,Z,X) at each pixel.\n"
"                     </Documentation>\n"
"      <IntVectorProperty command=\"SetWholeExtent\"\n"
"                         default_values=\"-10 10 -10 10 -10 10\"\n"
"                         name=\"WholeExtent\"\n"
"                         number_of_elements=\"6\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>The six values in the property indicate the X, Y, and Z\n"
"        extent of the output data. The first two numbers are the minimum and\n"
"        maximum X extent; the next two are the minimum and maximum Y extent;\n"
"        and the final two are the minimum and maximum Z extent. The numbers are\n"
"        inclusive, so values of -10, 10, -10, 10, =10, 10 indicate that the\n"
"        dimensions of the output will be 21 x 21 x 21.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetEnableDistanceSquaredData\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Generate DistanceSquared Scalars\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Enable/disable DistanceSquared point data scalar array.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetEnableSwirlData\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Generate Swirl Vectors\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Enable/disable Swirl point data vector array.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetEnableSMP\"\n"
"                         default_values=\"0\"\n"
"                         name=\"EnableSMP\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Enable/disable SMP for threading.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDesiredBytesPerPiece\"\n"
"                         default_values=\"65536\"\n"
"                         name=\"DesiredBytesPerPiece\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        The desired bytes per piece when the volume is split for SMP execution.\n"
"        When SMP is enabled, this is used to subdivide the volume into pieces.\n"
"        Smaller pieces allow for better dynamic load balancing, but increase\n"
"        the total overhead.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVTextSource\"\n"
"                 label=\"Text\"\n"
"                 name=\"TextSource\">\n"
"      <Documentation long_help=\"The Text source generates a table containing text.\"\n"
"                     short_help=\"Display text\">\n"
"                     The Text source is used to generate a vtkTable with a single text string.\n"
"                     To create a table with several columns, use the '|' (pipe) character.\n"
"                     To create several rows, simply add newlines.\n"
"      </Documentation>\n"
"      <StringVectorProperty command=\"SetText\"\n"
"                            default_values=\"Text\"\n"
"                            name=\"Text\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          This property specifies the text to display. To display text separated into cells,\n"
"          use newlines to separate text into rows and the '|' (pipe) character to create columns.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <OutputPort index=\"0\"\n"
"                    name=\"Output-0\"\n"
"                    type=\"text\" />\n"
"      </Hints>\n"
"      <!-- End of TextSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTimeToTextConvertor\"\n"
"                 label=\"Annotate Time\"\n"
"                 name=\"TimeToTextConvertorSource\">\n"
"      <Documentation long_help=\"Shows the animation time as text annotation in the view.\"\n"
"                     short_help=\"Show animation time as text\">The Annotate Time\n"
"                     source can be used to show the animation time in text\n"
"                     annotation.</Documentation>\n"
"      <StringVectorProperty command=\"SetFormat\"\n"
"                            default_values=\"Time: {time:f}\"\n"
"                            name=\"Format\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>The value of this property is a format string used to\n"
"          display the input time. The format string is specified using fmt style.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <OutputPort index=\"0\"\n"
"                    name=\"Output-0\"\n"
"                    type=\"text\" />\n"
"      </Hints>\n"
"      <!-- End of TimeToTextConvertorSource -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managergeneral_sourcesGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managergeneral_sourcesInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managergeneral_sourcesInterface0, paraview_server_managergeneral_sourcesInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/extractors.xml
static const char* const paraview_server_managerextractorsInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"extractors\">\n"
"    <Proxy name=\"Extractor\">\n"
"      <IntVectorProperty name=\"Enable\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable the extractor.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"Trigger\"\n"
"                     label=\"Trigger\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"extract_triggers\" default=\"TimeStep\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property sets the parameters of the trigger.</Documentation>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty name=\"Writer\">\n"
"        <ProxyListDomain name=\"proxy_list\" />\n"
"      </ProxyProperty>\n"
"      <ProxyProperty name=\"Producer\" panel_visibility=\"never\" />\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"extract_triggers\">\n"
"    <ExtractTriggerProxy name=\"TimeStep\">\n"
"\n"
"      <IntVectorProperty name=\"UseStartTimeStep\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When enabled, **StartTimeStep** will be used to delay the activation of this\n"
"          trigger.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"StartTimeStep\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          Specify the timestep to at which this trigger is evaluated. This used only\n"
"          if **UseStartTimeStep** is enabled.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseEndTimeStep\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When enabled, **EndTimeStep** will be used to delay the activation of this\n"
"          trigger.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"EndTimeStep\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          Specify the timestep to at which this trigger is evaluated. This used only\n"
"          if **UseEndTimeStep** is enabled.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Frequency\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          Specify the frequency.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Start Time Step\" panel_widget=\"CheckableProperty\">\n"
"        <Property name=\"StartTimeStep\" function=\"Property\" />\n"
"        <Property name=\"UseStartTimeStep\" function=\"PropertyCheckBox\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"End Time Step\" panel_widget=\"CheckableProperty\">\n"
"        <Property name=\"EndTimeStep\" function=\"Property\" />\n"
"        <Property name=\"UseEndTimeStep\" function=\"PropertyCheckBox\" />\n"
"      </PropertyGroup>\n"
"    </ExtractTriggerProxy>\n"
"\n"
"\n"
"\n"
"    <ExtractTriggerProxy name=\"TimeValue\">\n"
"\n"
"      <IntVectorProperty name=\"UseStartTimeValue\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When enabled, **StartTimeValue** will be used to delay the activation of this\n"
"          trigger.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"StartTimeValue\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <Documentation>\n"
"          Specify the time value to at which this trigger is evaluated. This used only\n"
"          if **UseStartTimeValue** is enabled.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseEndTimeValue\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When enabled, **EndTimeValue** will be used to delay the activation of this\n"
"          trigger.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"EndTimeValue\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <Documentation>\n"
"          Specify the time value to at which this trigger is evaluated. This used only\n"
"          if **UseEndTimeValue** is enabled.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Length\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          Specify the time value length.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Start Time Value\" panel_widget=\"CheckableProperty\">\n"
"        <Property name=\"StartTimeValue\" function=\"Property\" />\n"
"        <Property name=\"UseStartTimeValue\" function=\"PropertyCheckBox\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"End Time Value\" panel_widget=\"CheckableProperty\">\n"
"        <Property name=\"EndTimeValue\" function=\"Property\" />\n"
"        <Property name=\"UseEndTimeValue\" function=\"PropertyCheckBox\" />\n"
"      </PropertyGroup>\n"
"    </ExtractTriggerProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerextractorsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerextractorsInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerextractorsInterface0, paraview_server_managerextractorsInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/internal_writers.xml
static const char* const paraview_server_managerinternal_writersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_writers\">\n"
"    <!--\n"
"      *****************************************************************\n"
"      These are proxies used by meta-writers defined in writers.xml\n"
"      *****************************************************************\n"
"    -->\n"
"    <SourceProxy class=\"vtkPassSelectedArrays\" name=\"PassArrays\"\n"
"      base_proxygroup=\"filters\" base_proxyname=\"PassArrays\">\n"
"      <!-- extends `PassArrays` to add the ChooseArraysToWrite property -->\n"
"      <IntVectorProperty name=\"ChooseArraysToWrite\"\n"
"        command=\"SetEnabled\"\n"
"        default_values=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Explicitly choose which arrays to write.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"DataWriterBase\">\n"
"      <!-- Base for non-xml data writers -->\n"
"      <Documentation>This defines the interface for legacy vtk data files\n"
"      writer.</Documentation>\n"
"      <IntVectorProperty command=\"SetFileType\"\n"
"                         default_values=\"2\"\n"
"                         name=\"FileType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Ascii\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Binary\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The type for the data file (i.e. ascii or\n"
"        binary).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of DataWriterBase -->\n"
"    </Proxy>\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"ParallelWriterBase\">\n"
"      <Documentation>This defines the interface for the parallel writers.</Documentation>\n"
"      <!-- Base for parallel writers -->\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PassArrays\" proxygroup=\"internal_writers\" proxyname=\"PassArrays\" />\n"
"        <ExposedProperties>\n"
"        <PropertyGroup label=\"Data Selection\">\n"
"          <Property name=\"ChooseArraysToWrite\" />\n"
"        </PropertyGroup>\n"
"          <PropertyGroup label=\"Array Selection\" panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"PointDataArrays\" />\n"
"            <Property name=\"CellDataArrays\" />\n"
"            <Property name=\"FieldDataArrays\" />\n"
"            <Property name=\"VertexDataArrays\" />\n"
"            <Property name=\"EdgeDataArrays\" />\n"
"            <Property name=\"RowDataArrays\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ChooseArraysToWrite\"\n"
"                                       value=\"1\" />\n"
"              <!-- show this widget when ChooseArraysToWrite==1 -->\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <LinkProperties>\n"
"          <Property name=\"Input\" with_property=\"Input\" />\n"
"        </LinkProperties>\n"
"      </SubProxy>\n"
"\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetGhostLevel\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GhostLevel\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The number of ghost levels to include in the output\n"
"        file(s). Note that some writers (such as ExodusIIWriter) may not\n"
"        support writing ghost levels.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <SourceProxy class=\"vtkCompleteArrays\"\n"
"                     name=\"CompleteArrays\"></SourceProxy>\n"
"      </SubProxy>\n"
"      <!-- End of ParallelWriterBase -->\n"
"    </Proxy>\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"FileSeriesWriter\">\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PassArrays\" proxygroup=\"internal_writers\" proxyname=\"PassArrays\" />\n"
"        <ExposedProperties>\n"
"        <PropertyGroup label=\"Data Selection\">\n"
"          <Property name=\"ChooseArraysToWrite\" />\n"
"        </PropertyGroup>\n"
"          <PropertyGroup label=\"Array Selection\" panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"PointDataArrays\" />\n"
"            <Property name=\"CellDataArrays\" />\n"
"            <Property name=\"FieldDataArrays\" />\n"
"            <Property name=\"VertexDataArrays\" />\n"
"            <Property name=\"EdgeDataArrays\" />\n"
"            <Property name=\"RowDataArrays\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ChooseArraysToWrite\"\n"
"                                       value=\"1\" />\n"
"              <!-- show this widget when ChooseArraysToWrite==1 -->\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <LinkProperties>\n"
"          <Property name=\"Input\" with_property=\"Input\" />\n"
"        </LinkProperties>\n"
"      </SubProxy>\n"
"\n"
"      <IntVectorProperty command=\"SetWriteAllTimeSteps\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Write timesteps as file-series\"\n"
"                         name=\"WriteTimeSteps\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When WriteTimeSteps is OFF, the writer\n"
"        writes only the current timestep. Otherwise it is called once\n"
"        for each time step within the min and max range. If those are\n"
"        not set, the writer is called for all time steps available in\n"
"        its input.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMinTimeStep\"\n"
"                         default_values=\"0\"\n"
"                         label=\"First time step\"\n"
"                         name=\"MinTimeStep\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Sets the lower bound for timesteps to write.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaxTimeStep\"\n"
"                         default_values=\"-1\"\n"
"                         label=\"Last time step\"\n"
"                         name=\"MaxTimeStep\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Sets the upper bound for timesteps to write. If\n"
"        less than min, the last time step is used.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTimeStepStride\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Time step stride\"\n"
"                         name=\"TimeStepStride\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Sets the stride to go through the time steps.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetFileNameSuffix\"\n"
"                            default_values=\"_%d\"\n"
"                            label = \"File name suffix\"\n"
"                            name=\"FileNameSuffix\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"        The suffix to append to the file name when writing files at different timesteps.\n"
"        File extensions such as .vtk should be excluded.\n"
"        The `%` format specifiers are used. For example, _%d will write files as FileName_0,\n"
"        FileName_1, FileName_2, etc., and _%.3d will write files as FileName_000,\n"
"        FileName_001, FileName_002 etc.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"File Series\">\n"
"        <Property name=\"WriteTimeSteps\" />\n"
"        <Property name=\"FileNameSuffix\"/>\n"
"        <Property name=\"MinTimeStep\" />\n"
"        <Property name=\"MaxTimeStep\" />\n"
"        <Property name=\"TimeStepStride\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- End of FileSeriesWriter -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"FileSeriesWriterComposite\">\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"SelectArraysExtractBlocks\" proxygroup=\"internal_filters\" proxyname=\"SelectArraysExtractBlocks\" />\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Data Selection\">\n"
"            <Property name=\"ChooseArraysToWrite\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Array Selection\" panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"PointDataArrays\" />\n"
"            <Property name=\"CellDataArrays\" />\n"
"            <Property name=\"FieldDataArrays\" />\n"
"            <Property name=\"VertexDataArrays\" />\n"
"            <Property name=\"EdgeDataArrays\" />\n"
"            <Property name=\"RowDataArrays\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ChooseArraysToWrite\"\n"
"                                       value=\"1\" />\n"
"              <!-- show this widget when ChooseArraysToWrite==1 -->\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup>\n"
"            <Property name=\"ChooseBlocksToWrite\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Blocks\" panel_widget=\"DataAssemblyEditor\">\n"
"            <Property name=\"Assembly\" function=\"ActiveAssembly\"/>\n"
"            <Property name=\"Selectors\" function=\"Selectors\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ChooseBlocksToWrite\"\n"
"                                       value=\"1\" />\n"
"              <!-- show this widget when ChooseBlocksToWrite==1 -->\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <LinkProperties>\n"
"          <Property name=\"Input\" with_property=\"Input\" />\n"
"        </LinkProperties>\n"
"      </SubProxy>\n"
"\n"
"      <IntVectorProperty command=\"SetWriteAllTimeSteps\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Write timesteps as file-series\"\n"
"                         name=\"WriteTimeSteps\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When WriteTimeSteps is OFF, the writer\n"
"        writes only the current timestep. Otherwise it is called once\n"
"        for each time step within the min and max range. If those are\n"
"        not set, the writer is called for all time steps available in\n"
"        its input.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMinTimeStep\"\n"
"                         default_values=\"0\"\n"
"                         label=\"First time step\"\n"
"                         name=\"MinTimeStep\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Sets the lower bound for timesteps to write.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaxTimeStep\"\n"
"                         default_values=\"-1\"\n"
"                         label=\"Last time step\"\n"
"                         name=\"MaxTimeStep\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Sets the upper bound for timesteps to write. If\n"
"        less than min, the last time step is used.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTimeStepStride\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Time step stride\"\n"
"                         name=\"TimeStepStride\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Sets the stride to go through the time steps.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetFileNameSuffix\"\n"
"                            default_values=\"_%d\"\n"
"                            label = \"File name suffix\"\n"
"                            name=\"FileNameSuffix\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/internal_writers.xml
static const char* const paraview_server_managerinternal_writersInterface1 =
"        The suffix to append to the file name when writing files at different timesteps.\n"
"        File extensions such as .vtk should be excluded.\n"
"        The `%` format specifiers are used. For example, _%d will write files as FileName_0,\n"
"        FileName_1, FileName_2, etc., and _%.3d will write files as FileName_000,\n"
"        FileName_001, FileName_002 etc.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"File Series\">\n"
"        <Property name=\"WriteTimeSteps\" />\n"
"        <Property name=\"FileNameSuffix\"/>\n"
"        <Property name=\"MinTimeStep\" />\n"
"        <Property name=\"MaxTimeStep\" />\n"
"        <Property name=\"TimeStepStride\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- End of FileSeriesWriterComposite -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"ParallelFileSeriesWriter\">\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PassArrays\" proxygroup=\"internal_writers\" proxyname=\"PassArrays\" />\n"
"        <ExposedProperties>\n"
"        <PropertyGroup label=\"Data Selection\">\n"
"          <Property name=\"ChooseArraysToWrite\" />\n"
"        </PropertyGroup>\n"
"          <PropertyGroup label=\"Array Selection\" panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"PointDataArrays\" />\n"
"            <Property name=\"CellDataArrays\" />\n"
"            <Property name=\"FieldDataArrays\" />\n"
"            <Property name=\"VertexDataArrays\" />\n"
"            <Property name=\"EdgeDataArrays\" />\n"
"            <Property name=\"RowDataArrays\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ChooseArraysToWrite\"\n"
"                                       value=\"1\" />\n"
"              <!-- show this widget when ChooseArraysToWrite==1 -->\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <LinkProperties>\n"
"          <Property name=\"Input\" with_property=\"Input\" />\n"
"        </LinkProperties>\n"
"      </SubProxy>\n"
"\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetWriteAllTimeSteps\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Write all timesteps as file-series\"\n"
"                         name=\"WriteTimeSteps\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When WriteTimeSteps is turned ON, the writer is\n"
"        executed once for each timestep available from its input.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <!-- No harm if use vtkCompleteArrays even in serial mode so, we are\n"
"             letting it be -->\n"
"        <SourceProxy class=\"vtkCompleteArrays\"\n"
"                     name=\"CompleteArrays\"></SourceProxy>\n"
"      </SubProxy>\n"
"      <IntVectorProperty command=\"SetMinTimeStep\"\n"
"                         default_values=\"0\"\n"
"                         label=\"First time step\"\n"
"                         name=\"MinTimeStep\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Sets the lower bound for timesteps to write.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaxTimeStep\"\n"
"                         default_values=\"-1\"\n"
"                         label=\"Last time step\"\n"
"                         name=\"MaxTimeStep\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Sets the upper bound for timesteps to write. If\n"
"        less than min, the last time step is used.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTimeStepStride\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Time step stride\"\n"
"                         name=\"TimeStepStride\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Sets the stride to go through the time steps.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetFileNameSuffix\"\n"
"                            default_values=\"_%d\"\n"
"                            label = \"File name suffix\"\n"
"                            name=\"FileNameSuffix\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          The suffix to append to the file name when writing files at different timesteps.\n"
"          File extensions such as .vtk should be excluded.\n"
"          The % format specifiers are used. For example, _%d will write files as FileName_0,\n"
"          FileName_1, FileName_2, etc., and _%.3d will write files as FileName_000,\n"
"          FileName_001, FileName_002 etc.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"File Series\">\n"
"        <Property name=\"WriteTimeSteps\" />\n"
"        <Property name=\"FileNameSuffix\" />\n"
"        <Property name=\"MinTimeStep\" />\n"
"        <Property name=\"MaxTimeStep\" />\n"
"        <Property name=\"TimeStepStride\" />\n"
"      </PropertyGroup>\n"
"      <!-- End of ParallelFileSeriesWriter -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"ParallelSerialWriter\">\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PassArrays\" proxygroup=\"internal_writers\" proxyname=\"PassArrays\" />\n"
"        <ExposedProperties>\n"
"        <PropertyGroup label=\"Data Selection\">\n"
"          <Property name=\"ChooseArraysToWrite\" />\n"
"        </PropertyGroup>\n"
"          <PropertyGroup label=\"Array Selection\" panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"PointDataArrays\" />\n"
"            <Property name=\"CellDataArrays\" />\n"
"            <Property name=\"FieldDataArrays\" />\n"
"            <Property name=\"VertexDataArrays\" />\n"
"            <Property name=\"EdgeDataArrays\" />\n"
"            <Property name=\"RowDataArrays\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ChooseArraysToWrite\"\n"
"                                       value=\"1\" />\n"
"              <!-- show this widget when ChooseArraysToWrite==1 -->\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <LinkProperties>\n"
"          <Property name=\"Input\" with_property=\"Input\" />\n"
"        </LinkProperties>\n"
"      </SubProxy>\n"
"\n"
"      <IntVectorProperty command=\"SetWriteAllTimeSteps\"\n"
"                         default_values=\"0\"\n"
"                         name=\"WriteTimeSteps\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When WriteTimeSteps is turned ON, the writer is\n"
"        executed once for each timestep available from its input.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetFileNameSuffix\"\n"
"                            default_values=\"_%d\"\n"
"                            label = \"File name suffix\"\n"
"                            name=\"FileNameSuffix\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"        The suffix to append to the file name when writing files at different timesteps.\n"
"        (File extensions such as .vtk should be excluded.)\n"
"        The % format specifiers are used. For example, _%d will write files as FileName_0,\n"
"        FileName_1, FileName_2, etc., and _%.3d will write files as FileName_000,\n"
"        FileName_001, FileName_002 etc.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteTimeSteps\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfIORanks\"\n"
"                         label=\"Number Of IO Ranks\"\n"
"                         command=\"SetNumberOfIORanks\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"           In parallel runs, this writer can consolidate output from multiple ranks to\n"
"           a subset of ranks. This specifies the number of ranks that will do the final writing\n"
"           to disk. If **NumberOfIORanks** is 0, then all ranks will save the local data.\n"
"           If set to 1 (default), the root node alone will write to disk. All data from all ranks will\n"
"           be gathered to the root node before being written out.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"RankAssignmentMode\"\n"
"                         command=\"SetRankAssignmentMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Contiguous\" value=\"0\" />\n"
"          <Entry text=\"RoundRobin\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          When **NumberOfIORanks** is greater than 1 and less than the number of MPI ranks,\n"
"          this controls how the ranks that write to disk are determined. This also affects which\n"
"          ranks send data to which rank for IO.\n"
"\n"
"          In **Contiguous** mode (default), all MPI ranks are numerically grouped into **NumberOfIORanks**\n"
"          groups with the first rank in each group acting as the `root` node for that group and is the one that\n"
"          does IO. For example, if there are 16 MPI ranks and NumberOfIORanks is set to 3 then the groups are\n"
"          `[0 - 5], [6 - 10], [11 - 15]` with the first rank in each group 0, 6, and 15 doing the IO.\n"
"\n"
"          In **RoundRobin** mode, the grouping is done in round robin fashion, thus for 16 MPI\n"
"          ranks with NumberOfIORanks set to 3, the groups are\n"
"          `[0, 3, ..., 15], [1, 4, ..., 13], [2, 5, ..., 14]` with 0, 1 and 2 doing the IO.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- enable this widget when NumberOfIORanks != 0 or 1 -->\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"enabled_state\"\n"
"                                       property=\"NumberOfIORanks\"\n"
"                                       value=\"1\"\n"
"                                       inverse=\"1\"/>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"enabled_state\"\n"
"                                       property=\"NumberOfIORanks\"\n"
"                                       value=\"0\"\n"
"                                       inverse=\"1\"/>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Time Support\">\n"
"        <Property name=\"WriteTimeSteps\" />\n"
"        <Property name=\"FileNameSuffix\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Parallel I/O Support\">\n"
"        <Property name=\"NumberOfIORanks\" />\n"
"        <Property name=\"RankAssignmentMode\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- end of ParallelSerialWriter -->\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerinternal_writersGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerinternal_writersInterface0);
  const size_t len1 = strlen(paraview_server_managerinternal_writersInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerinternal_writersInterface0, paraview_server_managerinternal_writersInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerinternal_writersInterface1, paraview_server_managerinternal_writersInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/utilities.xml
static const char* const paraview_server_managerutilitiesInterface0 =
"<ServerManagerConfiguration>\n"
"\n"
"  <!-- incremental point locators begin -->\n"
"  <ProxyGroup name=\"incremental_point_locators\">\n"
"    <NullProxy name=\"None\"></NullProxy>\n"
"    <NullProxy name=\"Scalar\"></NullProxy>\n"
"    <Proxy class=\"vtkPointLocator\"\n"
"           name=\"PointLocator\">\n"
"      <Documentation>\n"
"        Point locator based on a search structure of uniform\n"
"        fixed-resolution bins / buckets for point location and generic (zero or\n"
"        non-zero) tolerance point insertion.\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"SetDivisions\"\n"
"                         default_values=\"50 50 50\"\n"
"                         name=\"Divisions\"\n"
"                         number_of_elements=\"3\">\n"
"        <Documentation>\n"
"          Specify the number of divisions in each axis / direction\n"
"          (x, y, z) for creating a search structure of uniform fixed-resolution\n"
"          bins / buckets.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfPointsPerBucket\"\n"
"                         default_values=\"8\"\n"
"                         label=\"Number of points per bucket\"\n"
"                         name=\"NumberOfPointsPerBucket\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Specify the average number of points in each bin /\n"
"          bucket that determines the initial and growing sizes (in terms of\n"
"          number of points) of each bin / bucket.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTolerance\"\n"
"                            default_values=\"0.001\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Specify an absolute tolerance for check-based /\n"
"          tolerance-based point insertion.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkMergePoints\"\n"
"           label=\"Uniform Binning\"\n"
"           name=\"MergePoints\">\n"
"      <Documentation>\n"
"        A point merger using a search structure of uniform\n"
"        fixed-resolution bins / buckets for zero tolerance point insertion (to\n"
"        avoid exactly duplicate / coincident points).\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"SetDivisions\"\n"
"                         default_values=\"50 50 50\"\n"
"                         name=\"Divisions\"\n"
"                         number_of_elements=\"3\">\n"
"        <Documentation>\n"
"          Specify the number of divisions in each axis / direction\n"
"          (x, y, z) for creating a search structure of uniform fixed-resolution\n"
"          bins / buckets.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfPointsPerBucket\"\n"
"                         default_values=\"8\"\n"
"                         label=\"Number of points per bucket\"\n"
"                         name=\"NumberOfPointsPerBucket\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Specify the average number of points in each bin /\n"
"          bucket that determines the initial and growing sizes (in terms of\n"
"          number of points) of each bin / bucket.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkNonMergingPointLocator\"\n"
"           label=\"Don't Merge Points\"\n"
"           name=\"NonMergingPointLocator\">\n"
"      <Documentation>\n"
"        Perform direct / check-free point insertion (any point is\n"
"        inserted to a vtkPoints object) and therefore there can be duplicate\n"
"        points.\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"SetDivisions\"\n"
"                         default_values=\"50 50 50\"\n"
"                         name=\"Divisions\"\n"
"                         number_of_elements=\"3\">\n"
"        <Documentation>\n"
"          Specify the number of divisions in each axis / direction\n"
"          (x, y, z) for creating a search structure of uniform fixed-resolution\n"
"          bins / buckets.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfPointsPerBucket\"\n"
"                         default_values=\"8\"\n"
"                         label=\"Number of points per bucket\"\n"
"                         name=\"NumberOfPointsPerBucket\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Specify the average number of points in each bin /\n"
"          bucket that determines the initial and growing sizes (in terms of\n"
"          number of points) of each bin / bucket.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkIncrementalOctreePointLocator\"\n"
"           name=\"IncrementalOctreePointLocator\">\n"
"      <Documentation>\n"
"        Point locator based on a fast search structure of\n"
"        data-aware multi-resolution octree nodes for point location and generic\n"
"        (zero or non-zero) tolerance point insertion.\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"SetMaxPointsPerLeaf\"\n"
"                         default_values=\"128\"\n"
"                         label=\"Max number of points per leaf\"\n"
"                         name=\"MaxPointsPerLeaf\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"256\"\n"
"                        min=\"16\"\n"
"                        name=\"range\"/>\n"
"        <Documentation>\n"
"          Specify the maximum number of points that a leaf node\n"
"          may maintain. This value is a trade-off between the cost of dynamic\n"
"          octree construction (top-down recursive node sub-division into eight\n"
"          children as points are incrementally inserted to the octree) and the\n"
"          speed of point location (particularly within a container leaf node).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTolerance\"\n"
"                            default_values=\"0.001\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Specify an absolute tolerance for check-based /\n"
"          tolerance-based point insertion.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkIncrementalOctreePointLocator\"\n"
"           label=\"Octree Binning\"\n"
"           name=\"IncrementalOctreeMergePoints\">\n"
"      <Documentation>\n"
"        A point merger exploiting a fast search structure of\n"
"        data-aware multi-resolution octree nodes for zero-tolerance point\n"
"        insertion (to avoid exactly duplicate / coincident points).\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"SetMaxPointsPerLeaf\"\n"
"                         default_values=\"128\"\n"
"                         label=\"Max number of points per leaf\"\n"
"                         name=\"MaxPointsPerLeaf\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"256\"\n"
"                        min=\"16\"\n"
"                        name=\"range\"/>\n"
"        <Documentation>Specify the maximum number of points that a leaf node\n"
"          may maintain. This value is a trade-off between the cost of dynamic\n"
"          octree construction (top-down recursive node sub-division into eight\n"
"          children as points are incrementally inserted to the octree) and the\n"
"          speed of point location (particularly within a container leaf\n"
"          node).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTolerance\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Always specify a zero tolerance for point insertion --- merging points.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Property name=\"Tolerance\"\n"
"                  show=\"0\"/>\n"
"      </Hints>\n"
"    </Proxy>\n"
"    <!-- incremental point locators end -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"point_locators\">\n"
"    <Proxy name=\"StaticPointLocator\" label=\"Static Point Locator\" class=\"vtkStaticPointLocator\">\n"
"      <Documentation>\n"
"        This uses a spatial search object to quickly locate points\n"
"        in 3D. This locator works by dividing a specified region of\n"
"        space into a regular array of cuboid buckets, and then keeping a\n"
"        list of points that lie in each bucket. Typical operation involves giving\n"
"        a position in 3D and finding the closest point; or finding the N closest\n"
"        points.\n"
"\n"
"        This locator is an accelerated version of a point locator. It is\n"
"        threaded (via vtkSMPTools), and supports one-time static construction\n"
"        (i.e., incremental point insertion is not supported).\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Automatic\"\n"
"                         command=\"SetAutomatic\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Controls whether the locator resolution is computed automatically or not.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetDivisions\"\n"
"                         default_values=\"50 50 50\"\n"
"                         name=\"Divisions\"\n"
"                         number_of_elements=\"3\">\n"
"        <Documentation>\n"
"          Specify the number of divisions in each axis / direction\n"
"          (x, y, z) for creating a search structure of uniform fixed-resolution\n"
"          bins / buckets.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1 1 1\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"Automatic\"\n"
"                                   value=\"0\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfPointsPerBucket\"\n"
"                         command=\"SetNumberOfPointsPerBucket\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"5\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"        <Documentation>\n"
"          Specify the average number of points in each bucket. This is\n"
"          used in conjunction with the **Automatic** (if enabled) to\n"
"          determine the number of locator x-y-z divisions.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"Automatic\"\n"
"                                   value=\"1\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Locator Parameters\">\n"
"        <Property name=\"Automatic\"/>\n"
"        <Property name=\"Divisions\"/>\n"
"        <Property name=\"NumberOfPointsPerBucket\"/>\n"
"      </PropertyGroup>\n"
"    </Proxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"cell_locators\">\n"
"    <Proxy class=\"vtkCellLocator\"\n"
"           name=\"CellLocator\"\n"
"           label=\"Cell Locator\"/>\n"
"    <Proxy class=\"vtkCellTreeLocator\"\n"
"           name=\"CellTreeLocator\"\n"
"           label=\"Tree Cell Locator\"/>\n"
"    <Proxy class=\"vtkOBBTree\"\n"
"           name=\"OBBTree\"\n"
"           label=\"OBB Tree Cell Locator\"/>\n"
"    <Proxy class=\"vtkStaticCellLocator\"\n"
"           name=\"StaticCellLocator\"\n"
"           label=\"Static Cell Locator\"/>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"implicit_functions\">\n"
"    <NullProxy name=\"None\"></NullProxy>\n"
"    <NullProxy name=\"Scalar\"></NullProxy>\n"
"    <Proxy class=\"vtkPlanes\"\n"
"           name=\"Planes\">\n"
"      <ProxyProperty command=\"SetPoints\"\n"
"                     name=\"Points\">\n"
"        <ProxyGroupDomain name=\"group\">\n"
"          <Group name=\"points\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty command=\"SetNormals\"\n"
"                     name=\"Normals\">\n"
"        <ProxyGroupDomain name=\"group\">\n"
"          <Group name=\"data_arrays\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkQuadric\" name=\"Quadric\">\n"
"      <InputProperty is_internal=\"1\" name=\"Input\"/>\n"
"      <DoubleVectorProperty name=\"QuadricCoefficients\"\n"
"                            command=\"SetCoefficients\"\n"
"                            number_of_elements=\"10\"\n"
"                            default_values=\"1 1 1 0 0 0 0 0 0 -1\">\n"
"        <Documentation>\n"
"          Coefficients of the quadric function, defined as the 'a' values in:\n"
"          F(x,y,z) = a0*x^2 + a1*y^2 + a2*z^2 + a3*x*y + a4*y*z + a5*x*z + a6*x + a7*y + a8*z + a9\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkSphere\" name=\"Sphere\">\n"
"      <InputProperty is_internal=\"1\" name=\"Input\"/>\n"
"      <DoubleVectorProperty command=\"SetCenter\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"mid\" mode=\"normal\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Set the center of the sphere.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRadius\"\n"
"                            default_values=\"1\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain name=\"range\" mode=\"scaled_extent\" scale_factor=\"0.5\" default_mode=\"max\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Set the radius of the sphere.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Point Cloud Parameters\" panel_widget=\"InteractiveSphere\">\n"
"        <Property function=\"Center\" name=\"Center\"/>\n"
"        <Property function=\"Radius\" name=\"Radius\"/>\n"
"        <Property function=\"Input\" name=\"Input\"/>\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"Input\" with_property=\"Input\"/>\n"
"        </ProxyList>\n"
"      </Hints>\n"
"      <!-- End of Sphere -->\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"transforms\">\n"
"    <Proxy class=\"vtkTransform\"\n"
"           name=\"Transform\">\n"
"      <ProxyProperty command=\"SetMatrix\"\n"
"                     name=\"MatrixProxy\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"matrices\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/utilities.xml
static const char* const paraview_server_managerutilitiesInterface1 =
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetMatrix\"\n"
"                            default_values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0\"\n"
"                            name=\"Matrix\"\n"
"                            number_of_elements=\"16\"/>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"matrices\">\n"
"    <Proxy class=\"vtkMatrix4x4\"\n"
"           name=\"Matrix4x4\">\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"DeepCopy\"\n"
"                            default_values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0\"\n"
"                            name=\"DeepCopy\"\n"
"                            number_of_elements=\"16\"></DoubleVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"points\">\n"
"    <Proxy class=\"vtkPoints\"\n"
"           name=\"Points\">\n"
"      <DoubleVectorProperty command=\"SetPoint\"\n"
"                            name=\"Points\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfPoints\"\n"
"                            use_index=\"1\"/>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"data_arrays\">\n"
"    <Proxy class=\"vtkDoubleArray\"\n"
"           name=\"DoubleArray\">\n"
"      <DoubleVectorProperty command=\"SetValue\"\n"
"                            name=\"Values\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfValues\"\n"
"                            use_index=\"1\"/>\n"
"      <IntVectorProperty command=\"SetNumberOfComponents\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Components\"\n"
"                         number_of_elements=\"1\"/>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"internals\">\n"
"    <Proxy class=\"vtkMPIMToNSocketConnection\"\n"
"           name=\"MPIMToNSocketConnection\"\n"
"           processes=\"dataserver|renderserver\">\n"
"      <IntVectorProperty command=\"Initialize\"\n"
"                         default_values=\"none\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"WaitingProcess\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"DataServer\"\n"
"                 value=\"2\"/>\n"
"          <Entry text=\"RenderServer\"\n"
"                 value=\"3\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetPortInformation\"\n"
"                            element_types=\"0 0 2\"\n"
"                            name=\"Connections\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfConnections\">\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"file_listing\">\n"
"    <Proxy class=\"vtkPVFileInformationHelper\"\n"
"           name=\"ServerFileListing\">\n"
"      <IntVectorProperty command=\"GetActiveFileIsDirectory\"\n"
"                         information_only=\"1\"\n"
"                         name=\"ActiveFileIsDirectory\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetActiveFileIsReadable\"\n"
"                         information_only=\"1\"\n"
"                         name=\"ActiveFileIsReadable\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetPath\"\n"
"                            name=\"ActiveFileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the filename whose information we need.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"selection_helpers\">\n"
"    <Proxy class=\"vtkSelection\"\n"
"           name=\"Selection\"></Proxy>\n"
"    <SourceProxy class=\"vtkAnnotationLink\"\n"
"                 name=\"AnnotationLink\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkAnnotationLayers\"/>\n"
"          <DataType value=\"vtkSelection\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"DomainMaps\"\n"
"                     port_index=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <ProxyProperty command=\"SetAnnotations\"\n"
"                     name=\"Annotations\"></ProxyProperty>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"Annotations\"/>\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"Domain Maps\"/>\n"
"      <OutputPort index=\"2\"\n"
"                  name=\"Selection\"/>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"misc\">\n"
"    <DirectoryProxy class=\"vtkDirectory\"\n"
"                    name=\"Directory\"\n"
"                    processes=\"client|dataserver|renderserver\">\n"
"    </DirectoryProxy>\n"
"    <DirectoryProxy class=\"vtkDirectory\"\n"
"                    si_class=\"vtkSIDirectoryProxy\"\n"
"                    name=\"ListDirectory\"\n"
"                    processes=\"dataserver\">\n"
"\n"
"      <!-- Fake properties that will be filled by the vtkSIDirectoryProxy\n"
"           class in the pull request -->\n"
"      <StringVectorProperty name=\"FileList\" information_only=\"1\"/>\n"
"      <StringVectorProperty name=\"DirectoryList\" information_only=\"1\"/>\n"
"    </DirectoryProxy>\n"
"    <Proxy class=\"vtkPVFileInformationHelper\"\n"
"           name=\"FileInformationHelper\">\n"
"      <StringVectorProperty command=\"SetPath\"\n"
"                            name=\"Path\"/>\n"
"      <IntVectorProperty command=\"SetDirectoryListing\"\n"
"                         default_values=\"0\"\n"
"                         name=\"DirectoryListing\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSpecialDirectories\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SpecialDirectories\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGroupFileSequences\"\n"
"                         default_values=\"1\"\n"
"                         name=\"GroupFileSequences\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"GetPathSeparator\"\n"
"                            information_only=\"1\"\n"
"                            name=\"PathSeparator\"\n"
"                            number_of_elements=\"1\">\n"
"        <SimpleStringInformationHelper/>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetWorkingDirectory\"\n"
"                            default_values=\"\"\n"
"                            name=\"WorkingDirectory\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Override the working directory used to resolve relative paths.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetReadDetailedFileInformation\"\n"
"                         name=\"ReadDetailedFileInformation\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <Documentation>\n"
"          Whether to read full file information. This is slow when there are many files\n"
"          in a directory so this defaults to false.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <!-- End of FileInformationHelper -->\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkPVFilePathEncodingHelper\"\n"
"           name=\"FilePathEncodingHelper\">\n"
"      <IntVectorProperty command=\"MakeDirectory\"\n"
"                         information_only=\"1\"\n"
"                         name=\"MakeDirectory\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"DeleteDirectory\"\n"
"                         information_only=\"1\"\n"
"                         name=\"DeleteDirectory\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"OpenDirectory\"\n"
"                         information_only=\"1\"\n"
"                         name=\"OpenDirectory\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"RenameDirectory\"\n"
"                         information_only=\"1\"\n"
"                         name=\"RenameDirectory\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"IsDirectory\"\n"
"                         information_only=\"1\"\n"
"                         name=\"IsDirectory\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetActiveFileIsReadable\"\n"
"                         information_only=\"1\"\n"
"                         name=\"ActiveFileIsReadable\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetPath\"\n"
"                            name=\"ActiveFileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the filename we need to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetSecondaryPath\"\n"
"                            name=\"SecondaryFileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the secondary filename we may need to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetActiveGlobalId\"\n"
"                         name=\"ActiveGlobalId\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the globalId of the vtkObject to use\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy class=\"vtkPVEnvironmentInformationHelper\"\n"
"           name=\"EnvironmentInformationHelper\">\n"
"      <StringVectorProperty command=\"SetVariable\"\n"
"                            name=\"Variable\"/>\n"
"      <!-- End of FileInformationHelper -->\n"
"    </Proxy>\n"
"    <TimeKeeperProxy class=\"vtkSMTimeKeeper\"\n"
"                     name=\"TimeKeeper\"\n"
"                     processes=\"client\">\n"
"      <Documentation>\n"
"        TimeKeeper is used to keep the pipeline time for the\n"
"        application. All views added to the timekeeper show the same time as that\n"
"        on the timekeeper.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty command=\"SetTime\"\n"
"                            default_values=\"0\"\n"
"                            name=\"Time\"\n"
"                            number_of_elements=\"1\"\n"
"                            state_ignored=\"1\">\n"
"        <!-- state-ignored simply makes this property not be saved in the UndoRedo state -->\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            repeatable=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <Documentation>\n"
"          The timesteps currently available. This property does\n"
"          not have any information helper since vtkSMTimeKeeperProxy keeps this\n"
"          updated without any need to call\n"
"          UpdatePropertyInformation().\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.0 0.0\"\n"
"                            information_only=\"1\"\n"
"                            name=\"TimeRange\"\n"
"                            number_of_elements=\"2\"\n"
"                            state_ignored=\"1\">\n"
"        <!-- state-ignored simply makes this property not be saved in the UndoRedo state -->\n"
"        <Documentation>\n"
"          This is the time range. It's possible that there are no\n"
"          TimestepValues but there is a valid TimeRange since some sources may\n"
"          provide continuous time.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty default_values=\"Time\"\n"
"                            information_only=\"1\"\n"
"                            name=\"TimeLabel\"\n"
"                            number_of_elements=\"1\"\n"
"                            state_ignored=\"1\">\n"
"        <!-- state-ignored simply makes this property not be saved in the UndoRedo state -->\n"
"        <Documentation>\n"
"          This is the string that is used as label to eventually\n"
"          replace \"time\" by something else such as \"frequency\" or any user\n"
"          specific label that the user want to set to use a 4th dimension that is\n"
"          not time.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <ProxyProperty argument_type=\"SMProxy\"\n"
"                     command=\"AddView\"\n"
"                     name=\"Views\"\n"
"                     remove_command=\"RemoveView\"\n"
"                     repeatable=\"1\">\n"
"        <Documentation>Views with their view time linked with this time\n"
"          keeper.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty argument_type=\"SMProxy\"\n"
"                     command=\"AddTimeSource\"\n"
"                     name=\"TimeSources\"\n"
"                     remove_command=\"RemoveTimeSource\"\n"
"                     repeatable=\"1\">\n"
"        <Documentation>\n"
"          List of proxies that provide time. TimestepValues\n"
"          property has a set of timesteps provided by all the sources added to\n"
"          this property alone.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty argument_type=\"SMProxy\"\n"
"                     command=\"AddSuppressedTimeSource\"\n"
"                     name=\"SuppressedTimeSources\"\n"
"                     remove_command=\"RemoveSuppressedTimeSource\"\n"
"                     repeatable=\"1\">\n"
"        <Documentation>List of proxies that are to suppressed i.e their times\n"
"          to be ignored.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"      <!-- End of TimeKeeper -->\n"
"    </TimeKeeperProxy>\n"
"    <PluginLoaderProxy class=\"vtkPVPluginLoader\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/utilities.xml
static const char* const paraview_server_managerutilitiesInterface2 =
"                       name=\"PluginLoader\"\n"
"                       processes=\"dataserver|renderserver\">\n"
"      <Documentation>\n"
"        Use this proxy to load a plugin remotely. This proxy has\n"
"        no properties that users can set. Only information-properties are\n"
"        provided that can be used to obtain various states.\n"
"        vtkSMPluginLoaderProxy has API that can be used to load plugins,\n"
"        configuration xmls etc.\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"GetLoaded\"\n"
"                         information_only=\"1\"\n"
"                         name=\"Loaded\"></IntVectorProperty>\n"
"      <StringVectorProperty command=\"GetErrorString\"\n"
"                            information_only=\"1\"\n"
"                            name=\"ErrorString\"></StringVectorProperty>\n"
"      <StringVectorProperty command=\"GetSearchPaths\"\n"
"                            information_only=\"1\"\n"
"                            name=\"SearchPaths\"></StringVectorProperty>\n"
"      <!-- End of PluginLoader -->\n"
"    </PluginLoaderProxy>\n"
"\n"
"    <Proxy class=\"vtkTimerLog\"\n"
"           name=\"TimerLog\"\n"
"           processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>\n"
"        This is a proxy used to control the timer log parameters\n"
"        on all processes. Note that since vtkTimerLog has loads of static ivar,\n"
"        most properties will affect all timer log instances.\n"
"      </Documentation>\n"
"      <Property command=\"ResetLog\"\n"
"                name=\"ResetLog\">\n"
"        <Documentation>Resets the log on all processes.</Documentation>\n"
"      </Property>\n"
"      <IntVectorProperty command=\"SetLogging\"\n"
"                         default_values=\"none\"\n"
"                         name=\"Enable\">\n"
"        <EnumerationDomain name=\"enum\"/>\n"
"        <Documentation>\n"
"          Enables the timer-log on all processes.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaxEntries\"\n"
"                         default_values=\"none\"\n"
"                         name=\"MaxEntries\">\n"
"        <Documentation>\n"
"          Set the maximum length for the log on all processes.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of TimerLog -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy class=\"vtkExecutableRunner\"\n"
"           name=\"ExecutableRunner\" >\n"
"      <Documentation>\n"
"        Execute a process on server side.\n"
"      </Documentation>\n"
"      <Property command=\"Execute\"\n"
"                name=\"Execute\">\n"
"        <Documentation>\n"
"          Execute the given command on the master server process. Also reset the output strings.\n"
"        </Documentation>\n"
"      </Property>\n"
"      <DoubleVectorProperty command=\"SetTimeout\"\n"
"                            default_values=\"5.0\"\n"
"                            name=\"Timeout\">\n"
"        <Documentation>\n"
"          Set the internal timeout of the runner.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetCommand\"\n"
"                            default_values=\"\"\n"
"                            name=\"Command\">\n"
"        <Documentation>\n"
"          Set the command to execute.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"GetStdOut\"\n"
"                            name=\"StdOut\"\n"
"                            number_of_elements=\"1\"\n"
"                            information_only=\"1\">\n"
"        <Documentation>\n"
"          Get the standard output of the command.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"GetStdErr\"\n"
"                            name=\"StdErr\"\n"
"                            number_of_elements=\"1\"\n"
"                            information_only=\"1\">\n"
"        <Documentation>\n"
"          Get the error output of the command.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"GetReturnValue\"\n"
"                         name=\"ReturnValue\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"-1\"\n"
"                         information_only=\"1\">\n"
"        <Documentation>\n"
"          Get the return value of the command.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of ExecutableRunner -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"LogRecorder\" class=\"vtkLogRecorder\">\n"
"      <IntVectorProperty name=\"RankEnabled\"\n"
"                         command=\"SetRankEnabled\"\n"
"                         default_values=\"-1\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set rank to enable logging.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"RankDisabled\"\n"
"                         command=\"SetRankDisabled\"\n"
"                         default_values=\"-1\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set rank to disable logging.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Property name=\"ClearLogs\"\n"
"                command=\"ClearLogs\">\n"
"        <Documentation>\n"
"          Invoke to clear logs.\n"
"        </Documentation>\n"
"      </Property>\n"
"      <IntVectorProperty name=\"Verbosity\"\n"
"                         command=\"SetVerbosity\"\n"
"                         default_values=\"-2\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set verbosity of desired log entries.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"CategoryVerbosity\"\n"
"                         command=\"SetCategoryVerbosity\"\n"
"                         default_values=\"-1 0\"\n"
"                         number_of_elements=\"2\">\n"
"        <Documentation>\n"
"          Set the verbosity of a specific ParaView logging category.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Property name=\"ResetCategoryVerbosities\"\n"
"                command=\"ResetCategoryVerbosities\">\n"
"        <Documentation>\n"
"          Invoke to clear verbosity elevations.\n"
"        </Documentation>\n"
"      </Property>\n"
"    </Proxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkRemoteWriterHelper\" name=\"RemoteWriterHelper\" processes=\"client|dataserver\">\n"
"      <Documentation>\n"
"        Proxy used internally to help write data generated on the client-side on the data-server side.\n"
"      </Documentation>\n"
"      <IntVectorProperty name=\"OutputDestination\"\n"
"                         command=\"SetOutputDestination\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"never\"/>\n"
"      <ProxyProperty name=\"Writer\" command=\"SetWriter\"/>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"MultiBlockInspectorHelper\">\n"
"      <Documentation>\n"
"        An internal proxy that is used by pqMultiBlockInspectorWidget\n"
"        to aid in creating appropriate UI for allowing users to inspect\n"
"        composite datasets and view/edit appearance properties.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\"/>\n"
"\n"
"      <StringVectorProperty name=\"Assembly\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"Hierarchy\">\n"
"        <DataAssemblyListDomain name=\"data_assembly_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </DataAssemblyListDomain>\n"
"        <Documentation>\n"
"          Select which assembly is used when specify selectors\n"
"          to choose blocks to show for composite datasets.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Selectors\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"/\">\n"
"        <DataAssemblyDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"            <Property function=\"ActiveAssembly\" name=\"Assembly\"/>\n"
"          </RequiredProperties>\n"
"        </DataAssemblyDomain>\n"
"        <Documentation>\n"
"          For composite datasets, specify selectors to limit the view\n"
"          to a chosen subset of blocks.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"AssemblyOnly\" panel_widget=\"DataAssemblyEditor\">\n"
"        <Property name=\"Assembly\" function=\"ActiveAssembly\"/>\n"
"        <Property name=\"Selectors\" function=\"Selectors\"/>\n"
"        <Hints>\n"
"          <DataAssemblyPropertyWidget\n"
"                  is_checkable=\"0\"\n"
"                  use_inputname_as_header=\"1\"/>\n"
"        </Hints>\n"
"      </PropertyGroup>\n"
"      <!-- end of MultiBlockInspectorHelper -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"FindDataHelper\">\n"
"      <!-- Deliberately making the names match the names for properties\n"
"        on (sources, SelectionQuerySource) that way we can simply copy values\n"
"        to it -->\n"
"      <InputProperty name=\"Input\"\n"
"                     label=\"Data Producer\"\n"
"                     panel_widget=\"input_selector\">\n"
"        <Documentation>\n"
"          Specify the dataset that will be used to save selections for.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"ElementType\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <Documentation>\n"
"          Specify which type of mesh elements to select.\n"
"        </Documentation>\n"
"        <FieldDataDomain name=\"enum\" use_element_types=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   mode=\"enabled_state\" name=\"vtkDataObject\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"QueryString\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\"\n"
"                            panel_widget=\"selection_query\">\n"
"        <Documentation>\n"
"          Specify the query string to use to find data.\n"
"        </Documentation>\n"
"        <SelectionQueryDomain name=\"domain\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"ElementType\" function=\"FieldAssociation\"/>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </SelectionQueryDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"InsideOut\"\n"
"                         label=\"Invert Selection\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Invert the selection. Find elements that **don't**\n"
"          match the chosen selection criteria.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Selection Criteria\">\n"
"        <Property name=\"Input\"/>\n"
"        <Property name=\"ElementType\"/>\n"
"        <Property name=\"QueryString\"/>\n"
"        <Property name=\"InsideOut\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty name=\"ProcessID\"\n"
"                         default_values=\"-1\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"SessionTypeDecorator\" mode=\"enabled_state\"\n"
"                                   requires=\"parallel_data_server\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Assembly\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"Hierarchy\">\n"
"        <DataAssemblyListDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </DataAssemblyListDomain>\n"
"        <Documentation>\n"
"          Select which assembly is used when specify selectors\n"
"          to select blocks to extract.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Selectors\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"/\">\n"
"        <DataAssemblyDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"            <Property function=\"ActiveAssembly\" name=\"Assembly\"/>\n"
"          </RequiredProperties>\n"
"        </DataAssemblyDomain>\n"
"        <Documentation>\n"
"          For composite datasets, specify selectors to limit the view\n"
"          to a chosen subset of blocks.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Selection Qualifiers\">\n"
"        <Property name=\"ProcessID\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Block Selectors\" panel_widget=\"DataAssemblyEditor\">\n"
"        <Property name=\"Assembly\" function=\"ActiveAssembly\"/>\n"
"        <Property name=\"Selectors\" function=\"Selectors\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   name=\"vtkMultiBlockDataSet vtkPartitionedDataSetCollection\"/>\n"
"        </Hints>\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- end of FindDataHelper -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"DataMover\" class=\"vtkPVDataMover\" processes=\"client|dataserver\">\n"
"      <Documentation>\n"
"        Internal proxy used to implement \"FetchData\". Do not use directly. API may change\n"
"        without warning.\n"
"      </Documentation>\n"
"      <ProxyProperty name=\"Producer\" command=\"SetProducer\" skip_valid_check=\"1\"/>\n"
"      <IntVectorProperty name=\"PortNumber\" default_values=\"0\"\n"
"                         number_of_elements=\"1\" command=\"SetPortNumber\"/>\n"
"      <IntVectorProperty name=\"GatherOnAllRanks\" command=\"SetGatherOnAllRanks\"\n"
"                         number_of_elements=\"1\" default_values=\"0\"/>\n"
"      <IntVectorProperty name=\"SourceRanks\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/utilities.xml
static const char* const paraview_server_managerutilitiesInterface3 =
"                         command=\"AddSourceRank\"\n"
"                         clean_command=\"ClearAllSourceRanks\"\n"
"                         number_of_elements_per_command=\"1\"\n"
"                         repeat_command=\"1\"/>\n"
"      <IntVectorProperty name=\"SkipEmptyDataSets\"\n"
"                         command=\"SetSkipEmptyDataSets\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"/>\n"
"      <Property name=\"Execute\" command=\"Execute\"/>\n"
"    </Proxy>\n"
"\n"
"    <!-- End of group \"misc\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"palettes\">\n"
"    <!-- ================================================================= -->\n"
"    <Proxy label=\"Blue Gray Background (Default)\" name=\"BlueGrayBackground\">\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"ForegroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.32 0.34 0.43\"\n"
"                            name=\"BackgroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"SurfaceColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"TextAnnotationColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 0.0 1.0\"\n"
"                            name=\"SelectionColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.0 0.0 0.5\"\n"
"                            name=\"EdgeColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"BackgroundColorMode\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy label=\"White Background\" name=\"WhiteBackground\">\n"
"      <DoubleVectorProperty default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"ForegroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"BackgroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"SurfaceColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"TextAnnotationColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 0.0 1.0\"\n"
"                            name=\"SelectionColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.0 0.0 0.5\"\n"
"                            name=\"EdgeColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"BackgroundColorMode\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"      <!-- End of (palettes, Print) -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy label=\"Warm Gray Background\" name=\"WarmGrayBackground\">\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"ForegroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.29 0.27 0.26\"\n"
"                            name=\"BackgroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"SurfaceColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"TextAnnotationColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 0.0 1.0\"\n"
"                            name=\"SelectionColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.0 0.0 0.5\"\n"
"                            name=\"EdgeColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"BackgroundColorMode\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy label=\"Neutral Gray Background\" name=\"NeutralGrayBackground\">\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"ForegroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.42 0.42 0.42\"\n"
"                            name=\"BackgroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"SurfaceColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"TextAnnotationColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 0.0 1.0\"\n"
"                            name=\"SelectionColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.0 0.0 0.5\"\n"
"                            name=\"EdgeColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"BackgroundColorMode\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy label=\"Light Gray Background\" name=\"LightGrayBackground\">\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"ForegroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.46 0.44 0.42\"\n"
"                            name=\"BackgroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"SurfaceColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"TextAnnotationColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 0.0 1.0\"\n"
"                            name=\"SelectionColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.0 0.0 0.5\"\n"
"                            name=\"EdgeColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"BackgroundColorMode\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy label=\"Black Background\" name=\"BlackBackground\">\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"ForegroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0 0 0\"\n"
"                            name=\"BackgroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"SurfaceColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"TextAnnotationColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 0.0 1.0\"\n"
"                            name=\"SelectionColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.0 0.0 0.5\"\n"
"                            name=\"EdgeColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"BackgroundColorMode\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy label=\"Gradient Background\" name=\"GradientBackground\">\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"ForegroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.32 0.34 0.43\"\n"
"                            name=\"BackgroundColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0 0 0.16\"\n"
"                            name=\"BackgroundColor2\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"SurfaceColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"TextAnnotationColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"1.0 0.0 1.0\"\n"
"                            name=\"SelectionColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.0 0.0 0.5\"\n"
"                            name=\"EdgeColor\"\n"
"                            number_of_elements=\"3\"></DoubleVectorProperty>\n"
"      <IntVectorProperty default_values=\"1\"\n"
"                         name=\"BackgroundColorMode\"\n"
"                         number_of_elements=\"1\"></IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- End of group \"palettes\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"coprocessing\">\n"
"    <Proxy name=\"CatalystOptions\">\n"
"      <Documentation>\n"
"        Catalyst options that affect the script execution when running in situ.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"ExtractsOutputDirectory\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"datasets\">\n"
"        <Documentation>\n"
"          Choose directory under which to save all extracts.\n"
"        </Documentation>\n"
"        <FileListDomain name=\"directory\"/>\n"
"        <Hints>\n"
"          <UseDirectoryName/>\n"
"          <AcceptAnyFile/>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GenerateCinemaSpecification\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <Documentation>\n"
"          Generate Cinema specification to summarize generated extracts in a file named\n"
"          **data.csv** under the **Extracts Output Directory**.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"GlobalTrigger\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"extract_triggers\" default=\"TimeStep\"/>\n"
"        </ProxyListDomain>\n"
"        <Documentation>\n"
"          This property sets the parameters of the trigger.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"\n"
"      <IntVectorProperty name=\"EnableCatalystLive\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <Documentation>\n"
"          Enable Catalyst Live which allows connecting to a Catalyst instrumented simulation\n"
"          using the ParaView GUI.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CatalystLiveURL\"\n"
"                            label=\"Catalyst Live URL\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"localhost:22222\">\n"
"        <Documentation>\n"
"          Specify the hostname (or IP address) and port for the node on which a ParaView client will\n"
"          be listening for Catalyst Live connections.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"EnableCatalystLive\"\n"
"                                   value=\"1\"/>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"CatalystLiveTrigger\" panel_visibility=\"advanced\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"extract_triggers\" name=\"TimeStep\"/>\n"
"        </ProxyListDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"EnableCatalystLive\"\n"
"                                   value=\"1\"/>\n"
"        </Hints>\n"
"      </ProxyProperty>\n"
"\n"
"      <PropertyGroup label=\"Directories\">\n"
"        <Property name=\"ExtractsOutputDirectory\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Global Options\">\n"
"        <Property name=\"GlobalTrigger\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Catalyst Live Options\">\n"
"        <Property name=\"EnableCatalystLive\"/>\n"
"        <Property name=\"CatalystLiveURL\"/>\n"
"        <Property name=\"CatalystLiveTrigger\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <UseDocumentationForLabels/>\n"
"      </Hints>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"CatalystGlobalOptions\">\n"
"      <Documentation>\n"
"        A proxy used to maintain global Catalyst state. This, combined with the pipeline shape and a choice of writers\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/utilities.xml
static const char* const paraview_server_managerutilitiesInterface4 =
"        and screenshots define what Catalyst will do with and produce from the data that the simulation gives to it.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"EnableLive\"\n"
"                         label=\"Enable Live Connections\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Makes the generated Catalyst Script check for Live connections.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LiveFrequency\"\n"
"                         label=\"Live Frequency\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"        <Documentation>\n"
"          Catalyst will update live connections only every N'th timestep.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"DataExtractsRootDirectory\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <FileListDomain name=\"directory\"/>\n"
"        <Hints>\n"
"          <UseDirectoryName/>\n"
"          <AcceptAnyFile/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Defines a top level directory where data extracts are placed under.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ImageExtractsRootDirectory\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <FileListDomain name=\"directory\"/>\n"
"        <Hints>\n"
"          <UseDirectoryName/>\n"
"          <BrowseLocalFileSystem/>\n"
"          <AcceptAnyFile/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Defines a top level directory where image extracts are placed under.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FileNamePadding\"\n"
"                         label=\"File Padding\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"16\"/>\n"
"        <Documentation>\n"
"          Pads numerical filenames with leading zeros to be a consistent width.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"RequestSpecificArrays\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Tells Catalyst to ask for only those arrays that are currently enabled on the source rather than all of them.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteStart\"\n"
"                         label=\"Write Start\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"        <Documentation>\n"
"          Catalyst will skip this many startup cycles (possibly excepting ForceFirstOutput) before starting to write\n"
"          files.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceFirstOutput\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Tells Catalyst to always dump the first timestep it gets because it may take a long time to wait for\n"
"          WriteStart iterations.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"RescaleToDataRange\"\n"
"                         label=\"Rescale to Data Range\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Adjusts the lookup table dynamically as the simulation progresses.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SaveDTable\"\n"
"                         label=\"Save Cinema D Table\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Creates a Cinema table that indexes all output files.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"TimeInputFilePattern\"\n"
"                            label=\"Input File Pattern\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"infile_*.vti\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          A regular expression to that tells spatio-temporal scripts where to search for input files.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"TimeCompartmentSize\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"1000\"/>\n"
"        <Documentation>\n"
"          The number of processes working together on a specific time step in a spatio-temporal style batch script.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <PropertyGroup label=\"Spatio-Temporal Controls\">\n"
"        <Property name=\"TimeInputFilePattern\"/>\n"
"        <Property name=\"TimeCompartmentSize\"/>\n"
"      </PropertyGroup>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- Catalyst client only proxies, used to generate a coprocessing script\n"
"       and to modify writer filename and frequency through ParaView Live\n"
"  -->\n"
"  <!-- ================================================================= -->\n"
"  <ProxyGroup name=\"insitu_writer_parameters\">\n"
"    <SourceProxy name=\"XMLPImageDataWriter\" class=\"vtkPVNullSource\"\n"
"                 label=\"Parallel Image Data Writer\">\n"
"      <InputProperty name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkImageData\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"filename_%t.pvti\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteFrequency\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PaddingAmount\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- TODO: this doesn't work yet -->\n"
"        <PipelineIcon name=\":pqComponents/pqSave.svg\"/>\n"
"\n"
"        <!-- This will help us when exporting the script state -->\n"
"        <WriterProxy group=\"writers\" name=\"XMLPImageDataWriter\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLPImageDataWriter -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"XMLPRectilinearGridWriter\" class=\"vtkPVNullSource\"\n"
"                 label=\"Parallel Rectilinear Grid Writer\">\n"
"      <InputProperty name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkRectilinearGrid\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"filename_%t.pvtr\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteFrequency\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PaddingAmount\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- TODO: this doesn't work yet -->\n"
"        <PipelineIcon name=\":pqComponents/pqSave.svg\"/>\n"
"\n"
"        <!-- This will help us when exporting the script state -->\n"
"        <WriterProxy group=\"writers\" name=\"XMLPRectilinearGridWriter\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLRectilinearGridWriter -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"XMLPStructuredGridWriter\" class=\"vtkPVNullSource\"\n"
"                 label=\"Parallel Structured Grid Writer\">\n"
"      <InputProperty name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkStructuredGrid\" composite_data_supported=\"0\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"filename_%t.pvts\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteFrequency\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PaddingAmount\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- TODO: this doesn't work yet -->\n"
"        <PipelineIcon name=\":pqComponents/pqSave.svg\"/>\n"
"\n"
"        <!-- This will help us when exporting the script state -->\n"
"        <WriterProxy group=\"writers\" name=\"XMLPStructuredGridWriter\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLPStructuredGridWriter -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"XMLPPolyDataWriter\" class=\"vtkPVNullSource\"\n"
"                 label=\"Parallel PolyData Writer\">\n"
"      <InputProperty name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkPolyData\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"filename_%t.pvtp\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteFrequency\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PaddingAmount\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- TODO: this doesn't work yet -->\n"
"        <PipelineIcon name=\":pqComponents/pqSave.svg\"/>\n"
"\n"
"        <!-- This will help us when exporting the script state -->\n"
"        <WriterProxy group=\"writers\" name=\"XMLPPolyDataWriter\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLPPolyDataWriter -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"XMLPUnstructuredGridWriter\" class=\"vtkPVNullSource\"\n"
"                 label=\"Parallel UnstructuredGrid Writer\">\n"
"      <InputProperty name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" composite_data_supported=\"0\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"filename_%t.pvtu\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteFrequency\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PaddingAmount\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- TODO: this doesn't work yet -->\n"
"        <PipelineIcon name=\":pqComponents/pqSave.svg\"/>\n"
"\n"
"        <!-- This will help us when exporting the script state -->\n"
"        <WriterProxy group=\"writers\" name=\"XMLPUnstructuredGridWriter\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLPUnstructuredGridWriter -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"XMLMultiBlockDataWriter\" class=\"vtkPVNullSource\"\n"
"                 label=\"Parallel MultiBlockDataSet Writer\">\n"
"      <InputProperty name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"filename_%t.vtm\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteFrequency\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/utilities.xml
static const char* const paraview_server_managerutilitiesInterface5 =
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PaddingAmount\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- TODO: this doesn't work yet -->\n"
"        <PipelineIcon name=\":pqComponents/pqSave.svg\"/>\n"
"\n"
"        <!-- This will help us when exporting the script state -->\n"
"        <WriterProxy group=\"writers\" name=\"XMLMultiBlockDataWriter\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLMultiBlockDataWriter -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"XMLHierarchicalBoxDataWriter\" class=\"vtkPVNullSource\"\n"
"                 label=\"Parallel Hierarchical Box Data Writer\">\n"
"      <InputProperty name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkOverlappingAMR\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"filename_%t.vth\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteFrequency\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PaddingAmount\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- TODO: this doesn't work yet -->\n"
"        <PipelineIcon name=\":pqComponents/pqSave.svg\"/>\n"
"\n"
"        <!-- This will help us when exporting the script state -->\n"
"        <WriterProxy group=\"writers\" name=\"XMLHierarchicalBoxDataWriter\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLHierarchicalBoxDataWriter -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"XMLUniformGridAMRWriter\" class=\"vtkPVNullSource\"\n"
"                 label=\"Parallel Uniform Grid AMR Writer\">\n"
"      <InputProperty name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkUniformGridAMR\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"filename_%t.vth\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteFrequency\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PaddingAmount\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- TODO: this doesn't work yet -->\n"
"        <PipelineIcon name=\":pqComponents/pqSave.svg\"/>\n"
"\n"
"        <!-- This will help us when exporting the script state -->\n"
"        <WriterProxy group=\"writers\" name=\"XMLUniformGridAMRWriter\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLUniformGridAMRWriter -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"CSVWriter\" class=\"vtkPVNullSource\"\n"
"                 label=\"CSV Table Writer\">\n"
"      <InputProperty name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"filename_%t.csv\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteFrequency\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PaddingAmount\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- TODO: this doesn't work yet -->\n"
"        <PipelineIcon name=\":pqComponents/pqSave.svg\"/>\n"
"\n"
"        <!-- This will help us when exporting the script state -->\n"
"        <WriterProxy group=\"writers\" name=\"CSVWriter\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLHierarchicalBoxDataWriter -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"ExodusIIWriter\" class=\"vtkPVNullSource\"\n"
"                 label=\"ExodusII Writer\">\n"
"      <InputProperty name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\"/>\n"
"          <DataType value=\"vtkPolyData\"/>\n"
"          <DataType value=\"vtkUnstructuredGrid\"/>\n"
"        </DataTypeDomain>\n"
"\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"filename.e-s\">\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty name=\"WriteFrequency\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PaddingAmount\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"5\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- TODO: this doesn't work yet -->\n"
"        <PipelineIcon name=\":pqComponents/pqSave.svg\"/>\n"
"\n"
"        <!-- This will help us when exporting the script state -->\n"
"        <WriterProxy group=\"writers\" name=\"ExodusIIWriter\"/>\n"
"      </Hints>\n"
"      <!-- End of ExodusIIWriter -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"HyperTreeGridWriter\" class=\"vtkPVNullSource\"\n"
"                 label=\"Parallel HyperTreeGrid Writer\">\n"
"      <InputProperty name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkHyperTreeGrid\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"filename_%t.htg\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteFrequency\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PaddingAmount\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- TODO: this doesn't work yet -->\n"
"        <PipelineIcon name=\":pqComponents/pqSave.svg\"/>\n"
"\n"
"        <!-- This will help us when exporting the script state -->\n"
"        <WriterProxy group=\"writers\" name=\"HyperTreeGridWriter\"/>\n"
"      </Hints>\n"
"      <!-- End of HyperTreeGridWriter -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"pythontracing\">\n"
"    <Proxy name=\"PythonTraceOptions\">\n"
"      <Documentation>\n"
"        Options proxy used to prompt user for tracing options when starting trace.\n"
"      </Documentation>\n"
"      <IntVectorProperty name=\"PropertiesToTraceOnCreate\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Select which properties to save in trace\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"all properties\" value=\"0\"/>\n"
"          <Entry text=\"any *modified* properties\" value=\"1\"/>\n"
"          <Entry text=\"only *user-modified* properites\" value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FullyTraceSupplementalProxies\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Fully trace supplemental objects, such as color maps, color bars, etc.\n"
"          when accessed the first time in trace.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FullyTraceCameraAdjustments\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          The camera direction and view properties are captured in still renders.\n"
"          Continuous camera movements are not traced to avoid a bloated trace output.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SkipRenderingComponents\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Skip rendering components such as views, representations, etc.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ShowIncrementalTrace\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Show trace as it is being generated.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"General options\">\n"
"        <Property name=\"PropertiesToTraceOnCreate\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Color maps, color bar etc.\">\n"
"        <Property name=\"FullyTraceSupplementalProxies\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Miscellaneous\">\n"
"        <Property name=\"SkipRenderingComponents\"/>\n"
"        <Property name=\"ShowIncrementalTrace\"/>\n"
"        <Property name=\"FullyTraceCameraAdjustments\"/>\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <UseDocumentationForLabels/>\n"
"      </Hints>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"PythonStateOptions\">\n"
"      <Documentation>\n"
"        Options proxy used to prompt user for python state options.\n"
"      </Documentation>\n"
"      <IntVectorProperty name=\"PropertiesToTraceOnCreate\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Select which properties to save in state\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"all properties\" value=\"0\"/>\n"
"          <Entry text=\"any *modified* properties\" value=\"1\"/>\n"
"          <!--\n"
"              state cannot have this option since we don't know which properties\n"
"              are user-modified when saving state.\n"
"          <Entry text=\"only *user-modified* properites\" value=\"2\" />\n"
"          -->\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"SkipRenderingComponents\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Skip rendering components such as views, representations, etc.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"SkipHiddenDisplayProperties\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Skip displays properties/representations for elements hidden in a view.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator\n"
"                  type=\"GenericDecorator\"\n"
"                  mode=\"enabled_state\"\n"
"                  property=\"SkipRenderingComponents\" value=\"0\">\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"SaveExtractsOptions\" proxygroup=\"misc\" proxyname=\"SaveAnimationExtracts\"/>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ExtractsOutputDirectory\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <PropertyGroup label=\"General Options\">\n"
"        <Property name=\"PropertiesToTraceOnCreate\"/>\n"
"        <Property name=\"SkipRenderingComponents\"/>\n"
"        <Property name=\"SkipHiddenDisplayProperties\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Save Extracts Options\">\n"
"        <Property name=\"ExtractsOutputDirectory\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <UseDocumentationForLabels/>\n"
"      </Hints>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"seed_sources\">\n"
"    <Proxy group=\"extended_sources\"\n"
"           name=\"PointSource\"/>\n"
"    <Proxy group=\"extended_sources\"\n"
"           name=\"HighResLineSource\"/>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"integrators\">\n"
"    <Proxy class=\"vtkRungeKutta2\"\n"
"           name=\"RungeKutta2\"\n"
"           label=\"Runge Kutta 2\">\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkRungeKutta4\"\n"
"           name=\"RungeKutta4\"\n"
"           label=\"Runge Kutta 4\">\n"
"    </Proxy>\n"
"    <Proxy class=\"vtkRungeKutta45\"\n"
"           name=\"RungeKutta45\"\n"
"           label=\"Runge Kutta 4/5\">\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"options\">\n"
"    <LoadStateOptionsProxy class=\"vtkLoadStateOptions\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/utilities.xml
static const char* const paraview_server_managerutilitiesInterface6 =
"                           name=\"LoadStateOptions\">\n"
"      <Documentation>\n"
"        Options proxy used to prompt user for options when loading pvsm state files.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"LoadStateDataFileOptions\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Decide how to locate data files in loaded state.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Use File Names From State\" value=\"0\"/>\n"
"          <Entry text=\"Search files under specified directory\" value=\"1\"/>\n"
"          <Entry text=\"Choose File Names\" value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"DataDirectory\"\n"
"                            command=\"SetDataDirectory\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          Directory to look for data files under. Defaults to the state file's directory.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"LoadStateDataFileOptions\"\n"
"                                   value=\"1\">\n"
"          </PropertyWidgetDecorator>\n"
"          <UseDirectoryName/>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty name=\"OnlyUseFilesInDataDirectory\" number_of_elements=\"1\" default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When this is set to true, 'Search files under specified directory' mode will fail when a file is not in the\n"
"          data directory rather than defaulting back to the absolute path in the state file.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"LoadStateDataFileOptions\"\n"
"                                   value=\"1\">\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"    </LoadStateOptionsProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ================================================================= -->\n"
"  <ProxyGroup name=\"insitu2_misc\">\n"
"    <Proxy name=\"CDB\" processes=\"client\">\n"
"      <Documentation>\n"
"        Global setup for Cinema Image Database output.\n"
"      </Documentation>\n"
"      <IntVectorProperty name=\"DeferredRendering\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <Documentation>\n"
"          Deferred rendering cabability level for the database. None means that static images are created at each\n"
"          viewpoint (aka 'SpecA'). Composeable (aka 'SpecB') adds ability to hide/show individual objects. Recolorable\n"
"          (aka 'Spec C') adds colormap editability.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\"/>\n"
"          <Entry text=\"Composable\" value=\"1\"/>\n"
"          <Entry text=\"Composable+Recolorable\" value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"CameraModel\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <Documentation>\n"
"          Camera capability level for the database. Static means the camera is fixed, phi-theta is an inward facing\n"
"          rectilinear sampling over a sphere, inward pose is similar but maintains samples more sparsely.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Static\" value=\"0\"/>\n"
"          <Entry text=\"Phi-Theta\" value=\"1\"/>\n"
"          <Entry text=\"Inward Pose\" value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"TrackObject\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"None\">\n"
"        <Documentation>\n"
"          Name of a pipeline object to orient the camera with. Only meaningful for Pose camera.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"DeferredRendering\"\n"
"                                         value=\"1\"/>\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"DeferredRendering\"\n"
"                                         value=\"2\"/>\n"
"              </Expression>\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"CameraModel\" value=\"2\"/>\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"CameraModel\" value=\"3\"/>\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty name=\"Camera Phi Divisions\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"12\">\n"
"        <Documentation>\n"
"          Specify number of longitudinal divisions. Only meaningful for Phi-Theta and Pose cameras.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"64\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"Camera Theta Divisions\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"7\">\n"
"        <Documentation>\n"
"          Specify number of latitudinal divisions. Only meaningful for Phi-Theta and Pose cameras.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"32\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"Camera Roll Divisions\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <Documentation>\n"
"          Specify number of roll divisions. Only meaningful for Pose camera.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"64\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"and\">\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"DeferredRendering\"\n"
"                                         value=\"1\"/>\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"DeferredRendering\"\n"
"                                         value=\"2\"/>\n"
"              </Expression>\n"
"              <Expression type=\"or\">\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"CameraModel\" value=\"2\"/>\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"CameraModel\" value=\"3\"/>\n"
"              </Expression>\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <FormatOptions extensions=\"cdb\"\n"
"                       file_description=\"Cinema Image Exports\"/>\n"
"      </Hints>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerutilitiesGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerutilitiesInterface0);
  const size_t len1 = strlen(paraview_server_managerutilitiesInterface1);
  const size_t len2 = strlen(paraview_server_managerutilitiesInterface2);
  const size_t len3 = strlen(paraview_server_managerutilitiesInterface3);
  const size_t len4 = strlen(paraview_server_managerutilitiesInterface4);
  const size_t len5 = strlen(paraview_server_managerutilitiesInterface5);
  const size_t len6 = strlen(paraview_server_managerutilitiesInterface6);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4
    + len5
    + len6 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerutilitiesInterface0, paraview_server_managerutilitiesInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerutilitiesInterface1, paraview_server_managerutilitiesInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerutilitiesInterface2, paraview_server_managerutilitiesInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerutilitiesInterface3, paraview_server_managerutilitiesInterface3 + len3, res + offset); offset += len3;
  std::copy(paraview_server_managerutilitiesInterface4, paraview_server_managerutilitiesInterface4 + len4, res + offset); offset += len4;
  std::copy(paraview_server_managerutilitiesInterface5, paraview_server_managerutilitiesInterface5 + len5, res + offset); offset += len5;
  std::copy(paraview_server_managerutilitiesInterface6, paraview_server_managerutilitiesInterface6 + len6, res + offset); offset += len6;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/proxies_computationalgeometry.xml
static const char* const paraview_server_managerproxies_computationalgeometryInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"parametric_functions\">\n"
"    <Proxy class=\"vtkParametricSpline\"\n"
"           name=\"Spline\">\n"
"      <DoubleVectorProperty command=\"SetPoint\"\n"
"                            default_values=\"0 0 0 1 0 0\"\n"
"                            name=\"Points\"\n"
"                            number_of_elements=\"6\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfPoints\"\n"
"                            use_index=\"1\"></DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetClosed\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Closed\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <PropertyGroup label=\"Spline Parameters\" panel_widget=\"InteractiveSpline\">\n"
"        <Property function=\"HandlePositions\" name=\"Points\" />\n"
"        <Property function=\"Closed\" name=\"Closed\" />\n"
"      </PropertyGroup>\n"
"      <!-- end of Spline -->\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerproxies_computationalgeometryGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerproxies_computationalgeometryInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerproxies_computationalgeometryInterface0, paraview_server_managerproxies_computationalgeometryInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_domainschemistry.xml
static const char* const paraview_server_managerfilters_domainschemistryInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkMoleculeToLinesFilter\"\n"
"      name=\"MoleculeToLines\"\n"
"      label=\"Molecule To Lines\">\n"
"      <Documentation long_help=\"Convert a molecule into lines.\"\n"
"        short_help=\"Convert a molecule into lines.\">\n"
"        Convert a molecule into lines. Each atom of the input becomes a point of the output polydata, each bond a line.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkMolecule\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <!-- End MoleculeToLines -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPointSetToMoleculeFilter\"\n"
"      name=\"PointSetToMolecule\"\n"
"      label=\"Convert Into Molecule\">\n"
"      <Documentation long_help=\"Convert a point set into a molecule.\"\n"
"        short_help=\"Convert a point set into a molecule.\">\n"
"        Convert a point set into a molecule. Every point of the input becomes an atom\n"
"        of the output molecule. It needs a point array containing the atomic numbers.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPointSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"          name=\"input_array\"\n"
"          number_of_components=\"1\"/>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        label=\"Atomic Numbers\"\n"
"        name=\"SelectInputScalars\"\n"
"        number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"          input_domain_name=\"input_array\"\n"
"          name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"              name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property indicates the name of the scalar array\n"
"          corresponding to atomic numbers.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetConvertLinesIntoBonds\"\n"
"        default_values=\"1\"\n"
"        name=\"ConvertLinesIntoBonds\"\n"
"        number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation short_help=\"Specify if line cells are converted into bonds.\"\n"
"          long_help=\"Specify if line cells are converted into bonds.\">\n"
"          This property determines if the lines (cell of type VTK_LINE) are converted into bonds.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End PointSetToMolecule -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkSimpleBondPerceiver\"\n"
"                 name=\"ComputeMoleculeBonds\"\n"
"                 label=\"Compute Molecule Bonds\">\n"
"      <Documentation long_help=\"Compute the bonds of a molecule based on interatomic distance only.\"\n"
"                     short_help=\"Compute the bonds of a molecule.\">\n"
"        Compute the bonds of a molecule. If the\n"
"        interatomic distance is less than the sum of the two atom's covalent radii\n"
"        (and a tolerance), a single bond is added.\n"
"        This algorithm does not consider valences, hybridization, aromaticity, or\n"
"        anything other than atomic separations. It will not produce anything other\n"
"        than single bonds.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\"\n"
"                     command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkMolecule\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty command=\"SetTolerance\"\n"
"                            default_values=\"0.45\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"scalar_range\" />\n"
"        <Documentation short_help=\"Tolerance on covalent radius size\">\n"
"          This property determines the tolerance to apply on covalent radius.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetIsToleranceAbsolute\"\n"
"                         default_values=\"1\"\n"
"                         name=\"IsToleranceAbsolute\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation short_help=\"Specify if Tolerance is absolute or relative to radius.\"\n"
"                       long_help=\"Specify if Tolerance is absolute (addition) or relative (multiplication) to radius.\">\n"
"          This property determines if the tolerance is absolute (value is added to radius and should be positive)\n"
"          or not (value multiplied with radius and should be greater than 1).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    <!-- End ComputeMoleculeBonds -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_domainschemistryGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_domainschemistryInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_domainschemistryInterface0, paraview_server_managerfilters_domainschemistryInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_iochemistry.xml
static const char* const paraview_server_managerreaders_iochemistryInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkXYZMolReader2\"\n"
"                 label=\"XYZ Reader\"\n"
"                 name=\"xyzreader\">\n"
"      <Documentation long_help=\"Reads XYZ molecular data files into a polygonal dataset.\"\n"
"                     short_help=\"Read XYZ molecular data files.\">The XYZ reader\n"
"                     reads XYZ molecular data files. The expected file\n"
"                     extension is .xyz. The output of this reader is a\n"
"                     vtkMolecule</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the XYZ\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"xyz\"\n"
"                       file_description=\"XMol Molecule Files\" />\n"
"      </Hints>\n"
"      <!-- End xyzreader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkGaussianCubeReader2\"\n"
"                 label=\"Gaussian Cube Reader\"\n"
"                 name=\"gaussiancubereader\">\n"
"      <Documentation long_help=\"Produce a vtkMolecule by reading a Gaussian Cube file.\"\n"
"                     short_help=\"Read Gaussian Cube data files.\">The Gaussian\n"
"                     Cube reader produces vtkMolecule data by reading data files\n"
"                     produced by the Gaussian software package. The expected\n"
"                     file extension is .cube.</Documentation>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"Molecule\" />\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"Gridded Data\" />\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the Gaussian\n"
"        Cube reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"cube\"\n"
"                       file_description=\"Gaussian Cube Files\" />\n"
"      </Hints>\n"
"      <!-- End gaussiancubereader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkCMLMoleculeReader\"\n"
"                 label=\"CML Molecule Reader\"\n"
"                 name=\"CMLMoleculeReader\">\n"
"      <Documentation short_help=\"A reader for Chemical Markup Language (CML)\">\n"
"        This is a reader for Chemical Markup Language (CML) which\n"
"        describes chemical information using XML.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the CML file\n"
"        name</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"cml\"\n"
"                       file_description=\"CML\" />\n"
"      </Hints>\n"
"      <!-- End CMLMoleculeReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkVASPAnimationReader\"\n"
"                 label=\"VASP Animation Reader\"\n"
"                 name=\"VASPAnimationReader\">\n"
"      <Documentation long_help=\"Reads a VASP NPT_Z_ANIMATE.out file.\"\n"
"                     short_help=\"Read a VASP animation file.\">\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the file to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>\n"
"          Reports time values to the GUI.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"out\"\n"
"                       file_description=\"VASP Animation Files\" />\n"
"      </Hints>\n"
"      <!-- End VASPAnimationReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkVASPTessellationReader\"\n"
"                 label=\"VASP Tessellation Reader\"\n"
"                 name=\"VASPTessellationReader\">\n"
"      <Documentation long_help=\"Reads a VASP NPT_Z_TESSELLATE.out file.\"\n"
"                     short_help=\"Read a VASP tessellation file.\">\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the file to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>\n"
"          Reports time values to the GUI.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"out\"\n"
"                       file_description=\"VASP Tessellation Files\" />\n"
"      </Hints>\n"
"      <OutputPort index=\"0\" name=\"Molecule\" />\n"
"      <OutputPort index=\"1\" name=\"Voronoi Tessellation\" />\n"
"      <!-- End VASPTessellationReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- end of \"sources\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_iochemistryGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_iochemistryInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_iochemistryInterface0, paraview_server_managerreaders_iochemistryInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersamr.xml
static const char* const paraview_server_managerfilters_filtersamrInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <SourceProxy class=\"vtkImageToAMR\"\n"
"                 label=\"Image Data To AMR\"\n"
"                 name=\"ImageDataToAMR\">\n"
"      <Documentation long_help=\"Converts certain images to AMR.\"\n"
"                     short_help=\"Convert ImageData to AMR. \">\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the Cell Data to\n"
"          Point Data filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetNumberOfLevels\"\n"
"                         default_values=\"2\"\n"
"                         label=\"Number of levels\"\n"
"                         name=\"NumberOfLevels\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"20\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>\n"
"          This property specifies the number of levels in the AMR data structure.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaximumNumberOfBlocks\"\n"
"                         default_values=\"100\"\n"
"                         label=\"Maximum Number of Blocks\"\n"
"                         name=\"MaximumNumberOfLevels\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"100000\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>\n"
"          This property specifies the maximum number of blocks in the output\n"
"          AMR data structure.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRefinementRatio\"\n"
"                         default_values=\"2\"\n"
"                         label=\"Refinement Ratio\"\n"
"                         name=\"RefinementRatio\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"16\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>\n"
"          This property specifies the refinement ratio between levels.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    <!-- End of ImageDataToAMR -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersamrGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersamrInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersamrInterface0, paraview_server_managerfilters_filtersamrInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/sources_filtersamr.xml
static const char* const paraview_server_managersources_filtersamrInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAMRGaussianPulseSource\"\n"
"                 label=\"AMR GaussianPulse Source\"\n"
"                 name=\"AMRGaussianPulseSource\">\n"
"      <Documentation long_help=\"Create AMR dataset w/ Gaussian Pulse\"\n"
"                     short_help=\"Create AMR dataset w/ Gaussian Pulse\">AMR\n"
"                     dataset source, used for generating sample Berger-Collela\n"
"                     AMR dataset with a Gaussian Pulse field at the\n"
"                     center.</Documentation>\n"
"      <!-- Add gui component for setting the dimension -->\n"
"      <IntVectorProperty command=\"SetDimension\"\n"
"                         default_values=\"3\"\n"
"                         name=\"Dimension\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"2D\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"3D\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Sets the desired dimension for the AMR dataset to\n"
"        generate.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRootSpacing\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"Root Spacing\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Set the spacing at level 0.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- Add gui component for setting the dimension -->\n"
"      <IntVectorProperty command=\"SetRefinementRatio\"\n"
"                         default_values=\"2\"\n"
"                         name=\"RefinementRatio\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"2\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"3\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"4\"\n"
"                 value=\"4\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Sets the desired dimension for the AMR dataset to\n"
"        generate.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- Add gui components for manipulating the origin of the gaussian pulse -->\n"
"      <DoubleVectorProperty command=\"SetXPulseOrigin\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"XPulseOrigin\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"-1.0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set x-coordinate for the pulse origin</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetYPulseOrigin\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"YPulseOrigin\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"-1.0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set y-coordinate for the pulse origin</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetZPulseOrigin\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"ZPulseOrigin\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"-1.0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set z-coordinate for the pulse origin</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!--  Add gui components for manipulating the pulse width -->\n"
"      <DoubleVectorProperty command=\"SetXPulseWidth\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"XPulseWidth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"10.0\"\n"
"                           min=\"0.5\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set x-coordinate for the pulse Width</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetYPulseWidth\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"YPulseWidth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"10.0\"\n"
"                           min=\"0.5\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set y-coordinate for the pulse Width</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetZPulseWidth\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"ZPulseWidth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"10.0\"\n"
"                           min=\"0.5\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set z-coordinate for the pulse Width</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!--  Add gui components for manipulating the pulse width -->\n"
"      <DoubleVectorProperty command=\"SetPulseAmplitude\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"PulseAmplitude\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0.0001\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Sets the amplitude of the pulse</Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managersources_filtersamrGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managersources_filtersamrInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managersources_filtersamrInterface0, paraview_server_managersources_filtersamrInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filterscore.xml
static const char* const paraview_server_managerfilters_filterscoreInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAppendArcLength\"\n"
"                 label=\"Append Arc-Length\"\n"
"                 name=\"AppendArcLength\">\n"
"      <Documentation long_help=\"Appends Arc length for input poly lines.\"\n"
"                     short_help=\"Appends Arc length for input poly lines.\">\n"
"                     vtkAppendArcLength is used for filter such as\n"
"                     plot-over-line. In such cases, we need to add an attribute\n"
"                     array that is the arc_length over the length of the probed\n"
"                     line. That's when vtkAppendArcLength can be used. It adds\n"
"                     a new point-data array named \"arc_length\" with the\n"
"                     computed arc length for each of the polylines in the\n"
"                     input. For all other cell types, the arc length is set to\n"
"                     0.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End of AppendArcLength -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAppendDataSets\"\n"
"                 label=\"Append Datasets\"\n"
"                 name=\"Append\">\n"
"      <Documentation long_help=\"Takes an input of multiple datasets and output has only one unstructured grid or polydata.\"\n"
"                     short_help=\"Append multiple datasets into one.\">The Append\n"
"                     Datasets filter operates on multiple data sets of any type\n"
"                     (polygonal, structured, etc.). It merges their meshes\n"
"                     into a single dataset. If all inputs are polydata, the output\n"
"                     is a polydata, otherwise it is an unstructured grid.\n"
"                     Only the point and cell attributes that all of the input\n"
"                     datasets have in common will appear in the output.</Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the datasets to be merged into a\n"
"        single dataset by the Append Datasets filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetOutputDataSetType\"\n"
"                         default_values=\"4\"\n"
"                         number_of_elements=\"1\"\n"
"                         name=\"OutputDataSetType\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Polygonal Mesh\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Unstructured Grid\"\n"
"                 value=\"4\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Determines the output type produced by this filter. Only input datasets compatible\n"
"        with the output type will be merged in the output. For example, if the output type is\n"
"        \"Polygonal Mesh\", then inputs of type \"Image Data\", \"StructuredGrid\", etc. will not be merged.\n"
"        On the other hand, if the output type is \"Unstructured Grid\", then inputs of almost any type\n"
"        will be merged in the output. Defaults to \"Unstructured Grid\".\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End AppendDataSet -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAppendPolyData\"\n"
"                 label=\"Append Geometry\"\n"
"                 name=\"AppendPolyData\">\n"
"      <Documentation long_help=\"Takes an input of multiple poly data parts and output has only one part.\"\n"
"                     short_help=\"Append multiple parts into one.\">The Append\n"
"                     Geometry filter operates on multiple polygonal data sets.\n"
"                     It merges their geometry into a single data set. Only the\n"
"                     point and cell attributes that all of the input data sets\n"
"                     have in common will appear in the output.</Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Append Geometry\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End AppendPolyData -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCleanPolyData\"\n"
"                 label=\"Clean\"\n"
"                 name=\"CleanPolyData\">\n"
"      <Documentation long_help=\"Merge coincident points if they do not meet a feature edge criteria.\"\n"
"                     short_help=\"Merge coincident points.\">The Clean filter\n"
"                     takes polygonal data as input and generates polygonal data\n"
"                     as output. This filter can merge duplicate points, remove\n"
"                     unused points, and transform degenerate cells into their\n"
"                     appropriate forms (e.g., a triangle is converted into a\n"
"                     line if two of its points are merged).</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Clean filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetPieceInvariant\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PieceInvariant\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the whole data set will be\n"
"        processed at once so that cleaning the data set always produces the\n"
"        same results. If it is set to 0, the data set can be processed one\n"
"        piece at a time, so it is not necessary for the entire data set to fit\n"
"        into memory; however the results are not guaranteed to be the same as\n"
"        they would be if the Piece invariant option was on. Setting this option\n"
"        to 0 may produce seams in the output dataset when ParaView is run in\n"
"        parallel.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTolerance\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>If merging nearby points (see PointMerging property) and\n"
"        not using absolute tolerance (see ToleranceIsAbsolute property), this\n"
"        property specifies the tolerance for performing merging as a fraction\n"
"        of the length of the diagonal of the bounding box of the input data\n"
"        set.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAbsoluteTolerance\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"AbsoluteTolerance\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>If merging nearby points (see PointMerging property) and\n"
"        using absolute tolerance (see ToleranceIsAbsolute property), this\n"
"        property specifies the tolerance for performing merging in the spatial\n"
"        units of the input data set.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetToleranceIsAbsolute\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ToleranceIsAbsolute\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property determines whether to use absolute or\n"
"        relative (a percentage of the bounding box) tolerance when performing\n"
"        point merging.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetConvertLinesToPoints\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ConvertLinesToPoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, degenerate lines (a \"line\"\n"
"        whose endpoints are at the same spatial location) will be converted to\n"
"        points.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetConvertPolysToLines\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ConvertPolysToLines\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, degenerate polygons (a\n"
"        \"polygon\" with only two distinct point coordinates) will be converted\n"
"        to lines.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetConvertStripsToPolys\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ConvertStripsToPolys\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, degenerate triangle strips\n"
"        (a triangle \"strip\" containing only one triangle) will be converted to\n"
"        triangles.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPointMerging\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PointMerging\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, then points will be merged\n"
"        if they are within the specified Tolerance or AbsoluteTolerance (see\n"
"        the Tolerance and AbsoluteTolerance properties), depending on the value\n"
"        of the ToleranceIsAbsolute property. (See the ToleranceIsAbsolute\n"
"        property.) If this property is set to 0, points will not be\n"
"        merged.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End CleanPolyData -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCompositeCutter\"\n"
"                 label=\"Slice (demand-driven-composite)\"\n"
"                 name=\"CutEverything\">\n"
"      <Documentation long_help=\"This filter slices a data set with a plane. Slicing is similar to a contour. It creates surfaces from volumes and lines from surfaces.\"\n"
"                     short_help=\"Slice datasets with planes.\">This filter\n"
"                     extracts the portion of the input dataset that lies along\n"
"                     the specified plane. The Slice filter takes any type of\n"
"                     dataset as input. The output of this filter is polygonal\n"
"                     data.</Documentation>\n"
"      <Deprecated deprecated_in=\"5.11\" to_remove_in=\"5.13\">\n"
"        This filter is deprecated and will be removed in a future\n"
"        release. Please use the Slice filter instead.\n"
"      </Deprecated>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Slice\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <ProxyProperty command=\"SetCutFunction\"\n"
"                     label=\"Slice Type\"\n"
"                     name=\"CutFunction\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy name=\"slice_implicit_functions\" default=\"Plane\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property sets the parameters of the slice\n"
"        function.</Documentation>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"InputBounds\">\n"
"        <BoundsDomain name=\"bounds\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetValue\"\n"
"                            label=\"Slice Offset Values\"\n"
"                            name=\"ContourValues\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfContours\"\n"
"                            use_index=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <BoundsDomain mode=\"magnitude\"\n"
"                      name=\"bounds\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>The values in this property specify a list of current\n"
"        offset values. This can be used to create multiple slices with\n"
"        different centers. Each entry represents a new slice with its center\n"
"        shifted by the offset value.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\" />\n"
"      </Hints>\n"
"      <!-- End Cut -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filterscore.xml
static const char* const paraview_server_managerfilters_filterscoreInterface1 =
"    <SourceProxy class=\"vtkConnectivityFilter\"\n"
"                 label=\"Connectivity\"\n"
"                 name=\"PVConnectivityFilter\">\n"
"      <Documentation long_help=\"Mark connected components with integer point attribute array.\"\n"
"                     short_help=\"Find connected components.\">The Connectivity\n"
"                     filter assigns a region id to connected components of the\n"
"                     input data set. (The region id is assigned as a point\n"
"                     scalar value.) This filter takes any data set type as\n"
"                     input and produces unstructured grid\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Connectivity\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetExtractionMode\"\n"
"                         default_values=\"5\"\n"
"                         name=\"ExtractionMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Extract Largest Region\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Extract All Regions\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Extract Closest Point Region\"\n"
"                 value=\"6\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Controls the extraction of connected\n"
"        surfaces.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetColorRegions\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ColorRegions\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Controls the coloring of the connected\n"
"        regions.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRegionIdAssignmentMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RegionIdAssignmentMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Specifies how regions IDs are assigned to the connected components. **Unspecified** means\n"
"          regions will have no particular order, **Cell Count Descending** assigns increasing region\n"
"          IDs to connected components with progressively smaller cell counts, and **Cell Count Ascending**\n"
"          assigns increasing region IDs to connected components with progressively larger cell counts.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Unspecified\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Cell Count Descending\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Cell Count Ascending\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty\n"
"        name=\"ClosestPoint\"\n"
"        command=\"SetClosestPoint\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <Documentation>Specifies the point to use in closest point mode.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"ExtractionMode\"\n"
"                                   value=\"6\" />\n"
"          <!-- show this widget when ExtractionMode==6 -->\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End PVConnectivityFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkDecimatePolylineFilter\"\n"
"                 label=\"Decimate Polyline\"\n"
"                 name=\"DecimatePolyline\">\n"
"      <Documentation long_help=\"Reduce the number of lines in a polyline by evaluating an error metric for each vertex and removing the vertices with smaller errors first.\"\n"
"                     short_help=\"Reduce the number of lines in a polyline.\">\n"
"        Decimate Polyline is a filter to reduce the number of lines in a\n"
"        polyline. The algorithm functions by evaluating an error metric for each\n"
"        vertex (i.e., the distance of the vertex to a line defined from the two\n"
"        vertices on either side of the vertex). Then, these vertices are placed\n"
"        into a priority queue, and those with smaller errors are deleted first.\n"
"        The decimation continues until the target reduction is reached. While the\n"
"        filter will not delete end points, it will decimate closed loops down to a\n"
"        single line, thereby changing topology.\n"
"\n"
"        As this filter works on polylines, you may need to call Triangle Strips before calling\n"
"        this filter.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Decimate Polyline\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTargetReduction\"\n"
"                            default_values=\"0.9\"\n"
"                            name=\"TargetReduction\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the desired reduction in the\n"
"        total number of lines in the output dataset. For example, if the\n"
"        TargetReduction value is 0.9, the Decimate Polyline filter will attempt to\n"
"        produce an output dataset that is 10% the size of the\n"
"        input.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumError\"\n"
"                            default_values=\"1.79769e+308\"\n"
"                            name=\"MaximumError\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Set the largest decimation error that is allowed during the decimation\n"
"          process. This may limit the maximum reduction that may be achieved. The\n"
"          maximum error is specified as a fraction of the maximum length of\n"
"          the input data bounding box.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End DecimatePolyline -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkDecimatePro\"\n"
"                 label=\"Decimate\"\n"
"                 name=\"DecimatePro\">\n"
"      <Documentation long_help=\"Simplify a polygonal model using an adaptive edge collapse algorithm.  This filter works with triangles only.\"\n"
"                     short_help=\"Reduce the number of triangles in a model.\">\n"
"                     The Decimate filter reduces the number of triangles in a\n"
"                     polygonal data set. Because this filter only operates on\n"
"                     triangles, first run the Triangulate filter on a dataset\n"
"                     that contains polygons other than\n"
"                     triangles.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Decimate\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTargetReduction\"\n"
"                            default_values=\"0.9\"\n"
"                            name=\"TargetReduction\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the desired reduction in the\n"
"        total number of polygons in the output dataset. For example, if the\n"
"        TargetReduction value is 0.9, the Decimate filter will attempt to\n"
"        produce an output dataset that is 10% the size of the\n"
"        input.)</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPreserveTopology\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PreserveTopology\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, decimation will not split\n"
"        the dataset or produce holes, but it may keep the filter from reaching\n"
"        the reduction target. If it is set to 0, better reduction can occur\n"
"        (reaching the reduction target), but holes in the model may be\n"
"        produced.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFeatureAngle\"\n"
"                            default_values=\"15.0\"\n"
"                            name=\"FeatureAngle\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"180\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property is used in determining where\n"
"        the data set may be split. If the angle between two adjacent triangles\n"
"        is greater than or equal to the FeatureAngle value, then their boundary\n"
"        is considered a feature edge where the dataset can be\n"
"        split.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetBoundaryVertexDeletion\"\n"
"                         default_values=\"1\"\n"
"                         name=\"BoundaryVertexDeletion\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, then vertices on the\n"
"        boundary of the dataset can be removed. Setting the value of this\n"
"        property to 0 preserves the boundary of the dataset, but it may cause\n"
"        the filter not to reach its reduction target.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End DecimatePro -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkDelaunay2D\"\n"
"                 label=\"Delaunay 2D\"\n"
"                 name=\"Delaunay2D\">\n"
"      <Documentation long_help=\"Create 2D Delaunay triangulation of input points.\n"
"It expects a vtkPointSet as input and produces vtkPolyData as output.\n"
"The points are expected to be in a mostly planar distribution.\"\n"
"                     short_help=\"Create 2D Delaunay triangulation of input points.\">\n"
"                     Delaunay2D is a filter that constructs a 2D Delaunay\n"
"                     triangulation from a list of input points. These points\n"
"                     may be represented by any dataset of type vtkPointSet and\n"
"                     subclasses. The output of the filter is a polygonal\n"
"                     dataset containing a triangle mesh. The 2D Delaunay\n"
"                     triangulation is defined as the triangulation that\n"
"                     satisfies the Delaunay criterion for n-dimensional\n"
"                     simplexes (in this case n=2 and the simplexes are\n"
"                     triangles). This criterion states that a circumsphere of\n"
"                     each simplex in a triangulation contains only the n+1\n"
"                     defining points of the simplex. In two dimensions, this\n"
"                     translates into an optimal triangulation. That is, the\n"
"                     maximum interior angle of any triangle is less than or\n"
"                     equal to that of any possible triangulation. Delaunay\n"
"                     triangulations are used to build topological structures\n"
"                     from unorganized (or unstructured) points. The input to\n"
"                     this filter is a list of points specified in 3D, even\n"
"                     though the triangulation is 2D. Thus the triangulation is\n"
"                     constructed in the x-y plane, and the z coordinate is\n"
"                     ignored (although carried through to the output). You can\n"
"                     use the option ProjectionPlaneMode in order to compute the\n"
"                     best-fitting plane to the set of points, project the\n"
"                     points and that plane and then perform the triangulation\n"
"                     using their projected positions and then use it as the\n"
"                     plane in which the triangulation is performed. The\n"
"                     Delaunay triangulation can be numerically sensitive in\n"
"                     some cases. To prevent problems, try to avoid injecting\n"
"                     points that will result in triangles with bad aspect\n"
"                     ratios (1000:1 or greater). In practice this means\n"
"                     inserting points that are \"widely dispersed\", and enables\n"
"                     smooth transition of triangle sizes throughout the mesh.\n"
"                     (You may even want to add extra points to create a better\n"
"                     point distribution.) If numerical problems are present,\n"
"                     you will see a warning message to this effect at the end\n"
"                     of the triangulation process. Warning: Points arranged on\n"
"                     a regular lattice (termed degenerate cases) can be\n"
"                     triangulated in more than one way (at least according to\n"
"                     the Delaunay criterion). The choice of triangulation (as\n"
"                     implemented by this algorithm) depends on the order of the\n"
"                     input points. The first three points will form a triangle;\n"
"                     other degenerate points will not break this triangle.\n"
"                     Points that are coincident (or nearly so) may be discarded\n"
"                     by the algorithm. This is because the Delaunay\n"
"                     triangulation requires unique input points. The output of\n"
"                     the Delaunay triangulation is supposedly a convex hull. In\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filterscore.xml
static const char* const paraview_server_managerfilters_filterscoreInterface2 =
"                     certain cases this implementation may not generate the\n"
"                     convex hull.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPointSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input dataset to the\n"
"        Delaunay 2D filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetProjectionPlaneMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ProjectionPlaneMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"XY Plane\"\n"
"                 value=\"0\" />\n"
"          <!--         <Entry value=\"1\" text=\"Perpendicular\"/> -->\n"
"          <Entry text=\"Best-Fitting Plane\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property determines type of projection plane to use\n"
"        in performing the triangulation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetAlpha\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Alpha\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property controls the output of this\n"
"        filter. For a non-zero alpha value, only edges or triangles contained\n"
"        within a sphere centered at mesh vertices will be output. Otherwise,\n"
"        only triangles will be output.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTolerance\"\n"
"                            default_values=\"0.00001\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies a tolerance to control\n"
"        discarding of closely spaced points. This tolerance is specified as a\n"
"        fraction of the diagonal length of the bounding box of the\n"
"        points.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetOffset\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Offset\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0.75\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property is a multiplier to control the size of the\n"
"        initial, bounding Delaunay triangulation.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetBoundingTriangulation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"BoundingTriangulation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, bounding triangulation\n"
"        points (and associated triangles) are included in the output. These are\n"
"        introduced as an initial triangulation to begin the triangulation\n"
"        process. This feature is nice for debugging output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Delaunay2D -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkDelaunay3D\"\n"
"                 label=\"Delaunay 3D\"\n"
"                 name=\"Delaunay3D\">\n"
"      <Documentation long_help=\"Create a 3D Delaunay triangulation of input\n"
"                               points.  It expects a vtkPointSet as input and\n"
"                               produces vtkUnstructuredGrid as output.\"\n"
"                     short_help=\"Create a 3D Delaunay triangulation of input\n"
"                                points.\">Delaunay3D is a filter that constructs\n"
"a 3D Delaunay triangulation from a list of input points. These points may be\n"
"represented by any dataset of type vtkPointSet and subclasses. The output of\n"
"the filter is an unstructured grid dataset. Usually the output is a tetrahedral\n"
"mesh, but if a non-zero alpha distance value is specified (called the \"alpha\"\n"
"value), then only tetrahedra, triangles, edges, and vertices lying within the\n"
"alpha radius are output. In other words, non-zero alpha values may result in\n"
"arbitrary combinations of tetrahedra, triangles, lines, and vertices. (The\n"
"notion of alpha value is derived from Edelsbrunner's work on \"alpha shapes\".)\n"
"The 3D Delaunay triangulation is defined as the triangulation that satisfies\n"
"the Delaunay criterion for n-dimensional simplexes (in this case n=3 and the\n"
"simplexes are tetrahedra). This criterion states that a circumsphere of each\n"
"simplex in a triangulation contains only the n+1 defining points of the\n"
"simplex. (See text for more information.) While in two dimensions this\n"
"translates into an \"optimal\" triangulation, this is not true in 3D, since a\n"
"measurement for optimality in 3D is not agreed on. Delaunay triangulations are\n"
"used to build topological structures from unorganized (or unstructured) points.\n"
"The input to this filter is a list of points specified in 3D. (If you wish to\n"
"create 2D triangulations see Delaunay2D.) The output is an unstructured grid.\n"
"The Delaunay triangulation can be numerically sensitive. To prevent problems,\n"
"try to avoid injecting points that will result in triangles with bad aspect\n"
"ratios (1000:1 or greater). In practice this means inserting points that are\n"
"\"widely dispersed\", and enables smooth transition of triangle sizes throughout\n"
"the mesh. (You may even want to add extra points to create a better point\n"
"distribution.) If numerical problems are present, you will see a warning\n"
"message to this effect at the end of the triangulation process. Warning: Points\n"
"arranged on a regular lattice (termed degenerate cases) can be triangulated in\n"
"more than one way (at least according to the Delaunay criterion). The choice of\n"
"triangulation (as implemented by this algorithm) depends on the order of the\n"
"input points. The first four points will form a tetrahedron; other degenerate\n"
"points (relative to this initial tetrahedron) will not break it. Points that\n"
"are coincident (or nearly so) may be discarded by the algorithm. This is\n"
"because the Delaunay triangulation requires unique input points. You can\n"
"control the definition of coincidence with the \"Tolerance\" instance variable.\n"
"The output of the Delaunay triangulation is supposedly a convex hull. In\n"
"certain cases this implementation may not generate the convex hull. This\n"
"behavior can be controlled by the Offset instance variable. Offset is a\n"
"multiplier used to control the size of the initial triangulation. The larger\n"
"the offset value, the more likely you will generate a convex hull; and the more\n"
"likely you are to see numerical problems. The implementation of this algorithm\n"
"varies from the 2D Delaunay algorithm (i.e., Delaunay2D) in an important way.\n"
"When points are injected into the triangulation, the search for the enclosing\n"
"tetrahedron is quite different. In the 3D case, the closest previously inserted\n"
"point point is found, and then the connected tetrahedra are searched to find\n"
"the containing one. (In 2D, a \"walk\" towards the enclosing triangle is\n"
"performed.) If the triangulation is Delaunay, then an enclosing tetrahedron\n"
"will be found. However, in degenerate cases an enclosing tetrahedron may not be\n"
"found and the point will be rejected.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPointSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input dataset to the\n"
"        Delaunay 3D filter.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetAlpha\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Alpha\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the alpha (or distance) value to\n"
"        control the output of this filter. For a non-zero alpha value, only\n"
"        edges, faces, or tetra contained within the circumsphere (of radius\n"
"        alpha) will be output. Otherwise, only tetrahedra will be\n"
"        output.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTolerance\"\n"
"                            default_values=\"0.001\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1.0\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies a tolerance to control\n"
"        discarding of closely spaced points. This tolerance is specified as a\n"
"        fraction of the diagonal length of the bounding box of the\n"
"        points.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetOffset\"\n"
"                            default_values=\"2.5\"\n"
"                            name=\"Offset\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"2.5\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies a multiplier to control the size\n"
"        of the initial, bounding Delaunay triangulation.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetBoundingTriangulation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"BoundingTriangulation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This boolean controls whether bounding triangulation\n"
"        points (and associated triangles) are included in the output. (These\n"
"        are introduced as an initial triangulation to begin the triangulation\n"
"        process. This feature is nice for debugging output.)</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetAlphaTets\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AlphaTets\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This boolean controls whether tetrahedrons which satisfy\n"
"        the alpha criterion output when alpha is non-zero.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetAlphaTris\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AlphaTris\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This boolean controls whether triangles which satisfy\n"
"        the alpha criterion output when alpha is non-zero.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetAlphaLines\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AlphaLines\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This boolean controls whether lines which satisfy the\n"
"        alpha criterion output when alpha is non-zero.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetAlphaVerts\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AlphaVerts\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This boolean controls whether vertices which satisfy the\n"
"        alpha criterion are output when alpha is non-zero.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Delaunay3d -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkElevationFilter\"\n"
"                 label=\"Elevation\"\n"
"                 name=\"ElevationFilter\">\n"
"      <Documentation long_help=\"Create point attribute array by projecting points onto an elevation vector.\"\n"
"                     short_help=\"Create a point array representing elevation.\">\n"
"                     The Elevation filter generates point scalar values for an\n"
"                     input dataset along a specified direction vector. The\n"
"                     Input menu allows the user to select the data set to which\n"
"                     this filter will be applied. Use the Scalar range entry\n"
"                     boxes to specify the minimum and maximum scalar value to\n"
"                     be generated. The Low Point and High Point define a line\n"
"                     onto which each point of the data set is projected. The\n"
"                     minimum scalar value is associated with the Low Point, and\n"
"                     the maximum scalar value is associated with the High\n"
"                     Point. The scalar value for each point in the data set is\n"
"                     determined by the location along the line to which that\n"
"                     point projects.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input dataset to the\n"
"        Elevation filter.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty command=\"SetScalarRange\"\n"
"                            default_values=\"0 1\"\n"
"                            name=\"ScalarRange\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filterscore.xml
static const char* const paraview_server_managerfilters_filterscoreInterface3 =
"                            number_of_elements=\"2\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property determines the range into which scalars\n"
"        will be mapped.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetLowPoint\"\n"
"                            default_values=\"0 0 0\"\n"
"                            label=\"Low Point\"\n"
"                            name=\"LowPoint\"\n"
"                            number_of_elements=\"3\" >\n"
"        <BoundsDomain default_mode=\"min\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>This property defines low end of the direction vector\n"
"        (small scalar values).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetHighPoint\"\n"
"                            default_values=\"0 0 1\"\n"
"                            label=\"High Point\"\n"
"                            name=\"HighPoint\"\n"
"                            number_of_elements=\"3\" >\n"
"        <BoundsDomain default_mode=\"max\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>This property defines the high end of the direction\n"
"        vector (large scalar values).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup panel_widget=\"InteractiveLine\">\n"
"        <Property function=\"Point1WorldPosition\" name=\"LowPoint\" />\n"
"        <Property function=\"Point2WorldPosition\" name=\"HighPoint\" />\n"
"        <Property function=\"Input\" name=\"Input\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- End ElevationFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkFeatureEdges\"\n"
"                 label=\"Feature Edges\"\n"
"                 name=\"FeatureEdges\">\n"
"      <Documentation long_help=\"This filter will extract edges along sharp edges of surfaces or boundaries of surfaces.\"\n"
"                     short_help=\"Extract edges that meet the feature criteria.\">\n"
"                     The Feature Edges filter extracts various subsets of edges\n"
"                     from the input data set. This filter operates on polygonal\n"
"                     data and produces polygonal output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Feature Edges\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetBoundaryEdges\"\n"
"                         default_values=\"1\"\n"
"                         name=\"BoundaryEdges\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is set to 1, boundary\n"
"        edges will be extracted. Boundary edges are defined as lines cells or\n"
"        edges that are used by only one polygon.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFeatureEdges\"\n"
"                         default_values=\"1\"\n"
"                         name=\"FeatureEdges\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is set to 1, feature edges\n"
"        will be extracted. Feature edges are defined as edges that are used by\n"
"        two polygons whose dihedral angle is greater than the feature angle.\n"
"        (See the FeatureAngle property.) Toggle whether to extract feature\n"
"        edges.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNonManifoldEdges\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Non-Manifold Edges\"\n"
"                         name=\"NonManifoldEdges\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is set to 1, non-manifold\n"
"        edges will be extracted. Non-manifold edges are defined as edges that\n"
"        are use by three or more polygons.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetManifoldEdges\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ManifoldEdges\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is set to 1, manifold\n"
"        edges will be extracted. Manifold edges are defined as edges that are\n"
"        used by exactly two polygons.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetColoring\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Coloring\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is set to 1, then the\n"
"        extracted edges are assigned a scalar value based on the type of the\n"
"        edge.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFeatureAngle\"\n"
"                            default_values=\"30.0\"\n"
"                            name=\"FeatureAngle\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"180\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property is used to define a feature\n"
"        edge. If the surface normal between two adjacent triangles is at least\n"
"        as large as this Feature Angle, a feature edge exists. (See the\n"
"        FeatureEdges property.)</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"      <!-- End FeatureEdges -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkIdFilter\"\n"
"                 label=\"Generate Ids\"\n"
"                 name=\"GenerateIdScalars\">\n"
"      <Documentation long_help=\"Generate scalars from point and cell ids.\"\n"
"                     short_help=\"Generate scalars from point and cell ids.\">\n"
"                     This filter generates scalars using cell and point ids.\n"
"                     That is, the point attribute data scalars are generated\n"
"                     from the point ids, and the cell attribute data scalars or\n"
"                     field data are generated from the the cell\n"
"                     ids.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Cell Data to\n"
"        Point Data filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty name=\"GeneratePointIds\"\n"
"                         command=\"SetPointIds\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable generation of point ids.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetPointIdsArrayName\"\n"
"                            default_values=\"PointIds\"\n"
"                            name=\"PointIdsArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the point ids array.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"GeneratePointIds\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GenerateCellIds\"\n"
"                         command=\"SetCellIds\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable generation of cell ids.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetCellIdsArrayName\"\n"
"                            default_values=\"CellIds\"\n"
"                            name=\"CellIdsArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the cell ids array.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"GenerateCellIds\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <PropertyGroup label=\"Point Ids\">\n"
"        <Property name=\"GeneratePointIds\" />\n"
"        <Property name=\"PointIdsArrayName\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Cell Ids\">\n"
"        <Property name=\"GenerateCellIds\" />\n"
"        <Property name=\"CellIdsArrayName\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- End GenerateIdScalars -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkMergeArrays\"\n"
"                 label=\"Append Attributes\"\n"
"                 name=\"AppendAttributes\">\n"
"      <Documentation long_help=\"Copies geometry from first input.  Puts all of the arrays into the output.\"\n"
"                     short_help=\"Puts all input arrays into the single output.\">\n"
"                     The Append Attributes filter takes multiple input data\n"
"                     sets with the same geometry and merges their point and\n"
"                     cell attributes to produce a single output containing all\n"
"                     the point and cell attributes of the inputs. Any inputs\n"
"                     without the same number of points and cells as the first\n"
"                     input are ignored. The input data sets must already be\n"
"                     collected together, either as a result of a reader that\n"
"                     loads multiple parts (e.g., EnSight reader) or because the\n"
"                     Group Parts filter has been run to form a collection of\n"
"                     data sets.</Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Append\n"
"        Attributes filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End AppendAttributes -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkMoleculeAppend\"\n"
"                 name=\"AppendMolecule\"\n"
"                 label=\"Append Molecule\">\n"
"      <Documentation long_help=\"Appends one or more molecules into a single molecule.\"\n"
"                     short_help=\"Append molecules into a single molecule.\">\n"
"        Appends one or more molecules into a single molecule. It also appends  the associated atom data and edge data.\n"
"        Note that input data arrays should match (same number of arrays with same names in each input)\n"
"      </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkMolecule\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"    <!-- End AppendMolecule -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPointDataToCellData\"\n"
"                 label=\"Point Data to Cell Data\"\n"
"                 name=\"PointDataToCellData\">\n"
"      <Documentation long_help=\"Create cell attributes by averaging point attributes.\"\n"
"                     short_help=\"Convert point data to cell data.\">The Point\n"
"                     Data to Cell Data filter averages the values of the point\n"
"                     attributes of the points of a cell to compute cell\n"
"                     attributes. This filter operates on any type of dataset,\n"
"                     and the output dataset is the same type as the\n"
"                     input.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\" />\n"
"        <FixedTypeDomain name=\"fixed_type\" />\n"
"        <Documentation>This property specifies the input to the Point Data to\n"
"        Cell Data filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetProcessAllArrays\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ProcessAllArrays\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>The value of this property controls whether all input\n"
"        point arrays will be processed and converted into cell arrays.</Documentation>\n"
"      </IntVectorProperty>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filterscore.xml
static const char* const paraview_server_managerfilters_filterscoreInterface4 =
"      <StringVectorProperty clean_command=\"ClearPointDataArrays\"\n"
"                            command=\"AddPointDataArray\"\n"
"                            name=\"PointDataArrays\"\n"
"                            label=\"Point Data Array to process\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Add a point array by name to be converted to cell array.</Documentation>\n"
"        <ArrayListDomain input_domain_name=\"input_array\" name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"ProcessAllArrays\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassPointData\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassPointData\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>The value of this property controls whether the input\n"
"        point data will be passed to the output. If set to 1, then the input\n"
"        point data is passed through to the output; otherwise, only generated\n"
"        cell data is placed into the output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCategoricalData\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CategoricalData\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Control whether the input point data is to be\n"
"        treated as categorical. If  the data is categorical, then the\n"
"        resultant cell data will be determined by  a majority rules\n"
"        vote, with ties going to the smaller value.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End PointDataToCellData -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPolyDataTangents\"\n"
"                 label=\"Generate Surface Tangents\"\n"
"                 name=\"PolyDataTangents\">\n"
"      <Documentation long_help=\"This filter will produce surface tangents used for normal mapping.\"\n"
"                     short_help=\"Produce surface point tangents.\">This filter\n"
"                     generates surface tangents at the points of the input\n"
"                     polygonal dataset based on the normals and the texture coordinates.\n"
"                     The resulting dataset is also polygonal. The tangents are required when using\n"
"                     a normal texture.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Tangents\n"
"        Generation filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetComputeCellTangents\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeCellTangents\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This filter computes the tangents at the points in the\n"
"        data set. In the process of doing this it computes polygon tangents too.\n"
"        If you want these normals to be passed to the output of this filter,\n"
"        set the value of this property to 1.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End  PolyDataTangents -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkQuadricClustering\"\n"
"                 label=\"Quadric Clustering\"\n"
"                 name=\"QuadricClustering\">\n"
"      <Documentation long_help=\"This filter is the same filter used to generate level of detail for ParaView.  It uses a structured grid of bins and merges all points contained in each bin.\"\n"
"                     short_help=\"Simplify polygonal models.\">The Quadric\n"
"                     Clustering filter produces a reduced-resolution polygonal\n"
"                     approximation of the input polygonal dataset. This filter\n"
"                     is the one used by ParaView for computing LODs. It uses\n"
"                     spatial binning to reduce the number of points in the data\n"
"                     set; points that lie within the same spatial bin are\n"
"                     collapsed into one representative point.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Quadric\n"
"        Clustering filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfDivisions\"\n"
"                         default_values=\"50 50 50\"\n"
"                         label=\"Number of Dimensions\"\n"
"                         name=\"NumberOfDivisions\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the number of bins along the X,\n"
"        Y, and Z axes of the data set.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseInputPoints\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseInputPoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is set to 1, the\n"
"        representative point for each bin is selected from one of the input\n"
"        points that lies in that bin; the input point that produces the least\n"
"        error is chosen. If the value of this property is 0, the location of\n"
"        the representative point is calculated to produce the least error\n"
"        possible for that bin, but the point will most likely not be one of the\n"
"        input points.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseFeatureEdges\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseFeatureEdges\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, feature edge quadrics will\n"
"        be used to maintain the boundary edges along processor\n"
"        divisions.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseFeaturePoints\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseFeaturePoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, feature point quadrics\n"
"        will be used to maintain the boundary points along processor\n"
"        divisions.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCopyCellData\"\n"
"                         default_values=\"1\"\n"
"                         name=\"CopyCellData\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the cell data from the\n"
"        input will be copied to the output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseInternalTriangles\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseInternalTriangles\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, triangles completely\n"
"        contained in a spatial bin will be included in the computation of the\n"
"        bin's quadrics. When this property is set to 0, the filters operates\n"
"        faster, but the resulting surface may not be as\n"
"        well-behaved.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End QuadricClustering -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkResampleToImage\"\n"
"                 label=\"Resample To Image\"\n"
"                 name=\"ResampleToImage\">\n"
"      <Documentation long_help=\"Sample attributes using a 3D image as probing mesh.\"\n"
"                     short_help=\"Sample attributes using a 3D image.\"/>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the dataset whose data will\n"
"        be probed</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetUseInputBounds\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseInputBounds\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <Documentation>\n"
"        Use input bounds or custom ones?\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSamplingDimensions\"\n"
"                         default_values=\"100 100 100\"\n"
"                         name=\"SamplingDimensions\"\n"
"                         number_of_elements=\"3\"\n"
"                         panel_visibility=\"default\">\n"
"                         <IntRangeDomain name=\"range\" min=\"1 1 1\"/>\n"
"        <Documentation>\n"
"        How many linear samples we want along each axis\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSamplingBounds\"\n"
"                         default_values=\"0 1 0 1 0 1\"\n"
"                         name=\"SamplingBounds\"\n"
"                         number_of_elements=\"6\"\n"
"                         panel_visibility=\"default\">\n"
"        <BoundsDomain name=\"bounds\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"        Custom probing bounds\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"UseInputBounds\"\n"
"                                   value=\"0\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End vtkResampleToImage -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkResampleWithDataSet\"\n"
"                 label=\"Resample With Dataset\"\n"
"                 name=\"ResampleWithDataset\">\n"
"      <Documentation short_help=\"Sample data attributes at the points of a dataset.\">\n"
"          This filter takes two inputs - **Source Data Arrays**, and samples the\n"
"          point and cell values of this input onto the point locations of the\n"
"          **Destination Geometry** input. The output has the same structure as the\n"
"          **Destination Geometry** input, but its point data has the resampled values from\n"
"          the **Source Data Arrays**.\"\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetSourceConnection\" name=\"SourceDataArrays\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the dataset from which to obtain\n"
"        probe values. The data attributes come from this dataset.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"DestinationMesh\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the dataset whose geometry will\n"
"        be used in determining positions to probe. The mesh comes from this\n"
"        dataset.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetCategoricalData\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CategoricalData\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Control whether the source point data is to be\n"
"        treated as categorical. If the data is categorical, then the\n"
"        resultant data will be determined by a nearest neighbor\n"
"        interpolation scheme rather than by linear interpolation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassCellArrays\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassCellArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        When set the input's cell data arrays are shallow copied to the output.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassPointArrays\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassPointArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        When set the input's point data arrays are shallow copied to the output.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetPassFieldArrays\"\n"
"                         default_values=\"1\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filterscore.xml
static const char* const paraview_server_managerfilters_filterscoreInterface5 =
"                         name=\"PassFieldArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Set whether to pass the field-data arrays from the Input i.e. the input\n"
"        providing the geometry to the output. On by default.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetPassPartialArrays\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassPartialArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Set whether to partial data arrays from the Input i.e. the input\n"
"        providing the geometry to the output. Off by default.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"CompositeDecorator\">\n"
"            <Expression type=\"or\">\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"PassCellArrays\" value=\"1\" inverse=\"0\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"PassPointArrays\" value=\"1\" inverse=\"0\" />\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"PassFieldArrays\" value=\"1\" inverse=\"0\" />\n"
"            </Expression>\n"
"          </PropertyWidgetDecorator>\n"
"          <!-- show this widget when PassCellArrays, PassPointArrays, or PassFieldArrays is on -->\n"
"\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetComputeTolerance\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeTolerance\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Set whether to compute the tolerance or to use a user provided\n"
"        value. On by default.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTolerance\"\n"
"                            default_values=\"2.2204460492503131e-16\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain min=\"2.2204460492503131e-16\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"ComputeTolerance\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the tolerance to use for\n"
"        vtkDataSet::FindCell</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetMarkBlankPointsAndCells\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MarkBlankPointsAndCells\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        When set, points that did not get valid values during resampling, and\n"
"        cells containing such points, are marked as blank.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetSnapToCellWithClosestPoint\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SnapToCellWithClosestPoint\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set whether to snap to the cell with the closest point, if no cell has been found while\n"
"          FindCell is executed. Note: This is useful only when the source is a vtkPointSet.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <!-- cell locator begin -->\n"
"      <ProxyProperty command=\"SetCellLocatorPrototype\"\n"
"                     label=\"Cell Locator\"\n"
"                     name=\"CellLocator\"\n"
"                     panel_visibility=\"advanced\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"cell_locators\" default=\"StaticCellLocator\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>The cell locator to use for finding cells for probing.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"      <!-- cell locator end -->\n"
"\n"
"      <!-- End vtkResampleToImage -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkReverseSense\"\n"
"      label=\"Reverse Sense\"\n"
"      name=\"ReverseSense\">\n"
"      <Documentation short_help=\"Reverse the ordering of vertices in polygons.\">\n"
"          This filter reverses vertex ordering or normals for cells. In graphics 2d cells\n"
"          have a notion of front or back face. If you use the right hand rule and wind\n"
"          the vertices of a cell counter-clockwise (how your right fungers coil) then\n"
"          the front face is in the direction of your thumb (the normal aligns with\n"
"          your right thumb). If you need to reverse the normals, or change the winding\n"
"          order of a polydata this filter can be used.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"        name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the ReverseSense filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty name=\"ReverseCells\"\n"
"        label=\"Reverse Cells\"\n"
"        command=\"SetReverseCells\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Flag controls whether to reverse cell ordering.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"ReverseNormals\"\n"
"        label=\"Reverse Normals\"\n"
"        command=\"SetReverseNormals\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Flag controls whether to reverse normal orientation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ReverseSense -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkSmoothPolyDataFilter\"\n"
"                 label=\"Smooth\"\n"
"                 name=\"SmoothPolyDataFilter\">\n"
"      <Documentation long_help=\"This filter smooths a polygonal surface by iteratively moving points toward their neighbors.\"\n"
"                     short_help=\"Smooth a polygonal surface without adding more points.\">\n"
"                     The Smooth filter operates on a polygonal data set by\n"
"                     iteratively adjusting the position of the points using\n"
"                     Laplacian smoothing. (Because this filter only adjusts\n"
"                     point positions, the output data set is also polygonal.)\n"
"                     This results in better-shaped cells and more evenly\n"
"                     distributed points. The Convergence slider limits the\n"
"                     maximum motion of any point. It is expressed as a fraction\n"
"                     of the length of the diagonal of the bounding box of the\n"
"                     data set. If the maximum point motion during a smoothing\n"
"                     iteration is less than the Convergence value, the\n"
"                     smoothing operation terminates.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Smooth\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetNumberOfIterations\"\n"
"                         default_values=\"20\"\n"
"                         label=\"Number of Iterations\"\n"
"                         name=\"NumberOfIterations\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property sets the maximum number of smoothing\n"
"        iterations to perform. More iterations produce better\n"
"        smoothing.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetConvergence\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Convergence\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property limits the maximum motion of\n"
"        any point. It is expressed as a fraction of the length of the diagonal\n"
"        of the bounding box of the input dataset. If the maximum point motion\n"
"        during a smoothing iteration is less than the value of this property,\n"
"        the smoothing operation terminates.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End SmoothPolyDataFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkStripper\"\n"
"                 label=\"Triangle Strips\"\n"
"                 name=\"Stripper\">\n"
"      <Documentation long_help=\"This filter uses a greedy algorithm to convert triangles into triangle strips\"\n"
"                     short_help=\"Convert triangles into triangle strips.\">The\n"
"                     Triangle Strips filter converts triangles into triangle\n"
"                     strips and lines into polylines. This filter operates on\n"
"                     polygonal data sets and produces polygonal\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Triangle Strips\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetMaximumLength\"\n"
"                         default_values=\"1000\"\n"
"                         name=\"MaximumLength\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"100000\"\n"
"                        min=\"4\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the maximum number of\n"
"        triangles/lines to include in a triangle strip or\n"
"        polyline.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Stripper -->\n"
"    </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy class=\"vtkStructuredGridOutlineFilter\"\n"
"                 label=\"Outline Curvilinear DataSet\"\n"
"                 name=\"StructuredGridOutlineFilter\">\n"
"      <Documentation long_help=\"This filter generates an outline representation of the input.\"\n"
"                     short_help=\"Generates an outline.\">The Outline filter\n"
"                     generates an outline of the outside edges of the input\n"
"                     dataset, rather than the dataset's bounding box. This\n"
"                     filter operates on structured grid datasets and produces\n"
"                     polygonal output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkStructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the outline\n"
"        (curvilinear) filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End StructuredGridOutlineFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"TensorGlyph\" class=\"vtkTensorGlyph\" label=\"Tensor Glyph\">\n"
"\n"
"     <Documentation\n"
"       long_help=\"This filter generates an ellipsoid, cuboid, cylinder or superquadric glyph at\n"
"       each point of the input data set. The glyphs are oriented and scaled according\n"
"       to eigenvalues and eigenvectors of tensor point data of the input data set.\n"
"       This filter supports symmetric tensors. Symmetric tensor are expected to have\n"
"       the following order: XX, YY, ZZ, XY, YZ, XZ\"\n"
"       short_help=\"This filter generates an ellipsoid, cuboid, cylinder or superquadric glyph at each\n"
"       point of the input data set. The glyphs are oriented and scaled according to eigenvalues\n"
"       and eigenvectors of tensor point data of the input data set.\n"
"       This filter supports symmetric tensors. Symmetric tensor components are expected to have\n"
"       the following order: XX, YY, ZZ, XY, YZ, XZ\">\n"
"\n"
"       The Tensor Glyph filter generates an ellipsoid, cuboid, cylinder or superquadric glyph at every point in\n"
"       the input data set. The glyphs are oriented and scaled according to eigenvalues and eigenvectors of tensor\n"
"       point data of the input data set. The Tensor Glyph filter operates on any type of data set. Its output is\n"
"       polygonal. This filter supports symmetric tensors. Symmetric tensor components are expected to have the\n"
"       following order: XX, YY, ZZ, XY, YZ, XZ\"\n"
"     </Documentation>\n"
"\n"
"     <InputProperty name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"filters\" />\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkDataSet\" />\n"
"       </DataTypeDomain>\n"
"       <InputArrayDomain name=\"input_array1\" attribute_type=\"point\" number_of_components=\"6,9\" />\n"
"       <InputArrayDomain name=\"input_array2\" attribute_type=\"point\" number_of_components=\"1\" optional=\"1\" />\n"
"       <Documentation>\n"
"         This property specifies the input to the Glyph filter.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filterscore.xml
static const char* const paraview_server_managerfilters_filterscoreInterface6 =
"\n"
"     <StringVectorProperty name=\"SelectInputTensors\"\n"
"       command=\"SetInputArrayToProcess\"\n"
"       number_of_elements=\"5\"\n"
"       element_types=\"0 0 0 0 2\"\n"
"       label=\"Tensors\" >\n"
"       <ArrayListDomain name=\"array_list\" attribute_type=\"Tensors\"\n"
"         input_domain_name=\"input_array1\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\" />\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Documentation>\n"
"         This property indicates the name of the tensor array on which to operate. The indicated array's\n"
"         eigenvalues and eigenvectors are used for scaling and orienting the glyphs.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <InputProperty name=\"Source\"\n"
"       command=\"SetSourceConnection\"\n"
"       label=\"Glyph Type\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"glyph_sources\" />\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkPolyData\" />\n"
"       </DataTypeDomain>\n"
"       <ProxyListDomain name=\"proxy_list\">\n"
"         <Proxy group=\"sources\" name=\"SphereSource\" />\n"
"         <Proxy group=\"sources\" name=\"CylinderSource\" />\n"
"         <Proxy group=\"sources\" name=\"CubeSource\" />\n"
"         <Proxy group=\"sources\" name=\"SuperquadricSource\" />\n"
"       </ProxyListDomain>\n"
"       <Documentation>\n"
"         This property determines which type of glyph will be placed at the points in the input dataset.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"ExtractEigenvalues\"\n"
"       command=\"SetExtractEigenvalues\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1\"\n"
"       >\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Toggle whether to extract eigenvalues from tensor. If false, eigenvalues/eigenvectors are not extracted and\n"
"         the columns of the tensor are taken as the eigenvectors (the norm of column, always positive, is the eigenvalue).\n"
"         If true, the glyph is scaled and oriented according to eigenvalues and eigenvectors; additionally, eigenvalues\n"
"         are provided as new data array.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"ColorGlyphs\"\n"
"       command=\"SetColorGlyphs\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1\"\n"
"       >\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         This property determines whether or not to color the glyphs.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"SelectInputScalars\"\n"
"       command=\"SetInputArrayToProcess\"\n"
"       number_of_elements=\"5\"\n"
"       element_types=\"0 0 0 0 2\"\n"
"       default_values=\"1\"\n"
"       label=\"Scalars\" >\n"
"       <!-- default_values=1 is important to set here and not in Tensors\n"
"                previously. Omitting the setting here would mess up changed\n"
"                tensor input being recognized as tensor input and not as\n"
"                scalar input and vice versa. -->\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\"\n"
"          input_domain_name=\"input_array2\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property indicates the name of the scalar array to use for coloring\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"ColorMode\"\n"
"       command=\"SetColorMode\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\"\n"
"       label=\"Color by\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"input scalars\" />\n"
"         <Entry value=\"1\" text=\"eigenvalues\" />\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property determines whether input scalars or computed eigenvalues at the point should be used\n"
"         to color the glyphs. If ThreeGlyphs is set and the eigenvalues are chosen for coloring then each glyph\n"
"         is colored by the corresponding eigenvalue and if not set the color corresponding to the largest\n"
"         eigenvalue is chosen.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- Disabled as vtkTensorGlyph.cxx does not respect this parameter currently. -->\n"
"     <!--\n"
"      <IntVectorProperty\n"
"          name=\"Scaling\"\n"
"          command=\"SetScaling\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1\"\n"
"          >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          This property determines whether or not to scale glyphs with eigenvalues.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      -->\n"
"\n"
"      <DoubleVectorProperty name=\"ScaleFactor\"\n"
"        command=\"SetScaleFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BoundsDomain name=\"range\" mode=\"array_scaled_extent\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ArraySelection\" name=\"SelectInputTensors\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          This property specifies the scale factor to scale every glyph by.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LimitScalingByEigenvalues\"\n"
"        command=\"SetClampScaling\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          This property determines whether scaling of glyphs by ScaleFactor times eigenvalue should be limited.\n"
"          This is useful to prevent uncontrolled scaling near singularities.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MaxScaleFactor\"\n"
"        command=\"SetMaxScaleFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"10\" >\n"
"        <Documentation>\n"
"          If scaling by eigenvalues should be limited, this value sets an upper limit for scale factor times\n"
"          eigenvalue.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Symmetric\"\n"
"        command=\"SetSymmetric\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          This property determines whether or not to draw a mirror of each glyph.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ThreeGlyphs\"\n"
"        command=\"SetThreeGlyphs\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle whether to produce three glyphs, each of which oriented along an eigenvector and scaled according\n"
"          to the corresponding eigenvector.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTriangleFilter\"\n"
"                 label=\"Triangulate\"\n"
"                 name=\"TriangleFilter\">\n"
"      <Documentation long_help=\"This filter converts polygons and triangle strips to basic triangles.\"\n"
"                     short_help=\"Convert polygonal data to triangles.\">The\n"
"                     Triangulate filter decomposes polygonal data into only\n"
"                     triangles, points, and lines. It separates triangle strips\n"
"                     and polylines into individual triangles and lines,\n"
"                     respectively. The output is polygonal data. Some filters\n"
"                     that take polygonal data as input require that the data be\n"
"                     composed of triangles rather than other polygons, so\n"
"                     passing your data through this filter first is useful in\n"
"                     such situations. You should use this filter in these cases\n"
"                     rather than the Tetrahedralize filter because they produce\n"
"                     different output dataset types. The filters referenced\n"
"                     require polygonal input, and the Tetrahedralize filter\n"
"                     produces unstructured grid output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Triangulate\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End TriangleFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTubeFilter\"\n"
"                 label=\"Tube\"\n"
"                 name=\"TubeFilter\">\n"
"      <Documentation long_help=\"Convert lines into tubes. Normals are used to avoid cracks between tube segments.\"\n"
"                     short_help=\"Convert lines into tubes.\">The Tube filter\n"
"                     creates tubes around the lines in the input polygonal\n"
"                     dataset. The output is also polygonal.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array1\"\n"
"                          number_of_components=\"1\"\n"
"                          optional=\"1\" />\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array2\"\n"
"                          number_of_components=\"3\"\n"
"                          optional=\"1\" />\n"
"        <Documentation>This property specifies the input to the Tube\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Scalars\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"input_array1\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property indicates the name of the scalar array on\n"
"        which to operate. The indicated array may be used for scaling the\n"
"        tubes. (See the VaryRadius property.)</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            default_values=\"1\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vectors\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\">\n"
"        <!-- default value=1 so normals go to the right place -->\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         input_domain_name=\"input_array2\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property indicates the name of the vector array on\n"
"        which to operate. The indicated array may be used for scaling and/or\n"
"        orienting the tubes. (See the VaryRadius property.)</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetNumberOfSides\"\n"
"                         default_values=\"6\"\n"
"                         label=\"Number of Sides\"\n"
"                         name=\"NumberOfSides\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"3\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property indicates the number of faces\n"
"        around the circumference of the tube.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCapping\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Capping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, endcaps will be drawn on\n"
"        the tube. Otherwise the ends of the tube will be open.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRadius\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain mode=\"scaled_extent\"\n"
"                      name=\"bounds\"\n"
"                      scale_factor=\"0.01\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>The value of this property sets the radius of the tube.\n"
"        If the radius is varying (VaryRadius property), then this value is the\n"
"        minimum radius.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetVaryRadius\"\n"
"                         default_values=\"0\"\n"
"                         name=\"VaryRadius\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Off\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"By Scalar\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"By Vector\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"By Absolute Scalar\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"By Vector Norm\"\n"
"                 value=\"4\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The property determines whether/how to vary the radius\n"
"        of the tube. If varying by scalar, the tube radius linearly varies w.r.t\n"
"        point-based scalar values in the dataset. If the radius varies by vector, a mass flux preserving\n"
"        variation is used. If it varies by absolute scalar, the radius is equal to the scalar field\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filterscore.xml
static const char* const paraview_server_managerfilters_filterscoreInterface7 =
"        (which thus must be positive!). If it varies by vector norm,\n"
"        the vector magnitude is used in varying the radius.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRadiusFactor\"\n"
"                            default_values=\"10\"\n"
"                            name=\"RadiusFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>If varying the radius (VaryRadius property), the\n"
"        property sets the maximum tube radius in terms of a multiple of the\n"
"        minimum radius. If not varying the radius, this value has no\n"
"        effect.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseDefaultNormal\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseDefaultNormal\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 0, and the input contains no\n"
"        vector array, then default ribbon normals will be generated\n"
"        (DefaultNormal property); if a vector array has been set\n"
"        (SelectInputVectors property), the ribbon normals will be set from the\n"
"        specified array. If this property is set to 1, the default normal\n"
"        (DefaultNormal property) will be used, regardless of whether the\n"
"        SelectInputVectors property has been set.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDefaultNormal\"\n"
"                            default_values=\"0 0 1\"\n"
"                            name=\"DefaultNormal\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The value of this property specifies the normal to use\n"
"        when the UseDefaultNormal property is set to 1 or the input contains no\n"
"        vector array (SelectInputVectors property).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End TubeFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkConvertToMultiBlockDataSet\"\n"
"      name=\"ConvertToMultiBlock\"\n"
"      label=\"Convert To MultiBlock\">\n"
"      <Documentation>\n"
"        Convert any dataset to vtkMultiBlockDataSet.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\">\n"
"        <Documentation>\n"
"          Specify the input.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkGraph\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkConvertToPartitionedDataSetCollection\"\n"
"      name=\"ConvertToPartitionedDataSetCollection\"\n"
"      label=\"Convert To PartitionedDataSetCollection\">\n"
"      <Documentation>\n"
"        Convert any dataset to vtkPartitionedDataSetCollection.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\">\n"
"        <Documentation>\n"
"          Specify the input.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkGraph\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy class=\"vtkArrayRename\" label=\"RenameArrays\" name=\"RenameArrays\">\n"
"      <Documentation long_help=\"Rename Data Arrays\"\n"
"        short_help=\"Rename Data Arrays\">\n"
"    This forwards the data to the output and allow to modify array names in place.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"point_arrays\" attribute_type=\"point\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"cell_arrays\" attribute_type=\"cell\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"field_arrays\" attribute_type=\"field\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"vertex_arrays\" attribute_type=\"vertex\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"edge_arrays\" attribute_type=\"edge\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"row_arrays\" attribute_type=\"row\" optional=\"1\" />\n"
"      </InputProperty>\n"
"      <StringVectorProperty name=\"PointArrayNames\"\n"
"                            label=\"Point Arrays\"\n"
"                            command=\"SetPointArrayName\"\n"
"                            clean_command=\"ClearPointMapping\"\n"
"                            element_types=\"str str\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain input_domain_name=\"point_arrays\" name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property associates new names to the input point array names</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"point\"/>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellArrayNames\"\n"
"                            label=\"Cell Arrays\"\n"
"                            command=\"SetCellArrayName\"\n"
"                            clean_command=\"ClearCellMapping\"\n"
"                            element_types=\"str str\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain input_domain_name=\"cell_arrays\" name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property associates new names to the input cell array names</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell\"/>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FieldArrayNames\"\n"
"                            label=\"Field Arrays\"\n"
"                            command=\"SetFieldArrayName\"\n"
"                            clean_command=\"ClearFieldMapping\"\n"
"                            element_types=\"str str\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain input_domain_name=\"field_arrays\" name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property associates new names to the input field array names</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"field\"/>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"VertexArrayNames\"\n"
"                            label=\"Vertex Arrays\"\n"
"                            command=\"SetVertexArrayName\"\n"
"                            clean_command=\"ClearVertexMapping\"\n"
"                            element_types=\"str str\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain input_domain_name=\"vertex_arrays\" name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property associates new names to the input vertex array names</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"vertex\"/>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"EdgeArrayNames\"\n"
"                            label=\"Edge Arrays\"\n"
"                            command=\"SetEdgeArrayName\"\n"
"                            clean_command=\"ClearEdgeMapping\"\n"
"                            element_types=\"str str\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain input_domain_name=\"edge_arrays\" name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property associates new names to the input edge array names</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"edge\"/>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"RowArrayNames\"\n"
"                            label=\"Row Arrays\"\n"
"                            command=\"SetRowArrayName\"\n"
"                            clean_command=\"ClearRowMapping\"\n"
"                            element_types=\"str str\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain input_domain_name=\"row_arrays\" name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property associates new names to the input row array names</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"row\"/>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filterscoreGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filterscoreInterface0);
  const size_t len1 = strlen(paraview_server_managerfilters_filterscoreInterface1);
  const size_t len2 = strlen(paraview_server_managerfilters_filterscoreInterface2);
  const size_t len3 = strlen(paraview_server_managerfilters_filterscoreInterface3);
  const size_t len4 = strlen(paraview_server_managerfilters_filterscoreInterface4);
  const size_t len5 = strlen(paraview_server_managerfilters_filterscoreInterface5);
  const size_t len6 = strlen(paraview_server_managerfilters_filterscoreInterface6);
  const size_t len7 = strlen(paraview_server_managerfilters_filterscoreInterface7);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4
    + len5
    + len6
    + len7 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filterscoreInterface0, paraview_server_managerfilters_filterscoreInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerfilters_filterscoreInterface1, paraview_server_managerfilters_filterscoreInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerfilters_filterscoreInterface2, paraview_server_managerfilters_filterscoreInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerfilters_filterscoreInterface3, paraview_server_managerfilters_filterscoreInterface3 + len3, res + offset); offset += len3;
  std::copy(paraview_server_managerfilters_filterscoreInterface4, paraview_server_managerfilters_filterscoreInterface4 + len4, res + offset); offset += len4;
  std::copy(paraview_server_managerfilters_filterscoreInterface5, paraview_server_managerfilters_filterscoreInterface5 + len5, res + offset); offset += len5;
  std::copy(paraview_server_managerfilters_filterscoreInterface6, paraview_server_managerfilters_filterscoreInterface6 + len6, res + offset); offset += len6;
  std::copy(paraview_server_managerfilters_filterscoreInterface7, paraview_server_managerfilters_filterscoreInterface7 + len7, res + offset); offset += len7;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/sources_filterscore.xml
static const char* const paraview_server_managersources_filterscoreInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkDataObjectGenerator\"\n"
"                 label=\"Data Object Generator\"\n"
"                 name=\"DataObjectGenerator\">\n"
"      <Documentation long_help=\"Parses a string to produce composite data objects consisting of simple templated datasets.\"\n"
"                     short_help=\"Produces simple (composite or atomic) data sets for testing.\">\n"
"      vtkDataObjectGenerator parses a string and produces dataobjects from the\n"
"      dataobject template names it sees in the string. For example, if the\n"
"      string contains &quot;ID1&quot; the generator will create a vtkImageData.\n"
"      &quot;UF1&quot;, &quot;RG1&quot;, &quot;SG1&quot;, &quot;PD1&quot;, and\n"
"      &quot;UG1&quot; will produce vtkUniformGrid, vtkRectilinearGrid,\n"
"      vtkStructuredGrid, vtkPolyData and vtkUnstructuredGrid respectively.\n"
"      &quot;PD2&quot; will produce an alternate vtkPolyData. You can compose\n"
"      composite datasets from the atomic ones listed above - &quot;MB{}&quot;\n"
"      or &quot;HB[]&quot;. &quot;MB{ ID1 PD1 MB{} }&quot; for example will\n"
"      create a vtkMultiBlockDataSet consisting of three blocks: image data,\n"
"      poly data, multiblock (empty). Hierarchical Box data sets additionally\n"
"      require the notion of groups, declared within &quot;()&quot; braces, to\n"
"      specify AMR depth. &quot;HB[ (UF1)(UF1)(UF1) ]&quot; will create a\n"
"      vtkHierarchicalBoxDataSet representing an octree that is three levels\n"
"      deep, in which the first cell in each level is\n"
"      refined.</Documentation>\n"
"      <StringVectorProperty command=\"SetProgram\"\n"
"                            default_values=\"ID1\"\n"
"                            name=\"Program\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" />\n"
"        </Hints>\n"
"        <Documentation>This property contains the string that is parsed to\n"
"        determine the structured of the output data object to\n"
"        produce.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End DataObjectGenerator -->\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managersources_filterscoreGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managersources_filterscoreInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managersources_filterscoreInterface0, paraview_server_managersources_filterscoreInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filterspoints.xml
static const char* const paraview_server_managerfilters_filterspointsInterface0 =
" <ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"  <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkConvertToPointCloud\"\n"
"                 label=\"Convert To Point Cloud\"\n"
"                 name=\"ConvertToPointCloud\">\n"
"      <Documentation long_help=\"Convert any dataset to a point cloud with or without cells.\"\n"
"                     short_help=\"Convert any dataset to a point cloud.\">\n"
"                     The ConvertToPointCloud convert any dataset to a vtkPolyData containing the\n"
"                     points and point data of the input and generate either no cells, a single polyvertex cell\n"
"                     or many vertex cells. It is more efficient with pointset input.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input dataset to the\n"
"        ConvertToPointCloud filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetCellGenerationMode\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\"\n"
"                         name=\"CellGenerationMode\"\n"
"                         panel_visibility=\"default\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"No cells\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Polyvertex cell\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Vertex cells\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation> Choose if the output should contain either no cells (output may not appear in a render view in that case),\n"
"        a single poly vertex cell and as many vertex cells as there is points.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of ConvertToPointCloud -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filterspointsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filterspointsInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filterspointsInterface0, paraview_server_managerfilters_filterspointsInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersextraction.xml
static const char* const paraview_server_managerfilters_filtersextractionInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractBlock\"\n"
"                 label=\"Extract Block (Legacy)\"\n"
"                 name=\"ExtractBlockLegacy\">\n"
"      <Documentation long_help=\"This filter extracts a range of blocks from a multiblock dataset.\"\n"
"                     short_help=\"Extract block.\">\n"
"        This filter extracts a range of groups from a multiblock dataset\n"
"      </Documentation>\n"
"      <Deprecated deprecated_in=\"5.11\" to_remove_in=\"5.13\">\n"
"        Extract Block (Legacy) has been deprecated. Please use ExtractBlock instead.\n"
"      </Deprecated>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the Extract Group filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty clean_command=\"RemoveAllIndices\"\n"
"                         command=\"AddIndex\"\n"
"                         name=\"BlockIndices\"\n"
"                         number_of_elements_per_command=\"1\"\n"
"                         panel_visibility=\"default\"\n"
"                         repeat_command=\"1\">\n"
"        <Hints>\n"
"          <WidgetHeight number_of_rows=\"20\"/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          This property lists the ids of the blocks to extract from the input multiblock dataset.\n"
"        </Documentation>\n"
"        <CompositeTreeDomain name=\"tree\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </CompositeTreeDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPruneOutput\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PruneOutput\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When set, the output multiblock dataset will be pruned to remove empty nodes. On by default.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaintainStructure\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MaintainStructure\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This is used only when PruneOutput is ON. By default,\n"
"          when pruning the output i.e. remove empty blocks, if node has only 1\n"
"          non-null child block, then that node is removed. To preserve these\n"
"          parent nodes, set this flag to true.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ExtractBlockLegacy -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"ExtractBlock\"\n"
"                 label=\"Extract Block\"\n"
"                 class=\"vtkExtractBlockUsingDataAssembly\">\n"
"      <Documentation long_help=\"Extract chosen blocks from composite datasets\"\n"
"                     short_help=\"Extract block\">\n"
"        Extract selected blocks from a composite dataset.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"          <DataType value=\"vtkUniformGridAMR\"/>\n"
"          <DataType value=\"vtkPartitionedDataSetCollection\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Specify the input to this filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"Assembly\"\n"
"                            command=\"SetAssemblyName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"Hierarchy\">\n"
"        <DataAssemblyListDomain name=\"data_assembly_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </DataAssemblyListDomain>\n"
"        <Documentation>\n"
"          Select which assembly is used when specify selectors\n"
"          to choose blocks to extract.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Selectors\"\n"
"                            command=\"AddSelector\"\n"
"                            clean_command=\"ClearSelectors\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"1\">\n"
"        <DataAssemblyDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"            <Property function=\"ActiveAssembly\" name=\"Assembly\"/>\n"
"          </RequiredProperties>\n"
"        </DataAssemblyDomain>\n"
"        <Documentation>\n"
"          Sepecify the selectors for the data assembly chosen using **Assembly**\n"
"          to choose the blocks to extract from the input dataset.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Blocks\" panel_widget=\"DataAssemblyEditor\">\n"
"        <Property name=\"Assembly\" function=\"ActiveAssembly\"/>\n"
"        <Property name=\"Selectors\" function=\"Selectors\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- end of ExtractBlock -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractDataSets\"\n"
"                 label=\"Extract AMR Blocks\"\n"
"                 name=\"ExtractHierarchicalDataSets\">\n"
"      <Documentation long_help=\"This filter extracts a list of datasets from hierarchical datasets.\"\n"
"                     short_help=\"Extract datasets.\">\n"
"        This filter extracts a list of datasets from hierarchical datasets.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkUniformGridAMR\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the Extract Datasets filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty clean_command=\"ClearDataSetList\"\n"
"                         command=\"AddDataSet\"\n"
"                         name=\"SelectedDataSets\"\n"
"                         number_of_elements_per_command=\"2\"\n"
"                         repeat_command=\"1\">\n"
"        <Documentation>\n"
"          Specify a pair, level and dataset index, for every dataset\n"
"          from the input AMR dataset to extract.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ExtractDataSets -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractEdges\"\n"
"                 label=\"Extract Edges\"\n"
"                 name=\"ExtractEdges\">\n"
"      <Documentation long_help=\"Extract edges of 2D and 3D cells as lines.\"\n"
"                     short_help=\"Covert data to wireframe.\">The Extract Edges\n"
"        filter produces a wireframe version of the input dataset\n"
"        by extracting all the edges of the dataset's cells as\n"
"        lines. This filter operates on any type of data set and\n"
"        produces polygonal output.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the Extract Edges filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <!-- End ExtractEdges -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractGeometry\"\n"
"                 label=\"Extract Cells By Region\"\n"
"                 name=\"ExtractGeometry\">\n"
"      <Documentation long_help=\"This filter extracts cells that are inside/outside a region or at a region boundary.\"\n"
"                     short_help=\"Extract cells that are inside/outside a region or at a region boundary.\">\n"
"        This filter extracts from its input dataset all cells that are either\n"
"        completely inside or outside of a specified region (implicit function).\n"
"        On output, the filter generates an unstructured grid. To use this filter\n"
"        you must specify a region (implicit function). You must also specify\n"
"        whether to extract cells lying inside or outside of the region. An\n"
"        option exists to extract cells that are neither inside or outside (i.e.,\n"
"        boundary).\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the Slice filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <ProxyProperty command=\"SetImplicitFunction\"\n"
"                     label=\"Intersect With\"\n"
"                     name=\"ImplicitFunction\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"extract_implicit_functions\" default=\"Plane\"/>\n"
"        </ProxyListDomain>\n"
"        <Documentation>\n"
"          This property sets the region used to extract cells.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"InputBounds\">\n"
"        <BoundsDomain name=\"bounds\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetExtractInside\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Extraction Side\"\n"
"                         name=\"ExtractInside\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"outside\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"inside\"\n"
"                 value=\"1\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This parameter controls whether to extract cells that are inside or outside the region.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetExtractOnlyBoundaryCells\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Extract only intersected\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This parameter controls whether to extract only cells\n"
"          that are on the boundary of the region. If this parameter is set, the\n"
"          Extraction Side parameter is ignored. If Extract Intersected is off,\n"
"          this parameter has no effect.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetExtractBoundaryCells\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Extract intersected\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This parameter controls whether to extract cells that are on the boundary of the region.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ExtractGeometry -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractLevel\"\n"
"                 label=\"Extract Level (Legacy)\"\n"
"                 name=\"ExtractHierarchicalLevel\">\n"
"      <Documentation long_help=\"This filter extracts a range of groups from a hierarchical dataset.\"\n"
"                     short_help=\"Extract level.\">This filter extracts a range\n"
"        of levels from a hierarchical dataset\n"
"      </Documentation>\n"
"      <Deprecated deprecated_in=\"5.10\" to_remove_in=\"5.12\">\n"
"        **Extract Level** has been deprecated. **Extract Block** now supports\n"
"        extract levels from AMR datasets as well and hence this filter is unnecessary.\n"
"      </Deprecated>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkUniformGridAMR\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the Extract Group filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty clean_command=\"RemoveAllLevels\"\n"
"                         command=\"AddLevel\"\n"
"                         name=\"Levels\"\n"
"                         number_of_elements_per_command=\"1\"\n"
"                         panel_visibility=\"default\"\n"
"                         repeat_command=\"1\">\n"
"        <Documentation>\n"
"          This property lists the levels to extract from the input hierarchical dataset.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ExtractHierarchicalLevel -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractGhostCells\"\n"
"                 name=\"ExtractGhostCells\"\n"
"                 label=\"Extract Ghost Cells\">\n"
"      <Documentation short_help=\"Extract ghost cells so they can be visualized.\">\n"
"        This filter extracts the ghost cells from the input and displays them so\n"
"        one can inspect them visually.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersextraction.xml
static const char* const paraview_server_managerfilters_filtersextractionInterface1 =
"          <DataType value=\"vtkCompositeDataSet\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <StringVectorProperty name=\"ArrayName\"\n"
"                            command=\"SetOutputGhostArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"GhostType\">\n"
"        <Documentation>\n"
"          Name of the ghost cell array in the output.\n"
"          It must be different to `vtkGhostType` in order for the cells to be displayed.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractTimeSteps\"\n"
"                 name=\"ExtractTimeSteps\"\n"
"                 label=\"Extract Time Steps\">\n"
"      <Documentation short_help=\"Extract time steps from data.\">\n"
"        This filter extracts specified time steps from its input.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetUseRange\"\n"
"                         name=\"SelectionMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Select Time Steps\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Select Time Range\"\n"
"                 value=\"1\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Extract time steps supports two ways to select the time steps to be extracted:\n"
"\n"
"          - **Select Time Steps**: Specify time steps to be extracted by their index\n"
"\n"
"          - **Select Time Range**: Specify the start and end time steps of a range by their index and optionally specify\n"
"          a stride to optionally take every nth timestep in the range.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"AddTimeStepIndex\"\n"
"                         clean_command=\"ClearTimeStepIndices\"\n"
"                         label=\"Time Step Indices\"\n"
"                         name=\"TimeStepIndices\"\n"
"                         number_of_elements=\"0\"\n"
"                         number_of_elements_per_command=\"1\"\n"
"                         repeat_command=\"1\">\n"
"        <TimeStepIndexDomain name=\"timestep_index_range\" default_mode=\"min\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </TimeStepIndexDomain>\n"
"        <Documentation>\n"
"          This property specifies the indices of the time steps to extract.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"SelectionMode\" value=\"0\">\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetRange\"\n"
"                         name=\"TimeStepRange\"\n"
"                         number_of_elements=\"2\"\n"
"                         default_values=\"0 1\">\n"
"        <TimeStepIndexDomain name=\"timestep_index_range\" default_mode=\"min\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </TimeStepIndexDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"SelectionMode\" value=\"1\">\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Select the beginning and end indices of the range of timesteps to extract.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetTimeStepInterval\"\n"
"                         name=\"TimeStepInterval\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"SelectionMode\" value=\"1\">\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Select the stride to use when extracting the range of time steps (the n in every nth timestep).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Time Step Indices\">\n"
"        <Property name=\"TimeStepIndices\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <IntVectorProperty command=\"SetTimeEstimationMode\"\n"
"                         name=\"ApproximationMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Previous Time Step\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Next Time Step\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"Nearest Time Step\"\n"
"                 value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          If the scene's time does not match the time in any of the timesteps selected (likely because something\n"
"          else in the scene has time steps at different times) this setting controls which timestep should\n"
"          be returned by the filter. The options are the previous time step, the nearest time step and the next\n"
"          time step.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ExtractTimeSteps -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractParticlesOverTime\"\n"
"                 name=\"ExtractParticlesOverTime\"\n"
"                 label=\"Extract Particles Over Time\">\n"
"      <Documentation short_help=\"Extract particles that pass through a volume over time.\">\n"
"        This filter extracts input particles passing through a volume by iterating over time.\n"
"        The filter has two inputs: Particles and Volume.\n"
"        The Particles input should contain points evolving over time and the Volume input is\n"
"        expected to be a volumetric dataset.\n"
"        The output is a subset of the particles from the input, still temporal.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Particles\"\n"
"                     port_index=\"0\"\n"
"                     command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"particles_point_arrays\"\n"
"                          number_of_components=\"1\"\n"
"                          optional=\"1\"/>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The moving particles. This input should be temporal vtkDataSet and should contain points evolving over time.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <InputProperty name=\"Volume\"\n"
"                     port_index=\"1\"\n"
"                     command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The volumetric data to detect if particles pass through.\n"
"          This dataset should contain volumetric cells like hexahedrons or tetrahedrons.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"IdChannelArray\"\n"
"                            command=\"SetIdChannelArray\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"Global or Local IDs\"\n"
"                            animateable=\"0\">\n"
"        <ArrayListDomain\n"
"                name=\"array_list\" attribute_type=\"Scalars\" input_domain_name=\"particles_point_arrays\"\n"
"                none_string=\"Global or Local IDs\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Particles\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          Specify the name of a scalar array which will be used to fetch\n"
"          the index of each point. This is necessary only if the particles\n"
"          change position (Id order) on each time step. The Id can be used\n"
"          to identify particles at each step and hence track them properly.\n"
"          If this array is set to \"Global or Local IDs\", the global point\n"
"          ids are used if they exist. Otherwise, the point indices are used.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <WarnOnCreate title=\"Potentially slow operation\">\n"
"          **Extract Particles Over Time** filter needs to process all timesteps\n"
"          available in your dataset and can potentially take a long time to complete.\n"
"          Do you want to continue?\n"
"        </WarnOnCreate>\n"
"      </Hints>\n"
"\n"
"      <!-- End ExtractParticlesOverTime -->\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersextractionGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersextractionInterface0);
  const size_t len1 = strlen(paraview_server_managerfilters_filtersextractionInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersextractionInterface0, paraview_server_managerfilters_filtersextractionInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerfilters_filtersextractionInterface1, paraview_server_managerfilters_filtersextractionInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersflowpaths.xml
static const char* const paraview_server_managerfilters_filtersflowpathsInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"cell_locators\">\n"
"    <Proxy class=\"vtkModifiedBSPTree\"\n"
"           name=\"ModifiedBSPTree\"\n"
"           label=\"BSP Tree Cell Locator\"/>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkEvenlySpacedStreamlines2D\"\n"
"                 label=\"Evenly Spaced Streamlines 2D\"\n"
"                 name=\"EvenlySpacedStreamlines2D\">\n"
"      <Documentation long_help=\"Produce evenly spaced streamlines in a 2D vector field.\"\n"
"                     short_help=\"Produce evenly spaced streamlines in a 2D vector field.\">\n"
"        This filter generates evenly spaced streamlines in a 2D\n"
"        vector field from a start position. Production of\n"
"        streamlines terminates if a streamline crosses the\n"
"        exterior boundary of the input dataset\n"
"        (ReasonForTermination=1), an initialization issue (ReasonForTermination=2),\n"
"        computing an unexpected value (ReasonForTermination=3),\n"
"        reached the Maximum Streamline Length input value\n"
"        (ReasonForTermination=4), reached the Maximum Steps\n"
"        input value (ReasonForTermination=5), velocity was\n"
"        lower than the Terminal Speed input value\n"
"        (ReasonForTermination=6), a streamline formed a loop\n"
"        (ReasonForTermination=7), and the streamline was too close to\n"
"        other streamlines (ReasonForTermination=8). This filter\n"
"        operates on a 2D dataset aligned with plane XY with\n"
"        point-centered vectors aligned with plane XY.\n"
"        The output is polygonal data containing polylines.\n"
"      </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\"\n"
"                          number_of_components=\"3\"/>\n"
"        <Documentation>\n"
"          This property specifies the input to the filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vectors\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property contains the name of the vector array from which to generate streamlines.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolatorType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InterpolatorType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Interpolator with Point Locator\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Interpolator with Cell Locator\"\n"
"                 value=\"1\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property determines which interpolator to use for\n"
"          evaluating the velocity vector field. The first is faster though the\n"
"          second is more robust in locating cells during streamline integration.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIntegratorType\"\n"
"                         default_values=\"1\"\n"
"                         name=\"IntegratorType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Runge-Kutta 2\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Runge-Kutta 4\"\n"
"                 value=\"1\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property determines which integrator (with increasing accuracy) to use for creating streamlines.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIntegrationStepUnit\"\n"
"                         default_values=\"2\"\n"
"                         label=\"Integration Step Unit\"\n"
"                         name=\"IntegrationStepUnit\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Length\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"Cell Length\"\n"
"                 value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property specifies the unit for\n"
"          Initial integration step size. The Length unit refers\n"
"          to the arc length that a particle travels/advects within a single step.\n"
"          The Cell Length unit represents the step size as a number of cells.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetInitialIntegrationStep\"\n"
"                            default_values=\"0.2\"\n"
"                            label=\"Initial Step Length\"\n"
"                            name=\"InitialIntegrationStep\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the initial integration step\n"
"          size. For non-adaptive integrators (Runge-Kutta 2 and Runge-Kutta 4),\n"
"          it is fixed (always equal to this initial value) throughout the integration.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaximumNumberOfSteps\"\n"
"                         default_values=\"2000\"\n"
"                         label=\"Maximum Steps\"\n"
"                         name=\"MaximumNumberOfSteps\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the maximum number of steps, beyond which streamline integration is terminated.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSeparatingDistance\"\n"
"                            default_values=\"2\"\n"
"                            label=\"Separating Distance\"\n"
"                            name=\"SeparatingDistance\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Specify the separating distance between streamlines expressed in IntegrationStepUnit.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSeparatingDistanceRatio\"\n"
"                            default_values=\"0.4\"\n"
"                            label=\"Separating Distance Ratio\"\n"
"                            name=\"SeparatingDistanceRatio\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Specifies SeparatingDistanceRatio. If streamlines get closer than\n"
"          SeparatingDistance * SeparatingDistanceRatio to other streamlines integration stops.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetClosedLoopMaximumDistance\"\n"
"                            default_values=\"0.2\"\n"
"                            label=\"Closed Loop Maximum Distance\"\n"
"                            name=\"ClosedLoopMaximumDistance\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Loops are considered closed if the have two points at\n"
"          distance less than this. This is expressed in IntegrationStepUnit.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetStartPosition\"\n"
"                            default_values=\"0 0 0 \"\n"
"                            label=\"Start Position\"\n"
"                            name=\"StartPosition\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <BoundsDomain default_mode=\"mid\" mode=\"normal\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          Specify the starting point (seed) of the first streamline in the global coordinate system.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTerminalSpeed\"\n"
"                            default_values=\"0.000000000001\"\n"
"                            label=\"Terminal Speed\"\n"
"                            name=\"TerminalSpeed\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the terminal speed, below which particle advection/integration is terminated.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeVorticity\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeVorticity\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify whether to compute vorticity.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Streamline Parameters\">\n"
"        <Property name=\"StartPosition\"/>\n"
"        <Property name=\"SeparatingDistance\"/>\n"
"        <Property name=\"SeparatingDistanceRatio\"/>\n"
"        <Property name=\"ClosedLoopMaximumDistance\"/>\n"
"        <Property name=\"IntegratorType\"/>\n"
"        <Property name=\"IntegrationStepUnit\"/>\n"
"        <Property name=\"InitialIntegrationStep\"/>\n"
"        <Property name=\"MaximumNumberOfSteps\"/>\n"
"        <Property name=\"TerminalSpeed\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\"/>\n"
"      </Hints>\n"
"      <!-- End EvenlySpacedStreamlines2D -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkParticlePathFilter\"\n"
"                 name=\"ParticlePath\">\n"
"      <Documentation long_help=\"Trace Particle Paths through time in a vector field.\"\n"
"                     short_help=\"Trace Particle Paths through time in a vector field.\">\n"
"        The Particle Trace filter generates pathlines in a vector\n"
"        field from a collection of seed points. The vector field\n"
"        used is selected from the Vectors menu, so the input data\n"
"        set is required to have point-centered vectors. The Seed\n"
"        portion of the interface allows you to select whether the\n"
"        seed points for this integration lie in a point cloud or\n"
"        along a line. Depending on which is selected, the\n"
"        appropriate 3D widget (point or line widget) is displayed\n"
"        along with traditional user interface controls for\n"
"        positioning the point cloud or line within the data set.\n"
"        Instructions for using the 3D widgets and the\n"
"        corresponding manual controls can be found in section 7.4.\n"
"        This filter operates on any type of data set, provided it\n"
"        has point-centered vectors. The output is polygonal data\n"
"        containing polylines. This filter is available on the\n"
"        Toolbar.\n"
"      </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"3\"/>\n"
"        <Documentation>\n"
"          Specify which is the Input of the StreamTracer filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty clean_command=\"RemoveAllSources\"\n"
"                     command=\"AddSourceConnection\"\n"
"                     label=\"Seed Source\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Source\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Specify the seed dataset. Typically, from where the vector field integration should begin.\n"
"          Usually a point/radius or a line with a given resolution.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty command=\"SetTerminationTime\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"TerminationTime\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Setting TerminationTime to a positive value will cause particles to terminate when the time is reached.\n"
"          The units of time should be consistent with the primary time variable.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceReinjectionEveryNSteps\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ForceReinjectionEveryNSteps\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          When animating particles, it is nice to inject new ones every Nth step to produce a continuous flow.\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersflowpaths.xml
static const char* const paraview_server_managerfilters_filtersflowpathsInterface1 =
"          Setting ForceReinjectionEveryNSteps to a non zero value will cause the particle source to reinject\n"
"          particles every Nth step even if it is otherwise unchanged. Note that if the particle source is also animated,\n"
"          this flag will be redundant as the particles will be reinjected whenever the source changes anyway.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetStaticSeeds\"\n"
"                         default_values=\"0\"\n"
"                         name=\"StaticSeeds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If the input seeds are not changing, then this can be set to 1 to avoid having to do a repeated grid search\n"
"          that would return the exact same result.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMeshOverTime\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MeshOverTime\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Different\" value=\"0\"/>\n"
"          <Entry text=\"Static\" value=\"1\"/>\n"
"          <Entry text=\"Linear Transformation\" value=\"2\"/>\n"
"          <Entry text=\"Same Topology\" value=\"3\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          The input mesh can either be 1) different over time, or 2) static over time,\n"
"          or 3) a linear transformation of the first time step over time, or 4) have the same topology over time.\n"
"          If a value other than Different are used, then performance can be improved significantly because certain\n"
"          data structures, such as locators or cell links are not rebuilt for each timestep.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolatorType\"\n"
"                         default_values=\"1\"\n"
"                         name=\"InterpolatorType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Interpolator with Point Locator\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Interpolator with Cell Locator\"\n"
"                 value=\"1\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property determines which interpolator to use for evaluating the velocity vector field. The first is\n"
"          faster though the second is more robust in locating cells during streamline integration.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\"\n"
"                            panel_visibility=\"default\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          Specify which vector array should be used for the integration through that filter.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeVorticity\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeVorticity\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Compute vorticity and angular rotation of particles as they progress\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTerminalSpeed\"\n"
"                            default_values=\"0.000000000001\"\n"
"                            label=\"Terminal Speed\"\n"
"                            name=\"TerminalSpeed\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the terminal speed, below which particle advection/integration is terminated.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkParticleTracer\"\n"
"                 name=\"ParticleTracer\">\n"
"      <Documentation long_help=\"Trace Particles through time in a vector field.\"\n"
"                     short_help=\"Trace Particles through time in a vector field.\">\n"
"        The Particle Trace filter generates pathlines in a vector\n"
"        field from a collection of seed points. The vector field\n"
"        used is selected from the Vectors menu, so the input data\n"
"        set is required to have point-centered vectors. The Seed\n"
"        portion of the interface allows you to select whether the\n"
"        seed points for this integration lie in a point cloud or\n"
"        along a line. Depending on which is selected, the\n"
"        appropriate 3D widget (point or line widget) is displayed\n"
"        along with traditional user interface controls for\n"
"        positioning the point cloud or line within the data set.\n"
"        Instructions for using the 3D widgets and the\n"
"        corresponding manual controls can be found in section 7.4.\n"
"        This filter operates on any type of data set, provided it\n"
"        has point-centered vectors. The output is polygonal data\n"
"        containing polylines. This filter is available on the\n"
"        Toolbar.\n"
"      </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"3\"/>\n"
"        <Documentation>\n"
"          Specify which is the Input of the StreamTracer filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty clean_command=\"RemoveAllSources\"\n"
"                     command=\"AddSourceConnection\"\n"
"                     label=\"Seed Source\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Source\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Specify the seed dataset. Typically, from where the vector field integration should begin.\n"
"          Usually a point/radius or a line with a given resolution.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetStaticSeeds\"\n"
"                         default_values=\"0\"\n"
"                         name=\"StaticSeeds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If the input seeds are not changing, then this can be set to 1 to avoid having to do a repeated grid search\n"
"          that would return the exact same result.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMeshOverTime\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MeshOverTime\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Different\" value=\"0\"/>\n"
"          <Entry text=\"Static\" value=\"1\"/>\n"
"          <Entry text=\"Linear Transformation\" value=\"2\"/>\n"
"          <Entry text=\"Same Topology\" value=\"3\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          The input mesh can either be 1) different over time, or 2) static over time,\n"
"          or 3) a linear transformation of the first time step over time, or 4) have the same topology over time.\n"
"          If a value other than Different are used, then performance can be improved significantly because certain\n"
"          data structures, such as locators or cell links are not rebuilt for each timestep.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolatorType\"\n"
"                         default_values=\"1\"\n"
"                         name=\"InterpolatorType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Interpolator with Point Locator\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Interpolator with Cell Locator\"\n"
"                 value=\"1\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property determines which interpolator to use for evaluating the velocity vector field. The first is\n"
"          faster though the second is more robust in locating cells during streamline integration.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceReinjectionEveryNSteps\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ForceReinjectionEveryNSteps\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          When animating particles, it is nice to inject new ones every Nth step to produce a continuous flow.\n"
"          Setting ForceReinjectionEveryNSteps to a non zero value will cause the particle source to reinject particles\n"
"          every Nth step even if it is otherwise unchanged. Note that if the particle source is also animated, this flag\n"
"          will be redundant as the particles will be reinjected whenever the source changes anyway.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\"\n"
"                            panel_visibility=\"default\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          Specify which vector array should be used for the integration through that filter.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeVorticity\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeVorticity\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Compute vorticity and angular rotation of particles as they progress.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ParticleTracer -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkStreaklineFilter\"\n"
"                 name=\"StreakLine\">\n"
"      <Documentation long_help=\"Trace Streak lines through time in a vector field.\"\n"
"                     short_help=\"Trace Streak lines through time in a vector field.\">\n"
"        The Particle Trace filter generates pathlines in a vector\n"
"        field from a collection of seed points. The vector field\n"
"        used is selected from the Vectors menu, so the input data\n"
"        set is required to have point-centered vectors. The Seed\n"
"        portion of the interface allows you to select whether the\n"
"        seed points for this integration lie in a point cloud or\n"
"        along a line. Depending on which is selected, the\n"
"        appropriate 3D widget (point or line widget) is displayed\n"
"        along with traditional user interface controls for\n"
"        positioning the point cloud or line within the data set.\n"
"        Instructions for using the 3D widgets and the\n"
"        corresponding manual controls can be found in section 7.4.\n"
"        This filter operates on any type of data set, provided it\n"
"        has point-centered vectors. The output is polygonal data\n"
"        containing polylines. This filter is available on the\n"
"        Toolbar.\n"
"      </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"3\"/>\n"
"        <Documentation>\n"
"          Specify which is the Input of the StreamTracer filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetStaticSeeds\"\n"
"                         default_values=\"0\"\n"
"                         name=\"StaticSeeds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If the input seeds are not changing, then this can be set to 1 to avoid having to do a repeated grid search\n"
"          that would return the exact same result.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMeshOverTime\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MeshOverTime\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Different\" value=\"0\"/>\n"
"          <Entry text=\"Static\" value=\"1\"/>\n"
"          <Entry text=\"Linear Transformation\" value=\"2\"/>\n"
"          <Entry text=\"Same Topology\" value=\"3\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          The input mesh can either be 1) different over time, or 2) static over time,\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersflowpaths.xml
static const char* const paraview_server_managerfilters_filtersflowpathsInterface2 =
"          or 3) a linear transformation of the first time step over time, or 4) have the same topology over time.\n"
"          If a value other than Different are used, then performance can be improved significantly because certain\n"
"          data structures, such as locators or cell links are not rebuilt for each timestep.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolatorType\"\n"
"                         default_values=\"1\"\n"
"                         name=\"InterpolatorType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Interpolator with Point Locator\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Interpolator with Cell Locator\"\n"
"                 value=\"1\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property determines which interpolator to use for evaluating the velocity vector field. The first is\n"
"          faster though the second is more robust in locating cells during streamline integration.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <InputProperty clean_command=\"RemoveAllSources\"\n"
"                     command=\"AddSourceConnection\"\n"
"                     label=\"Seed Source\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Source\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Specify the seed dataset. Typically, from where the vector field integration should begin. Usually a\n"
"          point/radius or a line with a given resolution.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty command=\"SetTerminationTime\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"TerminationTime\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Setting TerminationTime to a positive value will cause particles to terminate when the time is reached.\n"
"          The units of time should be consistent with the primary time variable.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceReinjectionEveryNSteps\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ForceReinjectionEveryNSteps\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          When animating particles, it is nice to inject new ones every Nth step to produce a continuous flow.\n"
"          Setting ForceReinjectionEveryNSteps to a non zero value will cause the particle source to reinject particles\n"
"          every Nth step even if it is otherwise unchanged. Note that if the particle source is also animated, this flag\n"
"          will be redundant as the particles will be reinjected whenever the source changes anyway.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\"\n"
"                            panel_visibility=\"default\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          Specify which vector array should be used for the integration through that filter.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeVorticity\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeVorticity\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Compute vorticity and angular rotation of particles as they progress\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDisableResetCache\"\n"
"                         default_values=\"0\"\n"
"                         name=\"DisableResetCache\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Prevents cache from getting reset so that new computation always start from previous results.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkStreamTracer\"\n"
"                 label=\"Stream Tracer\"\n"
"                 name=\"StreamTracer\">\n"
"      <Documentation long_help=\"Integrate streamlines in a vector field.\"\n"
"                     short_help=\"Integrate streamlines in a vector field.\">The\n"
"        Stream Tracer filter generates streamlines in a vector\n"
"        field from a collection of seed points. Production of\n"
"        streamlines terminates if a streamline crosses the\n"
"        exterior boundary of the input dataset\n"
"        (ReasonForTermination=1). Other reasons for termination\n"
"        include an initialization issue (ReasonForTermination=2),\n"
"        computing an unexpected value (ReasonForTermination=3),\n"
"        reached the Maximum Streamline Length input value\n"
"        (ReasonForTermination=4), reached the Maximum Steps\n"
"        input value (ReasonForTermination=5), and velocity was\n"
"        lower than the Terminal Speed input value\n"
"        (ReasonForTermination=6). This filter operates on any\n"
"        type of dataset, provided it has point-centered vectors.\n"
"        The output is polygonal data containing polylines.\n"
"      </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\"\n"
"                          number_of_components=\"3\"/>\n"
"        <Documentation>\n"
"          This property specifies the input to the Stream Tracer filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vectors\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property contains the name of the vector array from which to generate streamlines.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolatorType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InterpolatorType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Interpolator with Point Locator\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Interpolator with Cell Locator\"\n"
"                 value=\"1\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property determines which interpolator to use for evaluating the velocity vector field. The first is\n"
"          faster though the second is more robust in locating cells during streamline integration.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSurfaceStreamlines\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Surface Streamlines\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify whether to compute surface streamlines.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIntegrationDirection\"\n"
"                         default_values=\"2\"\n"
"                         name=\"IntegrationDirection\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"FORWARD\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"BACKWARD\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"BOTH\"\n"
"                 value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property determines in which direction(s) a streamline is generated.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIntegratorType\"\n"
"                         default_values=\"2\"\n"
"                         name=\"IntegratorType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Runge-Kutta 2\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Runge-Kutta 4\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"Runge-Kutta 4-5\"\n"
"                 value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property determines which integrator (with increasing accuracy) to use for creating streamlines.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIntegrationStepUnit\"\n"
"                         default_values=\"2\"\n"
"                         label=\"Integration Step Unit\"\n"
"                         name=\"IntegrationStepUnit\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Length\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"Cell Length\"\n"
"                 value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property specifies the unit for\n"
"          Minimum/Initial/Maximum integration step size. The Length unit refers\n"
"          to the arc length that a particle travels/advects within a single step.\n"
"          The Cell Length unit represents the step size as a number of cells.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetInitialIntegrationStep\"\n"
"                            default_values=\"0.2\"\n"
"                            label=\"Initial Step Length\"\n"
"                            name=\"InitialIntegrationStep\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the initial integration step\n"
"          size. For non-adaptive integrators (Runge-Kutta 2 and Runge-Kutta 4),\n"
"          it is fixed (always equal to this initial value) throughout the\n"
"          integration. For an adaptive integrator (Runge-Kutta 4-5), the actual\n"
"          step size varies such that the numerical error is less than a specified threshold.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMinimumIntegrationStep\"\n"
"                            default_values=\"0.01\"\n"
"                            label=\"Minimum Step Length\"\n"
"                            name=\"MinimumIntegrationStep\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          When using the Runge-Kutta 4-5 integrator, this property specifies the minimum integration step size.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumIntegrationStep\"\n"
"                            default_values=\"0.5\"\n"
"                            label=\"Maximum Step Length\"\n"
"                            name=\"MaximumIntegrationStep\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          When using the Runge-Kutta 4-5 integrator, this property specifies the maximum integration step size.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaximumNumberOfSteps\"\n"
"                         default_values=\"2000\"\n"
"                         label=\"Maximum Steps\"\n"
"                         name=\"MaximumNumberOfSteps\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the maximum number of steps, beyond which streamline integration is terminated.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumPropagation\"\n"
"                            default_values=\"1.0\"\n"
"                            label=\"Maximum Streamline Length\"\n"
"                            name=\"MaximumPropagation\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain default_mode=\"max\"\n"
"                      mode=\"scaled_extent\"\n"
"                      name=\"bounds\"\n"
"                      scale_factor=\"1.0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          This property specifies the maximum streamline length (i.e., physical arc length), beyond which line\n"
"          integration is terminated.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTerminalSpeed\"\n"
"                            default_values=\"0.000000000001\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersflowpaths.xml
static const char* const paraview_server_managerfilters_filtersflowpathsInterface3 =
"                            label=\"Terminal Speed\"\n"
"                            name=\"TerminalSpeed\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the terminal speed, below which particle advection/integration is terminated.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumError\"\n"
"                            default_values=\"0.000001\"\n"
"                            name=\"MaximumError\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the maximum error (for\n"
"          Runge-Kutta 4-5) tolerated throughout streamline integration. The\n"
"          Runge-Kutta 4-5 integrator tries to adjust the step size such that the\n"
"          estimated error is less than this threshold.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeVorticity\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeVorticity\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify whether to compute vorticity.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <InputProperty command=\"SetSourceConnection\"\n"
"                     label=\"Seed Type\"\n"
"                     name=\"Source\"\n"
"                     panel_visibility=\"default\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"seed_sources\"/>\n"
"        </ProxyListDomain>\n"
"        <Documentation>\n"
"          The value of this property determines how the seeds for the streamlines will be generated.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetUseLocalSeedSource\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseLocalSeedSource\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If true the filter considers that the whole seed source is available on all ranks.\n"
"          Else the filter will aggregate all seed sources from all ranks and merge their points.\n"
"          WARNING: do not set this value to true unless you know what you're doing.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Seeds\">\n"
"        <Property name=\"Source\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Integration Parameters\">\n"
"        <Property name=\"IntegrationDirection\"/>\n"
"        <Property name=\"IntegratorType\"/>\n"
"        <Property name=\"IntegrationStepUnit\"/>\n"
"        <Property name=\"InitialIntegrationStep\"/>\n"
"        <Property name=\"MinimumIntegrationStep\"/>\n"
"        <Property name=\"MaximumIntegrationStep\"/>\n"
"        <Property name=\"MaximumError\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Streamline Parameters\">\n"
"        <Property name=\"MaximumNumberOfSteps\"/>\n"
"        <Property name=\"MaximumPropagation\"/>\n"
"        <Property name=\"TerminalSpeed\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\"/>\n"
"      </Hints>\n"
"      <!-- End StreamTracer -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkStreamTracer\"\n"
"                 label=\"Stream Tracer With Custom Source\"\n"
"                 name=\"ArbitrarySourceStreamTracer\">\n"
"      <Documentation long_help=\"Integrate streamlines in a vector field.\"\n"
"                     short_help=\"Integrate streamlines in a vector field.\">The\n"
"        Stream Tracer With Custom Source filter generates streamlines\n"
"        in a vector field from a collection of seed points. Production\n"
"        of streamlines terminates if a streamline crosses the\n"
"        exterior boundary of the input dataset\n"
"        (ReasonForTermination=1). Other reasons for termination\n"
"        include an initialization issue (ReasonForTermination=2),\n"
"        computing an unexpected value (ReasonForTermination=3),\n"
"        reached the Maximum Streamline Length input value\n"
"        (ReasonForTermination=4), reached the Maximum Steps\n"
"        input value (ReasonForTermination=5), and velocity was\n"
"        lower than the Terminal Speed input value\n"
"        (ReasonForTermination=6). This filter operates on any\n"
"        type of dataset, provided it has point-centered vectors.\n"
"        The output is polygonal data containing polylines.\n"
"        This filter takes a Source input\n"
"        that provides the seed points.\n"
"      </Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"3\"/>\n"
"        <Documentation>\n"
"          This property specifies the input to the Stream Tracer filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vectors\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property contains the name of the vector array from which to generate streamlines.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolatorType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InterpolatorType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Interpolator with Point Locator\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Interpolator with Cell Locator\"\n"
"                 value=\"1\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property determines which interpolator to use for\n"
"          evaluating the velocity vector field. The first is faster though the\n"
"          second is more robust in locating cells during streamline integration.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSurfaceStreamlines\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Surface Streamlines\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify whether to compute surface streamlines.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIntegrationDirection\"\n"
"                         default_values=\"2\"\n"
"                         name=\"IntegrationDirection\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"FORWARD\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"BACKWARD\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"BOTH\"\n"
"                 value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property determines in which direction(s) a streamline is generated.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIntegratorType\"\n"
"                         default_values=\"2\"\n"
"                         name=\"IntegratorType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Runge-Kutta 2\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Runge-Kutta 4\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"Runge-Kutta 4-5\"\n"
"                 value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property determines which integrator (with increasing accuracy) to use for creating streamlines.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIntegrationStepUnit\"\n"
"                         default_values=\"2\"\n"
"                         label=\"Integration Step Unit\"\n"
"                         name=\"IntegrationStepUnit\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Length\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"Cell Length\"\n"
"                 value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property specifies the unit for\n"
"          Minimum/Initial/Maximum integration step size. The Length unit refers\n"
"          to the arc length that a particle travels/advects within a single step.\n"
"          The Cell Length unit represents the step size as a number of cells.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetInitialIntegrationStep\"\n"
"                            default_values=\"0.2\"\n"
"                            label=\"Initial Step Length\"\n"
"                            name=\"InitialIntegrationStep\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the initial integration step\n"
"          size. For non-adaptive integrators (Runge-Kutta 2 and Runge-Kutta 4),\n"
"          it is fixed (always equal to this initial value) throughout the\n"
"          integration. For an adaptive integrator (Runge-Kutta 4-5), the actual\n"
"          step size varies such that the numerical error is less than a specified threshold.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMinimumIntegrationStep\"\n"
"                            default_values=\"0.01\"\n"
"                            label=\"Minimum Step Length\"\n"
"                            name=\"MinimumIntegrationStep\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          When using the Runge-Kutta 4-5 integrator, this property specifies the minimum integration step size.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumIntegrationStep\"\n"
"                            default_values=\"0.5\"\n"
"                            label=\"Maximum Step Length\"\n"
"                            name=\"MaximumIntegrationStep\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          When using the Runge-Kutta 4-5 integrator, this property specifies the maximum integration step size.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaximumNumberOfSteps\"\n"
"                         default_values=\"2000\"\n"
"                         label=\"Maximum Steps\"\n"
"                         name=\"MaximumNumberOfSteps\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the maximum number of steps, beyond which streamline integration is terminated.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumPropagation\"\n"
"                            default_values=\"1.0\"\n"
"                            label=\"Maximum Streamline Length\"\n"
"                            name=\"MaximumPropagation\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <BoundsDomain mode=\"scaled_extent\"\n"
"                      name=\"bounds\"\n"
"                      scale_factor=\"1.0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          This property specifies the maximum streamline length\n"
"          (i.e., physical arc length), beyond which line integration is terminated.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTerminalSpeed\"\n"
"                            default_values=\"0.000000000001\"\n"
"                            label=\"Terminal Speed\"\n"
"                            name=\"TerminalSpeed\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the terminal speed, below which particle advection/integration is terminated.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumError\"\n"
"                            default_values=\"0.000001\"\n"
"                            name=\"MaximumError\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the maximum error (for Runge-Kutta 4-5) tolerated throughout streamline integration.\n"
"          The Runge-Kutta 4-5 integrator tries to adjust the step size such that the\n"
"          estimated error is less than this threshold.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeVorticity\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeVorticity\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersflowpaths.xml
static const char* const paraview_server_managerfilters_filtersflowpathsInterface4 =
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify whether to compute vorticity.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseLocalSeedSource\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseLocalSeedSource\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If true the filter considers that the whole seed source is available on all ranks.\n"
"          Else the filter will aggregate all seed sources from all ranks and merge their points.\n"
"          WARNING: do not set this value to true unless you know what you're doing.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <InputProperty command=\"SetSourceConnection\"\n"
"                     label=\"Seed Source\"\n"
"                     name=\"Source\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>\n"
"          This property specifies the input used to obtain the seed points.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\"/>\n"
"      </Hints>\n"
"      <!-- End StreamTracer -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"VortexCores\"\n"
"                 class=\"vtkVortexCore\"\n"
"                 label=\"Vortex Cores\">\n"
"      <Documentation long_help=\"Compute vortex cores\"\n"
"                     short_help=\"Compute vortex cores of a vector field\">\n"
"        Compute vortex core lines using the parallel vectors method. By default, the \"Higher-Order\"\n"
"        approach of computing the parallel vector lines between the flow field's velocity and jerk\n"
"        is disabled in favor of computing the parallel vector lines between the velocity and\n"
"        acceleration. To further discriminate against spurious vortex cores, at each potential point\n"
"        value the Q-criterion, delta-criterion, lambda_ci, and lambda_2-criterion are checked. The Q-criterion\n"
"        and delta-criterion are used to prefilter cells prior to the execution of the parallel lines\n"
"        algorithm, and all criteria values are stored as point values on the output polylines.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array1\"\n"
"                          number_of_components=\"3\"\n"
"                          optional=\"0\"/>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"SelectInputArray\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vector Field\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\"\n"
"                         input_domain_name=\"input_array1\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property indicates the name of the vector array from which to compute vortex cores.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetHigherOrderMethod\"\n"
"                         name=\"UseHigherOrderMethod\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Use the flow field's jerk instead of acceleration as the second vector field during the\n"
"          parallel vector operation. Disabled by default.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetFasterApproximation\"\n"
"                         name=\"FasterApproximation\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When this option is enabled, the gradient filter used to compute vortex cores will provide\n"
"          a less accurate algorithm that performs fewer derivative calculations and is therefore faster.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"    </SourceProxy>\n"
"    <!-- End VortexCores -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersflowpathsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersflowpathsInterface0);
  const size_t len1 = strlen(paraview_server_managerfilters_filtersflowpathsInterface1);
  const size_t len2 = strlen(paraview_server_managerfilters_filtersflowpathsInterface2);
  const size_t len3 = strlen(paraview_server_managerfilters_filtersflowpathsInterface3);
  const size_t len4 = strlen(paraview_server_managerfilters_filtersflowpathsInterface4);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersflowpathsInterface0, paraview_server_managerfilters_filtersflowpathsInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerfilters_filtersflowpathsInterface1, paraview_server_managerfilters_filtersflowpathsInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerfilters_filtersflowpathsInterface2, paraview_server_managerfilters_filtersflowpathsInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerfilters_filtersflowpathsInterface3, paraview_server_managerfilters_filtersflowpathsInterface3 + len3, res + offset); offset += len3;
  std::copy(paraview_server_managerfilters_filtersflowpathsInterface4, paraview_server_managerfilters_filtersflowpathsInterface4 + len4, res + offset); offset += len4;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeneral.xml
static const char* const paraview_server_managerfilters_filtersgeneralInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPassThrough\"\n"
"                 name=\"PipelineConnection\"\n"
"                 label=\"Pipeline Connection\">\n"
"      <Documentation>\n"
"        This proxy provides UI for selecting an existing pipeline connection.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     panel_widget=\"input_selector\"\n"
"                     null_on_empty=\"1\"\n"
"                     panel_visibility=\"default\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetAllowNullInput\"\n"
"                         name=\"AllowNullInput\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Allow the filter to execute successful, producing an empty polydata,\n"
"          when the input is not specified.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End PipelineConnection -->\n"
"    </SourceProxy>\n"
"    <!-- End of internal_filters -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAppendLocationAttributes\"\n"
"                 label=\"Append Location Attributes\"\n"
"                 name=\"AppendLocationAttributes\">\n"
"      <Documentation long_help=\"Adds points and/or cell centers as point and/or cell data arrays.\"\n"
"                     short_help=\"Optionally add point and cell centers as point and cell data arrays.\">\n"
"                    This filter optionally adds point locations and cell centers to point and cell\n"
"                    data, respectively. Point locations are added in an array named `PointLocations`.\n"
"                    Cell centers are added in an array named `CellCenters`.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Append Location Attributes\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetAppendPointLocations\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\"\n"
"                         name=\"AppendPointLocations\"\n"
"                         panel_visibility=\"default\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Adds a point data array named `PointLocations` that is a copy of the point\n"
"        locations in the input.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAppendCellCenters\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\"\n"
"                         name=\"AppendCellCenters\"\n"
"                         panel_visibility=\"default\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Adds a cell data array named `CellCenters` that is stores the centers\n"
"        of cells in the input.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End AppendLocationAttributes -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkBlockIdScalars\"\n"
"                 label=\"Block Scalars\"\n"
"                 name=\"BlockIdScalars\">\n"
"      <Documentation long_help=\"The Level Scalars filter uses colors to show levels of a multiblock dataset.\"\n"
"                     short_help=\"Generate point scalars from level.\">The Level\n"
"                     Scalars filter uses colors to show levels of a multiblock\n"
"                     dataset.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkMultiBlockDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Level Scalars\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End GroupIdScalars -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkBrownianPoints\"\n"
"                 label=\"Random Vectors\"\n"
"                 name=\"BrownianPoints\">\n"
"      <Documentation long_help=\"This filter creates a new 3-component point data array and sets it as the default vector array. It uses a random number generator to create values.\"\n"
"                     short_help=\"Create a new random vector array.\">The Random\n"
"                     Vectors filter generates a point-centered array of random\n"
"                     vectors. It uses a random number generator to determine\n"
"                     the components of the vectors. This filter operates on any\n"
"                     type of data set, and the output data set will be of the\n"
"                     same type as the input.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Random Vectors\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty command=\"SetMinimumSpeed\"\n"
"                            default_values=\"0\"\n"
"                            name=\"MinimumSpeed\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the minimum length of the random\n"
"        point vectors generated.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumSpeed\"\n"
"                            default_values=\"1\"\n"
"                            name=\"MaximumSpeed\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the maximum length of the random\n"
"        point vectors generated.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End BrownianPoints -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCellCenters\"\n"
"                 label=\"Cell Centers\"\n"
"                 name=\"CellCenters\">\n"
"      <Documentation long_help=\"Create a point (no geometry) at the center of each input cell.\"\n"
"                     short_help=\"Convert cells to vertices.\">The Cell Centers\n"
"                     filter places a point at the center of each cell in the\n"
"                     input data set. The center computed is the parametric\n"
"                     center of the cell, not necessarily the geometric or\n"
"                     bounding box center. The cell attributes of the input will\n"
"                     be associated with these newly created points of the\n"
"                     output. You have the option of creating a vertex cell per\n"
"                     point in the output. This is useful because vertex cells\n"
"                     are rendered, but points are not. The points themselves\n"
"                     could be used for placing glyphs (using the Glyph filter).\n"
"                     The Cell Centers filter takes any type of data set as\n"
"                     input and produces a polygonal data set as\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Cell Centers\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVertexCells\"\n"
"                         default_values=\"0\"\n"
"                         name=\"VertexCells\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If set to 1, a vertex cell will be generated per point\n"
"        in the output. Otherwise only points will be generated.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End CellCenters -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCellDerivatives\"\n"
"                 label=\"Compute Derivatives\"\n"
"                 name=\"CellDerivatives\">\n"
"      <Documentation long_help=\"This filter computes derivatives of scalars and vectors.\"\n"
"                     short_help=\"Computes derivatives of scalars/vectors.\">\n"
"                     CellDerivatives is a filter that computes derivatives of\n"
"                     scalars and vectors at the center of cells. You can choose\n"
"                     to generate different output including the scalar gradient\n"
"                     (a vector), computed tensor vorticity (a vector), gradient\n"
"                     of input vectors (a tensor), and strain matrix of the\n"
"                     input vectors (a tensor); or you may choose to pass data\n"
"                     through to the output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array1\"\n"
"                          number_of_components=\"1\"\n"
"                          optional=\"1\" />\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array2\"\n"
"                          number_of_components=\"3\"\n"
"                          optional=\"1\" />\n"
"        <Documentation>This property specifies the input to the\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Scalars\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"input_array1\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property indicates the name of the scalar array to\n"
"        differentiate.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            default_values=\"1\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vectors\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         input_domain_name=\"input_array2\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property indicates the name of the vector array to\n"
"        differentiate.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetVectorMode\"\n"
"                         default_values=\"1\"\n"
"                         name=\"OutputVectorType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Nothing\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Scalar Gradient\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Vorticity\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property Controls how the filter works to generate\n"
"        vector cell data. You can choose to compute the gradient of the input\n"
"        scalars, or extract the vorticity of the computed vector gradient\n"
"        tensor. By default, the filter will take the gradient of the input\n"
"        scalar data.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTensorMode\"\n"
"                         default_values=\"1\"\n"
"                         name=\"OutputTensorType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Nothing\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Vector Gradient\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Strain\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property controls how the filter works to generate\n"
"        tensor cell data. You can choose to compute the gradient of the input\n"
"        vectors, or compute the strain tensor of the vector gradient tensor. By\n"
"        default, the filter will take the gradient of the vector data to\n"
"        construct a tensor.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End CellDerivatives -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCellValidator\"\n"
"                 label=\"Validate Cells\"\n"
"                 name=\"ValidateCells\">\n"
"      <Documentation long_help=\"vtkCellValidator accepts as input a dataset and adds integral cell data\n"
" to it corresponding to the validity of each cell. The validity field\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeneral.xml
static const char* const paraview_server_managerfilters_filtersgeneralInterface1 =
" encodes a bitfield for identifying problems that prevent a cell from standard\n"
" use, including:\n"
"\n"
"   WrongNumberOfPoints: filters assume that a cell has access to the\n"
"                        appropriate number of points that comprise it. This\n"
"                        assumption is often tacit, resulting in unexpected\n"
"                        behavior when the condition is not met. This check\n"
"                        simply confirms that the cell has the minimum number\n"
"                        of points needed to describe it.\n"
"\n"
"   IntersectingEdges: cells that incorrectly describe the order of their\n"
"                      points often manifest with intersecting edges or\n"
"                      intersecting faces. Given a tolerance, this check\n"
"                      ensures that two edges from a two-dimensional cell\n"
"                      are separated by at least the tolerance (discounting\n"
"                      end-to-end connections).\n"
"\n"
"   IntersectingFaces: cells that incorrectly describe the order of their\n"
"                      points often manifest with intersecting edges or\n"
"                      intersecting faces. Given a tolerance, this check\n"
"                      ensures that two faces from a three-dimensional cell\n"
"                      do not intersect.\n"
"\n"
"   NoncontiguousEdges: another symptom of incorrect point ordering within a\n"
"                       cell is the presence of noncontiguous edges where\n"
"                       contiguous edges are otherwise expected. Given a\n"
"                       tolerance, this check ensures that edges around the\n"
"                       perimeter of a two-dimensional cell are contiguous.\n"
"\n"
"   Nonconvex: many algorithms implicitly require that all input three-\n"
"              dimensional cells be convex. This check uses the generic\n"
"              convexity checkers implemented in vtkPolygon and vtkPolyhedron\n"
"              to test this requirement.\n"
"\n"
"   FacesAreOrientedIncorrectly: All three-dimensional cells have an implicit\n"
"                                expectation for the orientation of their\n"
"                                faces. While the convention is unfortunately\n"
"                                inconsistent across cell types, it is usually\n"
"                                required that cell faces point outward. This\n"
"                                check tests that the faces of a cell point in\n"
"                                the direction required by the cell type,\n"
"                                taking into account the cell types with\n"
"                                nonstandard orientation requirements.\n"
"\"\n"
"        short_help=\"Compute cell validities.\"></Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Cell Validation filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End ValidateCells -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCountFaces\"\n"
"                 label=\"Count Cell Faces\"\n"
"                 name=\"CountCellFaces\">\n"
"      <Documentation long_help=\"Counts the number of faces on each cell and appends a new cell data array.\"\n"
"                     short_help=\"Adds a new cell data array containing the number of faces per cell.\">\n"
"        Adds a new cell data array containing the number of faces per cell.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetOutputArrayName\"\n"
"                            name=\"OutputArrayName\"\n"
"                            label=\"Faces Array Name\"\n"
"                            default_values=\"Face Count\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>\n"
"          This is the name of the array in the output containing the face counts.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End of CountFaces -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCountVertices\"\n"
"                 label=\"Count Cell Vertices\"\n"
"                 name=\"CountCellVertices\">\n"
"      <Documentation long_help=\"Counts the number of vertices on each cell and appends a new cell data array.\"\n"
"                     short_help=\"Adds a new cell data array containing the number of vertices per cell.\">\n"
"        Adds a new cell data array containing the number of vertices per cell.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetOutputArrayName\"\n"
"                            name=\"OutputArrayName\"\n"
"                            label=\"Vertices Array Name\"\n"
"                            default_values=\"Vertex Count\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>\n"
"          This is the name of the array in the output containing the vertex counts.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End of CountVertices -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCurvatures\"\n"
"                 label=\"Curvature\"\n"
"                 name=\"Curvatures\">\n"
"      <Documentation long_help=\"This filter will compute the Gaussian or mean curvature of the mesh at each point.\"\n"
"                     short_help=\"Compute the curvature at each point.\">The\n"
"                     Curvature filter computes the curvature at each point in a\n"
"                     polygonal data set. This filter supports both Gaussian and\n"
"                     mean curvatures. ; the type can be selected from the\n"
"                     Curvature type menu button.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Curvature\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetInvertMeanCurvature\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InvertMeanCurvature\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the mean curvature\n"
"        calculation will be inverted. This is useful for meshes with\n"
"        inward-pointing normals.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCurvatureType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CurvatureType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Gaussian\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Mean\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property specifies which type of curvature to\n"
"        compute.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Curvatures -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkDataSetTriangleFilter\"\n"
"                 label=\"Tetrahedralize\"\n"
"                 name=\"DataSetTriangleFilter\">\n"
"      <Documentation long_help=\"This filter converts 3-d cells to tetrahedrons and polygons to triangles.  The output is always of type unstructured grid.\"\n"
"                     short_help=\"Convert to tetrahedrons and triangles.\">The\n"
"                     Tetrahedralize filter converts the 3D cells of any type of\n"
"                     dataset to tetrahedrons and the 2D ones to triangles. This\n"
"                     filter always produces unstructured grid\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Tetrahedralize\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End DataSetTriangleFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkDateToNumeric\" name=\"DateToNumeric\">\n"
"      <Documentation long_help=\"Convert string dates to numeric values.\"\n"
"                     short_help=\"Convert dates to numeric values.\">\n"
"                     The DateToNumeric filter looks at string arrays in\n"
"                     the input data object and if they contain dates that can be\n"
"                     converted numbers then they are converted to doubles and\n"
"                     added as additional arrays of the same type (point/cell/field).\n"
"                     The format string used to parse dates can be specified by the user.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"point_arrays\" attribute_type=\"point\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"cell_arrays\" attribute_type=\"cell\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"field_arrays\" attribute_type=\"field\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"vertex_arrays\" attribute_type=\"vertex\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"edge_arrays\" attribute_type=\"edge\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"row_arrays\" attribute_type=\"row\" optional=\"1\" />\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetDateFormat\"\n"
"                            default_values=\"%Y-%m-%d %H:%M:%S\"\n"
"                            name=\"DateFormat\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>\n"
"          This property specifies the first format to try using to parse dates. It\n"
"          follows the standards of std::get_time.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkFiniteElementFieldDistributor\"\n"
"                 label=\"Finite Element Field Distributor\"\n"
"                 name=\"FiniteElementFieldDistributor\">\n"
"      <Documentation long_help=\"The Finite Element Field Distributor filter (or the FEFD filter in short)\n"
"                                can now visualize Discontinuous Galerkin (DG) finite element fields of type H(Grad), H(Curl), and H(Div)\n"
"                                Note that all cells must be of the same type and the field data must\n"
"                                contain a vtkStringArray describing the DG fields, basis types, and\n"
"                                reference cells.\"\n"
"                     short_help=\"Distribute finite element fields.\">\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPartitionedDataSetCollection\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the Finite Element\n"
"          Field Distributor filter. The input dataset must have an Information Records\n"
"          string array in the field data.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <!-- End FiniteElementFieldDistributor -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGradientFilter\"\n"
"                 label=\"Gradient Of Unstructured DataSet\"\n"
"                 name=\"UnstructuredGradientLegacy\">\n"
"      <Deprecated deprecated_in=\"5.10\" to_remove_in=\"5.12\">\n"
"        This filter has been replaced by 'Gradient'.\n"
"        Please consider using that instead.\n"
"      </Deprecated>\n"
"      <Documentation long_help=\"Estimate the gradient for each point or cell in any type of dataset.\"\n"
"                     short_help=\"Compute gradients for any type of dataset.\">\n"
"                     The Gradient (Unstructured) filter estimates the gradient\n"
"                     vector at each point or cell. It operates on any type of\n"
"                     vtkDataSet, and the output is the same type as the input.\n"
"                     If the dataset is a vtkImageData, use the Gradient filter\n"
"                     instead; it will be more efficient for this type of dataset.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeneral.xml
static const char* const paraview_server_managerfilters_filtersgeneralInterface2 =
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" />\n"
"        <Documentation>\n"
"          This property specifies the input to the Gradient (Unstructured) filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Scalar Array\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property lists the name of the scalar array from which to compute the gradient.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeGradient\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeGradient\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When this flag is on, the gradient filter will compute the gradient of the input array.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetResultArrayName\"\n"
"                            default_values=\"Gradients\"\n"
"                            name=\"ResultArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          This property provides a name for the output array containing the gradient vectors.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetFasterApproximation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FasterApproximation\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When this flag is on, the gradient filter will provide a\n"
"          less accurate (but close) algorithm that performs fewer derivative\n"
"          calculations (and is therefore faster). The error contains some\n"
"          smoothing of the output data and some possible errors on the boundary.\n"
"          This parameter has no effect when performing the gradient of cell\n"
"          data or when the input grid is not a vtkUnstructuredGrid.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeDivergence\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeDivergence\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When this flag is on, the gradient filter will compute the divergence of a 3 component array.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetDivergenceArrayName\"\n"
"                            default_values=\"Divergence\"\n"
"                            name=\"DivergenceArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          This property provides a name for the output array containing the divergence vector.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeVorticity\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeVorticity\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When this flag is on, the gradient filter will compute the vorticity/curl of a 3 component array.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetVorticityArrayName\"\n"
"                            default_values=\"Vorticity\"\n"
"                            name=\"VorticityArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          This property provides a name for the output array containing the vorticity vector.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeQCriterion\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeQCriterion\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When this flag is on, the gradient filter will compute the Q-criterion of a 3 component array.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetQCriterionArrayName\"\n"
"                            default_values=\"Q-criterion\"\n"
"                            name=\"QCriterionArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          This property provides a name for the output array containing Q criterion.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetContributingCellOption\"\n"
"                         default_values=\"2\"\n"
"                         name=\"ContributingCellOption\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"All\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Patch\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Dataset Max\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify which dimensions of cells should be used when computing gradient\n"
"          quantities. Default is to use the dataset's maximum cell dimension.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetReplacementValueOption\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ReplacementValueOption\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Zero\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"NaN\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Data Type Min\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Data Type Max\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify what value to use for when the gradient quantities at a\n"
"          point can't be computed with the selected **ContributingCellOption**.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End UnstructuredGradientLegacy -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkImageDataToPointSet\"\n"
"                 label=\"Image Data to Point Set\"\n"
"                 name=\"ImageDataToPointSet\">\n"
"      <Documentation long_help=\"Converts an Image Data to a Point Set\"\n"
"      short_help=\"Converts an Image Data to a Point Set\">The Image\n"
"      Data to Point Set filter takes an image data (uniform\n"
"      rectilinear grid) object and outputs an equivalent structured\n"
"      grid (which as a type of point set). This brings the data to a\n"
"      broader category of data storage but only adds a small amount of\n"
"      overhead. This filter can be helpful in applying filters that\n"
"      expect or manipulate point coordinates.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGroupDataSetsFilter\"\n"
"                 label=\"Group Datasets\"\n"
"                 name=\"GroupDataSets\">\n"
"      <Documentation long_help=\"Group data sets.\"\n"
"                     short_help=\"Group multiple inputs into one collection.\">\n"
"                     Groups multiple datasets to create a multiblock\n"
"                     dataset</Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property indicates the the inputs to the Group\n"
"        Datasets filter.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"OutputType\"\n"
"        command=\"SetOutputType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"13\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"vtkMultiBlockDataSet\" value=\"13\" />\n"
"          <Entry text=\"vtkPartitionedDataSet\" value=\"37\" />\n"
"          <Entry text=\"vtkPartitionedDataSetCollection\" value=\"38\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify the output type in which to group the inputs.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"BlockNames\"\n"
"        command=\"SetInputName\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        clean_command=\"ClearInputNames\">\n"
"        <Documentation>\n"
"          Specify names to use for each input.\n"
"        </Documentation>\n"
"        <RegistrationNamesDomain name=\"names_list\" registration_group=\"sources\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Proxies\" />\n"
"          </RequiredProperties>\n"
"        </RegistrationNamesDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Block Names\">\n"
"        <Property name=\"BlockNames\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"            mode=\"visibility\"\n"
"            property=\"OutputType\"\n"
"            value=\"37\"\n"
"            inverse=\"1\" />\n"
"        </Hints>\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"1\" />\n"
"      </Hints>\n"
"      <!-- End GroupDataSets -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGroupTimeStepsFilter\"\n"
"                 label=\"Group Time Steps\"\n"
"                 name=\"GroupTimeSteps\">\n"
"      <Documentation long_help=\"Group data set over time.\"\n"
"                     short_help=\"Group all the time steps in the input into one collection with no time.\">\n"
"                     Groups all the time steps in the input into a collection with no time information.\n"
"                     Each timestep will become one block of the output.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>This property specifies the input dataset.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"1\" />\n"
"      </Hints>\n"
"      <!-- End GroupTimeSteps -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <!-- this class is not compiled  in VTK; need to check if it is indeed\n"
"         relevant at all\n"
"    <SourceProxy class=\"vtkNonOverlappingAMRLevelIdScalars\"\n"
"                 label=\"Level Scalars(Non-Overlapping AMR)\"\n"
"                 name=\"NonOverlappingLevelIdScalars\">\n"
"      <Documentation long_help=\"The Level Scalars filter uses colors to show levels of a hierarchical dataset.\"\n"
"                     short_help=\"Generate point scalars from level.\">The Level\n"
"                     Scalars filter uses colors to show levels of a\n"
"                     hierarchical dataset.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkNonOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Level Scalars\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"    -->\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkOverlappingAMRLevelIdScalars\"\n"
"                 label=\"Level Scalars(Overlapping AMR)\"\n"
"                 name=\"OverlappingLevelIdScalars\">\n"
"      <Documentation long_help=\"The Level Scalars filter uses colors to show levels of a hierarchical dataset.\"\n"
"                     short_help=\"Generate point scalars from level.\">The Level\n"
"                     Scalars filter uses colors to show levels of a\n"
"                     hierarchical dataset.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkOverlappingAMR\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Level Scalars\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End GroupIdScalars -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPassSelectedArrays\" name=\"PassArrays\">\n"
"      <Documentation long_help=\"Pass specified point and cell data arrays.\"\n"
"                     short_help=\"Pass specified point and cell data arrays.\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeneral.xml
static const char* const paraview_server_managerfilters_filtersgeneralInterface3 =
"                     The Pass Arrays filter makes a shallow copy of the output\n"
"                     data object from the input data object except for passing\n"
"                     only the arrays specified to the output from the\n"
"                     input.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"point_arrays\" attribute_type=\"point\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"cell_arrays\" attribute_type=\"cell\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"field_arrays\" attribute_type=\"field\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"vertex_arrays\" attribute_type=\"vertex\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"edge_arrays\" attribute_type=\"edge\" optional=\"1\" />\n"
"        <InputArrayDomain name=\"row_arrays\" attribute_type=\"row\" optional=\"1\" />\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty\n"
"          name=\"PointDataArrays\"\n"
"          command=\"GetPointDataArraySelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"point_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the point data arrays to pass through\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"point\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"          name=\"CellDataArrays\"\n"
"          command=\"GetCellDataArraySelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"cell_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the cell data arrays to pass through\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"cell\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"          name=\"FieldDataArrays\"\n"
"          command=\"GetFieldDataArraySelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"field_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the field data arrays to pass through\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"field\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"          name=\"VertexDataArrays\"\n"
"          command=\"GetVertexDataArraySelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"vertex_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the vertex data arrays to pass through\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"vertex\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"          name=\"EdgeDataArrays\"\n"
"          command=\"GetEdgeDataArraySelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"edge_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the edge data arrays to pass through\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"edge\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"          name=\"RowDataArrays\"\n"
"          command=\"GetRowDataArraySelection\"\n"
"          number_of_elements_per_command=\"1\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"          <ArrayListDomain name=\"array_list\" input_domain_name=\"row_arrays\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            Select the row data arrays to pass through\n"
"          </Documentation>\n"
"          <Hints>\n"
"            <ArraySelectionWidget icon_type=\"row\"/>\n"
"          </Hints>\n"
"      </StringVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPassThrough\" label=\"Pass Through\" name=\"PassThrough\">\n"
"      <Documentation>\n"
"        A simple pass-through filter that doesn't transform data in any way.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the filter.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkPassThrough\"\n"
"                 label=\"Plot Data\"\n"
"                 name=\"PlotAttributes\">\n"
"      <Documentation short_help=\"Plot data arrays from the input\">This filter\n"
"      prepare arbitrary data to be plotted in any of the plots. By default the\n"
"      data is shown in a XY line plot.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <View type=\"XYChartView\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"      <!-- End of PlotAttributes -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPassThrough\"\n"
"                 label=\"Scatter Plot\"\n"
"                 name=\"ScatterPlot\">\n"
"      <Documentation long_help=\"Creates a scatter plot from a dataset.\"\n"
"                     short_help=\"Creates a scatter plot from a dataset.\">This\n"
"                     filter creates a scatter plot from a\n"
"                     dataset.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"PlotMatrixView\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"      <!-- End ScatterPlot -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ============================================================================ -->\n"
"    <SourceProxy class=\"vtkQuadraturePointInterpolator\"\n"
"                 label=\"Interpolate to Quadrature Points\"\n"
"                 name=\"QuadraturePointInterpolator\">\n"
"      <Documentation long_help=\"Create scalar/vector data arrays interpolated to quadrature points.\"\n"
"                     short_help=\"Create scalar/vector data arrays interpolated to quadrature points.\">\n"
"      \"Create scalar/vector data arrays interpolated to quadrature\n"
"      points.\"</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\" name=\"input_array\" />\n"
"        <Documentation>This property specifies the input of the filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"QuadratureSchemeDefinition\"\n"
"                            label=\"Quadrature Scheme Def\"\n"
"                            number_of_elements=\"5\">\n"
"        <Documentation>Specifies the offset array from which we interpolate\n"
"        values to quadrature points.</Documentation>\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         key_locations=\"vtkQuadratureSchemeDefinition\"\n"
"                         key_names=\"DICTIONARY\"\n"
"                         key_strategies=\"NEED_KEY\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ============================================================================ -->\n"
"    <SourceProxy class=\"vtkQuadraturePointsGenerator\"\n"
"                 label=\"Generate Quadrature Points\"\n"
"                 name=\"QuadraturePointsGenerator\">\n"
"      <Documentation long_help=\"Create a point set with data at quadrature points.\"\n"
"                     short_help=\"Create a point set with data at quadrature points.\">\n"
"                     \"Create a point set with data at quadrature\n"
"                     points.\"</Documentation>\n"
"      <OutputPort index=\"0\" name=\"Quadrature Points\" />\n"
"      <InputProperty command=\"SetInputConnection\" name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\" name=\"input_array\" />\n"
"        <Documentation>This property specifies the input of the filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- Source Array-->\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"QuadratureSchemeDefinition\"\n"
"                            label=\"Quadrature Scheme Def\"\n"
"                            number_of_elements=\"5\">\n"
"        <Documentation>Specifies the offset array from which we generate\n"
"        quadrature points.</Documentation>\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         key_locations=\"vtkQuadratureSchemeDefinition\"\n"
"                         key_names=\"DICTIONARY\"\n"
"                         key_strategies=\"NEED_KEY\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ============================================================================ -->\n"
"    <SourceProxy class=\"vtkQuadratureSchemeDictionaryGenerator\"\n"
"                 label=\"Generate Quadrature Scheme Dictionary\"\n"
"                 name=\"QuadratureSchemeDictionaryGenerator\">\n"
"      <Documentation long_help=\"Generate quadrature scheme dictionaries in data sets that do not have them.\"\n"
"                     short_help=\"Generate quadrature scheme dictionaries in data sets that do not have them.\">\n"
"      Generate quadrature scheme dictionaries in data sets that do not have\n"
"      them.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input of the\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkRandomAttributeGenerator\"\n"
"                 label=\"Random Attributes\"\n"
"                 name=\"RandomAttributeGenerator\">\n"
"      <Documentation long_help=\n"
"                     \"This filter creates a new random attribute\n"
"                      array and sets it as the default array.\"\n"
"                     short_help=\"Creates random data attributes.\">\n"
"        The Random Attributes filter creates random attributes\n"
"        including scalars and vectors. These attributes can be\n"
"        generated as point data or cell data. The generation of each\n"
"        component is normalized between a user-specified minimum and\n"
"        maximum value.\n"
"\n"
"        This filter provides that capability to specify the data type\n"
"        of the attributes and the range for each of the components.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeneral.xml
static const char* const paraview_server_managerfilters_filtersgeneralInterface4 =
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Random Scalars\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty\n"
"          name=\"DataType\"\n"
"          command=\"SetDataType\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"3\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"1\" text=\"Bit\"/>\n"
"          <Entry value=\"2\" text=\"Char\"/>\n"
"          <Entry value=\"3\" text=\"UnsignedChar\"/>\n"
"          <Entry value=\"4\" text=\"Short\"/>\n"
"          <Entry value=\"5\" text=\"UnsignedShort\"/>\n"
"          <Entry value=\"6\" text=\"Int\"/>\n"
"          <Entry value=\"7\" text=\"UnsignedInt\"/>\n"
"          <Entry value=\"8\" text=\"Long\"/>\n"
"          <Entry value=\"9\" text=\"UnsignedLong\"/>\n"
"          <Entry value=\"10\" text=\"Float\"/>\n"
"          <Entry value=\"11\" text=\"Double\"/>\n"
"          <Entry value=\"12\" text=\"vtkIdType\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify the type of array to create (all components of this\n"
"          array are of this type). This holds true for all arrays that\n"
"          are created.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetComponentRange\"\n"
"                            default_values=\"0 255\"\n"
"                            name=\"ComponentRange\"\n"
"                            number_of_elements=\"2\">\n"
"        <Documentation>Set the range values (minimum and maximum) for\n"
"        each component. This applies to all data that is\n"
"        generated.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"AttributesConstantPerBlock\"\n"
"          command=\"SetAttributesConstantPerBlock\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>Indicate that the generated attributes are\n"
"        constant within a block. This can be used to highlight\n"
"        blocks in a composite dataset.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"GeneratePointScalars\"\n"
"          command=\"SetGeneratePointScalars\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>Indicate that point scalars are to be\n"
"        generated.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"GeneratePointVectors\"\n"
"          command=\"SetGeneratePointVectors\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>Indicate that point vectors are to be\n"
"        generated.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"GenerateCellScalars\"\n"
"          command=\"SetGenerateCellScalars\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>Indicate that point scalars are to be\n"
"        generated.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"GenerateCellVectors\"\n"
"          command=\"SetGenerateCellVectors\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>Indicate that point vectors are to be\n"
"        generated.</Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkRectilinearGridToPointSet\"\n"
"                 label=\"Rectilinear Data to Point Set\"\n"
"                 name=\"RectilinearGridToPointSet\">\n"
"      <Documentation short_help=\"Converts a rectilinear grid to an\n"
"      equivalend structured grid\">The Rectilinear Grid to Point Set\n"
"      filter takes an rectilinear grid object and outputs an\n"
"      equivalent Structured Grid (which is a type of point set). This\n"
"      brings the data to a broader category of data storage but only\n"
"      adds a small amount of overhead. This filter can be helpful in\n"
"      applying filters that expect or manipulate point\n"
"      coordinates.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkRectilinearGrid\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkShrinkFilter\"\n"
"                 label=\"Shrink\"\n"
"                 name=\"ShrinkFilter\">\n"
"      <Documentation long_help=\"This filter shrinks each input cell so they pull away from their neighbors.\"\n"
"                     short_help=\"Shrink each input cell.\">The Shrink filter\n"
"                     causes the individual cells of a dataset to break apart\n"
"                     from each other by moving each cell's points toward the\n"
"                     centroid of the cell. (The centroid of a cell is the\n"
"                     average position of its points.) This filter operates on\n"
"                     any type of dataset and produces unstructured grid\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Shrink\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetShrinkFactor\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"ShrinkFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property determines how far the points\n"
"        will move. A value of 0 positions the points at the centroid of the\n"
"        cell; a value of 1 leaves them at their original\n"
"        positions.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End ShrinkFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkMergeTimeFilter\"\n"
"                 label=\"Merge Time\"\n"
"                 name=\"MergeTime\">\n"
"    <Documentation short_help=\"Union or intersection of inputs timesteps, without duplicate\">\n"
"        Merge all inputs timestep list. Remove duplicate using a Tolerance,\n"
"        either absolute or relative. The resulting timesteps list can be an union or an\n"
"    intersection of the inputs ones.</Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property indicates the the inputs to the Group\n"
"        Datasets filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty\n"
"          name=\"RelativeTolerance\"\n"
"          command=\"SetUseRelativeTolerance\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"        <Documentation>Use Relative (resp. absolute) tolerance to determine if timesteps are duplicate.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"Tolerance\"\n"
"          command=\"SetTolerance\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0.00001\">\n"
"        <Documentation>Tolerance used to determine if timesteps are duplicate.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"Intersection\"\n"
"          command=\"SetUseIntersection\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"        <Documentation>Keep the intersection instead of the union of timesteps from each input.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <!-- End vtkSynchronizeTimeFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkSynchronizeTimeFilter\"\n"
"                 label=\"Synchronize Time\"\n"
"                 name=\"SynchronizeTime\">\n"
"      <Documentation short_help=\"Set 'close' time step values from the source to the input\">\n"
"        Synchronize time step values in the first input (Input) to time step\n"
"        values in the second input (Source) that are considered close enough.\n"
"        The outputted data set is from the first input and the number of\n"
"        output time steps is also equal to the number of time steps in\n"
"        the first input. Time step values in the first input that are\n"
"        \"close\" to time step values in the second input are replaced\n"
"        with the value from the second input. Close is determined to\n"
"        be if the difference is less than RelativeTolerance multiplied\n"
"        by the time range of the first input.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\" name=\"DataToPass\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the dataset whose geometry and\n"
"        fields will be output.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetSourceConnection\" name=\"TimeToSync\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the dataset from which to obtain\n"
"        the time step values.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"RelativeTolerance\"\n"
"          command=\"SetRelativeTolerance\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0.00001\"\n"
"          panel_visibility=\"advanced\">\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility RelativeTolerance=\"1\" />\n"
"      </Hints>\n"
"      <!-- End vtkSynchronizeTimeFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTableToPolyData\"\n"
"                 label=\"Table To Points\"\n"
"                 name=\"TableToPolyData\">\n"
"      <Documentation long_help=\"Converts table to set of points.\"\n"
"                     short_help=\"Converts table to set of points.\">The\n"
"                     TableToPolyData filter converts a vtkTable to a set of\n"
"                     points in a vtkPolyData. One must specifies the columns in\n"
"                     the input table to use as the X, Y and Z coordinates for\n"
"                     the points in the output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <InputArrayDomain attribute_type=\"row\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input..</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetXColumn\"\n"
"                            name=\"XColumn\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property specifies which data array is going to be\n"
"        used as the X coordinate in the generated polydata\n"
"        dataset.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetYColumn\"\n"
"                            name=\"YColumn\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property specifies which data array is going to be\n"
"        used as the Y coordinate in the generated polydata\n"
"        dataset.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetZColumn\"\n"
"                            name=\"ZColumn\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property specifies which data array is going to be\n"
"        used as the Z coordinate in the generated polydata\n"
"        dataset.</Documentation>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeneral.xml
static const char* const paraview_server_managerfilters_filtersgeneralInterface5 =
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetCreate2DPoints\"\n"
"                         default_values=\"0\"\n"
"                         label=\"2D Points\"\n"
"                         name=\"Create2DPoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Specify whether the points of the polydata are 3D or 2D.\n"
"        If this is set to true then the Z Column will be ignored and the z\n"
"        value of each point on the polydata will be set to 0. By default this\n"
"        will be off.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPreserveCoordinateColumnsAsDataArrays\"\n"
"                         default_values=\"0\"\n"
"                         name=\"KeepAllDataArrays\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Allow user to keep columns specified as X,Y,Z as Data\n"
"        arrays. By default this will be off.</Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTableToStructuredGrid\"\n"
"                 label=\"Table To Structured Grid\"\n"
"                 name=\"TableToStructuredGrid\">\n"
"      <Documentation long_help=\"Converts to table to structured grid.\"\n"
"                     short_help=\"Converts to table to structured grid.\">The\n"
"                     TableToStructuredGrid filter converts a vtkTable to a\n"
"                     vtkStructuredGrid. One must specifies the columns in the\n"
"                     input table to use as the X, Y and Z coordinates for the\n"
"                     points in the output, and the whole\n"
"                     extent.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <InputArrayDomain attribute_type=\"row\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input..</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetWholeExtent\"\n"
"                         default_values=\"0 0 0 0 0 0\"\n"
"                         name=\"WholeExtent\"\n"
"                         number_of_elements=\"6\">\n"
"        <!--\n"
"        <ExtentDomain name=\"extent\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ExtentDomain>\n"
"        <Documentation>\n"
"          This property gives the minimum and maximum point index (extent) in\n"
"          each dimension for the output dataset.\n"
"        </Documentation>\n"
"        -->\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetXColumn\"\n"
"                            name=\"XColumn\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property specifies which data array is going to be\n"
"        used as the X coordinate in the generated polydata\n"
"        dataset.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetYColumn\"\n"
"                            name=\"YColumn\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property specifies which data array is going to be\n"
"        used as the Y coordinate in the generated polydata\n"
"        dataset.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetZColumn\"\n"
"                            name=\"ZColumn\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property specifies which data array is going to be\n"
"        used as the Z coordinate in the generated polydata\n"
"        dataset.</Documentation>\n"
"      </StringVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <!-- Legacy filter (renamed from \"Particle Pathlines\" to handle temporal\n"
"         particle data. We should consider writing a generic \"sweep\" filter\n"
"         that handles temporal particles, lines and surfaces.\n"
"     - Leo 12/30/2012  -->\n"
"\n"
"    <SourceProxy name=\"ParticlePathLines\"\n"
"        class=\"vtkTemporalPathLineFilter\"\n"
"        label=\"Temporal Particles To Pathlines\">\n"
"      <Documentation\n"
"        long_help=\"Creates polylines representing pathlines of animating particles\"\n"
"        short_help=\"Particle Pathlines\">\n"
"        Particle Pathlines takes any dataset as input, it extracts the\n"
"        point locations of all cells over time to build up a polyline\n"
"        trail.  The point number (index) is used as the 'key' if the points\n"
"        are randomly changing their respective order in the points list,\n"
"        then you should specify a scalar that represents the unique\n"
"        ID. This is intended to handle the output of a filter such as the\n"
"        TemporalStreamTracer.\n"
"      </Documentation>\n"
"\n"
"      <OutputPort name=\"Pathlines\" index=\"0\" />\n"
"      <OutputPort name=\"Particles\" index=\"1\" />\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPointSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"              optional=\"1\"/>\n"
"        <Documentation>\n"
"          The input cells to create pathlines for.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <InputProperty name=\"Selection\" command=\"SetSelectionConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Hints>\n"
"          <Optional />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Set a second input, which is a selection. Particles with the same\n"
"          Id in the selection as the primary input will be chosen for\n"
"          pathlines Note that you must have the same IdChannelArray in the\n"
"          selection as the input\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"MaskPoints\"\n"
"                         command=\"SetMaskPoints\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"100\" >\n"
"        <Documentation>\n"
"          Set the number of particles to track as a ratio of the input.\n"
"          Example: setting MaskPoints to 10 will track every 10th point.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"MaxTrackLength\"\n"
"                         command=\"SetMaxTrackLength\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"25\" >\n"
"        <Documentation>\n"
"          If the Particles being traced animate for a long time, the trails\n"
"          or traces will become long and stringy. Setting the\n"
"          MaxTraceTimeLength will limit how much of the trace is\n"
"          displayed. Tracks longer then the Max will disappear and the\n"
"          trace will appear like a snake of fixed length which progresses\n"
"          as the particle moves.  This length is given with respect to\n"
"          timesteps.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MaxStepDistance\"\n"
"                            command=\"SetMaxStepDistance\"\n"
"                            number_of_elements=\"3\"\n"
"                            animateable=\"1\"\n"
"                            default_values=\"1.0 1.0 1.0\" >\n"
"          <DoubleRangeDomain name=\"range\"/>\n"
"          <Documentation>\n"
"            If a particle disappears from one end of a simulation and\n"
"            reappears on the other side, the track left will be\n"
"            unrepresentative.  Set a MaxStepDistance{x,y,z} which acts as a\n"
"            threshold above which if a step occurs larger than the value (for\n"
"            the dimension), the track will be dropped and restarted after the\n"
"            step. (ie the part before the wrap around will be dropped and the\n"
"            newer part kept).\n"
"          </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"IdChannelArray\"\n"
"                            command=\"SetIdChannelArray\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"Global or Local IDs\"\n"
"                            animateable=\"0\">\n"
"            <ArrayListDomain\n"
"              name=\"array_list\" attribute_type=\"Scalars\"\n"
"              none_string=\"Global or Local IDs\">\n"
"              <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"              </RequiredProperties>\n"
"            </ArrayListDomain>\n"
"          <Documentation>\n"
"            Specify the name of a scalar array which will be used to fetch\n"
"            the index of each point. This is necessary only if the particles\n"
"            change position (Id order) on each time step. The Id can be used\n"
"            to identify particles at each step and hence track them properly.\n"
"            If this array is set to \"Global or Local IDs\", the global point\n"
"            ids are used if they exist or the point index is otherwise.\n"
"          </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetBackwardTime\"\n"
"                     panel_visibility=\"advanced\"\n"
"                     default_values=\"0\"\n"
"                     name=\"BackwardTime\"\n"
"                     number_of_elements=\"1\">\n"
"          <BooleanDomain name=\"bool\" />\n"
"          <Documentation>Compute particle path lines when time goes backward.\n"
"          </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End TemporalPathLineFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTemporalStatistics\"\n"
"                 label=\"Temporal Statistics\"\n"
"                 name=\"TemporalStatistics\">\n"
"      <Documentation long_help=\"Loads in all time steps of a data set and computes some statistics about how each point and cell variable changes over time.\"\n"
"                     short_help=\"Compute Temporal Statistics\">Given an input\n"
"                     that changes over time, vtkTemporalStatistics looks at the\n"
"                     data for each time step and computes some statistical\n"
"                     information of how a point or cell variable changes over\n"
"                     time. For example, vtkTemporalStatistics can compute the\n"
"                     average value of \"pressure\" over time of each point. Note\n"
"                     that this filter will require the upstream filter to be\n"
"                     run on every time step that it reports that it can\n"
"                     compute. This may be a time consuming operation.\n"
"                     vtkTemporalStatistics ignores the temporal spacing. Each\n"
"                     timestep will be weighted the same regardless of how long\n"
"                     of an interval it is to the next timestep. Thus, the\n"
"                     average statistic may be quite different from an\n"
"                     integration of the variable if the time spacing\n"
"                     varies.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Temporal Statistics\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetComputeAverage\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeAverage\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Compute the average of each point and cell variable over\n"
"        time.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeMinimum\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeMinimum\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Compute the minimum of each point and cell variable over\n"
"        time.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeMaximum\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeMaximum\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Compute the maximum of each point and cell variable over\n"
"        time.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeStandardDeviation\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeStandardDeviation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Compute the standard deviation of each point and cell\n"
"        variable over time.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <WarnOnCreate title=\"Potentially slow operation\">\n"
"          **Temporal Statistics** filter needs to process all timesteps\n"
"          available in your dataset and can potentially take a long time to complete.\n"
"          Do you want to continue?\n"
"        </WarnOnCreate>\n"
"      </Hints>\n"
"      <!-- End TemporalStatistics -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeneral.xml
static const char* const paraview_server_managerfilters_filtersgeneralInterface6 =
"    <SourceProxy class=\"vtkTessellatorFilter\"\n"
"                 label=\"Tessellate\"\n"
"                 name=\"TessellatorFilter\">\n"
"      <Documentation long_help=\"Tessellate nonlinear curves, surfaces, and volumes with lines, triangles, and tetrahedra.\"\n"
"                     short_help=\"Polygonalize a mesh.\">The Tessellate filter\n"
"                     tessellates cells with nonlinear geometry and/or scalar\n"
"                     fields into a simplicial complex with linearly\n"
"                     interpolated field values that more closely approximate\n"
"                     the original field. This is useful for datasets containing\n"
"                     quadratic cells.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Tessellate\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetOutputDimension\"\n"
"                         default_values=\"3\"\n"
"                         name=\"OutputDimension\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"3\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property sets the maximum\n"
"        dimensionality of the output tessellation. When the value of this\n"
"        property is 3, 3D cells produce tetrahedra, 2D cells produce triangles,\n"
"        and 1D cells produce line segments. When the value is 2, 3D cells will\n"
"        have their boundaries tessellated with triangles. When the value is 1,\n"
"        all cells except points produce line segments.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetChordError\"\n"
"                            default_values=\"1e-3\"\n"
"                            name=\"ChordError\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property controls the maximum chord error allowed\n"
"        at any edge midpoint in the output tessellation. The chord error is\n"
"        measured as the distance between the midpoint of any output edge and\n"
"        the original nonlinear geometry.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFieldCriterion\"\n"
"                            label=\"Field Error\"\n"
"                            name=\"FieldError2\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\">\n"
"        <Documentation>This property controls the maximum field error allowed\n"
"        at any edge midpoint in the output tessellation. The field error is\n"
"        measured as the difference between a field value at the midpoint of an\n"
"        output edge and the value of the corresponding field in the original\n"
"        nonlinear geometry.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaximumNumberOfSubdivisions\"\n"
"                         default_values=\"3\"\n"
"                         label=\"Maximum Number of Subdivisions\"\n"
"                         name=\"MaximumNumberOfSubdivisions\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"8\"\n"
"                        min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the maximum number of times an\n"
"        edge may be subdivided. Increasing this number allows further\n"
"        refinement but can drastically increase the computational and storage\n"
"        requirements, especially when the value of the OutputDimension property\n"
"        is 3.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMergePoints\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MergePoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is set to 1, coincident\n"
"        vertices will be merged after tessellation has occurred. Only geometry\n"
"        is considered during the merge and the first vertex encountered is the\n"
"        one whose point attributes will be used. Any discontinuities in point\n"
"        fields will be lost. On the other hand, many operations, such as\n"
"        streamline generation, require coincident vertices to be merged. Toggle\n"
"        whether to merge coincident vertices.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Property command=\"ResetFieldCriteria\"\n"
"                name=\"ResetFieldCriteria\"></Property>\n"
"      <!-- End TessellatorFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTransformFilter\"\n"
"                 label=\"Transform\"\n"
"                 name=\"TransformFilter\">\n"
"      <Documentation long_help=\"This filter applies transformation to the polygons.\"\n"
"                     short_help=\"Transform polygonal data.\">The Transform\n"
"                     filter allows you to specify the position, size, and\n"
"                     orientation of polygonal, unstructured grid, and\n"
"                     curvilinear data sets.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     panel_visibility=\"default\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPointSet\" />\n"
"          <DataType value=\"vtkImageData\" />\n"
"          <DataType value=\"vtkRectilinearGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Transform\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <ProxyProperty command=\"SetTransform\"\n"
"                     name=\"Transform\"\n"
"                     panel_visibility=\"default\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"transforms\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"extended_sources\"\n"
"                 name=\"Transform3\" />\n"
"          <Proxy group=\"extended_sources\"\n"
"                 name=\"RotateAroundOriginTransform\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>The values in this property allow you to specify the\n"
"        transform (translation, rotation, and scaling) to apply to the input\n"
"        dataset.</Documentation>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty command=\"SetTransformAllInputVectors\"\n"
"                         default_values=\"1\"\n"
"                         name=\"TransformAllInputVectors\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation> If off, only Vectors and Normals will be transformed.\n"
"        If on, all 3-component data arrays (considered as 3D vectors) will be transformed.\n"
"        All other arrays won't be flipped and will only be copied.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End TransformFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy\n"
"        name=\"PerlinNoise\"\n"
"        class=\"vtkSampleImplicitFunctionFilter\"\n"
"        label=\"Perlin Noise\">\n"
"      <Documentation\n"
"          long_help=\"Generate a Perlin noise point data array evaluated at points in a dataset.\"\n"
"          short_help=\"Generate Perlin noise on a dataset.\">\n"
"          Generates a Perlin noise point data array according to a deterministic\n"
"          pseudo-random noise function based on the location of each point in the dataset.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"          name=\"Input\"\n"
"          command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <ProxyProperty\n"
"          name=\"ImplicitFunction\"\n"
"          command=\"SetImplicitFunction\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"implicit_functions\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"implicit_functions\"\n"
"                 name=\"PerlinNoise\" />\n"
"        </ProxyListDomain>\n"
"      </ProxyProperty>\n"
"      <StringVectorProperty\n"
"          name=\"ScalarArrayName\"\n"
"          command=\"SetScalarArrayName\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"PerlinNoise\">\n"
"        <Documentation>\n"
"          Sets the name of the output noise array.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"ComputeGradients\"\n"
"          command=\"SetComputeGradients\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\"\n"
"          panel_visibility=\"never\">\n"
"        <Documentation>\n"
"          The gradient is not implemented for Perlin noise.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkWarpScalar\"\n"
"                 label=\"Warp By Scalar\"\n"
"                 name=\"WarpScalar\">\n"
"      <Documentation long_help=\"This filter moves point coordinates along a vector scaled by a point attribute.  It can be used to produce carpet plots.\"\n"
"                     short_help=\"Warp point scalars into a spatial elevation plot.\">\n"
"                     The Warp (scalar) filter translates the points of the\n"
"                     input data set along a vector by a distance determined by\n"
"                     the specified scalars. This filter operates on polygonal,\n"
"                     curvilinear, and unstructured grid data sets containing\n"
"                     single-component scalar arrays. Because it only changes\n"
"                     the positions of the points, the output data set type is\n"
"                     the same as that of the input. Any scalars in the input\n"
"                     dataset are copied to the output, so the data can be\n"
"                     colored by them.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPointSet\" />\n"
"          <DataType value=\"vtkImageData\" />\n"
"          <DataType value=\"vtkRectilinearGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"        <Documentation>This property specifies the input to the Warp (scalar)\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Scalars\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\"\n"
"                            panel_visibility=\"default\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property contains the name of the scalar array by\n"
"        which to warp the dataset.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetScaleFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"ScaleFactor\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <BoundsDomain name=\"range\" mode=\"array_scaled_extent\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ArraySelection\" name=\"SelectInputScalars\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Hints>\n"
"          <NoDefault/>\n"
"        </Hints>\n"
"        <Documentation>The scalar value at a given point is multiplied by the\n"
"        value of this property to determine the magnitude of the change vector\n"
"        for that point.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetNormal\"\n"
"                            default_values=\"0 0 1\"\n"
"                            name=\"Normal\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The values of this property specify the direction along\n"
"        which to warp the dataset if any normals contained in the input dataset\n"
"        are not being used for this purpose. (See the UseNormal\n"
"        property.)</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseNormal\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseNormal\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If point normals are present in the dataset, the value\n"
"        of this property toggles whether to use a single normal value (value =\n"
"        1) or the normals from the dataset (value = 0).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetXYPlane\"\n"
"                         default_values=\"0\"\n"
"                         label=\"XY Plane\"\n"
"                         name=\"XYPlane\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is 1, then the\n"
"        Z-coordinates from the input are considered to be the scalar values,\n"
"        and the displacement is along the Z axis. This is useful for creating\n"
"        carpet plots.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End WarpScalar -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeneral.xml
static const char* const paraview_server_managerfilters_filtersgeneralInterface7 =
"    <SourceProxy class=\"vtkWarpVector\"\n"
"                 label=\"Warp By Vector\"\n"
"                 name=\"WarpVector\">\n"
"      <Documentation long_help=\"This filter displaces point coordinates along a vector attribute. It is useful for showing mechanical deformation.\"\n"
"                     short_help=\"Warp (displace) the geometry with a given vector field.\">\n"
"                     The Warp (vector) filter translates the points of the\n"
"                     input dataset using a specified vector array. The vector\n"
"                     array chosen specifies a vector per point in the input.\n"
"                     Each point is translated along its vector by a given scale\n"
"                     factor. This filter operates on polygonal, curvilinear,\n"
"                     and unstructured grid datasets. Because this filter only\n"
"                     changes the positions of the points, the output dataset\n"
"                     type is the same as that of the input.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPointSet\" />\n"
"          <DataType value=\"vtkImageData\" />\n"
"          <DataType value=\"vtkRectilinearGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"3\" />\n"
"        <Documentation>This property specifies the input to the Warp (vector)\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vectors\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\"\n"
"                            panel_visibility=\"default\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>The value of this property contains the name of the\n"
"        vector array by which to warp the dataset's point\n"
"        coordinates.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScaleFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"ScaleFactor\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <BoundsDomain name=\"range\" mode=\"array_scaled_extent\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"ArraySelection\" name=\"SelectInputVectors\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Hints>\n"
"          <NoDefault/>\n"
"        </Hints>\n"
"        <Documentation>Each component of the selected vector array will be\n"
"        multiplied by the value of this property before being used to compute\n"
"        new point coordinates.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End WarpVector -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkYoungsMaterialInterface\"\n"
"                 label=\"Youngs Material Interface\"\n"
"                 name=\"YoungsMaterialInterface\">\n"
"      <Documentation long_help=\"Computes linear material interfaces in 2D or 3D mixed cells produced by eulerian or ALE simulation codes\"\n"
"                     short_help=\"Youngs material interface reconstruction\">\n"
"                     Computes linear material interfaces in 2D or 3D mixed\n"
"                     cells produced by Eulerian or ALE simulation\n"
"                     codes</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array1\"\n"
"                          number_of_components=\"1\"></InputArrayDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array3\"\n"
"                          number_of_components=\"3\"\n"
"                          optional=\"1\"></InputArrayDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetInverseNormal\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InverseNormal\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetReverseMaterialOrder\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ReverseMaterialOrder\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOnionPeel\"\n"
"                         default_values=\"1\"\n"
"                         name=\"OnionPeel\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAxisSymetric\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AxisSymetric\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFillMaterial\"\n"
"                         default_values=\"1\"\n"
"                         name=\"FillMaterial\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseFractionAsDistance\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseFractionAsDistance\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetVolumeFractionRange\"\n"
"                            default_values=\"0.01 0.99\"\n"
"                            name=\"VolumeFractionRange\"\n"
"                            number_of_elements=\"2\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"GetNumberOfDomains\"\n"
"                         information_only=\"1\"\n"
"                         name=\"NumberOfDomainsInformation\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetMaterialVolumeFractionArray\"\n"
"                            name=\"VolumeFractionArrays\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfMaterials\"\n"
"                            use_index=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"input_array1\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetMaterialNormalArray\"\n"
"                            element_types=\"2 2\"\n"
"                            name=\"NormalArrays\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         none_string=\"None\"\n"
"                         input_domain_name=\"input_array3\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetMaterialOrderingArray\"\n"
"                            element_types=\"2 2\"\n"
"                            name=\"OrderingArrays\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         none_string=\"None\"\n"
"                         input_domain_name=\"input_array1\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <PropertyGroup panel_widget=\"YoungsMaterial\">\n"
"        <Property name=\"VolumeFractionArrays\" function=\"VolumeFractionArrays\" />\n"
"        <Property name=\"OrderingArrays\" function=\"OrderingArrays\" />\n"
"        <Property name=\"NormalArrays\" function=\"NormalArrays\" />\n"
"      </PropertyGroup>\n"
"      <!-- End of YoungsMaterialInterface -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkDeflectNormals\"\n"
"                 label=\"Deflect Normals\"\n"
"                 name=\"DeflectNormals\">\n"
"      <Documentation long_help=\"This filter deflects normal orientation along a vector attribute.\"\n"
"                     short_help=\"Deflects the normals with a given vector field.\" />\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"3\" />\n"
"        <Documentation>This property specifies the input to the filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vectors\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\"\n"
"                            panel_visibility=\"default\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>The value of this property contains the name of the\n"
"        vector array by which to deflect the dataset's normals.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScaleFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"ScaleFactor\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\"\n"
"                            animateable=\"1\">\n"
"        <Documentation>Normal deflection factor.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseUserNormal\"\n"
"                         name=\"UseUserNormal\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Use a user specified normal instead of the existing point normals.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetUserNormal\"\n"
"                            default_values=\"0 0 1\"\n"
"                            name=\"UserNormal\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>Specify the user constant normal.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End WarpVector -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAnimateModes\" name=\"AnimateModes\" label=\"Animate Modes\">\n"
"      <Documentation short_help=\"Animate mode shapes\">\n"
"         For certain file formats, like Exodus, simulation codes may use the timesteps\n"
"         and time values to represent quantities other than time. For example, for\n"
"         modal analysis, the natural frequency for each mode may be used as the time\n"
"         value. vtkAnimateModes can be used to reinterpret time as mode shapes.\n"
"         The filter can also animate vibrations for each mode shape (when\n"
"         AnimateVibrations is set to true). In that case, the time requested by the\n"
"         downstream pipeline is used to scale the displacement magnitude\n"
"         for a mode shape in a sinusoidal pattern, `cos(2*pi * requested-time)`.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"3\" />\n"
"        <Documentation>This property specifies the input to the filter.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vectors\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\"\n"
"                            panel_visibility=\"default\">\n"
"        <ArrayListDomain attribute_type=\"DisplacementVectors\" name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>Specify the displacement vectors array</Documentation>\n"
"      </StringVectorProperty>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeneral.xml
static const char* const paraview_server_managerfilters_filtersgeneralInterface8 =
"\n"
"\n"
"      <IntVectorProperty command=\"GetModeShapesRange\"\n"
"                         information_only=\"1\"\n"
"                         name=\"ModeShapesRangeInfo\" />\n"
"\n"
"      <IntVectorProperty command=\"SetModeShape\"\n"
"                         name=\"ModeShape\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" default_mode=\"min\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Range\" name=\"ModeShapesRangeInfo\" />\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>Specify which mode shape to animate.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"DisplacementMagnitude\"\n"
"                            command=\"SetDisplacementMagnitude\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Specify a scale factor to apply the displacements.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AnimateVibrations\"\n"
"        command=\"SetAnimateVibrations\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether the filter should animate the vibrations.\n"
"          When set, the requested time is used compute\n"
"          displacements for the chosen mode shape.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"DisplacementPreapplied\"\n"
"                         command=\"SetDisplacementPreapplied\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether displacements are pre-applied.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimeRange\"\n"
"                            command=\"GetTimeRange\" />\n"
"      <!-- end of \"AnimateModes\" -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkTableFFT\" name=\"TableFFT\" label=\"Table FFT\" >\n"
"      <Documentation>\n"
"        Performs the Fast Fourier Transform on the columns of a table.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"row\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"        <Documentation>This property specifies the input to the filter.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"CreateFrequencyColumn\"\n"
"                         command=\"SetCreateFrequencyColumn\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify if the filter should create a frequency column based on a column\n"
"          named \"time\" (not case sensitive). An evenly-spaced time array is expected.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WindowingFunction\"\n"
"                         command=\"SetWindowingFunction\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"4\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"4\" text=\"Rectangular (passthrough)\"/>\n"
"          <Entry value=\"0\" text=\"Hanning\"/>\n"
"          <Entry value=\"1\" text=\"Bartlett\"/>\n"
"          <Entry value=\"2\" text=\"Sine\"/>\n"
"          <Entry value=\"3\" text=\"Blackman\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify the windowing function to apply on the input. This allows to better process\n"
"          data that is not periodic. When NumberOfBlocks > 1, the windowing function is applied\n"
"          to each block.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"OptimizeForRealInput\"\n"
"                         command=\"SetOptimizeForRealInput\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify if the filter should use the optimized discrete fourier transform for\n"
"          real values. This will cause output columns to have from n to ((n / 2) + 1) rows.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Normalize\"\n"
"                         command=\"SetNormalize\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify if the output should be normalized.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AverageFft\"\n"
"                         command=\"SetAverageFft\"\n"
"                         label=\"Average FFT per block\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify if the input should be split in multiple blocks to compute\n"
"          an average fft across all blocks.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfBlock\"\n"
"                         command=\"SetNumberOfBlock\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"2\">\n"
"        <Documentation>\n"
"          Specify the number of blocks to use when computing the average fft over\n"
"          the whole input sample array. If NumberOfBlock == 1, no average is done\n"
"          and we only compute the fft on the first BlockSize samples of the input data.\n"
"        </Documentation>\n"
"\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"AverageFft\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"BlockSize\"\n"
"                         command=\"SetBlockSize\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1024\">\n"
"        <Documentation>\n"
"          Specify the number of samples to use for each block. This should be a power of 2.\n"
"          If not, the closest power of two will be used anyway.\n"
"        </Documentation>\n"
"\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"AverageFft\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <PipelineIcon name=\"XYChartView\" />\n"
"        <View type=\"XYChartView\" />\n"
"      </Hints>\n"
"\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersgeneralGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersgeneralInterface0);
  const size_t len1 = strlen(paraview_server_managerfilters_filtersgeneralInterface1);
  const size_t len2 = strlen(paraview_server_managerfilters_filtersgeneralInterface2);
  const size_t len3 = strlen(paraview_server_managerfilters_filtersgeneralInterface3);
  const size_t len4 = strlen(paraview_server_managerfilters_filtersgeneralInterface4);
  const size_t len5 = strlen(paraview_server_managerfilters_filtersgeneralInterface5);
  const size_t len6 = strlen(paraview_server_managerfilters_filtersgeneralInterface6);
  const size_t len7 = strlen(paraview_server_managerfilters_filtersgeneralInterface7);
  const size_t len8 = strlen(paraview_server_managerfilters_filtersgeneralInterface8);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4
    + len5
    + len6
    + len7
    + len8 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersgeneralInterface0, paraview_server_managerfilters_filtersgeneralInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerfilters_filtersgeneralInterface1, paraview_server_managerfilters_filtersgeneralInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerfilters_filtersgeneralInterface2, paraview_server_managerfilters_filtersgeneralInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerfilters_filtersgeneralInterface3, paraview_server_managerfilters_filtersgeneralInterface3 + len3, res + offset); offset += len3;
  std::copy(paraview_server_managerfilters_filtersgeneralInterface4, paraview_server_managerfilters_filtersgeneralInterface4 + len4, res + offset); offset += len4;
  std::copy(paraview_server_managerfilters_filtersgeneralInterface5, paraview_server_managerfilters_filtersgeneralInterface5 + len5, res + offset); offset += len5;
  std::copy(paraview_server_managerfilters_filtersgeneralInterface6, paraview_server_managerfilters_filtersgeneralInterface6 + len6, res + offset); offset += len6;
  std::copy(paraview_server_managerfilters_filtersgeneralInterface7, paraview_server_managerfilters_filtersgeneralInterface7 + len7, res + offset); offset += len7;
  std::copy(paraview_server_managerfilters_filtersgeneralInterface8, paraview_server_managerfilters_filtersgeneralInterface8 + len8, res + offset); offset += len8;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/sources_filtersgeneral.xml
static const char* const paraview_server_managersources_filtersgeneralInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAxes\"\n"
"                 label=\"Axes\"\n"
"                 name=\"Axes\">\n"
"      <Documentation long_help=\"Three lines representing the axes - red line along X, green line along Y, and blue line along Z\"\n"
"                     short_help=\"Create three lines representing X, Y and Z axes\">\n"
"                     The Axes source can be used to add a representation of the\n"
"                     coordinate system axes to the 3D scene. The X axis will be\n"
"                     drawn as a blue line, the Y axis as a green line, and the\n"
"                     Z axis as a red line. The axes can be drawn either as\n"
"                     three lines drawn in the positive direction from the\n"
"                     origin or as three lines crossing at the origin (drawn in\n"
"                     both the positive and negative directions). The output of\n"
"                     the Axes source is polygonal data. This polygonal data has\n"
"                     a scalar per line so that the lines can be colored. It\n"
"                     also has normals defined.</Documentation>\n"
"      <DoubleVectorProperty command=\"SetScaleFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"ScaleFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>By default the axes lines have a length of 1 (or 1 in\n"
"        each direction, for a total length of 2, if value of the Symmetric\n"
"        property is 1). Increasing or decreasing the value of this property\n"
"        will make the axes larger or smaller, respectively.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The values of this property set the X, Y, and Z\n"
"        coordinates of the origin of the axes.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetSymmetric\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Symmetric\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When this property is set to 1, the axes extend along\n"
"        each of the positive and negative directions for a distance equal to\n"
"        the value of the Scale Factor property. When set to 0, the axes extend\n"
"        only in the positive direction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Axes -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTimeSourceExample\"\n"
"                 label=\"Time Source\"\n"
"                 name=\"TimeSource\">\n"
"      <Documentation long_help=\"Produces a single cell uniform grid with data values that vary over a sin(t) wave from t=0 to t=1 (radian).\"\n"
"                     short_help=\"Produces a sine wave over time\">Produces a\n"
"                     single cell uniform grid with data values that vary over a\n"
"                     sin(t) wave from t=0 to t=1 (radian).</Documentation>\n"
"      <IntVectorProperty command=\"SetAnalytic\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Analytic\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Makes the time source produce discrete steps of or an\n"
"        analytic sin wave.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetXAmplitude\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"X Amplitude\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Controls how far the data set moves along X over\n"
"        time.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetYAmplitude\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Y Amplitude\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Controls how far the data set moves along Y over\n"
"        time.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetGrowing\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Growing\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Makes the time source grow and shrink along Y over\n"
"        time.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of TimeSource -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managersources_filtersgeneralGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managersources_filtersgeneralInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managersources_filtersgeneralInterface0, paraview_server_managersources_filtersgeneralInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_plotonintersectioncurves.xml
static const char* const paraview_server_managerfilters_plotonintersectioncurvesInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <CompoundSourceProxy label=\"Plot On Intersection Curves\"\n"
"                         name=\"PlotOnIntersectionCurves\">\n"
"      <Documentation long_help=\"Extracts the edges in a 2D plane and plots them\"\n"
"                     short_help=\"Extracts the edges in a 2D plane and plots them\">\n"
"                     Extracts the surface, intersect it with a 2D plane. Plot\n"
"                     the resulting polylines.</Documentation>\n"
"      <Proxy compound_name=\"ExtractSurface1\"\n"
"             group=\"filters\"\n"
"             id=\"374\"\n"
"             servers=\"1\"\n"
"             type=\"DataSetSurfaceFilter\">\n"
"        <Property id=\"374.Input\"\n"
"                  name=\"Input\"\n"
"                  number_of_elements=\"1\">\n"
"          <Domain id=\"374.Input.groups\"\n"
"                  name=\"groups\">\n"
"            <Group value=\"sources\" />\n"
"            <Group value=\"filters\" />\n"
"          </Domain>\n"
"          <Domain id=\"374.Input.input_type\"\n"
"                  name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"374.PieceInvariant\"\n"
"                  name=\"PieceInvariant\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"1\" />\n"
"          <Domain id=\"374.PieceInvariant.bool\"\n"
"                  name=\"bool\" />\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy compound_name=\"PlotEdges1\"\n"
"             group=\"filters\"\n"
"             id=\"971\"\n"
"             servers=\"1\"\n"
"             type=\"PlotOnSortedLines\">\n"
"        <Property id=\"971.Input\"\n"
"                  name=\"Input\"\n"
"                  number_of_elements=\"1\">\n"
"          <Proxy output_port=\"0\"\n"
"                 value=\"667\" />\n"
"          <Domain id=\"971.Input.groups\"\n"
"                  name=\"groups\">\n"
"            <Group value=\"sources\" />\n"
"            <Group value=\"filters\" />\n"
"          </Domain>\n"
"          <Domain id=\"971.Input.input_type\"\n"
"                  name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\" />\n"
"          </Domain>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy compound_name=\"Slice1\"\n"
"             group=\"filters\"\n"
"             id=\"667\"\n"
"             servers=\"1\"\n"
"             type=\"Cut\">\n"
"        <Property id=\"667.ContourValues\"\n"
"                  name=\"ContourValues\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0\" />\n"
"          <Domain id=\"667.ContourValues.bounds\"\n"
"                  name=\"bounds\">\n"
"            <Min index=\"0\"\n"
"                 value=\"-0.718069\" />\n"
"            <Max index=\"0\"\n"
"                 value=\"0.718069\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"667.CutFunction\"\n"
"                  name=\"CutFunction\"\n"
"                  number_of_elements=\"1\">\n"
"          <Proxy value=\"670\" />\n"
"          <Domain id=\"667.CutFunction.groups\"\n"
"                  name=\"groups\">\n"
"            <Group value=\"implicit_functions\" />\n"
"          </Domain>\n"
"          <Domain id=\"667.CutFunction.proxy_list\"\n"
"                  name=\"proxy_list\">\n"
"            <Proxy value=\"670\" />\n"
"            <Proxy value=\"671\" />\n"
"            <Proxy value=\"672\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"667.Input\"\n"
"                  name=\"Input\"\n"
"                  number_of_elements=\"1\">\n"
"          <Proxy output_port=\"0\"\n"
"                 value=\"374\" />\n"
"          <Domain id=\"667.Input.groups\"\n"
"                  name=\"groups\">\n"
"            <Group value=\"sources\" />\n"
"            <Group value=\"filters\" />\n"
"          </Domain>\n"
"          <Domain id=\"667.Input.input_type\"\n"
"                  name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"667.InputBounds\"\n"
"                  name=\"InputBounds\">\n"
"          <Domain id=\"667.InputBounds.bounds\"\n"
"                  name=\"bounds\">\n"
"            <Min index=\"0\"\n"
"                 value=\"-0.5\" />\n"
"            <Min index=\"1\"\n"
"                 value=\"-0.124991\" />\n"
"            <Min index=\"2\"\n"
"                 value=\"-0.5\" />\n"
"            <Max index=\"0\"\n"
"                 value=\"0.5\" />\n"
"            <Max index=\"1\"\n"
"                 value=\"0.124991\" />\n"
"            <Max index=\"2\"\n"
"                 value=\"0.5\" />\n"
"          </Domain>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy compound_name=\"auto_670\"\n"
"             group=\"implicit_functions\"\n"
"             id=\"670\"\n"
"             servers=\"1\"\n"
"             type=\"Plane\">\n"
"        <Property id=\"670.Normal\"\n"
"                  name=\"Normal\"\n"
"                  number_of_elements=\"3\">\n"
"          <Element index=\"0\"\n"
"                   value=\"1\" />\n"
"          <Element index=\"1\"\n"
"                   value=\"0\" />\n"
"          <Element index=\"2\"\n"
"                   value=\"0\" />\n"
"          <Domain id=\"670.Normal.range\"\n"
"                  name=\"range\" />\n"
"        </Property>\n"
"        <Property id=\"670.Offset\"\n"
"                  name=\"Offset\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0\" />\n"
"          <Domain id=\"670.Offset.range\"\n"
"                  name=\"range\">\n"
"            <Min index=\"0\"\n"
"                 value=\"0\" />\n"
"            <Max index=\"0\"\n"
"                 value=\"0\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"670.Origin\"\n"
"                  name=\"Origin\"\n"
"                  number_of_elements=\"3\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0\" />\n"
"          <Element index=\"1\"\n"
"                   value=\"0\" />\n"
"          <Element index=\"2\"\n"
"                   value=\"0\" />\n"
"          <Domain id=\"670.Origin.range\"\n"
"                  name=\"range\">\n"
"            <Min index=\"0\"\n"
"                 value=\"-0.5\" />\n"
"            <Min index=\"1\"\n"
"                 value=\"-0.124991\" />\n"
"            <Min index=\"2\"\n"
"                 value=\"-0.5\" />\n"
"            <Max index=\"0\"\n"
"                 value=\"0.5\" />\n"
"            <Max index=\"1\"\n"
"                 value=\"0.124991\" />\n"
"            <Max index=\"2\"\n"
"                 value=\"0.5\" />\n"
"          </Domain>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <ExposedProperties>\n"
"        <Property exposed_name=\"Input\"\n"
"                  name=\"Input\"\n"
"                  proxy_name=\"ExtractSurface1\" />\n"
"        <Property exposed_name=\"Slice Type\"\n"
"                  name=\"CutFunction\"\n"
"                  proxy_name=\"Slice1\" />\n"
"      </ExposedProperties>\n"
"      <OutputPort name=\"Output\"\n"
"                  port_index=\"0\"\n"
"                  proxy=\"PlotEdges1\" />\n"
"      <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"XYChartView\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"    </CompoundSourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_plotonintersectioncurvesGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_plotonintersectioncurvesInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_plotonintersectioncurvesInterface0, paraview_server_managerfilters_plotonintersectioncurvesInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_normalglyphs.xml
static const char* const paraview_server_managerfilters_normalglyphsInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <CompoundSourceProxy label=\"Normal Glyphs\"\n"
"                         name=\"NormalGlyphs\">\n"
"      <Documentation long_help=\"Filter computing surface normals.\"\n"
"                     short_help=\"Filter computing surface normals.\">Filter\n"
"                     computing surface normals.</Documentation>\n"
"      <Proxy compound_name=\"ExtractSurface2\"\n"
"             group=\"filters\"\n"
"             id=\"1013\"\n"
"             servers=\"1\"\n"
"             type=\"DataSetSurfaceFilter\">\n"
"        <Property id=\"1013.Input\"\n"
"                  name=\"Input\"\n"
"                  number_of_elements=\"1\">\n"
"          <Domain id=\"1013.Input.groups\"\n"
"                  name=\"groups\">\n"
"            <Group value=\"sources\" />\n"
"            <Group value=\"filters\" />\n"
"          </Domain>\n"
"          <Domain id=\"1013.Input.input_type\"\n"
"                  name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"1013.PieceInvariant\"\n"
"                  name=\"PieceInvariant\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"1\" />\n"
"          <Domain id=\"1013.PieceInvariant.bool\"\n"
"                  name=\"bool\" />\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy compound_name=\"GenerateSurfaceNormals1\"\n"
"             group=\"filters\"\n"
"             id=\"1224\"\n"
"             servers=\"1\"\n"
"             type=\"PolyDataNormals\">\n"
"        <Property id=\"1224.ComputeCellNormals\"\n"
"                  name=\"ComputeCellNormals\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"1\" />\n"
"          <Domain id=\"1224.ComputeCellNormals.bool\"\n"
"                  name=\"bool\" />\n"
"        </Property>\n"
"        <Property id=\"1224.Consistency\"\n"
"                  name=\"Consistency\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0\" />\n"
"          <Domain id=\"1224.Consistency.bool\"\n"
"                  name=\"bool\" />\n"
"        </Property>\n"
"        <Property id=\"1224.FeatureAngle\"\n"
"                  name=\"FeatureAngle\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"30\" />\n"
"          <Domain id=\"1224.FeatureAngle.range\"\n"
"                  name=\"range\">\n"
"            <Min index=\"0\"\n"
"                 value=\"0\" />\n"
"            <Max index=\"0\"\n"
"                 value=\"180\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"1224.FlipNormals\"\n"
"                  name=\"FlipNormals\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0\" />\n"
"          <Domain id=\"1224.FlipNormals.bool\"\n"
"                  name=\"bool\" />\n"
"        </Property>\n"
"        <Property id=\"1224.Input\"\n"
"                  name=\"Input\"\n"
"                  number_of_elements=\"1\">\n"
"          <Proxy output_port=\"0\"\n"
"                 value=\"1013\" />\n"
"          <Domain id=\"1224.Input.groups\"\n"
"                  name=\"groups\">\n"
"            <Group value=\"sources\" />\n"
"            <Group value=\"filters\" />\n"
"          </Domain>\n"
"          <Domain id=\"1224.Input.input_type\"\n"
"                  name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"1224.NonManifoldTraversal\"\n"
"                  name=\"NonManifoldTraversal\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"1\" />\n"
"          <Domain id=\"1224.NonManifoldTraversal.bool\"\n"
"                  name=\"bool\" />\n"
"        </Property>\n"
"        <Property id=\"1224.PieceInvariant\"\n"
"                  name=\"PieceInvariant\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"1\" />\n"
"          <Domain id=\"1224.PieceInvariant.bool\"\n"
"                  name=\"bool\" />\n"
"        </Property>\n"
"        <Property id=\"1224.Splitting\"\n"
"                  name=\"Splitting\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0\" />\n"
"          <Domain id=\"1224.Splitting.bool\"\n"
"                  name=\"bool\" />\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy compound_name=\"CellCenters1\"\n"
"             group=\"filters\"\n"
"             id=\"3392\"\n"
"             servers=\"1\"\n"
"             type=\"CellCenters\">\n"
"        <Property id=\"3392.Input\"\n"
"                  name=\"Input\"\n"
"                  number_of_elements=\"1\">\n"
"          <Proxy output_port=\"0\"\n"
"                 value=\"1224\" />\n"
"          <Domain id=\"3392.Input.groups\"\n"
"                  name=\"groups\">\n"
"            <Group value=\"sources\" />\n"
"            <Group value=\"filters\" />\n"
"          </Domain>\n"
"          <Domain id=\"3392.Input.input_type\"\n"
"                  name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"3392.VertexCells\"\n"
"                  name=\"VertexCells\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"1\" />\n"
"          <Domain id=\"3392.VertexCells.bool\"\n"
"                  name=\"bool\" />\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy compound_name=\"Glyph1\"\n"
"             group=\"filters\"\n"
"             id=\"2429\"\n"
"             servers=\"1\"\n"
"             type=\"Glyph\">\n"
"        <Property id=\"2429.Input\"\n"
"                  name=\"Input\"\n"
"                  number_of_elements=\"1\">\n"
"          <Proxy output_port=\"0\"\n"
"                 value=\"3392\" />\n"
"          <Domain id=\"2429.Input.groups\"\n"
"                  name=\"groups\">\n"
"            <Group value=\"sources\" />\n"
"            <Group value=\"filters\" />\n"
"          </Domain>\n"
"          <Domain id=\"2429.Input.input_array1\"\n"
"                  name=\"input_array1\">\n"
"            <InputArray attribute_type=\"point\"\n"
"                        number_of_components=\"1\" />\n"
"          </Domain>\n"
"          <Domain id=\"2429.Input.input_array2\"\n"
"                  name=\"input_array2\">\n"
"            <InputArray attribute_type=\"point\"\n"
"                        number_of_components=\"3\" />\n"
"          </Domain>\n"
"          <Domain id=\"2429.Input.input_type\"\n"
"                  name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"GlyphMode\"\n"
"                  id=\"2429.GlyphMode\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"0\"/>\n"
"        </Property>\n"
"        <Property id=\"2429.ScaleArray\"\n"
"                  name=\"ScalarArray\"\n"
"                  number_of_elements=\"5\">\n"
"          <Element index=\"0\"\n"
"                   value=\"\" />\n"
"          <Element index=\"1\"\n"
"                   value=\"\" />\n"
"          <Element index=\"2\"\n"
"                   value=\"\" />\n"
"          <Element index=\"3\"\n"
"                   value=\"\" />\n"
"          <Element index=\"4\"\n"
"                   value=\"\" />\n"
"        </Property>\n"
"        <Property id=\"2429.OrientationArray\"\n"
"                  name=\"OrientationArray\"\n"
"                  number_of_elements=\"5\">\n"
"          <Element index=\"0\"\n"
"                   value=\"1\" />\n"
"          <Element index=\"1\"\n"
"                   value=\"\" />\n"
"          <Element index=\"2\"\n"
"                   value=\"\" />\n"
"          <Element index=\"3\"\n"
"                   value=\"\" />\n"
"          <Element index=\"4\"\n"
"                   value=\"Normals\" />\n"
"        </Property>\n"
"        <Property id=\"2429.SetScaleFactor\"\n"
"                  name=\"SetScaleFactor\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"1.0\" />\n"
"        </Property>\n"
"        <!--\n"
"        <Property id=\"2429.ScaleMode\"\n"
"                  name=\"ScaleMode\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"3\" />\n"
"        </Property>\n"
"        -->\n"
"        <Property id=\"2429.Source\"\n"
"                  name=\"Source\"\n"
"                  number_of_elements=\"1\">\n"
"          <Proxy output_port=\"0\"\n"
"                 value=\"2432\" />\n"
"          <Domain id=\"2429.Source.groups\"\n"
"                  name=\"groups\">\n"
"            <Group value=\"sources\" />\n"
"            <Group value=\"glyph_sources\" />\n"
"          </Domain>\n"
"          <Domain id=\"2429.Source.input_type\"\n"
"                  name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\" />\n"
"          </Domain>\n"
"          <Domain id=\"2429.Source.proxy_list\"\n"
"                  name=\"proxy_list\">\n"
"            <Proxy value=\"2432\" />\n"
"          </Domain>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy compound_name=\"ArrowSource\"\n"
"             group=\"sources\"\n"
"             id=\"2432\"\n"
"             servers=\"1\"\n"
"             type=\"ArrowSource\">\n"
"        <Property id=\"2432.ShaftRadius\"\n"
"                  name=\"ShaftRadius\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0.03\" />\n"
"          <Domain id=\"2432.ShaftRadius.range\"\n"
"                  name=\"range\">\n"
"            <Min index=\"0\"\n"
"                 value=\"0\" />\n"
"            <Max index=\"0\"\n"
"                 value=\"5\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"2432.ShaftResolution\"\n"
"                  name=\"ShaftResolution\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"6\" />\n"
"          <Domain id=\"2432.ShaftResolution.range\"\n"
"                  name=\"range\">\n"
"            <Min index=\"0\"\n"
"                 value=\"0\" />\n"
"            <Max index=\"0\"\n"
"                 value=\"128\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"2432.TipLength\"\n"
"                  name=\"TipLength\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0.35\" />\n"
"          <Domain id=\"2432.TipLength.range\"\n"
"                  name=\"range\">\n"
"            <Min index=\"0\"\n"
"                 value=\"0\" />\n"
"            <Max index=\"0\"\n"
"                 value=\"1\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"2432.TipRadius\"\n"
"                  name=\"TipRadius\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0.1\" />\n"
"          <Domain id=\"2432.TipRadius.range\"\n"
"                  name=\"range\">\n"
"            <Min index=\"0\"\n"
"                 value=\"0\" />\n"
"            <Max index=\"0\"\n"
"                 value=\"10\" />\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"2432.TipResolution\"\n"
"                  name=\"TipResolution\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"6\" />\n"
"          <Domain id=\"2432.TipResolution.range\"\n"
"                  name=\"range\">\n"
"            <Min index=\"0\"\n"
"                 value=\"1\" />\n"
"            <Max index=\"0\"\n"
"                 value=\"128\" />\n"
"          </Domain>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <ExposedProperties>\n"
"        <Property exposed_name=\"Consistency\"\n"
"                  name=\"Consistency\"\n"
"                  proxy_name=\"GenerateSurfaceNormals1\" />\n"
"        <Property exposed_name=\"Glyph Max. Points\"\n"
"                  name=\"MaximumNumberOfSamplePoints\"\n"
"                  proxy_name=\"Glyph1\" />\n"
"        <Property exposed_name=\"Glyph Scale Factor\"\n"
"                  name=\"ScaleFactor\"\n"
"                  proxy_name=\"Glyph1\" />\n"
"        <Property exposed_name=\"Input\"\n"
"                  name=\"Input\"\n"
"                  proxy_name=\"ExtractSurface2\" />\n"
"        <Property exposed_name=\"InvertArrow\"\n"
"                  name=\"Invert\"\n"
"                  proxy_name=\"ArrowSource\" />\n"
"      </ExposedProperties>\n"
"      <OutputPort name=\"Output\"\n"
"                  port_index=\"0\"\n"
"                  proxy=\"Glyph1\" />\n"
"\n"
"      <!-- FIXME: PropertyGroup doesn't work for compound proxies, it seems.\n"
"      <PropertyGroup label=\"Normals Generator Parameters\">\n"
"        <Property name=\"Consistency\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Glyph Parameters\">\n"
"        <Property name=\"Glyph Max. Points\" />\n"
"        <Property name=\"Glyph Scale Factor\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Arrow Source Parameters\">\n"
"        <Property name=\"InvertArrow\" />\n"
"      </PropertyGroup>\n"
"      -->\n"
"      <Hints>\n"
"        <!-- Visibility Element can be used to suggest the GUI about\n"
"             visibility of this filter (or its input) on creation.\n"
"             replace_input=\"0\" implies that the input visibility is not\n"
"             changed on creation of this filter (defaults to \"1\")\n"
"             -->\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"    </CompoundSourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_normalglyphsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_normalglyphsInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_normalglyphsInterface0, paraview_server_managerfilters_normalglyphsInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeneric.xml
static const char* const paraview_server_managerfilters_filtersgenericInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGenericClip\"\n"
"                 label=\"Clip Generic Dataset\"\n"
"                 name=\"GenericClip\">\n"
"      <Documentation long_help=\"Clip with an implicit plane, sphere or with scalars. Clipping does not reduce the dimensionality of the data set.  This output data type of this filter is always an unstructured grid.\"\n"
"                     short_help=\"Clip with an implicit plane, sphere or with scalars.\">\n"
"                     The Generic Clip filter cuts away a portion of the input\n"
"                     data set using a plane, a sphere, a box, or a scalar\n"
"                     value. The menu in the Clip Function portion of the\n"
"                     interface allows the user to select which implicit\n"
"                     function to use or whether to clip using a scalar value.\n"
"                     Making this selection loads the appropriate user\n"
"                     interface. For the implicit functions, the appropriate 3D\n"
"                     widget (plane, sphere, or box) is also displayed. The use\n"
"                     of these 3D widgets, including their user interface\n"
"                     components, is discussed in section 7.4. If an implicit\n"
"                     function is selected, the clip filter returns that portion\n"
"                     of the input data set that lies inside the function. If\n"
"                     Scalars is selected, then the user must specify a scalar\n"
"                     array to clip according to. The clip filter will return\n"
"                     the portions of the data set whose value in the selected\n"
"                     Scalars array is larger than the Clip value. Regardless of\n"
"                     the selection from the Clip Function menu, if the Inside\n"
"                     Out option is checked, the opposite portions of the data\n"
"                     set will be returned. This filter operates on all types of\n"
"                     data sets, and it returns unstructured grid data on\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkGenericDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          optional=\"1\" />\n"
"        <Documentation>Set the input to the Generic Clip\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <ProxyProperty command=\"SetClipFunction\"\n"
"                     label=\"Clip Type\"\n"
"                     name=\"ClipFunction\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"clip_implicit_functions\" default=\"Plane\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>Set the parameters of the clip function.</Documentation>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"InputBounds\">\n"
"        <BoundsDomain name=\"bounds\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Scalars\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>If clipping with scalars, this property specifies the\n"
"        name of the scalar array on which to perform the clip\n"
"        operation.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetInsideOut\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InsideOut\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Choose which portion of the dataset should be clipped\n"
"        away.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetValue\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Value\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputScalars\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>If clipping with a scalar array, choose the clipping\n"
"        value.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\" />\n"
"      </Hints>\n"
"      <!-- End GenericClip -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGenericContourFilter\"\n"
"                 label=\"Contour Generic Dataset\"\n"
"                 name=\"GenericContour\">\n"
"      <Documentation long_help=\"Generate isolines or isosurfaces using point scalars.\"\n"
"                     short_help=\"Generate isolines or isosurfaces.\">The Generic\n"
"                     Contour filter computes isolines or isosurfaces using a\n"
"                     selected point-centered scalar array. The available scalar\n"
"                     arrays are listed in the Scalars menu. The scalar range of\n"
"                     the selected array will be displayed. The interface for\n"
"                     adding contour values is very similar to the one for\n"
"                     selecting cut offsets (in the Cut filter). To add a single\n"
"                     contour value, select the value from the New Value slider\n"
"                     in the Add value portion of the interface and click the\n"
"                     Add button, or press Enter. To instead add several evenly\n"
"                     spaced contours, use the controls in the Generate range of\n"
"                     values section. Select the number of contour values to\n"
"                     generate using the Number of Values slider. The Range\n"
"                     slider controls the interval in which to generate the\n"
"                     contour values. Once the number of values and range have\n"
"                     been selected, click the Generate button. The new values\n"
"                     will be added to the Contour Values list. To delete a\n"
"                     value from the Contour Values list, select the value and\n"
"                     click the Delete button. (If no value is selected, the\n"
"                     last value in the list will be removed.) Clicking the\n"
"                     Delete All button removes all the values in the list. If\n"
"                     no values are in the Contour Values list when Accept is\n"
"                     pressed, the current value of the New Value slider will be\n"
"                     used. In addition to selecting contour values, you can\n"
"                     also select additional computations to perform. If any of\n"
"                     Compute Normals, Compute Gradients, or Compute Scalars is\n"
"                     selected, the appropriate computation will be performed,\n"
"                     and a corresponding point-centered array will be added to\n"
"                     the output. The Generic Contour filter operates on a\n"
"                     generic data set, but the input is required to have at\n"
"                     least one point-centered scalar (single-component) array.\n"
"                     The output of this filter is polygonal.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkGenericDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\"\n"
"                          optional=\"1\" />\n"
"        <Documentation>Set the input to the Generic Contour\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Contour By\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property specifies the name of the scalar array\n"
"        from which the contour filter will compute isolines and/or\n"
"        isosurfaces.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetComputeNormals\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeNormals\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"InputDataTypeDecorator\"\n"
"                                   name=\"vtkPolyData\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   exclude=\"1\" />\n"
"        </Hints>\n"
"        <Documentation>Select whether to compute normals.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetComputeGradients\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeGradients\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"StructuredInputDecorator\" />\n"
"        </Hints>\n"
"        <Documentation>Select whether to compute gradients.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetComputeScalars\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeScalars\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Select whether to compute scalars.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetValue\"\n"
"                            label=\"Isosurfaces\"\n"
"                            name=\"ContourValues\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfContours\"\n"
"                            use_index=\"1\">\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"            <Property function=\"ArraySelection\"\n"
"                      name=\"SelectInputScalars\" />\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Documentation>This property specifies the values at which to compute\n"
"        isosurfaces/isolines and also the number of such\n"
"        values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"      <!-- incremental point locator begin -->\n"
"      <ProxyProperty command=\"SetLocator\"\n"
"                     label=\"Point Merge Method\"\n"
"                     name=\"Locator\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"incremental_point_locators\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"incremental_point_locators\"\n"
"                 name=\"MergePoints\" />\n"
"          <Proxy group=\"incremental_point_locators\"\n"
"                 name=\"IncrementalOctreeMergePoints\" />\n"
"          <Proxy group=\"incremental_point_locators\"\n"
"                 name=\"NonMergingPointLocator\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property specifies an incremental point locator for\n"
"        merging duplicate / coincident points.</Documentation>\n"
"      </ProxyProperty>\n"
"      <!-- incremental point locator end -->\n"
"\n"
"      <PropertyGroup label=\"Isosurfaces\">\n"
"        <Property name=\"ContourValues\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Point Locator\">\n"
"        <Property name=\"Locator\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- End GenericContour -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGenericCutter\"\n"
"                 label=\"Slice Generic Dataset\"\n"
"                 name=\"GenericCut\">\n"
"      <Documentation long_help=\"This filter cuts a data set with a plane or sphere.  Cutting is similar to a contour.  It creates surfaces from volumes and lines from surfaces.\"\n"
"                     short_help=\"Cut datasets with planes or spheres.\">The\n"
"                     Generic Cut filter extracts the portion of the input data\n"
"                     set that lies along the specified plane or sphere. From\n"
"                     the Cut Function menu, you can select whether cutting will\n"
"                     be performed with a plane or a sphere. The appropriate 3D\n"
"                     widget (plane widget or sphere widget) will be displayed.\n"
"                     The parameters of the cut function can be specified\n"
"                     interactively using the 3D widget or manually using the\n"
"                     traditional user interface controls. Instructions for\n"
"                     using these 3D widgets and their corresponding user\n"
"                     interfaces are found in section 7.4. By default, the cut\n"
"                     lies on the specified plane or sphere. Using the Cut\n"
"                     Offset Values portion of the interface, it is also\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeneric.xml
static const char* const paraview_server_managerfilters_filtersgenericInterface1 =
"                     possible to cut the data set at some offset from the\n"
"                     original cut function. The Cut Offset Values are in the\n"
"                     spatial units of the data set. To add a single offset,\n"
"                     select the value from the New Value slider in the Add\n"
"                     value portion of the interface and click the Add button,\n"
"                     or press Enter. To instead add several evenly spaced\n"
"                     offsets, use the controls in the Generate range of values\n"
"                     section. Select the number of offsets to generate using\n"
"                     the Number of Values slider. The Range slider controls the\n"
"                     interval in which to generate the offsets. Once the number\n"
"                     of values and range have been selected, click the Generate\n"
"                     button. The new offsets will be added to the Offset Values\n"
"                     list. To delete a value from the Cut Offset Values list,\n"
"                     select the value and click the Delete button. (If no value\n"
"                     is selected, the last value in the list will be removed.)\n"
"                     Clicking the Delete All button removes all the values in\n"
"                     the list. The Generic Cut filter takes a generic dataset\n"
"                     as input. Use the Input menu to choose a data set to cut.\n"
"                     The output of this filter is polygonal\n"
"                     data.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkGenericDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Generic Cut filter.</Documentation>\n"
"      </InputProperty>\n"
"      <ProxyProperty command=\"SetCutFunction\"\n"
"                     label=\"Cut Type\"\n"
"                     name=\"CutFunction\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"slice_implicit_functions\" default=\"Plane\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>Set the parameters to the implicit function used for\n"
"        cutting.</Documentation>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"InputBounds\">\n"
"        <BoundsDomain name=\"bounds\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetValue\"\n"
"                            label=\"Slice Offset Values\"\n"
"                            name=\"ContourValues\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfContours\"\n"
"                            use_index=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <BoundsDomain mode=\"magnitude\"\n"
"                      name=\"bounds\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>The values in this property specify a list of current\n"
"        offset values. This can be used to create multiple slices with\n"
"        different centers. Each entry represents a new slice with its center\n"
"        shifted by the offset value.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\" />\n"
"      </Hints>\n"
"      <!-- End GenericCut -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGenericDataSetTessellator\"\n"
"                 label=\"Tessellate Generic Dataset\"\n"
"                 name=\"GenericTessellator\">\n"
"      <Documentation long_help=\"Tessellate a higher-order dataset\"\n"
"                     short_help=\"Tessellate a higher-order dataset\">Tessellate\n"
"                     a higher-order dataset.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkGenericDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Generic Tessellator\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End GenericTessellator -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGenericGeometryFilter\"\n"
"                 label=\"Extract Generic Dataset Surface\"\n"
"                 name=\"GenericGeometryFilter\">\n"
"      <Documentation long_help=\"Extract geometry from a higher-order dataset\"\n"
"                     short_help=\"Extract geometry from a higher-order dataset\">\n"
"                     Extract geometry from a higher-order\n"
"                     dataset.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkGenericDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Generic Geometry\n"
"        Filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetPassThroughCellIds\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PassThroughCellIds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Select whether to forward original ids.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End GenericGeometryFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGenericOutlineFilter\"\n"
"                 label=\"Outline Generic DataSet\"\n"
"                 name=\"GenericOutlineFilter\">\n"
"      <Documentation long_help=\"This filter generates a bounding box representation of the input.\"\n"
"                     short_help=\"Generates a bounding box.\">The Generic Outline\n"
"                     filter generates an axis-aligned bounding box for the\n"
"                     input data set. The Input menu specifies the data set for\n"
"                     which to create a bounding box. This filter operates on\n"
"                     generic data sets and produces polygonal\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkGenericDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Generic Outline\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"      <!-- End  GenericOutlineFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGenericStreamTracer\"\n"
"                 label=\"Stream Tracer For Generic Datasets\"\n"
"                 name=\"GenericStreamTracer\">\n"
"      <Documentation long_help=\"Integrate streamlines in a vector field.\"\n"
"                     short_help=\"Integrate streamlines in a vector field.\">The\n"
"                     Generic Stream Tracer filter generates streamlines in a\n"
"                     vector field from a collection of seed points. The vector\n"
"                     field used is selected from the Vectors menu, so the input\n"
"                     data set is required to have point-centered vectors. The\n"
"                     Seed portion of the interface allows you to select whether\n"
"                     the seed points for this integration lie in a point cloud\n"
"                     or along a line. Depending on which is selected, the\n"
"                     appropriate 3D widget (point or line widget) is displayed\n"
"                     along with traditional user interface controls for\n"
"                     positioning the point cloud or line within the data set.\n"
"                     Instructions for using the 3D widgets and the\n"
"                     corresponding manual controls can be found in section 7.4.\n"
"                     The Max. Propagation entry box allows you to specify the\n"
"                     maximum length of the streamlines. From the Max.\n"
"                     Propagation menu, you can select the units to be either\n"
"                     Time (the time a particle would travel with steady flow)\n"
"                     or Length (in the data set's spatial coordinates). The\n"
"                     Init. Step Len. menu and entry specify the initial step\n"
"                     size for integration. (For non-adaptive integrators,\n"
"                     Runge-Kutta 2 and 4, the initial step size is used\n"
"                     throughout the integration.) The menu allows you to\n"
"                     specify the units. Time and Length have the same meaning\n"
"                     as for Max. Propagation. Cell Length specifies the step\n"
"                     length as a number of cells. The Integration Direction\n"
"                     menu determines in which direction(s) the stream trace\n"
"                     will be generated: FORWARD, BACKWARD, or BOTH. The\n"
"                     Integrator Type section of the interface determines which\n"
"                     calculation to use for integration: Runge-Kutta 2,\n"
"                     Runge-Kutta 4, or Runge-Kutta 4-5. If Runge-Kutta 4-5 is\n"
"                     selected, controls are displayed for specifying the\n"
"                     minimum and maximum step length and the maximum error. The\n"
"                     controls for specifying Min. Step Len. and Max. Step Len.\n"
"                     are the same as those for Init. Step Len. The Runge-Kutta\n"
"                     4-5 integrator tries to choose the step size so that the\n"
"                     estimated error is less than the value of the Maximum\n"
"                     Error entry. If the integration takes more than Max. Steps\n"
"                     to complete, if the speed goes below Term. Speed, if Max.\n"
"                     Propagation is reached, or if a boundary of the input data\n"
"                     set is crossed, integration terminates. This filter\n"
"                     operates on any type of data set, provided it has\n"
"                     point-centered vectors. The output is polygonal data\n"
"                     containing polylines.</Documentation>\n"
"      <InputProperty clean_command=\"RemoveAllInputs\"\n"
"                     command=\"AddInputConnection\"\n"
"                     multiple_input=\"1\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkGenericDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"3\" />\n"
"        <Documentation>Set the input to the Generic Stream Tracer\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetSourceConnection\"\n"
"                     label=\"Seed Type\"\n"
"                     name=\"Source\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Group name=\"seed_sources\"/>\n"
"        </ProxyListDomain>\n"
"        <Documentation>The value of this property determines how the seeds for\n"
"        the streamlines will be generated.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vectors\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property contains the name of the vector array from\n"
"        which to generate streamlines.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumPropagation\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"MaximumPropagation\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain mode=\"scaled_extent\"\n"
"                      name=\"bounds\"\n"
"                      scale_factor=\"1.0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>Specify the maximum streamline length.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetInitialIntegrationStep\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"InitialIntegrationStep\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Specify the initial integration step.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetIntegrationDirection\"\n"
"                         default_values=\"2\"\n"
"                         name=\"IntegrationDirection\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"FORWARD\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"BACKWARD\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"BOTH\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property determines in which direction(s) a\n"
"        streamline is generated.</Documentation>\n"
"      </IntVectorProperty>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeneric.xml
static const char* const paraview_server_managerfilters_filtersgenericInterface2 =
"      <IntVectorProperty command=\"SetIntegratorType\"\n"
"                         default_values=\"2\"\n"
"                         name=\"IntegratorType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Runge-Kutta 2\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Runge-Kutta 4\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Runge-Kutta 4-5\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property determines which integrator (with\n"
"        increasing accuracy) to use for creating streamlines.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumError\"\n"
"                            default_values=\"0.000001\"\n"
"                            name=\"MaximumError\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Set the maximum error allowed in the integration. The\n"
"        meaning of this value depends on the integrator chosen.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMinimumIntegrationStep\"\n"
"                            default_values=\"0.01\"\n"
"                            name=\"MinimumIntegrationStep\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Specify the minimum integration step.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetIntegrationStepUnit\"\n"
"                         default_values=\"2\"\n"
"                         name=\"IntegrationStepUnit\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Time\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Length\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Cell Length\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Choose the unit to use for the integration\n"
"        step.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumIntegrationStep\"\n"
"                            default_values=\"0.01\"\n"
"                            name=\"MaximumIntegrationStep\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Specify the maximum integration step.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaximumNumberOfSteps\"\n"
"                         default_values=\"2000\"\n"
"                         name=\"MaximumNumberOfSteps\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>Specify the maximum number of steps used in the\n"
"        integration.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTerminalSpeed\"\n"
"                            default_values=\"0.000000000001\"\n"
"                            name=\"TerminalSpeed\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>If at any point the speed is below this value, the\n"
"        integration is terminated.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\" />\n"
"      </Hints>\n"
"      <!-- End GenericStreamTracer -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersgenericGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersgenericInterface0);
  const size_t len1 = strlen(paraview_server_managerfilters_filtersgenericInterface1);
  const size_t len2 = strlen(paraview_server_managerfilters_filtersgenericInterface2);
  size_t len = ( 0
    + len0
    + len1
    + len2 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersgenericInterface0, paraview_server_managerfilters_filtersgenericInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerfilters_filtersgenericInterface1, paraview_server_managerfilters_filtersgenericInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerfilters_filtersgenericInterface2, paraview_server_managerfilters_filtersgenericInterface2 + len2, res + offset); offset += len2;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersgeometry.xml
static const char* const paraview_server_managerfilters_filtersgeometryInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkDataSetRegionSurfaceFilter\"\n"
"                 label=\"Extract Region Surface\"\n"
"                 name=\"DataSetRegionSurfaceFilter\">\n"
"      <Documentation long_help=\"Extract a 2D boundary surface using neighbor relations to eliminate internal faces.\"\n"
"                     short_help=\"Extract 2D boundary surface.\">The Extract\n"
"                     Surface filter extracts the polygons forming the outer\n"
"                     surface of the input dataset. This filter operates on any\n"
"                     type of data and produces polygonal data as\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Extract Surface\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetPieceInvariant\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PieceInvariant\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is set to 1, internal\n"
"        surfaces along process boundaries will be removed. NOTE: Enabling this\n"
"        option might cause multiple executions of the data source because more\n"
"        information is needed to remove internal surfaces.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNonlinearSubdivisionLevel\"\n"
"                         default_values=\"1\"\n"
"                         name=\"NonlinearSubdivisionLevel\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"4\"\n"
"                        min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>If the input is an unstructured grid with nonlinear\n"
"        faces, this parameter determines how many times the face is subdivided\n"
"        into linear faces. If 0, the output is the equivalent of its linear\n"
"        counterpart (and the midpoints determining the nonlinear interpolation\n"
"        are discarded). If 1, the nonlinear face is triangulated based on the\n"
"        midpoints. If greater than 1, the triangulated pieces are recursively\n"
"        subdivided to reach the desired subdivision. Setting the value to\n"
"        greater than 1 may cause some point data to not be passed even if no\n"
"        quadratic faces exist. This option has no effect if the input is not an\n"
"        unstructured grid.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetRegionArrayName\"\n"
"                            default_values=\"material\"\n"
"                            name=\"RegionArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>This property specifies the name of the material\n"
"        array for generating parts.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetSingleSided\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SingleSided\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is set to 1 (the default),\n"
"        surfaces along the boundary are 1 layer thick. Otherwise there is\n"
"        a surface for the material on each side.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetMaterialPropertiesName\"\n"
"                            default_values=\"material_properties\"\n"
"                            name=\"MaterialPropertiesName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>This the name of the input material property field data array</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetMaterialIDsName\"\n"
"                            default_values=\"material_ids\"\n"
"                            name=\"MaterialIDsName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>This the name of the input and output material id field data array</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetMaterialPIDsName\"\n"
"                            default_values=\"material_ancestors\"\n"
"                            name=\"MaterialPIDsName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>This the name of the output material ancestry id field data array</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetInterfaceIDsName\"\n"
"                            default_values=\"interface_ids\"\n"
"                            name=\"InterfaceIDsName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>This the name of the input and output interface id field data array</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End DataSetRegionSurfaceFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGeometryFilter\"\n"
"                 label=\"Extract Surface\"\n"
"                 name=\"DataSetSurfaceFilter\">\n"
"      <Documentation long_help=\"Extract a 2D boundary surface using neighbor relations to eliminate internal faces.\"\n"
"                     short_help=\"Extract 2D boundary surface.\">\n"
"        The Extract Surface filter extracts the polygons forming the outer\n"
"        surface of the input dataset. This filter operates on any type of data\n"
"        and produces polygonal data as output.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the Extract Surface filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetPieceInvariant\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PieceInvariant\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If the value of this property is set to 1, internal surfaces along process\n"
"          boundaries will be removed. NOTE: Enabling this option might cause multiple\n"
"          executions of the data source because more information is needed to remove internal surfaces.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNonlinearSubdivisionLevel\"\n"
"                         default_values=\"1\"\n"
"                         name=\"NonlinearSubdivisionLevel\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"4\"\n"
"                        min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>\n"
"          If the input is an unstructured grid with nonlinear\n"
"          faces, this parameter determines how many times the face is subdivided\n"
"          into linear faces. If 0, the output is the equivalent of its linear\n"
"          counterpart (and the midpoints determining the nonlinear interpolation\n"
"          are discarded). If 1, the nonlinear face is triangulated based on the\n"
"          midpoints. If greater than 1, the triangulated pieces are recursively\n"
"          subdivided to reach the desired subdivision. Setting the value to\n"
"          greater than 1 may cause some point data to not be passed even if no\n"
"          quadratic faces exist. This option has no effect if the input is not an\n"
"          unstructured grid.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetFastMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FastMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When enabled, the filter may use approxiamte algorithm for extracting\n"
"          the exterior surface at the risk not being highly accurate.\n"
"          This may miss interior faces, for example, for structured data with blanking\n"
"          for better speed.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetRemoveGhostInterfaces\"\n"
"                         default_values=\"1\"\n"
"                         name=\"RemoveGhostInterfaces\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Set whether Ghost interfaces will be removed. When you are rendering you want to remove ghost interfaces.\n"
"          There are certain algorithms though that need the ghost interfaces.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End DataSetSurfaceFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkImageDataToUniformGrid\"\n"
"                 label=\"Image Data To Uniform Grid\"\n"
"                 name=\"ImageDataToUniformGrid\">\n"
"      <Documentation long_help=\"Create a uniform grid from an image data by specified blanking arrays.\"\n"
"                     short_help=\"Create a uniform grid from an image data.\">\n"
"        Create a vtkUniformGrid from a vtkImageData by passing in arrays to be used\n"
"        for point and/or cell blanking. By default, values of 0 in the specified\n"
"        array will result in a point or cell being blanked. Use Reverse to switch this.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\"/>\n"
"          <DataType value=\"vtkCompositeDataSet\" child_match=\"any\">\n"
"            <DataType value=\"vtkImageData\" />\n"
"          </DataType>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>Specify the array to use for blanking.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetReverse\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Reverse\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Reverse the array value to whether or not a point or cell is blanked.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End ImageDataToUniformGrid -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkRectilinearGridGeometryFilter\"\n"
"                 name=\"RectilinearGridGeometryFilter\">\n"
"      <Documentation long_help=\"Extracts geometry for a rectilinear grid.  Output is a polydata dataset.\"\n"
"                     short_help=\"Extracts geometry for a rectilinear grid.\">\n"
"                     RectilinearGridGeometryFilter is a filter that extracts\n"
"                     geometry from a rectilinear grid. By specifying\n"
"                     appropriate i-j-k indices, it is possible to extract a\n"
"                     point, a curve, a surface, or a \"volume\". The volume is\n"
"                     actually a (n x m x o) region of points. The extent\n"
"                     specification is zero-offset. That is, the first k-plane\n"
"                     in a 50x50x50 rectilinear grid is given by (0,49, 0,49,\n"
"                     0,0).</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Rectilinear Grid Geometry\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End RectilinearGridGeometryFilter -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersgeometryGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersgeometryInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersgeometryInterface0, paraview_server_managerfilters_filtersgeometryInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersparallel.xml
static const char* const paraview_server_managerfilters_filtersparallelInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- filters in VTK::FiltersParallel module -->\n"
"  <ProxyGroup name=\"internal_filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPProbeFilter\"\n"
"                 name=\"ProbeLineLegacy\">\n"
"      <Deprecated deprecated_in=\"5.10\" to_remove_in=\"5.12\">\n"
"        This has been replaced by 'ProbeLine'. Please consider\n"
"        using that instead.\n"
"      </Deprecated>\n"
"      <Documentation>Internal filter used by (filters, ProbeLine). The Plot\n"
"      Over Line filter samples the data set attributes of the current data set\n"
"      at the points along a line. The values of the point-centered variables\n"
"      along that line will be displayed in an XY Plot. This filter uses\n"
"      interpolation to determine the values at the selected point, whether or\n"
"      not it lies at an input point. The Probe filter operates on any type of\n"
"      data and produces polygonal output (a line).</Documentation>\n"
"      <InputProperty command=\"SetSourceConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" />\n"
"        <Documentation>This property specifies the dataset from which to obtain\n"
"        probe values.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     label=\"Probe Type\"\n"
"                     name=\"Source\"\n"
"                     panel_visibility=\"default\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"extended_sources\"\n"
"                 name=\"HighResLineSource\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property specifies the dataset whose geometry will\n"
"        be used in determining positions to probe.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetPassPartialArrays\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PassPartialArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>When dealing with composite datasets, partial arrays are\n"
"        common i.e. data-arrays that are not available in all of the blocks. By\n"
"        default, this filter only passes those point and cell data-arrays that\n"
"        are available in all the blocks i.e. partial array are removed. When\n"
"        PassPartialArrays is turned on, this behavior is changed to take a\n"
"        union of all arrays present thus partial arrays are passed as well.\n"
"        However, for composite dataset input, this filter still produces a\n"
"        non-composite output. For all those locations in a block of where a\n"
"        particular data array is missing, this filter uses vtkMath::Nan() for\n"
"        double and float arrays, while 0 for all other types of arrays i.e int,\n"
"        char etc.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassCellArrays\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassCellArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        When set the input's cell data arrays are shallow copied to the output.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassPointArrays\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassPointArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        When set the input's point data arrays are shallow copied to the output.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetPassFieldArrays\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PassFieldArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Set whether to pass the field-data arrays from the Input i.e. the input\n"
"        providing the geometry to the output. On by default.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetComputeTolerance\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeTolerance\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Set whether to compute the tolerance or to use a user provided\n"
"        value. On by default.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetTolerance\"\n"
"                            default_values=\"2.2204460492503131e-16\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain min=\"2.2204460492503131e-16\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"ComputeTolerance\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the tolerance to use for\n"
"        vtkDataSet::FindCell</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End ProbeLineLegacy -->\n"
"    </SourceProxy>\n"
"    <Proxy name=\"ProbeLineGenericProxy\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" />\n"
"        <Documentation>This property specifies the dataset from which to obtain\n"
"        probe values.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetSamplingPattern\"\n"
"                         name=\"SamplingPattern\"\n"
"                         default_values=\"2\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Sample At Cell Boundaries\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Sample At Segment Centers\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Sample Uniformly\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          \"Sample At Cell Boundaries\" gives the most accurate plots by creating probing points at the cell borders.\n"
"          \"Sample At Segment Centers\" provides one sample per probed cell located at the middle of the line intersecting the cell.\n"
"          \"Sample Uniformally\" samples uniformally along the input line.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLineResolution\"\n"
"                         name=\"Resolution\"\n"
"                         default_values=\"1000\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"SamplingPattern\"\n"
"                                   value=\"2\" />\n"
"          <!-- show this widget when SamplingPattern==2 -->\n"
"        </Hints>\n"
"        <Documentation>This property sets the line resolution if sampling pattern is set to\n"
"          \"Sample Uniformly\".</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassPartialArrays\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PassPartialArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>When dealing with composite datasets, partial arrays are\n"
"        common i.e. data-arrays that are not available in all of the blocks. By\n"
"        default, this filter only passes those point and cell data-arrays that\n"
"        are available in all the blocks i.e. partial arrays are removed. When\n"
"        PassPartialArrays is turned on, this behavior is changed to take a\n"
"        union of all arrays present thus partial arrays are passed as well.\n"
"        However, for composite dataset input, this filter still produces a\n"
"        non-composite output. For all those locations in a block of where a\n"
"        particular data array is missing, this filter uses vtkMath::Nan() for\n"
"        double and float arrays, and 0 for all other types of arrays i.e int,\n"
"        char etc.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassCellArrays\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassCellArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        When set the input cell data arrays are shallow copied to the output.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassPointArrays\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassPointArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        When set the input point data arrays are shallow copied to the output.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassFieldArrays\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PassFieldArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Set whether to pass the field-data arrays from the Input i.e. the input\n"
"        providing the geometry to the output.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeTolerance\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeTolerance\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Set whether to compute the tolerance or to use a user provided\n"
"        value.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTolerance\"\n"
"                            default_values=\"2.2204460492503131e-16\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain min=\"2.2204460492503131e-16\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"ComputeTolerance\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the tolerance to use for\n"
"        vtkDataSet::FindCell</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"        <View type=\"XYChartView\" also_show_in_current_view=\"1\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPartitionBalancer\"\n"
"                 name=\"PartitionBalancer\">\n"
"      <Documentation short_help=\"Evens the number of partitions across ranks\">\n"
"        Evens the number of partitions across ranks, while discarding empty partitions of the input\n"
"        There are two ways this filter will\n"
"        balance the input. If Squash is selected, empty partitions are appended to\n"
"        ranks having less partitions than the rank with the most partitions. If\n"
"        Expand is selected, then the number of partitions in the output is equal\n"
"        to the number of partitions if all partitions were sent to one rank.\n"
"        For a given rank, the indices of non empty partitions in the output\n"
"        map to empty partitions in every other ranks.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"Mode\"\n"
"        command=\"SetMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Expand\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Squash\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Set the method for balancing partitions\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End PartitionBalancer -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPProbeFilter\"\n"
"                 label=\"Probe Location\"\n"
"                 name=\"ProbePoint\">\n"
"      <Documentation long_help=\"Sample data attributes at the points in a point cloud.\"\n"
"                     short_help=\"Sample data values at the points in a point cloud.\">\n"
"                     The Probe filter samples the data set attributes of the\n"
"                     current data set at the points in a point cloud. The Probe\n"
"                     filter uses interpolation to determine the values at the\n"
"                     selected point, whether or not it lies at an input point.\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersparallel.xml
static const char* const paraview_server_managerfilters_filtersparallelInterface1 =
"                     The Probe filter operates on any type of data and produces\n"
"                     polygonal output (a point cloud).</Documentation>\n"
"      <InputProperty command=\"SetSourceConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" />\n"
"        <Documentation>This property specifies the dataset from which to obtain\n"
"        probe values.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     label=\"Probe Type\"\n"
"                     name=\"Source\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"extended_sources\"\n"
"                 name=\"FixedRadiusPointSource\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property specifies the dataset whose geometry will\n"
"        be used in determining positions to probe.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetPassFieldArrays\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PassFieldArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Set whether to pass the field-data arrays from the Input i.e. the input\n"
"        providing the geometry to the output. On by default.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetComputeTolerance\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeTolerance\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"        Set whether to compute the tolerance or to use a user provided\n"
"        value. On by default.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetTolerance\"\n"
"                            default_values=\"2.2204460492503131e-16\"\n"
"                            name=\"Tolerance\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"ComputeTolerance\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>Set the tolerance to use for\n"
"        vtkDataSet::FindCell</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"        <View type=\"SpreadSheetView\" />\n"
"      </Hints>\n"
"      <!-- End ProbePoint -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <CompoundSourceProxy label=\"Plot Over Line Legacy\"\n"
"                         name=\"ProbeLineLegacy\">\n"
"      <Documentation long_help=\"Sample data attributes at the points along a line.  Probed lines will be displayed in a graph of the attributes.\"\n"
"                     short_help=\"Sample data values at the points along a line.\">\n"
"                     The Plot Over Line filter samples the data set attributes\n"
"                     of the current data set at the points along a line. The\n"
"                     values of the point-centered variables along that line\n"
"                     will be displayed in an XY Plot. This filter uses\n"
"                     interpolation to determine the values at the selected\n"
"                     point, whether or not it lies at an input point. The Probe\n"
"                     filter operates on any type of data and produces polygonal\n"
"                     output (a line).</Documentation>\n"
"      <Deprecated deprecated_in=\"5.10\" to_remove_in=\"5.12\">\n"
"        This has been replaced by 'ProbeLine'. Please consider\n"
"        using that instead.\n"
"      </Deprecated>\n"
"      <Proxy compound_name=\"PlotOverLine1\"\n"
"             group=\"internal_filters\"\n"
"             id=\"491\"\n"
"             servers=\"1\"\n"
"             type=\"ProbeLineLegacy\" />\n"
"      <Proxy compound_name=\"AppendArcLength1\"\n"
"             group=\"filters\"\n"
"             id=\"588\"\n"
"             servers=\"1\"\n"
"             type=\"AppendArcLength\">\n"
"        <Property id=\"588.Input\"\n"
"                  name=\"Input\"\n"
"                  number_of_elements=\"1\">\n"
"          <Proxy output_port=\"0\"\n"
"                 value=\"491\" />\n"
"        </Property>\n"
"      </Proxy>\n"
"      <ExposedProperties>\n"
"        <Property exposed_name=\"Input\"\n"
"                  name=\"Input\"\n"
"                  proxy_name=\"PlotOverLine1\" />\n"
"        <Property exposed_name=\"Source\"\n"
"                  name=\"Source\"\n"
"                  proxy_name=\"PlotOverLine1\" />\n"
"        <Property exposed_name=\"PassPartialArrays\"\n"
"                  name=\"PassPartialArrays\"\n"
"                  proxy_name=\"PlotOverLine1\" />\n"
"        <Property exposed_name=\"ComputeTolerance\"\n"
"                  name=\"ComputeTolerance\"\n"
"                  proxy_name=\"PlotOverLine1\" />\n"
"        <Property exposed_name=\"Tolerance\"\n"
"                  name=\"Tolerance\"\n"
"                  proxy_name=\"PlotOverLine1\" />\n"
"      </ExposedProperties>\n"
"      <OutputPort name=\"Output\"\n"
"                  port_index=\"0\"\n"
"                  proxy=\"AppendArcLength1\" />\n"
"      <!-- End ProbeLineLegacy -->\n"
"    </CompoundSourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkProbeLineFilter\"\n"
"                 base_proxygroup=\"internal_filters\"\n"
"                 base_proxyname=\"ProbeLineGenericProxy\"\n"
"                 label=\"Plot Over Lines From Custom Source\"\n"
"                 name=\"ProbeCustomLines\">\n"
"      <Documentation>The Plot Over Lines From Custom Source filter samples the dataset\n"
"      attributes of the input data set at the points along multiple lines given by the source\n"
"      dataset. The values of the point-centered variables along these lines will be\n"
"      displayed in an XY Plot. This filter uses interpolation to determine the values\n"
"      at the selected point, whether or not it lies at an input point. This filter\n"
"      operates on any type of data and produces polygonal output (a polyline). One\n"
"      can use different sampling patterns with this filter. \"Sample At Cell Boundaries\"\n"
"      gives the most accurate plots, \"Sample At Segment Centers\" provides one sample\n"
"      per probed cells, and \"Sample Uniformally\" samples uniformally along the input\n"
"      line.</Documentation>\n"
"      <InputProperty command=\"SetSourceConnection\"\n"
"                     name=\"Source\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the dataset from which to obtain\n"
"        the probing lines locations.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetAggregateAsPolyData\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AggregateAsPolyData\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <Documentation>\n"
"          If false then each result from an input line to probe results in a block in a\n"
"          vtkMultiBlockDataSet. If true then each block is aggregated as a cell in a\n"
"          single dataset and the output type of the filter becomes a vtkPolyData. Should\n"
"          always be false for this filter.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAggregateDataSetFilter\"\n"
"                 label=\"Aggregate Dataset\"\n"
"                 name=\"AggregateDataSet\">\n"
"      <Documentation long_help=\"This filter aggregates a dataset onto a subset of processes.\"\n"
"                     short_help=\"Aggregate a dataset onto a subset of processes.\">\n"
"        This filter aggregates a dataset onto a subset of processes.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfTargetProcesses\"\n"
"                         default_values=\"1\"\n"
"                         name=\"NumberOfTargetProcesses\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>This property specifies the number of target processes to\n"
"        aggregate the dataset onto.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End AggregateDataSet -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAngularPeriodicFilter\"\n"
"                 label=\"Angular Periodic Filter\"\n"
"                 name=\"AngularPeriodicFilter\">\n"
"      <Documentation long_help=\"This filter generate a periodic multiblock dataset.\"\n"
"                     short_help=\"Periodic Filter.\">This filter generate a periodic\n"
"                     multiblock dataset</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Periodic filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty clean_command=\"RemoveAllIndices\"\n"
"                         command=\"AddIndex\"\n"
"                         name=\"BlockIndices\"\n"
"                         number_of_elements_per_command=\"1\"\n"
"                         panel_visibility=\"default\"\n"
"                         repeat_command=\"1\">\n"
"        <CompositeTreeDomain mode=\"leaves\"\n"
"                             name=\"tree\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </CompositeTreeDomain>\n"
"        <Hints>\n"
"          <WidgetHeight number_of_rows=\"20\" />\n"
"        </Hints>\n"
"        <Documentation>This property lists the ids of the blocks to make periodic\n"
"        from the input multiblock dataset.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetIterationMode\"\n"
"                         default_values=\"1\"\n"
"                         name=\"IterationMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Manual\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Maximum\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property specifies the mode of iteration, either a user-provided number\n"
"        of periods, or the maximum number of periods to rotate to 360 degrees.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetNumberOfPeriods\"\n"
"                         default_values=\"3\"\n"
"                         name=\"NumberOfPeriods\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"IterationMode\"\n"
"                                   value=\"0\" />\n"
"          <!-- show this widget when IterationMode==0 -->\n"
"        </Hints>\n"
"        <Documentation>This property specifies the number of iteration</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetRotationMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RotationMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Direct Angle\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Array Value\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property specifies the mode of rotation, either from a user provided\n"
"        angle or from an array in the data.</Documentation>\n"
"\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetRotationAngle\"\n"
"                            default_values=\"10\"\n"
"                            name=\"RotationAngle\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"RotationMode\"\n"
"                                   value=\"0\" />\n"
"          <!-- show this widget when RotationMode==0 -->\n"
"        </Hints>\n"
"        <Documentation>Rotation angle in degree.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetRotationArrayName\"\n"
"                            name=\"RotationArrayName\"\n"
"                            default_values=\"periodic angle\"\n"
"                            number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"RotationMode\"\n"
"                                   value=\"1\" />\n"
"          <!-- show this widget when RotationMode==1 -->\n"
"        </Hints>\n"
"        <Documentation>Field array name that contains the rotation angle in radians.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetRotationAxis\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Axis\"\n"
"                         number_of_elements=\"1\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersparallel.xml
static const char* const paraview_server_managerfilters_filtersparallelInterface2 =
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Axis X\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Axis Y\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Axis Z\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property specifies the axis of rotation</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the 3D coordinates for the\n"
"        center of the rotation.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeRotationsOnTheFly\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeRotationsOnTheFly\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <Documentation>\n"
"        Specify whether the rotations should be computed on-the-fly, which is\n"
"        compute intensive, or if the arrays should be explicitly generated and\n"
"        stored, at the cost of using more memory.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <RepresentationType view=\"RenderView\" type=\"Outline\" />\n"
"      </Hints>\n"
"      <!-- End AngularPeriodicFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkDistributedDataFilter\"\n"
"                 label=\"D3\"\n"
"                 name=\"D3\">\n"
"      <Documentation long_help=\"Repartition a data set into load-balanced spatially convex regions.  Create ghost cells if requested.\"\n"
"                     short_help=\"Repartition a data set.\">The D3 filter is\n"
"                     available when ParaView is run in parallel. It operates on\n"
"                     any type of data set to evenly divide it across the\n"
"                     processors into spatially contiguous regions. The output\n"
"                     of this filter is of type unstructured\n"
"                     grid.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the D3\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetBoundaryMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"BoundaryMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Assign cells uniquely\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Duplicate cells\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Divide cells\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property determines how cells that lie on processor\n"
"        boundaries are handled. The \"Assign cells uniquely\" option assigns each\n"
"        boundary cell to exactly one process, which is useful for isosurfacing.\n"
"        Selecting \"Duplicate cells\" causes the cells on the boundaries to be\n"
"        copied to each process that shares that boundary. The \"Divide cells\"\n"
"        option breaks cells across process boundary lines so that pieces of the\n"
"        cell lie in different processes. This option is useful for volume\n"
"        rendering.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseMinimalMemory\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Minimal Memory\"\n"
"                         name=\"UseMinimalMemory\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the D3 filter requires\n"
"        communication routines to use minimal memory than without this\n"
"        restriction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMinimumGhostLevel\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Minimum Number Of Ghost Levels\"\n"
"                         name=\"MinimumGhostLevel\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>The minimum number of ghost levels to add to each\n"
"        processor's output. If the pipeline also requests ghost levels, the\n"
"        larger value will be used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End D3 -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractCTHPart\"\n"
"                 label=\"Extract CTH Parts\"\n"
"                 name=\"CTHPart\">\n"
"      <Documentation long_help=\"Create a surface from a CTH volume fraction.\"\n"
"                     short_help=\"Extract a part from a CTH dataset.\">Extract\n"
"                     CTH Parts is a specialized filter for visualizing the data\n"
"                     from a CTH simulation. It first converts the selected\n"
"                     cell-centered arrays to point-centered ones. It then\n"
"                     contours each array at a value of 0.5. The user has the\n"
"                     option of clipping the resulting surface(s) with a plane.\n"
"                     This filter only operates on unstructured data. It\n"
"                     produces polygonal output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"        <Documentation>This property specifies the input to the Extract CTH\n"
"        Parts filter.</Documentation>\n"
"      </InputProperty>\n"
"      <ProxyProperty command=\"SetClipPlane\"\n"
"                     label=\"Clip Type\"\n"
"                     name=\"ClipPlane\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"implicit_functions\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"implicit_functions\"\n"
"                 name=\"None\" />\n"
"          <Proxy group=\"implicit_functions\"\n"
"                 name=\"Plane\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>This property specifies whether to clip the dataset, and\n"
"        if so, it also specifies the parameters of the plane with which to\n"
"        clip.</Documentation>\n"
"      </ProxyProperty>\n"
"      <StringVectorProperty clean_command=\"RemoveVolumeArrayNames\"\n"
"                            command=\"AddVolumeArrayName\"\n"
"                            label=\"Volume Arrays\"\n"
"                            name=\"VolumeArrays\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>This property specifies the name(s) of the volume\n"
"        fraction array(s) for generating parts.</Documentation>\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetVolumeFractionSurfaceValue\"\n"
"                            default_values=\"0.45\"\n"
"                            label=\"Volume Fraction Value\"\n"
"                            name=\"VolumeFractionSurfaceValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property is the volume fraction value\n"
"        for the surface.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"CapSurfaces\"\n"
"                         command=\"SetCapping\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When enabled, volume surfaces are capped to produce visually closed\n"
"          surface.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"RemoveGhostCells\"\n"
"                         command=\"SetRemoveGhostCells\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set to false, the output surfaces will not hide contours\n"
"          extracted from ghost cells. This results in overlapping contours but\n"
"          overcomes holes.  Default is set to true.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"GenerateTriangles\"\n"
"                         command=\"SetGenerateTriangles\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Triangulate results. When set to false, the internal cut and contour filters\n"
"          are told not to triangulate results if possible.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"GenerateSolidGeometry\"\n"
"                         command=\"SetGenerateSolidGeometry\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Generate solid output with 3D cells. When set to false, 2D contours are generated.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End CTHPart -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkHyperTreeGridGhostCellsGenerator\"\n"
"                 label=\"Hyper Tree Grid Ghost Cells Generator\"\n"
"                 name=\"HyperTreeGridGhostCellsGenerator\">\n"
"      <Documentation long_help=\"Generate Ghost Cells for HyperTreeGrid.\"\n"
"                     short_help=\"Generate Ghost Cells for HyperTreeGrid.\">\n"
"                     This filter generates ghost cells for hyper tree grid for multi processing purposes.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_types\">\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specified the input to the ghost cell generator.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End vtkHyperTreeGridGhostCellsGenerator -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkIntegrateAttributes\"\n"
"                 label=\"Integrate Variables\"\n"
"                 name=\"IntegrateAttributes\">\n"
"      <Documentation long_help=\"This filter integrates cell and point attributes.\"\n"
"                     short_help=\"Integrates over lines, surfaces or vectors.\">\n"
"                     The Integrate Attributes filter integrates all point and cell data\n"
"                     attributes while computing the total length, area or volume. This filter\n"
"                     does not integrate point and cell data for 0-D cells (vertex and polyvertex).\n"
"                     If the input dataset has mixed dimensionality, only the cells of highest dimension\n"
"                     will be used for integration. Ex: In a dataset with lines, triangles\n"
"                     and hexahedra, the integration process will ignore contribution from\n"
"                     lines and triangles. When the highest dimension is 1, the sum\n"
"                     variable corresponds to the total length. Similarly, for 2-D and 3-D\n"
"                     integration the sum variable is the total area and total volume respectively.\n"
"                     The output of this filter is a single point and vertex. The attributes\n"
"                     for this point and vertex will contain the integration results for\n"
"                     the corresponding input attributes and the sum variable.\n"
"                     </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Integrate\n"
"        Attributes filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetDivideAllCellDataByVolume\"\n"
"                         name=\"DivideCellDataByVolume\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          This option concerns the output cell data. If it is turned on, then each\n"
"          value in the output cell data will be divided by the total length/area/volume.\n"
"          If the dataset is distributed among MPI nodes, the total length/volume/area\n"
"          is is the sum of the individual total contributions from all pieces.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"SpreadSheetView\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"      <!-- End IntegrateAttributes -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersparallel.xml
static const char* const paraview_server_managerfilters_filtersparallelInterface3 =
"    <SourceProxy class=\"vtkCellDataToPointData\"\n"
"                 label=\"Cell Data to Point Data\"\n"
"                 name=\"CellDataToPointData\">\n"
"      <Documentation long_help=\"Create point attributes by averaging cell attributes.\"\n"
"                     short_help=\"Convert cell data to point data.\">The Cell\n"
"                     Data to Point Data filter averages the values of the cell\n"
"                     attributes of the cells surrounding a point to compute\n"
"                     point attributes. The Cell Data to Point Data filter\n"
"                     operates on any type of data set, and the output data set\n"
"                     is of the same type as the input.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array\" />\n"
"        <Documentation>This property specifies the input to the Cell Data to\n"
"        Point Data filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetProcessAllArrays\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ProcessAllArrays\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>The value of this property controls whether all input\n"
"        cell arrays will be processed and converted into point arrays.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty clean_command=\"ClearCellDataArrays\"\n"
"                            command=\"AddCellDataArray\"\n"
"                            name=\"CellDataArrays\"\n"
"                            label=\"Cell Data Array to process\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Add a cell array by name to be converted to point array.</Documentation>\n"
"        <ArrayListDomain input_domain_name=\"input_array\" name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"ProcessAllArrays\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassCellData\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassCellData\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, then the input cell data\n"
"        is passed through to the output; otherwise, only the generated point\n"
"        data will be available in the output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPieceInvariant\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PieceInvariant\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is set to 1, this filter\n"
"        will request ghost levels so that the values at boundary points match\n"
"        across processes. NOTE: Enabling this option might cause multiple\n"
"        executions of the data source because more information is needed to\n"
"        remove internal surfaces.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End CellDataToPointData -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAdaptiveTemporalInterpolator\"\n"
"                 label=\"Temporal Interpolator\"\n"
"                 name=\"TemporalInterpolator\">\n"
"      <Documentation long_help=\"Interpolate between time steps.\"\n"
"                     short_help=\"Interpolate between time steps.\">The Temporal\n"
"                     Interpolator converts data that is defined at discrete\n"
"                     time steps to one that is defined over a continuum of time\n"
"                     by linearly interpolating the data's field data between\n"
"                     two adjacent time steps. The interpolated values are a\n"
"                     simple approximation and should not be interpreted as\n"
"                     anything more. The Temporal Interpolator assumes that the\n"
"                     topology between adjacent time steps does not\n"
"                     change.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input of the Temporal\n"
"        Interpolator.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty command=\"SetDiscreteTimeStepInterval\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"DiscreteTimeStepInterval\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>If Discrete Time Step Interval is set to 0, then the\n"
"        Temporal Interpolator will provide a continuous region of time on its\n"
"        output. If set to anything else, then the output will define a finite\n"
"        set of time points on its output, each spaced by the Discrete Time Step\n"
"        Interval. The output will have (time range)/(discrete time step\n"
"        interval) time steps. (Note that the time range is defined by the time\n"
"        range of the data of the input filter, which may be different from\n"
"        other pipeline objects or the range defined in the animation\n"
"        inspector.) This is a useful option to use if you have a dataset with\n"
"        one missing time step and wish to 'fill in' the missing data with an\n"
"        interpolated value from the steps on either side.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimeRange\">\n"
"        <TimeRangeInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetResampleFactor\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ResampleFactor\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\" name=\"range\" />\n"
"        <Documentation>When ResampleFactor is a non zero positive integer, each pair\n"
"          of input time steps will be interpolated between with the number\n"
"          of steps specified. For example an input of 1,2,3,4,5 and a resample factor\n"
"          of 10, will produce steps 0f 1.0, 1.1, 1.2, ..., 1.9, 2.0.\n"
"          Irregular input steps will produce irregular output steps.\n"
"          Resample factor will only be used if DiscreteTimeStepInterval is zero,\n"
"          otherwise the DiscreteTimeStepInterval takes precedence</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End TemporalInterpolator -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPMaskPoints\"\n"
"                 label=\"Mask Points\"\n"
"                 name=\"MaskPoints\">\n"
"      <Documentation long_help=\"Reduce the number of points.  This filter is often used before glyphing. Generating vertices is an option.\"\n"
"                     short_help=\"Reduce the number of points.\">The Mask Points\n"
"                     filter reduces the number of points in the dataset. It\n"
"                     operates on any type of dataset, but produces only points\n"
"                     / vertices as output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Mask Points\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetOnRatio\"\n"
"                         default_values=\"2\"\n"
"                         name=\"OnRatio\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property specifies that every\n"
"        OnStride-th points will be retained in the output when not using Random\n"
"        (the skip or stride size for point ids). (For example, if the on ratio\n"
"        is 3, then the output will contain every 3rd point, up to the the\n"
"        maximum number of points.)</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaximumNumberOfPoints\"\n"
"                         default_values=\"5000\"\n"
"                         label=\"Maximum Number of Points\"\n"
"                         name=\"MaximumNumberOfPoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property indicates the maximum number\n"
"        of points in the output dataset.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetProportionalMaximumNumberOfPoints\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Proportionally Distribute Maximum Number Of Points\"\n"
"                         name=\"ProportionalMaximumNumberOfPoints\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When this is off, the maximum number of points is taken\n"
"        per processor when running in parallel (total number of points = number\n"
"        of processors * maximum number of points). When this is on, the maximum\n"
"        number of points is proportionally distributed across processors\n"
"        depending on the number of points per processor\n"
"        (\"total number of points\" is the same as \"maximum number of points\"\n"
"         maximum number of points per processor = number of points on a processor\n"
"         * maximum number of points / total number of points across all processors\n"
"        ).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetOffset\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Offset\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property indicates the starting point\n"
"        id in the ordered list of input points from which to start\n"
"        masking.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRandomMode\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Random Sampling\"\n"
"                         name=\"RandomMode\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is set to true, then the\n"
"        points in the output will be randomly selected from the input in\n"
"        various ways set by Random Mode; otherwise this filter will subsample\n"
"        point ids regularly.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRandomModeType\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Random Sampling Mode\"\n"
"                         name=\"RandomModeType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Randomized Id Strides\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Random Sampling\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Spatially Stratified Random Sampling\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Uniform Spatial Distribution (Bounds Based)\"\n"
"                 value=\"3\"/>\n"
"          <Entry text=\"Uniform Spatial Distribution (Surface Sampling)\"\n"
"                 value=\"4\"/>\n"
"          <Entry text=\"Uniform Spatial Distribution (Volume Sampling)\"\n"
"                 value=\"5\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>Randomized Id Strides picks points with random id\n"
"        increments starting at Offset (the output probably isn't a\n"
"        statistically random sample). Random Sampling generates a statistically\n"
"        random sample of the input, ignoring Offset (fast - O(sample size)).\n"
"        Spatially Stratified Random Sampling is a variant of random sampling\n"
"        that splits the points into equal sized spatial strata before randomly\n"
"        sampling (slow - O(N log N)). The Uniform Spatial Distribution (Bound\n"
"        based) samples points using random poisitions inside the bounds of\n"
"        the data set and a point locator. The Uniform Spatial Distribution\n"
"        (Surface Sampling) samples points randomly via an inverse transform on\n"
"        surface area of each cell (3D cells are ignored). The Uniform Spatial\n"
"        Distribution (Volume Sampling) samples points randomly sampled via an\n"
"        inverse transform on volume area of each cell (2D cells are ignored).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGenerateVertices\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GenerateVertices\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property specifies whether to generate vertex cells\n"
"        as the topography of the output. If set to 1, the geometry (vertices)\n"
"        will be displayed in the rendering window; otherwise no geometry will\n"
"        be displayed.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSingleVertexPerCell\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersparallel.xml
static const char* const paraview_server_managerfilters_filtersparallelInterface4 =
"                         default_values=\"0\"\n"
"                         name=\"SingleVertexPerCell\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Tell filter to only generate one vertex per cell instead\n"
"        of multiple vertices in one cell.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End MaskPoints -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPOutlineCornerFilter\"\n"
"                 label=\"Outline Corners\"\n"
"                 name=\"OutlineCornerFilter\">\n"
"      <Documentation long_help=\"This filter generates a bounding box representation of the input. It only displays the corners of the bounding box.\"\n"
"                     short_help=\"Generates corners of a bounding box.\">The\n"
"                     Outline Corners filter generates the corners of a bounding\n"
"                     box for the input dataset. This filter operates on any\n"
"                     type of dataset and produces polygonal\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Outline Corners\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty command=\"SetCornerFactor\"\n"
"                            default_values=\"0.2\"\n"
"                            name=\"CornerFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"0.5\"\n"
"                           min=\"0.001\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property sets the size of the corners\n"
"        as a percentage of the length of the corresponding bounding box\n"
"        edge.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"      <!-- End  OutlineCornerFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPOutlineFilter\"\n"
"                 label=\"Outline\"\n"
"                 name=\"OutlineFilter\">\n"
"      <Documentation long_help=\"This filter generates a bounding box representation of the input.\"\n"
"                     short_help=\"Generates a bounding box.\">The Outline filter\n"
"                     generates an axis-aligned bounding box for the input\n"
"                     dataset. This filter operates on any type of dataset and\n"
"                     produces polygonal output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkGraph\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Outline\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"      <!-- End  OutlineFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPPolyDataNormals\"\n"
"                 label=\"Generate Surface Normals\"\n"
"                 name=\"PolyDataNormals\">\n"
"      <Documentation long_help=\"This filter will produce surface normals used for smooth shading. Splitting is used to avoid smoothing across feature edges.\"\n"
"                     short_help=\"Produce surface point normals.\">This filter\n"
"                     generates surface normals at the points of the input\n"
"                     polygonal dataset to provide smooth shading of the\n"
"                     dataset. The resulting dataset is also polygonal. The\n"
"                     filter works by calculating a normal vector for each\n"
"                     polygon in the dataset and then averaging the normals at\n"
"                     the shared points.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Normals\n"
"        Generation filter.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty command=\"SetFeatureAngle\"\n"
"                            default_values=\"30\"\n"
"                            name=\"FeatureAngle\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"180\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property defines a feature edge. If\n"
"        the surface normal between two adjacent triangles is at least as large\n"
"        as this Feature Angle, a feature edge exists. If Splitting is on,\n"
"        points are duplicated along these feature edges. (See the Splitting\n"
"        property.)</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetSplitting\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Splitting\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property controls the splitting of sharp edges. If\n"
"        sharp edges are split (property value = 1), then points are duplicated\n"
"        along these edges, and separate normals are computed for both sets of\n"
"        points to give crisp (rendered) surface definition.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetConsistency\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Consistency\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>The value of this property controls whether consistent\n"
"        polygon ordering is enforced. Generally the normals for a data set\n"
"        should either all point inward or all point outward. If the value of\n"
"        this property is 1, then this filter will reorder the points of cells\n"
"        that whose normal vectors are oriented the opposite direction from the\n"
"        rest of those in the data set.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFlipNormals\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FlipNormals\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is 1, this filter will\n"
"        reverse the normal direction (and reorder the points accordingly) for\n"
"        all polygons in the data set; this changes front-facing polygons to\n"
"        back-facing ones, and vice versa. You might want to do this if your\n"
"        viewing position will be inside the data set instead of outside of\n"
"        it.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNonManifoldTraversal\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Non-Manifold Traversal\"\n"
"                         name=\"NonManifoldTraversal\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turn on/off traversal across non-manifold edges. Not\n"
"        traversing non-manifold edges will prevent problems where the\n"
"        consistency of polygonal ordering is corrupted due to topological\n"
"        loops.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeCellNormals\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeCellNormals\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This filter computes the normals at the points in the\n"
"        data set. In the process of doing this it computes polygon normals too.\n"
"        If you want these normals to be passed to the output of this filter,\n"
"        set the value of this property to 1.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPieceInvariant\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PieceInvariant\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turn this option to to produce the same results\n"
"        regardless of the number of processors used (i.e., avoid seams along\n"
"        processor boundaries). Turn this off if you do want to process ghost\n"
"        levels and do not mind seams.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End  PolyDataNormals -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPReflectionFilter\"\n"
"                 label=\"Reflect\"\n"
"                 name=\"ReflectionFilter\">\n"
"      <Documentation long_help=\"This filter takes the union of the input and its reflection over an axis-aligned plane.\"\n"
"                     short_help=\"Reflect input over an axis aligned plane.\">The\n"
"                     Reflect filter reflects the input dataset across the\n"
"                     specified plane. This filter operates on any type of data\n"
"                     set and produces an unstructured grid\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Reflect\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetPlane\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Plane\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"X Min\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Y Min\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Z Min\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"X Max\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Y Max\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Z Max\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"X\"\n"
"                 value=\"6\" />\n"
"          <Entry text=\"Y\"\n"
"                 value=\"7\" />\n"
"          <Entry text=\"Z\"\n"
"                 value=\"8\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The value of this property determines which plane to\n"
"        reflect across. If the value is X, Y, or Z, the value of the Center\n"
"        property determines where the plane is placed along the specified axis.\n"
"        The other six options (X Min, X Max, etc.) place the reflection plane\n"
"        at the specified face of the bounding box of the input\n"
"        dataset.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCenter\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>If the value of the Plane property is X, Y, or Z, then\n"
"        the value of this property specifies the center of the reflection\n"
"        plane.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetCopyInput\"\n"
"                         default_values=\"1\"\n"
"                         name=\"CopyInput\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the output will contain\n"
"        the union of the input dataset and its reflection. Otherwise the output\n"
"        will contain only the reflection of the input data.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFlipAllInputArrays\"\n"
"                         default_values=\"1\"\n"
"                         name=\"FlipAllInputArrays\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation> If off, only Vectors, Normals and Tensors will be flipped.\n"
"        If on, all 3-component data arrays ( considered as 3D vectors),\n"
"        6-component data arrays (considered as symmetric tensors),\n"
"        9-component data arrays (considered as tensors ) of signed type will be flipped.\n"
"        All other arrays won't be flipped and will only be copied.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ReflectionFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkProcessIdScalars\"\n"
"                 label=\"Process Id Scalars\"\n"
"                 name=\"ProcessIdScalars\">\n"
"      <Documentation long_help=\"This filter uses colors to show how data is partitioned across processes.\"\n"
"                     short_help=\"Generate point scalars from process id.\">The\n"
"                     Process Id Scalars filter assigns a unique scalar value to\n"
"                     each piece of the input according to which processor it\n"
"                     resides on. This filter operates on any type of data when\n"
"                     ParaView is run in parallel. It is useful for determining\n"
"                     whether your data is load-balanced across the processors\n"
"                     being used. The output data set type is the same as that\n"
"                     of the input.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Process Id\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersparallel.xml
static const char* const paraview_server_managerfilters_filtersparallelInterface5 =
"        Scalars filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetRandomMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RandomMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>The value of this property determines whether to use\n"
"        random id values for the various pieces. If set to 1, the unique value\n"
"        per piece will be chosen at random; otherwise the unique value will\n"
"        match the id of the process.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCellScalarsFlag\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CellScalars\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>The value of this property determines whether to output\n"
"        the array as point data or cell data.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End ProcessIdScalars -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPTextureMapToSphere\"\n"
"                 label=\"Texture Map to Sphere\"\n"
"                 name=\"TextureMapToSphere\">\n"
"      <Documentation long_help=\"Generate texture coordinates by mapping points to sphere.\"\n"
"                     short_help=\"Generate texture coordinates by mapping points to sphere.\">\n"
"                     This is a filter that generates 2D texture coordinates by\n"
"                     mapping input dataset points onto a sphere. The sphere is\n"
"                     generated automatically. The sphere is generated\n"
"                     automatically by computing the center i.e. averaged\n"
"                     coordinates, of the sphere. Note that the generated\n"
"                     texture coordinates range between (0,1). The s-coordinate\n"
"                     lies in the angular direction around the z-axis, measured\n"
"                     counter-clockwise from the x-axis. The t-coordinate lies\n"
"                     in the angular direction measured down from the north pole\n"
"                     towards the south pole.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Texture Map to Sphere\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetPreventSeam\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PreventSeam\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Control how the texture coordinates are generated. If\n"
"        Prevent Seam is set, the s-coordinate ranges from 0-&gt;1 and 1-&gt;0\n"
"        corresponding to the theta angle variation between 0-&gt;180 and\n"
"        180-&gt;0 degrees. Otherwise, the s-coordinate ranges from 0-&gt;1\n"
"        between 0-&gt;360 degrees.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End TextureMapToSphere -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkRemoveGhosts\"\n"
"                 label=\"Remove Ghost Information\"\n"
"                 name=\"RemoveGhostInformation\">\n"
"      <Documentation long_help=\"Removes ghost information.\"\n"
"                     short_help=\"Removes ghost information.\">Removes ghost\n"
"      cells and point data and cell data ghost arrays.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the remove ghost\n"
"        information filter. This filter operates only on unstructured grids\n"
"        and polydata since it removes the ghost cells.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPExtractExodusGlobalTemporalVariables\"\n"
"                 label=\"Plot Global Variables Over Time\"\n"
"                 name=\"ExtractFieldDataOverTime\">\n"
"      <Documentation long_help=\"Extracts and plots data in field data over time.\"\n"
"                     short_help=\"Extracts and plots data in field data over time.\">\n"
"        Plot global data arrays stored in the input field data over time. Global data arrays\n"
"        are identified as described. When connected to an Exodus reader, this filter can detect\n"
"        Exodus global temporal data arrays and only plot those automatically. To disable this\n"
"        auto-detection, turn off **AutoDetectGlobalTemporalDataArrays**.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input from which the selection is\n"
"        extracted.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty name=\"AutoDetectGlobalTemporalDataArrays\"\n"
"                         command=\"SetAutoDetectGlobalTemporalDataArrays\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Automatically detect temporal global data arrays instead plot only such arrays.\n"
"          Otherwise all single-tuple field data arrays in the input field data are plotted.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"XYChartView\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"      <!-- End ExtractFieldDatasOverTime -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPExtractSelectedArraysOverTime\"\n"
"                 label=\"Plot Selection Over Time\"\n"
"                 name=\"ExtractSelectionOverTime\">\n"
"      <Documentation long_help=\"Extracts selection over time and then plots it.\"\n"
"                     short_help=\"Extracts selection over time and then plots it.\">\n"
"                     This filter extracts the selection over time, i.e. cell\n"
"                     and/or point variables at a cells/point selected are\n"
"                     extracted over time The output multiblock consists of 1D\n"
"                     rectilinear grids where the x coordinate corresponds to\n"
"                     time (the same array is also copied to a point array named\n"
"                     Time or TimeData (if Time exists in the input)). If\n"
"                     selection input is a Location based selection then the\n"
"                     point values are interpolated from the nearby cells, ie\n"
"                     those of the cell the location lies in.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     panel_visibility=\"default\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input from which the selection is\n"
"        extracted.</Documentation>\n"
"      </InputProperty>\n"
"      <InputProperty command=\"SetSelectionConnection\"\n"
"                     name=\"Selection\"\n"
"                     panel_visibility=\"default\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkSelection\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input that provides the selection\n"
"        object.</Documentation>\n"
"        <Hints>\n"
"          <!-- This tag alerts the auto-generated panels and input selection\n"
"              that this input is a selection.  It should use the special\n"
"              selection GUI. -->\n"
"          <SelectionInput />\n"
"        </Hints>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetReportStatisticsOnly\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Only Report Selection Statistics\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the min, max,\n"
"          inter-quartile ranges, and (for numeric arrays) mean and standard\n"
"          deviation of all the selected points or cells within each time step\n"
"          are reported -- instead of breaking each selected point's or cell's\n"
"          attributes out into separate time history tables.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy command=\"SetSelectionExtractor\">\n"
"        <Proxy name=\"SetSelectionExtractor\" class=\"vtkPVExtractSelection\" />\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <PipelineIcon name=\"XYChartView\" />\n"
"        <View type=\"QuartileChartView\" />\n"
"        <WarnOnCreate title=\"Potentially slow operation\">\n"
"          **Plot Selection Over Time** filter needs to process all timesteps\n"
"          available in your dataset and can potentially take a long time to complete.\n"
"          Do you want to continue?\n"
"        </WarnOnCreate>\n"
"        <InitializationHelper class=\"vtkSMExtractSelectionProxyInitializationHelper\" />\n"
"      </Hints>\n"
"      <!-- End of ExtractSelectionOverTime -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPExtractDataArraysOverTime\"\n"
"                 label=\"Plot Data Over Time\"\n"
"                 name=\"PlotDataOverTime\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     panel_visibility=\"default\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input from which the selection is\n"
"        extracted.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetFieldAssociation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FieldAssociation\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Select the attribute data to pass.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Points\" value=\"0\" />\n"
"          <Entry text=\"Cells\" value=\"1\" />\n"
"          <Entry text=\"Vertices\" value=\"4\" />\n"
"          <Entry text=\"Edges\" value=\"5\" />\n"
"          <Entry text=\"Rows\" value=\"6\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetReportStatisticsOnly\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Only Report Selection Statistics\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the min, max,\n"
"          inter-quartile ranges, and (for numeric arrays) mean and standard\n"
"          deviation of all the selected points or cells within each time step\n"
"          are reported -- instead of breaking each selected point's or cell's\n"
"          attributes out into separate time history tables.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <PipelineIcon name=\"XYChartView\" />\n"
"        <View type=\"QuartileChartView\" />\n"
"        <WarnOnCreate title=\"Potentially slow operation\">\n"
"          **Plot Data Over Time** filter needs to process all timesteps\n"
"          available in your dataset and can potentially take a long time to complete.\n"
"          Do you want to continue?\n"
"        </WarnOnCreate>\n"
"      </Hints>\n"
"      <!-- End of PlotDataOverTime -->\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersparallelGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersparallelInterface0);
  const size_t len1 = strlen(paraview_server_managerfilters_filtersparallelInterface1);
  const size_t len2 = strlen(paraview_server_managerfilters_filtersparallelInterface2);
  const size_t len3 = strlen(paraview_server_managerfilters_filtersparallelInterface3);
  const size_t len4 = strlen(paraview_server_managerfilters_filtersparallelInterface4);
  const size_t len5 = strlen(paraview_server_managerfilters_filtersparallelInterface5);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4
    + len5 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersparallelInterface0, paraview_server_managerfilters_filtersparallelInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerfilters_filtersparallelInterface1, paraview_server_managerfilters_filtersparallelInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerfilters_filtersparallelInterface2, paraview_server_managerfilters_filtersparallelInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerfilters_filtersparallelInterface3, paraview_server_managerfilters_filtersparallelInterface3 + len3, res + offset); offset += len3;
  std::copy(paraview_server_managerfilters_filtersparallelInterface4, paraview_server_managerfilters_filtersparallelInterface4 + len4, res + offset); offset += len4;
  std::copy(paraview_server_managerfilters_filtersparallelInterface5, paraview_server_managerfilters_filtersparallelInterface5 + len5, res + offset); offset += len5;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtershybrid.xml
static const char* const paraview_server_managerfilters_filtershybridInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"ForceTime\"\n"
"                 class=\"vtkForceTime\"\n"
"                 label=\"Force Time\">\n"
"      <Documentation>\n"
"        Filter used to explicitly request a specific time from the pipeline.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the ForceTime filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty name=\"IgnorePipelineTime\"\n"
"                         command=\"SetIgnorePipelineTime\"\n"
"                         number_of_elements=\"1\"\n"
"                         animatable=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain  name=\"bool\"/>\n"
"        <Documentation>\n"
"          If set to 0, this filter will do nothing, only shallow copy the\n"
"          input to the output. If set to 1, this filter will always request the\n"
"          ForcedTime to the pipeline, ignoring time requests.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty\n"
"        name=\"ForcedTime\"\n"
"        command=\"SetForcedTime\"\n"
"        number_of_elements=\"1\"\n"
"        animatable=\"1\"\n"
"        default_values=\"0.0\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the time to request.\n"
"          If the IgnorePipelineTime property is set, then this value will override any time request in the VTK pipeline.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"IgnorePipelineTime\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End ForceTime -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"TemporalArrayOperator\"\n"
"                 label=\"Temporal Array Operator\"\n"
"                 class=\"vtkTemporalArrayOperatorFilter\">\n"
"      <Documentation>\n"
"        Filter used to perform an operation on a data array at 2 different timesteps.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"any\"\n"
"                          name=\"input_array\"/>\n"
"        <Documentation>\n"
"          This property specifies the input to the TemporalArrayOperator filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputArray\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"input_array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property lists the name of the array from which to\n"
"        use.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"FirstTimeStepIndex\"\n"
"        command=\"SetFirstTimeStepIndex\"\n"
"        number_of_elements=\"1\"\n"
"        animatable=\"1\"\n"
"        default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the timestep index to use in the first part of the comparison computation\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOperator\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Operator\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"+\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"-\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"*\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"/\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The property determines the operation to compute\n"
"        between the first and second timestep data.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"SecondTimeStepIndex\"\n"
"        command=\"SetSecondTimeStepIndex\"\n"
"        number_of_elements=\"1\"\n"
"        animatable=\"1\"\n"
"        default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the timestep index to use in the second part of the comparison computation\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetOutputArrayNameSuffix\"\n"
"                            name=\"OutputArrayNameSuffix\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>This property set the suffix to be append to the output array name.\n"
"        If empty, output will be suffixed with '_' and the operation type.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End TemporalArrayOperator -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTemporalDataSetCache\"\n"
"                 label=\"Temporal Cache\"\n"
"                 name=\"TemporalCache\">\n"
"      <Documentation long_help=\"Saves a copy of the data set for a fixed number of time steps.\"\n"
"                     short_help=\"Caches data per time step.\">The Temporal Cache\n"
"                     can be used to save multiple copies of a data set at\n"
"                     different time steps to prevent thrashing in the pipeline\n"
"                     caused by downstream filters that adjust the requested\n"
"                     time step. For example, assume that there is a downstream\n"
"                     Temporal Interpolator filter. This filter will (usually)\n"
"                     request two time steps from the upstream filters, which in\n"
"                     turn (usually) causes the upstream filters to run twice,\n"
"                     once for each time step. The next time the interpolator\n"
"                     requests the same two time steps, they might force the\n"
"                     upstream filters to re-evaluate the same two time steps.\n"
"                     The Temporal Cache can keep copies of both of these time\n"
"                     steps and provide the requested data without having to run\n"
"                     upstream filters.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input of the Temporal Cache\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetCacheSize\"\n"
"                         default_values=\"2\"\n"
"                         name=\"CacheSize\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"10\"\n"
"                        min=\"2\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The cache size determines the number of time steps that\n"
"        can be cached at one time. The maximum number is 10. The minimum is 2\n"
"        (since it makes little sense to cache less than that).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <!-- End TemporalCache -->\n"
"    </SourceProxy>\n"
"\n"
"<!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTemporalShiftScale\"\n"
"                 label=\"Temporal Shift Scale\"\n"
"                 name=\"TemporalShiftScale\">\n"
"      <Documentation long_help=\"Shift and scale time values.\"\n"
"                     short_help=\"Shift and scale time values.\">The Temporal\n"
"                     Shift Scale filter linearly transforms the time values of\n"
"                     a pipeline object by applying a shift and then scale.\n"
"                     Given a data at time t on the input, it will be\n"
"                     transformed to time t*Shift + Scale on the output.\n"
"                     Inversely, if this filter has a request for time t, it\n"
"                     will request time (t-Shift)/Scale on its\n"
"                     input.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input to the Temporal Shift Scale\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty command=\"SetPreShift\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"PreShift\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Apply a translation to the data before scaling. To\n"
"        convert T{5,100} to T{0,1} use Preshift=-5, Scale=1/95, PostShift=0 To\n"
"        convert T{5,105} to T{5,10} use Preshift=-5, Scale=5/100,\n"
"        PostShift=5</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPostShift\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"PostShift\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The amount of time the input is shifted.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The factor by which the input time is\n"
"        scaled.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPeriodic\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Periodic\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If Periodic is true, requests for time will be wrapped\n"
"        around so that the source appears to be a periodic time source. If data\n"
"        exists for times {0,N-1}, setting periodic to true will cause time 0 to\n"
"        be produced when time N, 2N, 2N etc is requested. This effectively\n"
"        gives the source the ability to generate time data indefinitely in a\n"
"        loop. When combined with Shift/Scale, the time becomes periodic in the\n"
"        shifted and scaled time frame of reference. Note: Since the input time\n"
"        may not start at zero, the wrapping of time from the end of one period\n"
"        to the start of the next, will subtract the initial time - a source\n"
"        with T{5..6} repeated periodically will have output time {5..6..7..8}\n"
"        etc.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPeriodicEndCorrection\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PeriodicEndCorrection\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If Periodic time is enabled, this flag determines if the\n"
"        last time step is the same as the first. If PeriodicEndCorrection is\n"
"        true, then it is assumed that the input data goes from 0-1 (or whatever\n"
"        scaled/shifted actual time) and time 1 is the same as time 0 so that\n"
"        steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N is the same as 0\n"
"        and step 0 is not repeated. When this flag is false the data is assumed\n"
"        to be literal and output is of the form 0,1,2,3...N,0,1,2,3... By\n"
"        default this flag is ON</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximumNumberOfPeriods\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"MaximumNumberOfPeriods\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"100\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>If Periodic time is enabled, this controls how many time\n"
"        periods time is reported for. A filter cannot output an infinite number\n"
"        of time steps and therefore a finite number of periods is generated\n"
"        when reporting time.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <!-- End TemporalShiftScale -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTemporalSnapToTimeStep\"\n"
"                 label=\"Temporal Snap-to-Time-Step\"\n"
"                 name=\"TemporalSnapToTimeStep\">\n"
"      <Documentation long_help=\"Modifies the time range/steps of temporal data.\"\n"
"                     short_help=\"Modifies the time range/steps of temporal data.\">\n"
"                     This file modifies the time range or time steps of the\n"
"                     data without changing the data itself. The data is not\n"
"                     resampled by this filter, only the information\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtershybrid.xml
static const char* const paraview_server_managerfilters_filtershybridInterface1 =
"                     accompanying the data is modified.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input of the\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetSnapMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SnapMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Nearest\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"NextBelowOrEqual\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"NextAboveOrEqual\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Determine which time step to snap to.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <!-- End TemporalSnapToTimeStep -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGenerateTimeSteps\"\n"
"                 name=\"GenerateTimeSteps\"\n"
"                 label=\"Generate Time Steps\">\n"
"      <Documentation short_help=\"Generate time steps on any input data.\">\n"
"        This filter generate timesteps on any input, it completely ignores input time steps if any.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                         command=\"AddTimeStepValue\"\n"
"                         clean_command=\"ClearTimeStepValues\"\n"
"                         label=\"Time Step Values\"\n"
"                         name=\"TimeStepValuesToGenerate\"\n"
"                         number_of_elements=\"0\"\n"
"                         number_of_elements_per_command=\"1\"\n"
"                         repeat_command=\"1\">\n"
"        <!-- Using a range domain will add the \"Generate Values\" button to the widget -->\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"9\"/>\n"
"        <Documentation>\n"
"          This property specifies the timestep values to generate.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End GenerateTimeSteps -->\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTemporalDataSetCache\"\n"
"                 label=\"Temporal Cache Source\"\n"
"                 name=\"TemporalCache\">\n"
"      <Documentation long_help=\"Saves a copy of the data set for a fixed number of time steps.\"\n"
"                     short_help=\"Caches data per time step.\">The Temporal Cache\n"
"                     can be used to save multiple copies of a data set at\n"
"                     different time steps to prevent thrashing in the pipeline\n"
"                     caused by downstream filters that adjust the requested\n"
"                     time step. For example, assume that there is a downstream\n"
"                     Temporal Interpolator filter. This filter will (usually)\n"
"                     request two time steps from the upstream filters, which in\n"
"                     turn (usually) causes the upstream filters to run twice,\n"
"                     once for each time step. The next time the interpolator\n"
"                     requests the same two time steps, they might force the\n"
"                     upstream filters to re-evaluate the same two time steps.\n"
"                     The Temporal Cache can keep copies of both of these time\n"
"                     steps and provide the requested data without having to run\n"
"                     upstream filters.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input of the Temporal Cache\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetCacheSize\"\n"
"                         default_values=\"2\"\n"
"                         name=\"CacheSize\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"10\"\n"
"                        min=\"2\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The cache size determines the number of time steps that\n"
"        can be cached at one time. The maximum number is 10. The minimum is 2\n"
"        (since it makes little sense to cache less than that).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"IsASource\"\n"
"                         command=\"SetIsASource\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"			 panel_visibility=\"never\">\n"
"        <BooleanDomain  name=\"bool\"/>\n"
"        <Documentation> Sets up the Algorithm to act as a pipeline source rather than a filter. This is used in Catalyst. </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End TemporalCache -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtershybridGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtershybridInterface0);
  const size_t len1 = strlen(paraview_server_managerfilters_filtershybridInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtershybridInterface0, paraview_server_managerfilters_filtershybridInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerfilters_filtershybridInterface1, paraview_server_managerfilters_filtershybridInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_filtershybrid.xml
static const char* const paraview_server_managerreaders_filtershybridInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFacetReader\"\n"
"                 name=\"FacetReader\">\n"
"      <Documentation long_help=\"Reads ASCII files stored in Facet format.\"\n"
"                     short_help=\"Read a dataset in Facet format.\">The Facet\n"
"                     Reader reads files in Facet format: a simple ASCII file\n"
"                     format listing point coordinates and connectivity between\n"
"                     these points. The default file extension is .facet. The\n"
"                     output of the Facet Reader is polygonal.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the Facet\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"facet\"\n"
"                       file_description=\"Facet Polygonal Data Files\" />\n"
"      </Hints>\n"
"      <!-- End Facet Reader -->\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_filtershybridGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_filtershybridInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_filtershybridInterface0, paraview_server_managerreaders_filtershybridInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtershypertree.xml
static const char* const paraview_server_managerfilters_filtershypertreeInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkHyperTreeGridAxisReflection\"\n"
"                 name=\"HyperTreeGridAxisReflection\"\n"
"                 label=\"Hyper Tree Grid - Axis Reflection\">\n"
"      <Documentation short_help=\"Reflect an HTG across an axis-aligned plane.\">\n"
"        This filter reflect the cells of a hyper tree grid with respect to\n"
"        one of the planes parallel to the bounding box of the data set.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty name=\"PlaneNormal\"\n"
"                         command=\"SetPlane\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"          <EnumerationDomain name=\"enum\">\n"
"            <Entry text=\"X Axis\" value=\"6\" />\n"
"            <Entry text=\"Y Axis\" value=\"7\" />\n"
"            <Entry text=\"Z Axis\" value=\"8\" />\n"
"          </EnumerationDomain>\n"
"        <Documentation>Axis to use as the normal to the reflection plane.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"PlanePosition\"\n"
"                            command=\"SetCenter\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.0\">\n"
"        <Documentation>Position of the reflection plane along the normal axis.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End vtkHyperTreeGridAxisReflection -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkHyperTreeGridCellCenters\"\n"
"                 name=\"HyperTreeGridCellCenters\"\n"
"                 label=\"Hyper Tree Grid - Cell Centers\">\n"
"      <Documentation short_help=\"Generate points at leaf node centers.\">\n"
"        This filter generates output points at the center of the leaf\n"
"        cells in the hyper tree grid.\n"
"        These points can be used for placing glyphs or labeling.\n"
"        The cell attributes will be associated with the points in the output.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty name=\"CreateVertexCells\"\n"
"                         command=\"SetVertexCells\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          If enabled, vertex cells will be added to the output dataset. This\n"
"          is useful for visualizing the output points, which are not rendered\n"
"          otherwise.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End vtkHyperTreeGridCellCenters -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkHyperTreeGridDepthLimiter\"\n"
"                 name=\"HyperTreeGridDepthLimiter\"\n"
"                 label=\"Hyper Tree Grid - Depth Limiter\">\n"
"      <Documentation short_help=\"Limit HTG nodes to a maximum depth\">\n"
"        Extract all levels down to a specified depth from a hyper tree grid.\n"
"        If the required depth is greater or equal to the maximum level of the\n"
"        input grid, then the output is identical.\n"
"        Note that when a material mask is present, the geometry extent of the\n"
"        output grid is guaranteed to contain that of the input tree, but the\n"
"        former might be strictly larger than the latter. This is not a bug\n"
"        but an expected behavior of which the user should be aware.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty name=\"SetDepth\"\n"
"                         command=\"SetDepth\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Maximum depth to which the output grid should be limited.\n"
"        </Documentation>\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End vtkHyperTreeGridDepthLimiter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkHyperTreeGridGeometry\"\n"
"                 name=\"HyperTreeGridGeometry\"\n"
"                 label=\"Hyper Tree Grid - Geometry Filter\">\n"
"      <Documentation short_help=\"Generate external surface of a HTG.\">\n"
"        Generate PolyData representing the external surface of a HTG.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <!-- End vtkHyperTreeGridGeometry -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkHyperTreeGridToDualGrid\"\n"
"                 label=\"HyperTreeGrid To Dual Grid\"\n"
"                 name=\"HyperTreeGridToDualGrid\">\n"
"      <Documentation long_help=\"Convert HyperTreeGrid to the dual UnstructuredGrid.\"\n"
"                     short_help=\"Convert HyperTreeGrid to the dual UnstructuredGrid.\">\n"
"                     This filter converts vtkHyperTreeGrid data to vtkUnstructuredGrid, using the dual grid. The converted output consumes much more memory but is compatible with most of the standard filters.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the converter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End vtkHyperTreeGridToDualGrid -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkHyperTreeGridToUnstructuredGrid\"\n"
"                 label=\"HyperTreeGrid To UnstructuredGrid\"\n"
"                 name=\"HyperTreeGridToUnstructuredGrid\">\n"
"      <Documentation long_help=\"Convert HyperTreeGrid to UnstructuredGrid.\"\n"
"                     short_help=\"Convert HyperTreeGrid to UnstructuredGrid.\">\n"
"                     This filter converts vtkHyperTreeGrid data to vtkUnstructuredGrid. The converted output consumes much more memory but is compatible with most of the standard filters.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the converter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- End vtkHyperTreeGridToUnstructuredGrid -->\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtershypertreeGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtershypertreeInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtershypertreeInterface0, paraview_server_managerfilters_filtershypertreeInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersmodeling.xml
static const char* const paraview_server_managerfilters_filtersmodelingInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkLinearSubdivisionFilter\"\n"
"                 name=\"Subdivide\">\n"
"      <Documentation long_help=\"This filter iteratively divide triangles into four smaller triangles.  New points are placed linearly so the output surface matches the input surface.\"\n"
"                     short_help=\"Creates a surface with more triangles than the input.\">\n"
"                     The Subdivide filter iteratively divides each triangle in\n"
"                     the input dataset into 4 new triangles. Three new points\n"
"                     are added per triangle -- one at the midpoint of each\n"
"                     edge. This filter operates only on polygonal data\n"
"                     containing triangles, so run your polygonal data through\n"
"                     the Triangulate filter first if it is not composed of\n"
"                     triangles. The output of this filter is also\n"
"                     polygonal.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This parameter specifies the input to the Subdivide\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfSubdivisions\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Number of Subdivisions\"\n"
"                         name=\"NumberOfSubdivisions\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"4\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property specifies the number of\n"
"        subdivision iterations to perform.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Subdivide -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkLoopSubdivisionFilter\"\n"
"                 label=\"Loop Subdivision\"\n"
"                 name=\"LoopSubdivisionFilter\">\n"
"      <Documentation long_help=\"This filter iteratively divides each triangle into four triangles.  New points are placed so the output surface is smooth.\"\n"
"                     short_help=\"Create a higher resolution and smoother surface.\">\n"
"                     The Loop Subdivision filter increases the granularity of a\n"
"                     polygonal mesh. It works by dividing each triangle in the\n"
"                     input into four new triangles. It is named for Charles\n"
"                     Loop, the person who devised this subdivision scheme. This\n"
"                     filter only operates on triangles, so a data set that\n"
"                     contains other types of polygons should be passed through\n"
"                     the Triangulate filter before applying this filter to it.\n"
"                     This filter only operates on polygonal data (specifically\n"
"                     triangle meshes), and it produces polygonal\n"
"                     output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Loop\n"
"        Subdivision filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetNumberOfSubdivisions\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Number of Subdivisions\"\n"
"                         name=\"NumberOfSubdivisions\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"4\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Set the number of subdivision iterations to perform.\n"
"        Each subdivision divides single triangles into four new\n"
"        triangles.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End LoopSubdivisionFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkRibbonFilter\"\n"
"                 label=\"Ribbon\"\n"
"                 name=\"RibbonFilter\">\n"
"      <Documentation long_help=\"This filter generates ribbon surface from lines.  It is useful for displaying streamlines.\"\n"
"                     short_help=\"Create ribbon surfaces from lines.\">The Ribbon\n"
"                     filter creates ribbons from the lines in the input data\n"
"                     set. This filter is useful for visualizing streamlines.\n"
"                     Both the input and output of this filter are polygonal\n"
"                     data. The input data set must also have at least one\n"
"                     point-centered vector array.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array1\"\n"
"                          number_of_components=\"3\"\n"
"                          optional=\"1\" />\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array2\"\n"
"                          number_of_components=\"1\"\n"
"                          optional=\"1\" />\n"
"        <Documentation>This property specifies the input to the Ribbon\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Scalars\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"input_array2\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>The value of this property indicates the name of the\n"
"        input scalar array used by this filter. The width of the ribbons will\n"
"        be varied based on the values in the specified array if the value of\n"
"        the Width property is 1.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            default_values=\"1\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vectors\"\n"
"                            name=\"SelectInputVectors\"\n"
"                            number_of_elements=\"5\">\n"
"        <!-- default_values=1, send vectors to the right place -->\n"
"        <ArrayListDomain attribute_type=\"Vectors\"\n"
"                         input_domain_name=\"input_array1\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>The value of this property indicates the name of the\n"
"        input vector array used by this filter. If the UseDefaultNormal\n"
"        property is set to 0, the normal vectors for the ribbons come from the\n"
"        specified vector array.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetWidth\"\n"
"                            default_values=\"1\"\n"
"                            name=\"Width\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain mode=\"scaled_extent\"\n"
"                      name=\"bounds\"\n"
"                      scale_factor=\"0.01\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>If the VaryWidth property is set to 1, the value of this\n"
"        property is the minimum ribbon width. If the VaryWidth property is set\n"
"        to 0, the value of this property is half the width of the\n"
"        ribbon.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetAngle\"\n"
"                            default_values=\"0\"\n"
"                            name=\"Angle\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"360\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property specifies the offset angle\n"
"        (in degrees) of the ribbon from the line normal.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseDefaultNormal\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseDefaultNormal\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 0, and the input contains no\n"
"        vector array, then default ribbon normals will be generated\n"
"        (DefaultNormal property); if a vector array has been set\n"
"        (SelectInputVectors property), the ribbon normals will be set from the\n"
"        specified array. If this property is set to 1, the default normal\n"
"        (DefaultNormal property) will be used, regardless of whether the\n"
"        SelectInputVectors property has been set.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDefaultNormal\"\n"
"                            default_values=\"0 0 1\"\n"
"                            name=\"DefaultNormal\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The value of this property specifies the normal to use\n"
"        when the UseDefaultNormal property is set to 1 or the input contains no\n"
"        vector array (SelectInputVectors property).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetVaryWidth\"\n"
"                         default_values=\"0\"\n"
"                         name=\"VaryWidth\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the ribbon width will be\n"
"        scaled according to the scalar array specified in the\n"
"        SelectInputScalars property. Toggle the variation of ribbon width with\n"
"        scalar value.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End RibbonFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkRotationalExtrusionFilter\"\n"
"                 label=\"Rotational Extrusion\"\n"
"                 name=\"RotationalExtrusionFilter\">\n"
"      <Documentation long_help=\"This filter generates a swept surface while translating the input along a circular path.\"\n"
"                     short_help=\"Generates a swept surface using a rotational path.\">\n"
"                     The Rotational Extrusion filter forms a surface by\n"
"                     rotating the input about the Z axis. This filter is\n"
"                     intended to operate on 2D polygonal data. It produces\n"
"                     polygonal output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Rotational\n"
"        Extrusion filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetResolution\"\n"
"                         default_values=\"12\"\n"
"                         name=\"Resolution\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property controls the number of\n"
"        intermediate node points used in performing the sweep (rotating from 0\n"
"        degrees to the value specified by the Angle property.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCapping\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Capping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the open ends of the swept\n"
"        surface will be capped with a copy of the input dataset. This works\n"
"        property if the input is a 2D surface composed of filled polygons. If\n"
"        the input dataset is a closed solid (e.g., a sphere), then either two\n"
"        copies of the dataset will be drawn or no surface will be drawn. No\n"
"        surface is drawn if either this property is set to 0 or if the two\n"
"        surfaces would occupy exactly the same 3D space (i.e., the Angle\n"
"        property's value is a multiple of 360, and the values of the\n"
"        Translation and DeltaRadius properties are 0).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetAngle\"\n"
"                            default_values=\"360\"\n"
"                            name=\"Angle\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the angle of rotation in\n"
"        degrees. The surface is swept from 0 to the value of this\n"
"        property.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetTranslation\"\n"
"                            default_values=\"0\"\n"
"                            name=\"Translation\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The value of this property specifies the total amount of\n"
"        translation along the rotation axis during the sweep process. Specifying a\n"
"        non-zero value for this property allows you to create a corkscrew\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersmodeling.xml
static const char* const paraview_server_managerfilters_filtersmodelingInterface1 =
"        (value of DeltaRadius &gt; 0) or spring effect.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDeltaRadius\"\n"
"                            default_values=\"0\"\n"
"                            name=\"DeltaRadius\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The value of this property specifies the change in\n"
"        radius during the sweep process.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"            <DoubleVectorProperty command=\"SetRotationAxis\"\n"
"                            default_values=\"0.0 0.0 1.0\"\n"
"                            name=\"RotationAxis\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The values of this property set the direction of the axis\n"
"        around which the rotation is done.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End RotationalExtrusionFilter -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersmodelingGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersmodelingInterface0);
  const size_t len1 = strlen(paraview_server_managerfilters_filtersmodelingInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersmodelingInterface0, paraview_server_managerfilters_filtersmodelingInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerfilters_filtersmodelingInterface1, paraview_server_managerfilters_filtersmodelingInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/sources_filterssources.xml
static const char* const paraview_server_managersources_filterssourcesInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPartitionedDataSetCollectionSource\"\n"
"      label=\"PartitionedDataSetCollection Source\"\n"
"      name=\"PartitionedDataSetCollectionSource\">\n"
"      <Documentation short_help=\"Create vtkPartitionedDataSetCollection\">\n"
"      This source can be used to createa  `vtkPartitionedDataSetCollection` for testing purposes.\n"
"      </Documentation>\n"
"      <IntVectorProperty name=\"NumberOfShapes\"\n"
"        command=\"SetNumberOfShapes\"\n"
"        default_values=\"1\"\n"
"        number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"12\" />\n"
"        <Documentation>\n"
"          Select number of shapes to generate in the output. Each shape is created as\n"
"          a vtkPartitionedDataSet in the output data.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- end of PartitionedDataSetCollectionSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkArrowSource\"\n"
"                 label=\"Arrow\"\n"
"                 name=\"ArrowSource\">\n"
"      <Documentation long_help=\"3D arrow with a long cylindrical shaft and a cone for the tip\"\n"
"                     short_help=\"Create a 3D arrow\">The Arrow source appends a\n"
"                     cylinder to a cone to form a 3D arrow. The length of the\n"
"                     whole arrow is 1.0 unit. The output of the Arrow source is\n"
"                     polygonal data. This polygonal data will not contain\n"
"                     normals, so rendering of the arrow will be performed using\n"
"                     flat shading. The appearance of the arrow can be improved\n"
"                     without significantly increasing the resolution of the tip\n"
"                     and shaft by generating normals. (Use Normals Generation\n"
"                     filter).</Documentation>\n"
"      <IntVectorProperty command=\"SetTipResolution\"\n"
"                         default_values=\"6\"\n"
"                         name=\"TipResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain max=\"128\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the number of faces in the\n"
"        representation of the tip of the arrow (the cone). As the resolution\n"
"        increases, the cone will become smoother.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- These arbitrary ranges come from the header file for vtkArrowSource.-->\n"
"      <DoubleVectorProperty command=\"SetTipRadius\"\n"
"                            default_values=\"0.1\"\n"
"                            name=\"TipRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain max=\"10\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the radius of the widest part of\n"
"        the tip of the arrow (the cone).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetTipLength\"\n"
"                            default_values=\"0.35\"\n"
"                            name=\"TipLength\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the length of the\n"
"        tip.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetShaftResolution\"\n"
"                         default_values=\"6\"\n"
"                         name=\"ShaftResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain max=\"128\"\n"
"                        min=\"3\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the number of faces of the shaft\n"
"        of the arrow (the cylinder). As the resolution increases, the cylinder\n"
"        will become smoother.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetShaftRadius\"\n"
"                            default_values=\"0.03\"\n"
"                            name=\"ShaftRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain max=\"5\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the radius of the shaft of the\n"
"        arrow (the cylinder).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetInvert\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Invert\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Inverts the arrow direction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Arrow -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCellTypeSource\"\n"
"                 label=\"Unstructured Cell Types\"\n"
"                 name=\"UnstructuredCellTypes\">\n"
"      <Documentation long_help=\"Generates cells of the specified type.\"\n"
"                     short_help=\"Generate cells of the specified type\">\n"
"        Generate cells of the specified type. If a 1D cell type is chosen then\n"
"        only the first value of BlocksDimension is used. If a 2D cell type is chosen\n"
"        then only the first and second value of BlocksDimension is used. A cell block\n"
"        may be divided into multiple cells (e.g. 6 pyramids will be in a cell block).\n"
"\n"
"        Note that not all meshes generated for Lagrange cells (particularly tetrahedra)\n"
"        will be conformal; their boundaries will not meet exactly at block boundaries.\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"SetCellType\"\n"
"                         default_values=\"12\"\n"
"                         name=\"CellType\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>This property specifies the type of cells to generate.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Line\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Quadratic Line\"\n"
"                 value=\"21\" />\n"
"          <Entry text=\"Cubic Line\"\n"
"                 value=\"35\" />\n"
"          <Entry text=\"Triangle\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Quad\"\n"
"                 value=\"9\" />\n"
"          <Entry text=\"Quadratic Triangle\"\n"
"                 value=\"22\" />\n"
"          <Entry text=\"Quadratic Quad\"\n"
"                 value=\"23\" />\n"
"          <Entry text=\"Tet\"\n"
"                 value=\"10\" />\n"
"          <Entry text=\"Hex\"\n"
"                 value=\"12\" />\n"
"          <Entry text=\"Wedge\"\n"
"                 value=\"13\" />\n"
"          <Entry text=\"Pyramid\"\n"
"                 value=\"14\" />\n"
"          <Entry text=\"Quadratic Tet\"\n"
"                 value=\"24\" />\n"
"          <Entry text=\"Quadratic Hex\"\n"
"                 value=\"25\" />\n"
"          <Entry text=\"Quadratic Wedge\"\n"
"                 value=\"26\" />\n"
"          <Entry text=\"Quadratic Pyramid\"\n"
"                 value=\"27\" />\n"
"          <Entry text=\"Tri-Quadratic Pyramid\"\n"
"                 value=\"37\" />\n"
"          <Entry text=\"Lagrange Curve\"\n"
"                 value=\"68\" />\n"
"          <Entry text=\"Lagrange Triangle\"\n"
"                 value=\"69\" />\n"
"          <Entry text=\"Lagrange Quadrilateral\"\n"
"                 value=\"70\" />\n"
"          <Entry text=\"Lagrange Tetrahedron\"\n"
"                 value=\"71\" />\n"
"          <Entry text=\"Lagrange Hexahedron\"\n"
"                 value=\"72\" />\n"
"          <Entry text=\"Lagrange Wedge\"\n"
"                 value=\"73\" />\n"
"          <Entry text=\"Bezier Curve\"\n"
"                 value=\"75\" />\n"
"          <Entry text=\"Bezier Triangle\"\n"
"                 value=\"76\" />\n"
"          <Entry text=\"Bezier Quadrilateral\"\n"
"                 value=\"77\" />\n"
"          <Entry text=\"Bezier Tetrahedron\"\n"
"                 value=\"78\" />\n"
"          <Entry text=\"Bezier Hexahedron\"\n"
"                 value=\"79\" />\n"
"          <Entry text=\"Bezier Wedge\"\n"
"                 value=\"80\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOutputPrecision\"\n"
"                         default_values=\"0\"\n"
"                         name=\"OutputPrecision\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>This property specifies the precision of point locations and fields.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Single\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Double\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPolynomialFieldOrder\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PolynomialFieldOrder\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>This property specifies the order for the \"Polynomial\" point data field.\n"
"        </Documentation>\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBlocksDimensions\"\n"
"                         default_values=\"10 10 10\"\n"
"                         name=\"BlocksDimensions\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain min=\"1 1 1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Sets the number of blocks of cells in each direction.\n"
"        A cell block may be divided into multiple cells (e.g. there will be\n"
"        6 pyramid cells in a cell block). If a 1D cell type is chosen only\n"
"        the first blocks dimension will be used. If a 2D cell type is chosen the\n"
"        first and second blocks dimensions will be used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCellOrder\"\n"
"                         default_values=\"3\"\n"
"                         name=\"CellOrder\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>This property specifies the interpolation order for Lagrange cell types.\n"
"        </Documentation>\n"
"        <IntRangeDomain min=\"1\" max=\"10\" name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCompleteQuadraticSimplicialElements\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CompleteQuadraticSimplicialElements\"\n"
"                         label=\"Add nodes to complete polynomial basis\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>When true, some quadratic Lagrange cell types will have additional nodes.\n"
"\n"
"        Specifically,\n"
"        triangles will have 7 points instead of 6;\n"
"        tetrahedra will have 15 points instead of 10; and\n"
"        wedges will have 21 points instead of 18.\n"
"        These additional points increase the number of polynomial terms\n"
"        in each element so that the shape functions can span a larger\n"
"        space of polynomial functions.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of CellTypeSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkConeSource\"\n"
"                 name=\"Test3DWidget\">\n"
"      <IntVectorProperty command=\"SetResolution\"\n"
"                         default_values=\"6\"\n"
"                         name=\"Resolution\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"128\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Set the number of faces used to generate the\n"
"        cone.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Test3DWidget -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkConeSource\"\n"
"                 label=\"Cone\"\n"
"                 name=\"ConeSource\">\n"
"      <Documentation long_help=\"Create a 3D cone of a given radius and height.\"\n"
"                     short_help=\"3D cone of a given radius and height\">The Cone\n"
"                     source can be used to add a polygonal cone to the 3D\n"
"                     scene. The output of the Cone source is polygonal\n"
"                     data.</Documentation>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetResolution\"\n"
"                         default_values=\"6\"\n"
"                         name=\"Resolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain max=\"512\"\n"
"                        min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property indicates the number of divisions around\n"
"        the cone. The higher this number, the closer the polygonal\n"
"        approximation will come to representing a cone, and the more polygons\n"
"        it will contain.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetRadius\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the radius of the base of the\n"
"        cone.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetHeight\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Height\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the height of the\n"
"        cone.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/sources_filterssources.xml
static const char* const paraview_server_managersources_filterssourcesInterface1 =
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the center of the\n"
"        cone.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetDirection\"\n"
"                            default_values=\"1.0 0.0 0.0\"\n"
"                            name=\"Direction\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Set the orientation vector of the cone. The vector does\n"
"        not have to be normalized. The cone will point in the direction\n"
"        specified.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetCapping\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Capping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the base of the cone will\n"
"        be capped with a filled polygon. Otherwise, the base of the cone will\n"
"        be open.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Cone -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCubeSource\"\n"
"                 label=\"Box\"\n"
"                 name=\"CubeSource\">\n"
"      <Documentation long_help=\"Create a box with specified X, Y, and Z lengths.\"\n"
"                     short_help=\"3D box with specified X, Y, and Z lengths\">The\n"
"                     Box source can be used to add a box to the 3D scene. The\n"
"                     output of the Box source is polygonal data containing both\n"
"                     normals and texture coordinates.</Documentation>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetXLength\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"XLength\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the length of the box in the X\n"
"        direction.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetYLength\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"YLength\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the length of the box in the Y\n"
"        direction.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetZLength\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"ZLength\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the length of the box in the Z\n"
"        direction.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the center of the\n"
"        box.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End Box -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkCylinderSource\"\n"
"                 label=\"Cylinder\"\n"
"                 name=\"CylinderSource\">\n"
"      <Documentation long_help=\"Create a 3D cylinder of a given radius and height.\"\n"
"                     short_help=\"3D cylinder of a given radius and height\">The\n"
"                     Cylinder source can be used to add a polygonal cylinder to\n"
"                     the 3D scene. The output of the Cylinder source is\n"
"                     polygonal data containing both normals and texture\n"
"                     coordinates.</Documentation>\n"
"      <IntVectorProperty command=\"SetResolution\"\n"
"                         default_values=\"6\"\n"
"                         name=\"Resolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain max=\"512\"\n"
"                        min=\"2\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property indicates the number of divisions around\n"
"        the cylinder. The higher this number, the closer the polygonal\n"
"        approximation will come to representing a cylinder, and the more\n"
"        polygons it will contain.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetHeight\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Height\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the height of the cylinder\n"
"        (along the y axis).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRadius\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the radius of the\n"
"        cylinder.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the coordinate value at the\n"
"        center of the cylinder.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetCapping\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Capping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If this property is set to 1, the ends of the cylinder\n"
"        will each be capped with a closed polygon. Otherwise, the ends of the\n"
"        cylinder will be open.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Cylinder -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkDiskSource\"\n"
"                 label=\"Disk\"\n"
"                 name=\"DiskSource\">\n"
"      <Documentation long_help=\"Create a 3D disk with a specified inner and outer radius.\"\n"
"                     short_help=\"Create a 3D disk\">The Disk source can be used\n"
"                     to add a polygonal disk to the 3D scene. The output of the\n"
"                     Disk source is polygonal data.</Documentation>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetInnerRadius\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"InnerRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Specify inner radius of hole in disc.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetOuterRadius\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"OuterRadius\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Specify outer radius of disc.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetRadialResolution\"\n"
"                         default_values=\"8\"\n"
"                         name=\"RadialResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain max=\"1024\"\n"
"                        min=\"3\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Set the number of points in radial\n"
"        direction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCircumferentialResolution\"\n"
"                         default_values=\"8\"\n"
"                         name=\"CircumferentialResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain max=\"1024\"\n"
"                        min=\"3\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Set the number of points in circumferential\n"
"        direction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End DiscSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkEllipseArcSource\"\n"
"                 label=\"Ellipse\"\n"
"                 name=\"EllipseSource\">\n"
"      <Documentation short_help=\"Create an elliptical arc\">\n"
"        Source that creates an elliptical arc\n"
"        defined by a normal, a center, a major radius vector (the direction in\n"
"        which the ellipse is longest), and a ratio defined as the minor radius over\n"
"        the major radius. A starting angle and segment angle control the starting\n"
"        and ending points on the ellipse perimeter, enabling creation of only a\n"
"        section of the ellipse. The number of segments in the polyline is controlled\n"
"        by setting the object resolution.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The center of the ellipse.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetNormal\"\n"
"                            default_values=\"0.0 0.0 1.0\"\n"
"                            name=\"Normal\"\n"
"                            number_of_elements=\"3\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The normal of the plane containing the ellipse.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetResolution\"\n"
"                         default_values=\"100\"\n"
"                         name=\"Resolution\"\n"
"                         number_of_elements=\"1\" >\n"
"        <IntRangeDomain max=\"1024\" min=\"8\" name=\"range\" />\n"
"        <Documentation>Number of line segments in the polyline defining the ellipse edge.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetMajorRadiusVector\"\n"
"                            default_values=\"1.0 0.0 0.0\"\n"
"                            name=\"MajorRadiusVector\"\n"
"                            number_of_elements=\"3\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The origin of polar angle and the major radius size.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetRatio\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Ratio\"\n"
"                            number_of_elements=\"1\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.001\" max=\"1.0\" />\n"
"        <Documentation>Ratio of the ellipse defined as minor radius / major radius. Valid\n"
"        values are in the range [0.001, 1.0].</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetStartAngle\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"StartAngle\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"-360.0\" max=\"360.0\" />\n"
"        <Documentation>The angle (in degrees) where the ellipse begins relative to the\n"
"        **Major Radius Vector**.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSegmentAngle\"\n"
"                            default_values=\"360.0\"\n"
"                            name=\"SectorAngle\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"360.0\" />\n"
"        <Documentation>The angular sector occupied by the arc, measured in degrees from\n"
"        the **Start Angle**.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetClose\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Close\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When on, closes the elliptical arc by adding a line segment between\n"
"        the last point and the first point.</Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGlyphSource2D\"\n"
"                 label=\"2D Glyph\"\n"
"                 name=\"GlyphSource2D\">\n"
"      <Documentation long_help=\"Create a 2D glyph (e.g., arrow, cross, dash, etc.)\"\n"
"                     short_help=\"Create a 2D glyph\">The 2D Glyph source is used\n"
"                     for generating a family of 2D glyphs, each of which lies\n"
"                     in the x-y plane. The output of the 2D Glyph source is\n"
"                     polygonal data.</Documentation>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/sources_filterssources.xml
static const char* const paraview_server_managersources_filterssourcesInterface2 =
"      <IntVectorProperty command=\"SetGlyphType\"\n"
"                         default_values=\"9\"\n"
"                         name=\"GlyphType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Vertex\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Dash\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Cross\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"ThickCross\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Triangle\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Square\"\n"
"                 value=\"6\" />\n"
"          <Entry text=\"Circle\"\n"
"                 value=\"7\" />\n"
"          <Entry text=\"Diamond\"\n"
"                 value=\"8\" />\n"
"          <Entry text=\"Arrow\"\n"
"                 value=\"9\" />\n"
"          <Entry text=\"ThickArrow\"\n"
"                 value=\"10\" />\n"
"          <Entry text=\"HookedArrow\"\n"
"                 value=\"11\" />\n"
"          <Entry text=\"EdgeArrow\"\n"
"                 value=\"12\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property specifies the type of the 2D\n"
"        glyph.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFilled\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Filled\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is 1, the 2D glyph will be\n"
"        a filled polygon; otherwise, only the edges (line segments) will be\n"
"        included in the output. This only applies to closed 2D\n"
"        glyphs.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Set the x, y, z coordinates of the origin of the 2D\n"
"        glyph.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End 2DGlyph -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkHyperTreeGridSource\"\n"
"                 label=\"Hyper Tree Grid\"\n"
"                 name=\"HyperTreeGridSource\">\n"
"      <Documentation long_help=\"Hyper tree grid representing a tree-based AMR data set\"\n"
"                     short_help=\"Create a hyper tree grid\">This source uses input parameters,\n"
"                     most notably a string descriptor, to generate a vtkHyperTreeGrid instance\n"
"                     representing the corresponding a tree-based AMR grid with arbitrary rectilinear\n"
"                     geometry and either binary or ternary subdivision.</Documentation>\n"
"      <IntVectorProperty command=\"SetDimensions\"\n"
"                         default_values=\"2 2 2\"\n"
"                         name=\"Dimensions\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>The three values in this property specify the number\n"
"        of points in each dimension of the hyper tree grid.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetGridScale\"\n"
"                         default_values=\"1 1 1\"\n"
"                         name=\"GridScale\"\n"
"                         number_of_elements=\"3\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The three values in this property specify the scale\n"
"        of the root cells in each dimension of the hyper tree grid.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetBranchFactor\"\n"
"                         default_values=\"2\"\n"
"                         name=\"BranchFactor\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain max=\"3\"\n"
"                        min=\"2\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the subdivision scheme\n"
"        (binary or ternary) of the hyper tree grid.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaxDepth\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MaxDepth\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property specifies the maximum\n"
"        number of levels in the hyper tree grid.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetDescriptor\"\n"
"                            default_values=\".\"\n"
"                            name=\"Descriptor\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" />\n"
"        </Hints>\n"
"        <Documentation>This property specifies the string used to describe\n"
"        the hyper tree grid.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End Hyper Tree Grid -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkLineSource\"\n"
"                 label=\"Line\"\n"
"                 name=\"LineSource\">\n"
"      <Documentation long_help=\"This source creates a line between two points. The resolution indicates how many segments are in the line.\"\n"
"                     short_help=\"Create a line between two points\">The Line\n"
"                     source can be used to interactively (using a 3D widget) or\n"
"                     manually (using the entries on the user interface) add a\n"
"                     line to the 3D scene. The output of the Line source is\n"
"                     polygonal data.</Documentation>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint1\"\n"
"                            default_values=\"-0.5 0.0 0.0\"\n"
"                            name=\"Point1\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property controls the coordinates of the first\n"
"        endpoint of the line.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint2\"\n"
"                            default_values=\"0.5 0.0 0.0\"\n"
"                            name=\"Point2\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property controls the coordinates of the second\n"
"        endpoint of the line.</Documentation>\n"
"       </DoubleVectorProperty>\n"
"      <IntVectorProperty name=\"UseRegularRefinement\"\n"
"                         command=\"SetUseRegularRefinement\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If set, the line segment will be generated with regular subdivisions (specified\n"
"          by **Resolution**), else the subdivisions must be explicitly specified.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetResolution\"\n"
"                         default_values=\"6\"\n"
"                         name=\"Resolution\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the number of pieces into which\n"
"          to divide the line.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"UseRegularRefinement\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"RefinementRatios\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            use_index=\"1\"\n"
"                            command=\"SetRefinementRatio\"\n"
"                            set_number_command=\"SetNumberOfRefinementRatios\"\n"
"                            number_of_elements=\"2\"\n"
"                            default_values=\"0.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"        <Documentation>\n"
"          Specify refinements ration in the range [0.0, 1.0] where to add points\n"
"          along the line segment. 0.0 and 1.0 must be added to add the start and end points,\n"
"          if needed.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"UseRegularRefinement\"\n"
"                                   value=\"0\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Line Parameters\" panel_widget=\"InteractiveLine\">\n"
"          <Property function=\"Point1WorldPosition\" name=\"Point1\" />\n"
"          <Property function=\"Point2WorldPosition\" name=\"Point2\" />\n"
"      </PropertyGroup>\n"
"      <!-- End Line -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkLineSource\"\n"
"                 label=\"Ruler\"\n"
"                 name=\"Ruler\">\n"
"      <Documentation long_help=\"This is a line source that can be used to measure distance between two points\"\n"
"                     short_help=\"Create a ruler\">The ruler can be used to\n"
"                     interactively (using a 3D widget) or manually (using the\n"
"                     entries on the user interface) specify two points and then\n"
"                     determine the distance between the two points. To place\n"
"                     points on the surface of any dataset, one can use the 'p'\n"
"                     key shortcut.</Documentation>\n"
"      <DoubleVectorProperty default_values=\"-0.5 0.0 0.0\"\n"
"                            name=\"Point1\"\n"
"                            number_of_elements=\"3\"\n"
"                            command=\"SetPoint1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property controls the coordinates of the first\n"
"        endpoint of the line.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty default_values=\"0.5 0.0 0.0\"\n"
"                            name=\"Point2\"\n"
"                            number_of_elements=\"3\"\n"
"                            command=\"SetPoint2\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property controls the coordinates of the second\n"
"        endpoint of the line.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Distance\" panel_widget=\"InteractiveLine\">\n"
"        <Property function=\"Point1WorldPosition\" name=\"Point1\" />\n"
"        <Property function=\"Point2WorldPosition\" name=\"Point2\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <Representation view=\"RenderView\" type=\"RulerSourceRepresentation\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkOutlineSource\"\n"
"                 label=\"Outline Source\"\n"
"                 name=\"OutlineSource\">\n"
"      <Documentation long_help=\"3D outline of the specified bounds.\"\n"
"                     short_help=\"Create an outline from the bounds\">The Outline\n"
"                     source creates an axis aligned bounding box given the\n"
"                     user-specified minimum and maximum coordinates for each\n"
"                     axis.</Documentation>\n"
"      <DoubleVectorProperty command=\"SetBounds\"\n"
"                            default_values=\"0 1 0 1 0 1\"\n"
"                            name=\"Bounds\"\n"
"                            number_of_elements=\"6\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The values of this property specify the minimum and\n"
"        maximum X, Y, and Z coordinates (X min, X max, Y min, Y max, Z min, Z\n"
"        max) for drawing the outline.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End OutlineSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkParametricFunctionSource\"\n"
"                 name=\"SplineSource\">\n"
"      <Documentation long_help=\"Tessellate parametric functions.\"\n"
"                     short_help=\"Tessellate parametric functions.\">This class\n"
"                     tessellates parametric functions. The user must specify\n"
"                     how many points in the parametric coordinate directions\n"
"                     are required (i.e., the resolution), and the mode to use\n"
"                     to generate scalars.</Documentation>\n"
"      <ProxyProperty command=\"SetParametricFunction\"\n"
"                     label=\"Parametric Function\"\n"
"                     name=\"ParametricFunction\">\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"parametric_functions\"\n"
"                 name=\"Spline\" />\n"
"        </ProxyListDomain>\n"
"        <Documentation>Property used to reference the parametric function as\n"
"        data generator.</Documentation>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty name=\"Resolution\"\n"
"        command=\"SetUResolution\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"50\">\n"
"        <IntRangeDomain name=\"range\" min=\"2\" />\n"
"        <Documentation>\n"
"          Set the spline resolution.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPlaneSource\"\n"
"                 label=\"Plane\"\n"
"                 name=\"PlaneSource\">\n"
"      <Documentation long_help=\"Create a parallelogram given an origin and two points. The resolution indicates the number of division along each axis of the plane.\"\n"
"                     short_help=\"Create a parallelogram from an origin and two points\">\n"
"                     The Plane source can be used to add a polygonal\n"
"                     parallelogram to the 3D scene. Unlike the sphere, cone,\n"
"                     and cylinder sources, the parallelogram is exactly\n"
"                     represented at the lowest resolution, but higher\n"
"                     resolutions may be desired if this plane is to be used as\n"
"                     an input to a filter. The output of the Plane source is\n"
"                     polygonal data.</Documentation>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetOrigin\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/sources_filterssources.xml
static const char* const paraview_server_managersources_filterssourcesInterface3 =
"                            default_values=\"-0.5 -0.5 0.0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the 3D coordinate of the origin\n"
"        (one corner) of the plane.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint1\"\n"
"                            default_values=\"0.5 -0.5 0.0\"\n"
"                            name=\"Point1\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the 3D coordinate a second\n"
"        corner of the parallelogram. The line connecting this point and that\n"
"        specified by the Origin property define one edge of the parallelogram\n"
"        (its X axis).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint2\"\n"
"                            default_values=\"-0.5 0.5 0.0\"\n"
"                            name=\"Point2\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the 3D coordinate a third corner\n"
"        of the parallelogram. The line connecting this point and that specified\n"
"        by the Origin property define a second edge of the parallelogram (its Y\n"
"        axis).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetXResolution\"\n"
"                         default_values=\"1\"\n"
"                         name=\"XResolution\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the number of divisions along\n"
"        the X axis of the parallelogram.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetYResolution\"\n"
"                         default_values=\"1\"\n"
"                         name=\"YResolution\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the number of divisions along\n"
"        the Y axis of the parallelogram.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Plane -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPointSource\"\n"
"                 label=\"Point Source\"\n"
"                 name=\"PointSource\">\n"
"      <Documentation long_help=\"Create a point cloud of a certain size, radius, and center.\"\n"
"                     short_help=\"Create a point cloud\">The point source creates\n"
"                     a specified number of points within a given radius about a\n"
"                     specified center point.</Documentation>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the 3D coordinates of the center\n"
"        of the point cloud.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetNumberOfPoints\"\n"
"                         default_values=\"1\"\n"
"                         name=\"NumberOfPoints\"\n"
"                         number_of_elements=\"1\" >\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the number of points in the\n"
"        point cloud.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetRadius\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the radius of the point cloud,\n"
"        measured from the value of the Center property.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <PropertyGroup label=\"Point Parameters\" panel_widget=\"InteractiveHandle\">\n"
"        <Property function=\"WorldPosition\" name=\"Center\" />\n"
"      </PropertyGroup>\n"
"      <!-- End PointSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPolyLineSource\"\n"
"                 label=\"Poly Line Source\"\n"
"                 name=\"PolyLineSource\">\n"
"      <Documentation long_help=\"Create a poly line from one or more points.\"\n"
"                     short_help=\"Create a poly line from one or more points.\">\n"
"        The Poly Line Source creates a poly line from an arbitrary\n"
"        number of specified points.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty command=\"SetPoint\"\n"
"                            default_values=\"0 0 0 1 0 0\"\n"
"                            name=\"Points\"\n"
"                            number_of_elements=\"6\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfPoints\"\n"
"                            use_index=\"1\">\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetClosed\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Closed\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <PropertyGroup label=\"Poly-line Parameters\" panel_widget=\"InteractivePolyLine\">\n"
"        <Property function=\"HandlePositions\" name=\"Points\" />\n"
"        <Property function=\"Closed\" name=\"Closed\" />\n"
"      </PropertyGroup>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPolyPointSource\"\n"
"                 label=\"Poly Point Source\"\n"
"                 name=\"PolyPointSource\">\n"
"      <Documentation long_help=\"Create polydata from one or more points.\"\n"
"                     short_help=\"Create polydata from one or more points.\">\n"
"        The Poly Point Source creates a poly data of points from an arbitrary\n"
"        number of specified points.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty command=\"SetPoint\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Points\"\n"
"                            number_of_elements=\"3\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfPoints\"\n"
"                            use_index=\"1\">\n"
"      </DoubleVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkRandomHyperTreeGridSource\"\n"
"                 label=\"Hyper Tree Grid (Random)\"\n"
"                 name=\"RandomHyperTreeGridSource\">\n"
"      <Documentation long_help=\"Construct a HyperTreeGrid from a random seed.\"\n"
"                     short_help=\"Create a random hyper tree grid\">This source uses input parameters,\n"
"                     most notably a seed value, to generate a vtkHyperTreeGrid instance for testing.\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"SetSeed\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Seed\"\n"
"                         number_of_elements=\"1\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDimensions\"\n"
"                         default_values=\"6 6 3\"\n"
"                         name=\"Dimensions\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The three values in this property specify the number\n"
"        of root cells in each dimension of the hyper tree grid.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOutputBounds\"\n"
"                         default_values=\"-10 10 -10 10 -10 10\"\n"
"                         name=\"OutputBounds\"\n"
"                         number_of_elements=\"6\">\n"
"        <Documentation>The bounds of the resulting dataset.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSplitFraction\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"SplitFraction\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           max=\"1\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The chance that a given node will be split during\n"
"        construction. Higher values mean more splits.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaxDepth\"\n"
"                         default_values=\"5\"\n"
"                         name=\"MaxDepth\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property specifies the maximum\n"
"        number of levels in the hyper tree grid.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Random Hyper Tree Grid -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkSphereSource\"\n"
"                 label=\"Sphere\"\n"
"                 name=\"SphereSource\">\n"
"      <Documentation long_help=\"Create a 3D sphere given a center and radius.\"\n"
"                     short_help=\"Create a 3D sphere\">The Sphere source can be\n"
"                     used to add a polygonal sphere to the 3D scene. The output\n"
"                     of the Sphere source is polygonal data with point normals\n"
"                     defined.</Documentation>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the 3D coordinates for the\n"
"        center of the sphere.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetRadius\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property specifies the radius of the\n"
"        sphere.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetThetaResolution\"\n"
"                         default_values=\"8\"\n"
"                         name=\"ThetaResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain min=\"3\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property represents the number of\n"
"        divisions between Start Theta and End Theta around the sphere. (See the\n"
"        Start Theta and End Theta properties.) The theta divisions are similar\n"
"        to longitude lines on the earth. The higher the resolution, the closer\n"
"        the approximation will come to a sphere, and the more polygons there\n"
"        will be.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetStartTheta\"\n"
"                            default_values=\"0\"\n"
"                            name=\"StartTheta\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"360\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>To form a complete sphere, the value of this property\n"
"        should be 0 degrees, and the value of the End Theta property should be\n"
"        360 degrees. The value of this property can be adjusted to form only a\n"
"        portion of a sphere.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetEndTheta\"\n"
"                            default_values=\"360\"\n"
"                            name=\"EndTheta\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"360\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property can be adjusted to form only\n"
"        a portion of a sphere. This value is measured in\n"
"        degrees.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPhiResolution\"\n"
"                         default_values=\"8\"\n"
"                         name=\"PhiResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain min=\"3\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property represents the number of\n"
"        divisions between Start Phi and End Phi on the sphere. (See the Start\n"
"        Phi and End Phi properties.) The phi divisions are similar to latitude\n"
"        lines on the earth.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetStartPhi\"\n"
"                            default_values=\"0\"\n"
"                            name=\"StartPhi\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"180\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>To form a complete sphere, the value of this property\n"
"        should be 0 degrees, and the value of the End Phi property should be\n"
"        180 degrees. The value of this property can be adjusted to form only a\n"
"        portion of a sphere. Set the starting angle (in degrees) in the\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/sources_filterssources.xml
static const char* const paraview_server_managersources_filterssourcesInterface4 =
"        latitudinal direction.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetEndPhi\"\n"
"                            default_values=\"180\"\n"
"                            name=\"EndPhi\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"180\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>The value of this property can be adjusted to form only\n"
"        a portion of a sphere. The value is measured in\n"
"        degrees.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End Sphere -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkSuperquadricSource\"\n"
"                 label=\"Superquadric\"\n"
"                 name=\"SuperquadricSource\">\n"
"      <Documentation long_help=\"Create a superquadric according to the theta and phi roundness parameters. This one source can generate a wide variety of 3D objects including a box, a sphere, or a torus.\"\n"
"                     short_help=\"Create a superquadric according to the theta and phi roundness parameters\">\n"
"      The Superquadric source can be used to add a polygonal superquadric to\n"
"      the 3D scene. This source can be used to create a wide variety of shapes\n"
"      (e.g., a sphere, a box, or a torus) by adjusting the roundness\n"
"      parameters. The output of the Superquadric source is polygonal data with\n"
"      point normals and texture coordinates defined.</Documentation>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the 3D coordinates of the center\n"
"        of the superquadric.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The three values in this property are used to scale the\n"
"        superquadric in X, Y, and Z. The surface normals will be computed\n"
"        correctly even with anisotropic scaling.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetThetaResolution\"\n"
"                         default_values=\"16\"\n"
"                         name=\"ThetaResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain max=\"1024\"\n"
"                        min=\"8\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property represents the number of\n"
"        divisions in the theta (longitudinal) direction. This value will be\n"
"        rounded to the nearest multiple of 8.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPhiResolution\"\n"
"                         default_values=\"16\"\n"
"                         name=\"PhiResolution\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain max=\"1024\"\n"
"                        min=\"4\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property represents the number of\n"
"        divisions in the phi (latitudinal) direction. This number will be\n"
"        rounded to the nearest multiple of 4.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetThickness\"\n"
"                            default_values=\"0.3333\"\n"
"                            name=\"Thickness\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0.0001\"\n"
"                           name=\"range\" />\n"
"        <Documentation>If the value of the Toroidal property is 1, this value\n"
"        represents the thickness of the superquadric as a value between 0 and\n"
"        1. A value close to 0 leads to a thin object with a large hole, and a\n"
"        value near 1 leads to a thick object with a very small hole. Changing\n"
"        the thickness does not change the outer radius of the\n"
"        superquadric.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetThetaRoundness\"\n"
"                            default_values=\"1\"\n"
"                            name=\"ThetaRoundness\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain min=\"0.01\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property defines the roundness of the superquadric\n"
"        in the theta (longitudinal) direction. A value of 0 represents a\n"
"        rectangular shape, a value of 1 represents a circular shape, and values\n"
"        greater than 1 produce higher order shapes.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPhiRoundness\"\n"
"                            default_values=\"1\"\n"
"                            name=\"PhiRoundness\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain min=\"0.01\"\n"
"                           name=\"range\" />\n"
"        <Documentation>This property defines the roundness in the phi\n"
"        (latitudinal) direction. A value of 0 represents a rectangular shape, a\n"
"        value of 1 represents a circular shape, and values greater than 1\n"
"        produce higher order shapes.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSize\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"Size\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The value of this property represents the isotropic size\n"
"        of the superquadric. Note that both the Size and Thickness properties\n"
"        control coefficients of superquadric generation, so the value of this\n"
"        property may not exactly describe the size of the\n"
"        superquadric.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetToroidal\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Toroidal\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is 0, the generated\n"
"        superquadric will not contain a hole (i.e., the superquadric will be\n"
"        ellipsoidal). Otherwise, a toroidal object is\n"
"        generated.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End SuperQuadric -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- end of \"sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"extended_sources\">\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkLineSource\"\n"
"                 label=\"Line Source\"\n"
"                 name=\"LineSource\">\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint1\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Point1\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"min\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint2\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Point2\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"max\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetResolution\"\n"
"                         default_values=\"6\"\n"
"                         name=\"Resolution\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <InputProperty is_internal=\"1\"\n"
"                     name=\"DummyInput\">\n"
"        <!-- Used when this source is added to a proxy list domain. -->\n"
"      </InputProperty>\n"
"     <PropertyGroup label=\"Line Parameters\" panel_widget=\"InteractiveLine\">\n"
"          <Property function=\"Point1WorldPosition\" name=\"Point1\" />\n"
"          <Property function=\"Point2WorldPosition\" name=\"Point2\" />\n"
"          <Property function=\"Input\" name=\"DummyInput\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"      <!-- End LineSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkLineSource\"\n"
"                 label=\"Line\"\n"
"                 name=\"HighResLineSource\">\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint1\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Point1\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"min\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint2\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Point2\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"max\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetResolution\"\n"
"                         default_values=\"1000\"\n"
"                         name=\"Resolution\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <InputProperty is_internal=\"1\" name=\"DummyInput\">\n"
"        <!-- Used when this source is added to a proxy list domain. -->\n"
"      </InputProperty>\n"
"      <PropertyGroup label=\"Line Parameters\" panel_widget=\"InteractiveLine\">\n"
"          <Property function=\"Point1WorldPosition\" name=\"Point1\" />\n"
"          <Property function=\"Point2WorldPosition\" name=\"Point2\" />\n"
"          <Property function=\"Input\" name=\"DummyInput\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"      <!-- End HighResLineSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPolyLineSource\"\n"
"                 label=\"Poly Line Source\"\n"
"                 name=\"PolyLineSource\">\n"
"      <DoubleVectorProperty command=\"SetPoint\"\n"
"                            default_values=\"0 0 0 1 0 0\"\n"
"                            name=\"Points\"\n"
"                            number_of_elements=\"6\"\n"
"                            number_of_elements_per_command=\"3\"\n"
"                            repeat_command=\"1\"\n"
"                            set_number_command=\"SetNumberOfPoints\"\n"
"                            use_index=\"1\">\n"
"        <BoundsDomain default_mode=\"min,min,min,max,max,max\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetClosed\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Closed\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <InputProperty is_internal=\"1\" name=\"DummyInput\">\n"
"        <!-- Used when this source is added to a proxy list domain. -->\n"
"      </InputProperty>\n"
"      <PropertyGroup label=\"Poly-line Parameters\" panel_widget=\"InteractivePolyLine\">\n"
"        <Property function=\"HandlePositions\" name=\"Points\" />\n"
"        <Property function=\"Closed\" name=\"Closed\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"      <!-- End PolyLineSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPointSource\"\n"
"                 label=\"Point Cloud\"\n"
"                 name=\"PointSource\">\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"mid\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/sources_filterssources.xml
static const char* const paraview_server_managersources_filterssourcesInterface5 =
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetNumberOfPoints\"\n"
"                         default_values=\"100\"\n"
"                         name=\"NumberOfPoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetRadius\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\">\n"
"        <BoundsDomain mode=\"scaled_extent\"\n"
"                      name=\"range\"\n"
"                      scale_factor=\"0.1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <InputProperty is_internal=\"1\"\n"
"                     name=\"DummyInput\">\n"
"        <!-- Used when this source is added to a proxy list domain. -->\n"
"      </InputProperty>\n"
"      <PropertyGroup label=\"Point Cloud Parameters\" panel_widget=\"InteractiveSphere\">\n"
"        <Property function=\"Center\" name=\"Center\" />\n"
"        <Property function=\"Radius\" name=\"Radius\" />\n"
"        <Property function=\"Input\" name=\"DummyInput\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"      <!-- End PointSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPointSource\"\n"
"                 label=\"Fixed Radius Point Source\"\n"
"                 name=\"FixedRadiusPointSource\">\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\">\n"
"        <BoundsDomain default_mode=\"mid\"\n"
"                      mode=\"normal\"\n"
"                      name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetNumberOfPoints\"\n"
"                         default_values=\"1\"\n"
"                         name=\"NumberOfPoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetRadius\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0.0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <InputProperty is_internal=\"1\"\n"
"                     name=\"DummyInput\">\n"
"        <!-- Used when this source is added to a proxy list domain. -->\n"
"      </InputProperty>\n"
"      <PropertyGroup label=\"Sphere Parameters\" panel_widget=\"InteractiveSphere\">\n"
"        <Property function=\"Center\" name=\"Center\" />\n"
"        <Property function=\"Radius\" name=\"Radius\" />\n"
"        <Property function=\"Input\" name=\"DummyInput\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <ProxyList>\n"
"          <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"      <!-- End PointSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- end of \"extended_sources\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managersources_filterssourcesGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managersources_filterssourcesInterface0);
  const size_t len1 = strlen(paraview_server_managersources_filterssourcesInterface1);
  const size_t len2 = strlen(paraview_server_managersources_filterssourcesInterface2);
  const size_t len3 = strlen(paraview_server_managersources_filterssourcesInterface3);
  const size_t len4 = strlen(paraview_server_managersources_filterssourcesInterface4);
  const size_t len5 = strlen(paraview_server_managersources_filterssourcesInterface5);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4
    + len5 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managersources_filterssourcesInterface0, paraview_server_managersources_filterssourcesInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managersources_filterssourcesInterface1, paraview_server_managersources_filterssourcesInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managersources_filterssourcesInterface2, paraview_server_managersources_filterssourcesInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managersources_filterssourcesInterface3, paraview_server_managersources_filterssourcesInterface3 + len3, res + offset); offset += len3;
  std::copy(paraview_server_managersources_filterssourcesInterface4, paraview_server_managersources_filterssourcesInterface4 + len4, res + offset); offset += len4;
  std::copy(paraview_server_managersources_filterssourcesInterface5, paraview_server_managersources_filterssourcesInterface5 + len5, res + offset); offset += len5;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersstatistics.xml
static const char* const paraview_server_managerfilters_filtersstatisticsInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkComputeQuartiles\"\n"
"                 label=\"Compute Quartiles\"\n"
"                 name=\"ComputeQuartiles\">\n"
"      <Documentation long_help=\"Compute the quartiles table from a dataset or table.\"\n"
"                     short_help=\"Compute the quartiles table from a dataset or table.\">\n"
"                     </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                    name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <!-- View can be used to specify the preferred view for the proxy -->\n"
"      <Hints>\n"
"        <View type=\"BoxChartView\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"      <!-- End ComputeQuartiles -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersstatisticsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersstatisticsInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersstatisticsInterface0, paraview_server_managerfilters_filtersstatisticsInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_imagingcore.xml
static const char* const paraview_server_managerfilters_imagingcoreInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkImageClip\"\n"
"                 label=\"Crop\"\n"
"                 name=\"ImageClip\">\n"
"      <Documentation long_help=\"Efficiently extract an area/volume of interest from a 2-d image or 3-d volume.\"\n"
"                     short_help=\"Extract a volume of interest.\">The Crop filter\n"
"                     extracts an area/volume of interest from a 2D image or a\n"
"                     3D volume by allowing the user to specify the minimum and\n"
"                     maximum extents of each dimension of the data. Both the\n"
"                     input and output of this filter are uniform rectilinear\n"
"                     data.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Crop\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetOutputWholeExtent\"\n"
"                         default_values=\"0 0 0 0 0 0\"\n"
"                         name=\"OutputWholeExtent\"\n"
"                         number_of_elements=\"6\">\n"
"        <ExtentDomain name=\"extent\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ExtentDomain>\n"
"        <Documentation>This property gives the minimum and maximum point index\n"
"        (extent) in each dimension for the output dataset.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"      <!-- End ImageClip -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkImageMapToColors\"\n"
"                 label=\"Color By Array\"\n"
"                 name=\"ColorByArray\">\n"
"      <Documentation long_help=\"This filter generate a color based image data based on a selected data scalar\"\n"
"                     short_help=\"This filter generate a color based image data based on a selected data scalar\"/>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"      </InputProperty>\n"
"      <ProxyProperty command=\"SetLookupTable\"\n"
"                     name=\"LookupTable\">\n"
"      </ProxyProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Color By\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>This property specifies the name of the scalar array\n"
"        from which we will color by.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetNaNColor\"\n"
"                         name=\"NaNColor\"\n"
"                         label=\"RGBA NaN Color\"\n"
"                         default_values=\"0 0 0 255\"\n"
"                         number_of_elements=\"4\">\n"
"        <IntRangeDomain max=\"255 255 255 255\"\n"
"                        min=\"0 0 0 0\"\n"
"                        name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOutputFormat\"\n"
"                         name=\"OutputFormat\"\n"
"                         default_values=\"3\"\n"
"                         number_of_elements=\"1\">\n"
"                         <EnumerationDomain name=\"enum\">\n"
"                           <Entry text=\"Luminance\"\n"
"                                  value=\"1\" />\n"
"                           <Entry text=\"Luminance Alpha\"\n"
"                                  value=\"2\" />\n"
"                           <Entry text=\"RGB\"\n"
"                                  value=\"3\" />\n"
"                           <Entry text=\"RGBA\"\n"
"                                  value=\"4\" />\n"
"                         </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <!-- End ColorByArray -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkImageShrink3D\"\n"
"                 label=\"Image Shrink\"\n"
"                 name=\"ImageShrink\">\n"
"      <Documentation long_help=\"Reduce the size of an image/volume by subsampling.\"\n"
"                     short_help=\"Subsample an image/volume.\">The Image Shrink\n"
"                     filter reduces the size of an image/volume dataset by\n"
"                     subsampling it (i.e., extracting every nth pixel/voxel in\n"
"                     integer multiples). The subsampling rate can be set\n"
"                     separately for each dimension of the\n"
"                     image/volume.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Image Shrink\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetShrinkFactors\"\n"
"                         default_values=\"1 1 1\"\n"
"                         name=\"ShrinkFactors\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain max=\"100\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property indicates the amount by which\n"
"        to shrink along each axis.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAveraging\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Averaging\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is 1, an average of\n"
"        neighborhood scalar values will be used as the output scalar value for\n"
"        each output point. If its value is 0, only subsampling will be\n"
"        performed, and the original scalar values at the points will be\n"
"        retained.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"XYChartView\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"      <!-- End ImageShrink -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_imagingcoreGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_imagingcoreInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_imagingcoreInterface0, paraview_server_managerfilters_imagingcoreInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/sources_imagingcore.xml
static const char* const paraview_server_managersources_imagingcoreInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkRTAnalyticSource\"\n"
"                 label=\"Wavelet\"\n"
"                 name=\"RTAnalyticSource\">\n"
"      <Documentation long_help=\"Create a regular rectilinear grid in up to three dimensions with values varying according to a periodic function.\"\n"
"                     short_help=\"Create a rectilinear grid containing a wavelet\">\n"
"                     The Wavelet source can be used to create a uniform\n"
"                     rectilinear grid in up to three dimensions with values\n"
"                     varying according to the following periodic function. OS =\n"
"                     M * G * (XM * sin(XF * x) + YM * sin(YF * y) + ZM * cos(ZF\n"
"                     * z)) OS is the output scalar; M represents the maximum\n"
"                     value; G represents the Gaussian; XM, YM, and ZM are the\n"
"                     X, Y, and Z magnitude values; and XF, YF, and ZF are the\n"
"                     X, Y, and Z frequency values. If a two-dimensional extent\n"
"                     is specified, the resulting image will be displayed. If a\n"
"                     three-dimensional extent is used, then the bounding box of\n"
"                     the volume will be displayed.</Documentation>\n"
"      <IntVectorProperty command=\"SetWholeExtent\"\n"
"                         default_values=\"-10 10 -10 10 -10 10\"\n"
"                         label=\"Whole Extent\"\n"
"                         name=\"WholeExtent\"\n"
"                         number_of_elements=\"6\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>The six values in this property indicate the X, Y, and Z\n"
"        extent of the output data. The first two values represent the minimum\n"
"        and maximum X indices, the next two are the minimum and maximum Y\n"
"        indices, and the last two are the minimum and maximum Z\n"
"        indices.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetCenter\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Center\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the 3D coordinates of the center of\n"
"        the periodic function (x, y and z in the equation).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetMaximum\"\n"
"                            default_values=\"255.0\"\n"
"                            name=\"Maximum\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This parameter specifies the maximum value (M) of the\n"
"        function.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetXFreq\"\n"
"                            default_values=\"60.0\"\n"
"                            name=\"XFreq\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the natural frequency in X (XF\n"
"        in the equation).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetYFreq\"\n"
"                            default_values=\"30.0\"\n"
"                            name=\"YFreq\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the natural frequency in Y (YF\n"
"        in the equation).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetZFreq\"\n"
"                            default_values=\"40.0\"\n"
"                            name=\"ZFreq\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the natural frequency in Z (ZF\n"
"        in the equation).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetXMag\"\n"
"                            default_values=\"10.0\"\n"
"                            name=\"XMag\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the wave amplitude in X (XM in\n"
"        the equation).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetYMag\"\n"
"                            default_values=\"18.0\"\n"
"                            name=\"YMag\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the wave amplitude in Y (YM in\n"
"        the equation).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetZMag\"\n"
"                            default_values=\"5.0\"\n"
"                            name=\"ZMag\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the wave amplitude in Z (ZM in\n"
"        the equation).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetStandardDeviation\"\n"
"                            default_values=\"0.5\"\n"
"                            name=\"StandardDeviation\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>This property specifies the standard deviation of the\n"
"        Gaussian used in computing this function.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetSubsampleRate\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SubsampleRate\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the rate at which to subsample\n"
"        the volume. The extent of the dataset in each dimension will be divided\n"
"        by this value. (See the Whole Extent property.)</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- Define property groups for better readability of panels -->\n"
"      <PropertyGroup label=\"Frequency\">\n"
"        <Property name=\"XFreq\" />\n"
"        <Property name=\"YFreq\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Amplitude\">\n"
"        <Property name=\"XMag\" />\n"
"        <Property name=\"YMag\" />\n"
"        <Property name=\"ZMag\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Frequency\">\n"
"        <!-- this is added separately just to demonstrate that\n"
"             this group will automatically get merged with the previous\n"
"             one with the same name! -->\n"
"        <Property name=\"ZFreq\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- End Wavelet -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managersources_imagingcoreGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managersources_imagingcoreInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managersources_imagingcoreInterface0, paraview_server_managersources_imagingcoreInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_imagingfourier.xml
static const char* const paraview_server_managerfilters_imagingfourierInterface0 =
"<ServerManagerConfiguration>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_imagingfourierGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_imagingfourierInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_imagingfourierInterface0, paraview_server_managerfilters_imagingfourierInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_imaginggeneral.xml
static const char* const paraview_server_managerfilters_imaginggeneralInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkImageGradient\"\n"
"                 label=\"Gradient Legacy\"\n"
"                 name=\"GradientLegacy\">\n"
"      <Deprecated deprecated_in=\"5.10\" to_remove_in=\"5.12\">\n"
"        This filter has been merged with 'GradientOfUnstructuredDataSet' into a new 'Gradient' filter.\n"
"        Please consider using that instead.\n"
"      </Deprecated>\n"
"      <Documentation long_help=\"This filter computes gradient vectors for an image/volume.\"\n"
"                     short_help=\"Compute gradient vectors.\">\n"
"                     The Gradient filter computes the gradient vector at each point in an\n"
"                     image or volume. This filter uses central differences to compute\n"
"                     the gradients. The Gradient filter operates on uniform rectilinear\n"
"                     (image) data and produces image data output.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"        <Documentation>\n"
"          This property specifies the input to the Gradient filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property lists the name of the array from which to compute the gradient.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetDimensionality\"\n"
"                         default_values=\"3\"\n"
"                         name=\"Dimensionality\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Two\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Three\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property indicates whether to compute the gradient in two dimensions\n"
"          or in three. If the gradient is being computed in two dimensions, the X\n"
"          and Y dimensions are used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End GradientLegacy -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkImageGradientMagnitude\"\n"
"                 label=\"Gradient Magnitude\"\n"
"                 name=\"GradientMagnitude\">\n"
"      <Documentation long_help=\"Compute the magnitude of the gradient vectors for an image/volume.\"\n"
"                     short_help=\"Compute the gradient magnitude.\">The Gradient\n"
"                     Magnitude filter computes the magnitude of the gradient\n"
"                     vector at each point in an image or volume. This filter\n"
"                     operates on uniform rectilinear (image) data and produces\n"
"                     image data output.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"        <Documentation>This property specifies the input to the Gradient\n"
"        Magnitude filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetDimensionality\"\n"
"                         default_values=\"3\"\n"
"                         name=\"Dimensionality\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Two\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Three\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property indicates whether to compute the gradient\n"
"        magnitude in two or three dimensions. If computing the gradient\n"
"        magnitude in 2D, the gradients in X and Y are used for computing the\n"
"        gradient magnitude.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Gradient -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkImageMedian3D\"\n"
"                 name=\"Median\">\n"
"      <Documentation long_help=\"Compute the median scalar values in a specified neighborhood for image/volume datasets.\"\n"
"                     short_help=\"Compute median values in a given neighborhood.\">\n"
"                     The Median filter operates on uniform rectilinear (image\n"
"                     or volume) data and produces uniform rectilinear output.\n"
"                     It replaces the scalar value at each pixel / voxel with\n"
"                     the median scalar value in the specified surrounding\n"
"                     neighborhood. Since the median operation removes outliers,\n"
"                     this filter is useful for removing high-intensity,\n"
"                     low-probability noise (shot noise).</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"        <Documentation>This property specifies the input to the Median\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>The value of this property lists the name of the scalar\n"
"        array to use in computing the median.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetKernelSize\"\n"
"                         default_values=\"1 1 1\"\n"
"                         name=\"KernelSize\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>The value of this property specifies the number of\n"
"        pixels/voxels in each dimension to use in computing the median to\n"
"        assign to each pixel/voxel. If the kernel size in a particular\n"
"        dimension is 1, then the median will not be computed in that\n"
"        direction.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Median -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_imaginggeneralGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_imaginggeneralInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_imaginggeneralInterface0, paraview_server_managerfilters_imaginggeneralInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_imaginghybrid.xml
static const char* const paraview_server_managerfilters_imaginghybridInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGaussianSplatter\"\n"
"                 label=\"Gaussian Resampling\"\n"
"                 name=\"GaussianSplatter\">\n"
"      <Documentation long_help=\"Splat points into a volume with an elliptical, Gaussian distribution.\"\n"
"                     short_help=\"Point to voxel splatter.\">vtkGaussianSplatter\n"
"                     is a filter that injects input points into a structured\n"
"                     points (volume) dataset. As each point is injected, it\n"
"                     \"splats\" or distributes values to nearby voxels. Data is\n"
"                     distributed using an elliptical, Gaussian distribution\n"
"                     function. The distribution function is modified using\n"
"                     scalar values (expands distribution) or normals (creates\n"
"                     ellipsoidal distribution rather than spherical). Warning:\n"
"                     results may be incorrect in parallel as points can't splat\n"
"                     into other processor's cells.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\" />\n"
"        <Documentation>This property specifies the input to the\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Resample Field\"\n"
"                            name=\"SelectInputScalars\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                         name=\"array_list\"\n"
"                         none_string=\"ignore arrays\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>Choose a scalar array to splat into the output cells. If\n"
"        ignore arrays is chosen, point density will be counted\n"
"        instead.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetSampleDimensions\"\n"
"                         default_values=\"50 50 50\"\n"
"                         label=\"Resampling Grid\"\n"
"                         name=\"SampleDimensions\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>Set / get the dimensions of the sampling structured\n"
"        point set. Higher values produce better results but are much\n"
"        slower.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetModelBounds\"\n"
"                            default_values=\"0.0 0.0 0.0 0.0 0.0 0.0\"\n"
"                            label=\"Extent to Resample\"\n"
"                            name=\"ModelBounds\"\n"
"                            number_of_elements=\"6\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding\n"
"        box in which the sampling is performed. If any of the (min,max) bounds\n"
"        values are min &gt;= max, then the bounds will be computed\n"
"        automatically from the input data. Otherwise, the user-specified bounds\n"
"        will be used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetRadius\"\n"
"                            default_values=\"0.1\"\n"
"                            label=\"Gaussian Splat Radius\"\n"
"                            name=\"Radius\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Set / get the radius of propagation of the splat. This\n"
"        value is expressed as a percentage of the length of the longest side of\n"
"        the sampling volume. Smaller numbers greatly reduce execution\n"
"        time.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetExponentFactor\"\n"
"                            default_values=\"-5.0\"\n"
"                            label=\"Gaussian Exponent Factor\"\n"
"                            name=\"ExponentFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"0.0\"\n"
"                           name=\"range\" />\n"
"        <Documentation>Set / get the sharpness of decay of the splats. This is\n"
"        the exponent constant in the Gaussian equation. Normally this is a\n"
"        negative value.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetScalarWarping\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Scale Splats\"\n"
"                         name=\"ScalarWarping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turn on/off the scaling of splats by scalar\n"
"        value.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScaleFactor\"\n"
"                            default_values=\"1.0\"\n"
"                            label=\"Scale Factor\"\n"
"                            name=\"ScaleFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Multiply Gaussian splat distribution by this value. If\n"
"        ScalarWarping is on, then the Scalar value will be multiplied by the\n"
"        ScaleFactor times the Gaussian function.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetNormalWarping\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Elliptical Splats\"\n"
"                         name=\"NormalWarping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turn on/off the generation of elliptical splats. If\n"
"        normal warping is on, then the input normals affect the distribution of\n"
"        the splat. This boolean is used in combination with the Eccentricity\n"
"        ivar.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetEccentricity\"\n"
"                            default_values=\"2.5\"\n"
"                            label=\"Ellipitical Eccentricity\"\n"
"                            name=\"Eccentricity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Control the shape of elliptical splatting. Eccentricity\n"
"        is the ratio of the major axis (aligned along normal) to the minor\n"
"        (axes) aligned along other two axes. So Eccentricity gt 1 creates\n"
"        needles with the long axis in the direction of the normal; Eccentricity\n"
"        lt 1 creates pancakes perpendicular to the normal\n"
"        vector.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetCapping\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Fill Volume Boundary\"\n"
"                         name=\"Capping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turn on/off the capping of the outer boundary of the\n"
"        volume to a specified cap value. This can be used to close surfaces\n"
"        (after isosurfacing) and create other effects.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetCapValue\"\n"
"                            default_values=\"0.0\"\n"
"                            label=\"Fill Value\"\n"
"                            name=\"CapValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Specify the cap value to use. (This instance variable\n"
"        only has effect if the ivar Capping is on.)</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetAccumulationMode\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Splat Accumulation Mode\"\n"
"                         name=\"Accumulation Mode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Min\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Max\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Sum\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Specify the scalar accumulation mode. This mode\n"
"        expresses how scalar values are combined when splats are overlapped.\n"
"        The Max mode acts like a set union operation and is the most commonly\n"
"        used; the Min mode acts like a set intersection, and the sum is just\n"
"        weird.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetNullValue\"\n"
"                            default_values=\"0.0\"\n"
"                            label=\"Empty Cell Value\"\n"
"                            name=\"NullValue\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Set the Null value for output points not receiving a\n"
"        contribution from the input points. (This is the initial value of the\n"
"        voxel samples.)</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of GaussianSplatter -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_imaginghybridGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_imaginghybridInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_imaginghybridInterface0, paraview_server_managerfilters_imaginghybridInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/sources_imagingsources.xml
static const char* const paraview_server_managersources_imagingsourcesInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkImageMandelbrotSource\"\n"
"                 label=\"Mandelbrot\"\n"
"                 name=\"ImageMandelbrotSource\">\n"
"      <Documentation long_help=\"Representation (unsigned char) of the Mandlebrot set in up to 3 dimensions\"\n"
"                     short_help=\"Create a Mandelbrot representation\">The\n"
"                     Mandelbrot source can be used to add a uniform rectilinear\n"
"                     grid with scalar values derived from the Mandelbrot set to\n"
"                     the 3D scene. The equation used is z = z^2 + C (where z\n"
"                     and C are complex, and C is a constant). The scalar values\n"
"                     in the grid are the number of iterations of the equation\n"
"                     it takes for the magnitude of the value to become greater\n"
"                     than 2. In the equation, the initial value of z is 0. By\n"
"                     default, the real component of C is mapped onto the X\n"
"                     axis; the imaginary component of C is mapped onto the Y\n"
"                     axis; and the imaginary component of the initial value is\n"
"                     mapped onto the Z axis. If a two-dimensional extent is\n"
"                     specified, the resulting image will be displayed. If a\n"
"                     three-dimensional extent is used, then the bounding box of\n"
"                     the volume will be displayed. The output of the Mandelbrot\n"
"                     source is image (uniform rectilinear)\n"
"                     data.</Documentation>\n"
"      <IntVectorProperty command=\"SetWholeExtent\"\n"
"                         default_values=\"0 250 0 250 0 0\"\n"
"                         name=\"WholeExtent\"\n"
"                         number_of_elements=\"6\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>The six values in the property indicate the X, Y, and Z\n"
"        extent of the output data. The first two numbers are the minimum and\n"
"        maximum X extent; the next two are the minimum and maximum Y extent;\n"
"        and the final two are the minimum and maximum Z extent. The numbers are\n"
"        inclusive, so values of 0, 250, 0, 250, 0, 0 indicate that the\n"
"        dimensions of the output will be 251 x 251 x 1.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetProjectionAxes\"\n"
"                         default_values=\"0 1 2\"\n"
"                         name=\"ProjectionAxes\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>The three values in this property allow you to specify\n"
"        the projection from the 4D space used by the Mandelbrot set to the axes\n"
"        of the 3D volume. By default, the real component of C (represented by\n"
"        0) is mapped to the X axis; the imaginary component of C (represented\n"
"        by 1) is mapped to the Y axis; and the real component of X, the initial\n"
"        value (represented by 2) is mapped to the Z axis. The imaginary\n"
"        component of X is represented by 3. All values entered must be between\n"
"        0 and 3, inclusive.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOriginCX\"\n"
"                            default_values=\"-1.75 -1.25 0.0 0.0\"\n"
"                            name=\"OriginCX\"\n"
"                            number_of_elements=\"4\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The four values of this property indicate (in order) the\n"
"        components of C (real and imaginary) and the components of the initial\n"
"        value, X (real and imaginary).</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetSizeCX\"\n"
"                            default_values=\"2.5 2.5 2.0 1.5\"\n"
"                            name=\"SizeCX\"\n"
"                            number_of_elements=\"4\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The four values of this property indicate the length of\n"
"        the output in each of the four dimensions (the real and imaginary\n"
"        components of C and the real and imaginary components of X). The three\n"
"        dimensions specified in the Projection Axes property will determine\n"
"        which of these values specify the length of the axes in the\n"
"        output.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetMaximumNumberOfIterations\"\n"
"                         default_values=\"100\"\n"
"                         label=\"Maximum Number of Iterations\"\n"
"                         name=\"MaximumNumberOfIterations\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain max=\"5000\"\n"
"                        min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The value of this property specifies the limit on\n"
"        computational iterations (i.e., the maximum number of iterations to\n"
"        perform to determine if the value will go above 2). Values less than\n"
"        2.0 after the specified number of iterations are considered in the\n"
"        fractal set.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSubsampleRate\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SubsampleRate\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property specifies the rate at which to subsample\n"
"        the volume. The extent of the dataset in each dimension will be divided\n"
"        by this value.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End Mandelbrot -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managersources_imagingsourcesGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managersources_imagingsourcesInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managersources_imagingsourcesInterface0, paraview_server_managersources_imagingsourcesInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersparalleldiy2.xml
static const char* const paraview_server_managerfilters_filtersparalleldiy2Interface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExtractSubsetWithSeed\"\n"
"      name=\"ExtractSubsetWithSeed\"\n"
"      label=\"Extract Subset With Seed\">\n"
"      <Documentation\n"
"        long_help=\"Extract a subset from a structured-grid starting with a seed point.\">\n"
"        Extract a subset (line or plane) from a structured-grid starting with a seed point.\n"
"        The filter supports cases where the structured grid is split up into multiple blocks\n"
"        (across multiple ranks). It also handles cases were the ijk origin for each the\n"
"        blocks is not aligned.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\"\n"
"                     command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkStructuredGrid\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty name=\"Seed\"\n"
"        command=\"SetSeed\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <Documentation>\n"
"          Specify the seed point in x-y-z coordinates to initiate in the slice extraction.\n"
"        </Documentation>\n"
"        <BoundsDomain default_mode=\"mid\" mode=\"normal\" name=\"range\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetDirection\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Direction\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"I\" info=\"line\" />\n"
"          <Entry value=\"1\" text=\"J\" info=\"line\" />\n"
"          <Entry value=\"2\" text=\"K\" info=\"line\" />\n"
"          <Entry value=\"3\" text=\"IJ\" info=\"plane\" />\n"
"          <Entry value=\"4\" text=\"JK\" info=\"plane\" />\n"
"          <Entry value=\"5\" text=\"KI\" info=\"plane\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify the direction in which to extract the slice starting with the **Seed**.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <PropertyGroup label=\"Seed Parameters\" panel_widget=\"InteractiveHandle\">\n"
"        <Property function=\"WorldPosition\" name=\"Seed\" />\n"
"        <Property function=\"Input\" name=\"Input\" />\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"2\" />\n"
"      </Hints>\n"
"      <!-- End ExtractSubsetWithSeed -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGenerateGlobalIds\"\n"
"                 label=\"Generate Global Ids\"\n"
"                 name=\"GenerateGlobalIds\">\n"
"      <Documentation short_help=\"Generate global point and cell ids.\">\n"
"        Generate global point and cell ids. Global ids are unique ids where the same point\n"
"        (or cell) will be assigned the same id even if the point (or cell) is duplicated among\n"
"        multiple blocks or ranks. This filter also flags duplicated points as ghost points.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Tolerance\"\n"
"        command=\"SetTolerance\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Set the tolerance to use to identify coincident points. 0 means the\n"
"          points should be exactly identical.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <!-- End GenerateGlobalIds -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkGhostCellsGenerator\"\n"
"                 label=\"Ghost Cells Generator\"\n"
"                 name=\"GhostCellsGenerator\">\n"
"      <Documentation short_help=\"Generate ghosts.\">\n"
"        Generate ghost cells and ghost points in a composite data set. Ghosts are exchanged\n"
"        between blocks / partitions of same type. Currently, vtkImageData, vtkRectilinearGrid,\n"
"        vtkStructuredGrid, vtkPolyData and vtkUnstructuredGrid are supported. Those input types can\n"
"        be dispatched in vtkPartitionedDataSet or vtkPartitionedDataSetCollection. Inside a,\n"
"        collection, 2 partitioned data sets do not exchange ghosts, but partitions inside a\n"
"        partitioned data set do.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfGhostLayers\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MinimumNumberOfGhosts\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <Documentation>\n"
"          When **BuildIfRequired** if off, use this to specify the minimum number of\n"
"          ghost cells to request. The filter may request more ghost levels than indicated if a\n"
"          downstream filter asked for more ghost levels.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"100\"/>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"BuildIfRequired\"\n"
"                                   value=\"0\">\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBuildIfRequired\"\n"
"                         default_values=\"0\"\n"
"                         name=\"BuildIfRequired\"\n"
"                        number_of_elements=\"1\">\n"
"      <Documentation>\n"
"        Specify if the filter must generate the ghost cells only\n"
"        if required by the pipeline downstream. To force at least a fixed level\n"
"        of ghosts, this must be set to 0 (unchecked).\n"
"      </Documentation>\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End CompositeDataSetGhostCellsGenerator -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkRedistributeDataSetFilter\"\n"
"                 name=\"RedistributeDataSet\"\n"
"                 label=\"Redistribute DataSet\">\n"
"      <Documentation\n"
"        long_help=\"Redistribute dataset into requested number of partitions.\">\n"
"        Redistribute data for load balancing. The filter either computes the bounding\n"
"        boxes, or uses a provided collection of bounding boxes, for distributing the\n"
"        data. Cells along partition boundaries can be uniquely assigned to a partition,\n"
"        duplicated among partitions, or split among the partitions. The output\n"
"        is an unstructured grid.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\"\n"
"                     command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"BoundaryMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        command=\"SetBoundaryMode\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Assign to one region\" value=\"0\" />\n"
"          <Entry text=\"Assign to all regions\" value=\"1\" />\n"
"          <Entry text=\"Split cells\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property determines how cells that lie on processor\n"
"        boundaries are handled. The \"Assign to one region\" option assigns each\n"
"        boundary cell to exactly one process, which is useful for isosurfacing.\n"
"        Selecting \"Assign to all regions\" causes the cells on the boundaries to be\n"
"        copied to each process that shares that boundary. The \"Split cells\"\n"
"        option breaks cells across process boundary lines so that pieces of the\n"
"        cell lie in different processes. This option is useful for volume\n"
"        rendering.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfPartitions\"\n"
"        command=\"SetNumberOfPartitions\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"-1\">\n"
"        <IntRangeDomain min=\"-1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Specify the number of partitions to split the dataset into.\n"
"          Set to 0 to indicate that the partitions should match the number of ranks.\n"
"          The value provided is a hint and the actual number of partitions will be\n"
"        equal to the power of 2 greater than or equal to the chosen value.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LoadBalanceAcrossAllBlocks\"\n"
"        command=\"SetLoadBalanceAcrossAllBlocks\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When checked, for datasets with multiple blocks,\n"
"          the filter will try to load balance across all blocks otherwise each block is separately\n"
"          load balanced.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PreservePartitionsInOutput\"\n"
"        command=\"SetPreservePartitionsInOutput\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>When unchecked, ranks with more than one partition will merge\n"
"          the partitions into a single vtkUnstructuredGrid. When checked, the partitions\n"
"          are preserved and the output is a vtkPartitionedDataSet.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GenerateGlobalCellIds\"\n"
"        command=\"SetGenerateGlobalCellIds\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>Generate global Ids for all cells across partitions.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"EnableDebugging\"\n"
"        command=\"SetEnableDebugging\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>Retains some helper arrays created for generating\n"
"        global cell Ids and ghost cells that are useful for debugging.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End RedistributeDataSetFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkOverlappingCellsDetector\"\n"
"                 label=\"Overlapping Cells Detector\"\n"
"                 name=\"OverlappingCellsDetector\">\n"
"      <Documentation short_help=\"Detects overlapping cells.\">\n"
"        Generates overlap count between cells of the input in a cell array named\n"
"        \"NumberOfCollisionsPerCell\".\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPointSet\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty name=\"Tolerance\"\n"
"                         command=\"SetTolerance\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"      <Documentation short_help=\"The higher, the less overlaps are detected\">\n"
"        Cells are deflated by 0.5 * Tolerance before the cell overlaps are computed.\n"
"        Deflating is done by translating each cell's faces and edges, in their normal direction,\n"
"        by a vector of norm Tolerance.\n"
"      </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End OverlappingCellsDetector -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkAdaptiveResampleToImage\"\n"
"                 name=\"AdaptiveResampleToImage\"\n"
"                 label=\"Adaptive Resample To Image\">\n"
"      <Documentation\n"
"        long_help=\"Resample to image adaptively\">\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\"\n"
"                     command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfImages\"\n"
"        command=\"SetNumberOfImages\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>\n"
"          Specify the number of partitions to split the dataset into.\n"
"          Set to 0 to indicate that the partitions should match the number of ranks.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetSamplingDimensions\"\n"
"                         default_values=\"64 64 64\"\n"
"                         name=\"SamplingDimensions\"\n"
"                         number_of_elements=\"3\"\n"
"                         panel_visibility=\"default\">\n"
"                         <IntRangeDomain name=\"range\" min=\"1 1 1\"/>\n"
"        <Documentation>\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersparalleldiy2GetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersparalleldiy2Interface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersparalleldiy2Interface0, paraview_server_managerfilters_filtersparalleldiy2Interface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersparallelverdict.xml
static const char* const paraview_server_managerfilters_filtersparallelverdictInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPCellSizeFilter\"\n"
"                 label=\"Cell Size\"\n"
"                 name=\"CellSize\">\n"
"      <Documentation long_help=\"This filter computes sizes for 0D (1 for vertex and number of points in for polyvertex), 1D (length), 2D (area)\n"
"        and 3D (volume) cells. ComputePoint, ComputeLength, ComputeArea and ComputeVolume options can be used to specify what dimension\n"
"        cells to compute for. Alternatively, the ComputeHighestDimension will compute sizes for only the highest dimension cells for\n"
"        the vtkDataSet. The values are placed in a cell data array named ArrayName. The SumSize option will give a summation of the\n"
"        computed cell sizes for a vtkDataSet and for composite datasets will contain a sum of the underlying blocks.\"\n"
"        short_help=\"Compute cell sizes.\">This filter computes sizes for 0D (1 for vertex and number of points in for polyvertex), 1D (length), 2D (area)\n"
"        and 3D (volume) cells. ComputeVertexCount, ComputeLength, ComputeArea and ComputeVolume options can be used to specify what dimension\n"
"        cells to compute for. The values are placed in a cell data array named ArrayName. The ComputeSum option will give a summation of the\n"
"        computed cell sizes for a vtkDataSet and for composite datasets will contain a sum of the underlying blocks in the top-level block.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the Cell Size filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetComputeVertexCount\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeVertexCount\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Specify whether or not to compute the number of points in 0D cells.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetVertexCountArrayName\"\n"
"                            default_values=\"VertexCount\"\n"
"                            name=\"VertexCountArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Specify the name of the array to store the 0D cell vertex count and optionally the field data vertex count sum.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeLength\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeLength\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Specify whether or not to compute the length of 1D cells.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetLengthArrayName\"\n"
"                            default_values=\"Length\"\n"
"                            name=\"LengthArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Specify the name of the array to store the 1D cell length and optionally the field data length sum.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeArea\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeArea\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Specify whether or not to compute the area of 2D cells.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetAreaArrayName\"\n"
"                            default_values=\"Area\"\n"
"                            name=\"AreaArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Specify the name of the array to store 2D cell area and optionally the field data area sum.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeVolume\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ComputeVolume\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Specify whether or not to compute the volume of 3D cells .</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetVolumeArrayName\"\n"
"                            default_values=\"Volume\"\n"
"                            name=\"VolumeArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Specify the name of the array to store 3D cell volume and optionally the field data volume sum.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetComputeSum\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ComputeSum\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Specify whether or not to sum the computed sizes of cells in datasets. The result is stored in field data.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End CellSize -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersparallelverdictGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersparallelverdictInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersparallelverdictInterface0, paraview_server_managerfilters_filtersparallelverdictInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filterstexture.xml
static const char* const paraview_server_managerfilters_filterstextureInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTextureMapToCylinder\"\n"
"                 label=\"Texture Map to Cylinder\"\n"
"                 name=\"TextureMapToCylinder\">\n"
"      <Documentation long_help=\"Generate texture coordinates by mapping points to cylinder.\"\n"
"                     short_help=\"Generate texture coordinates by mapping points to cylinder.\">\n"
"                     This is a filter that generates 2D texture coordinates by\n"
"                     mapping input dataset points onto a cylinder. The cylinder\n"
"                     is generated automatically. The cylinder is generated\n"
"                     automatically by computing the axis of the cylinder. Note\n"
"                     that the generated texture coordinates for the\n"
"                     s-coordinate ranges from (0-1) (corresponding to angle of\n"
"                     0-&gt;360 around axis), while the mapping of the\n"
"                     t-coordinate is controlled by the projection of points\n"
"                     along the axis.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Texture Map to Cylinder\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetPreventSeam\"\n"
"                         default_values=\"1\"\n"
"                         name=\"PreventSeam\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Control how the texture coordinates are generated. If\n"
"        Prevent Seam is set, the s-coordinate ranges from 0-&gt;1 and 1-&gt;0\n"
"        corresponding to the theta angle variation between 0-&gt;180 and\n"
"        180-&gt;0 degrees. Otherwise, the s-coordinate ranges from 0-&gt;1\n"
"        between 0-&gt;360 degrees.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GenerateCylinderAutomatically\"\n"
"        command=\"SetAutomaticCylinderGeneration\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, the filter will try to determine the size and orientation of the cylinder\n"
"          used for texture mapping using data bounds.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Point1\"\n"
"        command=\"SetPoint1\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <BoundsDomain name=\"bounds\" mode=\"normal\" default_mode=\"mid,mid,min\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          When **GenerateCylinderAutomatically** is not set, specify the first point defining\n"
"          the axis of the cylinder through its center.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"GenerateCylinderAutomatically\"\n"
"                                   value=\"0\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Point2\"\n"
"        command=\"SetPoint2\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <BoundsDomain name=\"bounds\" mode=\"normal\" default_mode=\"mid,mid,max\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          When **GenerateCylinderAutomatically** is not set, specify the second point defining\n"
"          the axis of the cylinder through its center.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"GenerateCylinderAutomatically\"\n"
"                                   value=\"0\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End TextureMapToCylinder -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkTextureMapToPlane\"\n"
"                 label=\"Texture Map to Plane\"\n"
"                 name=\"TextureMapToPlane\">\n"
"      <Documentation long_help=\"Generate texture coordinates by mapping points to plane.\"\n"
"                     short_help=\"Generate texture coordinates by mapping points to plane.\">\n"
"                     TextureMapToPlane is a filter that generates 2D texture\n"
"                     coordinates by mapping input dataset points onto a plane.\n"
"                     The plane is generated automatically. A least squares\n"
"                     method is used to generate the plane\n"
"                     automatically.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>Set the input to the Texture Map to Plane\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetOrigin\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>This property specifies the 3D coordinates for the\n"
"        origin of the plane. Set all to zero if you want to use automatic\n"
"        generation.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint1\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Point1\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>This property specifies the 3D coordinates for\n"
"        Point1 of the plane. Set all to zero if you want to use automatic\n"
"        generation.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetPoint2\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            name=\"Point2\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>This property specifies the 3D coordinates for\n"
"        Point2 of the plane. Set all to zero if you want to use automatic\n"
"        generation.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetAutomaticPlaneGeneration\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Automatic\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If set the plane values will be automatically generated.\n"
"        Note that for this to work all the Origin, Point1 and Point2 must all\n"
"        be set to zero.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End TextureMapToPlane -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filterstextureGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filterstextureInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filterstextureInterface0, paraview_server_managerfilters_filterstextureInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_filtersverdict.xml
static const char* const paraview_server_managerfilters_filtersverdictInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkMeshQuality\"\n"
"                 label=\"Mesh Quality\"\n"
"                 name=\"MeshQuality\">\n"
"      <Documentation long_help=\"This filter creates a new cell array containing a geometric measure of each cell's\n"
"                     fitness. Different quality measures can be chosen for different cell shapes.\"\n"
"                     short_help=\"Evaluate geometric mesh quality.\">\n"
"        This filter creates a new cell array containing a geometric measure of\n"
"        each cell's fitness. Different quality measures can be\n"
"        chosen for different cell shapes. Supported shapes include linear\n"
"        triangles, quadrilaterals, tetrahedra, pyramids, wedges, and hexahedra.\n"
"        For other shapes, a value of 0 is assigned.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the Mesh Quality filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetTriangleQualityMeasure\"\n"
"                         default_values=\"2\"\n"
"                         name=\"TriangleQualityMeasure\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Area\"\n"
"                 value=\"28\" />\n"
"          <Entry text=\"Aspect Ratio\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Aspect Frobenius\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Condition\"\n"
"                 value=\"9\" />\n"
"          <Entry text=\"Distortion\"\n"
"                 value=\"15\" />\n"
"          <Entry text=\"Edge Ratio\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Equiangle Skew\"\n"
"                 value=\"29\" />\n"
"          <Entry text=\"Maximum Angle\"\n"
"                 value=\"8\" />\n"
"          <Entry text=\"Minimum Angle\"\n"
"                 value=\"6\" />\n"
"          <Entry text=\"Normalized Inradius\"\n"
"                 value=\"35\" />\n"
"          <Entry text=\"Radius Ratio\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Relative Size Squared\"\n"
"                 value=\"12\" />\n"
"          <Entry text=\"Scaled Jacobian\"\n"
"                 value=\"10\" />\n"
"          <Entry text=\"Shape\"\n"
"                 value=\"13\" />\n"
"          <Entry text=\"Shape and Size\"\n"
"                 value=\"14\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property indicates which quality measure will be used to evaluate triangle quality.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetQuadQualityMeasure\"\n"
"                         default_values=\"0\"\n"
"                         name=\"QuadQualityMeasure\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Area\"\n"
"                 value=\"28\" />\n"
"          <Entry text=\"Aspect Ratio\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Condition\"\n"
"                 value=\"9\" />\n"
"          <Entry text=\"Distortion\"\n"
"                 value=\"15\" />\n"
"          <Entry text=\"Edge Ratio\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Equiangle Skew\"\n"
"                 value=\"29\" />\n"
"          <Entry text=\"Jacobian\"\n"
"                 value=\"25\" />\n"
"          <Entry text=\"Maximum Aspect Frobenius\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Maximum Aspect Frobenius\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Maximum Edge Ratio\"\n"
"                 value=\"16\" />\n"
"          <Entry text=\"Mean Aspect Frobenius\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Minimum Angle\"\n"
"                 value=\"6\" />\n"
"          <Entry text=\"Oddy\"\n"
"                 value=\"23\" />\n"
"          <Entry text=\"Radius Ratio\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Relative Size Squared\"\n"
"                 value=\"12\" />\n"
"          <Entry text=\"Scaled Jacobian\"\n"
"                 value=\"10\" />\n"
"          <Entry text=\"Shape\"\n"
"                 value=\"13\" />\n"
"          <Entry text=\"Shape and Size\"\n"
"                 value=\"14\" />\n"
"          <Entry text=\"Shear\"\n"
"                 value=\"11\" />\n"
"          <Entry text=\"Shear and Size\"\n"
"                 value=\"24\" />\n"
"          <Entry text=\"Skew\"\n"
"                 value=\"17\" />\n"
"          <Entry text=\"Stretch\"\n"
"                 value=\"20\" />\n"
"          <Entry text=\"Taper\"\n"
"                 value=\"18\" />\n"
"          <Entry text=\"Warpage\"\n"
"                 value=\"26\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property indicates which quality measure will be used to evaluate quadrilateral quality.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTetQualityMeasure\"\n"
"                         default_values=\"2\"\n"
"                         name=\"TetQualityMeasure\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Aspect Gamma\"\n"
"                 value=\"27\" />\n"
"          <Entry text=\"Aspect Frobenius\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Aspect Ratio\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Collapse Ratio\"\n"
"                 value=\"7\" />\n"
"          <Entry text=\"Condition\"\n"
"                 value=\"9\" />\n"
"          <Entry text=\"Distortion\"\n"
"                 value=\"15\" />\n"
"          <Entry text=\"Edge Ratio\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Equiangle Skew\"\n"
"                 value=\"29\" />\n"
"          <Entry text=\"Equivolume Skew\"\n"
"                 value=\"30\" />\n"
"          <Entry text=\"Jacobian\"\n"
"                 value=\"25\" />\n"
"          <Entry text=\"Mean Ratio\"\n"
"                 value=\"33\" />\n"
"          <Entry text=\"Minimum Dihedral Angle\"\n"
"                 value=\"6\" />\n"
"          <Entry text=\"Normalized Inradius\"\n"
"                 value=\"35\" />\n"
"          <Entry text=\"Radius Ratio\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Relative Size Squared\"\n"
"                 value=\"12\" />\n"
"          <Entry text=\"Scaled Jacobian\"\n"
"                 value=\"10\" />\n"
"          <Entry text=\"Shape\"\n"
"                 value=\"13\" />\n"
"          <Entry text=\"Shape and Size\"\n"
"                 value=\"14\" />\n"
"          <Entry text=\"Squish Index\"\n"
"                 value=\"36\" />\n"
"          <Entry text=\"Volume\"\n"
"                 value=\"19\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property indicates which quality measure will be used to evaluate tetrahedral quality.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPyramidQualityMeasure\"\n"
"                         default_values=\"13\"\n"
"                         name=\"PyramidQualityMeasure\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Equiangle Skew\"\n"
"                 value=\"29\" />\n"
"          <Entry text=\"Jacobian\"\n"
"                 value=\"25\" />\n"
"          <Entry text=\"Scaled Jacobian\"\n"
"                 value=\"10\" />\n"
"          <Entry text=\"Shape\"\n"
"                 value=\"13\" />\n"
"          <Entry text=\"Volume\"\n"
"                 value=\"19\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property indicates which quality measure will be used to evaluate pyramidal quality.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetWedgeQualityMeasure\"\n"
"                         default_values=\"0\"\n"
"                         name=\"WedgeQualityMeasure\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Condition\"\n"
"                 value=\"9\" />\n"
"          <Entry text=\"Distortion\"\n"
"                 value=\"15\" />\n"
"          <Entry text=\"Edge Ratio\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Equiangle Skew\"\n"
"                 value=\"29\" />\n"
"          <Entry text=\"Jacobian\"\n"
"                 value=\"25\" />\n"
"          <Entry text=\"Maximum Aspect Frobenius\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Maximum Stretch\"\n"
"                 value=\"31\" />\n"
"          <Entry text=\"Mean Aspect Frobenius\"\n"
"                 value=\"32\" />\n"
"          <Entry text=\"Scaled Jacobian\"\n"
"                 value=\"10\" />\n"
"          <Entry text=\"Shape\"\n"
"                 value=\"14\" />\n"
"          <Entry text=\"Volume\"\n"
"                 value=\"19\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property indicates which quality measure will be used to evaluate wedge's quality.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHexQualityMeasure\"\n"
"                         default_values=\"5\"\n"
"                         name=\"HexQualityMeasure\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Diagonal\"\n"
"                 value=\"21\" />\n"
"          <Entry text=\"Dimension\"\n"
"                 value=\"22\" />\n"
"          <Entry text=\"Distortion\"\n"
"                 value=\"15\" />\n"
"          <Entry text=\"Edge Ratio\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Equiangle Skew\"\n"
"                 value=\"29\" />\n"
"          <Entry text=\"Jacobian\"\n"
"                 value=\"25\" />\n"
"          <Entry text=\"Maximum Edge Ratio\"\n"
"                 value=\"16\" />\n"
"          <Entry text=\"Maximum Aspect Frobenius\"\n"
"                 value=\"5\" />\n"
"          <Entry text=\"Mean Aspect Frobenius\"\n"
"                 value=\"4\" />\n"
"          <Entry text=\"Nodal Jacobian Ratio\"\n"
"                 value=\"34\" />\n"
"          <Entry text=\"Oddy\"\n"
"                 value=\"23\" />\n"
"          <Entry text=\"Relative Size Squared\"\n"
"                 value=\"12\" />\n"
"          <Entry text=\"Scaled Jacobian\"\n"
"                 value=\"10\" />\n"
"          <Entry text=\"Shape\"\n"
"                 value=\"13\" />\n"
"          <Entry text=\"Shape and Size\"\n"
"                 value=\"14\" />\n"
"          <Entry text=\"Shear\"\n"
"                 value=\"11\" />\n"
"          <Entry text=\"Shear and Size\"\n"
"                 value=\"24\" />\n"
"          <Entry text=\"Skew\"\n"
"                 value=\"17\" />\n"
"          <Entry text=\"Stretch\"\n"
"                 value=\"20\" />\n"
"          <Entry text=\"Taper\"\n"
"                 value=\"18\" />\n"
"          <Entry text=\"Volume\"\n"
"                 value=\"19\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property indicates which quality measure will be used to evaluate hexahedral quality.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLinearApproximation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"LinearApproximation\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If turned on, then non-linear cells quantities will be computed\n"
"          by taking their linear approximate, i.e. ignoring their faces' curvature\n"
"          in a second output array named \"Quality (Linear Approx)\".\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End MeshQuality -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_filtersverdictGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_filtersverdictInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_filtersverdictInterface0, paraview_server_managerfilters_filtersverdictInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioxml.xml
static const char* const paraview_server_managerreaders_ioxmlInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLPolyDataReader\"\n"
"                 label=\"XML PolyData Reader\"\n"
"                 name=\"XMLPolyDataReaderCore\">\n"
"      <Documentation long_help=\"Reads serial VTK XML polydata files.\"\n"
"                     short_help=\"Read VTK XML polydata files.\">The XML Polydata\n"
"                     reader reads the VTK XML polydata file format. The\n"
"                     standard extension is .vtp.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VTK XML\n"
"        polygonal dataset reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End XMLPolyDataReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLTableReader\"\n"
"                 label=\"XML Table Reader\"\n"
"                 name=\"XMLTableReaderCore\">\n"
"      <Documentation long_help=\"Reads serial VTK XML table files.\"\n"
"                     short_help=\"Read VTK XML table files.\">The XML table\n"
"                     reader reads the VTK XML table file format. The\n"
"                     standard extension is .vtt.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VTK XML\n"
"        table reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ColumnArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Column\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetColumnArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ColumnArrayInfo\"\n"
"                            label=\"Column Arrays\"\n"
"                            name=\"ColumnArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ColumnArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which columns to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End XMLTableReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLUnstructuredGridReader\"\n"
"                 label=\"XML Unstructured Grid reader\"\n"
"                 name=\"XMLUnstructuredGridReaderCore\">\n"
"      <Documentation long_help=\"Reads serial VTK XML unstructured grid data files.\"\n"
"                     short_help=\"Read VTK XML unstructured grid data files.\">\n"
"                     The XML Unstructured Grid reader reads the VTK XML\n"
"                     unstructured grid data file format. The standard extension\n"
"                     is .vtu.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VTK XML\n"
"        unstructured grid reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End XMLUnstructuredGridReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLImageDataReader\"\n"
"                 label=\"XML Image Data Reader\"\n"
"                 name=\"XMLImageDataReaderCore\">\n"
"      <Documentation long_help=\"Reads serial VTK XML image data files.\"\n"
"                     short_help=\"Read VTK XML image data files.\">The XML Image\n"
"                     Data reader reads the VTK XML image data file format. The\n"
"                     standard extension is .vti.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VTK XML\n"
"        uniform rectilinear (image/volume) data reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioxml.xml
static const char* const paraview_server_managerreaders_ioxmlInterface1 =
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End XMLImageDataReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLStructuredGridReader\"\n"
"                 label=\"XML Structured Grid Reader\"\n"
"                 name=\"XMLStructuredGridReaderCore\">\n"
"      <Documentation long_help=\"Reads serial VTK XML structured grid data files.\"\n"
"                     short_help=\"Read VTK XML structured grid data files.\">The\n"
"                     XML Structured Grid reader reads the VTK XML structured\n"
"                     grid data file format. The standard extension is\n"
"                     .vts.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VTK XML\n"
"        structured grid reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End XMLStructuredGridReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLRectilinearGridReader\"\n"
"                 label=\"XML Rectilinear Grid Reader\"\n"
"                 name=\"XMLRectilinearGridReaderCore\">\n"
"      <Documentation long_help=\"Reads serial VTK XML rectilinear grid data files.\"\n"
"                     short_help=\"Read VTK XML rectilinear grid data files.\">The\n"
"                     XML Rectilinear Grid reader reads the VTK XML rectilinear\n"
"                     grid data file format. The standard extension is\n"
"                     .vtr.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VTK XML\n"
"        non-uniform rectilinear grid reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End XMLRectilinearGridReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLPPolyDataReader\"\n"
"                 label=\"XML Partitioned Polydata Reader\"\n"
"                 name=\"XMLPPolyDataReaderCore\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML polydata files.\"\n"
"                     short_help=\"Read partitioned VTK XML polydata files.\">The\n"
"                     XML Partitioned Polydata reader reads the partitioned VTK\n"
"                     polydata file format. It reads the partitioned format's\n"
"                     summary file and then the associated VTK XML polydata\n"
"                     files. The expected file extension is\n"
"                     .pvtp.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        partitioned VTK XML polygonal dataset reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioxml.xml
static const char* const paraview_server_managerreaders_ioxmlInterface2 =
"      </StringVectorProperty>\n"
"\n"
"      <!-- End XMLPPolyDataReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLPUnstructuredGridReader\"\n"
"                 label=\"XML Partitioned Unstructured Grid Reader\"\n"
"                 name=\"XMLPUnstructuredGridReaderCore\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML unstructured grid files.\"\n"
"                     short_help=\"Read partitioned VTK XML unstructured grid files.\">\n"
"                     The XML Partitioned Unstructured Grid reader reads the\n"
"                     partitioned VTK unstructured grid data file format. It\n"
"                     reads the partitioned format's summary file and then the\n"
"                     associated VTK XML unstructured grid data files. The\n"
"                     expected file extension is .pvtu.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        partitioned VTK XML unstructured grid reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End vtkXMLPUnstructuredGridReader -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLPTableReader\"\n"
"                 label=\"XML Partitioned Table Reader\"\n"
"                 name=\"XMLPTableReaderCore\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML table files.\"\n"
"                     short_help=\"Read partitioned VTK XML table files.\">\n"
"                     The XML Partitioned Table reader reads the\n"
"                     partitioned VTK table data file format. It\n"
"                     reads the partitioned format's summary file and then the\n"
"                     associated VTK XML table data files. The\n"
"                     expected file extension is .pvtt.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        partitioned VTK XML table reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ColumnArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Column\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetColumnArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ColumnArrayInfo\"\n"
"                            label=\"Columns\"\n"
"                            name=\"ColumnArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ColumnArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which columns to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End XMLPTableReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLPImageDataReader\"\n"
"                 label=\"XML Partitioned Image Data Reader\"\n"
"                 name=\"XMLPImageDataReaderCore\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML image data files.\"\n"
"                     short_help=\"Read partitioned VTK XML image data files.\">\n"
"                     The XML Partitioned Image Data reader reads the\n"
"                     partitioned VTK image data file format. It reads the\n"
"                     partitioned format's summary file and then the associated\n"
"                     VTK XML image data files. The expected file extension is\n"
"                     .pvti.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        partitioned VTK XML uniform rectilinear grid (image/volume)\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End XMLPImageDataReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLPStructuredGridReader\"\n"
"                 label=\"XML Partitioned Structured Grid Reader\"\n"
"                 name=\"XMLPStructuredGridReaderCore\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML structured grid files.\"\n"
"                     short_help=\"Read partitioned VTK XML structured grid files.\">\n"
"                     The XML Partitioned Structured Grid reader reads the\n"
"                     partitioned VTK structured grid data file format. It reads\n"
"                     the partitioned format's summary file and then the\n"
"                     associated VTK XML structured grid data files. The\n"
"                     expected file extension is .pvts.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        partitioned VTK XML structured grid reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioxml.xml
static const char* const paraview_server_managerreaders_ioxmlInterface3 =
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End XMLPStructuredGridReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLPRectilinearGridReader\"\n"
"                 label=\"XML Partitioned Rectilinear Grid Reader\"\n"
"                 name=\"XMLPRectilinearGridReaderCore\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML rectilinear grid files.\"\n"
"                     short_help=\"Read partitioned VTK XML rectilinear grid files.\">\n"
"                     The XML Partitioned Rectilinear Grid reader reads the\n"
"                     partitioned VTK rectilinear grid file format. It reads the\n"
"                     partitioned format's summary file and then the associated\n"
"                     VTK XML rectilinear grid files. The expected file\n"
"                     extension is .pvtr.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        partitioned VTK XML non-uniform rectilinear grid\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End XMLPRectilinearGridReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLHierarchicalBoxDataReader\"\n"
"                 label=\"XML Hierarchical Box Data reader\"\n"
"                 name=\"XMLHierarchicalBoxDataReaderCore\">\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VTK\n"
"        hierarchical box data reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End HierarchicalBoxDataReader -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLUniformGridAMRReader\"\n"
"                 label=\"XML UniformGrid AMR reader\"\n"
"                 name=\"XMLUniformGridAMRReaderCore\">\n"
"      <IntVectorProperty command=\"SetMaximumLevelsToReadByDefault\"\n"
"                         name=\"DefaultNumberOfLevels\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"10\" />\n"
"        <Documentation>\n"
"          This reader supports demand-driven heavy data reading i.e. downstream\n"
"          pipeline can request specific blocks from the AMR using\n"
"          vtkCompositeDataPipeline::UPDATE_COMPOSITE_INDICES() key in\n"
"          RequestUpdateExtent() pass. However, when down-stream doesn't provide\n"
"          any specific keys, the default behavior can be setup to read at-most N\n"
"          levels by default. The number of levels read can be set using this\n"
"          method.  Set this to 0 to imply no limit. Default is 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End XMLUniformGridAMRReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- Start XMLHyperTreeReaderCore -->\n"
"    <!-- NEED PARALLEL SUPPORT -->\n"
"    <Proxy class=\"vtkXMLHyperTreeGridReader\"\n"
"                 label=\"XML HyperTree Grid Reader\"\n"
"                 name=\"XMLHyperTreeGridReaderCore\">\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        Hyper Tree grid reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetFixedLevel\"\n"
"                         name=\"MaximumNumberOfLevels\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"128\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"128\" />\n"
"        <Documentation>This property sets the maximum level to load. Setting it to\n"
"          1 shows the coarse grid of trees, and setting it at or past maximum level\n"
"          of the data will load the data at finest resolution. When set to\n"
"          a value between (excluded) 1 and the maximum level of the trees, data will\n"
"          be loaded at the required lower resolution, considerably faster.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"BoundingBoxByCoordinates\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioxml.xml
static const char* const paraview_server_managerreaders_ioxmlInterface4 =
"                        command=\"SetCoordinatesBoundingBox\"\n"
"                        number_of_elements=\"6\"\n"
"                        default_values=\"-1.79769e+308 1.79769e+308 -1.79769e+308 1.79769e+308 -1.79769e+308 1.79769e+308\" >\n"
"        <Documentation>This property sets the bounding box to select HyperTrees.\n"
"          HyperTrees completely included or intersecting with the bounding box will be\n"
"          selected and fully loaded (no partial tree).\n"
"	  The 6 fields are coordinates of the bounding box, in the following order:\n"
"          Xmin, Xmax, Ymin, Ymax, Zmin, Zmax.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <!-- End XMLHyperTreeReaderCore -->\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- Start XMLPHyperTreeReaderCore -->\n"
"    <Proxy class=\"vtkXMLPHyperTreeGridReader\"\n"
"                 label=\"XML Partitioned HyperTree Grid Reader\"\n"
"                 name=\"XMLPHyperTreeGridReaderCore\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML htg files.\"\n"
"                     short_help=\"Read partitioned VTK XML htg files.\">\n"
"                     The XML HyperTree Grid reader reads the\n"
"                     partitioned VTK htg data file format. It\n"
"                     reads the partitioned format's summary file and then the\n"
"                     associated VTK XML htg data files. The\n"
"                     expected file extension is .phtg.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        partitioned VTK XML htg reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"    <!-- End XMLPHyperTreeReaderCore -->\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLMultiBlockDataReader\"\n"
"                 label=\"XML Multi-Block Data reader\"\n"
"                 name=\"XMLMultiBlockDataReaderCore\">\n"
"      <Documentation>Internal proxy used by\n"
"      XMLMultiBlockDataWriter.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VTK\n"
"        multiblock reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetPieceDistribution\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PieceDistribution\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Control how datasets are loaded in parallel.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Block\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Interleave\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End MultiBlockDataReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLPartitionedDataSetReader\"\n"
"           label=\"XML Partitioned Dataset Reader\"\n"
"           name=\"XMLPartitionedDataSetReaderCore\">\n"
"      <Documentation>Internal proxy.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VTK\n"
"        multiblock reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetPieceDistribution\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PieceDistribution\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Control how datasets are loaded in parallel.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Block\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Interleave\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End XMLPartitionedDataSetReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkXMLPartitionedDataSetCollectionReader\"\n"
"           label=\"XML Partitioned Dataset Collection Reader\"\n"
"           name=\"XMLPartitionedDataSetCollectionReaderCore\">\n"
"      <Documentation>Internal proxy.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VTK\n"
"        multiblock reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioxml.xml
static const char* const paraview_server_managerreaders_ioxmlInterface5 =
"                            label=\"Time Array\"\n"
"                            default_values=\"TimeValue\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays to\n"
"        read. If set to Default, time steps are incremented integer values starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetPieceDistribution\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PieceDistribution\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Control how datasets are loaded in parallel.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Block\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Interleave\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <!-- End XMLPartitionedDataSetCollectionReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"\n"
"    <!-- end of \"internal_sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML PolyData Reader\"\n"
"                 name=\"XMLPolyDataReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads serial VTK XML polydata files.\"\n"
"                     short_help=\"Read VTK XML polydata files.\">The XML Polydata\n"
"                     reader reads the VTK XML polydata file format. The\n"
"                     standard extension is .vtp. This reader also supports file\n"
"                     series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLPolyDataReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the VTK XML polygonal dataset format. The standard\n"
"        extension is .vtp. If more than one file is specified, the reader will\n"
"        switch to file series mode in which it will pretend that it can support\n"
"        time and provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vtp vtp.series\"\n"
"                       file_description=\"VTK PolyData Files\" />\n"
"      </Hints>\n"
"      <!-- XMLPolyDataReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Table Reader\"\n"
"                 name=\"XMLTableReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads serial VTK XML table files.\"\n"
"                     short_help=\"Read VTK XML table files.\">The XML Table\n"
"                     reader reads the VTK XML Table file format. The\n"
"                     standard extension is .vtt. This reader also supports file\n"
"                     series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLTableReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Column Array Status\"\n"
"                         name=\"ColumnArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"ColumnArrayInfo\" />\n"
"            <Property name=\"ColumnArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the VTK XML table format. The standard\n"
"        extension is .vtt. If more than one file is specified, the reader will\n"
"        switch to file series mode in which it will pretend that it can support\n"
"        time and provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vtt vtt.series\"\n"
"                       file_description=\"VTK Table Files\" />\n"
"      </Hints>\n"
"      <!-- XMLTableReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Unstructured Grid Reader\"\n"
"                 name=\"XMLUnstructuredGridReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads serial VTK XML unstructured grid data files.\"\n"
"                     short_help=\"Read VTK XML unstructured grid data files.\">\n"
"                     The XML Unstructured Grid reader reads the VTK XML\n"
"                     unstructured grid data file format. The standard extension\n"
"                     is .vtu. This reader also supports file\n"
"                     series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLUnstructuredGridReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the VTK XML unstructured grid data format. The\n"
"        standard extension is .vtu. If more than one file is specified, the\n"
"        reader will switch to file series mode in which it will pretend that it\n"
"        can support time and provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vtu vtu.series\"\n"
"                       file_description=\"VTK UnstructuredGrid Files\" />\n"
"      </Hints>\n"
"      <!-- XMLUnstructuredGridReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Image Data Reader\"\n"
"                 name=\"XMLImageDataReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads serial VTK XML image data files.\"\n"
"                     short_help=\"Read VTK XML image data files.\">The XML Image\n"
"                     Data reader reads the VTK XML image data file format. The\n"
"                     standard extension is .vti. This reader also supports file\n"
"                     series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLImageDataReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the VTK XML image data format. The standard extension\n"
"        is .vti. If more than one file is specified, the reader will switch to\n"
"        file series mode in which it will pretend that it can support time and\n"
"        provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vti vti.series\"\n"
"                       file_description=\"VTK ImageData Files\" />\n"
"      </Hints>\n"
"      <!-- XMLImageDataReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Structured Grid Reader\"\n"
"                 name=\"XMLStructuredGridReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads serial VTK XML structured grid data files.\"\n"
"                     short_help=\"Read VTK XML structured grid data files.\">The\n"
"                     XML Structured Grid reader reads the VTK XML structured\n"
"                     grid data file format. The standard extension is .vts.\n"
"                     This reader also supports file series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLStructuredGridReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioxml.xml
static const char* const paraview_server_managerreaders_ioxmlInterface6 =
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the VTK XML structured grid data format. The standard\n"
"        extension is .vts. If more than one file is specified, the reader will\n"
"        switch to file series mode in which it will pretend that it can support\n"
"        time and provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vts vts.series\"\n"
"                       file_description=\"VTK StructuredGrid Files\" />\n"
"      </Hints>\n"
"      <!-- XMLStructuredGridReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Rectilinear Grid Reader\"\n"
"                 name=\"XMLRectilinearGridReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads serial VTK XML rectilinear grid data files.\"\n"
"                     short_help=\"Read VTK XML rectilinear grid data files.\">The\n"
"                     XML Rectilinear Grid reader reads the VTK XML rectilinear\n"
"                     grid data file format. The standard extension is .vtr.\n"
"                     This reader also supports file series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLRectilinearGridReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the VTK XML rectilinear grid data format. The\n"
"        standard extension is .vtr. If more than one file is specified, the\n"
"        reader will switch to file series mode in which it will pretend that it\n"
"        can support time and provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vtr vtr.series\"\n"
"                       file_description=\"VTK RectilinearGrid Files\" />\n"
"      </Hints>\n"
"      <!-- XMLRectilinearGridReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Partitioned Polydata Reader\"\n"
"                 name=\"XMLPPolyDataReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads the summary file and the assicoated VTK XML polydata files.\"\n"
"                     short_help=\"Read partitioned VTK XML polydata files.\">The\n"
"                     XML Partitioned Polydata reader reads the partitioned VTK\n"
"                     polydata file format. It reads the partitioned format's\n"
"                     summary file and then the associated VTK XML polydata\n"
"                     files. The expected file extension is .pvtp. This reader\n"
"                     also supports file series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLPPolyDataReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the partitioned VTK XML polygonal dataset format. The\n"
"        standard extension is .pvtp. If more than one file is specified, the\n"
"        reader will switch to file series mode in which it will pretend that it\n"
"        can support time and provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pvtp pvtp.series\"\n"
"                       file_description=\"VTK PolyData Files (partitioned)\" />\n"
"      </Hints>\n"
"      <!-- XMLPPolyDataReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Partitioned Unstructured Grid Reader\"\n"
"                 name=\"XMLPUnstructuredGridReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML unstructured grid data files.\"\n"
"                     short_help=\"Read partitioned VTK XML unstructured grid data files.\">\n"
"                     The XML Partitioned Unstructured Grid reader reads the\n"
"                     partitioned VTK unstructured grid data file format. It\n"
"                     reads the partitioned format's summary file and then the\n"
"                     associated VTK XML unstructured grid data files. The\n"
"                     expected file extension is .pvtu. This reader also\n"
"                     supports file series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLPUnstructuredGridReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the partitioned VTK XML unstructured grid data\n"
"        format. The standard extension is .pvtu. If more than one file is\n"
"        specified, the reader will switch to file series mode in which it will\n"
"        pretend that it can support time and provide one file per time\n"
"        step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pvtu pvtu.series\"\n"
"                       file_description=\"VTK UnstructuredGrid Files (partitioned)\" />\n"
"      </Hints>\n"
"      <!-- XMLPUnstructuredGridReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Partitioned Table Reader\"\n"
"                 name=\"XMLPTableReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML table data files.\"\n"
"                     short_help=\"Read partitioned VTK XML table data files.\">\n"
"                     The XML Partitioned Table reader reads the\n"
"                     partitioned VTK table data file format. It\n"
"                     reads the partitioned format's summary file and then the\n"
"                     associated VTK XML table data files. The\n"
"                     expected file extension is .pvtt. This reader also\n"
"                     supports file series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLPTableReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Column Array Status\"\n"
"                         name=\"ColumnArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"ColumnArrayInfo\" />\n"
"            <Property name=\"ColumnArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the partitioned VTK XML table data\n"
"        format. The standard extension is .pvtt. If more than one file is\n"
"        specified, the reader will switch to file series mode in which it will\n"
"        pretend that it can support time and provide one file per time\n"
"        step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioxml.xml
static const char* const paraview_server_managerreaders_ioxmlInterface7 =
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pvtt pvtt.series\"\n"
"                       file_description=\"VTK Table (partitioned)\" />\n"
"      </Hints>\n"
"      <!-- XMLPTableReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Partitioned Image Data Reader\"\n"
"                 name=\"XMLPImageDataReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML image data files.\"\n"
"                     short_help=\"Read partitioned VTK XML image data files.\">\n"
"                     The XML Partitioned Image Data reader reads the\n"
"                     partitioned VTK image data file format. It reads the\n"
"                     partitioned format's summary file and then the associated\n"
"                     VTK XML image data files. The expected file extension is\n"
"                     .pvti. This reader also supports file\n"
"                     series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLPImageDataReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the partitioned VTK XML image data format. The\n"
"        standard extension is .pvti. If more than one file is specified, the\n"
"        reader will switch to file series mode in which it will pretend that it\n"
"        can support time and provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pvti pvti.series\"\n"
"                       file_description=\"VTK ImageData Files (partitioned)\" />\n"
"      </Hints>\n"
"      <!-- XMLPImageDataReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Partitioned Structured Grid Reader\"\n"
"                 name=\"XMLPStructuredGridReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML structured grid data files.\"\n"
"                     short_help=\"Read partitioned VTK XML structured grid data files.\">\n"
"                     The XML Partitioned Structured Grid reader reads the\n"
"                     partitioned VTK structured grid data file format. It reads\n"
"                     the partitioned format's summary file and then the\n"
"                     associated VTK XML structured grid data files. The\n"
"                     expected file extension is .pvts. This reader also\n"
"                     supports file series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLPStructuredGridReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the partitioned VTK XML structured grid data format.\n"
"        The standard extension is .pvts. If more than one file is specified,\n"
"        the reader will switch to file series mode in which it will pretend\n"
"        that it can support time and provide one file per time\n"
"        step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pvts pvts.series\"\n"
"                       file_description=\"VTK StructuredGrid Files (partitioned)\" />\n"
"      </Hints>\n"
"      <!-- XMLPStructuredGridReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Partitioned Rectilinear Grid Reader\"\n"
"                 name=\"XMLPRectilinearGridReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML rectilinear grid data files.\"\n"
"                     short_help=\"Read partitioned VTK XML rectilinear grid data files.\">\n"
"                     The XML Partitioned Rectilinear Grid reader reads the\n"
"                     partitioned VTK rectilinear grid file format. It reads the\n"
"                     partitioned format's summary file and then the associated\n"
"                     VTK XML rectilinear grid files. The expected file\n"
"                     extension is .pvtr. This reader also supports file\n"
"                     series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLPRectilinearGridReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the partitioned VTK XML rectilinear grid data format.\n"
"        The standard extension is .pvtr. If more than one file is specified,\n"
"        the reader will switch to file series mode in which it will pretend\n"
"        that it can support time and provide one file per time\n"
"        step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pvtr pvtr.series\"\n"
"                       file_description=\"VTK RectilinearGrid Files (partitioned)\" />\n"
"      </Hints>\n"
"      <!-- XMLPRectilinearGridReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkRTXMLPolyDataReader\"\n"
"                 name=\"RTXMLPolyDataReader\">\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>Set the file name for the real-time VTK polygonal\n"
"        dataset reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetLocation\"\n"
"                            name=\"Location\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>Set the data directory containing real time data\n"
"        files.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"GetNextFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"NextFileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"NewDataAvailable\"\n"
"                         default_values=\"2\"\n"
"                         information_only=\"1\"\n"
"                         name=\"NewDataAvailable\"\n"
"                         number_of_elements=\"1\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <Property command=\"UpdateToNextFile\"\n"
"                name=\"UpdateToNextFile\"></Property>\n"
"      <Property command=\"ResetReader\"\n"
"                name=\"ResetReader\"></Property>\n"
"      <!-- End of RTXMLPolyDataReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Hierarchical Box Data reader\"\n"
"                 name=\"XMLHierarchicalBoxDataReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a VTK XML-based data file containing a hierarchical dataset containing vtkUniformGrids.\"\n"
"                     short_help=\"Read a VTK data file containing a hierarchical box dataset.\">\n"
"                     The XML Hierarchical Box Data reader reads VTK's XML-based\n"
"                     file format containing a vtkHierarchicalBoxDataSet. The\n"
"                     expected file extensions is either .vthb or\n"
"                     .vth.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLHierarchicalBoxDataReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the VTK XML polygonal dataset format. The standard\n"
"        extension is .vtp. If more than one file is specified, the reader will\n"
"        switch to file series mode in which it will pretend that it can support\n"
"        time and provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!--\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vthb vth\"\n"
"                       file_description=\"VTK Hierarchical Box Data Files\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioxml.xml
static const char* const paraview_server_managerreaders_ioxmlInterface8 =
"      </Hints>\n"
"      -->\n"
"      <!-- end of XMLHierarchicalBoxDataReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML UniformGrid AMR Reader\"\n"
"                 name=\"XMLUniformGridAMRReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a VTK XML-based data file containing a AMR datasets .\"\n"
"                     short_help=\"Read a VTK data file containing AMR dataset.\">\n"
"                     This reader reads Overlapping and Non-Overlapping AMR\n"
"                     datasets in VTK XML format. This reader reads the newer\n"
"                     version of the format. For version 1.0 and less, use\n"
"                     XMLHierarchicalBoxDataReader.\n"
"                     The expected file extensions is either .vthb or .vth.\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLUniformGridAMRReaderCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"DefaultNumberOfLevels\" />\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the VTK XML polygonal dataset format. The standard\n"
"        extension is .vtp. If more than one file is specified, the reader will\n"
"        switch to file series mode in which it will pretend that it can support\n"
"        time and provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vthb vthb.series vth vth.series\"\n"
"                       file_description=\"VTK Hierarchical Box Data Files\" />\n"
"      </Hints>\n"
"      <!-- end of XMLUniformGridAMRReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- HyperTreeGridReader -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"HyperTreeGrid Reader\"\n"
"                 name=\"HyperTreeGridReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation\n"
"        long_help=\"Reads HyperTreeGrid .htg files\"\n"
"        short_help=\"Reads HyperTreeGrid data\"\n"
"      >Reads HyperTreeGrid data files\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy\n"
"          name=\"Reader\"\n"
"          proxygroup=\"internal_sources\"\n"
"          proxyname=\"XMLHyperTreeGridReaderCore\"\n"
"        />\n"
"        <ExposedProperties>\n"
"          <Property name=\"MaximumNumberOfLevels\" />\n"
"        </ExposedProperties>\n"
"        <ExposedProperties>\n"
"          <Property name=\"BoundingBoxByCoordinates\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"0\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory\n"
"          extensions=\"htg\"\n"
"          file_description=\"HyperTreeGrid\"\n"
"        />\n"
"      </Hints>\n"
"      <!-- PHyperTreeGridReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Partitioned HyperTree Grid Reader\"\n"
"                 name=\"XMLPHyperTreeGridReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads the summary file and the associated VTK XML htg data files.\"\n"
"                     short_help=\"Read partitioned VTK XML htg data files.\">\n"
"                     The XML Partitioned Hyper Tree Grid reader reads the\n"
"                     partitioned VTK htg data file format. It\n"
"                     reads the partitioned format's summary file and then the\n"
"                     associated VTK XML htg data files. The\n"
"                     expected file extension is .phtg. This reader also\n"
"                     supports file series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLPHyperTreeGridReaderCore\"></Proxy>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the partitioned VTK XML phtg data\n"
"        format. The standard extension is .phtg. If more than one file is\n"
"        specified, the reader will switch to file series mode in which it will\n"
"        pretend that it can support time and provide one file per time\n"
"        step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"phtg\"\n"
"                       file_description=\"HyperTreeGrid (partitioned)\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML MultiBlock Data Reader\"\n"
"                 name=\"XMLMultiBlockDataReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a VTK XML multiblock data file and the serial VTK XML data files to which it points.\"\n"
"                     short_help=\"Read VTK XML multiblock datasets.\">The XML\n"
"                     Multiblock Data reader reads the VTK XML multiblock data\n"
"                     file format. XML multiblock data files are meta-files\n"
"                     that point to a list of serial VTK XML files. When reading\n"
"                     in parallel, this reader will distribute sub-blocks among\n"
"                     processors. The expected file extensions are .vtm and\n"
"                     .vtmb.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLMultiBlockDataReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"          <Property name=\"PieceDistribution\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"        </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the VTK XML polygonal dataset format. The standard\n"
"        extension is .vtp. If more than one file is specified, the reader will\n"
"        switch to file series mode in which it will pretend that it can support\n"
"        time and provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vtm vtm.series vtmb vtmb.series\"\n"
"                       file_description=\"VTK MultiBlock Data Files\" />\n"
"      </Hints>\n"
"      <!-- end of XMLMultiBlockDataReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Partitioned Dataset Reader\"\n"
"                 name=\"XMLPartitionedDataSetReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a VTK XML partitioned dataset file and the serial VTK XML data files to which it points.\"\n"
"                     short_help=\"Read VTK XML partitioned datasets.\">The XML\n"
"                     Partitioned Dataset reader reads the VTK XML Partitioned Dataset\n"
"                     file format. XML partitioned dataset files are meta-files\n"
"                     that point to a list of serial VTK XML files. When reading\n"
"                     in parallel, this reader will distribute sub-blocks among\n"
"                     processors. The expected file extensions are .vtpd.\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLPartitionedDataSetReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"          <Property name=\"PieceDistribution\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vtpd vtpd.series\"\n"
"                       file_description=\"VTK Partitioned Dataset Files\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioxml.xml
static const char* const paraview_server_managerreaders_ioxmlInterface9 =
"      </Hints>\n"
"      <!-- end of XMLPartitionedDataSetReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XML Partitioned Dataset Collection Reader\"\n"
"                 name=\"XMLPartitionedDataSetCollectionReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a VTK XML partitioned dataset collection file and the serial VTK XML data files to which it points.\"\n"
"                     short_help=\"Read VTK XML partitioned datasets.\">The XML\n"
"                     Partitioned Dataset Collection reader reads the VTK XML Partitioned Dataset Collection\n"
"                     file format. XML partitioned dataset collection files are meta-files\n"
"                     that point to a list of serial VTK XML files. When reading\n"
"                     in parallel, this reader will distribute sub-blocks among\n"
"                     processors. The expected file extensions are .vtpc.\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XMLPartitionedDataSetCollectionReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"TimeArrayInfo\" />\n"
"          <Property name=\"TimeArray\" />\n"
"          <Property name=\"PieceDistribution\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vtpc vtpc.series\"\n"
"                       file_description=\"VTK Partitioned Dataset Collection Files\" />\n"
"      </Hints>\n"
"      <!-- end of XMLPartitionedDataSetCollectionReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- end of \"sources\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_ioxmlGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_ioxmlInterface0);
  const size_t len1 = strlen(paraview_server_managerreaders_ioxmlInterface1);
  const size_t len2 = strlen(paraview_server_managerreaders_ioxmlInterface2);
  const size_t len3 = strlen(paraview_server_managerreaders_ioxmlInterface3);
  const size_t len4 = strlen(paraview_server_managerreaders_ioxmlInterface4);
  const size_t len5 = strlen(paraview_server_managerreaders_ioxmlInterface5);
  const size_t len6 = strlen(paraview_server_managerreaders_ioxmlInterface6);
  const size_t len7 = strlen(paraview_server_managerreaders_ioxmlInterface7);
  const size_t len8 = strlen(paraview_server_managerreaders_ioxmlInterface8);
  const size_t len9 = strlen(paraview_server_managerreaders_ioxmlInterface9);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4
    + len5
    + len6
    + len7
    + len8
    + len9 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_ioxmlInterface0, paraview_server_managerreaders_ioxmlInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerreaders_ioxmlInterface1, paraview_server_managerreaders_ioxmlInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerreaders_ioxmlInterface2, paraview_server_managerreaders_ioxmlInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerreaders_ioxmlInterface3, paraview_server_managerreaders_ioxmlInterface3 + len3, res + offset); offset += len3;
  std::copy(paraview_server_managerreaders_ioxmlInterface4, paraview_server_managerreaders_ioxmlInterface4 + len4, res + offset); offset += len4;
  std::copy(paraview_server_managerreaders_ioxmlInterface5, paraview_server_managerreaders_ioxmlInterface5 + len5, res + offset); offset += len5;
  std::copy(paraview_server_managerreaders_ioxmlInterface6, paraview_server_managerreaders_ioxmlInterface6 + len6, res + offset); offset += len6;
  std::copy(paraview_server_managerreaders_ioxmlInterface7, paraview_server_managerreaders_ioxmlInterface7 + len7, res + offset); offset += len7;
  std::copy(paraview_server_managerreaders_ioxmlInterface8, paraview_server_managerreaders_ioxmlInterface8 + len8, res + offset); offset += len8;
  std::copy(paraview_server_managerreaders_ioxmlInterface9, paraview_server_managerreaders_ioxmlInterface9 + len9, res + offset); offset += len9;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/writers_ioxml.xml
static const char* const paraview_server_managerwriters_ioxmlInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_writers\">\n"
"    <!-- ================================================================= -->\n"
"    <Proxy class=\"vtkXMLDataObjectWriter\" name=\"XMLDataObjectWriterCore\">\n"
"      <Documentation>Internal writer for writing xml-based vtk\n"
"      files.</Documentation>\n"
"      <IntVectorProperty command=\"SetDataMode\"\n"
"                         default_values=\"2\"\n"
"                         name=\"DataMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Ascii\" value=\"0\" />\n"
"          <Entry text=\"Binary\" value=\"1\" />\n"
"          <Entry text=\"Appended\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The mode uses for writing the file's data i.e. ascii,\n"
"        binary, appended binary.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHeaderType\"\n"
"                         default_values=\"64\"\n"
"                         name=\"HeaderType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_widget=\"never\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"UInt32\" value=\"32\" />\n"
"          <Entry text=\"UInt64\" value=\"64\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Set the binary data header word type.  The default is\n"
"        UInt32. Set to UInt64 when storing arrays requiring 64-bit indexing.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetEncodeAppendedData\"\n"
"                         default_values=\"0\"\n"
"                         name=\"EncodeAppendedData\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When EncodeAppendedData is turned ON, the writer uses\n"
"        base64 encoding when writing binary data (only if appended mode is\n"
"        selected).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCompressorType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CompressorType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\" info=\"fastest write\" />\n"
"          <Entry text=\"LZ4\" value=\"2\" info=\"fastest compressed write\" />\n"
"          <Entry text=\"ZLib\" value=\"1\" info=\"balanced performance\" />\n"
"          <Entry text=\"LZMA\" value=\"3\" info=\"smallest filesize\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The compression algorithm used to compress binary data\n"
"        (appended mode only). None offers fastest write, LZ4 offers fastest\n"
"        compressed write, ZLib offers balanced performance, LZMA offers\n"
"        smallest compressed filesize.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCompressionLevel\"\n"
"                         default_values=\"6\"\n"
"                         name=\"CompressionLevel\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"1\" value=\"1\" info=\"fastest write\" />\n"
"          <Entry text=\"2\" value=\"2\" />\n"
"          <Entry text=\"3\" value=\"3\" />\n"
"          <Entry text=\"4\" value=\"4\" />\n"
"          <Entry text=\"5\" value=\"5\" info=\"balanced performance\" />\n"
"          <Entry text=\"6\" value=\"6\" />\n"
"          <Entry text=\"7\" value=\"7\" />\n"
"          <Entry text=\"8\" value=\"8\" />\n"
"          <Entry text=\"9\" value=\"9\" info=\"smallest filesize\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>A compression performance parameter from 1 (faster/larger\n"
"         compressed filesize) to 9 (slower/smaller compressed filesize).</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"CompressorType\"\n"
"                                   value=\"0\"\n"
"                                   inverse=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <!-- End of XMLDataSetWriterCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"XMLDataObjectWriterCore\"\n"
"                  class=\"vtkXMLPMultiBlockDataWriter\"\n"
"                  name=\"XMLPMultiBlockDataWriterCore\">\n"
"      <Documentation>Internal proxy used by\n"
"      XMLMultiBlockDataWriter.</Documentation>\n"
"      <!-- End of XMLPMultiBlockDataWriterCore -->\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"XMLDataObjectWriterCore\"\n"
"                  class=\"vtkXMLPartitionedDataSetWriter\"\n"
"                  name=\"XMLPPartitionedDataSetWriterCore\">\n"
"      <Documentation>Internal proxy used by XMLPPartitionedDataSetWriter.</Documentation>\n"
"      <!-- End of XMLPPartitionedDataSetWriterCore -->\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"XMLDataObjectWriterCore\"\n"
"                  class=\"vtkXMLPartitionedDataSetCollectionWriter\"\n"
"                  name=\"XMLPartitionedDataSetCollectionWriterCore\">\n"
"      <Documentation>Internal proxy used by\n"
"      XMLPartitionedDataSetCollectionWriter.</Documentation>\n"
"      <!-- End of XMLPartitionedDataSetCollectionWriterCore -->\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"XMLDataObjectWriterCore\"\n"
"                  class=\"vtkXMLPUniformGridAMRWriter\"\n"
"                  name=\"XMLPUniformGridAMRWriter\">\n"
"      <Documentation>\n"
"        Internal proxy used by XMLUniformGridAMRWriter\n"
"      </Documentation>\n"
"      <!-- End of XMLPUniformGridAMRWriter-->\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"XMLDataObjectWriterCore\"\n"
"                  class=\"vtkXMLPPolyDataWriter\"\n"
"                  name=\"XMLPPolyDataWriterCore\">\n"
"      <Documentation>Internal writer used to write XML poly data in\n"
"      parallel.</Documentation>\n"
"      <IntVectorProperty command=\"SetGhostLevel\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"never\"\n"
"                         name=\"GhostLevel\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The number of ghost levels to include in the output\n"
"        file(s).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseSubdirectory\"\n"
"                         name=\"UseSubdirectory\"\n"
"                         label=\"Store Data in Subdirectory\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>This property controls whether the writer puts the files for each piece\n"
"          in the same directory as the pvt* file or in a subdirectory named the same as the\n"
"          pvt* file without its extension</Documentation>\n"
"      </IntVectorProperty>\n"
"    </PWriterProxy>\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"XMLDataObjectWriterCore\"\n"
"                  class=\"vtkXMLPUnstructuredGridWriter\"\n"
"                  name=\"XMLPUnstructuredGridWriterCore\">\n"
"      <Documentation>Internal writer used to write XML poly data in\n"
"      parallel.</Documentation>\n"
"      <IntVectorProperty command=\"SetGhostLevel\"\n"
"                         default_values=\"1\"\n"
"                         name=\"GhostLevel\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\"\n"
"                        name=\"range\" />\n"
"        <Documentation>The number of ghost levels to include in the output\n"
"        file(s).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseSubdirectory\"\n"
"                         name=\"UseSubdirectory\"\n"
"                         label=\"Store Data in Subdirectory\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>This property controls whether the writer puts the files for each piece\n"
"          in the same directory as the pvt* file or in a subdirectory named the same as the\n"
"          pvt* file without its extension</Documentation>\n"
"      </IntVectorProperty>\n"
"    </PWriterProxy>\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"XMLDataObjectWriterCore\"\n"
"                  class=\"vtkXMLPTableWriter\"\n"
"                  name=\"XMLPTableCore\">\n"
"      <Documentation>Internal writer used to write XML poly data in\n"
"      parallel.</Documentation>\n"
"      <IntVectorProperty command=\"SetUseSubdirectory\"\n"
"                         name=\"UseSubdirectory\"\n"
"                         label=\"Store Data in Subdirectory\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>This property controls whether the writer puts the files for each piece\n"
"          in the same directory as the pvt* file or in a subdirectory named the same as the\n"
"          pvt* file without its extension</Documentation>\n"
"      </IntVectorProperty>\n"
"    </PWriterProxy>\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"XMLDataObjectWriterCore\"\n"
"                  class=\"vtkXMLPStructuredGridWriter\"\n"
"                  name=\"XMLPStructuredGridWriterCore\">\n"
"      <Documentation>Internal writer used to write XML poly data in\n"
"      parallel.</Documentation>\n"
"      <IntVectorProperty command=\"SetUseSubdirectory\"\n"
"                         name=\"UseSubdirectory\"\n"
"                         label=\"Store Data in Subdirectory\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>This property controls whether the writer puts the files for each piece\n"
"          in the same directory as the pvt* file or in a subdirectory named the same as the\n"
"          pvt* file without its extension</Documentation>\n"
"      </IntVectorProperty>\n"
"    </PWriterProxy>\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"XMLDataObjectWriterCore\"\n"
"                  class=\"vtkXMLPRectilinearGridWriter\"\n"
"                  name=\"XMLPRectilinearGridWriterCore\">\n"
"      <Documentation>Writer to write rectilinear grid in a xml-based vtk data\n"
"      file. Can be used for parallel writing.</Documentation>\n"
"      <IntVectorProperty command=\"SetUseSubdirectory\"\n"
"                         name=\"UseSubdirectory\"\n"
"                         label=\"Store Data in Subdirectory\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>This property controls whether the writer puts the files for each piece\n"
"          in the same directory as the pvt* file or in a subdirectory named the same as the\n"
"          pvt* file without its extension</Documentation>\n"
"      </IntVectorProperty>\n"
"    </PWriterProxy>\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"XMLDataObjectWriterCore\"\n"
"                  class=\"vtkXMLPImageDataWriter\"\n"
"                  name=\"XMLPImageDataWriterCore\"\n"
"                  parallel_only=\"1\">\n"
"      <Documentation>Writer to write image data in a xml-based vtk data file.\n"
"      Can be used for parallel writing.</Documentation>\n"
"      <IntVectorProperty command=\"SetUseSubdirectory\"\n"
"                         name=\"UseSubdirectory\"\n"
"                         label=\"Store Data in Subdirectory\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>This property controls whether the writer puts the files for each piece\n"
"          in the same directory as the pvt* file or in a subdirectory named the same as the\n"
"          pvt* file without its extension</Documentation>\n"
"      </IntVectorProperty>\n"
"    </PWriterProxy>\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"XMLDataObjectWriterCore\"\n"
"                 class=\"vtkXMLPHyperTreeGridWriter\"\n"
"                 name=\"XMLPHyperTreeGridWriterCore\">\n"
"      <Documentation>Internal writer used to write XML hyper tree grid data in parallel</Documentation>\n"
"      <IntVectorProperty command=\"SetUseSubdirectory\"\n"
"                         name=\"UseSubdirectory\"\n"
"                         label=\"Store Data in Subdirectory\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>This property controls whether the writer puts the files for each piece\n"
"          in the same directory as the phtg file or in a subdirectory named the same as the\n"
"          phtg file without its extension</Documentation>\n"
"      </IntVectorProperty>\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"FileSeriesWriter\"\n"
"                 name=\"XMLDataObjectWriterBase\">\n"
"      <Documentation>Base for all XML-based file-series\n"
"      writers.</Documentation>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLDataObjectWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/writers_ioxml.xml
static const char* const paraview_server_managerwriters_ioxmlInterface1 =
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of XMLDataObjectWriterBase -->\n"
"    </WriterProxy>\n"
"    <!-- End of internal_writers -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"writers\">\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"XMLDataObjectWriterBase\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLPolyDataWriter\">\n"
"      <Documentation short_help=\"Write poly data in a xml-based vtk data file.\">\n"
"      Writer to write poly data in a xml-based vtk data file. Cannot be used\n"
"      for parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\"\n"
"                     panel_visibility=\"never\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"point_arrays\" attribute_type=\"point\" optional=\"1\" />\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vtp\"\n"
"                       file_description=\"VTK PolyData Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLPolyDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"XMLDataObjectWriterBase\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLUnstructuredGridWriter\">\n"
"      <Documentation short_help=\"Write unstructured grid in a xml-based vtk data file.\">\n"
"      Writer to write unstructured grid in a xml-based vtk data file. Cannot be\n"
"      used for parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vtu\"\n"
"                       file_description=\"VTK UnstructuredGrid Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLUnstructuredGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"XMLDataObjectWriterBase\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLStructuredGridWriter\">\n"
"      <Documentation short_help=\"Write structured grid in a xml-based vtk data file.\">\n"
"      Writer to write structured grid in a xml-based vtk data file. Cannot be\n"
"      used for parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkStructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vts\"\n"
"                       file_description=\"VTK StructuredGrid Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLStructuredGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"XMLDataObjectWriterBase\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLRectilinearGridWriter\">\n"
"      <Documentation short_help=\"Write rectilinear grid in a xml-based vtk data file.\">\n"
"      Writer to write rectilinear grid in a xml-based vtk data file. Cannot be\n"
"      used for parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkRectilinearGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vtr\"\n"
"                       file_description=\"VTK RectilinearGrid Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLRectilinearGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"XMLDataObjectWriterBase\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLImageDataWriter\">\n"
"      <Documentation short_help=\"Write image data in a xml-based vtk data file.\">\n"
"      Writer to write image data in a xml-based vtk data file. Cannot be used\n"
"      for parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vti\"\n"
"                       file_description=\"VTK ImageData Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLImageDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"XMLDataObjectWriterBase\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLTableWriter\">\n"
"      <Documentation short_help=\"Write a table in a xml-based vtk data file.\">\n"
"      Writer to write a table in a xml-based vtk data file. Cannot be used\n"
"      for parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vtt\"\n"
"                       file_description=\"VTK Table Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLImageDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"ParallelFileSeriesWriter\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLPPolyDataWriter\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation short_help=\"Write polydata in a xml-based vtk data file.\">\n"
"      Writer to write polydata in a xml-based vtk data file. Can be used for\n"
"      parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLPPolyDataWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <Property name=\"GhostLevel\" />\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"HeaderType\" />\n"
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
"            <Property name=\"UseSubdirectory\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"pvtp\"\n"
"                       file_description=\"PVTK PolyData Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLPPolyDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"ParallelFileSeriesWriter\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLPUnstructuredGridWriter\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation short_help=\"Write unstructured grid in a xml-based vtk data file.\">\n"
"      Writer to write unstructured grid in a xml-based vtk data file. Can be\n"
"      used for parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLPUnstructuredGridWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <Property name=\"GhostLevel\" />\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"HeaderType\" />\n"
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
"            <Property name=\"UseSubdirectory\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"pvtu\"\n"
"                       file_description=\"PVTK UnstructuredGrid Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLPUnstructuredGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"ParallelFileSeriesWriter\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLPTableWriter\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation short_help=\"Write table in a xml-based vtk data file.\">\n"
"      Writer to write table in a xml-based vtk data file. Can be\n"
"      used for parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLPTableCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <!-- <Property name=\"GhostLevel\" /> -->\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"HeaderType\" />\n"
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
"            <Property name=\"UseSubdirectory\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"pvtt\"\n"
"                       file_description=\"PVTK Table Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLPUnstructuredGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"ParallelFileSeriesWriter\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLPStructuredGridWriter\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation short_help=\"Write structured grid in a xml-based vtk data file.\">\n"
"      Writer to write structured grid in a xml-based vtk data file. Can be used\n"
"      for parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkStructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLPStructuredGridWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"HeaderType\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/writers_ioxml.xml
static const char* const paraview_server_managerwriters_ioxmlInterface2 =
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"pvts\"\n"
"                       file_description=\"PVTK StructuredGrid Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLPStructuredGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"ParallelFileSeriesWriter\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLPRectilinearGridWriter\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation short_help=\"Write rectilinear grid in a xml-based vtk data file.\">\n"
"      Writer to write rectilinear grid in a xml-based vtk data file. Can be\n"
"      used for parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkRectilinearGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLPRectilinearGridWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"HeaderType\" />\n"
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"pvtr\"\n"
"                       file_description=\"PVTK RectilinearGrid Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLPRectilinearGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"ParallelFileSeriesWriter\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLPImageDataWriter\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation short_help=\"Write image data in a xml-based vtk data file.\">\n"
"      Writer to write image data in a xml-based vtk data file. Can be used for\n"
"      parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLPImageDataWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"HeaderType\" />\n"
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"pvti\"\n"
"                       file_description=\"PVTK ImageData Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLPImageDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"FileSeriesWriterComposite\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLMultiBlockDataWriter\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation short_help=\"Write a multiblock in a xml-based vtk data file.\">\n"
"      Writer to write a multiblock dataset in a xml-based vtk data file. Can be\n"
"      used for parallel writing as well as serial writing.</Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkMultiBlockDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLPMultiBlockDataWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"HeaderType\" />\n"
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vtm\"\n"
"                       file_description=\"VTK Multi Block Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLMultiBlockDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"FileSeriesWriter\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"SerialHTGMultiBlock\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation short_help=\"Write a multiblock in a xml-based vtk data file.\">\n"
"      Writer to write a multiblock dataset in a xml-based vtk data file. Can be\n"
"      used for parallel writing as well as serial writing.</Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        composite_data_required=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLPMultiBlockDataWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"HeaderType\" />\n"
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vtm\"\n"
"                       file_description=\"VTK Multi Block Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLMultiBlockDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"FileSeriesWriter\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLPPartitionedDataSetWriter\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation>\n"
"        Write a vtkPartitionedDataSet to a xml-based vtk data file.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkPartitionedDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLPPartitionedDataSetWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"HeaderType\" />\n"
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vtpd\"\n"
"                       file_description=\"VTK PartitionedDataSet Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLPPartitionedDataSetWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"FileSeriesWriterComposite\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLPartitionedDataSetCollectionWriter\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation>\n"
"        Write a vtkPartitionedDataSetCollection to a xml-based vtk data file.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkPartitionedDataSetCollection\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLPartitionedDataSetCollectionWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"HeaderType\" />\n"
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vtpc\"\n"
"                       file_description=\"VTK PartitionedDataSetCollection Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLPartitionedDataSetCollectionWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"FileSeriesWriterComposite\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLUniformGridAMRWriter\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation short_help=\"Write a amr dataset in a xml-based vtk data file.\">\n"
"      Writer to write an AMR data-set (overlapping/non-overlapping)\n"
"      in a xml-based vtk data file. Can be used for parallel writing as well as\n"
"      serial writing.</Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkUniformGridAMR\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLPUniformGridAMRWriter\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"HeaderType\" />\n"
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vthb\"\n"
"                       file_description=\"VTK AMR Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLUniformGridAMRWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"writers\"\n"
"                 base_proxyname=\"XMLUniformGridAMRWriter\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLHierarchicalBoxDataWriter\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation short_help=\"(DEPRECATED) Write a hierarchical box dataset in a xml-based vtk data file.\">\n"
"      (DEPRECATED) Writer to write a hierarchical box in a xml-based vtk data file. Can be\n"
"      used for parallel writing as well as serial writing. This is deprecated.\n"
"      Use XMLUniformGridAMRWriter instead.\n"
"      </Documentation>\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy class=\"vtkXMLHyperTreeGridWriter\"\n"
"                 name=\"HyperTreeGridWriter\">\n"
"      <Documentation short_help=\"Write HyperTree data as a HyperTreeGrid file.\">\n"
"        Writer to write hypertree data as a HyperTreeGrid file.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to be\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/writers_ioxml.xml
static const char* const paraview_server_managerwriters_ioxmlInterface3 =
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetDataMode\"\n"
"                         default_values=\"2\"\n"
"                         name=\"DataMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Ascii\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Binary\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Appended\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The mode uses for writing the file's data i.e. ascii,\n"
"        binary, appended binary.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetEncodeAppendedData\"\n"
"                         default_values=\"0\"\n"
"                         name=\"EncodeAppendedData\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When EncodeAppendedData is turned ON, the writer uses\n"
"        base64 encoding when writing binary data (only if appended mode is\n"
"        selected).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCompressorType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CompressorType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\" info=\"fastest write\"/>\n"
"          <Entry text=\"LZ4\" value=\"2\" info=\"fastest compressed write\" />\n"
"          <Entry text=\"ZLib\" value=\"1\" info=\"balanced performance\" />\n"
"          <Entry text=\"LZMA\" value=\"3\" info=\"smallest filesize\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The compression algorithm used to compress binary data\n"
"        (appended mode only). None offers fastest write, LZ4 offers fastest\n"
"        compressed write, ZLib offers balanced performance, LZMA offers\n"
"        smallest compressed filesize.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCompressionLevel\"\n"
"                         default_values=\"6\"\n"
"                         name=\"CompressionLevel\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"1\" value=\"1\" info=\"fastest write\"/>\n"
"          <Entry text=\"2\" value=\"2\" />\n"
"          <Entry text=\"3\" value=\"3\" />\n"
"          <Entry text=\"4\" value=\"4\" />\n"
"          <Entry text=\"5\" value=\"5\" info=\"balanced performance\" />\n"
"          <Entry text=\"6\" value=\"6\" />\n"
"          <Entry text=\"7\" value=\"7\" />\n"
"          <Entry text=\"8\" value=\"8\" />\n"
"          <Entry text=\"9\" value=\"9\" info=\"smallest filesize\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>A compression performance parameter from 1 (faster/larger\n"
"         compressed filesize) to 9 (slower/smaller compressed filesize).</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"CompressorType\"\n"
"                                   value=\"0\"\n"
"                                   inverse=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"htg\"\n"
"                       file_description=\"HyperTreeGrid Files\" />\n"
"      </Hints>\n"
"      <!-- End of HyperTreeGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"ParallelFileSeriesWriter\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"XMLPHyperTreeGridWriter\"\n"
"                 supports_parallel=\"1\">\n"
"      <Documentation short_help=\"Write hyper tree grid in a xml-based vtk data file.\">\n"
"      Writer to write hyper tree grid in a xml-based vtk data file. Can be\n"
"      used for parallel writing.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkHyperTreeGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"XMLPHyperTreeGridWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"XML Writer Parameters\">\n"
"            <Property name=\"DataMode\" />\n"
"            <Property name=\"EncodeAppendedData\" />\n"
"            <Property name=\"CompressorType\" />\n"
"            <Property name=\"CompressionLevel\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"phtg\"\n"
"                       file_description=\"PVTK Hyper Tree Grid Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLPHyperTreeGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- End of \"writers\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"extract_writers\">\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <DataExtractWriterProxy name=\"PLY\">\n"
"      <Documentation>\n"
"        Extract writer to write polygonal data to the PLY file format.\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"{prefix}_{timestep:06d}.ply\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"PPLYWriter\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\" />\n"
"          <Property name=\"FileType\" />\n"
"\n"
"          <PropertyGroup label=\"Data Selection\">\n"
"            <Property name=\"ChooseArraysToWrite\" panel_visibility=\"advanced\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Array Selection\" panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"PointDataArrays\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CellDataArrays\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"FieldDataArrays\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"VertexDataArrays\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"EdgeDataArrays\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"RowDataArrays\" panel_visibility=\"advanced\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"ChooseArraysToWrite\"\n"
"                                       value=\"1\"/>\n"
"              <!-- show this widget when ChooseArraysToWrite==1 -->\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Parallel I/O Support\">\n"
"            <Property name=\"NumberOfIORanks\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"RankAssignmentMode\" panel_visibility=\"advanced\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Color Properties\">\n"
"            <Property name=\"EnableColoring\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"EnableAlpha\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"ColorArrayName\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"LookupTable\" panel_visibility=\"advanced\"/>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\" />\n"
"      </Hints>\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <DataExtractWriterProxy name=\"VTP\">\n"
"      <Documentation>\n"
"        Extract writer to write polygonal data using the VTK XML file format\n"
"        (vtp or pvtkp).\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"{prefix}_{timestep:06d}.pvtp\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"XMLPPolyDataWriter\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\" />\n"
"          <Property name=\"DataMode\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"EncodeAppendedData\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"CompressorType\" />\n"
"          <Property name=\"CompressionLevel\" />\n"
"          <Property name=\"UseSubdirectory\" panel_visibility=\"advanced\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\" />\n"
"      </Hints>\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <DataExtractWriterProxy name=\"VTU\">\n"
"      <Documentation>\n"
"        Extract writer to write unstructured data using the VTK XML file format\n"
"        (vtu or pvtu).\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"{prefix}_{timestep:06d}.pvtu\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"XMLPUnstructuredGridWriter\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\" />\n"
"          <Property name=\"DataMode\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"EncodeAppendedData\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"CompressorType\" />\n"
"          <Property name=\"CompressionLevel\" />\n"
"          <Property name=\"UseSubdirectory\" panel_visibility=\"advanced\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\" />\n"
"      </Hints>\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <DataExtractWriterProxy name=\"HTG\">\n"
"      <Documentation>\n"
"        Extract writer to write hypertree grid using the VTK XML file format\n"
"        (htg or phtg).\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"{prefix}_{timestep:06d}.phtg\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"XMLPHyperTreeGridWriter\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\" />\n"
"          <Property name=\"DataMode\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"EncodeAppendedData\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"CompressorType\" />\n"
"          <Property name=\"CompressionLevel\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\" />\n"
"      </Hints>\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <DataExtractWriterProxy name=\"VTS\">\n"
"      <Documentation>\n"
"        Extract writer to write structured grid using the VTK XML file format\n"
"        (vts or pvts).\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"{prefix}_{timestep:06d}.pvts\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"XMLPStructuredGridWriter\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\" />\n"
"          <Property name=\"DataMode\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"EncodeAppendedData\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"CompressorType\" />\n"
"          <Property name=\"CompressionLevel\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\" />\n"
"      </Hints>\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <DataExtractWriterProxy name=\"VTR\">\n"
"      <Documentation>\n"
"        Extract writer to write rectilinear grid using the VTK XML file format\n"
"        (vtr or pvtr).\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"{prefix}_{timestep:06d}.pvtr\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"XMLPRectilinearGridWriter\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\" />\n"
"          <Property name=\"DataMode\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"EncodeAppendedData\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"CompressorType\" />\n"
"          <Property name=\"CompressionLevel\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\" />\n"
"      </Hints>\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <DataExtractWriterProxy name=\"VTI\">\n"
"      <Documentation>\n"
"        Extract writer to write image data (uniform rectilinear grid) using the\n"
"        VTK XML file format (vti or pvti).\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"{prefix}_{timestep:06d}.pvti\">\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/writers_ioxml.xml
static const char* const paraview_server_managerwriters_ioxmlInterface4 =
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"XMLPImageDataWriter\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\" />\n"
"          <Property name=\"DataMode\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"EncodeAppendedData\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"CompressorType\" />\n"
"          <Property name=\"CompressionLevel\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\" />\n"
"      </Hints>\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <DataExtractWriterProxy name=\"VTM\">\n"
"      <Documentation>\n"
"        Extract writer to write a multiblock dataset using the\n"
"        VTK XML file format (vtm).\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"{prefix}_{timestep:06d}.vtm\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"XMLMultiBlockDataWriter\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\" />\n"
"          <Property name=\"DataMode\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"EncodeAppendedData\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"CompressorType\" />\n"
"          <Property name=\"CompressionLevel\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\" />\n"
"      </Hints>\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <DataExtractWriterProxy name=\"VTPD\">\n"
"      <Documentation>\n"
"        Extract writer to write a partitioned dataset using the\n"
"        VTK XML file format (vtpd).\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"{prefix}_{timestep:06d}.vtpd\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"XMLPPartitionedDataSetWriter\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\" />\n"
"          <Property name=\"DataMode\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"EncodeAppendedData\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"CompressorType\" />\n"
"          <Property name=\"CompressionLevel\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\" />\n"
"      </Hints>\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <DataExtractWriterProxy name=\"VTPC\">\n"
"      <Documentation>\n"
"        Extract writer to write a partitioned dataset collection using the\n"
"        VTK XML file format (vtpc).\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"{prefix}_{timestep:06d}.vtpc\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"XMLPartitionedDataSetCollectionWriter\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\" />\n"
"          <Property name=\"DataMode\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"EncodeAppendedData\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"CompressorType\" />\n"
"          <Property name=\"CompressionLevel\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\" />\n"
"      </Hints>\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <DataExtractWriterProxy name=\"VTH\">\n"
"      <Documentation>\n"
"        Extract writer to write a uniform grid AMR dataset using the\n"
"        VTK XML file format (vth).\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"{prefix}_{timestep:06d}.vth\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"XMLUniformGridAMRWriter\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\" />\n"
"          <Property name=\"DataMode\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"EncodeAppendedData\" panel_visibility=\"advanced\" />\n"
"          <Property name=\"CompressorType\" />\n"
"          <Property name=\"CompressionLevel\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\" />\n"
"      </Hints>\n"
"    </DataExtractWriterProxy>\n"
"\n"
"    <!-- end of \"extract_writers\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerwriters_ioxmlGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerwriters_ioxmlInterface0);
  const size_t len1 = strlen(paraview_server_managerwriters_ioxmlInterface1);
  const size_t len2 = strlen(paraview_server_managerwriters_ioxmlInterface2);
  const size_t len3 = strlen(paraview_server_managerwriters_ioxmlInterface3);
  const size_t len4 = strlen(paraview_server_managerwriters_ioxmlInterface4);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerwriters_ioxmlInterface0, paraview_server_managerwriters_ioxmlInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerwriters_ioxmlInterface1, paraview_server_managerwriters_ioxmlInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerwriters_ioxmlInterface2, paraview_server_managerwriters_ioxmlInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerwriters_ioxmlInterface3, paraview_server_managerwriters_ioxmlInterface3 + len3, res + offset); offset += len3;
  std::copy(paraview_server_managerwriters_ioxmlInterface4, paraview_server_managerwriters_ioxmlInterface4 + len4, res + offset); offset += len4;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ionetcdf.xml
static const char* const paraview_server_managerreaders_ionetcdfInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkSLACParticleReader\"\n"
"                 label=\"SLAC Particle Data Reader\"\n"
"                 name=\"SLACParticleReaderCore\">\n"
"      <Documentation>The SLAC Particle data reader.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the file to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- SLACParticleReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkNetCDFCAMReader\"\n"
"                 label=\"NetCDF CAM reader\"\n"
"                 name=\"NetCDFCAMReaderCore\">\n"
"      <Documentation>Core for NetCDF CAM reader.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetConnectivityFileName\"\n"
"                            name=\"ConnectivityFileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name to read for the\n"
"        grid connectivity.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"PointsFileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name to read for the\n"
"        points and field information.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetVerticalDimension\"\n"
"                         default_values=\"1\"\n"
"                         name=\"VerticalDimension\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Specify whether to read variables from the\n"
"        single layer, from midpoint layers or from interface\n"
"        layers.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Single layer [time, ncol]\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Midpoint layers [time, lev, ncol]\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Interface layers [time, ilev, ncol]\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which NetCDF CAM point\n"
"        variables to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SingleMidpointLayer\"\n"
"                         command=\"SetSingleMidpointLayer\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Load only one layer from variables on the midpoint layers. The layer\n"
"          is specified by MidpointLayerIndex.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetMidpointLayersRange\"\n"
"                         information_only=\"1\"\n"
"                         name=\"MidpointLayersRangeInfo\"></IntVectorProperty>\n"
"      <IntVectorProperty name=\"MidpointLayerIndex\"\n"
"                            command=\"SetMidpointLayerIndex\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\"  default_mode=\"min\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Range\"\n"
"                      name=\"MidpointLayersRangeInfo\" />\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"SingleMidpointLayer\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specifies which layer to load from the midpoint layers. Note that\n"
"          the layer indexes 0 to n-1 map to Z values n-1 to 0.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SingleInterfaceLayer\"\n"
"                         command=\"SetSingleInterfaceLayer\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Load only one layer from variables on the interface layers. The layer\n"
"          is specified by InterfaceLayerIndex.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetInterfaceLayersRange\"\n"
"                         information_only=\"1\"\n"
"                         name=\"InterfaceLayersRangeInfo\"></IntVectorProperty>\n"
"      <IntVectorProperty name=\"InterfaceLayerIndex\"\n"
"                            command=\"SetInterfaceLayerIndex\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\"  default_mode=\"min\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Range\"\n"
"                      name=\"InterfaceLayersRangeInfo\" />\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"SingleInterfaceLayer\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specifies which layer to load from the interface layers. Note that\n"
"          the layer indexes 0 to n-1 map to Z values n-1 to 0.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty default_values=\"1\"\n"
"                         name=\"CellLayerRight\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <Documentation>**DEPRECATED in ParaView 4.4.** No longer needed/supported.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End NetCDFCAMReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkNetCDFPOPReader\"\n"
"                 label=\"NetCDF POP reader\"\n"
"                 name=\"NetCDFPOPReaderCore\">\n"
"      <Documentation>Core for NetCDF POP reader.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"VariableArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Variable\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetVariableArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"VariableArrayInfo\"\n"
"                            label=\"Variables\"\n"
"                            name=\"VariableArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"VariableArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which NetCDF variables to\n"
"        load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetStride\"\n"
"                         default_values=\"1 1 1\"\n"
"                         name=\"Stride\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain min=\"1 1 1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property indicate the number of indices per\n"
"        dimension (i,j,k) to skip between each point included in this\n"
"        output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End NetCDFPOPReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkNetCDFCFReader\"\n"
"                 name=\"netCDFReaderCore\">\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the file to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"GetAllDimensions\"\n"
"                            information_only=\"1\"\n"
"                            name=\"DimensionInfo\">\n"
"        <StringArrayHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animatelable=\"0\"\n"
"                            command=\"SetDimensions\"\n"
"                            name=\"Dimensions\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <StringListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"DimensionInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>Load the grid with the given dimensions. Any arrays that\n"
"        conform to these dimensions will be loaded.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"GetVariableDimensions\"\n"
"                            information_only=\"1\"\n"
"                            name=\"VariableDimensionInfo\">\n"
"        <StringArrayHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"GetAllVariableArrayNames\"\n"
"                            information_only=\"1\"\n"
"                            name=\"VariableArrayInfo\">\n"
"        <StringArrayHelper />\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetSphericalCoordinates\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SphericalCoordinates\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If on, then data with latitude/longitude dimensions will\n"
"        be read in as curvilinear data shaped like spherical coordinates. If\n"
"        false, then the data will always be read in Cartesian\n"
"        coordinates.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetVerticalScale\"\n"
"                            default_values=\"1\"\n"
"                            name=\"VerticalScale\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The scale of the vertical component of spherical\n"
"        coordinates. It is common to write the vertical component with respect\n"
"        to something other than the center of the sphere (for example, the\n"
"        surface). In this case, it might be necessary to scale and/or bias the\n"
"        vertical height. The height will become height*scale + bias. Keep in\n"
"        mind that if the positive attribute of the vertical dimension is down,\n"
"        then the height is negated. The scaling will be adjusted if it results\n"
"        in invalid (negative) vertical values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetVerticalBias\"\n"
"                            default_values=\"0\"\n"
"                            name=\"VerticalBias\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>The bias of the vertical component of spherical\n"
"        coordinates. It is common to write the vertical component with respect\n"
"        to something other than the center of the sphere (for example, the\n"
"        surface). In this case, it might be necessary to scale and/or bias the\n"
"        vertical height. The height will become height*scale + bias. Keep in\n"
"        mind that if the positive attribute of the vertical dimension is down,\n"
"        then the height is negated. The scaling will be adjusted if it results\n"
"        in invalid (negative) vertical values.</Documentation>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ionetcdf.xml
static const char* const paraview_server_managerreaders_ionetcdfInterface1 =
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetReplaceFillValueWithNan\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ReplaceFillValueWithNan\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If on, any float or double variable read that has a\n"
"        _FillValue attribute will have that fill value replaced with a\n"
"        not-a-number (NaN) value. The advantage of setting these to NaN values\n"
"        is that, if implemented properly by the system and careful math\n"
"        operations are used, they can implicitly be ignored by calculations\n"
"        like finding the range of the values. That said, this option should be\n"
"        used with caution as VTK does not fully support NaN values and\n"
"        therefore odd calculations may occur.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetOutputType\"\n"
"                         default_values=\"-1\"\n"
"                         name=\"OutputType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Automatic\"\n"
"                 value=\"-1\" />\n"
"          <Entry text=\"Image\"\n"
"                 value=\"6\" />\n"
"          <Entry text=\"Rectilinear\"\n"
"                 value=\"3\" />\n"
"          <Entry text=\"Structured\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Unstructured\"\n"
"                 value=\"4\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Specifies the type of data that the reader creates. If\n"
"        Automatic, the reader will use the most appropriate grid type for the\n"
"        data read. Note that not all grid types support all data. A warning is\n"
"        issued if a mismatch occurs.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>This magic property sends time information to the\n"
"        animation panel. ParaView will then automatically set up the animation\n"
"        to visit the time steps defined in the file.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- netCDFReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- end of \"internal_sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"SLAC Particle Data Reader\"\n"
"                 name=\"SLACParticleReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation short_help=\"The SLAC Particle data reader.\">The SLAC Particle data reader.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"SLACParticleReaderCore\"></Proxy>\n"
"      </SubProxy>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>A list of files to be read in a time\n"
"        series.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"ncdf netcdf\"\n"
"                       file_description=\"SLAC Particle Files\" />\n"
"      </Hints>\n"
"      <!-- SLACParticleReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"NetCDF CAM reader\"\n"
"                 name=\"NetCDFCAMReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads unstructured grid data from NetCDF files. There are 2 files, a points+fields file which is set as FileName and a cell connectivity file set as ConnectivityFileName.\"\n"
"                     short_help=\"Read unstructured grid NetCDF files in CAM format.\">\n"
"                     This reader reads in unstructured grid data from a NetCDF\n"
"                     file. The grid data is in a set of planes as quadrilateral\n"
"                     cells. The reader creates hex cells in order to create a\n"
"                     volumetric grid.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"NetCDFCAMReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ConnectivityFileName\" />\n"
"          <Property name=\"VerticalDimension\" />\n"
"          <Property name=\"PointArrayStatus\" />\n"
"          <Property name=\"SingleMidpointLayer\" />\n"
"          <Property name=\"MidpointLayerIndex\" />\n"
"          <Property name=\"SingleInterfaceLayer\" />\n"
"          <Property name=\"InterfaceLayerIndex\" />\n"
"          <Property name=\"CellLayerRight\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"nc ncdf\"\n"
"                       file_description=\"CAM NetCDF (Unstructured)\" />\n"
"      </Hints>\n"
"      <!-- End NetCDFCAMReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"NetCDF POP reader\"\n"
"                 name=\"NetCDFPOPReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads rectilinear grid data from a NetCDF POP file.\"\n"
"                     short_help=\"Read rectilinear grid data from a NetCDF file in the POP format.\">\n"
"      The reader reads regular rectilinear grid (image/volume) data from a\n"
"      NetCDF file.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"NetCDFPOPReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"VariableArrayInfo\" />\n"
"          <Property name=\"VariableArrayStatus\" />\n"
"          <Property name=\"Stride\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pop.ncdf pop.nc\"\n"
"                       file_description=\"POP Ocean NetCDF (Rectilinear)\" />\n"
"      </Hints>\n"
"      <!-- End NetCDFPOPReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"NetCDF Reader\"\n"
"                 name=\"netCDFReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads regular arrays from NetCDF files. Will also read any topological information specified by the COARDS and CF conventions.\"\n"
"                     short_help=\"Read regular arrays from NetCDF files.\">Reads\n"
"                     arrays from NetCDF files into structured VTK data sets. In\n"
"                     the absence of any other information, the files will be\n"
"                     read as image data. This reader will also look for meta\n"
"                     information specified by the CF convention that specify\n"
"                     things like topology and time. This information can cause\n"
"                     the output to be a nonuniform rectilinear grid or\n"
"                     curvilinear (structured) grid. Details on the CF\n"
"                     convention can be found at http://cf-pcmdi.llnl.gov/. It\n"
"                     should be noted that the CF convention is a superset of\n"
"                     the COARDS convention, so COARDS conventions will also be\n"
"                     recognized.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the files to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"netCDFReaderCore\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"DimensionInfo\" />\n"
"          <Property name=\"Dimensions\" />\n"
"          <Property name=\"VariableDimensionInfo\" />\n"
"          <Property name=\"VariableArrayInfo\" />\n"
"          <Property name=\"SphericalCoordinates\" />\n"
"          <Property name=\"VerticalScale\" />\n"
"          <Property name=\"VerticalBias\" />\n"
"          <Property name=\"ReplaceFillValueWithNan\" />\n"
"          <Property name=\"OutputType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>This magic property sends time information to the\n"
"        animation panel. ParaView will then automatically set up the animation\n"
"        to visit the time steps defined in the file.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"ncdf nc\"\n"
"                       file_description=\"netCDF files generic and CF conventions\" />\n"
"      </Hints>\n"
"      <!-- netCDFReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkMPASReader\"\n"
"                 label=\"NetCDF MPAS reader\"\n"
"                 name=\"MPASReader\">\n"
"      <Documentation long_help=\"Reads unstructured grid MPAS data from a file.\"\n"
"                     short_help=\"Read unstructured grid MPAS data from a file.\">\n"
"                     This reader reads unstructured grid MPAS data from a file.\n"
"                     It creates a dual grid It assumes the grid is in the\n"
"                     global domain. By default, it creates a spherical view of\n"
"                     vertical layer 0. It assumes it is ocean data. It gives\n"
"                     several options to change the view to multilayer (all\n"
"                     vertical layers will have a thickness determined by the\n"
"                     value in the slider), lat/lon projection or atmospheric\n"
"                     (vertical layers go out away from the center of the\n"
"                     sphere, instead of down towards the center as they do for\n"
"                     ocean data). It doesn't handle data in the rectangular\n"
"                     domain. This is not a parallel reader. It expects one .nc\n"
"                     file of data. It can display cell or vertex-centered data,\n"
"                     but not edge data. When converted to the dual grid,\n"
"                     cell-centered data becomes vertex-centered and vice-versa.\n"
"                     NOTES: When using this reader, it is important that you\n"
"                     remember to do the following: 1. When changing a selected\n"
"                     variable, remember to select it also in the drop down box\n"
"                     to color by. It doesn't color by that variable\n"
"                     automatically 2. When selecting multilayer sphere view,\n"
"                     start with layer thickness around 100,000 3. When\n"
"                     selecting multilayer lat/lon view, start with layer\n"
"                     thickness around 10 4. Always click the -Z orientation\n"
"                     after making a switch from lat/lon to sphere, from single\n"
"                     to multilayer or changing thickness. 5. Be conservative on\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ionetcdf.xml
static const char* const paraview_server_managerreaders_ionetcdfInterface2 =
"                     the number of changes you make before hitting Apply, since\n"
"                     there may be bugs in this reader. Just make one change and\n"
"                     then hit Apply. For problems, contact Christine Ahrens\n"
"                     (cahrens@lanl.gov)</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name to read. It should\n"
"        be an MPAS format NetCDF file ending in .nc.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetUseDimensionedArrayNames\"\n"
"                         name=\"UseDimensionedArrayNames\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property ensures that the dimension info is always\n"
"        shown in the ParaView GUI.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which NetCDF dual-grid point\n"
"        variables to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which NetCDF dual-grid cell\n"
"        variables to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- Dimensions table: -->\n"
"      <!-- Elements are [arrayName] [currentIndex] [dimSize]: -->\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"DimensionInfo\"\n"
"                            command=\"Dimension\"\n"
"                            si_class=\"vtkSIIndexSelectionProperty\">\n"
"      </StringVectorProperty>\n"
"      <!-- Elements are [arrayName] [currentIndex]: -->\n"
"      <StringVectorProperty command=\"SetDimensionCurrentIndex\"\n"
"                            name=\"DimensionCurrentIndex\"\n"
"                            label=\"Extra Dimension Indices\"\n"
"                            element_types=\"2 0\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            panel_widget=\"index_selection\">\n"
"        <IndexSelectionDomain name=\"index_selection\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Info\"\n"
"                      name=\"DimensionInfo\" />\n"
"          </RequiredProperties>\n"
"        </IndexSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <!-- End dimensions table -->\n"
"      <IntVectorProperty command=\"SetShowMultilayerView\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ShowMultilayerView\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property indicates whether to show multiple layers\n"
"        in one view, with each vertical level having the same thickness,\n"
"        specified by the layer thickness slider. For ocean data, the layers\n"
"        correspond to data at vertical level whose number increases towards the\n"
"        center of the sphere. For atmospheric data, the layers correspond to\n"
"        data at vertical levels increasing away from the\n"
"        center.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"GetAllDimensions\"\n"
"                            information_only=\"1\"\n"
"                            name=\"DimensionList\">\n"
"        <StringArrayHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetVerticalDimension\"\n"
"                            name=\"VerticalDimension\"\n"
"                            label=\"Vertical Dimension\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"nVertLevels\"\n"
"                            panel_visibility=\"default\">\n"
"        <StringListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"DimensionList\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"ShowMultilayerView\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetProjectLatLon\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ProjectLatLon\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property indicates whether to view the data in the\n"
"        lat/lon projection.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIsAtmosphere\"\n"
"                         default_values=\"0\"\n"
"                         name=\"IsAtmosphere\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property indicates whether data is atmospheric.\n"
"        Checking this ensures the vertical levels will go up away from the\n"
"        sphere instead of down towards the center.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetLayerThicknessRange\"\n"
"                         information_only=\"1\"\n"
"                         name=\"LayerThicknessRangeInfo\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLayerThickness\"\n"
"                         default_values=\"10\"\n"
"                         label=\"Layer Thickness\"\n"
"                         name=\"LayerThickness\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"LayerThicknessRange\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Range\"\n"
"                      name=\"LayerThicknessRangeInfo\" />\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>This property specifies how thick the layer should be if\n"
"        viewing the data in multilayer view. Each layer corresponds to a\n"
"        vertical level. A good starting point is 100,000 for the spherical view\n"
"        and 10 for the lat/lon projection. Click on -Z after applying this\n"
"        change, since the scale may change drastically.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetCenterLonRange\"\n"
"                         information_only=\"1\"\n"
"                         name=\"CenterLonRangeInfo\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetCenterLon\"\n"
"                         default_values=\"180\"\n"
"                         label=\"Center Longitude\"\n"
"                         name=\"CenterLon\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"CenterLonRange\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Range\"\n"
"                      name=\"CenterLonRangeInfo\" />\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>This property specifies where the center will be viewed\n"
"        for a lat/lon projection.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"ncdf nc\"\n"
"                       file_description=\"MPAS NetCDF (Unstructured)\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End MPASReader -->\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkSLACReader\"\n"
"                 label=\"SLAC Data Reader\"\n"
"                 name=\"SLACReader\">\n"
"      <!-- this may create vtkPSLACReader if module is enabled -->\n"
"      <Documentation short_help=\"A reader for a data format used by\n"
"      Omega3p, Tau3p, and several other tools used at the Standford\n"
"      Linear Accelerator Center (SLAC)\">A reader for a data format\n"
"      used by Omega3p, Tau3p, and several other tools used at the\n"
"      Standford Linear Accelerator Center (SLAC). The underlying\n"
"      format uses NetCDF to store arrays, but also imposes several\n"
"      conventions to form an unstructured grid of\n"
"      elements. This is a distributed reader.\n"
"      </Documentation>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"External Surface\" />\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"Entire Volume\" />\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetMeshFileName\"\n"
"                            name=\"MeshFileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the mesh file to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllModeFileNames\"\n"
"                            command=\"AddModeFileName\"\n"
"                            name=\"ModeFileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the mode files to load. The points in the\n"
"        mode file should be the same as the mesh file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetReadInternalVolume\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ReadInternalVolume\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If on, read the internal volume of the data\n"
"        set.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetReadExternalSurface\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ReadExternalSurface\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If on, read the external surfaces of the data\n"
"        set.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetReadMidpoints\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ReadMidpoints\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If on, reads midpoint information for external surfaces\n"
"        and builds quadratic surface triangles.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!--       <StringVectorProperty name=\"VariableArrayStatus\" -->\n"
"      <!--                             command=\"SetVariableArrayStatus\" -->\n"
"      <!--                             number_of_elements=\"0\" -->\n"
"      <!--                             repeat_command=\"1\" -->\n"
"      <!--                             number_of_elements_per_command=\"2\" -->\n"
"      <!--                             element_types=\"2 0\" -->\n"
"      <!--                             information_property=\"VariableArrayInfo\" -->\n"
"      <!--                             label=\"Variables\"> -->\n"
"      <!--         <ArraySelectionDomain name=\"array_list\"> -->\n"
"      <!--           <RequiredProperties> -->\n"
"      <!--             <Property name=\"VariableArrayInfo\" function=\"ArrayList\" /> -->\n"
"      <!--           </RequiredProperties> -->\n"
"      <!--         </ArraySelectionDomain> -->\n"
"      <!--         <Documentation> -->\n"
"      <!--           This property lists which mode variables to load from the mode file. -->\n"
"      <!--         </Documentation> -->\n"
"      <!--       </StringVectorProperty> -->\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>This magic property sends time information to the\n"
"        animation panel. ParaView will then automatically set up the animation\n"
"        to visit the time steps defined in the file.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimeRange\">\n"
"        <TimeRangeInformationHelper />\n"
"        <Documentation>This magic property sends time range information to the\n"
"        animation panel. ParaView uses this information to set the range of\n"
"        time for the animation. This property is important for when there are\n"
"        no timesteps but you still want to give ParaView a range of values to\n"
"        use.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"FrequencyScale\"\n"
"                            command=\"SetFrequencyScale\"\n"
"                            clean_command=\"ResetFrequencyScales\"\n"
"                            information_property=\"FrequencyScaleInfo\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ionetcdf.xml
static const char* const paraview_server_managerreaders_ionetcdfInterface3 =
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            panel_widget=\"list\" >\n"
"        <Documentation>\n"
"          Sets the scale factor for each mode. By default, each scale factor is\n"
"          set to 1.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"GetFrequencyScales\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FrequencyScaleInfo\"\n"
"                            si_class=\"vtkSIDataArrayProperty\" >\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PhaseShift\"\n"
"                            command=\"SetPhaseShift\"\n"
"                            clean_command=\"ResetPhaseShifts\"\n"
"                            information_property=\"PhaseShiftInfo\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            use_index=\"1\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            panel_widget=\"list\" >\n"
"        <Documentation>\n"
"          Sets the phase offset for each mode. By default, shift is set to 0.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"GetPhaseShifts\"\n"
"                            information_only=\"1\"\n"
"                            name=\"PhaseShiftInfo\"\n"
"                            si_class=\"vtkSIDataArrayProperty\" >\n"
"      </DoubleVectorProperty>\n"
"\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"ncdf nc\"\n"
"                       file_description=\"SLAC Mesh Files\" />\n"
"        <!-- Usually you want to look at the external surface, but the\n"
"             volume is there for visualizing the internal fields. -->\n"
"        <OutputPort index=\"1\"\n"
"                    visible=\"0\" />\n"
"      </Hints>\n"
"      <!-- SLACReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- end of \"sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_ionetcdfGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_ionetcdfInterface0);
  const size_t len1 = strlen(paraview_server_managerreaders_ionetcdfInterface1);
  const size_t len2 = strlen(paraview_server_managerreaders_ionetcdfInterface2);
  const size_t len3 = strlen(paraview_server_managerreaders_ionetcdfInterface3);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_ionetcdfInterface0, paraview_server_managerreaders_ionetcdfInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerreaders_ionetcdfInterface1, paraview_server_managerreaders_ionetcdfInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerreaders_ionetcdfInterface2, paraview_server_managerreaders_ionetcdfInterface2 + len2, res + offset); offset += len2;
  std::copy(paraview_server_managerreaders_ionetcdfInterface3, paraview_server_managerreaders_ionetcdfInterface3 + len3, res + offset); offset += len3;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/proxies_xdmf2.xml
static const char* const paraview_server_managerproxies_xdmf2Interface0 =
"<ServerManagerConfiguration>\n"
"  <!-- ******************************************************************** -->\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy class=\"vtkXdmfReader\" name=\"XdmfReaderCore\">\n"
"      <Documentation>\n"
"        The actual reader proxy for Xdmf Reader. Make internal since it doesn't\n"
"        support file-series. This is a distributed reader.\n"
"      </Documentation>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            panel_visibility=\"default\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            panel_visibility=\"default\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"SetInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Set\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetSetStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"SetInfo\"\n"
"                            label=\"Sets\"\n"
"                            name=\"SetStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"SetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the sets to be loaded from the dataset, if\n"
"        any.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"GridInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Grid\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetGridStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            label=\"Grids\"\n"
"                            information_property=\"GridInfo\"\n"
"                            name=\"GridStatus\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"GridInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Controls which particular data sets to read from a file\n"
"        that contains many data sets inside a composite data set\n"
"        collection.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetStride\"\n"
"                         default_values=\"1 1 1\"\n"
"                         name=\"Stride\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain min=\"1 1 1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>If loading structured data, this property indicate the\n"
"        number of indices per dimension (X, Y, or Z) to skip between each point\n"
"        included in this output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of XdmfReaderCore -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"\n"
"        <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"XDMF Reader\"\n"
"                 name=\"XdmfReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads XDMF (eXtensible Data Model and Format) files.\"\n"
"                     short_help=\"Read XDMF data files.\">The XDMF reader reads\n"
"                     files in XDMF format. The expected file extension is .xmf.\n"
"                     Metadata is stored in the XDMF file using an XML format,\n"
"                     and large attribute arrays are stored in a corresponding\n"
"                     HDF5 file. The output may be unstructured grid, structured\n"
"                     grid, or rectiliner grid. See http://www.xdmf.org for a\n"
"                     description of the file format. This is a distributed reader.\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"XdmfReaderCore\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"PointArrayInfo\" />\n"
"          <Property name=\"PointArrayStatus\" />\n"
"          <Property name=\"CellArrayInfo\" />\n"
"          <Property name=\"CellArrayStatus\" />\n"
"          <Property name=\"SetInfo\" />\n"
"          <Property name=\"SetStatus\" />\n"
"          <Property name=\"GridInfo\" />\n"
"          <Property name=\"GridStatus\" />\n"
"          <Property name=\"Stride\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"0\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"xmf xdmf xmf2 xdmf2\"\n"
"                       file_description=\"Xdmf Reader\" />\n"
"      </Hints>\n"
"      <!-- End of XdmfReader -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ******************************************************************** -->\n"
"  <ProxyGroup name=\"writers\">\n"
"    <!-- ================================================================= -->\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy class=\"vtkXdmfWriter\"\n"
"                 name=\"XdmfWriter\">\n"
"      <Documentation short_help=\"Write data in Xdmf files.\">Writer to write\n"
"      data in eXtensible Data Model and Format *(XDMF) files.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty name=\"WriteAllTimeSteps\"\n"
"                         command=\"SetWriteAllTimeSteps\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When WriteAllTimeSteps is turned ON, the writer is\n"
"        executed once for each timestep available from the reader.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"MeshStaticOverTime\"\n"
"                         command=\"SetMeshStaticOverTime\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When MeshStaticOverTime is turned ON, only the mesh\n"
"          topology and geometry at the first time step will be written in the\n"
"          heavy data file. All time steps will reference them in the Xdmf file.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\"\n"
"                  show=\"0\" />\n"
"        <Property name=\"FileName\"\n"
"                  show=\"0\" />\n"
"        <WriterFactory extensions=\"xmf\"\n"
"                       file_description=\"Xdmf Data File\" />\n"
"      </Hints>\n"
"      <!-- End of XdmfWriter -->\n"
"    </WriterProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerproxies_xdmf2GetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerproxies_xdmf2Interface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerproxies_xdmf2Interface0, paraview_server_managerproxies_xdmf2Interface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/proxies_gdal.xml
static const char* const paraview_server_managerproxies_gdalInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkGDALVectorReader\"\n"
"                 label=\"GDAL Vector Reader\"\n"
"                 name=\"GDALVectorReader\">\n"
"      <Documentation short_help=\"Reads a vector file using the GDAL\n"
"      library.\">GDAL Vector Reader is a source object that reads\n"
"      vector files and uses GDAL as the underlying library for the\n"
"      task. GDAL is required for this reader. The output of the reader\n"
"      is a vtkMultiBlockDataSet</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        GDAL Vector reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"GetNumberOfLayers\"\n"
"                         information_only=\"1\"\n"
"                         name=\"NumberOfLayers\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetActiveLayer\"\n"
"                         information_only=\"1\"\n"
"                         name=\"ActiveLayerInfo\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetActiveLayer\"\n"
"                         default_values=\"0\"\n"
"                         information_property=\"ActiveLayerInfo\"\n"
"                         name=\"ActiveLayer\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the active layer.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetAppendFeatures\"\n"
"                         information_only=\"1\"\n"
"                         name=\"AppendFeaturesInfo\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAppendFeatures\"\n"
"                         default_values=\"0\"\n"
"                         information_property=\"AppendFeaturesInfo\"\n"
"                         name=\"AppendFeatures\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set whether features are appended to a single\n"
"    vtkPolyData. Turning the option on is useful when a shapefile has\n"
"    a number of features which could otherwise lead to a huge\n"
"    multiblock structure.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetAddFeatureIds\"\n"
"                         information_only=\"1\"\n"
"                         name=\"AddFeatureIdsInfo\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAddFeatureIds\"\n"
"                         default_values=\"0\"\n"
"                         information_property=\"AddFeatureIdsInfo\"\n"
"                         name=\"AddFeatureIds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether feature IDs should be generated.\n"
"          Some GDAL primitives (e.g., a polygon with a hole\n"
"          in its interior) are represented by multiple VTK\n"
"          cells. If you wish to identify the primitive\n"
"          responsible for a VTK cell, turn this on. It is\n"
"          off by default for backwards compatibility.\n"
"          The array of feature IDs will be the active\n"
"          cell-data pedigree IDs.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"shp faa bnn dxf csv geojson gml gmlas gmt gpx htf vct jml kml dgn mvt pdf pds rec enc segy sua sxf ntf vdv vrt\"\n"
"                       file_description=\"GDAL Vector Files\"/>\n"
"      </Hints>\n"
"    <!-- End GDALVectorReaderCore -->\n"
"    </SourceProxy>\n"
"    <SourceProxy class=\"vtkGDALRasterReader\"\n"
"                 label=\"GDAL Raster Reader\"\n"
"                 name=\"GDALRasterReader\">\n"
"      <Documentation short_help=\"Reads a raster file using the GDAL\n"
"      library.\">GDAL Raster Reader is a source object that reads\n"
"      raster files and uses GDAL as the underlying library for the\n"
"      task. GDAL is required for this reader. The output of the reader\n"
"      is a vtkUniformGrid instead of vtkImageData to support\n"
"      blanking.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        GDAL Raster reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"GetTargetDimensions\"\n"
"                         information_only=\"1\"\n"
"                         name=\"TargetDimensionsInfo\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTargetDimensions\"\n"
"                         default_values=\"-1 -1\"\n"
"                         information_property=\"TargetDimensionsInfo\"\n"
"                         name=\"TargetDimensions\"\n"
"                         number_of_elements=\"2\">\n"
"        <Documentation>\n"
"          Set the desired width and height of the image.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Sets which GDAL bands to load from the file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetCollateBands\"\n"
"                         default_values=\"1\"\n"
"                         name=\"CollateBands\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation> Sets if bands are collated in one scalar array\n"
"        or not. Currently we collate bands into RGB, RGBA, gray alpha\n"
"        and pallete. The default is true.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"tif gen thf adf arg blx xlb bmp kap bt byn cad cpg ctg doq dt0 dt1 dt2 xml ers nl hdr gif grb img mpr mpl mem jpg kro l1b lan gis lcp los las map mff nat ntf nsf png ppm pgm prf x-dem rik rsw mtw grd ter til dem vrt xpm\"\n"
"                       file_description=\"GDAL Raster Files\" />\n"
"      </Hints>\n"
"      <!-- End GDALRasterReader -->\n"
"    </SourceProxy>\n"
"    <!-- End of \"sources\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerproxies_gdalGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerproxies_gdalInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerproxies_gdalInterface0, paraview_server_managerproxies_gdalInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/proxies_citygml.xml
static const char* const paraview_server_managerproxies_citygmlInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkCityGMLReader\"\n"
"                 label=\"CityGML Reader\"\n"
"                 name=\"CityGML Reader\">\n"
"      <Documentation short_help=\"Reads CityGML data files.\">\n"
"vtkCityGMLReader is a reader for CityGML .gml files. The output is a\n"
"multiblock dataset. We read objects at level of detail (LOD) specified\n"
"(default is 3). The leaves of the multiblock dataset (which are\n"
"polygonal datasets) have a field array with one element called\n"
"\"gml_id\" which corresponds to the gml:id for gml:TriangulatedSurface,\n"
"gml:MultiSurface or gml:CompositeSurface in the CityGML file. If the\n"
"polygonal dataset has a texture, we specify this with a point array called\n"
"\"tcoords\" and a field array with one element called \"texture_uri\"\n"
"containing the path to the texture file.  Top level children of the\n"
"multiblock dataset have a field array with one element called\n"
"\"element\" which contains the CityGML element name for example:\n"
"dem:ReliefFeature, wtr:WaterBody, grp::CityObjectGroup (forest),\n"
"veg:SolitaryVegetationObject, brid:Bridge, run:Tunel, tran:Railway,\n"
"tran:Road, bldg:Building, gen:GenericCityObject, luse:LandUse\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>Specify file name of the CityGML data file to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetLOD\"\n"
"                         default_values=\"3\"\n"
"                         name=\"LOD\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\" max=\"4\"\n"
"                        name=\"range\" />\n"
"        <Documentation>Specify the level of detail (LOD) to\n"
"        read. Valid values are from 0 (least detailed) through 4 (most\n"
"        detailed), default value is 3.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseTransparencyAsOpacity\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseTransparencyAsOpacity\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Certain input files use app:transparency as\n"
"        opacity. Set this field true to show that correctly. The\n"
"        default is false.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBeginBuildingIndex\"\n"
"                         default_values=\"0\"\n"
"                         name=\"BeginBuildingIndex\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Reads buildings between BeginBuildingIndex and EndBuildingIndex - 1 in the file.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetEndBuildingIndex\"\n"
"                         default_values=\"2147483647\"\n"
"                         name=\"EndBuildingIndex\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Reads buildings between BeginBuildingIndex and EndBuildingIndex - 1 in the file.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfBuildings\"\n"
"                         default_values=\"2147483647\"\n"
"                         name=\"NumberOfBuildings\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Number of buildings to read from the file.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"gml xml\"\n"
"                       file_description=\"CityGML files\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End CityGMLReader -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerproxies_citygmlGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerproxies_citygmlInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerproxies_citygmlInterface0, paraview_server_managerproxies_citygmlInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_iohdf.xml
static const char* const paraview_server_managerreaders_iohdfInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <Proxy class=\"vtkHDFReader\"\n"
"                 label=\"VTKHDF data reader\"\n"
"                 name=\"HDFReaderCore\">\n"
"      <Documentation long_help=\"Reads VTKHDF serial or parallel data files.\"\n"
"                     short_help=\"Reads VTKHDF data files.\">\n"
"        Reads VTKHDF serial or parallel data files. All data types are read\n"
"        from the same reader.\n"
"                     </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VTKHDF\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- this is the property to get the status -->\n"
"      <StringVectorProperty name=\"CellArrayInfo\"\n"
"                            command=\"GetCellDataArraySelection\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            information_only=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"      <!-- this is the property to set he status -->\n"
"      <StringVectorProperty name=\"CellArrayStatus\"\n"
"                            command=\"GetCellDataArraySelection\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            repeat_command=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the cell arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- this is the property to get the status -->\n"
"      <StringVectorProperty name=\"PointArrayInfo\"\n"
"                            command=\"GetPointDataArraySelection\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            information_only=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"      <!-- this is the property to set he status -->\n"
"      <StringVectorProperty name=\"PointArrayStatus\"\n"
"                            command=\"GetPointDataArraySelection\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            repeat_command=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the point arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- this is the property to get the status -->\n"
"      <StringVectorProperty name=\"FieldArrayInfo\"\n"
"                            command=\"GetFieldDataArraySelection\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            information_only=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"      <!-- this is the property to set he status -->\n"
"      <StringVectorProperty name=\"FieldArrayStatus\"\n"
"                            command=\"GetFieldDataArraySelection\"\n"
"                            information_property=\"FieldArrayInfo\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            repeat_command=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"FieldArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the field arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetMaximumLevelsToReadByDefaultForAMR\"\n"
"                         name=\"MaximumLevelsToReadByDefaultForAMR\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"10\" />\n"
"        <Documentation>\n"
"          The number of levels that the reader can read when the data type\n"
"          is AMR. Set this to 0 to imply no limit. Default is 0.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End HDFReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- end of \"internal_sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"VTKHDF Reader\"\n"
"                 name=\"HDFReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads serial and parallel VTKHDF data files.\"\n"
"                     short_help=\"Read VTKHDF data files.\">\n"
"        Reads VTKHDF serial or parallel data files. All data types are read\n"
"        from the same reader. This reader also supports file series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"HDFReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"          <Property name=\"MaximumLevelsToReadByDefaultForAMR\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be in the VTKHDF data format storing the same data type. The\n"
"        standard extension is .hdf. If more than one file is specified, the\n"
"        reader will switch to file series mode in which it will pretend that it\n"
"        can support time and provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"hdf hdf.series\"\n"
"                       file_description=\"VTKHDF Files\" />\n"
"      </Hints>\n"
"      <!-- HDFReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- end of \"sources\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_iohdfGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_iohdfInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_iohdfInterface0, paraview_server_managerreaders_iohdfInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/proxies_segy.xml
static const char* const paraview_server_managerproxies_segyInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkSegYReader\"\n"
"                 label=\"SegY Reader\"\n"
"                 name=\"SegY Reader\">\n"
"      <Documentation short_help=\"Reads SEG-Y data files.\">\n"
"        SEG-Y Reader reads SEG-Y data files. We create a Structured\n"
"        Grid for 2.5D SEG-Y and 3D data. If we set the StructuredGrid\n"
"        option to false we create a Image Data for 3D data. This saves\n"
"        memory and may speed-up certain algorithms, but the position\n"
"        and the shape of the data may not be correct. The axes for the\n"
"        data are: crossline, inline, depth.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        SEG-Y reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetXYCoordMode\"\n"
"                         default_values=\"0\"\n"
"                         name=\"XYCoordMode\"\n"
"                         label=\"XY Coord Mode\"\n"
"                         number_of_elements=\"1\" >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Source\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"CDP\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Custom\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"Specify whether to use source x/y coordinates or CDP coordinates or custom\n"
"byte positions for data position in the SEG-Y trace header. Defaults to\n"
"source x/y coordinates.\n"
"\n"
"As per SEG-Y rev 2.0 specification:\n"
"\n"
"- Source XY coordinate bytes = (73, 77)\n"
"- CDP XY coordinate bytes = (181, 185)\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetXCoordByte\"\n"
"                         default_values=\"73\"\n"
"                         name=\"XCoordByte\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Specify X and Y byte positions for custom XYCoordinateMode.\n"
"          By default, XCoordByte = 73, YCoordByte = 77 i.e. source xy.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetYCoordByte\"\n"
"                         default_values=\"76\"\n"
"                         name=\"YCoordByte\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Specify X and Y byte positions for custom XYCoordinateMode.\n"
"          By default, XCoordByte = 73, YCoordByte = 77 i.e. source xy.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetVerticalCRS\"\n"
"                         default_values=\"0\"\n"
"                         name=\"VerticalCRS\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Heights\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Depths\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"Specify whether the vertical coordinates in the SEG-Y file are heights\n"
"(positive up) or depths (positive down). By default, the vertical\n"
"coordinates are treated as heights (i.e. positive up). This means that the\n"
"Z-axis of the dataset goes from 0 (surface) to -ve depth (last sample).\n"
"Note. As per the SEG-Y rev 2.0 specification, this information is defined\n"
"in the Location Data Stanza of the Extended Textual Header. However, as of\n"
"this revision, SegYReader does not support reading the extended\n"
"textual header.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"                         command=\"SetStructuredGrid\"\n"
"                         name=\"StructuredGrid\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify if we create a Structured Grid even when the data is\n"
"          SEG-Y 3D. Note this consumes more memory but it shows the\n"
"          precise location for each point and the correct shape of the\n"
"          data. The default value is true. If we set this option to\n"
"          false we create an Image Data for a SEG-Y 3D dataset.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"Force2D\"\n"
"                         label=\"Force 2D\"\n"
"                         command=\"SetForce2D\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify if we create a Structured Grid even when the data is\n"
"          SEG-Y 3D. Note this consumes more memory but it shows the\n"
"          precise location for each point and the correct shape of the\n"
"          data. The default value is true. If we set this option to\n"
"          false we create an Image Data for a SEG-Y 3D dataset.\n"
"          Specify if we should we force the data to be interpreted as a 2D dataset.\n"
"          It may be a 2D sheet through 3D space. When this is turned on we ignore the cross\n"
"          line and line values and instead build a 2D data by processing and\n"
"          connecting the traces in order from first to last. The output will be a\n"
"          Structured Grid.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"sgy segy\"\n"
"                       file_description=\"SEG-Y Files\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End SegYReader -->\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerproxies_segyGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerproxies_segyInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerproxies_segyInterface0, paraview_server_managerproxies_segyInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/proxies_omf.xml
static const char* const paraview_server_managerproxies_omfInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy name=\"OMFReader\"\n"
"                 label=\"OMFReader\"\n"
"                 class=\"vtkOMFReader\">\n"
"      <Documentation short_help=\"Read OMF files.\">\n"
"        Reader for OMF (Open Mining Format) files.\n"
"      </Documentation>\n"
"      <StringVectorProperty\n"
"            name=\"FileName\"\n"
"            animateable=\"0\"\n"
"            command=\"SetFileName\"\n"
"            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property sets the OMF file to be read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetColumnMajorOrdering\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ColumnMajorOrdering\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Are volumes written in column major data order as opposed to standard row major order.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"omf\"\n"
"                       file_description=\"Open Mining Format (.omf) Files\" />\n"
"      </Hints>\n"
"\n"
"      <StringVectorProperty name=\"DataElementInfo\"\n"
"        command=\"GetDataElementArraySelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"      <StringVectorProperty\n"
"        name=\"DataElements\"\n"
"        command=\"GetDataElementArraySelection\"\n"
"        information_property=\"DataElementInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"DataElementInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select which data elements to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerproxies_omfGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerproxies_omfInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerproxies_omfInterface0, paraview_server_managerproxies_omfInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/writers_iolegacy.xml
static const char* const paraview_server_managerwriters_iolegacyInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_writers\">\n"
"    <!-- ================================================================= -->\n"
"    <Proxy base_proxygroup=\"internal_writers\"\n"
"           base_proxyname=\"DataWriterBase\"\n"
"           class=\"vtkGenericDataObjectWriter\"\n"
"           name=\"DataSetWriterCore\">\n"
"      <Documentation>Internal proxy used for writing legacy vtk files.</Documentation>\n"
"    </Proxy>\n"
"    <!-- end of \"internal_writers\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"writers\">\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"FileSeriesWriter\"\n"
"                 class=\"vtkFileSeriesWriter\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 name=\"DataSetWriter\">\n"
"      <Documentation short_help=\"Write any type of data object in a legacy vtk data file.\">\n"
"      Writer to write any type of data object in a legacy vtk data file. Cannot\n"
"      be used for parallel writing.</Documentation>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"DataSetWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"FileType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\" name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkTable\" />\n"
"          <DataType value=\"vtkGraph\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vtk\"\n"
"                       file_description=\"Legacy VTK Files\" />\n"
"      </Hints>\n"
"      <!-- End of DataSetWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PSWriterProxy class=\"vtkParallelSerialWriter\"\n"
"                   file_name_method=\"SetFileName\"\n"
"                   name=\"PDataSetWriterPolyData\"\n"
"                   parallel_only=\"1\"\n"
"                   base_proxygroup=\"internal_writers\"\n"
"                   base_proxyname=\"ParallelSerialWriter\">\n"
"      <Documentation short_help=\"Writer that writes polydata as legacy vtk files.\">\n"
"      Writer to write vtkPolyData in a legacy vtk data file. This\n"
"      version is used when running in parallel. It gathers data to first node\n"
"      and saves one file.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"DataSetWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"FileType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"PostGatherHelper\"\n"
"               proxygroup=\"filters\"\n"
"               proxyname=\"AppendPolyData\" />\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vtk\"\n"
"                       file_description=\"Legacy VTK Files\" />\n"
"      </Hints>\n"
"      <!-- End of PDataSetWriterPolyData -->\n"
"    </PSWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PSWriterProxy class=\"vtkParallelSerialWriter\"\n"
"                   file_name_method=\"SetFileName\"\n"
"                   name=\"PDataSetWriterUnstructuredGrid\"\n"
"                   parallel_only=\"1\"\n"
"                   base_proxygroup=\"internal_writers\"\n"
"                   base_proxyname=\"ParallelSerialWriter\">\n"
"      <Documentation short_help=\"Writer that writes unstructured grid as legacy vtk files.\">\n"
"      Writer to write vtkUnstructuredGrid of data object in a legacy vtk data file. This\n"
"      version is used when running in parallel. It gathers data to first node\n"
"      and saves one file.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"DataSetWriterCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"FileType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"PostGatherHelper\"\n"
"               proxygroup=\"filters\"\n"
"               proxyname=\"Append\" />\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"vtk\"\n"
"                       file_description=\"Legacy VTK Files\" />\n"
"      </Hints>\n"
"      <!-- End of PDataSetWriterUnstructuredGrid -->\n"
"    </PSWriterProxy>\n"
"\n"
"    <!-- end of \"writers\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerwriters_iolegacyGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerwriters_iolegacyInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerwriters_iolegacyInterface0, paraview_server_managerwriters_iolegacyInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_iogeometry.xml
static const char* const paraview_server_managerreaders_iogeometryInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkAVSucdReader\"\n"
"                 label=\"AVS UCD Reader\"\n"
"                 name=\"AVSucdReader\">\n"
"      <Documentation long_help=\"Reads binary or ASCII files stored in AVS UCD format.\"\n"
"                     short_help=\"Read a dataset in AVS UCD format.\">The AVS UCD\n"
"                     reader reads binary or ASCII files stored in AVS UCD\n"
"                     format. The default file extension is .inp. The output of\n"
"                     this reader is unstructured grid.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the AVS UCD\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property contains a list of the cell-centered\n"
"        arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property contains a list of the point-centered\n"
"        arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End AVSucdReader -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkSTLReader\"\n"
"                 label=\"STL Reader\"\n"
"                 name=\"stlreadercore\">\n"
"      <Documentation long_help=\"Reads ASCII or binary stereo lithography (STL) files.\"\n"
"                     short_help=\"Read STL files.\">The STL reader reads ASCII or\n"
"                     binary stereo lithography (STL) files. The expected file\n"
"                     extension is .stl. The output of this reader is a\n"
"                     polygonal dataset.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the STL\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetScalarTags\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ScalarTags\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set to true, the reader will include cell data\n"
"        describing which solid a cell belongs to.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End stlreader -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkFLUENTReader\" name=\"FLUENTReaderCore\">\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- FLUENTReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkTecplotReader\"\n"
"                 label=\"VTK Tecplot Reader\"\n"
"                 name=\"TecplotReaderCore\">\n"
"      <Documentation>Core for TecplotReader</Documentation>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the file to load</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"DataArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Data\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetDataArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"DataArrayInfo\"\n"
"                            label=\"Data Arrays\"\n"
"                            name=\"DataArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"DataArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists what dataset attribute arrays (point\n"
"        data and cell data) to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End TecplotReaderCore-->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkParticleReader\"\n"
"                 label=\"VTK Particle Reader\"\n"
"                 name=\"ParticleReaderCore\">\n"
"      <Documentation>Core for ParticleReader.</Documentation>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the file to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetDataByteOrder\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ByteOrder\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set/Get the byte ordering of the file you are trying to\n"
"        read in.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"BigEndian\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"LittleEndian\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHasScalar\"\n"
"                         default_values=\"1\"\n"
"                         name=\"HasScalar\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Default: 1. If 1 then each particle has a value\n"
"        associated with it.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFileType\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FileType\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the file type. The options are: - Unknown (0)\n"
"        (default) the reader will attempt to determine the file type. If this\n"
"        fails then you should set the file type yourself. - Text (1) the file\n"
"        type is text. - Binary (2) the file type is binary.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Unknown\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Text\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Binary\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDataType\"\n"
"                         default_values=\"10\"\n"
"                         name=\"DataType\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Get/Set the data type. The options are: - Float (10)\n"
"        (default) single precision floating point. - Double (11) double\n"
"        precision floating point.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Float\"\n"
"                 value=\"10\" />\n"
"          <Entry text=\"Double\"\n"
"                 value=\"11\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <!-- ParticleReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- end of \"internal_sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"AVS UCD Reader\"\n"
"                 name=\"AVSucdSeriesReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads binary or ASCII files stored in AVS UCD format.\"\n"
"                     short_help=\"Read a dataset in AVS UCD format.\">The AVS UCD\n"
"                     reader reads binary or ASCII files stored in AVS UCD\n"
"                     format. The default file extension is .inp. The output of\n"
"                     this reader is unstructured grid. This supports reading a\n"
"                     file series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"AVSucdReader\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Cell/Point Array Status\"\n"
"                         name=\"CellPointArrayStatus\"\n"
"                         panel_visibility=\"default\"\n"
"                         panel_widget=\"ArrayStatus\">\n"
"            <Property name=\"CellArrayInfo\" />\n"
"            <Property name=\"CellArrayStatus\" />\n"
"            <Property name=\"PointArrayInfo\" />\n"
"            <Property name=\"PointArrayStatus\" />\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. If more than\n"
"        one file is specified, the reader will switch to file series mode in\n"
"        which it will pretend that it can support time and provide one file per\n"
"        time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"inp\"\n"
"                       file_description=\"AVS UCD Binary/ASCII Files\" />\n"
"      </Hints>\n"
"      <!-- End of AVSucdSeriesReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"STL Reader\"\n"
"                 name=\"stlreader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads ASCII or binary stereo lithography (STL) files.\"\n"
"                     short_help=\"Read STL files.\">The STL reader reads ASCII or\n"
"                     binary stereo lithography (STL) files. The expected file\n"
"                     extension is .stl. The output of this reader is a\n"
"                     polygonal dataset. This reader also supports file\n"
"                     series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"stlreadercore\"></Proxy>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_iogeometry.xml
static const char* const paraview_server_managerreaders_iogeometryInterface1 =
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. If more than\n"
"        one file is specified, the reader will switch to file series mode in\n"
"        which it will pretend that it can support time and provide one file per\n"
"        time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"stl stl.series\"\n"
"                       file_description=\"Stereo Lithography\" />\n"
"      </Hints>\n"
"      <!-- End stlreader-->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkBYUReader\"\n"
"                 label=\"BYU Reader\"\n"
"                 name=\"byureader\">\n"
"      <Documentation long_help=\"Reads Movie.BYU files to produce polygonal data.\"\n"
"                     short_help=\"Read Movie.BYU files.\">The BYU reader reads\n"
"                     data stored in Movie.BYU format. The expected file\n"
"                     extension is .g. The datasets resulting from reading these\n"
"                     files are polygonal.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the BYU\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"g\"\n"
"                       file_description=\"BYU Files\" />\n"
"      </Hints>\n"
"      <!-- End byureader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkOBJReader\"\n"
"                 label=\"Wavefront OBJ Reader\"\n"
"                 name=\"objreader\">\n"
"      <Documentation long_help=\"Reads Wavefront .OBJ files to produce polygonal and line data.\"\n"
"                     short_help=\"Read Wavefront .OBJ files.\">The OBJ reader\n"
"                     reads data stored in Wavefront .OBJ format. The expected\n"
"                     file extension is .obj, the datasets resulting from\n"
"                     reading these files are polygons and\n"
"                     lines.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the OBJ\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"obj\"\n"
"                       file_description=\"Wavefront OBJ Files\" />\n"
"      </Hints>\n"
"      <!-- End vtkOBJReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkPDBReader\"\n"
"                 label=\"PDB Reader\"\n"
"                 name=\"pdbreader\">\n"
"      <Documentation long_help=\"Reads PDB molecule files.\"\n"
"                     short_help=\"Read PDB files.\">The PDB reader reads files in\n"
"                     the format used by the Protein Data Bank (an archive of\n"
"                     experimentally determined three-dimensional structures of\n"
"                     biological macromolecules). The expected file extension is\n"
"                     .pdb. The output datasets are polygonal.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the PDB\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pdb\"\n"
"                       file_description=\"Protein Data Bank Files\" />\n"
"      </Hints>\n"
"      <!-- End pdbreader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- Beginning of MFIX Reader -->\n"
"    <SourceProxy class=\"vtkMFIXReader\"\n"
"                 name=\"MFIXReader\">\n"
"      <Documentation long_help=\"Reads a dataset in MFIX file format.\"\n"
"                     short_help=\"Reads a dataset in MFIX file format.\">\n"
"                     vtkMFIXReader creates an unstructured grid dataset. It\n"
"                     reads a restart file and a set of sp files. The restart\n"
"                     file contains the mesh information. MFIX meshes are either\n"
"                     cylindrical or rectilinear, but this reader will convert\n"
"                     them to an unstructured grid. The sp files contain\n"
"                     transient data for the cells. Each sp file has one or more\n"
"                     variables stored inside it.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>Set the file name for the MFIX reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"RES\"\n"
"                       file_description=\"MFIX Unstructured Grid Files\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End of MFIX Reader -->\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Fluent Case Reader\"\n"
"                 name=\"FLUENTReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a dataset in Fluent file format.\"\n"
"                     short_help=\"Reads a dataset in Fluent file format.\">\n"
"                     FLUENTReader creates an unstructured grid dataset. It\n"
"                     reads .cas and .dat files stored in FLUENT native format\n"
"                     (or a file series of the same.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the files to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"FLUENTReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"CellArrayInfo\" />\n"
"          <Property name=\"CellArrayStatus\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"cas\"\n"
"                       file_description=\"Fluent Case Files\" />\n"
"      </Hints>\n"
"      <!-- FLUENTReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- Beginning of ProStar Reader -->\n"
"    <SourceProxy class=\"vtkProStarReader\"\n"
"                 label=\"proSTAR (STARCD) Reader\"\n"
"                 name=\"ProStarReader\">\n"
"      <Documentation long_help=\"Reads geometry in proSTAR (STARCD) file format.\"\n"
"                     short_help=\"Reads geometry in proSTAR (STARCD) file format.\">\n"
"                     ProStarReader creates an unstructured grid dataset. It\n"
"                     reads .cel/.vrt files stored in proSTAR (STARCD) ASCII\n"
"                     format.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>Set the file name for the proSTAR (STARCD)\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            command=\"SetScaleFactor\"\n"
"                            default_values=\"1\"\n"
"                            name=\"ScaleFactor\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Scaling factor for the points</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"cel vrt\"\n"
"                       file_description=\"proSTAR Files\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End of ProStar Reader -->\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Tecplot Reader\"\n"
"                 name=\"TecplotReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads files in the Tecplot ASCII file format.\"\n"
"                     short_help=\"Read files in the Tecplot ASCII file format.\">\n"
"                     The Tecplot reader extracts multiple zones (blocks) of\n"
"                     data from a Tecplot ASCII file, in which a zone is stored\n"
"                     in either point packing mode (i.e., tuple-based, with only\n"
"                     point data supported) or block packing mode (i.e.,\n"
"                     component-based, with point data and cell data supported).\n"
"                     The output of the reader is a vtkMultiBlockDataset, of\n"
"                     which each block is either a vtkStructuredGrid or a\n"
"                     vtkUnstructuredGrid. This supports reading a file\n"
"                     series.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"TecplotReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DataArrayInfo\" />\n"
"          <Property name=\"DataArrayStatus\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"tec TEC Tec tp TP dat\"\n"
"                       file_description=\"Tecplot Files\" />\n"
"      </Hints>\n"
"      <!-- End TecplotReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- Start WindBladeReader -->\n"
"    <SourceProxy class=\"vtkWindBladeReader\"\n"
"                 label=\"WindBlade reader\"\n"
"                 name=\"WindBladeReader\">\n"
"      <Documentation long_help=\"Reads WindBlade/Firetec simulation files possibly including wind turbines and topology files.\"\n"
"                     short_help=\"Read WindBlade simulation files.\">\n"
"                     WindBlade/Firetec is a simulation dealing with the effects\n"
"                     of wind on wind turbines or on the spread of fires. It\n"
"                     produces three outputs - a StructuredGrid for the wind\n"
"                     data fields, a StructuredGrid for the ground topology, and\n"
"                     a PolyData for turning turbine blades. The input file\n"
"                     (.wind) opened by the WindBlade reader is an ASCII\n"
"                     description of the data files expected. Data is\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_iogeometry.xml
static const char* const paraview_server_managerreaders_iogeometryInterface2 =
"                     accumulated by the simulation processor and is written one\n"
"                     file per time step. WindBlade can deal with topology if a\n"
"                     flag is turned on and expects (x,y) data for the ground.\n"
"                     It also can deal with turning wind turbines from other\n"
"                     time step data files which gives polygon positions of\n"
"                     segments of the blades and data for each\n"
"                     segment. This is a distributed reader.\n"
"      </Documentation>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"Field\" />\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"Blade\" />\n"
"      <OutputPort index=\"2\"\n"
"                  name=\"Ground\" />\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFilename\"\n"
"                            name=\"Filename\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>ASCII .wind file describes locations of data files, grid\n"
"        sizes and variable deltas, time step sizes, whether topology is used,\n"
"        whether turbines are used, and type and order of data written to the\n"
"        files.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Variables written to the data files are described in the\n"
"        .wind file and are presented for selection. Only selected variables are\n"
"        loaded for a time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"wind\"\n"
"                       file_description=\"WindBlade Data\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End WindBladeReader -->\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkPTSReader\"\n"
"                 label=\"PTS Reader\"\n"
"                 name=\"PTSReader\">\n"
"      <Documentation long_help=\"Reads a PTS ASCII Point Cloud file.\"\n"
"                     short_help=\"Read a pointset in PTS format\">The PTS reader\n"
"                     reads  ASCII PTS Point Cloud files containing\n"
"                     points as well as optional intensity and color information. The default\n"
"                     file extension is .pts. This reader produces a\n"
"                     polydata set of a single vertex cell containing all of\n"
"                     the points.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the PTS\n"
"        (ASCII Point Cloud) reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetLimitToMaxNumberOfPoints\"\n"
"                         name=\"LimitNumberOfPointsRead\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Limits the number of points read in from file\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"       <IntVectorProperty command=\"SetMaxNumberOfPoints\"\n"
"                         name=\"MaxNumberOfPoints\"\n"
"                         default_values=\"100000\"\n"
"                         number_of_elements=\"1\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"LimitNumberOfPointsRead\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Specify the max number of point to be read.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLimitReadToBounds\"\n"
"                         name=\"LimitPointCloudToBounds\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Restrict the point to cloud to a specified volume.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty animateable=\"0\"\n"
"                            command=\"SetReadBounds\"\n"
"                            name=\"ReadBounds\"\n"
"                            number_of_elements=\"6\"\n"
"                            default_values=\"0 100 0 100 0 100\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"LimitPointCloudToBounds\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"        <Documentation>Define the spatial volume that will restrict the\n"
"        extent of the point cloud [xmin, xmax, ymin, ymax, zmin, zmax]</Documentation>\n"
"\n"
"      </DoubleVectorProperty>\n"
"       <Hints>\n"
"        <ReaderFactory extensions=\"pts\"\n"
"                       file_description=\"PTS (Point Cloud)  Files\" />\n"
"      </Hints>\n"
"      <!-- End PTSReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Particles Reader\"\n"
"                 name=\"ParticleReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads particle data.\"\n"
"                     short_help=\"Read particle data.\">vtkParticleReader reads\n"
"                     either a binary or a text file of particles. Each particle\n"
"                     can have associated with it an optional scalar value. So\n"
"                     the format is: x, y, z, scalar (all floats or doubles).\n"
"                     The text file can consist of a comma delimited set of\n"
"                     values. In most cases vtkParticleReader can automatically\n"
"                     determine whether the file is text or binary. The data can\n"
"                     be either float or double. Progress updates are provided.\n"
"                     With respect to binary files, random access into the file\n"
"                     to read pieces is supported.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"ParticleReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ByteOrder\" />\n"
"          <Property name=\"HasScalar\" />\n"
"          <Property name=\"FileType\" />\n"
"          <Property name=\"DataType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"particles\"\n"
"                       file_description=\"VTK Particle Files\" />\n"
"      </Hints>\n"
"      <!-- End of ParticleReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- Beginning of glTF Reader -->\n"
"    <SourceProxy\n"
"        class=\"vtkGLTFReader\"\n"
"        name=\"glTF 2.0 Reader\"\n"
"        label=\"glTF Reader\">\n"
"      <Documentation\n"
"          long_help=\"Read a glTF file.\"\n"
"          short_help=\"Read a glTF file\">The glTF reader reads a glTF file.</Documentation>\n"
"      <StringVectorProperty\n"
"          name=\"FileName\"\n"
"          command=\"SetFileName\"\n"
"          number_of_elements=\"1\"\n"
"          panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"ApplyDeformationsToGeometry\"\n"
"          command=\"SetApplyDeformationsToGeometry\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1\"\n"
"          panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty\n"
"          command=\"GetAllSceneNames\"\n"
"          information_only=\"1\"\n"
"          name=\"SceneNameInfo\">\n"
"        <StringArrayHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"          command=\"SetScene\"\n"
"          name=\"Scene\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"        <StringListDomain name=\"SceneList\">\n"
"          <RequiredProperties>\n"
"            <Property\n"
"                function=\"SceneNameInfo\"\n"
"                name=\"SceneNameInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"          name=\"AnimationInfo\"\n"
"          command=\"GetAnimationSelection\"\n"
"          number_of_elements_per_command=\"2\"\n"
"          information_only=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"      <StringVectorProperty\n"
"          name=\"AnimationStatus\"\n"
"          command=\"GetAnimationSelection\"\n"
"          information_property=\"AnimationInfo\"\n"
"          number_of_elements_per_command=\"2\"\n"
"          element_types=\"2 0\"\n"
"          repeat_command=\"1\"\n"
"          si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"animation_list\">\n"
"          <RequiredProperties>\n"
"            <Property\n"
"                function=\"AnimationList\"\n"
"                name=\"AnimationInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the animations to enable.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property\n"
"                name=\"ApplyDeformationsToGeometry\"\n"
"                function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          information_only=\"1\"\n"
"          name=\"TimestepValues\"\n"
"          repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty\n"
"          name=\"Framerate\"\n"
"          command=\"SetFrameRate\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"60\"\n"
"          panel_visibility=\"advanced\">\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property\n"
"                name=\"ApplyDeformationsToGeometry\"\n"
"                function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory\n"
"            extensions=\"gltf glb\"\n"
"            file_description=\"glTF 2.0 Files\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End of vtkGLTFReader -->\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- end of \"sources\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_iogeometryGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_iogeometryInterface0);
  const size_t len1 = strlen(paraview_server_managerreaders_iogeometryInterface1);
  const size_t len2 = strlen(paraview_server_managerreaders_iogeometryInterface2);
  size_t len = ( 0
    + len0
    + len1
    + len2 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_iogeometryInterface0, paraview_server_managerreaders_iogeometryInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerreaders_iogeometryInterface1, paraview_server_managerreaders_iogeometryInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerreaders_iogeometryInterface2, paraview_server_managerreaders_iogeometryInterface2 + len2, res + offset); offset += len2;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/writers_iogeometry.xml
static const char* const paraview_server_managerwriters_iogeometryInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_writers\">\n"
"    <!-- ================================================================= -->\n"
"    <Proxy class=\"vtkOBJWriter\"\n"
"           name=\"OBJWriter\">\n"
"      <Documentation short_help=\"Write polygonal data in Wavefront OBJ format.\">\n"
"      </Documentation>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetTextureFileName\"\n"
"                            name=\"TextureFileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation> Optional. The name of the texture map file to be written\n"
"        into the mtl file.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <InputProperty name=\"DummyInput\" panel_visibility=\"never\">\n"
"        <InputArrayDomain attribute_type=\"any\" name=\"input_array\" />\n"
"      </InputProperty>\n"
"      <!-- End of OBJWriter -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy base_proxygroup=\"internal_writers\"\n"
"           base_proxyname=\"DataWriterBase\"\n"
"           class=\"vtkSTLWriter\"\n"
"           name=\"STLWriter\">\n"
"      <Documentation short_help=\"Write stereo lithography files.\">\n"
"      </Documentation>\n"
"      <!-- End of STLWriter -->\n"
"    </Proxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"writers\">\n"
"    <!-- ================================================================= -->\n"
"    <PSWriterProxy class=\"vtkParallelSerialWriter\"\n"
"                   file_name_method=\"SetFileName\"\n"
"                   name=\"POBJWriter\"\n"
"                   base_proxygroup=\"internal_writers\"\n"
"                   base_proxyname=\"ParallelSerialWriter\">\n"
"      <Documentation short_help=\"Write polygonal data in Wavefront OBJ format.\">\n"
"      Writer to write polygonal data in Wavefront OBJ format.\n"
"      Written files contain the geometry including lines, triangles and polygons.\n"
"      Normals and texture coordinates on points are also written if they exist.\n"
"      This version is used when running in parallel. It gathers data to first node\n"
"      and saves one file.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"OBJWriter\"></Proxy>\n"
"        <LinkProperties>\n"
"          <Property name=\"DummyInput\" with_property=\"Input\" />\n"
"        </LinkProperties>\n"
"        <ExposedProperties>\n"
"          <Property name=\"TextureFileName\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"PostGatherHelper\"\n"
"               proxygroup=\"filters\"\n"
"               proxyname=\"AppendPolyData\" />\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"obj\" file_description=\"Wavefront OBJ File Format\" />\n"
"        <UseDocumentationForLabels />\n"
"      </Hints>\n"
"      <!-- End of OBJWriter -->\n"
"    </PSWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PSWriterProxy class=\"vtkParallelSerialWriter\"\n"
"                   file_name_method=\"SetFileName\"\n"
"                   name=\"PSTLWriter\"\n"
"                   base_proxygroup=\"internal_writers\"\n"
"                   base_proxyname=\"ParallelSerialWriter\">\n"
"      <Documentation short_help=\"Write stereo lithography files.\">STLWriter\n"
"      writes stereo lithography (.stl) files in either ASCII or binary form.\n"
"      Stereo lithography files only contain triangles. If polygons with more\n"
"      than 3 vertices are present, only the first 3 vertices are written. Use\n"
"      TriangleFilter to convert polygons to triangles. This version of the\n"
"      reader is used when running in parallel. It gathers all the geometry to\n"
"      first node and saves 1 file.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"STLWriter\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"FileType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"PostGatherHelper\"\n"
"               proxygroup=\"filters\"\n"
"               proxyname=\"AppendPolyData\" />\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"stl\"\n"
"                       file_description=\"Stereo Lithography File Format\" />\n"
"      </Hints>\n"
"      <!-- End of PSTLWriter -->\n"
"    </PSWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PSWriterProxy class=\"vtkParallelSerialWriter\"\n"
"                   file_name_method=\"SetFileName\"\n"
"                   name=\"HoudiniWriter\"\n"
"                   base_proxygroup=\"internal_writers\"\n"
"                   base_proxyname=\"ParallelSerialWriter\">\n"
"      <Documentation short_help=\"Write polygonal data in Houdini .geo format.\">\n"
"      Writer to write polygonal data in ASCII Houdini .geo (pre-v12.0)\n"
"      format. </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"PostGatherHelper\"\n"
"               proxygroup=\"filters\"\n"
"               proxyname=\"AppendPolyData\" />\n"
"      </SubProxy>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" class=\"vtkHoudiniPolyDataWriter\" />\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"geo\"\n"
"                       file_description=\"Houdini File Format\" />\n"
"        <UseDocumentationForLabels />\n"
"      </Hints>\n"
"      <!-- End of HoudiniWriter -->\n"
"    </PSWriterProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerwriters_iogeometryGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerwriters_iogeometryInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerwriters_iogeometryInterface0, paraview_server_managerwriters_iogeometryInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioply.xml
static const char* const paraview_server_managerreaders_ioplyInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPLYReader\" name=\"PLYReaderCore\">\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the PLY\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetDuplicatePointsForFaceTexture\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DuplicatePointsForFaceTexture\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If true (default) and the \"face\" element has\n"
"        the property \"texcoord\" duplicate face points if they have 2\n"
"        or more different texture coordinates. Otherwise, each texture\n"
"        coordinate for a face point overwrites previously set texture\n"
"        coordinates for that point.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetFaceTextureTolerance\"\n"
"                            default_values=\"0.000001\"\n"
"                            name=\"FaceTextureTolerance\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Tolerance used to detect different texture\n"
"        coordinates for shared points for faces</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End PLYReaderCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- end of \"internal_sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"PLY Reader\"\n"
"                 name=\"PLYReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads files stored in Stanford University's PLY polygonal file format.\"\n"
"                     short_help=\"Read PLY polygonal files.\">The PLY reader\n"
"                     reads files stored in the PLY polygonal file format\n"
"                     developed at Stanford University. The PLY files that\n"
"                     ParaView can read must have the elements \"vertex\" and\n"
"                     \"face\" defined. The \"vertex\" elements must have the\n"
"                     properties \"x\", \"y\", and \"z\". The \"face\" elements must have\n"
"                     the property \"vertex_indices\" defined. The default file\n"
"                     extension for this reader is .ply.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"PLYReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DuplicatePointsForFaceTexture\" />\n"
"          <Property name=\"FaceTextureTolerance\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"0\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"ply ply.series\"\n"
"                       file_description=\"PLY Polygonal File Format\" />\n"
"      </Hints>\n"
"      <!-- End PLYReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- end of \"sources\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_ioplyGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_ioplyInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_ioplyInterface0, paraview_server_managerreaders_ioplyInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioparallel.xml
static const char* const paraview_server_managerreaders_ioparallelInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPDataSetReader\"\n"
"                 label=\"Legacy VTK Reader\"\n"
"                 name=\"legacyreader\">\n"
"      <Documentation long_help=\"Reads files stored in VTK's legacy file format.\"\n"
"                     short_help=\"Read legacy VTK files.\">The Legacy VTK reader\n"
"                     loads files stored in VTK's legacy file format. The\n"
"                     expected file extension is .vtk. The type of the dataset\n"
"                     may be structured grid, uniform rectilinear grid\n"
"                     (image/volume), non-uniform rectilinear grid, unstructured\n"
"                     grid, or polygonal.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the Legacy VTK\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End legacyreader -->\n"
"    </Proxy>\n"
"    <!-- end of \"internal_sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Legacy VTK Reader\"\n"
"                 name=\"LegacyVTKFileReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads files stored in VTK's legacy file format.\"\n"
"                     short_help=\"Read legacy VTK files.\">The Legacy VTK reader\n"
"                     loads files stored in VTK's legacy file format (before VTK\n"
"                     4.2, although still supported). The expected file\n"
"                     extension is .vtk. The type of the dataset may be\n"
"                     structured grid, uniform rectilinear grid (image/volume),\n"
"                     non-uniform rectilinear grid, unstructured grid, or\n"
"                     polygonal. This reader also supports file\n"
"                     series.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"legacyreader\"></Proxy>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. If more than\n"
"        one file is specified, the reader will switch to file series mode in\n"
"        which it will pretend that it can support time and provide one file per\n"
"        time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vtk vtk.series\"\n"
"                       file_description=\"Legacy VTK files\" />\n"
"      </Hints>\n"
"      <!-- End LegacyVTKFileReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkPDataSetReader\"\n"
"                 label=\"Partitioned Legacy VTK Reader\"\n"
"                 name=\"pvtkfile\">\n"
"      <Documentation long_help=\"Reads files stored in VTK partitioned legacy format.\"\n"
"                     short_help=\"Read partitioned legacy VTK files.\">The\n"
"                     Partitioned Legacy VTK reader loads files stored in VTK's\n"
"                     partitioned legacy file format (before VTK 4.2, although\n"
"                     still supported). The expected file extension is .pvtk.\n"
"                     The type of the dataset may be structured grid, uniform\n"
"                     rectilinear grid (image/volume), non-uniform rectilinear\n"
"                     grid, unstructured grid, or polygonal.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        Partitioned Legacy VTK reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pvtk pvtk.series\"\n"
"                       file_description=\"Legacy VTK Files (partitioned)\" />\n"
"      </Hints>\n"
"      <!-- End pvtkfile -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- Beginning of OpenFOAM Reader -->\n"
"    <SourceProxy class=\"vtkPOpenFOAMReader\"\n"
"                 name=\"OpenFOAMReader\">\n"
"      <Documentation long_help=\"Reads OpenFOAM data files, producing multiblock dataset.\"\n"
"                     short_help=\"Read OpenFOAM data files.\">The OpenFOAM reader\n"
"                     reads OpenFOAM data files and outputs multiblock\n"
"                     datasets. Mesh information and time dependent data are\n"
"                     supported. This is a distributed reader. The OpenFOAM format\n"
"                     is described fully at\n"
"                     http://www.openfoam.com/docs/user/basic-file-format.php.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Property animateable=\"0\"\n"
"                command=\"SetRefresh\"\n"
"                name=\"Refresh\">\n"
"        <Documentation>Refresh time information and selection list metadata.\n"
"        Useful when watching a running simulation.</Documentation>\n"
"      </Property>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetSkipZeroTime\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SkipZeroTime\"\n"
"                         label=\"Skip Zero Time\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Ignore the 0/ time directory.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetCaseType\"\n"
"                         default_values=\"1\"\n"
"                         name=\"CaseType\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Decomposed Case\"    value=\"0\" />\n"
"          <Entry text=\"Reconstructed Case\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The property indicates whether decomposed mesh or\n"
"        reconstructed mesh should be read</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetUse64BitLabels\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Label Size\"\n"
"                         name=\"Use64BitLabels\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"32-bit\" value=\"0\" />\n"
"          <Entry text=\"64-bit\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The expected label-size for the OpenFOAM data.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetUse64BitFloats\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Scalar Size\"\n"
"                         name=\"Use64BitFloats\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"32-bit (SP)\" value=\"0\" />\n"
"          <Entry text=\"64-bit (DP)\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>The expected scalar-size for the OpenFOAM data.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetCreateCellToPoint\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Create cell-to-point filtered data\"\n"
"                         name=\"CreateCellToPoint\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Create point data from cell data. Beware: the filter\n"
"        does not do inverse distance weighting.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetAddDimensionsToArrayNames\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Add dimensional units to array names\"\n"
"                         name=\"AddDimensionsToArrayNames\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Read dimensional units from field data and add them to\n"
"        array names as human-readable string.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PatchArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Patch\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetPatchArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PatchArrayInfo\"\n"
"                            name=\"MeshRegions\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PatchArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            name=\"CellArrays\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            name=\"PointArrays\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"LagrangianArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Lagrangian\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetLagrangianArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"LagrangianArrayInfo\"\n"
"                            name=\"LagrangianArrays\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"LagrangianArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetCacheMesh\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Cache mesh\"\n"
"                         name=\"CacheMesh\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Cache the OpenFOAM mesh between GUI selection\n"
"        changes.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetDecomposePolyhedra\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Decompose polyhedra\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioparallel.xml
static const char* const paraview_server_managerreaders_ioparallelInterface1 =
"                         name=\"DecomposePolyhedra\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Decompose polyhedra into tetrahedra and\n"
"        pyramids.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetListTimeStepsByControlDict\"\n"
"                         default_values=\"0\"\n"
"                         label=\"List timesteps according to controlDict\"\n"
"                         name=\"ListTimeStepsByControlDict\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>List time directories listed according to the settings\n"
"        in controlDict.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetPositionsIsIn13Format\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Lagrangian positions without extra data\"\n"
"                         name=\"PositionsIsIn13Format\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Lagrangian positions without extra data (before OpenFOAM 1.4, after 2.4)</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetReadZones\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Read zones\"\n"
"                         name=\"ReadZones\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Read point/face/cell-Zones?</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetCopyDataToCellZones\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Copy data to cell zones\"\n"
"                         name=\"CopyDataToCellZones\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Copy data of internal mesh to the cell zones</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"ReadZones\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"foam\"\n"
"          file_description=\"OpenFOAM\" />\n"
"        <ReloadFiles property=\"Refresh\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End of OpenFOAM Reader -->\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkMultiBlockPLOT3DReader\"\n"
"                 label=\"PLOT3D Reader\"\n"
"                 name=\"P3DReader\" >\n"
"      <Documentation long_help=\"Reads ASCII or binary PLOT3D files.\"\n"
"                     short_help=\"Read PLOT3D files.\">PLOT3D is a plotting\n"
"                     package developed at NASA. The PLOT3D reader can read both\n"
"                     ASCII and binary PLOT3D files. The default file extension\n"
"                     for the geometry files is .xyz, and the default file\n"
"                     extension for the solution files is .q. The output of this\n"
"                     reader is a multiblock dataset containing curvilinear\n"
"                     (structured grid) datasets. This is a distributed reader.\n"
"                     </Documentation>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the .xyz (geometry) file name\n"
"        for the PLOT3D reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"ClearFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"QFileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of .q (solution) files for the PLOT3D reader.\n"
"        There can be more than one. If more that one file is specified, the\n"
"        reader will switch to file-series mode in which it will pretend that it\n"
"        can support time and provide one file per time step.</Documentation>\n"
"        <Hints>\n"
"          <FileChooser extensions=\"q\" file_description=\"Solution files\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFunctionFileName\"\n"
"                            name=\"FunctionFileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the .f (function) file name for\n"
"        the PLOT3D reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetAutoDetectFormat\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AutoDetectFormat\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When this options is enabled, the reader will try to\n"
"  automatically figure out various settings for a binary file. The other\n"
"  options are ignored. Does not work for text (ASCII) files.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetBinaryFile\"\n"
"                         default_values=\"1\"\n"
"                         name=\"BinaryFile\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property indicates whether the data files are\n"
"        binary.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMultiGrid\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MultiGrid\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property indicates whether these files have\n"
"        multiple-block information.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHasByteCount\"\n"
"                         default_values=\"0\"\n"
"                         name=\"HasByteCount\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property indicates whether this file uses Fortran\n"
"        leading-trailing byte counts.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetIBlanking\"\n"
"                         default_values=\"0\"\n"
"                         name=\"IBlanking\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property indicates whether this dataset has\n"
"        visibility information.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTwoDimensionalGeometry\"\n"
"                         default_values=\"0\"\n"
"                         name=\"TwoDimensionalGeometry\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property indicates whether the data is two- or\n"
"        three-dimensional.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceRead\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ForceRead\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property indicates whether to attempt to read the\n"
"        file even if it appears corrupt</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDoublePrecision\"\n"
"                         default_values=\"0\"\n"
"                         name=\"DoublePrecision\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property specifies whether floating points values\n"
"  are in double precision.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetByteOrder\"\n"
"                         default_values=\"0\"\n"
"                         name=\"ByteOrder\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"BigEndian\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"LittleEndian\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property specifies the byte order of any binary\n"
"        file(s).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty clean_command=\"RemoveAllFunctions\"\n"
"                         command=\"AddFunction\"\n"
"                         name=\"Functions\"\n"
"                         number_of_elements_per_command=\"1\"\n"
"                         panel_visibility=\"default\"\n"
"                         repeat_command=\"1\">\n"
"        <EnumerationDomain name=\"array_list\">\n"
"          <!-- <Entry value=\"100\" text=\"Scalar - Density\"/> -->\n"
"          <Entry text=\"Scalar - Pressure\"\n"
"                 value=\"110\" />\n"
"          <Entry text=\"Scalar - Pressure Coefficient\"\n"
"                 value=\"111\" />\n"
"          <Entry text=\"Scalar - Mach Number\"\n"
"                 value=\"112\" />\n"
"          <Entry text=\"Scalar - Sound Speed\"\n"
"                 value=\"113\" />\n"
"          <Entry text=\"Scalar - Temperature\"\n"
"                 value=\"120\" />\n"
"          <Entry text=\"Scalar - Enthalpy\"\n"
"                 value=\"130\" />\n"
"          <Entry text=\"Scalar - Internal energy\"\n"
"                 value=\"140\" />\n"
"          <Entry text=\"Scalar - Kinetic energy\"\n"
"                 value=\"144\" />\n"
"          <Entry text=\"Scalar - Velocity magnitude\"\n"
"                 value=\"153\" />\n"
"          <!-- <Entry value=\"163\" text=\"Scalar - Stagnation energy\"/> -->\n"
"          <Entry text=\"Scalar - Entropy\"\n"
"                 value=\"170\" />\n"
"          <Entry text=\"Scalar - Swirl\"\n"
"                 value=\"184\" />\n"
"          <Entry text=\"Vector - Velocity\"\n"
"                 value=\"200\" />\n"
"          <Entry text=\"Vector - Vorticity\"\n"
"                 value=\"201\" />\n"
"          <!-- <Entry value=\"202\" text=\"Vector - Momentum\"/> -->\n"
"          <Entry text=\"Vector - Pressure gradient\"\n"
"                 value=\"210\" />\n"
"          <Entry text=\"Scalar - Vorticity magnitude\"\n"
"                 value=\"211\" />\n"
"          <Entry text=\"Vector - Strain rate\"\n"
"                 value=\"212\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property lists which functions (point-centered\n"
"        arrays) to compute.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"PreserveIntermediateFunctions\"\n"
"        command=\"SetPreserveIntermediateFunctions\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, the reader will preserve intermediate computed\n"
"          quantities that were not explicitly requested e.g. if **Velocity magnitude** is\n"
"          enabled, but not **Velocity**, the reader still needs to compute **Velocity**.\n"
"          If this is unchecked, then the output will not have\n"
"          **Velocity** array, only the requested **VelocityMagnitude**. This is useful to\n"
"          avoid using up memory for arrays that are not relevant for the analysis.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"xyz\"\n"
"                       file_description=\"PLOT3D Files\" />\n"
"        <!-- This hint tells the GUI that the File | Open dialog sets the FileName\n"
"         property -->\n"
"        <DefaultFileNameProperty name=\"FileName\" />\n"
"      </Hints>\n"
"      <!-- End P3DReader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- Plot3D Meta Reader -->\n"
"    <SourceProxy class=\"vtkPlot3DMetaReader\"\n"
"                 label=\"PLOT3D Meta-File Reader\"\n"
"                 name=\"Plot3DMetaReader\">\n"
"      <Documentation short_help=\"The main goal of this reader is to make it easy to read PLOT3D files or time series of PLOT3D files.\">\n"
"The main goal of this reader is to make it easy to read PLOT3D files,\n"
"specifically time series of PLOT3D files. PLOT3D files can take many\n"
"different forms based on their content. Unfortunately, it is not a\n"
"self-describing format therefore the user needs to pass information\n"
"about the contents of the file to the reader. Normally, this is done\n"
"by setting a number of member variables. The goal of this reader is to\n"
"provide a simple format that enable the writer of the PLOT3D file to\n"
"describe its settings as well as group a number of files as a time\n"
"series.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the meta file\n"
"        name</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"p3d\"\n"
"                       file_description=\"PLOT3D Meta Files\" />\n"
"      </Hints>\n"
"      <!-- End Plot3D Meta Reader-->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioparallel.xml
static const char* const paraview_server_managerreaders_ioparallelInterface2 =
"\n"
"    <!-- end of \"sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_ioparallelGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_ioparallelInterface0);
  const size_t len1 = strlen(paraview_server_managerreaders_ioparallelInterface1);
  const size_t len2 = strlen(paraview_server_managerreaders_ioparallelInterface2);
  size_t len = ( 0
    + len0
    + len1
    + len2 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_ioparallelInterface0, paraview_server_managerreaders_ioparallelInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerreaders_ioparallelInterface1, paraview_server_managerreaders_ioparallelInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerreaders_ioparallelInterface2, paraview_server_managerreaders_ioparallelInterface2 + len2, res + offset); offset += len2;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/writers_ensight.xml
static const char* const paraview_server_managerwriters_ensightInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"writers\">\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"ParallelWriterBase\"\n"
"                  class=\"vtkEnSightWriter\"\n"
"                  name=\"EnSightWriter\">\n"
"      <Documentation short_help=\"Write unstructured grid data as an EnSight file.\">\n"
"      Writer to write unstructured grid data as an EnSight file. Binary files\n"
"      written on one system may not be readable on other systems. Be sure to\n"
"      specify the endian-ness of the file when reading it into\n"
"      EnSight.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     panel_visibility=\"never\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"0\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <WriterFactory extensions=\"case\"\n"
"                       file_description=\"EnSight File\" />\n"
"      </Hints>\n"
"      <!-- End of EnSightWriter -->\n"
"    </PWriterProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerwriters_ensightGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerwriters_ensightInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerwriters_ensightInterface0, paraview_server_managerwriters_ensightInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_lsdyna.xml
static const char* const paraview_server_managerreaders_lsdynaInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- Beginning of LSDyna Reader -->\n"
"    <SourceProxy class=\"vtkPLSDynaReader\"\n"
"                 name=\"LSDynaReader\">\n"
"      <Documentation long_help=\"Read LS-Dyna databases (d3plot).\"\n"
"                     short_help=\"Read LS-Dyna databases (d3plot).\">This reader\n"
"                     reads LS-Dyna databases. This is a distributed reader.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>Set the file name for the LSDyna reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"SolidArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Solid\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetSolidArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"SolidArrayInfo\"\n"
"                            label=\"Solid Arrays\"\n"
"                            name=\"SolidArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"SolidArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select which solid arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ThickShellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"ThickShell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetThickShellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ThickShellArrayInfo\"\n"
"                            label=\"Thick Shell Arrays\"\n"
"                            name=\"ThickShellArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ThickShellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select which thick shell arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ShellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Shell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetShellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ShellArrayInfo\"\n"
"                            label=\"Shell Arrays\"\n"
"                            name=\"ShellArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ShellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select which shell arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"RigidBodyArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"RigidBody\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetRigidBodyArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"RigidBodyArrayInfo\"\n"
"                            label=\"Rigid Body Arrays\"\n"
"                            name=\"RigidBodyArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"RigidBodyArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select which rigid body arrays to load.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"RoadSurfaceArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"RoadSurface\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetRoadSurfaceArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"RoadSurfaceArrayInfo\"\n"
"                            label=\"Road Surface Arrays\"\n"
"                            name=\"RoadSurfaceArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"RoadSurfaceArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select which road surface arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"BeamArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Beam\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetBeamArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"BeamArrayInfo\"\n"
"                            label=\"Beam Arrays\"\n"
"                            name=\"BeamArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"BeamArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select which beam arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"ParticleArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Particle\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetParticleArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"ParticleArrayInfo\"\n"
"                            label=\"Particle Arrays\"\n"
"                            name=\"ParticleArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"ParticleArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select which particle arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PartArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Part\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPartArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PartArrayInfo\"\n"
"                            label=\"Part Arrays\"\n"
"                            name=\"PartArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PartArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select which part arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetDeformedMesh\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DeformedMesh\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Should the mesh be deformed over time (if the Deflection\n"
"        node array is set to load)?</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRemoveDeletedCells\"\n"
"                         default_values=\"1\"\n"
"                         name=\"RemoveDeletedCells\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Should cells that have been deleted (failed\n"
"        structurally, for example) be removed from the mesh?</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"k lsdyna d3plot\"\n"
"                       file_description=\"LSDyna\"\n"
"                       filename_patterns=\"d3plot\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End of LSDyna Reader -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_lsdynaGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_lsdynaInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_lsdynaInterface0, paraview_server_managerreaders_lsdynaInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioinfovis.xml
static const char* const paraview_server_managerreaders_ioinfovisInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkDelimitedTextReader\"\n"
"                 label=\"CSV Reader\"\n"
"                 name=\"CSVReaderCore\">\n"
"      <Documentation long_help=\"Reads a comma-separated values file into a 1D rectilinear grid.\"\n"
"                     short_help=\"Read a comma-separated values file.\">The CSV\n"
"                     reader reads a comma-separated values file into a 1D\n"
"                     rectilinear grid. If the file was saved using the\n"
"                     CSVWriter, then the rectilinear grid's points and point\n"
"                     data can be restored as well as the cell data. Otherwise\n"
"                     all the data in the CSV file is treated as cell data. The\n"
"                     default file extension is .csv.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the CSV\n"
"        (Command Separated Values) reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetDetectNumericColumns\"\n"
"                         default_values=\"1\"\n"
"                         name=\"DetectNumericColumns\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set to true, the reader will detect numeric columns\n"
"        and create vtkDoubleArray or vtkIntArray for those instead of\n"
"        vtkStringArray.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseStringDelimiter\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseStringDelimiter\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property indicates whether to use the string\n"
"        delimiter.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAddTabFieldDelimiter\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AddTabFieldDelimiter\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This property indicates whether to add the tab character as a\n"
"        field delimiter to the list of other delimiter characters. This is needed\n"
"        since in the GUI the user can't enter a tab character.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHaveHeaders\"\n"
"                         default_values=\"1\"\n"
"                         name=\"HaveHeaders\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If the value of this property is 1, treat the first line\n"
"        of the file as headers.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetFieldDelimiterCharacters\"\n"
"                            default_values=\",\"\n"
"                            name=\"FieldDelimiterCharacters\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>This property lists the characters that may be used to\n"
"        separate fields. For example, a value of \",\" indicates a\n"
"        comma-separated value file. A value of \".:;\" indicates that columns may\n"
"        be separated by a period, colon or semicolon. The order of the\n"
"        characters in the text string does not matter.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetMergeConsecutiveDelimiters\"\n"
"                         default_values=\"0\"\n"
"                         name=\"MergeConsecutiveDelimiters\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Whether to merge successive delimiters. Use this if (for\n"
"        example) your fields are separated by spaces but you don't know exactly\n"
"        how many.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of CSVReaderCore -->\n"
"    </Proxy>\n"
"    <!-- end of \"internal_sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"CSV Reader\"\n"
"                 name=\"CSVReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads a Delimited Text values file into a 1D rectilinear grid.\"\n"
"                     short_help=\"Read a Delimited Text values file.\">The CSV\n"
"                     reader reads a Delimited Text values file into a 1D\n"
"                     rectilinear grid. If the file was saved using the\n"
"                     CSVWriter, then the rectilinear grid's points and point\n"
"                     data can be restored as well as the cell data. Otherwise\n"
"                     all the data in the CSV file is treated as cell data. The\n"
"                     default file extension is .csv as well as .txt.\n"
"                     This can read file series as well.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the reader. Each file is\n"
"        expected to be a csv file. If more than one file is specified, the\n"
"        reader will switch to file series mode in which it will pretend that it\n"
"        can support time and provide one file per time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"CSVReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DetectNumericColumns\" />\n"
"          <Property name=\"UseStringDelimiter\" />\n"
"          <Property name=\"HaveHeaders\" />\n"
"          <Property name=\"FieldDelimiterCharacters\" />\n"
"          <Property name=\"AddTabFieldDelimiter\" />\n"
"          <Property name=\"MergeConsecutiveDelimiters\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"SpreadSheetView\" />\n"
"        <ReaderFactory extensions=\"csv tsv txt CSV TSV TXT\"\n"
"                       file_description=\"Delimited Text\" />\n"
"        <InitializationHelper class=\"vtkSMCSVProxiesInitializationHelper\" />\n"
"      </Hints>\n"
"      <!-- End of CSVReader -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_ioinfovisGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_ioinfovisInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_ioinfovisInterface0, paraview_server_managerreaders_ioinfovisInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_iotecplottable.xml
static const char* const paraview_server_managerreaders_iotecplottableInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkTecplotTableReader\"\n"
"                 label=\"Tecplot Table Reader\"\n"
"                 name=\"TecplotTableReaderCore\">\n"
"      <Documentation>The Tecplot\n"
"                     table reader reads a .DAT file containing tabular\n"
"                     data into a spreadsheet view.</Documentation>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The name of the file to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"GetFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetMaxRecords\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Max. Number of Records\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>The maximum number of records to read.\n"
"                       Use this to preview a file.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetHeaderLines\"\n"
"                         default_values=\"2\"\n"
"                         name=\"Number of header lines\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>The number of lines that form the header.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetColumnNamesOnLine\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Line with column names\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>The line that contains the column names.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSkipColumnNames\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Skip #column name fields\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Number of fields to skip while reading column names.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"SpreadSheetView\" />\n"
"        <ReaderFactory extensions=\"dat DAT\"\n"
"                       file_description=\"Tecplot Table\" />\n"
"      </Hints>\n"
"      <!-- End of TecplotTableReader -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_iotecplottableGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_iotecplottableInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_iotecplottableInterface0, paraview_server_managerreaders_iotecplottableInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_iovpic.xml
static const char* const paraview_server_managerreaders_iovpicInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- Start vtkVPICReader -->\n"
"    <SourceProxy class=\"vtkVPICReader\"\n"
"                 label=\"VPIC Reader\"\n"
"                 name=\"VPICReader\">\n"
"      <Documentation long_help=\"Reads distributed VPIC files into an ImageData.\"\n"
"                     short_help=\"Read VPIC simulation files.\">VPIC is a 3D\n"
"                     kinetic plasma particle-in-cell simulation. The input file\n"
"                     (.vpc) opened by the VPIC reader is an ASCII description\n"
"                     of the data files which are written one file per\n"
"                     processor, per category and per time step. These are\n"
"                     arranged in subdirectories per category (field data and\n"
"                     hydrology data) and then in time step\n"
"                     subdirectories. This is a distributed reader.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>ASCII .vpc file describes locations of data files, grid\n"
"        sizes, time step sizes and type and order of data written to the\n"
"        files.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Variables written to the data files are described in the\n"
"        .vpc file and are presented for selection. Only selected variables are\n"
"        loaded for a time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetStride\"\n"
"                         default_values=\"1 1 1\"\n"
"                         label=\"Stride\"\n"
"                         name=\"SetStride\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain min=\"1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>VPIC data may be very large and not all is needed for\n"
"        effective visualization. Setting the stride selects every nth data item\n"
"        within the files for display.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetXLayout\"\n"
"                         information_only=\"1\"\n"
"                         name=\"DefaultXExtent\">\n"
"        <SimpleIntInformationHelper />\n"
"        <Documentation>VPIC data is written one file per simulation processor.\n"
"        This coarse map of files is used in partitioning files between\n"
"        visualizing processors so that each ParaView processor has its own set\n"
"        of files to display. Default extent is all files\n"
"        available.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetYLayout\"\n"
"                         information_only=\"1\"\n"
"                         name=\"DefaultYExtent\">\n"
"        <SimpleIntInformationHelper />\n"
"        <Documentation>VPIC data is written one file per simulation processor.\n"
"        This coarse map of files is used in partitioning files between\n"
"        visualizing processors so that each ParaView processor has its own set\n"
"        of files to display. Default extent is all files\n"
"        available.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetZLayout\"\n"
"                         information_only=\"1\"\n"
"                         name=\"DefaultZExtent\">\n"
"        <SimpleIntInformationHelper />\n"
"        <Documentation>VPIC data is written one file per simulation processor.\n"
"        This coarse map of files is used in partitioning files between\n"
"        visualizing processors so that each ParaView processor has its own set\n"
"        of files to display. Default extent is all files\n"
"        available.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetXExtent\"\n"
"                         default_values=\"-1 -1\"\n"
"                         label=\"X Extent\"\n"
"                         name=\"XExtent\"\n"
"                         number_of_elements=\"2\">\n"
"        <IntRangeDomain name=\"XRange\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Range\"\n"
"                      name=\"DefaultXExtent\" />\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>VPIC data is written one file per simulation processor.\n"
"        This coarse map of files is used in partitioning files between\n"
"        visualizing processors so that each ParaView processor has its own set\n"
"        of files to display. Ghost cell overlap is handled within the reader.\n"
"        To limit the View of VPIC information the extent in the X dimension of\n"
"        \"files\" can be specified. Only the files selected will be displayed and\n"
"        they will be partitioned between the visualizing processors, allowing a\n"
"        higher resolution over a smaller area.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetYExtent\"\n"
"                         default_values=\"-1 -1\"\n"
"                         label=\"Y Extent\"\n"
"                         name=\"YExtent\"\n"
"                         number_of_elements=\"2\">\n"
"        <IntRangeDomain name=\"YRange\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Range\"\n"
"                      name=\"DefaultYExtent\" />\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>VPIC data is written one file per simulation processor.\n"
"        This coarse map of files is used in partitioning files between\n"
"        visualizing processors so that each ParaView processor has its own set\n"
"        of files to display. Ghost cell overlap is handled within the reader.\n"
"        To limit the View of VPIC information the extent in the Y dimension of\n"
"        \"files\" can be specified. Only the files selected will be displayed and\n"
"        they will be partitioned between the visualizing processors, allowing a\n"
"        higher resolution over a smaller area.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty animateable=\"1\"\n"
"                         command=\"SetZExtent\"\n"
"                         default_values=\"-1 -1\"\n"
"                         label=\"Z Extent\"\n"
"                         name=\"ZExtent\"\n"
"                         number_of_elements=\"2\">\n"
"        <IntRangeDomain name=\"ZRange\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Range\"\n"
"                      name=\"DefaultZExtent\" />\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>VPIC data is written one file per simulation processor.\n"
"        This coarse map of files is used in partitioning files between\n"
"        visualizing processors so that each ParaView processor has its own set\n"
"        of files to display. Ghost cell overlap is handled within the reader.\n"
"        To limit the View of VPIC information the extent in the Z dimension of\n"
"        \"files\" can be specified. Only the files selected will be displayed and\n"
"        they will be partitioned between the visualizing processors, allowing a\n"
"        higher resolution over a smaller area.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"vpc\"\n"
"                       file_description=\"VPIC Files\" />\n"
"      </Hints>\n"
"      <!-- End vtkVPICReader -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_iovpicGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_iovpicInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_iovpicInterface0, paraview_server_managerreaders_iovpicInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_iotruchas.xml
static const char* const paraview_server_managerreaders_iotruchasInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- GE/LANL TRUCHAS Reader -->\n"
"    <SourceProxy class=\"vtkTRUCHASReader\"\n"
"                 label=\"TRUCHAS Reader\"\n"
"                 name=\"TruchasReader\">\n"
"      <Documentation long_help=\"Reads TRUCHAS data from HDF5\"\n"
"                     short_help=\"Reads TRUCHAS data\">Reads TRUCHAS simulation output stored in HDF5.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the HDF5 file name</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"            <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            panel_visibility=\"default\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which point-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            panel_visibility=\"default\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>This property lists which cell-centered arrays to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"BlockInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Block\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetBlockArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"BlockInfo\"\n"
"                            label=\"Blocks\"\n"
"                            name=\"BlockArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"BlockInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the grids to be loaded from the dataset, if\n"
"        any.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"hdf5 h5\"\n"
"                       file_description=\"TRUCHAS dataset\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_iotruchasGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_iotruchasInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_iotruchasInterface0, paraview_server_managerreaders_iotruchasInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioveraout.xml
static const char* const paraview_server_managerreaders_ioveraoutInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"source\">\n"
"    <!--  VERAout Reader -->\n"
"    <SourceProxy\n"
"      name=\"vtkVeraOutReader\"\n"
"      class=\"vtkVeraOutReader\"\n"
"      label=\"VERA OUT Reader\" >\n"
"      <Documentation\n"
"        long_help=\"Reads VERA OUT HDF5 data.\"\n"
"        short_help=\"Reads VERA OUT HDF5 data.\"\n"
"      />\n"
"      <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"      >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          This property specifies the HDF5 file name for the VERA OUT reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellArrayInfo\"\n"
"        command=\"GetCellDataArraySelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"CellArrayStatus\"\n"
"        command=\"GetCellDataArraySelection\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the cell arrays to read load.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FieldArrayInfo\"\n"
"        command=\"GetFieldDataArraySelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"FieldArrayStatus\"\n"
"        command=\"GetFieldDataArraySelection\"\n"
"        information_property=\"FieldArrayInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"FieldArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the field arrays to read load.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory\n"
"          extensions=\"h5\"\n"
"          file_description=\"VERA OUT Reader\"\n"
"        />\n"
"      </Hints>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\"\n"
"      >\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_ioveraoutGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_ioveraoutInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_ioveraoutInterface0, paraview_server_managerreaders_ioveraoutInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioh5part.xml
static const char* const paraview_server_managerreaders_ioh5partInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy name=\"H5PartReader\" class=\"vtkH5PartReader\">\n"
"       <Documentation>\n"
"         Reader for H5Part (HDF5) particle files.\n"
"       </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"TimestepValues\"\n"
"        information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"XarrayInfo\"\n"
"       command=\"GetXarray\"\n"
"       information_only=\"1\">\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"YarrayInfo\"\n"
"       command=\"GetYarray\"\n"
"       information_only=\"1\">\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"ZarrayInfo\"\n"
"       command=\"GetZarray\"\n"
"       information_only=\"1\">\n"
"     </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Xarray\"\n"
"         command=\"SetXarray\"\n"
"         number_of_elements=\"1\"\n"
"         information_property=\"XarrayInfo\">\n"
"        <Documentation>\n"
"          This property lists which point array to use for coordinates.\n"
"        </Documentation>\n"
"        <StringListDomain name=\"array_list\">\n"
"           <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\" />\n"
"           </RequiredProperties>\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Yarray\"\n"
"         command=\"SetYarray\"\n"
"         number_of_elements=\"1\"\n"
"         information_property=\"YarrayInfo\">\n"
"        <Documentation>\n"
"          This property lists which point array to use for coordinates.\n"
"        </Documentation>\n"
"        <StringListDomain name=\"array_list\">\n"
"           <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\" />\n"
"           </RequiredProperties>\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Zarray\"\n"
"         command=\"SetZarray\"\n"
"         number_of_elements=\"1\"\n"
"         information_property=\"ZarrayInfo\">\n"
"        <Documentation>\n"
"          This property lists which point array to use for coordinates.\n"
"        </Documentation>\n"
"        <StringListDomain name=\"array_list\">\n"
"           <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\" />\n"
"           </RequiredProperties>\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"PointArrayInfo\"\n"
"         information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"PointArrayStatus\"\n"
"         command=\"SetPointArrayStatus\"\n"
"         number_of_elements=\"0\"\n"
"         repeat_command=\"1\"\n"
"         number_of_elements_per_command=\"2\"\n"
"         element_types=\"2 0\"\n"
"         information_property=\"PointArrayInfo\"\n"
"         label=\"Point Arrays\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This property lists which point-centered arrays to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GenerateVertexCells\"\n"
"         command=\"SetGenerateVertexCells\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\"\n"
"         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"MaskOutOfTimeRangeOutput\"\n"
"         command=\"SetMaskOutOfTimeRangeOutput\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\"\n"
"         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"h5part\"\n"
"                       file_description=\"H5Part particle files\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_ioh5partGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_ioh5partInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_ioh5partInterface0, paraview_server_managerreaders_ioh5partInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioh5rage.xml
static const char* const paraview_server_managerreaders_ioh5rageInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkH5RageReader\"\n"
"                 label=\"HDF5 Rage Reader\"\n"
"                 name=\"H5RageReader\">\n"
"      <Documentation long_help=\"Reads Rage HDF files into an image data.\"\n"
"                     short_help=\"Read Rage HDF files.\">\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>ASCII .pio file describes locations of data files,\n"
"        type and order of data written to the files.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"PointArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            name=\"PointArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"PointArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Variables written to the data files are described in the\n"
"        .pio file and are presented for selection. Only selected variables are\n"
"        loaded for a time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"h5rage\"\n"
"                       file_description=\"Rage HDF Files\" />\n"
"      </Hints>\n"
"      <!-- End vtkH5RageReader -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_ioh5rageGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_ioh5rageInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_ioh5rageInterface0, paraview_server_managerreaders_ioh5rageInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_iopio.xml
static const char* const paraview_server_managerreaders_iopioInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkPIOReader\"\n"
"                 label=\"PIO Reader\"\n"
"                 name=\"PIOReader\">\n"
"      <Documentation long_help=\"Reads PIO dump files into an unstructured or hypertree grid.\"\n"
"                     short_help=\"Read PIO dump files.\">PIO is a file format\n"
"                     in support of XRAGE. The input file\n"
"                     (.pio) opened by the PIO reader is an ASCII description\n"
"                     of the data files within a dump directory numbered by cycle.\n"
"                     The reader uses a PIOData class to read the file and a PIOAdaptor\n"
"                     to build an unstructured or hypertree grid from the data. Requested\n"
"                     data is filled into the structures. This is a distributed reader.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>ASCII .pio file describes locations of data files,\n"
"        type and order of data written to the files.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"GetHyperTreeGrid\"\n"
"                         information_only=\"1\"\n"
"                         name=\"HyperTreeGridInfo\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetTracers\"\n"
"                         information_only=\"1\"\n"
"                         name=\"TracersInfo\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"GetFloat64\"\n"
"                          information_only=\"1\"\n"
"                          name=\"Float64Info\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetHyperTreeGrid\"\n"
"                         name=\"HyperTreeGrid\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         label=\"Use HyperTree Grid (HTG) for AMR Mesh\"\n"
"                         information_property=\"HyperTreeGridInfo\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation short_help=\"Specify if hypertree grid is created rather than unstructured for AMR.\"\n"
"                       long_help=\"Specify if hypertree grid is created rather than unstructure for AMR.\">\n"
"          This property determines if AMR in the PIO file is created\n"
"          as a hypertree grid rather than as an unstructured grid.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTracers\"\n"
"                         name=\"Tracers\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         label=\"Load Tracers\"\n"
"                         information_property=\"TracersInfo\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation short_help=\"Specify if tracer data is read.\"\n"
"                       long_help=\"Specify if tracer points and data are read into a separate unstructured grid.\">\n"
"          This property determines if tracer data is read into a second unstructured grid.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFloat64\"\n"
"                         name=\"Float64\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         label=\"Load variables as doubles (Float64)\"\n"
"                         information_property=\"Float64Info\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation short_help=\"Specify if AMR and tracer data is read as 64 bit float rather than 32 bit.\"\n"
"                       long_help=\"Specify if AMR and tracer data is read as 64 bit float rather than 32 bit.\">\n"
"          This property determines if the AMR and tracer variable data is read as 64 bit float.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty information_only=\"1\"\n"
"                            name=\"CellArrayInfo\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellArrayStatus\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            name=\"CellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"CellArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Variables written to the data files are described in the\n"
"        .pio file and are presented for selection. Only selected variables are\n"
"        loaded for a time step.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"TimeArrayInfo\"\n"
"        command=\"GetTimeDataStringArray\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\" />\n"
"      <StringVectorProperty command=\"SetActiveTimeDataArrayName\"\n"
"                            element_types=\"str\"\n"
"                            label=\"Time Array\"\n"
"                            default_values=\"SimulationTime\"\n"
"                            name=\"TimeArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <StringListDomain name=\"array_list\"\n"
"                          none_string=\"None\" >\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"TimeArrayInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>This property sets which field data to use as time arrays\n"
"         to read. If set to Default, time steps are incremented integer values\n"
"         starting at zero.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pio\"\n"
"                       file_description=\"PIO Dump Files\" />\n"
"      </Hints>\n"
"      <!-- End vtkPIOReader -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_iopioGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_iopioInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_iopioInterface0, paraview_server_managerreaders_iopioInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioconvergecfd.xml
static const char* const paraview_server_managerreaders_ioconvergecfdInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkCONVERGECFDReader\"\n"
"      file_name_method=\"SetFileName\"\n"
"      name=\"CONVERGECFDReader\">\n"
"      <Documentation long_help=\"Reads a CONVERGE CFD post file into a multiblock dataset.\"\n"
"                     short_help=\"Reads a CONVERGE CFD post file.\">\n"
"        Reads CONVERGE post files containing meshes, surfaces,\n"
"        and parcels into a multiblock dataset. Each stream in a file is\n"
"        read as a top-level block and meshes, surfaces, and parcels are\n"
"        datasets under each stream.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The Converge CFD file name.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"CellArrayInfo\"\n"
"                            command=\"GetCellDataArraySelection\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            information_only=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"      <StringVectorProperty name=\"CellArrayStatus\"\n"
"                            command=\"GetCellDataArraySelection\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            repeat_command=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\" >\n"
"        <ArraySelectionDomain name=\"array_list\" >\n"
"          <RequiredProperties>\n"
"            <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          Available cell variables.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"ParcelArrayInfo\"\n"
"                            command=\"GetParcelDataArraySelection\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            information_only=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"      <StringVectorProperty name=\"ParcelArrayStatus\"\n"
"                            command=\"GetParcelDataArraySelection\"\n"
"                            information_property=\"ParcelArrayInfo\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            repeat_command=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\" >\n"
"        <ArraySelectionDomain name=\"array_list\" >\n"
"          <RequiredProperties>\n"
"            <Property name=\"ParcelArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          Available parcel variables.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>\n"
"          Reports time values to the GUI.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"h5\"\n"
"                       file_description=\"CONVERGE CFD\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_ioconvergecfdGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_ioconvergecfdInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_ioconvergecfdInterface0, paraview_server_managerreaders_ioconvergecfdInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_iocgns.xml
static const char* const paraview_server_managerreaders_iocgnsInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <!-- CGNSReader -->\n"
"    <SourceProxy name=\"CGNSReader\"\n"
"                 class=\"vtkCGNSReader\"\n"
"                 label=\"CGNS Reader\">\n"
"      <Documentation short_help=\"Read a dataset in CGNS format.\"\n"
"                     long_help=\"Read files stored in CGNS format.\">\n"
"        The CGNS reader reads files stored in CGNS format.\n"
"        The default file extension is .cgns. The output of this reader is\n"
"        a multi-block dataset. This is a distributed reader.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"BaseInfo\"\n"
"        command=\"GetBaseSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"Bases\"\n"
"                            command=\"GetBaseSelection\"\n"
"                            information_property=\"BaseInfo\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            repeat_command=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"BaseInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FamilyInfo\"\n"
"        command=\"GetFamilySelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"Families\"\n"
"                            command=\"GetFamilySelection\"\n"
"                            information_property=\"FamilyInfo\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            repeat_command=\"1\"\n"
"                            si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"FamilyInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"PointArrayInfo\"\n"
"                            information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\" />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"PointArrayStatus\"\n"
"                            command=\"SetPointArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\"\n"
"                            label=\"Point Arrays\"\n"
"                            >\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"PointArrayInfo\" function=\"ArrayList\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This property contains a list of the point-centered arrays to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellArrayInfo\"\n"
"                            information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\" />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellArrayStatus\"\n"
"                            command=\"SetCellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\"\n"
"                            >\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"CellArrayInfo\" function=\"ArrayList\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"DataLocation\"\n"
"                                   value=\"0\" />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          This property contains a list of the cell-centered arrays to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FaceArrayInfo\"\n"
"                            information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Face\" />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FaceArrayStatus\"\n"
"                            command=\"SetFaceArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"FaceArrayInfo\"\n"
"                            label=\"Face Arrays\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"FaceArrayInfo\" function=\"ArrayList\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"DataLocation\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          This property contains a list of the face-centered arrays to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetDataLocation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"DataLocation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Cell Data\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Face Data\"\n"
"                 value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specifies whether to read cell or face information from the mesh.\n"
"          Face-based reading is only available if the element connectivity is\n"
"          defined with NGON_n element type.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LoadMesh\"\n"
"                         command=\"SetLoadMesh\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Toggle whether zone mesh must be read for selected bases/families.\n"
"       </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LoadPatches\"\n"
"                         command=\"SetLoadBndPatch\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"          Toggle whether boundary condition patches must be read for selected\n"
"          bases/families.\n"
"       </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"DoublePrecisionMesh\"\n"
"                         command=\"SetDoublePrecisionMesh\"\n"
"                         number_of_elements=\"1\"\n"
"                         animateable=\"0\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Use Double Precision Mesh\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle whether to load mesh with double precision values or with floating values\n"
"          If unchecked, mesh coordinates are store on 32 bit so it has lower memory footprint.\n"
"          If checked, mesh coordinates are store on 64 bit so it has higher memory requirements.\n"
"          Changing this property may impact the loading performance\n"
"          since if the cgns file mesh precision and the wanted precision are different\n"
"          conversion will occur\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CacheMesh\"\n"
"                         command=\"SetCacheMesh\"\n"
"                         number_of_elements=\"1\"\n"
"                         animateable=\"0\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Caching Mesh Points\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle whether to cache mesh points.\n"
"          If unchecked, mesh coordinates are read at every time step.\n"
"          If checked, mesh coordinates are store in the cache. When loading a new iteration,\n"
"          the mesh coordinates will be retrieved from the cache.\n"
"          Changing this property may impact the loading performance.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CacheConnectivity\"\n"
"                         command=\"SetCacheConnectivity\"\n"
"                         number_of_elements=\"1\"\n"
"                         animateable=\"0\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Caching Unstructured Mesh Connectivity\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle whether to cache mesh connectivity for unstructured meshes.\n"
"          If unchecked, mesh connectivity are read at every time step.\n"
"          If checked, mesh connectivity are store in the cache. When loading a new iteration,\n"
"          the mesh connectivity will be retrieved from the cache.\n"
"          Changing this property may impact the loading performance.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CreateEachSolutionAsBlock\"\n"
"                         command=\"SetCreateEachSolutionAsBlock\"\n"
"                         number_of_elements=\"1\"\n"
"                         animateable=\"0\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Each Solution As Block (Debug)\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle whether to load each Solution node under a zone separately.\n"
"          This is intended only for debug purpose\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"IgnoreFlowSolutionPointers\"\n"
"                         command=\"SetIgnoreFlowSolutionPointers\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Ignore FlowSolutionPointers\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, the reader will simply ignore **FlowSolutionPointers** in the\n"
"          CGNS file since they are either incomplete or invalid. To locate unsteady\n"
"          solution, the **UseUnsteadyPattern** option should then be activated.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseUnsteadyPattern\"\n"
"                         command=\"SetUseUnsteadyPattern\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         label=\"Use Unsteady Pattern on FlowSolution_t\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, the reader will use pattern matching to detect FlowSolution_t\n"
"          that are relevant for the current timestep. It rely on **FlowSolution_t**\n"
"          nodes being labelled as **...AtStep[tsindex]** to locate\n"
"          solution nodes for a specific timestep. Note, ***tsindex*** starts with 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Use3DVector\"\n"
"                         command=\"SetUse3DVector\"\n"
"                         number_of_elements=\"1\"\n"
"                         animateable=\"0\"\n"
"                         default_values=\"1\"\n"
"                         label=\"Use 3D Vectors\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle whether to force usage of 3D vectors when loading a 2D solution case.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End CGNSReader -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- Begin CGNSSeriesReader -->\n"
"    <SourceProxy name=\"CGNSSeriesReader\"\n"
"                 class=\"vtkCGNSFileSeriesReader\"\n"
"                 label=\"CGNS Series Reader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation\n"
"         short_help=\"Read a dataset in CGNS format.\"\n"
"         long_help=\"Read binary files stored in CGNS format.\">\n"
"        The CGNS reader reads binary files stored in CGNS format.\n"
"        The default file extension is .cgns. The output of this reader is\n"
"        a multi-block dataset. This is a distributed reader.\n"
"        This reader also supports file series.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileNameInfo\"\n"
"                            command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\" >\n"
"      <SimpleStringInformationHelper />\n"
"    </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileNames\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            number_of_elements=\"0\"\n"
"                            repeat_command=\"1\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          The list of files to be read by the reader. If more than 1 file is\n"
"          specified, the reader will switch to file series mode in which it will\n"
"          pretend that it can support time and provide 1 file per time step.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <SubProxy command=\"SetReader\">\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"CGNSReader\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_iocgns.xml
static const char* const paraview_server_managerreaders_iocgnsInterface1 =
"          <Property name=\"BaseInfo\" />\n"
"          <Property name=\"Bases\" />\n"
"          <Property name=\"FamilyInfo\" />\n"
"          <Property name=\"Families\" />\n"
"          <Property name=\"CellArrayInfo\" />\n"
"          <Property name=\"CellArrayStatus\" />\n"
"          <Property name=\"FaceArrayInfo\" />\n"
"          <Property name=\"FaceArrayStatus\" />\n"
"          <Property name=\"PointArrayInfo\" />\n"
"          <Property name=\"PointArrayStatus\" />\n"
"          <Property name=\"DataLocation\" />\n"
"          <Property name=\"LoadMesh\" />\n"
"          <Property name=\"LoadPatches\" />\n"
"          <Property name=\"DoublePrecisionMesh\" />\n"
"          <Property name=\"CacheMesh\" />\n"
"          <Property name=\"CacheConnectivity\" />\n"
"          <Property name=\"CreateEachSolutionAsBlock\" />\n"
"          <Property name=\"IgnoreFlowSolutionPointers\" />\n"
"          <Property name=\"UseUnsteadyPattern\" />\n"
"          <Property name=\"Use3DVector\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <IntVectorProperty name=\"IgnoreReaderTime\"\n"
"                         command=\"SetIgnoreReaderTime\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          When reading a file-series, if each file in the series does not provide correct time\n"
"          information, the reader will not be able to animate through the file series correctly.\n"
"          Check this to ignore the time information provided by each file.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available time step values.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"cgns\"\n"
"           file_description=\"CGNS Files\" />\n"
"      </Hints>\n"
"\n"
"      <!-- End of CGNSSeriesReader -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_iocgnsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_iocgnsInterface0);
  const size_t len1 = strlen(paraview_server_managerreaders_iocgnsInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_iocgnsInterface0, paraview_server_managerreaders_iocgnsInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerreaders_iocgnsInterface1, paraview_server_managerreaders_iocgnsInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/writers_iocgns.xml
static const char* const paraview_server_managerwriters_iocgnsInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"writers\">\n"
"    <PWriterProxy base_proxygroup=\"internal_writers\"\n"
"                  name=\"CGNSWriter\"\n"
"                  class=\"vtkCGNSWriter\">\n"
"      <Documentation short_help=\"Write a dataset in CGNS format.\"\n"
"                     long_help=\"Write files stored in CGNS format.\">\n"
"        The CGNS writer writes files stored in CGNS format.\n"
"        The file extension is .cgns. The input of this reader is\n"
"        a structured grid, polygon data, unstructured grid or a multi-block\n"
"        dataset containing these data types.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkCompositeDataSet\"/>\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is written to the file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseHDF5\"\n"
"                         number_of_elements=\"1\"\n"
"                         name=\"UseHDF5\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When UseHDF5 is turned ON, the CGNS file will use HDF5 as\n"
"          the underlying file format. When turned OFF, the file will use ADF as the\n"
"          underlying file format. HDF5 is preferred and default.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetWriteAllTimeSteps\"\n"
"                         default_values=\"0\"\n"
"                         name=\"WriteAllTimeSteps\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When WriteAllTimeSteps is turned ON, the writer is\n"
"          executed once for each time step available from the reader.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetFileNameSuffix\"\n"
"                            default_values=\"_%d\"\n"
"                            label=\"File name suffix\"\n"
"                            name=\"FileNameSuffix\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          The suffix to append to the file name when writing files at different timesteps.\n"
"          (File extensions such as .csv should be excluded.)\n"
"          The % format specifiers are used. For example, _%d will write files as FileName_0,\n"
"          FileName_1, FileName_2, etc., and _%.3d will write files as FileName_000,\n"
"          FileName_001, FileName_002 etc.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"WriteAllTimeSteps\" function=\"boolean\"/>\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <PropertyGroup label=\"File Series\">\n"
"        <Property name=\"WriteAllTimeSteps\"/>\n"
"        <Property name=\"FileNameSuffix\"/>\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <Property name=\"UseHDF5\" show=\"0\"/>\n"
"        <WriterFactory extensions=\"cgns\" file_description=\"CGNS Files\"/>\n"
"      </Hints>\n"
"      <!-- End of \"CGNSWriter\" -->\n"
"    </PWriterProxy>\n"
"    <!-- End of \"writers\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"extract_writers\">\n"
"    <DataExtractWriterProxy name=\"CGNS\">\n"
"      <Documentation>\n"
"        Extract writer to write data using the CGNS file format.\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"dataset_{timestep:06d}.cgns\">\n"
"        <Documentation>\n"
"          Specify the filename to use.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"writers\" proxyname=\"CGNSWriter\"/>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Input\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Data\"/>\n"
"      </Hints>\n"
"      <!-- End of \"CGNS\" -->\n"
"    </DataExtractWriterProxy>\n"
"    <!-- End of \"extract_writers\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- Catalyst client only proxies, used to generate a coprocessing script\n"
"       and to modify writer filename and frequency through ParaView Live -->\n"
"\n"
"  <!-- ================================================================= -->\n"
"  <ProxyGroup name=\"insitu_writer_parameters\">\n"
"    <SourceProxy name=\"CGNSWriter\" class=\"vtkPVNullSource\"\n"
"                 label=\"CGNS Writer\">\n"
"      <InputProperty name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkCompositeDataSet\"/>\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"filename_%t.vtm\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteFrequency\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PaddingAmount\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <PipelineIcon name=\":pqComponents/pqSave32.png\"/>\n"
"\n"
"        <!-- This will help us when exporting the script state -->\n"
"        <WriterProxy group=\"writers\" name=\"CGNSWriter\"/>\n"
"      </Hints>\n"
"      <!-- End of \"CGNSWriter\" -->\n"
"    </SourceProxy>\n"
"    <!-- End of \"insitu_writer_parameters\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerwriters_iocgnsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerwriters_iocgnsInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerwriters_iocgnsInterface0, paraview_server_managerwriters_iocgnsInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/sources_renderingfreetype.xml
static const char* const paraview_server_managersources_renderingfreetypeInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkVectorText\"\n"
"                 label=\"3D Text\"\n"
"                 name=\"VectorText\">\n"
"      <Documentation long_help=\"3D geometric representation of a text string\"\n"
"                     short_help=\"Create a 3D text object\">The 3D Text source\n"
"                     displays a text string as polygonal data.</Documentation>\n"
"      <StringVectorProperty command=\"SetText\"\n"
"                            default_values=\"3D Text\"\n"
"                            name=\"Text\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>This property contains the text string to be displayed.\n"
"        The ASCII alphanumeric characters a-z, A-Z, and 0-9 are supported; so\n"
"        are ASCII punctuation marks. The only supported control character is\n"
"        \"\\n\", which inserts a new line in the text string.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End 3DText -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managersources_renderingfreetypeGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managersources_renderingfreetypeInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managersources_renderingfreetypeInterface0, paraview_server_managersources_renderingfreetypeInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/proxies_interactionwidgets.xml
static const char* const paraview_server_managerproxies_interactionwidgetsInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"contour_line_interpolators\">\n"
"    <Proxy name=\"ContourLineInterpolatorBase\">\n"
"      <Documentation>Base API definition for all contour line\n"
"      interpolators.</Documentation>\n"
"      <!-- End of \"ContourLineInterpolatorBase\" -->\n"
"    </Proxy>\n"
"    <Proxy base_proxygroup=\"contour_line_interpolators\"\n"
"           base_proxyname=\"ContourLineInterpolatorBase\"\n"
"           class=\"vtkBezierContourLineInterpolator\"\n"
"           name=\"BezierContourLineInterpolator\"></Proxy>\n"
"\n"
"    <!--\n"
"      FIXME: vtkPolyDataContourLineInterpolator is an abstract class;\n"
"             how in the world is this expected to work ????\n"
"\n"
"    <Proxy base_proxygroup=\"contour_line_interpolators\"\n"
"           base_proxyname=\"ContourLineInterpolatorBase\"\n"
"           class=\"vtkPolyDataContourLineInterpolator\"\n"
"           name=\"PolyDataContourLineInterpolator\"></Proxy>\n"
"    -->\n"
"    <Proxy base_proxygroup=\"contour_line_interpolators\"\n"
"           base_proxyname=\"ContourLineInterpolatorBase\"\n"
"           class=\"vtkPolygonalSurfaceContourLineInterpolator\"\n"
"           name=\"PolygonalSurfaceContourLineInterpolator\"></Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"point_placers\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"PointPlacerBase\">\n"
"      <Documentation>Base API definition for all point placers.</Documentation>\n"
"      <!-- End of \"PointPlacerBase\" -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy base_proxygroup=\"point_placers\"\n"
"           base_proxyname=\"PointPlacerBase\"\n"
"           class=\"vtkFocalPlanePointPlacer\"\n"
"           name=\"FocalPlanePointPlacer\"></Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy base_proxygroup=\"point_placers\"\n"
"           base_proxyname=\"PointPlacerBase\"\n"
"           class=\"vtkBoundedPlanePointPlacer\"\n"
"           name=\"BoundedPlanePointPlacer\">\n"
"      <IntVectorProperty command=\"SetProjectionNormal\"\n"
"                         default_values=\"2\"\n"
"                         name=\"ProjectionNormal\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"XAxis\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"YAxis\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"ZAxis\"\n"
"                 value=\"2\" />\n"
"          <Entry text=\"Oblique\"\n"
"                 value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetProjectionPosition\"\n"
"                            default_values=\"0.0\"\n"
"                            name=\"ProjectionPosition\"\n"
"                            number_of_elements=\"1\"></DoubleVectorProperty>\n"
"      <ProxyProperty clean_command=\"RemoveAllBoundingPlanes\"\n"
"                     command=\"AddBoundingPlane\"\n"
"                     name=\"BoundingPlanes\"\n"
"                     number_of_elements_per_command=\"1\"\n"
"                     repeat_command=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"implicit_functions\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"implicit_functions\"\n"
"                 name=\"Plane\" />\n"
"          <Proxy group=\"implicit_functions\"\n"
"                 name=\"Box\" />\n"
"        </ProxyListDomain>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy base_proxygroup=\"point_placers\"\n"
"           base_proxyname=\"PointPlacerBase\"\n"
"           class=\"vtkPolygonalSurfacePointPlacer\"\n"
"           name=\"PolygonalSurfacePointPlacer\">\n"
"    </Proxy>\n"
"    <!-- end of `point_placers` -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerproxies_interactionwidgetsGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerproxies_interactionwidgetsInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerproxies_interactionwidgetsInterface0, paraview_server_managerproxies_interactionwidgetsInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/filters_selectionfftovertime.xml
static const char* const paraview_server_managerfilters_selectionfftovertimeInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ================================================================== -->\n"
"    <CompoundSourceProxy label=\"FFT Of Selection Over Time\"\n"
"                         name=\"FFTSelectionOverTime\">\n"
"      <Documentation long_help=\"Extracts selection over time and plots the FFT\"\n"
"                     short_help=\"Extracts selection over time and plots the FFT\">\n"
"        Extracts the data of a selection (e.g. points or cells)\n"
"        over time, takes the FFT of them, and plots them.\n"
"      </Documentation>\n"
"      <Proxy compound_name=\"PlotSelectionOverTime1\"\n"
"             group=\"filters\"\n"
"             id=\"734\"\n"
"             servers=\"1\"\n"
"             type=\"ExtractSelectionOverTime\">\n"
"        <Property id=\"734.Input\"\n"
"                  name=\"Input\"\n"
"                  number_of_elements=\"1\">\n"
"          <Domain id=\"734.Input.groups\"\n"
"                  name=\"groups\">\n"
"            <Group value=\"sources\"/>\n"
"            <Group value=\"filters\"/>\n"
"          </Domain>\n"
"          <Domain id=\"734.Input.input_type\"\n"
"                  name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"            <DataType value=\"vtkCompositeDataSet\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"734.Selection\"\n"
"                  name=\"Selection\"\n"
"                  number_of_elements=\"1\">\n"
"          <Proxy output_port=\"0\"\n"
"                 value=\"741\"/>\n"
"          <Domain id=\"734.Selection.groups\"\n"
"                  name=\"groups\">\n"
"            <Group value=\"sources\"/>\n"
"            <Group value=\"filters\"/>\n"
"          </Domain>\n"
"          <Domain id=\"734.Selection.input_type\"\n"
"                  name=\"input_type\">\n"
"            <DataType value=\"vtkSelection\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"734.SetReportStatisticsOnly\"\n"
"                  name=\"Only Report Selection Statistics\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0\"/>\n"
"          <Domain id=\"734.SetReportStatisticsOnly.bool\"\n"
"                  name=\"bool\"/>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy compound_name=\"TableFFT1\"\n"
"             group=\"filters\"\n"
"             id=\"812\"\n"
"             servers=\"1\"\n"
"             type=\"TableFFT\">\n"
"        <Property id=\"812.Input\"\n"
"                  name=\"Input\"\n"
"                  number_of_elements=\"1\">\n"
"          <Proxy output_port=\"0\"\n"
"                 value=\"734\"/>\n"
"          <Domain id=\"812.Input.groups\"\n"
"                  name=\"groups\">\n"
"            <Group value=\"sources\"/>\n"
"            <Group value=\"filters\"/>\n"
"          </Domain>\n"
"          <Domain id=\"812.Input.input_array\"\n"
"                  name=\"input_array\">\n"
"            <InputArray attribute_type=\"row\"\n"
"                        number_of_components=\"1\"/>\n"
"          </Domain>\n"
"          <Domain id=\"812.Input.input_type\"\n"
"                  name=\"input_type\">\n"
"            <DataType value=\"vtkTable\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"812.CreateFrequencyColumn\"\n"
"                  name=\"CreateFrequencyColumn\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"0\"/>\n"
"          <Domain id=\"812.CreateFrequencyColumn.bool\"\n"
"                  name=\"bool\"/>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy compound_name=\"auto_741\"\n"
"             group=\"filters\"\n"
"             id=\"741\"\n"
"             servers=\"1\"\n"
"             type=\"AppendSelections\">\n"
"        <Property name=\"AppendByUnion\" id=\"741.AppendByUnion\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"0\"/>\n"
"          <Domain name=\"bool\" id=\"741.AppendByUnion.bool\"/>\n"
"        </Property>\n"
"        <Property name=\"Expression\" id=\"741.Expression\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"s0\"/>\n"
"        </Property>\n"
"        <Property name=\"Input\" id=\"741.Input\" number_of_elements=\"1\">\n"
"          <Proxy value=\"742\" output_port=\"0\"/>\n"
"          <Domain name=\"groups\" id=\"741.Input.groups\"/>\n"
"          <Domain name=\"input_type\" id=\"18228.Input.input_type\"/>\n"
"        </Property>\n"
"        <Property name=\"InsideOut\" id=\"741.InsideOut\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"0\"/>\n"
"          <Domain name=\"bool\" id=\"741.InsideOut.bool\"/>\n"
"        </Property>\n"
"        <Property name=\"SelectionNames\" id=\"741.SelectionNames\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"s0\"/>\n"
"          <Domain name=\"names_list\" id=\"741.SelectionNames.names_list\"/>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy compound_name=\"auto_742\"\n"
"             group=\"sources\"\n"
"             id=\"742\"\n"
"             servers=\"1\"\n"
"             type=\"CompositeDataIDSelectionSource\">\n"
"        <Property id=\"742.ContainingCells\"\n"
"                  name=\"ContainingCells\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0\"/>\n"
"          <Domain id=\"742.ContainingCells.bool\"\n"
"                  name=\"bool\"/>\n"
"        </Property>\n"
"        <Property id=\"742.FieldType\"\n"
"                  name=\"FieldType\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0\"/>\n"
"          <Domain id=\"742.FieldType.enum\"\n"
"                  name=\"enum\">\n"
"            <Entry text=\"CELL\"\n"
"                   value=\"0\"/>\n"
"            <Entry text=\"POINT\"\n"
"                   value=\"1\"/>\n"
"            <Entry text=\"FIELD\"\n"
"                   value=\"2\"/>\n"
"            <Entry text=\"VERTEX\"\n"
"                   value=\"3\"/>\n"
"            <Entry text=\"EDGE\"\n"
"                   value=\"4\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property id=\"742.IDs\"\n"
"                  name=\"IDs\"\n"
"                  number_of_elements=\"3\">\n"
"          <Element index=\"0\"\n"
"                   value=\"2\"/>\n"
"          <Element index=\"1\"\n"
"                   value=\"-1\"/>\n"
"          <Element index=\"2\"\n"
"                   value=\"3892\"/>\n"
"        </Property>\n"
"        <Property id=\"742.InsideOut\"\n"
"                  name=\"InsideOut\"\n"
"                  number_of_elements=\"1\">\n"
"          <Element index=\"0\"\n"
"                   value=\"0\"/>\n"
"          <Domain id=\"742.InsideOut.bool\"\n"
"                  name=\"bool\"/>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <ExposedProperties>\n"
"        <Property exposed_name=\"Input\"\n"
"                  name=\"Input\"\n"
"                  proxy_name=\"PlotSelectionOverTime1\"/>\n"
"        <Property exposed_name=\"Selection\"\n"
"                  name=\"Selection\"\n"
"                  proxy_name=\"PlotSelectionOverTime1\"/>\n"
"      </ExposedProperties>\n"
"      <OutputPort name=\"Output\"\n"
"                  port_index=\"0\"\n"
"                  proxy=\"TableFFT1\"/>\n"
"      <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"XYChartView\"/>\n"
"        <Plotable/>\n"
"      </Hints>\n"
"      <!-- FFTSelectionOverTime -->\n"
"    </CompoundSourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerfilters_selectionfftovertimeGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerfilters_selectionfftovertimeInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerfilters_selectionfftovertimeInterface0, paraview_server_managerfilters_selectionfftovertimeInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioioss.xml
static const char* const paraview_server_managerreaders_ioiossInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkIOSSReader\" label=\"IOSS Reader\" name=\"IOSSReader\">\n"
"      <Documentation short_help=\"Reader for IOSS-supported data\">\n"
"        Reader for IOSS supported data. This is a distributed reader.\n"
"      </Documentation>\n"
"      <StringVectorProperty clean_command=\"ClearFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the IOSS reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty information_only=\"1\" name=\"TimestepValues\" repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetGroupNumericVectorFieldComponents\"\n"
"                         default_values=\"0\"\n"
"                         name=\"GroupNumericVectorFieldComponents\"\n"
"                         label=\"Group Numeric Vector Field Components\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether the reader should treat numeric suffices for a vector field as vector components\n"
"          of a vtkDataArray. By default, fields with numeric suffices are not grouped into a single vtkDataArray.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetFieldSuffixSeparator\"\n"
"                            default_values=\"\"\n"
"                            name=\"FieldSuffixSeparator\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the character used to separate suffix from the field.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AssemblyTag\"\n"
"        command=\"GetAssemblyTag\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          This is simply an int that changes whenever a new assembly is built\n"
"          by the reader. This can be used to determine if the assembly should be fetched from\n"
"          the reader whenever the reader is updated.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"AssemblySelectors\"\n"
"        command=\"AddSelector\"\n"
"        clean_command=\"ClearSelectors\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        panel_widget=\"data_assembly_editor\" >\n"
"        <DataAssemblyDomain name=\"data_assembly\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Tag\" name=\"AssemblyTag\" />\n"
"          </RequiredProperties>\n"
"        </DataAssemblyDomain>\n"
"        <Documentation>\n"
"          Specify the selectors for the data assembly chosen using **Assembly**\n"
"          to choose the blocks to extract from the input dataset.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <!-- AssemblyTag == 0 implies there's no assembly in the file,\n"
"          in which case, we want to hide this widget entirely -->\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"            mode=\"visibility\"\n"
"            property=\"AssemblyTag\"\n"
"            value=\"0\"\n"
"            inverse=\"1\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"EdgeBlockInfo\"\n"
"        command=\"GetEdgeBlockSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"EdgeBlocksIdInfo\"\n"
"        command=\"GetEdgeBlockIdMapAsString\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\"/>\n"
"\n"
"      <StringVectorProperty name=\"EdgeBlocks\"\n"
"        command=\"GetEdgeBlockSelection\"\n"
"        information_property=\"EdgeBlockInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"EdgeBlockInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the edge blocks to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"edge\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FaceBlockInfo\"\n"
"        command=\"GetFaceBlockSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"FaceBlocksIdInfo\"\n"
"        command=\"GetFaceBlockIdMapAsString\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\"/>\n"
"\n"
"      <StringVectorProperty name=\"FaceBlocks\"\n"
"        command=\"GetFaceBlockSelection\"\n"
"        information_property=\"FaceBlockInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"FaceBlockInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"face\" />\n"
"        </Hints>\n"
"        <Documentation>Select the face blocks to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ElementBlockInfo\"\n"
"        command=\"GetElementBlockSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"ElementBlocksIdInfo\"\n"
"        command=\"GetElementBlockIdMapAsString\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\"/>\n"
"\n"
"      <StringVectorProperty name=\"ElementBlocks\"\n"
"        command=\"GetElementBlockSelection\"\n"
"        information_property=\"ElementBlockInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"ElementBlockInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell\" />\n"
"        </Hints>\n"
"\n"
"        <Documentation>Select the element blocks to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"StructuredBlockInfo\"\n"
"        command=\"GetStructuredBlockSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"StructuredBlocksIdInfo\"\n"
"        command=\"GetStructuredBlockIdMapAsString\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\"/>\n"
"\n"
"      <StringVectorProperty name=\"StructuredBlocks\"\n"
"        command=\"GetStructuredBlockSelection\"\n"
"        information_property=\"StructuredBlockInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"StructuredBlockInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell\" />\n"
"        </Hints>\n"
"        <Documentation>Select the structured blocks to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"NodeBlockFieldInfo\"\n"
"        command=\"GetNodeBlockFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"NodeBlockFields\"\n"
"        command=\"GetNodeBlockFieldSelection\"\n"
"        information_property=\"NodeBlockFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"NodeBlockFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the edge blocks fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"point\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"EdgeBlockFieldInfo\"\n"
"        command=\"GetEdgeBlockFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"EdgeBlockFields\"\n"
"        command=\"GetEdgeBlockFieldSelection\"\n"
"        information_property=\"EdgeBlockFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"EdgeBlockFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the edge blocks fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"edge\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FaceBlockFieldInfo\"\n"
"        command=\"GetFaceBlockFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"FaceBlockFields\"\n"
"        command=\"GetFaceBlockFieldSelection\"\n"
"        information_property=\"FaceBlockFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"FaceBlockFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"face\" />\n"
"        </Hints>\n"
"        <Documentation>Select the face blocks fields / arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ElementBlockFieldInfo\"\n"
"        command=\"GetElementBlockFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"ElementBlockFields\"\n"
"        command=\"GetElementBlockFieldSelection\"\n"
"        information_property=\"ElementBlockFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"ElementBlockFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell\" />\n"
"        </Hints>\n"
"        <Documentation>Select the element blocks fields / arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"StructuredBlockFieldInfo\"\n"
"        command=\"GetStructuredBlockFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"StructuredBlockFields\"\n"
"        command=\"GetStructuredBlockFieldSelection\"\n"
"        information_property=\"StructuredBlockFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"StructuredBlockFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell\" />\n"
"        </Hints>\n"
"        <Documentation>Select the structured blocks fields / arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"NodeSetInfo\"\n"
"        command=\"GetNodeSetSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"NodeSetsIdInfo\"\n"
"        command=\"GetNodeSetIdMapAsString\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\"/>\n"
"\n"
"      <StringVectorProperty name=\"NodeSets\"\n"
"        command=\"GetNodeSetSelection\"\n"
"        information_property=\"NodeSetInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"NodeSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the node sets to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"node-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"EdgeSetInfo\"\n"
"        command=\"GetEdgeSetSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"EdgeSetsIdInfo\"\n"
"        command=\"GetEdgeSetIdMapAsString\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\"/>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioioss.xml
static const char* const paraview_server_managerreaders_ioiossInterface1 =
"\n"
"      <StringVectorProperty name=\"EdgeSets\"\n"
"        command=\"GetEdgeSetSelection\"\n"
"        information_property=\"EdgeSetInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"EdgeSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the edge sets to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"edge-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FaceSetInfo\"\n"
"        command=\"GetFaceSetSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"FaceSetsIdInfo\"\n"
"        command=\"GetFaceSetIdMapAsString\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\"/>\n"
"\n"
"      <StringVectorProperty name=\"FaceSets\"\n"
"        command=\"GetFaceSetSelection\"\n"
"        information_property=\"FaceSetInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"FaceSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the face sets to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"face-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ElementSetInfo\"\n"
"        command=\"GetElementSetSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"ElementSetsIdInfo\"\n"
"        command=\"GetElementSetIdMapAsString\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\"/>\n"
"\n"
"      <StringVectorProperty name=\"ElementSets\"\n"
"        command=\"GetElementSetSelection\"\n"
"        information_property=\"ElementSetInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"ElementSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the element sets to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SideSetInfo\"\n"
"        command=\"GetSideSetSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"SideSetsIdInfo\"\n"
"        command=\"GetSideSetIdMapAsString\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\"/>\n"
"\n"
"      <StringVectorProperty name=\"SideSets\"\n"
"        command=\"GetSideSetSelection\"\n"
"        information_property=\"SideSetInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"SideSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the side sets to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"side-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"NodeSetFieldInfo\"\n"
"        command=\"GetNodeSetFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"NodeSetFields\"\n"
"        command=\"GetNodeSetFieldSelection\"\n"
"        information_property=\"NodeSetFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"NodeSetFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the node sets fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"node-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"EdgeSetFieldInfo\"\n"
"        command=\"GetEdgeSetFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"EdgeSetFields\"\n"
"        command=\"GetEdgeSetFieldSelection\"\n"
"        information_property=\"EdgeSetFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"EdgeSetFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the edge sets fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"edge-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FaceSetFieldInfo\"\n"
"        command=\"GetFaceSetFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"FaceSetFields\"\n"
"        command=\"GetFaceSetFieldSelection\"\n"
"        information_property=\"FaceSetFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"FaceSetFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the face sets fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"face-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ElementSetFieldInfo\"\n"
"        command=\"GetElementSetFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"ElementSetFields\"\n"
"        command=\"GetElementSetFieldSelection\"\n"
"        information_property=\"ElementSetFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"ElementSetFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the element sets fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SideSetFieldInfo\"\n"
"        command=\"GetSideSetFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"SideSetFields\"\n"
"        command=\"GetSideSetFieldSelection\"\n"
"        information_property=\"SideSetFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"SideSetFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the side sets fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"side-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"\n"
"      <IntVectorProperty name=\"ScanForRelatedFiles\"\n"
"        command=\"SetScanForRelatedFiles\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          This reader can lookup additional related files using pattern matching\n"
"          based on the files provided. This is useful to lookup restarted results,\n"
"          for example. To avoid this behavior, uncheck this property.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FileRange\"\n"
"        command=\"SetFileRange\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0 -1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          To limit reading a subset of files in spatial file-series,\n"
"          specify a valid range. You may also use **FileStride** to step over\n"
"          files in this range.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FileStride\"\n"
"        command=\"SetFileStride\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"100\" />\n"
"        <Documentation>\n"
"          Specify the stride to use when reading a subset of files\n"
"          as dictated by the **FileRange**.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetApplyDisplacements\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ApplyDisplacements\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Geometric locations can include displacements. When this\n"
"          option is on, the nodal positions are 'displaced' by the standard\n"
"          exodus displacement vector. If displacements are turned 'off', the user\n"
"          can explicitly add them by applying a warp filter.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetDisplacementMagnitude\"\n"
"                            default_values=\"1\"\n"
"                            name=\"DisplacementMagnitude\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>When displacements are being applied, they are scaled by\n"
"        this amount. Set to 1 for no scaling.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"RemoveUnusedPoints\"\n"
"        command=\"SetRemoveUnusedPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Node related data, including point coordinates, point field data etc. is\n"
"          typically shared between all blocks and sets. By default, the reader will\n"
"          remove unused points for each block or set. To avoid this, set this flag to\n"
"          false.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GenerateFileId\"\n"
"        command=\"SetGenerateFileId\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, the reader will add a cell array called 'file_id'\n"
"          indicate which partitioned file the cell came from.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ReadIds\"\n"
"        command=\"SetReadIds\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, the reader will read 'ids' and 'element_side'\n"
"          fields, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ReadGlobalFields\"\n"
"        command=\"SetReadGlobalFields\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, the reader will read quality assurance and\n"
"          information records, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ReadQAAndInformationRecords\"\n"
"        label=\"Read QA And Information Records\"\n"
"        command=\"SetReadQAAndInformationRecords\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, the reader will read global fields, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup name=\"DatabaseProperties\"\n"
"        label=\"Database Properties\"\n"
"        panel_widget=\"MetaDataPropertyWidget\">\n"
"        <Property name=\"GroupNumericVectorFieldComponents\"/>\n"
"        <Property name=\"FieldSuffixSeparator\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Blocks\"\n"
"        name=\"Blocks\"\n"
"        panel_widget=\"ArrayStatus\">\n"
"        <Property name=\"ElementBlocks\" />\n"
"        <Property name=\"StructuredBlocks\" />\n"
"        <Property name=\"EdgeBlocks\" />\n"
"        <Property name=\"FaceBlocks\" />\n"
"\n"
"        <Hints>\n"
"          <ArrayStatusPropertyWidget customColumnCount=\"1\">\n"
"            <Column label=\"id\" align=\"right\">\n"
"              <Property key=\"ElementBlocks\"    name=\"ElementBlocksIdInfo\" />\n"
"              <Property key=\"StructuredBlocks\" name=\"StructuredBlocksIdInfo\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_ioioss.xml
static const char* const paraview_server_managerreaders_ioiossInterface2 =
"              <Property key=\"EdgeBlocks\"       name=\"EdgeBlocksIdInfo\" />\n"
"              <Property key=\"FaceBlocks\"       name=\"FaceBlocksIdInfo\" />\n"
"            </Column>\n"
"          </ArrayStatusPropertyWidget>\n"
"        </Hints>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Block Arrays\"\n"
"        name=\"BlockArrays\"\n"
"        panel_widget=\"ArrayStatus\">\n"
"        <Property name=\"NodeBlockFields\" />\n"
"        <Property name=\"ElementBlockFields\" />\n"
"        <Property name=\"StructuredBlockFields\" />\n"
"        <Property name=\"EdgeBlockFields\" />\n"
"        <Property name=\"FaceBlockFields\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Sets\"\n"
"        name=\"Sets\"\n"
"        panel_widget=\"ArrayStatus\">\n"
"        <Property name=\"NodeSets\" />\n"
"        <Property name=\"EdgeSets\" />\n"
"        <Property name=\"FaceSets\" />\n"
"        <Property name=\"ElementSets\" />\n"
"        <Property name=\"SideSets\" />\n"
"\n"
"        <Hints>\n"
"          <ArrayStatusPropertyWidget customColumnCount=\"1\">\n"
"            <Column label=\"id\" align=\"right\">\n"
"              <Property key=\"NodeSets\"    name=\"NodeSetsIdInfo\" />\n"
"              <Property key=\"EdgeSets\"    name=\"EdgeSetsIdInfo\" />\n"
"              <Property key=\"FaceSets\"    name=\"FaceSetsIdInfo\" />\n"
"              <Property key=\"ElementSets\" name=\"ElementSetsIdInfo\" />\n"
"              <Property key=\"SideSets\"    name=\"SideSetsIdInfo\" />\n"
"            </Column>\n"
"          </ArrayStatusPropertyWidget>\n"
"        </Hints>\n"
"\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Set Arrays\"\n"
"        name=\"SetArrays\"\n"
"        panel_widget=\"ArrayStatus\">\n"
"        <Property name=\"NodeSetFields\" />\n"
"        <Property name=\"EdgeSetFields\" />\n"
"        <Property name=\"FaceSetFields\" />\n"
"        <Property name=\"ElementSetFields\" />\n"
"        <Property name=\"SideSetFields\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Files\">\n"
"        <Property name=\"ScanForRelatedFiles\" />\n"
"        <Property name=\"FileRange\" />\n"
"        <Property name=\"FileStride\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Miscellaneous\">\n"
"        <Property name=\"DisplacementMagnitude\" />\n"
"        <Property name=\"ApplyDisplacements\" />\n"
"        <Property name=\"RemoveUnusedPoints\" />\n"
"        <Property name=\"GenerateFileId\" />\n"
"        <Property name=\"ReadIds\" />\n"
"        <Property name=\"ReadGlobalFields\" />\n"
"        <Property name=\"ReadQAAndInformationRecords\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"g e h gc ex2 ex2v2 exo gen par exoII exii ex-timeseries cgns\"\n"
"                       file_description=\"IOSS Files\"\n"
"                       filename_patterns=\"*.e-s* *.exo-s*\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_ioiossGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_ioiossInterface0);
  const size_t len1 = strlen(paraview_server_managerreaders_ioiossInterface1);
  const size_t len2 = strlen(paraview_server_managerreaders_ioiossInterface2);
  size_t len = ( 0
    + len0
    + len1
    + len2 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_ioiossInterface0, paraview_server_managerreaders_ioiossInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerreaders_ioiossInterface1, paraview_server_managerreaders_ioiossInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerreaders_ioiossInterface2, paraview_server_managerreaders_ioiossInterface2 + len2, res + offset); offset += len2;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_openpmd.xml
static const char* const paraview_server_managerreaders_openpmdInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy name=\"OpenPMDReader\"\n"
"                 label=\"openPMD Reader\"\n"
"                 class=\"paraview.algorithms.openpmd.openPMDReader\"\n"
"                 si_class=\"vtkSIPythonSourceProxy\">\n"
"\n"
"      <Documentation>\n"
"        Reader for openPMD files.\n"
"      </Documentation>\n"
"\n"
"      <OutputPort index=\"0\" name=\"Meshes\" />\n"
"      <OutputPort index=\"1\" name=\"Particles\" />\n"
"\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>Specify the file name.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty information_only=\"1\" name=\"TimestepValues\" repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ArraysInfo\"\n"
"        command=\"GetDataArraySelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"Arrays\"\n"
"        command=\"GetDataArraySelection\"\n"
"        information_property=\"ArraysInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"ArraysInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SpeciesInfo\"\n"
"        command=\"GetSpeciesSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"Species\"\n"
"        command=\"GetSpeciesSelection\"\n"
"        information_property=\"SpeciesInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"SpeciesInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the species to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ParticleArraysInfo\"\n"
"        command=\"GetParticleArraySelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"ParticleArrays\"\n"
"        command=\"GetParticleArraySelection\"\n"
"        information_property=\"ParticleArraysInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"ParticleArraysInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the particle-arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"point\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pmd\" file_description=\"openPMD files\" />\n"
"      </Hints>\n"
"\n"
"      <!-- end of OpenPMDReader -->\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_openpmdGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_openpmdInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_openpmdInterface0, paraview_server_managerreaders_openpmdInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/readers_savg.xml
static const char* const paraview_server_managerreaders_savgInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- =================================================================== -->\n"
"    <SourceProxy name=\"SAVGReader\"\n"
"                 label=\"SAVG Reader\"\n"
"                 class=\"paraview.algorithms.savgreader.SAVGReader\"\n"
"                 si_class=\"vtkSIPythonSourceProxy\">\n"
"\n"
"      <Documentation>\n"
"        Reader for NIST SAVG files.\n"
"      </Documentation>\n"
"\n"
"      <OutputPort index=\"0\" name=\"Geometry\" />\n"
"\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>Specify the file name.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"savg\" file_description=\"SAVG files\" />\n"
"      </Hints>\n"
"\n"
"      <!-- end of SAVGReader -->\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerreaders_savgGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerreaders_savgInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerreaders_savgInterface0, paraview_server_managerreaders_savgInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Application/Resources/extractors_python.xml
static const char* const paraview_server_managerextractors_pythonInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"extract_triggers\">\n"
"    <ExtractTriggerProxy name=\"Python\">\n"
"      <Documentation>\n"
"        Extract trigger that uses a Python script to determine if the trigger\n"
"        is activated.\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"Script\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"def is_activated(controller): return True\">\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\" syntax=\"python\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"    </ExtractTriggerProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerextractors_pythonGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerextractors_pythonInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerextractors_pythonInterface0, paraview_server_managerextractors_pythonInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOGeneral/Resources/general_readers.xml
static const char* const paraview_server_managergeneral_readersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <Proxy class=\"vtkUnstructuredPOPReader\"\n"
"                 label=\"Unstructured NetCDF POP reader\"\n"
"                 name=\"UnstructuredPOPReaderCore\">\n"
"      <Documentation long_help=\"Reads rectilinear grid data from a NetCDF POP file and converts it into unstructured data.\"\n"
"                     short_help=\"Read rectlinear grid data from a NetCDF file in the POP format and converts it into unstructured data.\">\n"
"      The reader reads regular rectilinear grid (image/volume) data from a\n"
"      NetCDF file and turns it into an unstructured spherical\n"
"      grid. This is a distributed reader.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name to\n"
"        read.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty animateable=\"0\"\n"
"                         command=\"SetStride\"\n"
"                         default_values=\"1 1 1\"\n"
"                         name=\"Stride\"\n"
"                         number_of_elements=\"3\">\n"
"        <IntRangeDomain min=\"1 1 1\"\n"
"                        name=\"range\" />\n"
"        <Documentation>This property indicate the number of indices per\n"
"        dimension (i,j,k) to skip between each point included in this\n"
"        output.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetVOI\"\n"
"                         default_values=\"0 -1 0 -1 0 -1\"\n"
"                         label=\"VOI\"\n"
"                         name=\"VOI\"\n"
"                         number_of_elements=\"6\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>The data volume of interest (VOI). The VOI is a\n"
"        sub-extent of the data that you want loaded. Setting a VOI is useful\n"
"        when reading from a large data set and you are only interested in a\n"
"        small portion of the data. If left containing all 0's, then the reader\n"
"        will load in the entire data set.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetVerticalVelocity\"\n"
"                         default_values=\"0\"\n"
"                         label=\"VerticalVelocity\"\n"
"                         name=\"VerticalVelocity\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>If there is a velocity vector with only 2 components,\n"
"        specify that the reader should compute the third\n"
"        component.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pop.ncdf pop.nc\"\n"
"                       file_description=\"POP Ocean NetCDF (Unstructured)\" />\n"
"      </Hints>\n"
"    </Proxy>\n"
"    <!-- End UnstructuredPOPReaderCore -->\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkPPhastaReader\"\n"
"                 label=\"Phasta Reader\"\n"
"                 name=\"PhastaReader\">\n"
"      <Documentation long_help=\"Reads the parallel Phasta meta-file and the underlying Phasta files.\"\n"
"                     short_help=\"Read datasets stored in the Phasta format.\">\n"
"                     This Phasta reader reads files stored in the Phasta (a CFD\n"
"                     package) format. The expected file extension is .pht. The\n"
"                     output of this reader is a multipiece data\n"
"                     set.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the Phasta\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pht\"\n"
"                       file_description=\"Phasta Files\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Unstructured NetCDF POP reader\"\n"
"                 name=\"UnstructuredPOPReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads rectilinear grid data from a NetCDF POP file and converts it into unstructured data.\"\n"
"                     short_help=\"Read rectlinear grid data from a NetCDF file in the POP format and converts it into unstructured data.\">\n"
"      The reader reads regular rectilinear grid (image/volume) data from a\n"
"      NetCDF file and turns it into an unstructured spherical\n"
"      grid. This is a distributed reader.\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"UnstructuredPOPReaderCore\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Stride\" />\n"
"          <Property name=\"VOI\" />\n"
"          <Property name=\"VerticalVelocity\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>The list of files to be read by the\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>Available timestep values.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pop.ncdf pop.nc\"\n"
"                       file_description=\"POP Ocean NetCDF (Unstructured)\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End UnstructuredPOPReader -->\n"
"\n"
"    <SourceProxy class=\"vtkVRMLSource\"\n"
"                 label=\"VRML Reader\"\n"
"                 name=\"vrmlreader\">\n"
"      <Documentation long_help=\"Load the geometry from a VRML 2.0 file.\"\n"
"                     short_help=\"Read VRML 2.0 files.\">The VRML reader loads\n"
"                     only the geometry from a VRML (Virtual Reality Modeling\n"
"                     Language) 2.0 file. The expected file extension is .wrl.\n"
"                     The output of this reader is a polygonal\n"
"                     dataset.</Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the VRML\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"wrl vrml\"\n"
"                       file_description=\"VRML 2 Files\" />\n"
"      </Hints>\n"
"      <!-- End vrmlreader -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <!-- Begin Ensemble Data Reader -->\n"
"    <EnsembleDataReaderProxy class=\"vtkEnsembleDataReader\"\n"
"                             label=\"Ensemble Data Reader\"\n"
"                             name=\"EnsembleDataReader\">\n"
"      <Documentation long_help=\"Reads ensemble data organized in CSV files.\"\n"
"                     short_help=\"Reads ensemble CSV files\">\n"
"        Reads CSV files in which each row gives a dataset and the last column of\n"
"        each row specifies the file name for the dataset. The standard extension\n"
"        is .pve.\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the PVE file name\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty name=\"CurrentEnsembleMember\"\n"
"                         command=\"SetCurrentMember\"\n"
"                         animatable=\"1\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain name=\"range\" default_mode=\"min\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"EnsembleMemberRange\" function=\"Range\" />\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>\n"
"          The index of the dataset in the ensemble.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"EnsembleMemberRange\"\n"
"                         command=\"GetCurrentMemberRange\"\n"
"                         information_only=\"1\"\n"
"                         number_of_elements=\"2\"\n"
"                         default_values=\"0 0\">\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>\n"
"          Reports time values to the GUI.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"pve\"\n"
"                       file_description=\"ParaView Ensemble Data\" />\n"
"      </Hints>\n"
"    </EnsembleDataReaderProxy>\n"
"    <!-- End Ensemble Data Reader -->\n"
"    <SourceProxy class=\"vtkNastranBDFReader\"\n"
"                 label=\"BDF Reader\"\n"
"                 name=\"BDFReader\">\n"
"      <Documentation long_help=\"Reads the Nastran Bulk Data free format.\"\n"
"        short_help=\"Read the Nastran BDF format.\">This reads data from\n"
"        Nastran Bulk Data File format. It supports only the \"free field format\"\n"
"        and a subset of \"Entries\".\n"
"      </Documentation>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\" >\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the BDF\n"
"        reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"bdf\"\n"
"                       file_description=\"Nastran BDF Files\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managergeneral_readersGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managergeneral_readersInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managergeneral_readersInterface0, paraview_server_managergeneral_readersInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/VTKExtensions/IOGeneral/Resources/general_writers.xml
static const char* const paraview_server_managergeneral_writersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_writers\">\n"
"    <!-- ================================================================= -->\n"
"    <Proxy base_proxygroup=\"internal_writers\"\n"
"           base_proxyname=\"DataWriterBase\"\n"
"           class=\"vtkPVPLYWriter\"\n"
"           name=\"PLYWriter\">\n"
"      <Documentation short_help=\"Write polygonal data in Stanford University PLY format.\">\n"
"      </Documentation>\n"
"      <InputProperty name=\"DummyInput\" panel_visibility=\"never\">\n"
"        <InputArrayDomain attribute_type=\"any\" name=\"input_array\" />\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"EnableColoring\"\n"
"                         command=\"SetEnableColoring\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether color information should be saved in the PLY file.\n"
"          If enabled, the data source's array to color with from the active view will be used.\n"
"        </Documentation>\n"
"        <Hints>\n"
"        <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"LookupTable\"\n"
"                                   inverse=\"1\"\n"
"                                   value=\"null\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"EnableAlpha\"\n"
"                         command=\"SetEnableAlpha\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether alpha channel information should be saved in the PLY file.\n"
"          If enabled, the data source's transfer function from the active view will be used.\n"
"          This property is disabled if EnableColoring isn't enabled.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"EnableColoring\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ColorArrayName\"\n"
"                            no_custom_default=\"1\"\n"
"                            number_of_elements=\"5\">\n"
"        <Documentation>\n"
"          The array that will be used for saving color information when\n"
"          **Enable Coloring** is ON.\n"
"        </Documentation>\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"DummyInput\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"EnableColoring\"\n"
"                                   value=\"-1\" />\n"
"          <!-- I am keeping this widget always hidden since I don't want the\n"
"               user to be able to change the array in the Writer's dialog.\n"
"               User should change the data's coloring properties in the active view\n"
"               instead -->\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <ProxyProperty command=\"SetLookupTable\" name=\"LookupTable\" >\n"
"        <Documentation>Set the lookup table to use for scalar\n"
"        mapping.</Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <!-- End of PLYWriter -->\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"   <ProxyGroup name=\"writers\">\n"
"    <!-- ================================================================= -->\n"
"    <PSWriterProxy class=\"vtkParallelSerialWriter\"\n"
"                   file_name_method=\"SetFileName\"\n"
"                   name=\"PPLYWriter\"\n"
"                   base_proxygroup=\"internal_writers\"\n"
"                   base_proxyname=\"ParallelSerialWriter\">\n"
"      <Documentation short_help=\"Write polygonal data in Stanford University PLY format.\">\n"
"      Writer to write polygonal data in Stanford University PLY format. The\n"
"      data can be written in either binary (little or big endian) or ASCII\n"
"      representation. As for PointData and CellData, vtkPLYWriter cannot handle\n"
"      normals or vectors. It only handles RGB PointData and CellData. This\n"
"      version is used when running in parallel. It gathers data to first node\n"
"      and saves one file.</Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"               proxygroup=\"internal_writers\"\n"
"               proxyname=\"PLYWriter\"></Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"FileType\" />\n"
"          <Property name=\"EnableColoring\" />\n"
"          <Property name=\"EnableAlpha\" />\n"
"          <Property name=\"ColorArrayName\" />\n"
"          <Property name=\"LookupTable\" />\n"
"        </ExposedProperties>\n"
"        <LinkProperties>\n"
"          <Property name=\"DummyInput\" with_property=\"Input\" />\n"
"        </LinkProperties>\n"
"      </SubProxy>\n"
"      <PropertyGroup label=\"Color Properties\">\n"
"        <Property name=\"EnableColoring\" />\n"
"        <Property name=\"EnableAlpha\" />\n"
"        <Property name=\"ColorArrayName\" />\n"
"        <Property name=\"LookupTable\" />\n"
"      </PropertyGroup>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input filter/source whose output dataset is to\n"
"        written to the file.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>The name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"PostGatherHelper\"\n"
"               proxygroup=\"filters\"\n"
"               proxyname=\"AppendPolyData\" />\n"
"      </SubProxy>\n"
"      <Hints>\n"
"        <Property name=\"Input\"\n"
"                  show=\"0\" />\n"
"        <Property name=\"FileName\"\n"
"                  show=\"0\" />\n"
"        <WriterFactory extensions=\"ply\" file_description=\"PLY Polygonal File Format\" />\n"
"        <InitializationHelper class=\"vtkSMPLYWriterProxyInitializationHelper\" />\n"
"        <UseDocumentationForLabels />\n"
"      </Hints>\n"
"      <!-- End of PLYWriter -->\n"
"    </PSWriterProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managergeneral_writersGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managergeneral_writersInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managergeneral_writersInterface0, paraview_server_managergeneral_writersInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Misc/Resources/sources_remotingmisc.xml
static const char* const paraview_server_managersources_remotingmiscInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <MultiServerSourceProxy class=\"vtkPVMultiServerDataSource\"\n"
"                            label=\"Remote Source Proxy\"\n"
"                            name=\"MultiServerProxy\"\n"
"                            processes=\"client\">\n"
"      <Documentation long_help=\"This proxy allow the user to automatically embed inside a built-in session data objects that belong to other servers\"\n"
"                     short_help=\"This proxy allow the user to automatically embed inside a built-in session data objects that belong to other servers\">\n"
"      </Documentation>\n"
"      <Property name=\"DependencyLink\" />\n"
"    </MultiServerSourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managersources_remotingmiscGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managersources_remotingmiscInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managersources_remotingmiscInterface0, paraview_server_managersources_remotingmiscInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Live/Resources/live_utilities.xml
static const char* const paraview_server_managerlive_utilitiesInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"coprocessing\">\n"
"    <LiveInsituLinkProxy name=\"LiveInsituLink\" class=\"vtkLiveInsituLink\"\n"
"      processes=\"dataserver\">\n"
"      <Documentation>\n"
"        Proxy used to connect to Catalyst CoProcessor for live-data\n"
"        visualization.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"InsituPort\"\n"
"        command=\"SetInsituPort\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ProcessType\"\n"
"        command=\"SetProcessType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Visualization\" value=\"0\" />\n"
"          <Entry text=\"Simulation\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Hostname\"\n"
"        command=\"SetHostname\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"localhost\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SimulationPaused\"\n"
"                         command=\"SetSimulationPaused\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Pauses or continues the simulation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Property name=\"Initialize\" command=\"Initialize\" />\n"
"      <Property name=\"LiveChanged\" command=\"LiveChanged\" />\n"
"\n"
"    </LiveInsituLinkProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerlive_utilitiesGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerlive_utilitiesInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerlive_utilitiesInterface0, paraview_server_managerlive_utilitiesInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Export/Resources/exporters.xml
static const char* const paraview_server_managerexportersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"exporters\">\n"
"    <!-- Proxy group for exporters used to export views. the Cinema DB exporter\n"
"         is in pythonfilter.xml since it requires Python -->\n"
"    <RenderViewExporterProxy class=\"vtkPVX3DExporter\"\n"
"                             name=\"X3DExporter\">\n"
"      <Documentation long_help=\"Export X3D Files\"\n"
"                     short_help=\"X3D Files\">vtkX3DExporter is a render window\n"
"                     exporter which writes out the renderered scene into an X3D\n"
"                     file. X3D is an XML-based format for representation 3D\n"
"                     scenes (similar to VRML). Check out\n"
"                     http://www.web3d.org/x3d/ for more\n"
"                     details.</Documentation>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetExportColorLegends\"\n"
"                         name=\"ExportColorLegends\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When enabled, the color legends are exported to PixelTexture nodes\n"
"          under the Scene node in the exported X3D file.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"x3d\" />\n"
"      </Hints>\n"
"      <!-- End of X3DExporter -->\n"
"    </RenderViewExporterProxy>\n"
"    <RenderViewExporterProxy base_proxygroup=\"exporters\"\n"
"                             base_proxyname=\"X3DExporter\"\n"
"                             class=\"vtkPVX3DExporter\"\n"
"                             name=\"X3DExporterBinary\">\n"
"      <Documentation>Binary x3d exporter</Documentation>\n"
"      <IntVectorProperty command=\"SetBinary\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Binary\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turn on binary mode</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFastest\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Fastest\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>In binary mode use fastest instead of best\n"
"        compression.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"x3db\" />\n"
"      </Hints>\n"
"    </RenderViewExporterProxy>\n"
"    <RenderViewExporterProxy class=\"vtkSingleVTPExporter\"\n"
"                             name=\"SingleExporter\">\n"
"      <Documentation>Exporter to export a single render view to a vtp\n"
"      file and texture.</Documentation>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"vtp\" />\n"
"      </Hints>\n"
"    </RenderViewExporterProxy>\n"
"    <RenderViewExporterProxy class=\"vtkGLTFExporter\"\n"
"                             name=\"GLTFExporter\">\n"
"      <Documentation>Exporter to export a single render view to gltf.\n"
"      </Documentation>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetInlineData\"\n"
"                         default_values=\"0\"\n"
"                         name=\"InlineData\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turn on inlining of buffer data.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSaveNormal\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SaveNormal\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Save the NORMAL point array in the GLTF file if found.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetSaveBatchId\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SaveBatchId\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Save the _BATCHID point array in the GLTF file if found.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"gltf\" />\n"
"      </Hints>\n"
"    </RenderViewExporterProxy>\n"
"    <RenderViewExporterProxy class=\"vtkVRMLExporter\"\n"
"                             name=\"VRMLExporter\">\n"
"      <Documentation>Exporter to export a single render view to an VRML\n"
"      file.</Documentation>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"vrml\" />\n"
"      </Hints>\n"
"      <!-- End of VRMLExporter -->\n"
"    </RenderViewExporterProxy>\n"
"    <CSVExporterProxy class=\"vtkCSVExporter\"\n"
"                      name=\"CSVExporter\">\n"
"      <Documentation long_help=\"Export Comma or Tab Delimited ASCII Files\"\n"
"                     short_help=\"Comma or Tab Delimited Files\">\n"
"        Exporter to export a single render view to an CSV file.</Documentation>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetFormatting\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RealNumberNotation\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Mixed\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Fixed\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"Scientific\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Formatting to use when writing real numbers.\n"
"        'Mixed' will automatically choose the shortest display.\n"
"        See the std::fixed doc for more info.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPrecision\"\n"
"                         default_values=\"6\"\n"
"                         name=\"RealNumberPrecision\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Precision to use when writing real numbers.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"csv tsv txt\" />\n"
"      </Hints>\n"
"      <!-- End of CSVExporter -->\n"
"    </CSVExporterProxy>\n"
"    <RenderViewExporterProxy class=\"vtkPOVExporter\"\n"
"                             name=\"POVExporter\">\n"
"      <Documentation long_help=\"Export POV Ray Files\"\n"
"                     short_help=\"POV Files\">vtkPOVExporter is a render window\n"
"                     exporter which writes out the renderered scene into an POV\n"
"                     Ray file.</Documentation>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"pov\" />\n"
"      </Hints>\n"
"      <!-- End of POVExporter -->\n"
"    </RenderViewExporterProxy>\n"
"    <!-- GL2PS exporter, shared options between render and context views: -->\n"
"    <GL2PSExporterProxy viewtype=\"none\"\n"
"                        name=\"GL2PSExporterBase\">\n"
"      <Documentation>Base API definition for all GL2PS vector graphic exporters.\n"
"      </Documentation>\n"
"      <StringVectorProperty command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            panel_visibility=\"never\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Name of the file to be written.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetTitle\"\n"
"                            name=\"SetTitle\"\n"
"                            label=\"Plot title\"\n"
"                            default_values=\"ParaView GL2PS Export\"\n"
"                            number_of_elements=\"1\">\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetCompress\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SetCompress\"\n"
"                         label=\"Compress output file\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetDrawBackground\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SetDrawBackground\"\n"
"                         label=\"Draw background\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetOcclusionCull\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SetOcclusionCull\"\n"
"                         label=\"Cull hidden primitives\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLineWidthFactor\"\n"
"                            default_values=\"0.714\"\n"
"                            name=\"LineWidthFactor\"\n"
"                            label=\"Line width scaling factor\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"10\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPointSizeFactor\"\n"
"                            default_values=\"0.714\"\n"
"                            name=\"PointSizeFactor\"\n"
"                            label=\"Point size scaling factor\"\n"
"                            panel_visibility=\"advanced\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"10\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of \"GL2PSExporterBase\" -->\n"
"    </GL2PSExporterProxy>\n"
"\n"
"    <!-- GL2PS exporter, additional render view options added: -->\n"
"    <GL2PSExporterProxy base_proxygroup=\"exporters\"\n"
"                        base_proxyname=\"GL2PSExporterBase\"\n"
"                        viewtype=\"none\"\n"
"                        name=\"GL2PSRenderViewExporterBase\">\n"
"      <Documentation>Base API definition for all GL2PS render view exporters.\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"SetSort\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SetSort\"\n"
"                         label=\"GL2PS depth sort method\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"No sorting (fastest, poor)\"\n"
"                 value=\"0\" />\n"
"          <Entry text=\"Simple sorting (fast, good)\"\n"
"                 value=\"1\" />\n"
"          <Entry text=\"BSP sorting (slow, best)\"\n"
"                 value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>Method of sorting 3D primitives.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetWrite3DPropsAsRasterImage\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Write3DPropsAsRasterImage\"\n"
"                         label=\"Rasterize 3D geometry\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Export all 3D geometry as a rasterized image behind 2D\n"
"        geometry, which is still rendered as vector graphics.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetExcludeCubeAxesActorsFromRasterization\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ExcludeCubeAxesActorsFromRasterization\"\n"
"                         label=\"Don't rasterize cube axes\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>If rasterizing 3D geometry, setting this option will\n"
"        export all cube axes actors as vector graphics.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of \"GL2PSRenderViewExporterBase\" -->\n"
"    </GL2PSExporterProxy>\n"
"\n"
"    <!-- GL2PS exporter, additional context view options added: -->\n"
"    <GL2PSExporterProxy base_proxygroup=\"exporters\"\n"
"                        base_proxyname=\"GL2PSExporterBase\"\n"
"                        viewtype=\"none\"\n"
"                        name=\"GL2PSContextViewExporterBase\">\n"
"      <Documentation>Base API definition for all GL2PS context view exporters.\n"
"      </Documentation>\n"
"      <!-- No sorting, preserve painter order: -->\n"
"      <IntVectorProperty command=\"SetSort\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SetSort\"\n"
"                         label=\"GL2PS depth sort method\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Method of sorting 3D primitives.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetWrite3DPropsAsRasterImage\"\n"
"                         default_values=\"0\"\n"
"                         name=\"Write3DPropsAsRasterImage\"\n"
"                         label=\"Rasterize 3D geometry\"\n"
"                         panel_visibility=\"never\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Export/Resources/exporters.xml
static const char* const paraview_server_managerexportersInterface1 =
"                         number_of_elements=\"1\">\n"
"        <Documentation>Export all 3D geometry as a rasterized image behind 2D\n"
"        geometry, which is still rendered as vector graphics.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetExcludeCubeAxesActorsFromRasterization\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ExcludeCubeAxesActorsFromRasterization\"\n"
"                         label=\"Don't rasterize cube axes\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>If rasterizing 3D geometry, setting this option will\n"
"        export all cube axes actors as vector graphics.</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of \"GL2PSContextViewExporterBase\" -->\n"
"    </GL2PSExporterProxy>\n"
"\n"
"    <!-- Actual render view GL2PS exporter proxies -->\n"
"    <GL2PSExporterProxy base_proxygroup=\"exporters\"\n"
"                        base_proxyname=\"GL2PSRenderViewExporterBase\"\n"
"                        class=\"vtkPVGL2PSExporter\"\n"
"                        viewtype=\"renderview\"\n"
"                        name=\"GL2PSRenderViewExporterPS\">\n"
"      <Documentation long_help=\"Export PostScript (PS) Files\"\n"
"                     short_help=\"PS Files\">vtkPVGL2PSExporter is a render\n"
"                     window exporter which writes out the renderered scene into\n"
"                     a variety of vector graphics formats.</Documentation>\n"
"      <IntVectorProperty command=\"SetTextAsPath\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SetTextAsPath\"\n"
"                         label=\"Render text as paths\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPS3Shading\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SetPS3Shading\"\n"
"                         label=\"Use shfill shading operator\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFileFormat\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FileFormat\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the output file format: 0: PostScript, 1:\n"
"        Encapsulated PostScript, 2: PDF, 3: TeX, 4: SVG</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"ps\" />\n"
"      </Hints>\n"
"      <!-- End of GL2PSRenderViewExporterPS -->\n"
"    </GL2PSExporterProxy>\n"
"    <GL2PSExporterProxy base_proxygroup=\"exporters\"\n"
"                        base_proxyname=\"GL2PSRenderViewExporterBase\"\n"
"                        class=\"vtkPVGL2PSExporter\"\n"
"                        viewtype=\"renderview\"\n"
"                        name=\"GL2PSRenderViewExporterEPS\">\n"
"      <Documentation long_help=\"Export Encapsulated PostScript (EPS) Files\"\n"
"                     short_help=\"EPS Files\">vtkPVGL2PSExporter is a render\n"
"                     window exporter which writes out the renderered scene into\n"
"                     a variety of vector graphics formats.</Documentation>\n"
"      <IntVectorProperty command=\"SetTextAsPath\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SetTextAsPath\"\n"
"                         label=\"Render text as paths\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFileFormat\"\n"
"                         default_values=\"1\"\n"
"                         name=\"FileFormat\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the output file format: 0: PostScript, 1:\n"
"        Encapsulated PostScript, 2: PDF, 3: TeX, 4: SVG</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"eps\" />\n"
"      </Hints>\n"
"      <!-- End of GL2PSRenderViewExporterEPS -->\n"
"    </GL2PSExporterProxy>\n"
"    <GL2PSExporterProxy base_proxygroup=\"exporters\"\n"
"                        base_proxyname=\"GL2PSRenderViewExporterBase\"\n"
"                        class=\"vtkPVGL2PSExporter\"\n"
"                        viewtype=\"renderview\"\n"
"                        name=\"GL2PSRenderViewExporterPDF\">\n"
"      <Documentation long_help=\"Export Portable Document Format (PDF) Files\"\n"
"                     short_help=\"PDF Files\">vtkPVGL2PSExporter is a render\n"
"                     window exporter which writes out the renderered scene into\n"
"                     a variety of vector graphics formats.</Documentation>\n"
"      <IntVectorProperty command=\"SetTextAsPath\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SetTextAsPath\"\n"
"                         label=\"Render text as paths\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFileFormat\"\n"
"                         default_values=\"2\"\n"
"                         name=\"FileFormat\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the output file format: 0: PostScript, 1:\n"
"        Encapsulated PostScript, 2: PDF, 3: TeX, 4: SVG</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"pdf\" />\n"
"      </Hints>\n"
"      <!-- End of GL2PSRenderViewExporterPDF -->\n"
"    </GL2PSExporterProxy>\n"
"    <GL2PSExporterProxy base_proxygroup=\"exporters\"\n"
"                        base_proxyname=\"GL2PSRenderViewExporterBase\"\n"
"                        class=\"vtkPVGL2PSExporter\"\n"
"                        viewtype=\"renderview\"\n"
"                        name=\"GL2PSRenderViewExporterSVG\">\n"
"      <Documentation long_help=\"Export Scalable Vector Graphics (SVG) Files\"\n"
"                     short_help=\"SVG Files\">vtkPVGL2PSExporter is a render\n"
"                     window exporter which writes out the renderered scene into\n"
"                     a variety of vector graphics formats.</Documentation>\n"
"      <IntVectorProperty command=\"SetTextAsPath\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SetTextAsPath\"\n"
"                         label=\"Render text as paths\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFileFormat\"\n"
"                         default_values=\"4\"\n"
"                         name=\"FileFormat\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the output file format: 0: PostScript, 1:\n"
"        Encapsulated PostScript, 2: PDF, 3: TeX, 4: SVG</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"svg\" />\n"
"      </Hints>\n"
"      <!-- End of GL2PSRenderViewExporterSVG -->\n"
"    </GL2PSExporterProxy>\n"
"\n"
"    <!-- Actual context view GL2PS exporter proxies -->\n"
"    <GL2PSExporterProxy base_proxygroup=\"exporters\"\n"
"                        base_proxyname=\"GL2PSContextViewExporterBase\"\n"
"                        class=\"vtkPVGL2PSExporter\"\n"
"                        viewtype=\"contextview\"\n"
"                        name=\"GL2PSContextViewExporterPS\">\n"
"      <Documentation long_help=\"Export PostScript (PS) Files\"\n"
"                     short_help=\"PS Files\">vtkPVGL2PSExporter is a render\n"
"                     window exporter which writes out the renderered scene into\n"
"                     a variety of vector graphics formats.</Documentation>\n"
"      <IntVectorProperty command=\"SetTextAsPath\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SetTextAsPath\"\n"
"                         label=\"Render text as paths\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPS3Shading\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SetPS3Shading\"\n"
"                         label=\"Use shfill shading operator\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFileFormat\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FileFormat\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the output file format: 0: PostScript, 1:\n"
"        Encapsulated PostScript, 2: PDF, 3: TeX, 4: SVG</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"ps\" />\n"
"      </Hints>\n"
"      <!-- End of GL2PSContextViewExporterPS -->\n"
"    </GL2PSExporterProxy>\n"
"    <GL2PSExporterProxy base_proxygroup=\"exporters\"\n"
"                        base_proxyname=\"GL2PSContextViewExporterBase\"\n"
"                        class=\"vtkPVGL2PSExporter\"\n"
"                        viewtype=\"contextview\"\n"
"                        name=\"GL2PSContextViewExporterEPS\">\n"
"      <Documentation long_help=\"Export Encapsulated PostScript (EPS) Files\"\n"
"                     short_help=\"EPS Files\">vtkPVGL2PSExporter is a render\n"
"                     window exporter which writes out the renderered scene into\n"
"                     a variety of vector graphics formats.</Documentation>\n"
"      <IntVectorProperty command=\"SetTextAsPath\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SetTextAsPath\"\n"
"                         label=\"Render text as paths\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFileFormat\"\n"
"                         default_values=\"1\"\n"
"                         name=\"FileFormat\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the output file format: 0: PostScript, 1:\n"
"        Encapsulated PostScript, 2: PDF, 3: TeX, 4: SVG</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"eps\" />\n"
"      </Hints>\n"
"      <!-- End of GL2PSContextViewExporterEPS -->\n"
"    </GL2PSExporterProxy>\n"
"    <GL2PSExporterProxy base_proxygroup=\"exporters\"\n"
"                        base_proxyname=\"GL2PSContextViewExporterBase\"\n"
"                        class=\"vtkPVGL2PSExporter\"\n"
"                        viewtype=\"contextview\"\n"
"                        name=\"GL2PSContextViewExporterPDF\">\n"
"      <Documentation long_help=\"Export Portable Document Format (PDF) Files\"\n"
"                     short_help=\"PDF Files\">vtkPVGL2PSExporter is a render\n"
"                     window exporter which writes out the renderered scene into\n"
"                     a variety of vector graphics formats.</Documentation>\n"
"      <IntVectorProperty command=\"SetTextAsPath\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SetTextAsPath\"\n"
"                         label=\"Render text as paths\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFileFormat\"\n"
"                         default_values=\"2\"\n"
"                         name=\"FileFormat\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the output file format: 0: PostScript, 1:\n"
"        Encapsulated PostScript, 2: PDF, 3: TeX, 4: SVG</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"pdf\" />\n"
"      </Hints>\n"
"      <!-- End of GL2PSContextViewExporterPDF -->\n"
"    </GL2PSExporterProxy>\n"
"    <GL2PSExporterProxy base_proxygroup=\"exporters\"\n"
"                        base_proxyname=\"GL2PSContextViewExporterBase\"\n"
"                        class=\"vtkPVGL2PSExporter\"\n"
"                        viewtype=\"contextview\"\n"
"                        name=\"GL2PSContextViewExporterSVG\">\n"
"      <Documentation long_help=\"Export Scalable Vector Graphics (SVG) Files\"\n"
"                     short_help=\"SVG Files\">vtkPVGL2PSExporter is a render\n"
"                     window exporter which writes out the renderered scene into\n"
"                     a variety of vector graphics formats.</Documentation>\n"
"      <IntVectorProperty command=\"SetTextAsPath\"\n"
"                         default_values=\"0\"\n"
"                         name=\"SetTextAsPath\"\n"
"                         label=\"Render text as paths\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFileFormat\"\n"
"                         default_values=\"4\"\n"
"                         name=\"FileFormat\"\n"
"                         panel_visibility=\"never\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Set the output file format: 0: PostScript, 1:\n"
"        Encapsulated PostScript, 2: PDF, 3: TeX, 4: SVG</Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"svg\" />\n"
"      </Hints>\n"
"      <!-- End of GL2PSContextViewExporterSVG -->\n"
"    </GL2PSExporterProxy>\n"
"\n"
"    <RenderViewExporterProxy name=\"WebExporter\" class=\"vtkPVWebExporter\">\n"
"       <StringVectorProperty name=\"FileName\" command=\"SetFileName\"\n"
"                             number_of_elements=\"1\">\n"
"          <Documentation>Name of the file to write into</Documentation>\n"
"       </StringVectorProperty>\n"
"       <StringVectorProperty name=\"ParaViewGlanceHTML\"\n"
"                             command=\"SetParaViewGlanceHTML\"\n"
"                             number_of_elements=\"1\"\n"
"                             panel_visibility=\"advanced\">\n"
"          <Documentation>Filepath to the HTML viewer to embed data in</Documentation>\n"
"          <FileListDomain name=\"files\" />\n"
"       </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetWriteTextures\"\n"
"                         default_values=\"1\"\n"
"                         name=\"WriteTextures\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ExporterFactory extensions=\"vtkjs\" />\n"
;

// From file /builddir/build/BUILD/ParaView-v5.11.2/Remoting/Export/Resources/exporters.xml
static const char* const paraview_server_managerexportersInterface2 =
"      </Hints>\n"
"      <!-- End of WebGLExporter -->\n"
"    </RenderViewExporterProxy>\n"
"\n"
"    <!-- End of \"exporters\" -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* paraview_server_managerexportersGetInterfaces()
{

  const size_t len0 = strlen(paraview_server_managerexportersInterface0);
  const size_t len1 = strlen(paraview_server_managerexportersInterface1);
  const size_t len2 = strlen(paraview_server_managerexportersInterface2);
  size_t len = ( 0
    + len0
    + len1
    + len2 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(paraview_server_managerexportersInterface0, paraview_server_managerexportersInterface0 + len0, res + offset); offset += len0;
  std::copy(paraview_server_managerexportersInterface1, paraview_server_managerexportersInterface1 + len1, res + offset); offset += len1;
  std::copy(paraview_server_managerexportersInterface2, paraview_server_managerexportersInterface2 + len2, res + offset); offset += len2;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
